**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
           ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
           RUS SCO SGP SVN TUN TWN USA UIN YEM ;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= ACG&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDSTRATE   3 ;
LENGTH      IDSTRATI   3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      ACBGLOWG   3 ;
LENGTH      ACBGHIGG   3 ;
LENGTH      ACBGTENR   5 ;
LENGTH      ACBGEENR   5 ;
LENGTH      ACBGCOMU   3 ;
LENGTH      ACBGASTD   3 ;
LENGTH      ACBGENRS   3 ;
LENGTH      ACBGENSY   3 ;
LENGTH      ACBGSBED   3 ;
LENGTH      ACBGSBEA   3 ;
LENGTH      ACBGNALA   3 ;
LENGTH      ACBGCHTS   3 ;
LENGTH      ACBGCHTU   3 ;
LENGTH      ACBGCHTC   3 ;
LENGTH      ACBGCHES   3 ;
LENGTH      ACBGCHPS   3 ;
LENGTH      ACBGCHPI   3 ;
LENGTH      ACBGCHSR   3 ;
LENGTH      ACBGCHSD   3 ;
LENGTH      ACBGYEPS   3 ;
LENGTH      ACBGAPAD   3 ;
LENGTH      ACBGAPIL   3 ;
LENGTH      ACBGAPST   3 ;
LENGTH      ACBGAPTE   3 ;
LENGTH      ACBGAPPR   3 ;
LENGTH      ACBGAPOT   3 ;
LENGTH      ACBGEPSE   3 ;
LENGTH      ACBGEPRF   3 ;
LENGTH      ACBGEPVO   3 ;
LENGTH      ACBGEPCH   3 ;
LENGTH      ACBGEPSC   3 ;
LENGTH      ACBGDYSO   3 ;
LENGTH      ACBGDWFU   3 ;
LENGTH      ACBGDWHA   3 ;
LENGTH      ACBGTITD   3 ;
LENGTH      ACBMODLA   3 ;
LENGTH      ACBMGAMC   3 ;
LENGTH      ACBMSOEM   3 ;
LENGTH      ACBMSORM   3 ;
LENGTH      ACBSODLA   3 ;
LENGTH      ACBSGASC   3 ;
LENGTH      ACBSSOES   3 ;
LENGTH      ACBSSORS   3 ;
LENGTH      ACBGFTVY   3 ;
LENGTH      ACBGBONS   3 ;
LENGTH      ACBGPDIC   3 ;
LENGTH      ACBGPDSG   3 ;
LENGTH      ACBGPDIK   3 ;
LENGTH      ACBGPDTS   3 ;
LENGTH      ACBGPDUT   3 ;
LENGTH      ACBMEPOS   3 ;
LENGTH      ACBMEPOE   3 ;
LENGTH      ACBMEPSA   3 ;
LENGTH      ACBMEPTR   3 ;
LENGTH      ACBGFP01   3 ;
LENGTH      ACBGFP02   3 ;
LENGTH      ACBGFP03   3 ;
LENGTH      ACBGFP04   3 ;
LENGTH      ACBGFP05   3 ;
LENGTH      ACBGFP06   3 ;
LENGTH      ACBGFP07   3 ;
LENGTH      ACBGFP08   3 ;
LENGTH      ACBGFP09   3 ;
LENGTH      ACBGFP10   3 ;
LENGTH      ACBGFP11   3 ;
LENGTH      ACBGFP12   3 ;
LENGTH      ACBGFP13   3 ;
LENGTH      ACBGSP01   3 ;
LENGTH      ACBGSP02   3 ;
LENGTH      ACBGSP03   3 ;
LENGTH      ACBGSP04   3 ;
LENGTH      ACBGSP05   3 ;
LENGTH      ACBGSP06   3 ;
LENGTH      ACBGSP07   3 ;
LENGTH      ACBGSP08   3 ;
LENGTH      ACBGSP09   3 ;
LENGTH      ACBGSP10   3 ;
LENGTH      ACBGSP11   3 ;
LENGTH      ACBGSP12   3 ;
LENGTH      ACBGSP13   3 ;
LENGTH      ACBGST01   3 ;
LENGTH      ACBGST02   3 ;
LENGTH      ACBGST03   3 ;
LENGTH      ACBGST04   3 ;
LENGTH      ACBGST05   3 ;
LENGTH      ACBGST06   3 ;
LENGTH      ACBMST07   3 ;
LENGTH      ACBMST08   3 ;
LENGTH      ACBMST09   3 ;
LENGTH      ACBMST10   3 ;
LENGTH      ACBMST11   3 ;
LENGTH      ACBSST12   3 ;
LENGTH      ACBSST13   3 ;
LENGTH      ACBSST14   3 ;
LENGTH      ACBSST15   3 ;
LENGTH      ACBSST16   3 ;
LENGTH      ACBSST17   3 ;
LENGTH      ACBGSH18   3 ;
LENGTH      ACBGSH19   3 ;
LENGTH      ACBGCMPS   3 ;
LENGTH      ACBGCMPI   3 ;
LENGTH      ACBGHTTE   3 ;
LENGTH      ACBGPHTE   3 ;
LENGTH      SCHWGT     8 ;
LENGTH      STOTWGTU   8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      JKCREP     3 ;
LENGTH      JKCZONE    3 ;
LENGTH      ACDGWKYR   8 ;
LENGTH      ACDGTITD   8 ;
LENGTH      ACDGCH     3 ;
LENGTH      ACDGSP     3 ;
LENGTH      ACDMST     3 ;
LENGTH      ACDSST     3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDSTRATE     11-  13     
  IDSTRATI     14-  16     
  IDGRADE      17-  18     
  IDGRADER     19-  19     
  INTMS03      20-  20     
  INTMS99      21-  21     
  INTMS95      22-  22     
  ACBGLOWG     23-  24     
  ACBGHIGG     25-  26     
  ACBGTENR     27-  31     
  ACBGEENR     32-  36     
  ACBGCOMU     37-  37     
  ACBGASTD     38-  38     
  ACBGENRS     39-  39     
  ACBGENSY     40-  40     
  ACBGSBED     41-  41     
  ACBGSBEA     42-  42     
  ACBGNALA     43-  43     
  ACBGCHTS     44-  44     
  ACBGCHTU     45-  45     
  ACBGCHTC     46-  46     
  ACBGCHES     47-  47     
  ACBGCHPS     48-  48     
  ACBGCHPI     49-  49     
  ACBGCHSR     50-  50     
  ACBGCHSD     51-  51     
  ACBGYEPS     52-  53     
  ACBGAPAD     54-  56     
  ACBGAPIL     57-  59     
  ACBGAPST     60-  62     
  ACBGAPTE     63-  65     
  ACBGAPPR     66-  68     
  ACBGAPOT     69-  71     
  ACBGEPSE     72-  72     
  ACBGEPRF     73-  73     
  ACBGEPVO     74-  74     
  ACBGEPCH     75-  75     
  ACBGEPSC     76-  76     
  ACBGDYSO     77-  79     
  ACBGDWFU     80-  81     
  ACBGDWHA     82-  83     
  ACBGTITD     84-  84     
  ACBMODLA     85-  85     
  ACBMGAMC     86-  86     
  ACBMSOEM     87-  87     
  ACBMSORM     88-  88     
  ACBSODLA     89-  89     
  ACBSGASC     90-  90     
  ACBSSOES     91-  91     
  ACBSSORS     92-  92     
  ACBGFTVY     93-  93     
  ACBGBONS     94-  94     
  ACBGPDIC     95-  95     
  ACBGPDSG     96-  96     
  ACBGPDIK     97-  97     
  ACBGPDTS     98-  98     
  ACBGPDUT     99-  99     
  ACBMEPOS    100- 100     
  ACBMEPOE    101- 101     
  ACBMEPSA    102- 102     
  ACBMEPTR    103- 103     
  ACBGFP01    104- 104     
  ACBGFP02    105- 105     
  ACBGFP03    106- 106     
  ACBGFP04    107- 107     
  ACBGFP05    108- 108     
  ACBGFP06    109- 109     
  ACBGFP07    110- 110     
  ACBGFP08    111- 111     
  ACBGFP09    112- 112     
  ACBGFP10    113- 113     
  ACBGFP11    114- 114     
  ACBGFP12    115- 115     
  ACBGFP13    116- 116     
  ACBGSP01    117- 117     
  ACBGSP02    118- 118     
  ACBGSP03    119- 119     
  ACBGSP04    120- 120     
  ACBGSP05    121- 121     
  ACBGSP06    122- 122     
  ACBGSP07    123- 123     
  ACBGSP08    124- 124     
  ACBGSP09    125- 125     
  ACBGSP10    126- 126     
  ACBGSP11    127- 127     
  ACBGSP12    128- 128     
  ACBGSP13    129- 129     
  ACBGST01    130- 130     
  ACBGST02    131- 131     
  ACBGST03    132- 132     
  ACBGST04    133- 133     
  ACBGST05    134- 134     
  ACBGST06    135- 135     
  ACBMST07    136- 136     
  ACBMST08    137- 137     
  ACBMST09    138- 138     
  ACBMST10    139- 139     
  ACBMST11    140- 140     
  ACBSST12    141- 141     
  ACBSST13    142- 142     
  ACBSST14    143- 143     
  ACBSST15    144- 144     
  ACBSST16    145- 145     
  ACBSST17    146- 146     
  ACBGSH18    147- 147     
  ACBGSH19    148- 148     
  ACBGCMPS    149- 151     
  ACBGCMPI    152- 152     
  ACBGHTTE    153- 153     
  ACBGPHTE    154- 155     
  SCHWGT      156- 163 .3
  STOTWGTU    164- 171 .2
  WGTADJ1     172- 177 .3
  WGTFAC1     178- 184 .2
  JKCREP      185- 185     
  JKCZONE     186- 187     
  ACDGWKYR    188- 192 .2
  ACDGTITD    193- 199 .2
  ACDGCH      200- 200     
  ACDGSP      201- 201     
  ACDMST      202- 202     
  ACDSST      203- 203     
  DPCDATE     204- 209     
;


%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDSTRATE = "EXPLICIT STRATUM CODE"
  IDSTRATI = "IMPLICIT STRATUM CODE"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  ACBGLOWG = "GEN\GRADE LEVEL\LOWEST GRADE"
  ACBGHIGG = "GEN\GRADE LEVEL\HIGHEST GRADE"
  ACBGTENR = "GEN\TOTAL SCHOOL ENROLLMENT\ALL GRADES"
  ACBGEENR = "GEN\TOTAL SCHOOL ENROLLMENT\FOURTH GRADE"
  ACBGCOMU = "GEN\TYPE OF COMMUNITY"
  ACBGASTD = "GEN\PERCENT OF STUDENT ABSENT FROM SCH"
  ACBGENRS = "GEN\PERCENT OF STUDENTS STILL ENROLLED"
  ACBGENSY = "GEN\PERCENT OF STUDS ENROLLED AFTER BEGI"
  ACBGSBED = "GEN\STUDENTS BACKGROUND\ECONOMIC DISADVA"
  ACBGSBEA = "GEN\STUDENTS BACKGROUND\ECONOMIC AFFLUEN"
  ACBGNALA = "GEN\ 1ST LANGUAGE OF STUDENTS"
  ACBGCHTS = "GEN\IN SCHOOL\TEACHERS JOB SATISFACTION"
  ACBGCHTU = "GEN\IN SCHOOL\TEACHERS UNDERSTA GOALS"
  ACBGCHTC = "GEN\IN SCHOOL\TEACHERS DEGREE OF SUCCESS"
  ACBGCHES = "GEN\IN SCHOOL\TEACHERS EXPECT STUDS ACH"
  ACBGCHPS = "GEN\IN SCHOOL\PARENTS SUPPORT STUDS ACH"
  ACBGCHPI = "GEN\IN SCHOOL\PARENTS INVOLVED IN SCH AC"
  ACBGCHSR = "GEN\IN SCHOOL\STUDS REGARD SCH PROPERTY"
  ACBGCHSD = "GEN\IN SCHOOL\STUDS DESIRE TO DO WELL"
  ACBGYEPS = "GEN\NUMBER OF YEARS PRINCIPAL THIS SCH"
  ACBGAPAD = "GEN\ACTIVITY PERCENTAGES\ADMINISTRATIVE"
  ACBGAPIL = "GEN\ACTIVITY PERCENTAGES\INSTRU LEADERSH"
  ACBGAPST = "GEN\ACTIVITY PERCENTAGES\SUPERVISE TCH"
  ACBGAPTE = "GEN\ACTIVITY PERCENTAGES\TEACHING"
  ACBGAPPR = "GEN\ACTIVITY PERCENTAGES\PUBLIC RELATION"
  ACBGAPOT = "GEN\ACTIVITY PERCENTAGES\OTHER"
  ACBGEPSE = "GEN\EXPECT PARENTS\ATTEND SPECIAL EVENTS"
  ACBGEPRF = "GEN\EXPECT PARENTS\RAISE FUNDS FOR SCH"
  ACBGEPVO = "GEN\EXPECT PARENTS\VOLUNTEER FOR SCH PRO"
  ACBGEPCH = "GEN\EXPECT PARENTS\ENSURE COMPLETE HOMEW"
  ACBGEPSC = "GEN\EXPECT PARENTS\SERVE ON SCH COMMITEE"
  ACBGDYSO = "GEN\INSTRUCTIONAL DAYS PER YEAR"
  ACBGDWFU = "GEN\FULL INSTRUCTIONAL DAYS PER WEEK"
  ACBGDWHA = "GEN\HALF INSTRUCTIONAL DAYS PER WEEK"
  ACBGTITD = "GEN\TOTAL INSTRUCTIONAL TIME"
  ACBMODLA = "MAT\ORGANIZE DIFFERENT LEV OR ABI"
  ACBMGAMC = "MAT\GROUP ABILITY"
  ACBMSOEM = "MAT\OFFER MATHS\ENRICHMENT"
  ACBMSORM = "MAT\OFFER MATHS\REMEDIAL"
  ACBSODLA = "SCI\ORGANIZE DIFFERENT LEV OR ABI"
  ACBSGASC = "SCI\GROUP ABILITY"
  ACBSSOES = "SCI\OFFER SCIENCE\ENRICHMENT"
  ACBSSORS = "SCI\OFFER SCIENCE\REMEDIAL"
  ACBGFTVY = "GEN\FILL TEACHING VACANCIES"
  ACBGBONS = "GEN\DOES SCHOOL USE INCENTIVES TO RECRUI"
  ACBGPDIC = "GEN\DEVELOPMENT MS\DESIGN IMP CURRICULUM"
  ACBGPDSG = "GEN\DEVELOPMENT MS\DESIGN SCH IMPR GOALS"
  ACBGPDIK = "GEN\DEVELOPMENT MS\IMPR CONTENT KNOWLEDG"
  ACBGPDTS = "GEN\DEVELOPMENT MS\IMPR TEACHING SKILLS"
  ACBGPDUT = "GEN\DEVELOPMENT MS\INF TECH EDU PURPOSES"
  ACBMEPOS = "MAT\EVALUATE PRACTICE\OBSERVATIONS PRINC"
  ACBMEPOE = "MAT\EVALUATE PRACTICE\OBSERVATION INSPEC"
  ACBMEPSA = "MAT\EVALUATE PRACTICE\STD ACHIEVEMENT"
  ACBMEPTR = "MAT\EVALUATE PRACTICE\TEACH PEER REVIEW"
  ACBGFP01 = "GEN\FREQ BEHAVIOR\ARRIVE LATE AT SCHOOL"
  ACBGFP02 = "GEN\FREQ BEHAVIOR\ABSENTEEISM"
  ACBGFP03 = "GEN\FREQ BEHAVIOR\SKIPPING CLASS"
  ACBGFP04 = "GEN\FREQ BEHAVIOR\VIOLATING DRESS CODE"
  ACBGFP05 = "GEN\FREQ BEHAVIOR\CLASSROOM DISTURBANCE"
  ACBGFP06 = "GEN\FREQ BEHAVIOR\CHEATING"
  ACBGFP07 = "GEN\FREQ BEHAVIOR\PROFANITY"
  ACBGFP08 = "GEN\FREQ BEHAVIOR\VANDALISM"
  ACBGFP09 = "GEN\FREQ BEHAVIOR\THEFT"
  ACBGFP10 = "GEN\FREQ BEHAVIOR\INTIMIDATION OF STUDS"
  ACBGFP11 = "GEN\FREQ BEHAVIOR\INJURY TO STUDENTS"
  ACBGFP12 = "GEN\FREQ BEHAVIOR\INTIMIDATION OF TCHRS"
  ACBGFP13 = "GEN\FREQ BEHAVIOR\INJURY TO TEACHERS"
  ACBGSP01 = "GEN\SEVERE BEHAVIOR\ARRIVE LATE AT SCH"
  ACBGSP02 = "GEN\SEVERE BEHAVIOR\ABSENTEEISM"
  ACBGSP03 = "GEN\SEVERE BEHAVIOR\SKIPPING CLASS"
  ACBGSP04 = "GEN\SEVERE BEHAVIOR\VIOLATING DRESS CODE"
  ACBGSP05 = "GEN\SEVERE BEHAVIOR\CLSROOM DISTURBANCE"
  ACBGSP06 = "GEN\SEVERE BEHAVIOR\CHEATING"
  ACBGSP07 = "GEN\SEVERE BEHAVIOR\PROFANITY"
  ACBGSP08 = "GEN\SEVERE BEHAVIOR\VANDALISM"
  ACBGSP09 = "GEN\SEVERE BEHAVIOR\THEFT"
  ACBGSP10 = "GEN\SEVERE BEHAVIOR\INTIMIDATION OF STDS"
  ACBGSP11 = "GEN\SEVERE BEHAVIOR\INJURY TO STUDS"
  ACBGSP12 = "GEN\SEVERE BEHAVIOR\INTIMIDATION OF TCHS"
  ACBGSP13 = "GEN\SEVERE BEHAVIOR\INJURY TO TEACHERS"
  ACBGST01 = "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS"
  ACBGST02 = "GEN\SHORTAGE\BUDGET FOR SUPPLIES"
  ACBGST03 = "GEN\SHORTAGE\SCHOOL BUILDINGS"
  ACBGST04 = "GEN\SHORTAGE\HEATING AND LIGHTING"
  ACBGST05 = "GEN\SHORTAGE\INSTRUCTIONAL SPACE"
  ACBGST06 = "GEN\SHORTAGE\HANDICAPPED FACILITIES"
  ACBMST07 = "MAT\SHORTAGE\COMPUTER HARDWARE"
  ACBMST08 = "MAT\SHORTAGE\COMPUTER SOFTWARE"
  ACBMST09 = "MAT\SHORTAGE\CALCULATORS"
  ACBMST10 = "MAT\SHORTAGE\LIBRARY MATERIALS"
  ACBMST11 = "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES"
  ACBSST12 = "SCI\SHORTAGE\LABORATORY EQUIPMENT"
  ACBSST13 = "SCI\SHORTAGE\COMPUTER HARDWARE"
  ACBSST14 = "SCI\SHORTAGE\COMPUTER SOFTWARE"
  ACBSST15 = "SCI\SHORTAGE\CALCULATORS"
  ACBSST16 = "SCI\SHORTAGE\LIBRARY MATERIALS"
  ACBSST17 = "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES"
  ACBGSH18 = "GEN\SHORTAGE\TEACHERS"
  ACBGSH19 = "GEN\SHORTAGE\COMPUTER SUPPORT STAFF"
  ACBGCMPS = "GEN\COMPUTERS\AVAILABLE FOR STDS INSTR"
  ACBGCMPI = "GEN\COMPUTERS\ACCESS TO INTERNET"
  ACBGHTTE = "GEN\HELP\ANYONE AVAILABLE TCH USE TECHNO"
  ACBGPHTE = "GEN\HELP\DESCRIPTION PERSON"
  SCHWGT   = "*SCHOOL LEVEL WEIGHT*"
  STOTWGTU = "*SUM OF STUDENT WEIGHTS - UPPER GRADE*"
  WGTADJ1  = "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*"
  WGTFAC1  = "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*"
  JKCREP   = "*REPLICATE CODE*"
  JKCZONE  = "*ZONE CODE*"
  ACDGWKYR = "NUMBER OF WEEKS OF SCHOOL PER YEAR"
  ACDGTITD = "NUMBER OF HOURS OF SCHOOL PER YEAR"
  ACDGCH   = "IDX PRNCPL PERCEPT SCHOOL CLIMATE (PPSC)"
  ACDGSP   = "IDX GOOD SCHOOL/CLASS ATTENDANCE (GSCA)"
  ACDMST   = "IDX AVLBL SCHL RSRCS MATH INSTRN (ASRM)"
  ACDSST   = "IDX AVLBL SCHL RSRCS SCI INSTRN (ASRSI)"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSTRATE = 998              THEN IDSTRATE = .A ;
IF IDSTRATI = 998              THEN IDSTRATI = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF ACBGLOWG = 98               THEN ACBGLOWG = .A ;
IF ACBGHIGG = 98               THEN ACBGHIGG = .A ;
IF ACBGTENR = 99998            THEN ACBGTENR = .A ;
IF ACBGEENR = 99998            THEN ACBGEENR = .A ;
IF ACBGCOMU = 8                THEN ACBGCOMU = .A ;
IF ACBGASTD = 8                THEN ACBGASTD = .A ;
IF ACBGENRS = 8                THEN ACBGENRS = .A ;
IF ACBGENSY = 8                THEN ACBGENSY = .A ;
IF ACBGSBED = 8                THEN ACBGSBED = .A ;
IF ACBGSBEA = 8                THEN ACBGSBEA = .A ;
IF ACBGNALA = 8                THEN ACBGNALA = .A ;
IF ACBGCHTS = 8                THEN ACBGCHTS = .A ;
IF ACBGCHTU = 8                THEN ACBGCHTU = .A ;
IF ACBGCHTC = 8                THEN ACBGCHTC = .A ;
IF ACBGCHES = 8                THEN ACBGCHES = .A ;
IF ACBGCHPS = 8                THEN ACBGCHPS = .A ;
IF ACBGCHPI = 8                THEN ACBGCHPI = .A ;
IF ACBGCHSR = 8                THEN ACBGCHSR = .A ;
IF ACBGCHSD = 8                THEN ACBGCHSD = .A ;
IF ACBGYEPS = 98               THEN ACBGYEPS = .A ;
IF ACBGAPAD = 998              THEN ACBGAPAD = .A ;
IF ACBGAPIL = 998              THEN ACBGAPIL = .A ;
IF ACBGAPST = 998              THEN ACBGAPST = .A ;
IF ACBGAPTE = 998              THEN ACBGAPTE = .A ;
IF ACBGAPPR = 998              THEN ACBGAPPR = .A ;
IF ACBGAPOT = 998              THEN ACBGAPOT = .A ;
IF ACBGEPSE = 8                THEN ACBGEPSE = .A ;
IF ACBGEPRF = 8                THEN ACBGEPRF = .A ;
IF ACBGEPVO = 8                THEN ACBGEPVO = .A ;
IF ACBGEPCH = 8                THEN ACBGEPCH = .A ;
IF ACBGEPSC = 8                THEN ACBGEPSC = .A ;
IF ACBGDYSO = 998              THEN ACBGDYSO = .A ;
IF ACBGDWFU = 98               THEN ACBGDWFU = .A ;
IF ACBGDWHA = 98               THEN ACBGDWHA = .A ;
IF ACBGTITD = 8                THEN ACBGTITD = .A ;
IF ACBMODLA = 8                THEN ACBMODLA = .A ;
IF ACBMGAMC = 8                THEN ACBMGAMC = .A ;
IF ACBMSOEM = 8                THEN ACBMSOEM = .A ;
IF ACBMSORM = 8                THEN ACBMSORM = .A ;
IF ACBSODLA = 8                THEN ACBSODLA = .A ;
IF ACBSGASC = 8                THEN ACBSGASC = .A ;
IF ACBSSOES = 8                THEN ACBSSOES = .A ;
IF ACBSSORS = 8                THEN ACBSSORS = .A ;
IF ACBGFTVY = 8                THEN ACBGFTVY = .A ;
IF ACBGBONS = 8                THEN ACBGBONS = .A ;
IF ACBGPDIC = 8                THEN ACBGPDIC = .A ;
IF ACBGPDSG = 8                THEN ACBGPDSG = .A ;
IF ACBGPDIK = 8                THEN ACBGPDIK = .A ;
IF ACBGPDTS = 8                THEN ACBGPDTS = .A ;
IF ACBGPDUT = 8                THEN ACBGPDUT = .A ;
IF ACBMEPOS = 8                THEN ACBMEPOS = .A ;
IF ACBMEPOE = 8                THEN ACBMEPOE = .A ;
IF ACBMEPSA = 8                THEN ACBMEPSA = .A ;
IF ACBMEPTR = 8                THEN ACBMEPTR = .A ;
IF ACBGFP01 = 8                THEN ACBGFP01 = .A ;
IF ACBGFP02 = 8                THEN ACBGFP02 = .A ;
IF ACBGFP03 = 8                THEN ACBGFP03 = .A ;
IF ACBGFP04 = 8                THEN ACBGFP04 = .A ;
IF ACBGFP05 = 8                THEN ACBGFP05 = .A ;
IF ACBGFP06 = 8                THEN ACBGFP06 = .A ;
IF ACBGFP07 = 8                THEN ACBGFP07 = .A ;
IF ACBGFP08 = 8                THEN ACBGFP08 = .A ;
IF ACBGFP09 = 8                THEN ACBGFP09 = .A ;
IF ACBGFP10 = 8                THEN ACBGFP10 = .A ;
IF ACBGFP11 = 8                THEN ACBGFP11 = .A ;
IF ACBGFP12 = 8                THEN ACBGFP12 = .A ;
IF ACBGFP13 = 8                THEN ACBGFP13 = .A ;
IF ACBGSP01 = 8                THEN ACBGSP01 = .A ;
IF ACBGSP02 = 8                THEN ACBGSP02 = .A ;
IF ACBGSP03 = 8                THEN ACBGSP03 = .A ;
IF ACBGSP04 = 8                THEN ACBGSP04 = .A ;
IF ACBGSP05 = 8                THEN ACBGSP05 = .A ;
IF ACBGSP06 = 8                THEN ACBGSP06 = .A ;
IF ACBGSP07 = 8                THEN ACBGSP07 = .A ;
IF ACBGSP08 = 8                THEN ACBGSP08 = .A ;
IF ACBGSP09 = 8                THEN ACBGSP09 = .A ;
IF ACBGSP10 = 8                THEN ACBGSP10 = .A ;
IF ACBGSP11 = 8                THEN ACBGSP11 = .A ;
IF ACBGSP12 = 8                THEN ACBGSP12 = .A ;
IF ACBGSP13 = 8                THEN ACBGSP13 = .A ;
IF ACBGST01 = 8                THEN ACBGST01 = .A ;
IF ACBGST02 = 8                THEN ACBGST02 = .A ;
IF ACBGST03 = 8                THEN ACBGST03 = .A ;
IF ACBGST04 = 8                THEN ACBGST04 = .A ;
IF ACBGST05 = 8                THEN ACBGST05 = .A ;
IF ACBGST06 = 8                THEN ACBGST06 = .A ;
IF ACBMST07 = 8                THEN ACBMST07 = .A ;
IF ACBMST08 = 8                THEN ACBMST08 = .A ;
IF ACBMST09 = 8                THEN ACBMST09 = .A ;
IF ACBMST10 = 8                THEN ACBMST10 = .A ;
IF ACBMST11 = 8                THEN ACBMST11 = .A ;
IF ACBSST12 = 8                THEN ACBSST12 = .A ;
IF ACBSST13 = 8                THEN ACBSST13 = .A ;
IF ACBSST14 = 8                THEN ACBSST14 = .A ;
IF ACBSST15 = 8                THEN ACBSST15 = .A ;
IF ACBSST16 = 8                THEN ACBSST16 = .A ;
IF ACBSST17 = 8                THEN ACBSST17 = .A ;
IF ACBGSH18 = 8                THEN ACBGSH18 = .A ;
IF ACBGSH19 = 8                THEN ACBGSH19 = .A ;
IF ACBGCMPS = 998              THEN ACBGCMPS = .A ;
IF ACBGCMPI = 8                THEN ACBGCMPI = .A ;
IF ACBGHTTE = 8                THEN ACBGHTTE = .A ;
IF ACBGPHTE = 98               THEN ACBGPHTE = .A ;
IF SCHWGT   = 9998             THEN SCHWGT   = .A ;
IF STOTWGTU = 99998            THEN STOTWGTU = .A ;
IF WGTADJ1  = 98               THEN WGTADJ1  = .A ;
IF WGTFAC1  = 9998             THEN WGTFAC1  = .A ;
IF JKCREP   = 8                THEN JKCREP   = .A ;
IF JKCZONE  = 98               THEN JKCZONE  = .A ;
IF ACDGWKYR = 98               THEN ACDGWKYR = .A ;
IF ACDGTITD = 9998             THEN ACDGTITD = .A ;
IF ACDGCH   = 8                THEN ACDGCH   = .A ;
IF ACDGSP   = 8                THEN ACDGSP   = .A ;
IF ACDMST   = 8                THEN ACDMST   = .A ;
IF ACDSST   = 8                THEN ACDSST   = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF ACBGCMPI = 6                THEN ACBGCMPI = .B ;
IF ACBGPHTE = 96               THEN ACBGPHTE = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSTRATE = 999              THEN IDSTRATE = . ;
IF IDSTRATI = 999              THEN IDSTRATI = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF ACBGLOWG = 99               THEN ACBGLOWG = . ;
IF ACBGHIGG = 99               THEN ACBGHIGG = . ;
IF ACBGTENR = 99999            THEN ACBGTENR = . ;
IF ACBGEENR = 99999            THEN ACBGEENR = . ;
IF ACBGCOMU = 9                THEN ACBGCOMU = . ;
IF ACBGASTD = 9                THEN ACBGASTD = . ;
IF ACBGENRS = 9                THEN ACBGENRS = . ;
IF ACBGENSY = 9                THEN ACBGENSY = . ;
IF ACBGSBED = 9                THEN ACBGSBED = . ;
IF ACBGSBEA = 9                THEN ACBGSBEA = . ;
IF ACBGNALA = 9                THEN ACBGNALA = . ;
IF ACBGCHTS = 9                THEN ACBGCHTS = . ;
IF ACBGCHTU = 9                THEN ACBGCHTU = . ;
IF ACBGCHTC = 9                THEN ACBGCHTC = . ;
IF ACBGCHES = 9                THEN ACBGCHES = . ;
IF ACBGCHPS = 9                THEN ACBGCHPS = . ;
IF ACBGCHPI = 9                THEN ACBGCHPI = . ;
IF ACBGCHSR = 9                THEN ACBGCHSR = . ;
IF ACBGCHSD = 9                THEN ACBGCHSD = . ;
IF ACBGYEPS = 99               THEN ACBGYEPS = . ;
IF ACBGAPAD = 999              THEN ACBGAPAD = . ;
IF ACBGAPIL = 999              THEN ACBGAPIL = . ;
IF ACBGAPST = 999              THEN ACBGAPST = . ;
IF ACBGAPTE = 999              THEN ACBGAPTE = . ;
IF ACBGAPPR = 999              THEN ACBGAPPR = . ;
IF ACBGAPOT = 999              THEN ACBGAPOT = . ;
IF ACBGEPSE = 9                THEN ACBGEPSE = . ;
IF ACBGEPRF = 9                THEN ACBGEPRF = . ;
IF ACBGEPVO = 9                THEN ACBGEPVO = . ;
IF ACBGEPCH = 9                THEN ACBGEPCH = . ;
IF ACBGEPSC = 9                THEN ACBGEPSC = . ;
IF ACBGDYSO = 999              THEN ACBGDYSO = . ;
IF ACBGDWFU = 99               THEN ACBGDWFU = . ;
IF ACBGDWHA = 99               THEN ACBGDWHA = . ;
IF ACBGTITD = 9                THEN ACBGTITD = . ;
IF ACBMODLA = 9                THEN ACBMODLA = . ;
IF ACBMGAMC = 9                THEN ACBMGAMC = . ;
IF ACBMSOEM = 9                THEN ACBMSOEM = . ;
IF ACBMSORM = 9                THEN ACBMSORM = . ;
IF ACBSODLA = 9                THEN ACBSODLA = . ;
IF ACBSGASC = 9                THEN ACBSGASC = . ;
IF ACBSSOES = 9                THEN ACBSSOES = . ;
IF ACBSSORS = 9                THEN ACBSSORS = . ;
IF ACBGFTVY = 9                THEN ACBGFTVY = . ;
IF ACBGBONS = 9                THEN ACBGBONS = . ;
IF ACBGPDIC = 9                THEN ACBGPDIC = . ;
IF ACBGPDSG = 9                THEN ACBGPDSG = . ;
IF ACBGPDIK = 9                THEN ACBGPDIK = . ;
IF ACBGPDTS = 9                THEN ACBGPDTS = . ;
IF ACBGPDUT = 9                THEN ACBGPDUT = . ;
IF ACBMEPOS = 9                THEN ACBMEPOS = . ;
IF ACBMEPOE = 9                THEN ACBMEPOE = . ;
IF ACBMEPSA = 9                THEN ACBMEPSA = . ;
IF ACBMEPTR = 9                THEN ACBMEPTR = . ;
IF ACBGFP01 = 9                THEN ACBGFP01 = . ;
IF ACBGFP02 = 9                THEN ACBGFP02 = . ;
IF ACBGFP03 = 9                THEN ACBGFP03 = . ;
IF ACBGFP04 = 9                THEN ACBGFP04 = . ;
IF ACBGFP05 = 9                THEN ACBGFP05 = . ;
IF ACBGFP06 = 9                THEN ACBGFP06 = . ;
IF ACBGFP07 = 9                THEN ACBGFP07 = . ;
IF ACBGFP08 = 9                THEN ACBGFP08 = . ;
IF ACBGFP09 = 9                THEN ACBGFP09 = . ;
IF ACBGFP10 = 9                THEN ACBGFP10 = . ;
IF ACBGFP11 = 9                THEN ACBGFP11 = . ;
IF ACBGFP12 = 9                THEN ACBGFP12 = . ;
IF ACBGFP13 = 9                THEN ACBGFP13 = . ;
IF ACBGSP01 = 9                THEN ACBGSP01 = . ;
IF ACBGSP02 = 9                THEN ACBGSP02 = . ;
IF ACBGSP03 = 9                THEN ACBGSP03 = . ;
IF ACBGSP04 = 9                THEN ACBGSP04 = . ;
IF ACBGSP05 = 9                THEN ACBGSP05 = . ;
IF ACBGSP06 = 9                THEN ACBGSP06 = . ;
IF ACBGSP07 = 9                THEN ACBGSP07 = . ;
IF ACBGSP08 = 9                THEN ACBGSP08 = . ;
IF ACBGSP09 = 9                THEN ACBGSP09 = . ;
IF ACBGSP10 = 9                THEN ACBGSP10 = . ;
IF ACBGSP11 = 9                THEN ACBGSP11 = . ;
IF ACBGSP12 = 9                THEN ACBGSP12 = . ;
IF ACBGSP13 = 9                THEN ACBGSP13 = . ;
IF ACBGST01 = 9                THEN ACBGST01 = . ;
IF ACBGST02 = 9                THEN ACBGST02 = . ;
IF ACBGST03 = 9                THEN ACBGST03 = . ;
IF ACBGST04 = 9                THEN ACBGST04 = . ;
IF ACBGST05 = 9                THEN ACBGST05 = . ;
IF ACBGST06 = 9                THEN ACBGST06 = . ;
IF ACBMST07 = 9                THEN ACBMST07 = . ;
IF ACBMST08 = 9                THEN ACBMST08 = . ;
IF ACBMST09 = 9                THEN ACBMST09 = . ;
IF ACBMST10 = 9                THEN ACBMST10 = . ;
IF ACBMST11 = 9                THEN ACBMST11 = . ;
IF ACBSST12 = 9                THEN ACBSST12 = . ;
IF ACBSST13 = 9                THEN ACBSST13 = . ;
IF ACBSST14 = 9                THEN ACBSST14 = . ;
IF ACBSST15 = 9                THEN ACBSST15 = . ;
IF ACBSST16 = 9                THEN ACBSST16 = . ;
IF ACBSST17 = 9                THEN ACBSST17 = . ;
IF ACBGSH18 = 9                THEN ACBGSH18 = . ;
IF ACBGSH19 = 9                THEN ACBGSH19 = . ;
IF ACBGCMPS = 999              THEN ACBGCMPS = . ;
IF ACBGCMPI = 9                THEN ACBGCMPI = . ;
IF ACBGHTTE = 9                THEN ACBGHTTE = . ;
IF ACBGPHTE = 99               THEN ACBGPHTE = . ;
IF SCHWGT   = 9999             THEN SCHWGT   = . ;
IF STOTWGTU = 99999            THEN STOTWGTU = . ;
IF WGTADJ1  = 99               THEN WGTADJ1  = . ;
IF WGTFAC1  = 9999             THEN WGTFAC1  = . ;
IF JKCREP   = 9                THEN JKCREP   = . ;
IF JKCZONE  = 99               THEN JKCZONE  = . ;
IF ACDGWKYR = 99               THEN ACDGWKYR = . ;
IF ACDGTITD = 9999             THEN ACDGTITD = . ;
IF ACDGCH   = 9                THEN ACDGCH   = . ;
IF ACDGSP   = 9                THEN ACDGSP   = . ;
IF ACDMST   = 9                THEN ACDMST   = . ;
IF ACDSST   = 9                THEN ACDSST   = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;







