**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
           ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
           RUS SCO SGP SVN TUN TWN USA UIN YEM ;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= ASG&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      IDSTRATE   3 ;
LENGTH      IDSTRATI   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITLANG     3 ;
LENGTH      ITADMINI   3 ;
LENGTH      ITDATEM    3 ;
LENGTH      ITDATEY    4 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      ASDAGE     8 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      ASBGBRTY   3 ;
LENGTH      ASBGBRTM   3 ;
LENGTH      ASBGSEX    3 ;
LENGTH      ASBGOLAN   3 ;
LENGTH      ASBGBOOK   3 ;
LENGTH      ASBGPS01   3 ;
LENGTH      ASBGPS02   3 ;
LENGTH      ASBGPS03   3 ;
LENGTH      ASBGPS04   3 ;
LENGTH      ASBGPS05   3 ;
LENGTH      ASBGPS06   3 ;
LENGTH      ASBGPS07   3 ;
LENGTH      ASBGPS08   3 ;
LENGTH      ASBGPS09   3 ;
LENGTH      ASBGPS10   3 ;
LENGTH      ASBGPS11   3 ;
LENGTH      ASBGPS12   3 ;
LENGTH      ASBGPS13   3 ;
LENGTH      ASBGPS14   3 ;
LENGTH      ASBGPS15   3 ;
LENGTH      ASBGPS16   3 ;
LENGTH      ASBMTWEL   3 ;
LENGTH      ASBMTMOR   3 ;
LENGTH      ASBMTCLM   3 ;
LENGTH      ASBMTENJ   3 ;
LENGTH      ASBMTNOT   3 ;
LENGTH      ASBMTQKY   3 ;
LENGTH      ASBMHASM   3 ;
LENGTH      ASBMHWFD   3 ;
LENGTH      ASBMHMCL   3 ;
LENGTH      ASBMHTCG   3 ;
LENGTH      ASBMHCTR   3 ;
LENGTH      ASBMHWSG   3 ;
LENGTH      ASBMHEXP   3 ;
LENGTH      ASBMHLTT   3 ;
LENGTH      ASBMHWPO   3 ;
LENGTH      ASBMHCAL   3 ;
LENGTH      ASBSTWEL   3 ;
LENGTH      ASBSTMOR   3 ;
LENGTH      ASBSTCLM   3 ;
LENGTH      ASBSTENJ   3 ;
LENGTH      ASBSTNOT   3 ;
LENGTH      ASBSTQKY   3 ;
LENGTH      ASBSWATE   3 ;
LENGTH      ASBSHPEX   3 ;
LENGTH      ASBSDSEI   3 ;
LENGTH      ASBSHWGX   3 ;
LENGTH      ASBSWESS   3 ;
LENGTH      ASBSLWPS   3 ;
LENGTH      ASBSHLTT   3 ;
LENGTH      ASBSHWPX   3 ;
LENGTH      ASBGUSEC   3 ;
LENGTH      ASBGCHOM   3 ;
LENGTH      ASBGCSCH   3 ;
LENGTH      ASBGCLIB   3 ;
LENGTH      ASBGCFRH   3 ;
LENGTH      ASBGCCAF   3 ;
LENGTH      ASBGCELS   3 ;
LENGTH      ASBMOINF   3 ;
LENGTH      ASBSOINF   3 ;
LENGTH      ASBGOREP   3 ;
LENGTH      ASBGALBS   3 ;
LENGTH      ASBGATTB   3 ;
LENGTH      ASBGATCS   3 ;
LENGTH      ASBGATSB   3 ;
LENGTH      ASBGSTOL   3 ;
LENGTH      ASBGHURT   3 ;
LENGTH      ASBGMADE   3 ;
LENGTH      ASBGMFUN   3 ;
LENGTH      ASBGLEFT   3 ;
LENGTH      ASBGWATV   3 ;
LENGTH      ASBGPLCG   3 ;
LENGTH      ASBGPLFD   3 ;
LENGTH      ASBGJOHM   3 ;
LENGTH      ASBGPLSP   3 ;
LENGTH      ASBGREBO   3 ;
LENGTH      ASBGUSIN   3 ;
LENGTH      ASBGDOHW   3 ;
LENGTH      ASBMEXTO   3 ;
LENGTH      ASBSEXTO   3 ;
LENGTH      ASBMHWMA   3 ;
LENGTH      ASBMHWMG   3 ;
LENGTH      ASBSHWMA   3 ;
LENGTH      ASBSHWMG   3 ;
LENGTH      ASBGPLHO   3 ;
LENGTH      ASBGMBRN   3 ;
LENGTH      ASBGFBRN   3 ;
LENGTH      ASBGBORN   3 ;
LENGTH      ASBGBRNC   3 ;
LENGTH      TOTWGT     8 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      WGTADJ2    8 ;
LENGTH      WGTFAC2    8 ;
LENGTH      WGTFAC3    8 ;
LENGTH      WGTADJ3    8 ;
LENGTH      JKZONE     3 ;
LENGTH      JKREP      3 ;
LENGTH      ASMSCPT    3 ;
LENGTH      ASMSTDR    8 ;
LENGTH      ASSNRSC    8 ;
LENGTH      ASSSCPT    3 ;
LENGTH      ASSSTDR    8 ;
LENGTH      ASMNRSC    8 ;
LENGTH      ASMMAT01   8 ;
LENGTH      ASMMAT02   8 ;
LENGTH      ASMMAT03   8 ;
LENGTH      ASMMAT04   8 ;
LENGTH      ASMMAT05   8 ;
LENGTH      ASMAPP01   8 ;
LENGTH      ASMAPP02   8 ;
LENGTH      ASMAPP03   8 ;
LENGTH      ASMAPP04   8 ;
LENGTH      ASMAPP05   8 ;
LENGTH      ASMKNO01   8 ;
LENGTH      ASMKNO02   8 ;
LENGTH      ASMKNO03   8 ;
LENGTH      ASMKNO04   8 ;
LENGTH      ASMKNO05   8 ;
LENGTH      ASMREA01   8 ;
LENGTH      ASMREA02   8 ;
LENGTH      ASMREA03   8 ;
LENGTH      ASMREA04   8 ;
LENGTH      ASMREA05   8 ;
LENGTH      ASSSCI01   8 ;
LENGTH      ASSSCI02   8 ;
LENGTH      ASSSCI03   8 ;
LENGTH      ASSSCI04   8 ;
LENGTH      ASSSCI05   8 ;
LENGTH      ASMALG01   8 ;
LENGTH      ASMALG02   8 ;
LENGTH      ASMALG03   8 ;
LENGTH      ASMALG04   8 ;
LENGTH      ASMALG05   8 ;
LENGTH      ASMDAP01   8 ;
LENGTH      ASMDAP02   8 ;
LENGTH      ASMDAP03   8 ;
LENGTH      ASMDAP04   8 ;
LENGTH      ASMDAP05   8 ;
LENGTH      ASMFNS01   8 ;
LENGTH      ASMFNS02   8 ;
LENGTH      ASMFNS03   8 ;
LENGTH      ASMFNS04   8 ;
LENGTH      ASMFNS05   8 ;
LENGTH      ASMGEO01   8 ;
LENGTH      ASMGEO02   8 ;
LENGTH      ASMGEO03   8 ;
LENGTH      ASMGEO04   8 ;
LENGTH      ASMGEO05   8 ;
LENGTH      ASMMEA01   8 ;
LENGTH      ASMMEA02   8 ;
LENGTH      ASMMEA03   8 ;
LENGTH      ASMMEA04   8 ;
LENGTH      ASMMEA05   8 ;
LENGTH      ASSEAS01   8 ;
LENGTH      ASSEAS02   8 ;
LENGTH      ASSEAS03   8 ;
LENGTH      ASSEAS04   8 ;
LENGTH      ASSEAS05   8 ;
LENGTH      ASSLIS01   8 ;
LENGTH      ASSLIS02   8 ;
LENGTH      ASSLIS03   8 ;
LENGTH      ASSLIS04   8 ;
LENGTH      ASSLIS05   8 ;
LENGTH      ASSPHY01   8 ;
LENGTH      ASSPHY02   8 ;
LENGTH      ASSPHY03   8 ;
LENGTH      ASSPHY04   8 ;
LENGTH      ASSPHY05   8 ;
LENGTH      ASDGCAVL   3 ;
LENGTH      ASDGPSS    3 ;
LENGTH      ASDMSCL    3 ;
LENGTH      ASDSSCL    3 ;
LENGTH      ASDMHW     3 ;
LENGTH      ASDSHW     3 ;
LENGTH      ASMIBM01   3 ;
LENGTH      ASMIBM02   3 ;
LENGTH      ASMIBM03   3 ;
LENGTH      ASMIBM04   3 ;
LENGTH      ASMIBM05   3 ;
LENGTH      ASSIBM01   3 ;
LENGTH      ASSIBM02   3 ;
LENGTH      ASSIBM03   3 ;
LENGTH      ASSIBM04   3 ;
LENGTH      ASSIBM05   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDCLASS      11-  16     
  IDSTUD       17-  24     
  IDBOOK       25-  26     
  IDGRADE      27-  28     
  IDGRADER     29-  29     
  IDSTRATE     30-  32     
  IDSTRATI     33-  35     
  ITSEX        36-  36     
  ITLANG       37-  37     
  ITADMINI     38-  38     
  ITDATEM      39-  40     
  ITDATEY      41-  44     
  ITBIRTHM     45-  46     
  ITBIRTHY     47-  48     
  ASDAGE       49-  53 .2
  INTMS03      54-  54     
  INTMS99      55-  55     
  INTMS95      56-  56     
  ASBGBRTY     57-  58     
  ASBGBRTM     59-  60     
  ASBGSEX      61-  61     
  ASBGOLAN     62-  62     
  ASBGBOOK     63-  63     
  ASBGPS01     64-  64     
  ASBGPS02     65-  65     
  ASBGPS03     66-  66     
  ASBGPS04     67-  67     
  ASBGPS05     68-  68     
  ASBGPS06     69-  69     
  ASBGPS07     70-  70     
  ASBGPS08     71-  71     
  ASBGPS09     72-  72     
  ASBGPS10     73-  73     
  ASBGPS11     74-  74     
  ASBGPS12     75-  75     
  ASBGPS13     76-  76     
  ASBGPS14     77-  77     
  ASBGPS15     78-  78     
  ASBGPS16     79-  79     
  ASBMTWEL     80-  80     
  ASBMTMOR     81-  81     
  ASBMTCLM     82-  82     
  ASBMTENJ     83-  83     
  ASBMTNOT     84-  84     
  ASBMTQKY     85-  85     
  ASBMHASM     86-  86     
  ASBMHWFD     87-  87     
  ASBMHMCL     88-  88     
  ASBMHTCG     89-  89     
  ASBMHCTR     90-  90     
  ASBMHWSG     91-  91     
  ASBMHEXP     92-  92     
  ASBMHLTT     93-  93     
  ASBMHWPO     94-  94     
  ASBMHCAL     95-  95     
  ASBSTWEL     96-  96     
  ASBSTMOR     97-  97     
  ASBSTCLM     98-  98     
  ASBSTENJ     99-  99     
  ASBSTNOT    100- 100     
  ASBSTQKY    101- 101     
  ASBSWATE    102- 102     
  ASBSHPEX    103- 103     
  ASBSDSEI    104- 104     
  ASBSHWGX    105- 105     
  ASBSWESS    106- 106     
  ASBSLWPS    107- 107     
  ASBSHLTT    108- 108     
  ASBSHWPX    109- 109     
  ASBGUSEC    110- 110     
  ASBGCHOM    111- 111     
  ASBGCSCH    112- 112     
  ASBGCLIB    113- 113     
  ASBGCFRH    114- 114     
  ASBGCCAF    115- 115     
  ASBGCELS    116- 116     
  ASBMOINF    117- 117     
  ASBSOINF    118- 118     
  ASBGOREP    119- 119     
  ASBGALBS    120- 120     
  ASBGATTB    121- 121     
  ASBGATCS    122- 122     
  ASBGATSB    123- 123     
  ASBGSTOL    124- 124     
  ASBGHURT    125- 125     
  ASBGMADE    126- 126     
  ASBGMFUN    127- 127     
  ASBGLEFT    128- 128     
  ASBGWATV    129- 129     
  ASBGPLCG    130- 130     
  ASBGPLFD    131- 131     
  ASBGJOHM    132- 132     
  ASBGPLSP    133- 133     
  ASBGREBO    134- 134     
  ASBGUSIN    135- 135     
  ASBGDOHW    136- 136     
  ASBMEXTO    137- 137     
  ASBSEXTO    138- 138     
  ASBMHWMA    139- 139     
  ASBMHWMG    140- 140     
  ASBSHWMA    141- 141     
  ASBSHWMG    142- 142     
  ASBGPLHO    143- 144     
  ASBGMBRN    145- 145     
  ASBGFBRN    146- 146     
  ASBGBORN    147- 147     
  ASBGBRNC    148- 148     
  TOTWGT      149- 161 .6
  HOUWGT      162- 174 .6
  SENWGT      175- 187 .6
  WGTFAC1     188- 200 .6
  WGTADJ1     201- 213 .6
  WGTADJ2     214- 226 .6
  WGTFAC2     227- 239 .6
  WGTFAC3     240- 252 .6
  WGTADJ3     253- 265 .6
  JKZONE      266- 267     
  JKREP       268- 268     
  ASMSCPT     269- 270     
  ASMSTDR     271- 278 .3
  ASSNRSC     279- 286 .3
  ASSSCPT     287- 288     
  ASSSTDR     289- 296 .3
  ASMNRSC     297- 304 .3
  ASMMAT01    305- 310 .2
  ASMMAT02    311- 316 .2
  ASMMAT03    317- 322 .2
  ASMMAT04    323- 328 .2
  ASMMAT05    329- 334 .2
  ASMAPP01    335- 340 .2
  ASMAPP02    341- 346 .2
  ASMAPP03    347- 352 .2
  ASMAPP04    353- 358 .2
  ASMAPP05    359- 364 .2
  ASMKNO01    365- 370 .2
  ASMKNO02    371- 376 .2
  ASMKNO03    377- 382 .2
  ASMKNO04    383- 388 .2
  ASMKNO05    389- 394 .2
  ASMREA01    395- 400 .2
  ASMREA02    401- 406 .2
  ASMREA03    407- 412 .2
  ASMREA04    413- 418 .2
  ASMREA05    419- 424 .2
  ASSSCI01    425- 430 .2
  ASSSCI02    431- 436 .2
  ASSSCI03    437- 442 .2
  ASSSCI04    443- 448 .2
  ASSSCI05    449- 454 .2
  ASMALG01    455- 460 .2
  ASMALG02    461- 466 .2
  ASMALG03    467- 472 .2
  ASMALG04    473- 478 .2
  ASMALG05    479- 484 .2
  ASMDAP01    485- 490 .2
  ASMDAP02    491- 496 .2
  ASMDAP03    497- 502 .2
  ASMDAP04    503- 508 .2
  ASMDAP05    509- 514 .2
  ASMFNS01    515- 520 .2
  ASMFNS02    521- 526 .2
  ASMFNS03    527- 532 .2
  ASMFNS04    533- 538 .2
  ASMFNS05    539- 544 .2
  ASMGEO01    545- 550 .2
  ASMGEO02    551- 556 .2
  ASMGEO03    557- 562 .2
  ASMGEO04    563- 568 .2
  ASMGEO05    569- 574 .2
  ASMMEA01    575- 580 .2
  ASMMEA02    581- 586 .2
  ASMMEA03    587- 592 .2
  ASMMEA04    593- 598 .2
  ASMMEA05    599- 604 .2
  ASSEAS01    605- 610 .2
  ASSEAS02    611- 616 .2
  ASSEAS03    617- 622 .2
  ASSEAS04    623- 628 .2
  ASSEAS05    629- 634 .2
  ASSLIS01    635- 640 .2
  ASSLIS02    641- 646 .2
  ASSLIS03    647- 652 .2
  ASSLIS04    653- 658 .2
  ASSLIS05    659- 664 .2
  ASSPHY01    665- 670 .2
  ASSPHY02    671- 676 .2
  ASSPHY03    677- 682 .2
  ASSPHY04    683- 688 .2
  ASSPHY05    689- 694 .2
  ASDGCAVL    695- 695     
  ASDGPSS     696- 696     
  ASDMSCL     697- 697     
  ASDSSCL     698- 698     
  ASDMHW      699- 699     
  ASDSHW      700- 700     
  ASMIBM01    701- 701     
  ASMIBM02    702- 702     
  ASMIBM03    703- 703     
  ASMIBM04    704- 704     
  ASMIBM05    705- 705     
  ASSIBM01    706- 706     
  ASSIBM02    707- 707     
  ASSIBM03    708- 708     
  ASSIBM04    709- 709     
  ASSIBM05    710- 710     
  DPCDATE     711- 716     
;



%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDBOOK   = "*ACHIEVEMENT TEST BOOKLET*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  IDSTRATE = "EXPLICIT STRATUM CODE"
  IDSTRATI = "IMPLICIT STRATUM CODE"
  ITSEX    = "*SEX OF STUDENTS*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  ITADMINI = "*TEST ADMINISTRATORS POSITION*"
  ITDATEM  = "*DATE OF TESTING/MONTH*"
  ITDATEY  = "*DATE OF TESTING/YEAR*"
  ITBIRTHM = "*DATE OF STUDENTS BIRTH\MONTH*"
  ITBIRTHY = "*DATE OF STUDENTS BIRTH\YEAR*"
  ASDAGE   = "D:STUDENTS AGE"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  ASBGBRTY = "GEN\DATE OF BIRTH\YEAR"
  ASBGBRTM = "GEN\DATE OF BIRTH\MONTH"
  ASBGSEX  = "GEN\SEX OF STUDENT"
  ASBGOLAN = "GEN\OFTEN SPEAK LANGUAGE OF TEST AT HOME"
  ASBGBOOK = "GEN\NR OF BOOKS IN YOUR HOME"
  ASBGPS01 = "GEN\HOME POSSESS\CALCULATOR"
  ASBGPS02 = "GEN\HOME POSSESS\COMPUTER"
  ASBGPS03 = "GEN\HOME POSSESS\STUDY DESK"
  ASBGPS04 = "GEN\HOME POSSESS\DICTIONARY"
  ASBGPS05 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS06 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS07 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS08 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS09 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS10 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS11 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS12 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS13 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS14 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS15 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBGPS16 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  ASBMTWEL = "MAT\THINK\USUALLY DO WELL IN MATHS"
  ASBMTMOR = "MAT\THINK\WOULD LIKE TO DO MORE MATH"
  ASBMTCLM = "MAT\THINK\MATH IS HARDER FOR ME"
  ASBMTENJ = "MAT\THINK\I ENJOY LEARNING MATHEMATICS"
  ASBMTNOT = "MAT\THINK\JUST NOT GOOD AT MATHEMATICS"
  ASBMTQKY = "MAT\THINK\I LEARN THINGS QUICKLY IN MATH"
  ASBMHASM = "MAT\HOW OFTEN\PRACT WITHOUT CALCULATOR"
  ASBMHWFD = "MAT\HOW OFTEN\I WORK FRACTIONS AND DECIM"
  ASBMHMCL = "MAT\HOW OFTEN\I MEASURE THINGS IN CLASSR"
  ASBMHTCG = "MAT\HOW OFTEN\MAKE TABLES CHARTS GRAPHS"
  ASBMHCTR = "MAT\HOW OFTEN\I LEARN ABOUT SHAPES"
  ASBMHWSG = "MAT\HOW OFTEN\I WORK IN GROUPS"
  ASBMHEXP = "MAT\HOW OFTEN\I EXPLAIN MY ANSWERS"
  ASBMHLTT = "MAT\HOW OFTEN\I LISTEN TEACHER TALK"
  ASBMHWPO = "MAT\HOW OFTEN\I WORK PROBLEMS"
  ASBMHCAL = "MAT\HOW OFTEN\I USE CALCULATOR"
  ASBSTWEL = "SCI\AGREE\USUALLY DO WELL IN SCI"
  ASBSTMOR = "SCI\AGREE\WOULD LIKE TO DO MORE SCIENCE"
  ASBSTCLM = "SCI\AGREE\SCIENCE IS HARDER FOR ME"
  ASBSTENJ = "SCI\AGREE\I ENJOY LEARNING SCIENCE"
  ASBSTNOT = "SCI\AGREE\I AM JUST NOT GOOD AT SCIENCE"
  ASBSTQKY = "SCI\AGREE\LEARN THINGS QUICKLY IN SCI"
  ASBSWATE = "SCI\HOW OFTEN\WATCH TEACHER DO SCI EXP"
  ASBSHPEX = "SCI\HOW OFTEN\PLAN SCI EXP OR INVEST"
  ASBSDSEI = "SCI\HOW OFTEN\DO SCI EXP OR INVEST"
  ASBSHWGX = "SCI\HOW OFTEN\WORK IN GROUP EXP OR INVES"
  ASBSWESS = "SCI\HOW OFTEN\GIVE EXPLAN STUDYING SCI"
  ASBSLWPS = "SCI\HOW OFTEN\LOOK AND WRITE WHAT I SEE"
  ASBSHLTT = "SCI\HOW OFTEN\I LISTEN TEACHER TALK"
  ASBSHWPX = "SCI\HOW OFTEN\I WORK PROBLEMS"
  ASBGUSEC = "GEN\DO YOU EVER USE A COMPUTER"
  ASBGCHOM = "GEN\USE A COMPUTER\AT HOME"
  ASBGCSCH = "GEN\USE A COMPUTER\AT SCHOOL"
  ASBGCLIB = "GEN\USE A COMPUTER\AT A LIBRARY"
  ASBGCFRH = "GEN\USE A COMPUTER\AT A FRIENDS HOME"
  ASBGCCAF = "GEN\USE A COMPUTER\AT AN INTERNET CAFE"
  ASBGCELS = "GEN\USE A COMPUTER\ELSEWHERE"
  ASBMOINF = "MAT\OFTEN\LOOK UP IDEAS AND INFO FOR MAT"
  ASBSOINF = "SCI\OFTEN\LOOK UP IDEAS AND INFO FOR SCI"
  ASBGOREP = "GEN\OFTEN\I WRITE REPORTS FOR SCHOOL"
  ASBGALBS = "GEN\AGREE\I LIKE BEING IN SCHOOL"
  ASBGATTB = "GEN\AGREE\STD TRY THEIR BEST"
  ASBGATCS = "GEN\AGREE\TCH CARE ABOUT THE STD"
  ASBGATSB = "GEN\AGREE\TCH WANT STD TO DO BEST"
  ASBGSTOL = "GEN\IN SCH\STH OF MINE WAS STOLEN"
  ASBGHURT = "GEN\IN SCH\HIT OR HURT BY OTHER STD"
  ASBGMADE = "GEN\IN SCH\MADE TO DO THINGS BY OTH STD"
  ASBGMFUN = "GEN\IN SCH\MADE FUN OF OR CALLED NAMES"
  ASBGLEFT = "GEN\IN SCH\WAS LEFT OUT OF ACTIVITIES"
  ASBGWATV = "GEN\SPEND TIME\WATCH TV OR VIDEOS"
  ASBGPLCG = "GEN\SPEND TIME\PLAY COMPUTER GAMES"
  ASBGPLFD = "GEN\SPEND TIME\PLAY TALK WITH FRIENDS"
  ASBGJOHM = "GEN\SPEND TIME\DO JOBS AT HOME"
  ASBGPLSP = "GEN\SPEND TIME\I PLAY SPORTS"
  ASBGREBO = "GEN\SPEND TIME\READ BOOK FOR ENJOYMENT"
  ASBGUSIN = "GEN\SPEND TIME\USE INTERNET"
  ASBGDOHW = "GEN\SPEND TIME\DO HOMEWORK"
  ASBMEXTO = "MAT\HOW OFTEN EXTRA LESSONS IN MAT"
  ASBSEXTO = "SCI\HOW OFTEN EXTRA LESSONS IN SCIENCE"
  ASBMHWMA = "MAT\HOW OFTEN TEACHER GIVES MATHS HMWORK"
  ASBMHWMG = "MAT\HOW MANY MINUTES MATHS HOMEWORK"
  ASBSHWMA = "SCI\HOW OFTEN TEACHER GIVES SCI HMWORK"
  ASBSHWMG = "SCI\HOW MANY MINUTES SCI HOMEWORK"
  ASBGPLHO = "GEN\HOW MANY PEOPLE IN YOUR HOME"
  ASBGMBRN = "GEN\MOTHER BORN IN COUNTRY"
  ASBGFBRN = "GEN\FATHER BORN IN COUNTRY"
  ASBGBORN = "GEN\BORN IN COUNTRY"
  ASBGBRNC = "GEN\BORN IN COUNTRY\AGE OF COMING"
  TOTWGT   = "*TOTAL STUDENT WEIGHT*"
  HOUWGT   = "*HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  WGTFAC1  = "*SCHOOL WEIGHT FACTOR*"
  WGTADJ1  = "*SCHOOL WEIGHT ADJUSTMENT*"
  WGTADJ2  = "*CLASS WEIGHT ADJUSTMENT*"
  WGTFAC2  = "*CLASS WEIGHT FACTOR*"
  WGTFAC3  = "*STUDENT WEIGHT FACTOR*"
  WGTADJ3  = "*STUDENT WEIGHT ADJUSTMENT*"
  JKZONE   = "*JACKKNIFE ZONE*"
  JKREP    = "*JACKKNIFE REPLICATE CODE*"
  ASMSCPT  = "*RAW SCORE ON MATH ITEMS*"
  ASMSTDR  = "*STANDARDIZED MATH RAW SCORE (50,10)*"
  ASSNRSC  = "*NATIONAL SCIENCE RASCH SCORE (150,10)*"
  ASSSCPT  = "*RAW SCORE ON SCIENCE ITEM*"
  ASSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE (50,10)*"
  ASMNRSC  = "*NATIONAL MATH RASCH SCORE (150,10)*"
  ASMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  ASMAPP01 = "*1ST PLAUSIBLE VALUE APPLYING*"
  ASMAPP02 = "*2ND PLAUSIBLE VALUE APPLYING*"
  ASMAPP03 = "*3RD PLAUSIBLE VALUE APPLYING*"
  ASMAPP04 = "*4TH PLAUSIBLE VALUE APPLYING*"
  ASMAPP05 = "*5TH PLAUSIBLE VALUE APPLYING*"
  ASMKNO01 = "*1ST PLAUSIBLE VALUE KNOWING*"
  ASMKNO02 = "*2ND PLAUSIBLE VALUE KNOWING*"
  ASMKNO03 = "*3RD PLAUSIBLE VALUE KNOWING*"
  ASMKNO04 = "*4TH PLAUSIBLE VALUE KNOWING*"
  ASMKNO05 = "*5TH PLAUSIBLE VALUE KNOWING*"
  ASMREA01 = "*1ST PLAUSIBLE VALUE REASONING*"
  ASMREA02 = "*2ND PLAUSIBLE VALUE REASONING*"
  ASMREA03 = "*3RD PLAUSIBLE VALUE REASONING*"
  ASMREA04 = "*4TH PLAUSIBLE VALUE REASONING*"
  ASMREA05 = "*5TH PLAUSIBLE VALUE REASONING*"
  ASSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  ASSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  ASSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  ASSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  ASSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  ASMALG01 = "*1ST PV ALGEBRA*"
  ASMALG02 = "*2ND PV ALGEBRA*"
  ASMALG03 = "*3RD PV ALGEBRA*"
  ASMALG04 = "*4TH PV ALGEBRA*"
  ASMALG05 = "*5TH PV ALGEBRA*"
  ASMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  ASMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  ASMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  ASMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  ASMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  ASMGEO01 = "*1ST PV GEOMETRY*"
  ASMGEO02 = "*2ND PV GEOMETRY*"
  ASMGEO03 = "*3RD PV GEOMETRY*"
  ASMGEO04 = "*4TH PV GEOMETRY*"
  ASMGEO05 = "*5TH PV GEOMETRY*"
  ASMMEA01 = "*1ST PV MEASUREMENT*"
  ASMMEA02 = "*2ND PV MEASUREMENT*"
  ASMMEA03 = "*3RD PV MEASUREMENT*"
  ASMMEA04 = "*4TH PV MEASUREMENT*"
  ASMMEA05 = "*5TH PV MEASUREMENT*"
  ASSEAS01 = "*1ST PV EARTH SCIENCE*"
  ASSEAS02 = "*2ND PV EARTH SCIENCE*"
  ASSEAS03 = "*3RD PV EARTH SCIENCE*"
  ASSEAS04 = "*4TH PV EARTH SCIENCE*"
  ASSEAS05 = "*5TH PV EARTH SCIENCE*"
  ASSLIS01 = "*1ST PV LIFE SCIENCE*"
  ASSLIS02 = "*2ND PV LIFE SCIENCE*"
  ASSLIS03 = "*3RD PV LIFE SCIENCE*"
  ASSLIS04 = "*4TH PV LIFE SCIENCE*"
  ASSLIS05 = "*5TH PV LIFE SCIENCE*"
  ASSPHY01 = "*1ST PV PHYSICS*"
  ASSPHY02 = "*2ND PV PHYSICS*"
  ASSPHY03 = "*3RD PV PHYSICS*"
  ASSPHY04 = "*4TH PV PHYSICS*"
  ASSPHY05 = "*5TH PV PHYSICS*"
  ASDGCAVL = "AVAILABILITY OF COMPUTER"
  ASDGPSS  = "IDX STD PRCPTN BEING SAFE SCHOOL (SPBSS)"
  ASDMSCL  = "INDEX OF SELF-CONF LEARNING MATH (SCM)"
  ASDSSCL  = "INDEX OF SELF-CONF LEARNING SCIENCE(SCS)"
  ASDMHW   = "INDEX OF TIME ON MATH HOMEWORK (TMH)"
  ASDSHW   = "INDEX OF TIME ON SCIENCE HOMEWORK (TSH)"
  ASMIBM01 = "INTERN. MATH BENCH REACHED WITH 1ST PV"
  ASMIBM02 = "INTERN. MATH BENCH REACHED WITH 2ND PV"
  ASMIBM03 = "INTERN. MATH BENCH REACHED WITH 3RD PV"
  ASMIBM04 = "INTERN. MATH BENCH REACHED WITH 4TH PV"
  ASMIBM05 = "INTERN. MATH BENCH REACHED WITH 5TH PV"
  ASSIBM01 = "INTERN. SCI BENCH REACHED WITH 1ST PV"
  ASSIBM02 = "INTERN. SCI BENCH REACHED WITH 2ND PV"
  ASSIBM03 = "INTERN. SCI BENCH REACHED WITH 3RD PV"
  ASSIBM04 = "INTERN. SCI BENCH REACHED WITH 4TH PV"
  ASSIBM05 = "INTERN. SCI BENCH REACHED WITH 5TH PV"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF IDSTRATE = 998              THEN IDSTRATE = .A ;
IF IDSTRATI = 998              THEN IDSTRATI = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITLANG   = 8                THEN ITLANG   = .A ;
IF ITADMINI = 8                THEN ITADMINI = .A ;
IF ITDATEM  = 98               THEN ITDATEM  = .A ;
IF ITDATEY  = 9998             THEN ITDATEY  = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF ASDAGE   = 98               THEN ASDAGE   = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF ASBGBRTY = 98               THEN ASBGBRTY = .A ;
IF ASBGBRTM = 98               THEN ASBGBRTM = .A ;
IF ASBGSEX  = 8                THEN ASBGSEX  = .A ;
IF ASBGOLAN = 8                THEN ASBGOLAN = .A ;
IF ASBGBOOK = 8                THEN ASBGBOOK = .A ;
IF ASBGPS01 = 8                THEN ASBGPS01 = .A ;
IF ASBGPS02 = 8                THEN ASBGPS02 = .A ;
IF ASBGPS03 = 8                THEN ASBGPS03 = .A ;
IF ASBGPS04 = 8                THEN ASBGPS04 = .A ;
IF ASBGPS05 = 8                THEN ASBGPS05 = .A ;
IF ASBGPS06 = 8                THEN ASBGPS06 = .A ;
IF ASBGPS07 = 8                THEN ASBGPS07 = .A ;
IF ASBGPS08 = 8                THEN ASBGPS08 = .A ;
IF ASBGPS09 = 8                THEN ASBGPS09 = .A ;
IF ASBGPS10 = 8                THEN ASBGPS10 = .A ;
IF ASBGPS11 = 8                THEN ASBGPS11 = .A ;
IF ASBGPS12 = 8                THEN ASBGPS12 = .A ;
IF ASBGPS13 = 8                THEN ASBGPS13 = .A ;
IF ASBGPS14 = 8                THEN ASBGPS14 = .A ;
IF ASBGPS15 = 8                THEN ASBGPS15 = .A ;
IF ASBGPS16 = 8                THEN ASBGPS16 = .A ;
IF ASBMTWEL = 8                THEN ASBMTWEL = .A ;
IF ASBMTMOR = 8                THEN ASBMTMOR = .A ;
IF ASBMTCLM = 8                THEN ASBMTCLM = .A ;
IF ASBMTENJ = 8                THEN ASBMTENJ = .A ;
IF ASBMTNOT = 8                THEN ASBMTNOT = .A ;
IF ASBMTQKY = 8                THEN ASBMTQKY = .A ;
IF ASBMHASM = 8                THEN ASBMHASM = .A ;
IF ASBMHWFD = 8                THEN ASBMHWFD = .A ;
IF ASBMHMCL = 8                THEN ASBMHMCL = .A ;
IF ASBMHTCG = 8                THEN ASBMHTCG = .A ;
IF ASBMHCTR = 8                THEN ASBMHCTR = .A ;
IF ASBMHWSG = 8                THEN ASBMHWSG = .A ;
IF ASBMHEXP = 8                THEN ASBMHEXP = .A ;
IF ASBMHLTT = 8                THEN ASBMHLTT = .A ;
IF ASBMHWPO = 8                THEN ASBMHWPO = .A ;
IF ASBMHCAL = 8                THEN ASBMHCAL = .A ;
IF ASBSTWEL = 8                THEN ASBSTWEL = .A ;
IF ASBSTMOR = 8                THEN ASBSTMOR = .A ;
IF ASBSTCLM = 8                THEN ASBSTCLM = .A ;
IF ASBSTENJ = 8                THEN ASBSTENJ = .A ;
IF ASBSTNOT = 8                THEN ASBSTNOT = .A ;
IF ASBSTQKY = 8                THEN ASBSTQKY = .A ;
IF ASBSWATE = 8                THEN ASBSWATE = .A ;
IF ASBSHPEX = 8                THEN ASBSHPEX = .A ;
IF ASBSDSEI = 8                THEN ASBSDSEI = .A ;
IF ASBSHWGX = 8                THEN ASBSHWGX = .A ;
IF ASBSWESS = 8                THEN ASBSWESS = .A ;
IF ASBSLWPS = 8                THEN ASBSLWPS = .A ;
IF ASBSHLTT = 8                THEN ASBSHLTT = .A ;
IF ASBSHWPX = 8                THEN ASBSHWPX = .A ;
IF ASBGUSEC = 8                THEN ASBGUSEC = .A ;
IF ASBGCHOM = 8                THEN ASBGCHOM = .A ;
IF ASBGCSCH = 8                THEN ASBGCSCH = .A ;
IF ASBGCLIB = 8                THEN ASBGCLIB = .A ;
IF ASBGCFRH = 8                THEN ASBGCFRH = .A ;
IF ASBGCCAF = 8                THEN ASBGCCAF = .A ;
IF ASBGCELS = 8                THEN ASBGCELS = .A ;
IF ASBMOINF = 8                THEN ASBMOINF = .A ;
IF ASBSOINF = 8                THEN ASBSOINF = .A ;
IF ASBGOREP = 8                THEN ASBGOREP = .A ;
IF ASBGALBS = 8                THEN ASBGALBS = .A ;
IF ASBGATTB = 8                THEN ASBGATTB = .A ;
IF ASBGATCS = 8                THEN ASBGATCS = .A ;
IF ASBGATSB = 8                THEN ASBGATSB = .A ;
IF ASBGSTOL = 8                THEN ASBGSTOL = .A ;
IF ASBGHURT = 8                THEN ASBGHURT = .A ;
IF ASBGMADE = 8                THEN ASBGMADE = .A ;
IF ASBGMFUN = 8                THEN ASBGMFUN = .A ;
IF ASBGLEFT = 8                THEN ASBGLEFT = .A ;
IF ASBGWATV = 8                THEN ASBGWATV = .A ;
IF ASBGPLCG = 8                THEN ASBGPLCG = .A ;
IF ASBGPLFD = 8                THEN ASBGPLFD = .A ;
IF ASBGJOHM = 8                THEN ASBGJOHM = .A ;
IF ASBGPLSP = 8                THEN ASBGPLSP = .A ;
IF ASBGREBO = 8                THEN ASBGREBO = .A ;
IF ASBGUSIN = 8                THEN ASBGUSIN = .A ;
IF ASBGDOHW = 8                THEN ASBGDOHW = .A ;
IF ASBMEXTO = 8                THEN ASBMEXTO = .A ;
IF ASBSEXTO = 8                THEN ASBSEXTO = .A ;
IF ASBMHWMA = 8                THEN ASBMHWMA = .A ;
IF ASBMHWMG = 8                THEN ASBMHWMG = .A ;
IF ASBSHWMA = 8                THEN ASBSHWMA = .A ;
IF ASBSHWMG = 8                THEN ASBSHWMG = .A ;
IF ASBGPLHO = 98               THEN ASBGPLHO = .A ;
IF ASBGMBRN = 8                THEN ASBGMBRN = .A ;
IF ASBGFBRN = 8                THEN ASBGFBRN = .A ;
IF ASBGBORN = 8                THEN ASBGBORN = .A ;
IF ASBGBRNC = 8                THEN ASBGBRNC = .A ;
IF TOTWGT   = 999998           THEN TOTWGT   = .A ;
IF HOUWGT   = 98               THEN HOUWGT   = .A ;
IF SENWGT   = 8                THEN SENWGT   = .A ;
IF WGTFAC1  = 999998           THEN WGTFAC1  = .A ;
IF WGTADJ1  = 999998           THEN WGTADJ1  = .A ;
IF WGTADJ2  = 999998           THEN WGTADJ2  = .A ;
IF WGTFAC2  = 999998           THEN WGTFAC2  = .A ;
IF WGTFAC3  = 999998           THEN WGTFAC3  = .A ;
IF WGTADJ3  = 999998           THEN WGTADJ3  = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF ASMSCPT  = 98               THEN ASMSCPT  = .A ;
IF ASMSTDR  = 9998             THEN ASMSTDR  = .A ;
IF ASSNRSC  = 9998             THEN ASSNRSC  = .A ;
IF ASSSCPT  = 98               THEN ASSSCPT  = .A ;
IF ASSSTDR  = 9998             THEN ASSSTDR  = .A ;
IF ASMNRSC  = 9998             THEN ASMNRSC  = .A ;
IF ASMMAT01 = 998              THEN ASMMAT01 = .A ;
IF ASMMAT02 = 998              THEN ASMMAT02 = .A ;
IF ASMMAT03 = 998              THEN ASMMAT03 = .A ;
IF ASMMAT04 = 998              THEN ASMMAT04 = .A ;
IF ASMMAT05 = 998              THEN ASMMAT05 = .A ;
IF ASMAPP01 = 998              THEN ASMAPP01 = .A ;
IF ASMAPP02 = 998              THEN ASMAPP02 = .A ;
IF ASMAPP03 = 998              THEN ASMAPP03 = .A ;
IF ASMAPP04 = 998              THEN ASMAPP04 = .A ;
IF ASMAPP05 = 998              THEN ASMAPP05 = .A ;
IF ASMKNO01 = 998              THEN ASMKNO01 = .A ;
IF ASMKNO02 = 998              THEN ASMKNO02 = .A ;
IF ASMKNO03 = 998              THEN ASMKNO03 = .A ;
IF ASMKNO04 = 998              THEN ASMKNO04 = .A ;
IF ASMKNO05 = 998              THEN ASMKNO05 = .A ;
IF ASMREA01 = 998              THEN ASMREA01 = .A ;
IF ASMREA02 = 998              THEN ASMREA02 = .A ;
IF ASMREA03 = 998              THEN ASMREA03 = .A ;
IF ASMREA04 = 998              THEN ASMREA04 = .A ;
IF ASMREA05 = 998              THEN ASMREA05 = .A ;
IF ASSSCI01 = 998              THEN ASSSCI01 = .A ;
IF ASSSCI02 = 998              THEN ASSSCI02 = .A ;
IF ASSSCI03 = 998              THEN ASSSCI03 = .A ;
IF ASSSCI04 = 998              THEN ASSSCI04 = .A ;
IF ASSSCI05 = 998              THEN ASSSCI05 = .A ;
IF ASMALG01 = 998              THEN ASMALG01 = .A ;
IF ASMALG02 = 998              THEN ASMALG02 = .A ;
IF ASMALG03 = 998              THEN ASMALG03 = .A ;
IF ASMALG04 = 998              THEN ASMALG04 = .A ;
IF ASMALG05 = 998              THEN ASMALG05 = .A ;
IF ASMDAP01 = 998              THEN ASMDAP01 = .A ;
IF ASMDAP02 = 998              THEN ASMDAP02 = .A ;
IF ASMDAP03 = 998              THEN ASMDAP03 = .A ;
IF ASMDAP04 = 998              THEN ASMDAP04 = .A ;
IF ASMDAP05 = 998              THEN ASMDAP05 = .A ;
IF ASMFNS01 = 998              THEN ASMFNS01 = .A ;
IF ASMFNS02 = 998              THEN ASMFNS02 = .A ;
IF ASMFNS03 = 998              THEN ASMFNS03 = .A ;
IF ASMFNS04 = 998              THEN ASMFNS04 = .A ;
IF ASMFNS05 = 998              THEN ASMFNS05 = .A ;
IF ASMGEO01 = 998              THEN ASMGEO01 = .A ;
IF ASMGEO02 = 998              THEN ASMGEO02 = .A ;
IF ASMGEO03 = 998              THEN ASMGEO03 = .A ;
IF ASMGEO04 = 998              THEN ASMGEO04 = .A ;
IF ASMGEO05 = 998              THEN ASMGEO05 = .A ;
IF ASMMEA01 = 998              THEN ASMMEA01 = .A ;
IF ASMMEA02 = 998              THEN ASMMEA02 = .A ;
IF ASMMEA03 = 998              THEN ASMMEA03 = .A ;
IF ASMMEA04 = 998              THEN ASMMEA04 = .A ;
IF ASMMEA05 = 998              THEN ASMMEA05 = .A ;
IF ASSEAS01 = 998              THEN ASSEAS01 = .A ;
IF ASSEAS02 = 998              THEN ASSEAS02 = .A ;
IF ASSEAS03 = 998              THEN ASSEAS03 = .A ;
IF ASSEAS04 = 998              THEN ASSEAS04 = .A ;
IF ASSEAS05 = 998              THEN ASSEAS05 = .A ;
IF ASSLIS01 = 998              THEN ASSLIS01 = .A ;
IF ASSLIS02 = 998              THEN ASSLIS02 = .A ;
IF ASSLIS03 = 998              THEN ASSLIS03 = .A ;
IF ASSLIS04 = 998              THEN ASSLIS04 = .A ;
IF ASSLIS05 = 998              THEN ASSLIS05 = .A ;
IF ASSPHY01 = 998              THEN ASSPHY01 = .A ;
IF ASSPHY02 = 998              THEN ASSPHY02 = .A ;
IF ASSPHY03 = 998              THEN ASSPHY03 = .A ;
IF ASSPHY04 = 998              THEN ASSPHY04 = .A ;
IF ASSPHY05 = 998              THEN ASSPHY05 = .A ;
IF ASDGCAVL = 8                THEN ASDGCAVL = .A ;
IF ASDGPSS  = 8                THEN ASDGPSS  = .A ;
IF ASDMSCL  = 8                THEN ASDMSCL  = .A ;
IF ASDSSCL  = 8                THEN ASDSSCL  = .A ;
IF ASDMHW   = 8                THEN ASDMHW   = .A ;
IF ASDSHW   = 8                THEN ASDSHW   = .A ;
IF ASMIBM01 = 8                THEN ASMIBM01 = .A ;
IF ASMIBM02 = 8                THEN ASMIBM02 = .A ;
IF ASMIBM03 = 8                THEN ASMIBM03 = .A ;
IF ASMIBM04 = 8                THEN ASMIBM04 = .A ;
IF ASMIBM05 = 8                THEN ASMIBM05 = .A ;
IF ASSIBM01 = 8                THEN ASSIBM01 = .A ;
IF ASSIBM02 = 8                THEN ASSIBM02 = .A ;
IF ASSIBM03 = 8                THEN ASSIBM03 = .A ;
IF ASSIBM04 = 8                THEN ASSIBM04 = .A ;
IF ASSIBM05 = 8                THEN ASSIBM05 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF ASBGCHOM = 6                THEN ASBGCHOM = .B ;
IF ASBGCSCH = 6                THEN ASBGCSCH = .B ;
IF ASBGCLIB = 6                THEN ASBGCLIB = .B ;
IF ASBGCFRH = 6                THEN ASBGCFRH = .B ;
IF ASBGCCAF = 6                THEN ASBGCCAF = .B ;
IF ASBGCELS = 6                THEN ASBGCELS = .B ;
IF ASBMOINF = 6                THEN ASBMOINF = .B ;
IF ASBSOINF = 6                THEN ASBSOINF = .B ;
IF ASBGOREP = 6                THEN ASBGOREP = .B ;
IF ASBMHWMG = 6                THEN ASBMHWMG = .B ;
IF ASBSHWMG = 6                THEN ASBSHWMG = .B ;
IF ASBGBRNC = 6                THEN ASBGBRNC = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF IDSTRATE = 999              THEN IDSTRATE = . ;
IF IDSTRATI = 999              THEN IDSTRATI = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITLANG   = 9                THEN ITLANG   = . ;
IF ITADMINI = 9                THEN ITADMINI = . ;
IF ITDATEM  = 99               THEN ITDATEM  = . ;
IF ITDATEY  = 9999             THEN ITDATEY  = . ;
IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF ASDAGE   = 99               THEN ASDAGE   = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF ASBGBRTY = 99               THEN ASBGBRTY = . ;
IF ASBGBRTM = 99               THEN ASBGBRTM = . ;
IF ASBGSEX  = 9                THEN ASBGSEX  = . ;
IF ASBGOLAN = 9                THEN ASBGOLAN = . ;
IF ASBGBOOK = 9                THEN ASBGBOOK = . ;
IF ASBGPS01 = 9                THEN ASBGPS01 = . ;
IF ASBGPS02 = 9                THEN ASBGPS02 = . ;
IF ASBGPS03 = 9                THEN ASBGPS03 = . ;
IF ASBGPS04 = 9                THEN ASBGPS04 = . ;
IF ASBGPS05 = 9                THEN ASBGPS05 = . ;
IF ASBGPS06 = 9                THEN ASBGPS06 = . ;
IF ASBGPS07 = 9                THEN ASBGPS07 = . ;
IF ASBGPS08 = 9                THEN ASBGPS08 = . ;
IF ASBGPS09 = 9                THEN ASBGPS09 = . ;
IF ASBGPS10 = 9                THEN ASBGPS10 = . ;
IF ASBGPS11 = 9                THEN ASBGPS11 = . ;
IF ASBGPS12 = 9                THEN ASBGPS12 = . ;
IF ASBGPS13 = 9                THEN ASBGPS13 = . ;
IF ASBGPS14 = 9                THEN ASBGPS14 = . ;
IF ASBGPS15 = 9                THEN ASBGPS15 = . ;
IF ASBGPS16 = 9                THEN ASBGPS16 = . ;
IF ASBMTWEL = 9                THEN ASBMTWEL = . ;
IF ASBMTMOR = 9                THEN ASBMTMOR = . ;
IF ASBMTCLM = 9                THEN ASBMTCLM = . ;
IF ASBMTENJ = 9                THEN ASBMTENJ = . ;
IF ASBMTNOT = 9                THEN ASBMTNOT = . ;
IF ASBMTQKY = 9                THEN ASBMTQKY = . ;
IF ASBMHASM = 9                THEN ASBMHASM = . ;
IF ASBMHWFD = 9                THEN ASBMHWFD = . ;
IF ASBMHMCL = 9                THEN ASBMHMCL = . ;
IF ASBMHTCG = 9                THEN ASBMHTCG = . ;
IF ASBMHCTR = 9                THEN ASBMHCTR = . ;
IF ASBMHWSG = 9                THEN ASBMHWSG = . ;
IF ASBMHEXP = 9                THEN ASBMHEXP = . ;
IF ASBMHLTT = 9                THEN ASBMHLTT = . ;
IF ASBMHWPO = 9                THEN ASBMHWPO = . ;
IF ASBMHCAL = 9                THEN ASBMHCAL = . ;
IF ASBSTWEL = 9                THEN ASBSTWEL = . ;
IF ASBSTMOR = 9                THEN ASBSTMOR = . ;
IF ASBSTCLM = 9                THEN ASBSTCLM = . ;
IF ASBSTENJ = 9                THEN ASBSTENJ = . ;
IF ASBSTNOT = 9                THEN ASBSTNOT = . ;
IF ASBSTQKY = 9                THEN ASBSTQKY = . ;
IF ASBSWATE = 9                THEN ASBSWATE = . ;
IF ASBSHPEX = 9                THEN ASBSHPEX = . ;
IF ASBSDSEI = 9                THEN ASBSDSEI = . ;
IF ASBSHWGX = 9                THEN ASBSHWGX = . ;
IF ASBSWESS = 9                THEN ASBSWESS = . ;
IF ASBSLWPS = 9                THEN ASBSLWPS = . ;
IF ASBSHLTT = 9                THEN ASBSHLTT = . ;
IF ASBSHWPX = 9                THEN ASBSHWPX = . ;
IF ASBGUSEC = 9                THEN ASBGUSEC = . ;
IF ASBGCHOM = 9                THEN ASBGCHOM = . ;
IF ASBGCSCH = 9                THEN ASBGCSCH = . ;
IF ASBGCLIB = 9                THEN ASBGCLIB = . ;
IF ASBGCFRH = 9                THEN ASBGCFRH = . ;
IF ASBGCCAF = 9                THEN ASBGCCAF = . ;
IF ASBGCELS = 9                THEN ASBGCELS = . ;
IF ASBMOINF = 9                THEN ASBMOINF = . ;
IF ASBSOINF = 9                THEN ASBSOINF = . ;
IF ASBGOREP = 9                THEN ASBGOREP = . ;
IF ASBGALBS = 9                THEN ASBGALBS = . ;
IF ASBGATTB = 9                THEN ASBGATTB = . ;
IF ASBGATCS = 9                THEN ASBGATCS = . ;
IF ASBGATSB = 9                THEN ASBGATSB = . ;
IF ASBGSTOL = 9                THEN ASBGSTOL = . ;
IF ASBGHURT = 9                THEN ASBGHURT = . ;
IF ASBGMADE = 9                THEN ASBGMADE = . ;
IF ASBGMFUN = 9                THEN ASBGMFUN = . ;
IF ASBGLEFT = 9                THEN ASBGLEFT = . ;
IF ASBGWATV = 9                THEN ASBGWATV = . ;
IF ASBGPLCG = 9                THEN ASBGPLCG = . ;
IF ASBGPLFD = 9                THEN ASBGPLFD = . ;
IF ASBGJOHM = 9                THEN ASBGJOHM = . ;
IF ASBGPLSP = 9                THEN ASBGPLSP = . ;
IF ASBGREBO = 9                THEN ASBGREBO = . ;
IF ASBGUSIN = 9                THEN ASBGUSIN = . ;
IF ASBGDOHW = 9                THEN ASBGDOHW = . ;
IF ASBMEXTO = 9                THEN ASBMEXTO = . ;
IF ASBSEXTO = 9                THEN ASBSEXTO = . ;
IF ASBMHWMA = 9                THEN ASBMHWMA = . ;
IF ASBMHWMG = 9                THEN ASBMHWMG = . ;
IF ASBSHWMA = 9                THEN ASBSHWMA = . ;
IF ASBSHWMG = 9                THEN ASBSHWMG = . ;
IF ASBGPLHO = 99               THEN ASBGPLHO = . ;
IF ASBGMBRN = 9                THEN ASBGMBRN = . ;
IF ASBGFBRN = 9                THEN ASBGFBRN = . ;
IF ASBGBORN = 9                THEN ASBGBORN = . ;
IF ASBGBRNC = 9                THEN ASBGBRNC = . ;
IF TOTWGT   = 999999           THEN TOTWGT   = . ;
IF HOUWGT   = 99               THEN HOUWGT   = . ;
IF SENWGT   = 9                THEN SENWGT   = . ;
IF WGTFAC1  = 999999           THEN WGTFAC1  = . ;
IF WGTADJ1  = 999999           THEN WGTADJ1  = . ;
IF WGTADJ2  = 999999           THEN WGTADJ2  = . ;
IF WGTFAC2  = 999999           THEN WGTFAC2  = . ;
IF WGTFAC3  = 999999           THEN WGTFAC3  = . ;
IF WGTADJ3  = 999999           THEN WGTADJ3  = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF ASMSCPT  = 99               THEN ASMSCPT  = . ;
IF ASMSTDR  = 9999             THEN ASMSTDR  = . ;
IF ASSNRSC  = 9999             THEN ASSNRSC  = . ;
IF ASSSCPT  = 99               THEN ASSSCPT  = . ;
IF ASSSTDR  = 9999             THEN ASSSTDR  = . ;
IF ASMNRSC  = 9999             THEN ASMNRSC  = . ;
IF ASMMAT01 = 999              THEN ASMMAT01 = . ;
IF ASMMAT02 = 999              THEN ASMMAT02 = . ;
IF ASMMAT03 = 999              THEN ASMMAT03 = . ;
IF ASMMAT04 = 999              THEN ASMMAT04 = . ;
IF ASMMAT05 = 999              THEN ASMMAT05 = . ;
IF ASMAPP01 = 999              THEN ASMAPP01 = . ;
IF ASMAPP02 = 999              THEN ASMAPP02 = . ;
IF ASMAPP03 = 999              THEN ASMAPP03 = . ;
IF ASMAPP04 = 999              THEN ASMAPP04 = . ;
IF ASMAPP05 = 999              THEN ASMAPP05 = . ;
IF ASMKNO01 = 999              THEN ASMKNO01 = . ;
IF ASMKNO02 = 999              THEN ASMKNO02 = . ;
IF ASMKNO03 = 999              THEN ASMKNO03 = . ;
IF ASMKNO04 = 999              THEN ASMKNO04 = . ;
IF ASMKNO05 = 999              THEN ASMKNO05 = . ;
IF ASMREA01 = 999              THEN ASMREA01 = . ;
IF ASMREA02 = 999              THEN ASMREA02 = . ;
IF ASMREA03 = 999              THEN ASMREA03 = . ;
IF ASMREA04 = 999              THEN ASMREA04 = . ;
IF ASMREA05 = 999              THEN ASMREA05 = . ;
IF ASSSCI01 = 999              THEN ASSSCI01 = . ;
IF ASSSCI02 = 999              THEN ASSSCI02 = . ;
IF ASSSCI03 = 999              THEN ASSSCI03 = . ;
IF ASSSCI04 = 999              THEN ASSSCI04 = . ;
IF ASSSCI05 = 999              THEN ASSSCI05 = . ;
IF ASMALG01 = 999              THEN ASMALG01 = . ;
IF ASMALG02 = 999              THEN ASMALG02 = . ;
IF ASMALG03 = 999              THEN ASMALG03 = . ;
IF ASMALG04 = 999              THEN ASMALG04 = . ;
IF ASMALG05 = 999              THEN ASMALG05 = . ;
IF ASMDAP01 = 999              THEN ASMDAP01 = . ;
IF ASMDAP02 = 999              THEN ASMDAP02 = . ;
IF ASMDAP03 = 999              THEN ASMDAP03 = . ;
IF ASMDAP04 = 999              THEN ASMDAP04 = . ;
IF ASMDAP05 = 999              THEN ASMDAP05 = . ;
IF ASMFNS01 = 999              THEN ASMFNS01 = . ;
IF ASMFNS02 = 999              THEN ASMFNS02 = . ;
IF ASMFNS03 = 999              THEN ASMFNS03 = . ;
IF ASMFNS04 = 999              THEN ASMFNS04 = . ;
IF ASMFNS05 = 999              THEN ASMFNS05 = . ;
IF ASMGEO01 = 999              THEN ASMGEO01 = . ;
IF ASMGEO02 = 999              THEN ASMGEO02 = . ;
IF ASMGEO03 = 999              THEN ASMGEO03 = . ;
IF ASMGEO04 = 999              THEN ASMGEO04 = . ;
IF ASMGEO05 = 999              THEN ASMGEO05 = . ;
IF ASMMEA01 = 999              THEN ASMMEA01 = . ;
IF ASMMEA02 = 999              THEN ASMMEA02 = . ;
IF ASMMEA03 = 999              THEN ASMMEA03 = . ;
IF ASMMEA04 = 999              THEN ASMMEA04 = . ;
IF ASMMEA05 = 999              THEN ASMMEA05 = . ;
IF ASSEAS01 = 999              THEN ASSEAS01 = . ;
IF ASSEAS02 = 999              THEN ASSEAS02 = . ;
IF ASSEAS03 = 999              THEN ASSEAS03 = . ;
IF ASSEAS04 = 999              THEN ASSEAS04 = . ;
IF ASSEAS05 = 999              THEN ASSEAS05 = . ;
IF ASSLIS01 = 999              THEN ASSLIS01 = . ;
IF ASSLIS02 = 999              THEN ASSLIS02 = . ;
IF ASSLIS03 = 999              THEN ASSLIS03 = . ;
IF ASSLIS04 = 999              THEN ASSLIS04 = . ;
IF ASSLIS05 = 999              THEN ASSLIS05 = . ;
IF ASSPHY01 = 999              THEN ASSPHY01 = . ;
IF ASSPHY02 = 999              THEN ASSPHY02 = . ;
IF ASSPHY03 = 999              THEN ASSPHY03 = . ;
IF ASSPHY04 = 999              THEN ASSPHY04 = . ;
IF ASSPHY05 = 999              THEN ASSPHY05 = . ;
IF ASDGCAVL = 9                THEN ASDGCAVL = . ;
IF ASDGPSS  = 9                THEN ASDGPSS  = . ;
IF ASDMSCL  = 9                THEN ASDMSCL  = . ;
IF ASDSSCL  = 9                THEN ASDSSCL  = . ;
IF ASDMHW   = 9                THEN ASDMHW   = . ;
IF ASDSHW   = 9                THEN ASDSHW   = . ;
IF ASMIBM01 = 9                THEN ASMIBM01 = . ;
IF ASMIBM02 = 9                THEN ASMIBM02 = . ;
IF ASMIBM03 = 9                THEN ASMIBM03 = . ;
IF ASMIBM04 = 9                THEN ASMIBM04 = . ;
IF ASMIBM05 = 9                THEN ASMIBM05 = . ;
IF ASSIBM01 = 9                THEN ASSIBM01 = . ;
IF ASSIBM02 = 9                THEN ASSIBM02 = . ;
IF ASSIBM03 = 9                THEN ASSIBM03 = . ;
IF ASSIBM04 = 9                THEN ASSIBM04 = . ;
IF ASSIBM05 = 9                THEN ASSIBM05 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;


