**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
           ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
           RUS SCO SGP SVN TUN TWN USA UIN YEM ;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= ASR&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDSCORR    3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      M031305    3 ;
LENGTH      MI31305    3 ;
LENGTH      MR31305    3 ;
LENGTH      M031065    3 ;
LENGTH      MI31065    3 ;
LENGTH      MR31065    3 ;
LENGTH      M031322    3 ;
LENGTH      MI31322    3 ;
LENGTH      MR31322    3 ;
LENGTH      M031298    3 ;
LENGTH      MI31298    3 ;
LENGTH      MR31298    3 ;
LENGTH      M031327    3 ;
LENGTH      MI31327    3 ;
LENGTH      MR31327    3 ;
LENGTH      M031269    3 ;
LENGTH      MI31269    3 ;
LENGTH      MR31269    3 ;
LENGTH      M031264    3 ;
LENGTH      MI31264    3 ;
LENGTH      MR31264    3 ;
LENGTH      M031265    3 ;
LENGTH      MI31265    3 ;
LENGTH      MR31265    3 ;
LENGTH      M031286    3 ;
LENGTH      MI31286    3 ;
LENGTH      MR31286    3 ;
LENGTH      M031106    3 ;
LENGTH      MI31106    3 ;
LENGTH      MR31106    3 ;
LENGTH      M031282    3 ;
LENGTH      MI31282    3 ;
LENGTH      MR31282    3 ;
LENGTH      M031227    3 ;
LENGTH      MI31227    3 ;
LENGTH      MR31227    3 ;
LENGTH      M031068    3 ;
LENGTH      MI31068    3 ;
LENGTH      MR31068    3 ;
LENGTH      M031299    3 ;
LENGTH      MI31299    3 ;
LENGTH      MR31299    3 ;
LENGTH      M031301    3 ;
LENGTH      MI31301    3 ;
LENGTH      MR31301    3 ;
LENGTH      M031271    3 ;
LENGTH      MI31271    3 ;
LENGTH      MR31271    3 ;
LENGTH      M031134    3 ;
LENGTH      MI31134    3 ;
LENGTH      MR31134    3 ;
LENGTH      M031235    3 ;
LENGTH      MI31235    3 ;
LENGTH      MR31235    3 ;
LENGTH      M031285    3 ;
LENGTH      MI31285    3 ;
LENGTH      MR31285    3 ;
LENGTH      M031258    3 ;
LENGTH      MI31258    3 ;
LENGTH      MR31258    3 ;
LENGTH      M031041    3 ;
LENGTH      MI31041    3 ;
LENGTH      MR31041    3 ;
LENGTH      M031350A   3 ;
LENGTH      MI31350A   3 ;
LENGTH      MR31350A   3 ;
LENGTH      M031350B   3 ;
LENGTH      MI31350B   3 ;
LENGTH      MR31350B   3 ;
LENGTH      M031350C   3 ;
LENGTH      MI31350C   3 ;
LENGTH      MR31350C   3 ;
LENGTH      M031274    3 ;
LENGTH      MI31274    3 ;
LENGTH      MR31274    3 ;
LENGTH      M031240    3 ;
LENGTH      MI31240    3 ;
LENGTH      MR31240    3 ;
LENGTH      M031309    3 ;
LENGTH      MI31309    3 ;
LENGTH      MR31309    3 ;
LENGTH      M031242A   3 ;
LENGTH      MI31242A   3 ;
LENGTH      MR31242A   3 ;
LENGTH      M031242B   3 ;
LENGTH      MI31242B   3 ;
LENGTH      MR31242B   3 ;
LENGTH      M031247    3 ;
LENGTH      MI31247    3 ;
LENGTH      MR31247    3 ;
LENGTH      M031030    3 ;
LENGTH      MI31030    3 ;
LENGTH      MR31030    3 ;
LENGTH      M031330    3 ;
LENGTH      MI31330    3 ;
LENGTH      MR31330    3 ;
LENGTH      M031162    3 ;
LENGTH      MI31162    3 ;
LENGTH      MR31162    3 ;
LENGTH      M031249    3 ;
LENGTH      MI31249    3 ;
LENGTH      MR31249    3 ;
LENGTH      M031347A   3 ;
LENGTH      MI31347A   3 ;
LENGTH      MR31347A   3 ;
LENGTH      M031347B   3 ;
LENGTH      MI31347B   3 ;
LENGTH      MR31347B   3 ;
LENGTH      M031347C   3 ;
LENGTH      MI31347C   3 ;
LENGTH      MR31347C   3 ;
LENGTH      M031348A   3 ;
LENGTH      MI31348A   3 ;
LENGTH      MR31348A   3 ;
LENGTH      M031348B   3 ;
LENGTH      MI31348B   3 ;
LENGTH      MR31348B   3 ;
LENGTH      M031306    3 ;
LENGTH      MI31306    3 ;
LENGTH      MR31306    3 ;
LENGTH      M031011    3 ;
LENGTH      MI31011    3 ;
LENGTH      MR31011    3 ;
LENGTH      M031304    3 ;
LENGTH      MI31304    3 ;
LENGTH      MR31304    3 ;
LENGTH      M031272A   3 ;
LENGTH      MI31272A   3 ;
LENGTH      MR31272A   3 ;
LENGTH      M031272B   3 ;
LENGTH      MI31272B   3 ;
LENGTH      MR31272B   3 ;
LENGTH      M031272C   3 ;
LENGTH      MI31272C   3 ;
LENGTH      MR31272C   3 ;
LENGTH      M031267    3 ;
LENGTH      MI31267    3 ;
LENGTH      MR31267    3 ;
LENGTH      M031128    3 ;
LENGTH      MI31128    3 ;
LENGTH      MR31128    3 ;
LENGTH      M031016    3 ;
LENGTH      MI31016    3 ;
LENGTH      MR31016    3 ;
LENGTH      M031183    3 ;
LENGTH      MI31183    3 ;
LENGTH      MR31183    3 ;
LENGTH      M031297    3 ;
LENGTH      MI31297    3 ;
LENGTH      MR31297    3 ;
LENGTH      M031133    3 ;
LENGTH      MI31133    3 ;
LENGTH      MR31133    3 ;
LENGTH      M031009    3 ;
LENGTH      MI31009    3 ;
LENGTH      MR31009    3 ;
LENGTH      M031316    3 ;
LENGTH      MI31316    3 ;
LENGTH      MR31316    3 ;
LENGTH      M031079B   3 ;
LENGTH      MI31079B   3 ;
LENGTH      MR31079B   3 ;
LENGTH      M031079C   3 ;
LENGTH      MI31079C   3 ;
LENGTH      MR31079C   3 ;
LENGTH      M031325    3 ;
LENGTH      MI31325    3 ;
LENGTH      MR31325    3 ;
LENGTH      M031344A   3 ;
LENGTH      MI31344A   3 ;
LENGTH      MR31344A   3 ;
LENGTH      M031344B   3 ;
LENGTH      MI31344B   3 ;
LENGTH      MR31344B   3 ;
LENGTH      M031344C   3 ;
LENGTH      MI31344C   3 ;
LENGTH      MR31344C   3 ;
LENGTH      M031345A   3 ;
LENGTH      MI31345A   3 ;
LENGTH      MR31345A   3 ;
LENGTH      M031345B   3 ;
LENGTH      MI31345B   3 ;
LENGTH      MR31345B   3 ;
LENGTH      M031345C   3 ;
LENGTH      MI31345C   3 ;
LENGTH      MR31345C   3 ;
LENGTH      M031130    3 ;
LENGTH      MI31130    3 ;
LENGTH      MR31130    3 ;
LENGTH      M031346A   3 ;
LENGTH      MI31346A   3 ;
LENGTH      MR31346A   3 ;
LENGTH      M031346B   3 ;
LENGTH      MI31346B   3 ;
LENGTH      MR31346B   3 ;
LENGTH      M031346C   3 ;
LENGTH      MI31346C   3 ;
LENGTH      MR31346C   3 ;
LENGTH      M031379    3 ;
LENGTH      MI31379    3 ;
LENGTH      MR31379    3 ;
LENGTH      M031380    3 ;
LENGTH      MI31380    3 ;
LENGTH      MR31380    3 ;
LENGTH      M031313    3 ;
LENGTH      MI31313    3 ;
LENGTH      MR31313    3 ;
LENGTH      S011032    3 ;
LENGTH      SI11032    3 ;
LENGTH      SR11032    3 ;
LENGTH      S011019    3 ;
LENGTH      SI11019    3 ;
LENGTH      SR11019    3 ;
LENGTH      S031246    3 ;
LENGTH      SI31246    3 ;
LENGTH      SR31246    3 ;
LENGTH      S031251    3 ;
LENGTH      SI31251    3 ;
LENGTH      SR31251    3 ;
LENGTH      S031053    3 ;
LENGTH      SI31053    3 ;
LENGTH      SR31053    3 ;
LENGTH      S031005    3 ;
LENGTH      SI31005    3 ;
LENGTH      SR31005    3 ;
LENGTH      S031372A   3 ;
LENGTH      SI31372A   3 ;
LENGTH      SR31372A   3 ;
LENGTH      S031372B   3 ;
LENGTH      SI31372B   3 ;
LENGTH      SR31372B   3 ;
LENGTH      S031270    3 ;
LENGTH      SI31270    3 ;
LENGTH      SR31270    3 ;
LENGTH      S031026    3 ;
LENGTH      SI31026    3 ;
LENGTH      SR31026    3 ;
LENGTH      S031414A   3 ;
LENGTH      SI31414A   3 ;
LENGTH      SR31414A   3 ;
LENGTH      S031414B   3 ;
LENGTH      SI31414B   3 ;
LENGTH      SR31414B   3 ;
LENGTH      S031009    3 ;
LENGTH      SI31009    3 ;
LENGTH      SR31009    3 ;
LENGTH      S031384A   3 ;
LENGTH      SI31384A   3 ;
LENGTH      SR31384A   3 ;
LENGTH      S031384B   3 ;
LENGTH      SI31384B   3 ;
LENGTH      SR31384B   3 ;
LENGTH      S031240A   3 ;
LENGTH      S031240B   3 ;
LENGTH      SI31240A   3 ;
LENGTH      SI31240B   3 ;
LENGTH      SR31240A   3 ;
LENGTH      SR31240B   3 ;
LENGTH      S031235A   3 ;
LENGTH      SI31235A   3 ;
LENGTH      SR31235A   3 ;
LENGTH      S031235B   3 ;
LENGTH      SI31235B   3 ;
LENGTH      SR31235B   3 ;
LENGTH      S031399A   3 ;
LENGTH      SI31399A   3 ;
LENGTH      SR31399A   3 ;
LENGTH      S031399B   3 ;
LENGTH      SI31399B   3 ;
LENGTH      SR31399B   3 ;
LENGTH      S031393    3 ;
LENGTH      SI31393    3 ;
LENGTH      SR31393    3 ;
LENGTH      S031278    3 ;
LENGTH      SI31278    3 ;
LENGTH      SR31278    3 ;
LENGTH      S031190    3 ;
LENGTH      SI31190    3 ;
LENGTH      SR31190    3 ;
LENGTH      S031047    3 ;
LENGTH      SI31047    3 ;
LENGTH      SR31047    3 ;
LENGTH      S031396A   3 ;
LENGTH      S031396B   3 ;
LENGTH      SI31396A   3 ;
LENGTH      SI31396B   3 ;
LENGTH      SR31396A   3 ;
LENGTH      SR31396B   3 ;
LENGTH      S031391A   3 ;
LENGTH      S031391B   3 ;
LENGTH      SI31391A   3 ;
LENGTH      SI31391B   3 ;
LENGTH      SR31391A   3 ;
LENGTH      SR31391B   3 ;
LENGTH      S031421    3 ;
LENGTH      SI31421    3 ;
LENGTH      SR31421    3 ;
LENGTH      S031076    3 ;
LENGTH      SI31076    3 ;
LENGTH      SR31076    3 ;
LENGTH      S031330    3 ;
LENGTH      SI31330    3 ;
LENGTH      SR31330    3 ;
LENGTH      S031241A   3 ;
LENGTH      S031241B   3 ;
LENGTH      SI31241A   3 ;
LENGTH      SI31241B   3 ;
LENGTH      SR31241A   3 ;
LENGTH      SR31241B   3 ;
LENGTH      S031252    3 ;
LENGTH      SI31252    3 ;
LENGTH      SR31252    3 ;
LENGTH      S031406A   3 ;
LENGTH      SI31406A   3 ;
LENGTH      SR31406A   3 ;
LENGTH      S031406B   3 ;
LENGTH      SI31406B   3 ;
LENGTH      SR31406B   3 ;
LENGTH      S031382    3 ;
LENGTH      SI31382    3 ;
LENGTH      SR31382    3 ;
LENGTH      S031218    3 ;
LENGTH      SI31218    3 ;
LENGTH      SR31218    3 ;
LENGTH      S031326A   3 ;
LENGTH      S031326B   3 ;
LENGTH      SI31326A   3 ;
LENGTH      SI31326B   3 ;
LENGTH      SR31326A   3 ;
LENGTH      SR31326B   3 ;
LENGTH      S031370    3 ;
LENGTH      SI31370    3 ;
LENGTH      SR31370    3 ;
LENGTH      S031233    3 ;
LENGTH      SI31233    3 ;
LENGTH      SR31233    3 ;
LENGTH      S031204    3 ;
LENGTH      SI31204    3 ;
LENGTH      SR31204    3 ;
LENGTH      S031299    3 ;
LENGTH      SI31299    3 ;
LENGTH      SR31299    3 ;
LENGTH      S031088A   3 ;
LENGTH      S031088B   3 ;
LENGTH      SI31088A   3 ;
LENGTH      SI31088B   3 ;
LENGTH      SR31088A   3 ;
LENGTH      SR31088B   3 ;
LENGTH      S031325    3 ;
LENGTH      SI31325    3 ;
LENGTH      SR31325    3 ;
LENGTH      S031197A   3 ;
LENGTH      S031197B   3 ;
LENGTH      SI31197A   3 ;
LENGTH      SI31197B   3 ;
LENGTH      SR31197A   3 ;
LENGTH      SR31197B   3 ;
LENGTH      S031044    3 ;
LENGTH      SI31044    3 ;
LENGTH      SR31044    3 ;
LENGTH      S031390A   3 ;
LENGTH      S031390B   3 ;
LENGTH      SI31390A   3 ;
LENGTH      SI31390B   3 ;
LENGTH      SR31390A   3 ;
LENGTH      SR31390B   3 ;
LENGTH      S031072    3 ;
LENGTH      SI31072    3 ;
LENGTH      SR31072    3 ;
LENGTH      S031439A   3 ;
LENGTH      SI31439A   3 ;
LENGTH      SR31439A   3 ;
LENGTH      S031439B   3 ;
LENGTH      SI31439B   3 ;
LENGTH      SR31439B   3 ;
LENGTH      S031440    3 ;
LENGTH      SI31440    3 ;
LENGTH      SR31440    3 ;
LENGTH      S031441A   3 ;
LENGTH      SI31441A   3 ;
LENGTH      SR31441A   3 ;
LENGTH      S031441B   3 ;
LENGTH      SI31441B   3 ;
LENGTH      SR31441B   3 ;
LENGTH      S031442    3 ;
LENGTH      SI31442    3 ;
LENGTH      SR31442    3 ;
LENGTH      S031443    3 ;
LENGTH      SI31443    3 ;
LENGTH      SR31443    3 ;
LENGTH      S031446A   3 ;
LENGTH      SI31446A   3 ;
LENGTH      SR31446A   3 ;
LENGTH      S031446B   3 ;
LENGTH      SI31446B   3 ;
LENGTH      SR31446B   3 ;
LENGTH      S031446C   3 ;
LENGTH      SI31446C   3 ;
LENGTH      SR31446C   3 ;
LENGTH      S031445A   3 ;
LENGTH      SI31445A   3 ;
LENGTH      SR31445A   3 ;
LENGTH      S031445B   3 ;
LENGTH      SI31445B   3 ;
LENGTH      SR31445B   3 ;
LENGTH      S031447    3 ;
LENGTH      SI31447    3 ;
LENGTH      SR31447    3 ;
LENGTH      S031346    3 ;
LENGTH      SI31346    3 ;
LENGTH      SR31346    3 ;
LENGTH      S031081    3 ;
LENGTH      SI31081    3 ;
LENGTH      SR31081    3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDCLASS      11-  16     
  IDSTUD       17-  24     
  IDBOOK       25-  26     
  IDSCORR      27-  29     
  IDGRADE      30-  31     
  IDGRADER     32-  32     
  INTMS03      33-  33     
  INTMS99      34-  34     
  INTMS95      35-  35     
  M031305      36-  37     
  MI31305      38-  38     
  MR31305      39-  40     
  M031065      41-  42     
  MI31065      43-  43     
  MR31065      44-  45     
  M031322      46-  47     
  MI31322      48-  48     
  MR31322      49-  50     
  M031298      51-  52     
  MI31298      53-  53     
  MR31298      54-  55     
  M031327      56-  57     
  MI31327      58-  58     
  MR31327      59-  60     
  M031269      61-  62     
  MI31269      63-  63     
  MR31269      64-  65     
  M031264      66-  67     
  MI31264      68-  68     
  MR31264      69-  70     
  M031265      71-  72     
  MI31265      73-  73     
  MR31265      74-  75     
  M031286      76-  77     
  MI31286      78-  78     
  MR31286      79-  80     
  M031106      81-  82     
  MI31106      83-  83     
  MR31106      84-  85     
  M031282      86-  87     
  MI31282      88-  88     
  MR31282      89-  90     
  M031227      91-  92     
  MI31227      93-  93     
  MR31227      94-  95     
  M031068      96-  97     
  MI31068      98-  98     
  MR31068      99- 100     
  M031299     101- 102     
  MI31299     103- 103     
  MR31299     104- 105     
  M031301     106- 107     
  MI31301     108- 108     
  MR31301     109- 110     
  M031271     111- 112     
  MI31271     113- 113     
  MR31271     114- 115     
  M031134     116- 117     
  MI31134     118- 118     
  MR31134     119- 120     
  M031235     121- 122     
  MI31235     123- 123     
  MR31235     124- 125     
  M031285     126- 127     
  MI31285     128- 128     
  MR31285     129- 130     
  M031258     131- 132     
  MI31258     133- 133     
  MR31258     134- 135     
  M031041     136- 137     
  MI31041     138- 138     
  MR31041     139- 140     
  M031350A    141- 142     
  MI31350A    143- 143     
  MR31350A    144- 145     
  M031350B    146- 147     
  MI31350B    148- 148     
  MR31350B    149- 150     
  M031350C    151- 152     
  MI31350C    153- 153     
  MR31350C    154- 155     
  M031274     156- 157     
  MI31274     158- 158     
  MR31274     159- 160     
  M031240     161- 162     
  MI31240     163- 163     
  MR31240     164- 165     
  M031309     166- 167     
  MI31309     168- 168     
  MR31309     169- 170     
  M031242A    171- 172     
  MI31242A    173- 173     
  MR31242A    174- 175     
  M031242B    176- 177     
  MI31242B    178- 178     
  MR31242B    179- 180     
  M031247     181- 182     
  MI31247     183- 183     
  MR31247     184- 185     
  M031030     186- 187     
  MI31030     188- 188     
  MR31030     189- 190     
  M031330     191- 192     
  MI31330     193- 193     
  MR31330     194- 195     
  M031162     196- 197     
  MI31162     198- 198     
  MR31162     199- 200     
  M031249     201- 202     
  MI31249     203- 203     
  MR31249     204- 205     
  M031347A    206- 207     
  MI31347A    208- 208     
  MR31347A    209- 210     
  M031347B    211- 212     
  MI31347B    213- 213     
  MR31347B    214- 215     
  M031347C    216- 217     
  MI31347C    218- 218     
  MR31347C    219- 220     
  M031348A    221- 222     
  MI31348A    223- 223     
  MR31348A    224- 225     
  M031348B    226- 227     
  MI31348B    228- 228     
  MR31348B    229- 230     
  M031306     231- 232     
  MI31306     233- 233     
  MR31306     234- 235     
  M031011     236- 237     
  MI31011     238- 238     
  MR31011     239- 240     
  M031304     241- 242     
  MI31304     243- 243     
  MR31304     244- 245     
  M031272A    246- 247     
  MI31272A    248- 248     
  MR31272A    249- 250     
  M031272B    251- 252     
  MI31272B    253- 253     
  MR31272B    254- 255     
  M031272C    256- 257     
  MI31272C    258- 258     
  MR31272C    259- 260     
  M031267     261- 262     
  MI31267     263- 263     
  MR31267     264- 265     
  M031128     266- 267     
  MI31128     268- 268     
  MR31128     269- 270     
  M031016     271- 272     
  MI31016     273- 273     
  MR31016     274- 275     
  M031183     276- 277     
  MI31183     278- 278     
  MR31183     279- 280     
  M031297     281- 282     
  MI31297     283- 283     
  MR31297     284- 285     
  M031133     286- 287     
  MI31133     288- 288     
  MR31133     289- 290     
  M031009     291- 292     
  MI31009     293- 293     
  MR31009     294- 295     
  M031316     296- 297     
  MI31316     298- 298     
  MR31316     299- 300     
  M031079B    301- 302     
  MI31079B    303- 303     
  MR31079B    304- 305     
  M031079C    306- 307     
  MI31079C    308- 308     
  MR31079C    309- 310     
  M031325     311- 312     
  MI31325     313- 313     
  MR31325     314- 315     
  M031344A    316- 317     
  MI31344A    318- 318     
  MR31344A    319- 320     
  M031344B    321- 322     
  MI31344B    323- 323     
  MR31344B    324- 325     
  M031344C    326- 327     
  MI31344C    328- 328     
  MR31344C    329- 330     
  M031345A    331- 332     
  MI31345A    333- 333     
  MR31345A    334- 335     
  M031345B    336- 337     
  MI31345B    338- 338     
  MR31345B    339- 340     
  M031345C    341- 342     
  MI31345C    343- 343     
  MR31345C    344- 345     
  M031130     346- 347     
  MI31130     348- 348     
  MR31130     349- 350     
  M031346A    351- 352     
  MI31346A    353- 353     
  MR31346A    354- 355     
  M031346B    356- 357     
  MI31346B    358- 358     
  MR31346B    359- 360     
  M031346C    361- 362     
  MI31346C    363- 363     
  MR31346C    364- 365     
  M031379     366- 367     
  MI31379     368- 368     
  MR31379     369- 370     
  M031380     371- 372     
  MI31380     373- 373     
  MR31380     374- 375     
  M031313     376- 377     
  MI31313     378- 378     
  MR31313     379- 380     
  S011032     381- 382     
  SI11032     383- 383     
  SR11032     384- 385     
  S011019     386- 387     
  SI11019     388- 388     
  SR11019     389- 390     
  S031246     391- 392     
  SI31246     393- 393     
  SR31246     394- 395     
  S031251     396- 397     
  SI31251     398- 398     
  SR31251     399- 400     
  S031053     401- 402     
  SI31053     403- 403     
  SR31053     404- 405     
  S031005     406- 407     
  SI31005     408- 408     
  SR31005     409- 410     
  S031372A    411- 412     
  SI31372A    413- 413     
  SR31372A    414- 415     
  S031372B    416- 417     
  SI31372B    418- 418     
  SR31372B    419- 420     
  S031270     421- 422     
  SI31270     423- 423     
  SR31270     424- 425     
  S031026     426- 427     
  SI31026     428- 428     
  SR31026     429- 430     
  S031414A    431- 432     
  SI31414A    433- 433     
  SR31414A    434- 435     
  S031414B    436- 437     
  SI31414B    438- 438     
  SR31414B    439- 440     
  S031009     441- 442     
  SI31009     443- 443     
  SR31009     444- 445     
  S031384A    446- 447     
  SI31384A    448- 448     
  SR31384A    449- 450     
  S031384B    451- 452     
  SI31384B    453- 453     
  SR31384B    454- 455     
  S031240A    456- 457     
  S031240B    458- 459     
  SI31240A    460- 460     
  SI31240B    461- 461     
  SR31240A    462- 463     
  SR31240B    464- 465     
  S031235A    466- 467     
  SI31235A    468- 468     
  SR31235A    469- 470     
  S031235B    471- 472     
  SI31235B    473- 473     
  SR31235B    474- 475     
  S031399A    476- 477     
  SI31399A    478- 478     
  SR31399A    479- 480     
  S031399B    481- 482     
  SI31399B    483- 483     
  SR31399B    484- 485     
  S031393     486- 487     
  SI31393     488- 488     
  SR31393     489- 490     
  S031278     491- 492     
  SI31278     493- 493     
  SR31278     494- 495     
  S031190     496- 497     
  SI31190     498- 498     
  SR31190     499- 500     
  S031047     501- 502     
  SI31047     503- 503     
  SR31047     504- 505     
  S031396A    506- 507     
  S031396B    508- 509     
  SI31396A    510- 510     
  SI31396B    511- 511     
  SR31396A    512- 513     
  SR31396B    514- 515     
  S031391A    516- 517     
  S031391B    518- 519     
  SI31391A    520- 520     
  SI31391B    521- 521     
  SR31391A    522- 523     
  SR31391B    524- 525     
  S031421     526- 527     
  SI31421     528- 528     
  SR31421     529- 530     
  S031076     531- 532     
  SI31076     533- 533     
  SR31076     534- 535     
  S031330     536- 537     
  SI31330     538- 538     
  SR31330     539- 540     
  S031241A    541- 542     
  S031241B    543- 544     
  SI31241A    545- 545     
  SI31241B    546- 546     
  SR31241A    547- 548     
  SR31241B    549- 550     
  S031252     551- 552     
  SI31252     553- 553     
  SR31252     554- 555     
  S031406A    556- 557     
  SI31406A    558- 558     
  SR31406A    559- 560     
  S031406B    561- 562     
  SI31406B    563- 563     
  SR31406B    564- 565     
  S031382     566- 567     
  SI31382     568- 568     
  SR31382     569- 570     
  S031218     571- 572     
  SI31218     573- 573     
  SR31218     574- 575     
  S031326A    576- 577     
  S031326B    578- 579     
  SI31326A    580- 580     
  SI31326B    581- 581     
  SR31326A    582- 583     
  SR31326B    584- 585     
  S031370     586- 587     
  SI31370     588- 588     
  SR31370     589- 590     
  S031233     591- 592     
  SI31233     593- 593     
  SR31233     594- 595     
  S031204     596- 597     
  SI31204     598- 598     
  SR31204     599- 600     
  S031299     601- 602     
  SI31299     603- 603     
  SR31299     604- 605     
  S031088A    606- 607     
  S031088B    608- 609     
  SI31088A    610- 610     
  SI31088B    611- 611     
  SR31088A    612- 613     
  SR31088B    614- 615     
  S031325     616- 617     
  SI31325     618- 618     
  SR31325     619- 620     
  S031197A    621- 622     
  S031197B    623- 624     
  SI31197A    625- 625     
  SI31197B    626- 626     
  SR31197A    627- 628     
  SR31197B    629- 630     
  S031044     631- 632     
  SI31044     633- 633     
  SR31044     634- 635     
  S031390A    636- 637     
  S031390B    638- 639     
  SI31390A    640- 640     
  SI31390B    641- 641     
  SR31390A    642- 643     
  SR31390B    644- 645     
  S031072     646- 647     
  SI31072     648- 648     
  SR31072     649- 650     
  S031439A    651- 652     
  SI31439A    653- 653     
  SR31439A    654- 655     
  S031439B    656- 657     
  SI31439B    658- 658     
  SR31439B    659- 660     
  S031440     661- 662     
  SI31440     663- 663     
  SR31440     664- 665     
  S031441A    666- 667     
  SI31441A    668- 668     
  SR31441A    669- 670     
  S031441B    671- 672     
  SI31441B    673- 673     
  SR31441B    674- 675     
  S031442     676- 677     
  SI31442     678- 678     
  SR31442     679- 680     
  S031443     681- 682     
  SI31443     683- 683     
  SR31443     684- 685     
  S031446A    686- 687     
  SI31446A    688- 688     
  SR31446A    689- 690     
  S031446B    691- 692     
  SI31446B    693- 693     
  SR31446B    694- 695     
  S031446C    696- 697     
  SI31446C    698- 698     
  SR31446C    699- 700     
  S031445A    701- 702     
  SI31445A    703- 703     
  SR31445A    704- 705     
  S031445B    706- 707     
  SI31445B    708- 708     
  SR31445B    709- 710     
  S031447     711- 712     
  SI31447     713- 713     
  SR31447     714- 715     
  S031346     716- 717     
  SI31346     718- 718     
  SR31346     719- 720     
  S031081     721- 722     
  SI31081     723- 723     
  SR31081     724- 725     
  DPCDATE     726- 731     
;




%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDBOOK   = "*BOOKLET ID*"
  IDSCORR  = "*RELIABILITY SCORER*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  M031305  = "15 TIMES 9 (1)"
  MI31305  = "15 TIMES 9 (1)"
  MR31305  = "15 TIMES 9 (1)"
  M031065  = "1/3 OF 600 BALLS IN A BOX (1)"
  MI31065  = "1/3 OF 600 BALLS IN A BOX (1)"
  MR31065  = "1/3 OF 600 BALLS IN A BOX (1)"
  M031322  = "DRAW A TRIANGLE WITH AB AS THE BASE (1)"
  MI31322  = "DRAW A TRIANGLE WITH AB AS THE BASE (1)"
  MR31322  = "DRAW A TRIANGLE WITH AB AS THE BASE (1)"
  M031298  = "COMPLETE THE FIGURE WITH AN AREA (1)"
  MI31298  = "COMPLETE THE FIGURE WITH AN AREA (1)"
  MR31298  = "COMPLETE THE FIGURE WITH AN AREA (1)"
  M031327  = "DRAW A LINE ON THE GRID PARALLEL (1)"
  MI31327  = "DRAW A LINE ON THE GRID PARALLEL (1)"
  MR31327  = "DRAW A LINE ON THE GRID PARALLEL (1)"
  M031269  = "INDICATES GEOMETRIC SHAPES IN PICT (2)"
  MI31269  = "INDICATES GEOMETRIC SHAPES IN PICT (2)"
  MR31269  = "INDICATES GEOMETRIC SHAPES IN PICT (2)"
  M031264  = "COLORS OF STUDENTS HAIR ON THE GRAPH(1)"
  MI31264  = "COLORS OF STUDENTS HAIR ON THE GRAPH(1)"
  MR31264  = "COLORS OF STUDENTS HAIR ON THE GRAPH(1)"
  M031265  = "HOW MANY MORE PENCILS THAN RULERS SOL(1)"
  MI31265  = "HOW MANY MORE PENCILS THAN RULERS SOL(1)"
  MR31265  = "HOW MANY MORE PENCILS THAN RULERS SOL(1)"
  M031286  = "762 CARS PARKED IN 6 EQUAL ROWS (1)"
  MI31286  = "762 CARS PARKED IN 6 EQUAL ROWS (1)"
  MR31286  = "762 CARS PARKED IN 6 EQUAL ROWS (1)"
  M031106  = "MANOS MISSING DIGIT (1)"
  MI31106  = "MANOS MISSING DIGIT (1)"
  MR31106  = "MANOS MISSING DIGIT (1)"
  M031282  = "NUMBER OF BOYS AND GIRLS IN A SCHOOL (2)"
  MI31282  = "NUMBER OF BOYS AND GIRLS IN A SCHOOL (2)"
  MR31282  = "NUMBER OF BOYS AND GIRLS IN A SCHOOL (2)"
  M031227  = "SEANS RULE TO TRANSFORM NUMBERS (1)"
  MI31227  = "SEANS RULE TO TRANSFORM NUMBERS (1)"
  MR31227  = "SEANS RULE TO TRANSFORM NUMBERS (1)"
  M031068  = "DON, ROB, LYNN WALK HOME FROM SCHOOL (1)"
  MI31068  = "DON, ROB, LYNN WALK HOME FROM SCHOOL (1)"
  MR31068  = "DON, ROB, LYNN WALK HOME FROM SCHOOL (1)"
  M031299  = "WATER IN BOTTLE AFTER POURING 250 (1)"
  MI31299  = "WATER IN BOTTLE AFTER POURING 250 (1)"
  MR31299  = "WATER IN BOTTLE AFTER POURING 250 (1)"
  M031301  = "AL WANTED TO WEIGHT HIS CAT (1)"
  MI31301  = "AL WANTED TO WEIGHT HIS CAT (1)"
  MR31301  = "AL WANTED TO WEIGHT HIS CAT (1)"
  M031271  = "THE SQUARE IS CUT INTO 7 PIECES (1)"
  MI31271  = "THE SQUARE IS CUT INTO 7 PIECES (1)"
  MR31271  = "THE SQUARE IS CUT INTO 7 PIECES (1)"
  M031134  = "JASMINS TALLY CHART (1)"
  MI31134  = "JASMINS TALLY CHART (1)"
  MR31134  = "JASMINS TALLY CHART (1)"
  M031235  = "CHILDREN SHARE SWEETS EQUALLY (1)"
  MI31235  = "CHILDREN SHARE SWEETS EQUALLY (1)"
  MR31235  = "CHILDREN SHARE SWEETS EQUALLY (1)"
  M031285  = "ALAN AND FRED WENT RUNNING (1)"
  MI31285  = "ALAN AND FRED WENT RUNNING (1)"
  MR31285  = "ALAN AND FRED WENT RUNNING (1)"
  M031258  = "THE RULE ANN USES TO GET HER NUMBER (1)"
  MI31258  = "THE RULE ANN USES TO GET HER NUMBER (1)"
  MR31258  = "THE RULE ANN USES TO GET HER NUMBER (1)"
  M031041  = "TRIANGULAR TILES NEEDED TO COVER (1)"
  MI31041  = "TRIANGULAR TILES NEEDED TO COVER (1)"
  MR31041  = "TRIANGULAR TILES NEEDED TO COVER (1)"
  M031350A = "MARYTOWN_ADD A PARK (1)"
  MI31350A = "MARYTOWN_ADD A PARK (1)"
  MR31350A = "MARYTOWN_ADD A PARK (1)"
  M031350B = "MARYTOWN_ADD A LIBRARY (1)"
  MI31350B = "MARYTOWN_ADD A LIBRARY (1)"
  MR31350B = "MARYTOWN_ADD A LIBRARY (1)"
  M031350C = "MARYTOWN_ADD A SCHOOL (1)"
  MI31350C = "MARYTOWN_ADD A SCHOOL (1)"
  MR31350C = "MARYTOWN_ADD A SCHOOL (1)"
  M031274  = "DRAW THE REFLECTION OF THE SHAPE (1)"
  MI31274  = "DRAW THE REFLECTION OF THE SHAPE (1)"
  MR31274  = "DRAW THE REFLECTION OF THE SHAPE (1)"
  M031240  = "COMPLETE TABLE FOR GIRLS AND BOYS (1)"
  MI31240  = "COMPLETE TABLE FOR GIRLS AND BOYS (1)"
  MR31240  = "COMPLETE TABLE FOR GIRLS AND BOYS (1)"
  M031309  = "A 204 CM ROPE CUT INTO 4 (1)"
  MI31309  = "A 204 CM ROPE CUT INTO 4 (1)"
  MR31309  = "A 204 CM ROPE CUT INTO 4 (1)"
  M031242A = "RENTING BIKES/FILL TABLE (1)"
  MI31242A = "RENTING BIKES/FILL TABLE (1)"
  MR31242A = "RENTING BIKES/FILL TABLE (1)"
  M031242B = "RENTING BIKES/SAME PRICE (1)"
  MI31242B = "RENTING BIKES/SAME PRICE (1)"
  MR31242B = "RENTING BIKES/SAME PRICE (1)"
  M031247  = "A MAN TOOK HIS CHILDREN TO A FAIR (2)"
  MI31247  = "A MAN TOOK HIS CHILDREN TO A FAIR (2)"
  MR31247  = "A MAN TOOK HIS CHILDREN TO A FAIR (2)"
  M031030  = "12.36 MINUS 9.7 (1)"
  MI31030  = "12.36 MINUS 9.7 (1)"
  MR31030  = "12.36 MINUS 9.7 (1)"
  M031330  = "LIST THE SHAPES THAT ARE TRIANGLES (1)"
  MI31330  = "LIST THE SHAPES THAT ARE TRIANGLES (1)"
  MR31330  = "LIST THE SHAPES THAT ARE TRIANGLES (1)"
  M031162  = "NUMBER GOING IN THE NUMBER LINE BOX (1)"
  MI31162  = "NUMBER GOING IN THE NUMBER LINE BOX (1)"
  MR31162  = "NUMBER GOING IN THE NUMBER LINE BOX (1)"
  M031249  = "THE VALUE OF 37 TIMES BOX PLUS 6 (1)"
  MI31249  = "THE VALUE OF 37 TIMES BOX PLUS 6 (1)"
  MR31249  = "THE VALUE OF 37 TIMES BOX PLUS 6 (1)"
  M031347A = "GEOMETRY TILES_BLACK TRIANGLE (1)"
  MI31347A = "GEOMETRY TILES_BLACK TRIANGLE (1)"
  MR31347A = "GEOMETRY TILES_BLACK TRIANGLE (1)"
  M031347B = "GEOMETRY TILES_BLACK SQUARE (1)"
  MI31347B = "GEOMETRY TILES_BLACK SQUARE (1)"
  MR31347B = "GEOMETRY TILES_BLACK SQUARE (1)"
  M031347C = "GEOMETRY TILES_FRACTION SHADED (1)"
  MI31347C = "GEOMETRY TILES_FRACTION SHADED (1)"
  MR31347C = "GEOMETRY TILES_FRACTION SHADED (1)"
  M031348A = "GEOMETRY TILES_1/2 BLACK (1)"
  MI31348A = "GEOMETRY TILES_1/2 BLACK (1)"
  MR31348A = "GEOMETRY TILES_1/2 BLACK (1)"
  M031348B = "GEOMETRY TILES_5/8 BLACK (2)"
  MI31348B = "GEOMETRY TILES_5/8 BLACK (2)"
  MR31348B = "GEOMETRY TILES_5/8 BLACK (2)"
  M031306  = "204 DIVIDED BY 4 (1)"
  MI31306  = "204 DIVIDED BY 4 (1)"
  MR31306  = "204 DIVIDED BY 4 (1)"
  M031011  = "NOTEBOOKS FOR 115 STUDENTS (1)"
  MI31011  = "NOTEBOOKS FOR 115 STUDENTS (1)"
  MR31011  = "NOTEBOOKS FOR 115 STUDENTS (1)"
  M031304  = "9 ROWS OF 15 CHAIRS/TOTAL (1)"
  MI31304  = "9 ROWS OF 15 CHAIRS/TOTAL (1)"
  MR31304  = "9 ROWS OF 15 CHAIRS/TOTAL (1)"
  M031272A = "DRAW LINE ON RECTANGLE/2 TRIANGLES (1)"
  MI31272A = "DRAW LINE ON RECTANGLE/2 TRIANGLES (1)"
  MR31272A = "DRAW LINE ON RECTANGLE/2 TRIANGLES (1)"
  M031272B = "DRAW LINE ON RECTANGLE/2 RECTANGLES (1)"
  MI31272B = "DRAW LINE ON RECTANGLE/2 RECTANGLES (1)"
  MR31272B = "DRAW LINE ON RECTANGLE/2 RECTANGLES (1)"
  M031272C = "DRAW LINE ON RECTANGLE/1RECTANGLE, 2 (1)"
  MI31272C = "DRAW LINE ON RECTANGLE/1RECTANGLE, 2 (1)"
  MR31272C = "DRAW LINE ON RECTANGLE/1RECTANGLE, 2 (1)"
  M031267  = "SHADE IN TWO TRIANGLES OF DIFF SIZE (1)"
  MI31267  = "SHADE IN TWO TRIANGLES OF DIFF SIZE (1)"
  MR31267  = "SHADE IN TWO TRIANGLES OF DIFF SIZE (1)"
  M031128  = "5631 PLUS 286 (1)"
  MI31128  = "5631 PLUS 286 (1)"
  MR31128  = "5631 PLUS 286 (1)"
  M031016  = "WHAT IS THE PRIZE WINNING NUMBER (1)"
  MI31016  = "WHAT IS THE PRIZE WINNING NUMBER (1)"
  MR31016  = "WHAT IS THE PRIZE WINNING NUMBER (1)"
  M031183  = "RECIPE FOR 3 PEOPLE (2)"
  MI31183  = "RECIPE FOR 3 PEOPLE (2)"
  MR31183  = "RECIPE FOR 3 PEOPLE (2)"
  M031297  = "THE SHADED AREA IN SQUARE CENTIMETERS(1)"
  MI31297  = "THE SHADED AREA IN SQUARE CENTIMETERS(1)"
  MR31297  = "THE SHADED AREA IN SQUARE CENTIMETERS(1)"
  M031133  = "FAVORITE COLORS OF DARINS FRIENDS (2)"
  MI31133  = "FAVORITE COLORS OF DARINS FRIENDS (2)"
  MR31133  = "FAVORITE COLORS OF DARINS FRIENDS (2)"
  M031009  = "GEORGIA NEEDS PAGES TO SEND LETTERS (1)"
  MI31009  = "GEORGIA NEEDS PAGES TO SEND LETTERS (1)"
  MR31009  = "GEORGIA NEEDS PAGES TO SEND LETTERS (1)"
  M031316  = "4 TIMES BOX EQUALS 28 (1)"
  MI31316  = "4 TIMES BOX EQUALS 28 (1)"
  MR31316  = "4 TIMES BOX EQUALS 28 (1)"
  M031079B = "PATTERN OF CIRCLES/FIGURE 5 (1)"
  MI31079B = "PATTERN OF CIRCLES/FIGURE 5 (1)"
  MR31079B = "PATTERN OF CIRCLES/FIGURE 5 (1)"
  M031079C = "PATTERN OF CIRCLES/FIGURE 20 (1)"
  MI31079C = "PATTERN OF CIRCLES/FIGURE 20 (1)"
  MR31079C = "PATTERN OF CIRCLES/FIGURE 20 (1)"
  M031325  = "DRAW AN ANGLE BETWEEN 90 AND 180 DEG (1)"
  MI31325  = "DRAW AN ANGLE BETWEEN 90 AND 180 DEG (1)"
  MR31325  = "DRAW AN ANGLE BETWEEN 90 AND 180 DEG (1)"
  M031344A = "NUMBER TILES_GET TO 20 USING 2,7,9 (1)"
  MI31344A = "NUMBER TILES_GET TO 20 USING 2,7,9 (1)"
  MR31344A = "NUMBER TILES_GET TO 20 USING 2,7,9 (1)"
  M031344B = "NUMBER TILES_GET TO 20 USING 1,3,6 (1)"
  MI31344B = "NUMBER TILES_GET TO 20 USING 1,3,6 (1)"
  MR31344B = "NUMBER TILES_GET TO 20 USING 1,3,6 (1)"
  M031344C = "NUMBER TILES_GET TO 20 USING 1,4,6 (2)"
  MI31344C = "NUMBER TILES_GET TO 20 USING 1,4,6 (2)"
  MR31344C = "NUMBER TILES_GET TO 20 USING 1,4,6 (2)"
  M031345A = "NUMBER TILES_LARGEST NUMBER (+) (1)"
  MI31345A = "NUMBER TILES_LARGEST NUMBER (+) (1)"
  MR31345A = "NUMBER TILES_LARGEST NUMBER (+) (1)"
  M031345B = "NUMBER TILES_LARGEST NUMBER (-) (1)"
  MI31345B = "NUMBER TILES_LARGEST NUMBER (-) (1)"
  MR31345B = "NUMBER TILES_LARGEST NUMBER (-) (1)"
  M031345C = "NUMBER TILES_LARGEST NUMBER (X) (1)"
  MI31345C = "NUMBER TILES_LARGEST NUMBER (X) (1)"
  MR31345C = "NUMBER TILES_LARGEST NUMBER (X) (1)"
  M031130  = "THE NUMBER LIA SHOULD ADD TO 142 (1)"
  MI31130  = "THE NUMBER LIA SHOULD ADD TO 142 (1)"
  MR31130  = "THE NUMBER LIA SHOULD ADD TO 142 (1)"
  M031346A = "TRADING CARDS_CARTOON CARDS (1)"
  MI31346A = "TRADING CARDS_CARTOON CARDS (1)"
  MR31346A = "TRADING CARDS_CARTOON CARDS (1)"
  M031346B = "TRADING CARDS_SPORTS CARDS (1)"
  MI31346B = "TRADING CARDS_SPORTS CARDS (1)"
  MR31346B = "TRADING CARDS_SPORTS CARDS (1)"
  M031346C = "TRADING CARDS_MAXIMUM NUMBER OF CARDS(2)"
  MI31346C = "TRADING CARDS_MAXIMUM NUMBER OF CARDS(2)"
  MR31346C = "TRADING CARDS_MAXIMUM NUMBER OF CARDS(2)"
  M031379  = "TRADING CARDS_TRADING SPORTS CARDS (1)"
  MI31379  = "TRADING CARDS_TRADING SPORTS CARDS (1)"
  MR31379  = "TRADING CARDS_TRADING SPORTS CARDS (1)"
  M031380  = "TRADING CARDS_TRADING CARTOON CARDS (1)"
  MI31380  = "TRADING CARDS_TRADING CARTOON CARDS (1)"
  MR31380  = "TRADING CARDS_TRADING CARTOON CARDS (1)"
  M031313  = "TOTAL NUMBER OF PEOPLE ON A SHIP (1)"
  MI31313  = "TOTAL NUMBER OF PEOPLE ON A SHIP (1)"
  MR31313  = "TOTAL NUMBER OF PEOPLE ON A SHIP (1)"
  S011032  = "DIRECTION OF WATER (1)"
  SI11032  = "DIRECTION OF WATER (1)"
  SR11032  = "DIRECTION OF WATER (1)"
  S011019  = "PLANTS AND FISH IN RIVER (1)"
  SI11019  = "PLANTS AND FISH IN RIVER (1)"
  SR11019  = "PLANTS AND FISH IN RIVER (1)"
  S031246  = "WHAT THE BODY DOES TO COOL DOWN (1)"
  SI31246  = "WHAT THE BODY DOES TO COOL DOWN (1)"
  SR31246  = "WHAT THE BODY DOES TO COOL DOWN (1)"
  S031251  = "PHYSICAL CHANGE-CHILDREN BECOME ADULT(1)"
  SI31251  = "PHYSICAL CHANGE-CHILDREN BECOME ADULT(1)"
  SR31251  = "PHYSICAL CHANGE-CHILDREN BECOME ADULT(1)"
  S031053  = "IDENTIFY WOOD, ROCK AND IRON (2)"
  SI31053  = "IDENTIFY WOOD, ROCK AND IRON (2)"
  SR31053  = "IDENTIFY WOOD, ROCK AND IRON (2)"
  S031005  = "CLOSED GLASS BOTTLE FILLED WITH WATER(1)"
  SI31005  = "CLOSED GLASS BOTTLE FILLED WITH WATER(1)"
  SR31005  = "CLOSED GLASS BOTTLE FILLED WITH WATER(1)"
  S031372A = "SOLID LIQUID AND GAS IN A CONTAINER (1)"
  SI31372A = "SOLID LIQUID AND GAS IN A CONTAINER (1)"
  SR31372A = "SOLID LIQUID AND GAS IN A CONTAINER (1)"
  S031372B = "SOLID LIQUID AND GAS IN A CONTAINER (2)"
  SI31372B = "SOLID LIQUID AND GAS IN A CONTAINER (2)"
  SR31372B = "SOLID LIQUID AND GAS IN A CONTAINER (2)"
  S031270  = "CAN OAK TREE AND SUNFLOWER REPRODUCE (1)"
  SI31270  = "CAN OAK TREE AND SUNFLOWER REPRODUCE (1)"
  SR31270  = "CAN OAK TREE AND SUNFLOWER REPRODUCE (1)"
  S031026  = "SKULLS OF PLANTEATER AND ANIMALEATER (2)"
  SI31026  = "SKULLS OF PLANTEATER AND ANIMALEATER (2)"
  SR31026  = "SKULLS OF PLANTEATER AND ANIMALEATER (2)"
  S031414A = "USES OF WATER IN DIFFERENT FORMS/ ICE(1)"
  SI31414A = "USES OF WATER IN DIFFERENT FORMS/ ICE(1)"
  SR31414A = "USES OF WATER IN DIFFERENT FORMS/ ICE(1)"
  S031414B = "USES OF WATER IN DIFFERENT FORMS/ LIQ(1)"
  SI31414B = "USES OF WATER IN DIFFERENT FORMS/ LIQ(1)"
  SR31414B = "USES OF WATER IN DIFFERENT FORMS/ LIQ(1)"
  S031009  = "BUBBLES RISE IN WATER (1)"
  SI31009  = "BUBBLES RISE IN WATER (1)"
  SR31009  = "BUBBLES RISE IN WATER (1)"
  S031384A = "TWO SEASONS/ NAME (1)"
  SI31384A = "TWO SEASONS/ NAME (1)"
  SR31384A = "TWO SEASONS/ NAME (1)"
  S031384B = "TWO SEASONS/ DIFFERENCE (1)"
  SI31384B = "TWO SEASONS/ DIFFERENCE (1)"
  SR31384B = "TWO SEASONS/ DIFFERENCE (1)"
  S031240A = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  S031240B = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  SI31240A = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  SI31240B = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  SR31240A = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  SR31240B = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  S031235A = "CHARACT OF FISH AND MAMMALS/ FIS (1)"
  SI31235A = "CHARACT OF FISH AND MAMMALS/ FIS (1)"
  SR31235A = "CHARACT OF FISH AND MAMMALS/ FIS (1)"
  S031235B = "CHARACT OF FISH AND MAMMALS/ MAM (1)"
  SI31235B = "CHARACT OF FISH AND MAMMALS/ MAM (1)"
  SR31235B = "CHARACT OF FISH AND MAMMALS/ MAM (1)"
  S031399A = "TURN A LIQUID INTO GAS OR SOLID/ GAS (1)"
  SI31399A = "TURN A LIQUID INTO GAS OR SOLID/ GAS (1)"
  SR31399A = "TURN A LIQUID INTO GAS OR SOLID/ GAS (1)"
  S031399B = "TURN A LIQUID INTO GAS OR SOLID/ SOL (1)"
  SI31399B = "TURN A LIQUID INTO GAS OR SOLID/ SOL (1)"
  SR31399B = "TURN A LIQUID INTO GAS OR SOLID/ SOL (1)"
  S031393  = "WHY PEOPLE SHOULD NOT DRINK FROM SEA (1)"
  SI31393  = "WHY PEOPLE SHOULD NOT DRINK FROM SEA (1)"
  SR31393  = "WHY PEOPLE SHOULD NOT DRINK FROM SEA (1)"
  S031278  = "ONE WAY SUN AND MOON DIFFER (1)"
  SI31278  = "ONE WAY SUN AND MOON DIFFER (1)"
  SR31278  = "ONE WAY SUN AND MOON DIFFER (1)"
  S031190  = "CAN THE ONLY TURTLE REPRODUCE (1)"
  SI31190  = "CAN THE ONLY TURTLE REPRODUCE (1)"
  SR31190  = "CAN THE ONLY TURTLE REPRODUCE (1)"
  S031047  = "WATER ON CAR PARKED OUTSIDE OVERNIGHT(1)"
  SI31047  = "WATER ON CAR PARKED OUTSIDE OVERNIGHT(1)"
  SR31047  = "WATER ON CAR PARKED OUTSIDE OVERNIGHT(1)"
  S031396A = "TWO THINGS WOOD IS USED FOR (1)"
  S031396B = "TWO THINGS WOOD IS USED FOR (1)"
  SI31396A = "TWO THINGS WOOD IS USED FOR (1)"
  SI31396B = "TWO THINGS WOOD IS USED FOR (1)"
  SR31396A = "TWO THINGS WOOD IS USED FOR (1)"
  SR31396B = "TWO THINGS WOOD IS USED FOR (1)"
  S031391A = "TWO WAYS TO AVOID WASTING WATER (1)"
  S031391B = "TWO WAYS TO AVOID WASTING WATER (1)"
  SI31391A = "TWO WAYS TO AVOID WASTING WATER (1)"
  SI31391B = "TWO WAYS TO AVOID WASTING WATER (1)"
  SR31391A = "TWO WAYS TO AVOID WASTING WATER (1)"
  SR31391B = "TWO WAYS TO AVOID WASTING WATER (1)"
  S031421  = "MATERIALS THAT WILL BURN (2)"
  SI31421  = "MATERIALS THAT WILL BURN (2)"
  SR31421  = "MATERIALS THAT WILL BURN (2)"
  S031076  = "TWO CARTS HOLDING MAGNETS (1)"
  SI31076  = "TWO CARTS HOLDING MAGNETS (1)"
  SR31076  = "TWO CARTS HOLDING MAGNETS (1)"
  S031330  = "PROTECTION FROM THE SUN (1)"
  SI31330  = "PROTECTION FROM THE SUN (1)"
  SR31330  = "PROTECTION FROM THE SUN (1)"
  S031241A = "TWO FUNCTIONS OF SKIN (1)"
  S031241B = "TWO FUNCTIONS OF SKIN (1)"
  SI31241A = "TWO FUNCTIONS OF SKIN (1)"
  SI31241B = "TWO FUNCTIONS OF SKIN (1)"
  SR31241A = "TWO FUNCTIONS OF SKIN (1)"
  SR31241B = "TWO FUNCTIONS OF SKIN (1)"
  S031252  = "ORGANISMS THAT GIVE BIRTH OR LAY EGGS(2)"
  SI31252  = "ORGANISMS THAT GIVE BIRTH OR LAY EGGS(2)"
  SR31252  = "ORGANISMS THAT GIVE BIRTH OR LAY EGGS(2)"
  S031406A = "OBJECTS MADE OF METALS/ NAME (1)"
  SI31406A = "OBJECTS MADE OF METALS/ NAME (1)"
  SR31406A = "OBJECTS MADE OF METALS/ NAME (1)"
  S031406B = "OBJECTS MADE OF METALS/ PROPERTY(1)"
  SI31406B = "OBJECTS MADE OF METALS/ PROPERTY(1)"
  SR31406B = "OBJECTS MADE OF METALS/ PROPERTY(1)"
  S031382  = "WATER VAPOR WHEN IT GETS COLD (1)"
  SI31382  = "WATER VAPOR WHEN IT GETS COLD (1)"
  SR31382  = "WATER VAPOR WHEN IT GETS COLD (1)"
  S031218  = "ARE PLANTS LIVING OR NONLIVING (1)"
  SI31218  = "ARE PLANTS LIVING OR NONLIVING (1)"
  SR31218  = "ARE PLANTS LIVING OR NONLIVING (1)"
  S031326A = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  S031326B = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  SI31326A = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  SI31326B = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  SR31326A = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  SR31326B = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  S031370  = "DIFFERENCE BETWEEN SOLIDS AND LIQUIDS(1)"
  SI31370  = "DIFFERENCE BETWEEN SOLIDS AND LIQUIDS(1)"
  SR31370  = "DIFFERENCE BETWEEN SOLIDS AND LIQUIDS(1)"
  S031233  = "MAIN FEATURES OF FOUR ANIMALS SHOWN (1)"
  SI31233  = "MAIN FEATURES OF FOUR ANIMALS SHOWN (1)"
  SR31233  = "MAIN FEATURES OF FOUR ANIMALS SHOWN (1)"
  S031204  = "COARSE AND FINE SALT ADDED TO WATER (1)"
  SI31204  = "COARSE AND FINE SALT ADDED TO WATER (1)"
  SR31204  = "COARSE AND FINE SALT ADDED TO WATER (1)"
  S031299  = "SUNLIGHT MADE UP OF COLORS (1)"
  SI31299  = "SUNLIGHT MADE UP OF COLORS (1)"
  SR31299  = "SUNLIGHT MADE UP OF COLORS (1)"
  S031088A = "TWO WAYS TO USE AIR (1)"
  S031088B = "TWO WAYS TO USE AIR (1)"
  SI31088A = "TWO WAYS TO USE AIR (1)"
  SI31088B = "TWO WAYS TO USE AIR (1)"
  SR31088A = "TWO WAYS TO USE AIR (1)"
  SR31088B = "TWO WAYS TO USE AIR (1)"
  S031325  = "ONE THING TO CAUSE MANUELS TEMPER (1)"
  SI31325  = "ONE THING TO CAUSE MANUELS TEMPER (1)"
  SR31325  = "ONE THING TO CAUSE MANUELS TEMPER (1)"
  S031197A = "TWO USES OF ELECTRICITY (1)"
  S031197B = "TWO USES OF ELECTRICITY (1)"
  SI31197A = "TWO USES OF ELECTRICITY (1)"
  SI31197B = "TWO USES OF ELECTRICITY (1)"
  SR31197A = "TWO USES OF ELECTRICITY (1)"
  SR31197B = "TWO USES OF ELECTRICITY (1)"
  S031044  = "LABEL EARTH, MOON, AND SUN (1)"
  SI31044  = "LABEL EARTH, MOON, AND SUN (1)"
  SR31044  = "LABEL EARTH, MOON, AND SUN (1)"
  S031390A = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  S031390B = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  SI31390A = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  SI31390B = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  SR31390A = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  SR31390B = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  S031072  = "TWO THINGS WRONG WITH THE SHADOW (2)"
  SI31072  = "TWO THINGS WRONG WITH THE SHADOW (2)"
  SR31072  = "TWO THINGS WRONG WITH THE SHADOW (2)"
  S031439A = "GARDEN_WHY PLANTS NEED LIGHT TO GROW (1)"
  SI31439A = "GARDEN_WHY PLANTS NEED LIGHT TO GROW (1)"
  SR31439A = "GARDEN_WHY PLANTS NEED LIGHT TO GROW (1)"
  S031439B = "GARDEN_ONE OTHER THING PLANTS NEED (1)"
  SI31439B = "GARDEN_ONE OTHER THING PLANTS NEED (1)"
  SR31439B = "GARDEN_ONE OTHER THING PLANTS NEED (1)"
  S031440  = "GARDEN_WHICH SIDE OF THE HOUSE GETS (1)"
  SI31440  = "GARDEN_WHICH SIDE OF THE HOUSE GETS (1)"
  SR31440  = "GARDEN_WHICH SIDE OF THE HOUSE GETS (1)"
  S031441A = "GARDEN_WHY ROSES WILL NOT GROW UNDER (1)"
  SI31441A = "GARDEN_WHY ROSES WILL NOT GROW UNDER (1)"
  SR31441A = "GARDEN_WHY ROSES WILL NOT GROW UNDER (1)"
  S031441B = "GARDEN_PLANTS THAT GROW WELL IN FOUR (2)"
  SI31441B = "GARDEN_PLANTS THAT GROW WELL IN FOUR (2)"
  SR31441B = "GARDEN_PLANTS THAT GROW WELL IN FOUR (2)"
  S031442  = "GARDEN_HOW SEEDS GET INTO GARDEN (1)"
  SI31442  = "GARDEN_HOW SEEDS GET INTO GARDEN (1)"
  SR31442  = "GARDEN_HOW SEEDS GET INTO GARDEN (1)"
  S031443  = "GARDEN_WHY INSECTS ARE IMPORTANT (1)"
  SI31443  = "GARDEN_WHY INSECTS ARE IMPORTANT (1)"
  SR31443  = "GARDEN_WHY INSECTS ARE IMPORTANT (1)"
  S031446A = "LIGHT COLOR INVESTIGATION OF SHIRT (1)"
  SI31446A = "LIGHT COLOR INVESTIGATION OF SHIRT (1)"
  SR31446A = "LIGHT COLOR INVESTIGATION OF SHIRT (1)"
  S031446B = "LIGHT COLOR INVESTIGATION (1)"
  SI31446B = "LIGHT COLOR INVESTIGATION (1)"
  SR31446B = "LIGHT COLOR INVESTIGATION (1)"
  S031446C = "LIGHT COLOR_INVESTIGATION (1)"
  SI31446C = "LIGHT COLOR_INVESTIGATION (1)"
  SR31446C = "LIGHT COLOR_INVESTIGATION (1)"
  S031445A = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  SI31445A = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  SR31445A = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  S031445B = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  SI31445B = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  SR31445B = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  S031447  = "LIGHT COLOR_COLOR OF BLUE SHIRT (2)"
  SI31447  = "LIGHT COLOR_COLOR OF BLUE SHIRT (2)"
  SR31447  = "LIGHT COLOR_COLOR OF BLUE SHIRT (2)"
  S031346  = "NUTRIENTS FROM FRUIT (1)"
  SI31346  = "NUTRIENTS FROM FRUIT (1)"
  SR31346  = "NUTRIENTS FROM FRUIT (1)"
  S031081  = "RIBBON TIED TO POLE TO MEASURE WIND (1)"
  SI31081  = "RIBBON TIED TO POLE TO MEASURE WIND (1)"
  SR31081  = "RIBBON TIED TO POLE TO MEASURE WIND (1)"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCORR  = 998              THEN IDSCORR  = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF M031305  = 98               THEN M031305  = .A ;
IF MI31305  = 8                THEN MI31305  = .A ;
IF MR31305  = 98               THEN MR31305  = .A ;
IF M031065  = 98               THEN M031065  = .A ;
IF MI31065  = 8                THEN MI31065  = .A ;
IF MR31065  = 98               THEN MR31065  = .A ;
IF M031322  = 98               THEN M031322  = .A ;
IF MI31322  = 8                THEN MI31322  = .A ;
IF MR31322  = 98               THEN MR31322  = .A ;
IF M031298  = 98               THEN M031298  = .A ;
IF MI31298  = 8                THEN MI31298  = .A ;
IF MR31298  = 98               THEN MR31298  = .A ;
IF M031327  = 98               THEN M031327  = .A ;
IF MI31327  = 8                THEN MI31327  = .A ;
IF MR31327  = 98               THEN MR31327  = .A ;
IF M031269  = 98               THEN M031269  = .A ;
IF MI31269  = 8                THEN MI31269  = .A ;
IF MR31269  = 98               THEN MR31269  = .A ;
IF M031264  = 98               THEN M031264  = .A ;
IF MI31264  = 8                THEN MI31264  = .A ;
IF MR31264  = 98               THEN MR31264  = .A ;
IF M031265  = 98               THEN M031265  = .A ;
IF MI31265  = 8                THEN MI31265  = .A ;
IF MR31265  = 98               THEN MR31265  = .A ;
IF M031286  = 98               THEN M031286  = .A ;
IF MI31286  = 8                THEN MI31286  = .A ;
IF MR31286  = 98               THEN MR31286  = .A ;
IF M031106  = 98               THEN M031106  = .A ;
IF MI31106  = 8                THEN MI31106  = .A ;
IF MR31106  = 98               THEN MR31106  = .A ;
IF M031282  = 98               THEN M031282  = .A ;
IF MI31282  = 8                THEN MI31282  = .A ;
IF MR31282  = 98               THEN MR31282  = .A ;
IF M031227  = 98               THEN M031227  = .A ;
IF MI31227  = 8                THEN MI31227  = .A ;
IF MR31227  = 98               THEN MR31227  = .A ;
IF M031068  = 98               THEN M031068  = .A ;
IF MI31068  = 8                THEN MI31068  = .A ;
IF MR31068  = 98               THEN MR31068  = .A ;
IF M031299  = 98               THEN M031299  = .A ;
IF MI31299  = 8                THEN MI31299  = .A ;
IF MR31299  = 98               THEN MR31299  = .A ;
IF M031301  = 98               THEN M031301  = .A ;
IF MI31301  = 8                THEN MI31301  = .A ;
IF MR31301  = 98               THEN MR31301  = .A ;
IF M031271  = 98               THEN M031271  = .A ;
IF MI31271  = 8                THEN MI31271  = .A ;
IF MR31271  = 98               THEN MR31271  = .A ;
IF M031134  = 98               THEN M031134  = .A ;
IF MI31134  = 8                THEN MI31134  = .A ;
IF MR31134  = 98               THEN MR31134  = .A ;
IF M031235  = 98               THEN M031235  = .A ;
IF MI31235  = 8                THEN MI31235  = .A ;
IF MR31235  = 98               THEN MR31235  = .A ;
IF M031285  = 98               THEN M031285  = .A ;
IF MI31285  = 8                THEN MI31285  = .A ;
IF MR31285  = 98               THEN MR31285  = .A ;
IF M031258  = 98               THEN M031258  = .A ;
IF MI31258  = 8                THEN MI31258  = .A ;
IF MR31258  = 98               THEN MR31258  = .A ;
IF M031041  = 98               THEN M031041  = .A ;
IF MI31041  = 8                THEN MI31041  = .A ;
IF MR31041  = 98               THEN MR31041  = .A ;
IF M031350A = 98               THEN M031350A = .A ;
IF MI31350A = 8                THEN MI31350A = .A ;
IF MR31350A = 98               THEN MR31350A = .A ;
IF M031350B = 98               THEN M031350B = .A ;
IF MI31350B = 8                THEN MI31350B = .A ;
IF MR31350B = 98               THEN MR31350B = .A ;
IF M031350C = 98               THEN M031350C = .A ;
IF MI31350C = 8                THEN MI31350C = .A ;
IF MR31350C = 98               THEN MR31350C = .A ;
IF M031274  = 98               THEN M031274  = .A ;
IF MI31274  = 8                THEN MI31274  = .A ;
IF MR31274  = 98               THEN MR31274  = .A ;
IF M031240  = 98               THEN M031240  = .A ;
IF MI31240  = 8                THEN MI31240  = .A ;
IF MR31240  = 98               THEN MR31240  = .A ;
IF M031309  = 98               THEN M031309  = .A ;
IF MI31309  = 8                THEN MI31309  = .A ;
IF MR31309  = 98               THEN MR31309  = .A ;
IF M031242A = 98               THEN M031242A = .A ;
IF MI31242A = 8                THEN MI31242A = .A ;
IF MR31242A = 98               THEN MR31242A = .A ;
IF M031242B = 98               THEN M031242B = .A ;
IF MI31242B = 8                THEN MI31242B = .A ;
IF MR31242B = 98               THEN MR31242B = .A ;
IF M031247  = 98               THEN M031247  = .A ;
IF MI31247  = 8                THEN MI31247  = .A ;
IF MR31247  = 98               THEN MR31247  = .A ;
IF M031030  = 98               THEN M031030  = .A ;
IF MI31030  = 8                THEN MI31030  = .A ;
IF MR31030  = 98               THEN MR31030  = .A ;
IF M031330  = 98               THEN M031330  = .A ;
IF MI31330  = 8                THEN MI31330  = .A ;
IF MR31330  = 98               THEN MR31330  = .A ;
IF M031162  = 98               THEN M031162  = .A ;
IF MI31162  = 8                THEN MI31162  = .A ;
IF MR31162  = 98               THEN MR31162  = .A ;
IF M031249  = 98               THEN M031249  = .A ;
IF MI31249  = 8                THEN MI31249  = .A ;
IF MR31249  = 98               THEN MR31249  = .A ;
IF M031347A = 98               THEN M031347A = .A ;
IF MI31347A = 8                THEN MI31347A = .A ;
IF MR31347A = 98               THEN MR31347A = .A ;
IF M031347B = 98               THEN M031347B = .A ;
IF MI31347B = 8                THEN MI31347B = .A ;
IF MR31347B = 98               THEN MR31347B = .A ;
IF M031347C = 98               THEN M031347C = .A ;
IF MI31347C = 8                THEN MI31347C = .A ;
IF MR31347C = 98               THEN MR31347C = .A ;
IF M031348A = 98               THEN M031348A = .A ;
IF MI31348A = 8                THEN MI31348A = .A ;
IF MR31348A = 98               THEN MR31348A = .A ;
IF M031348B = 98               THEN M031348B = .A ;
IF MI31348B = 8                THEN MI31348B = .A ;
IF MR31348B = 98               THEN MR31348B = .A ;
IF M031306  = 98               THEN M031306  = .A ;
IF MI31306  = 8                THEN MI31306  = .A ;
IF MR31306  = 98               THEN MR31306  = .A ;
IF M031011  = 98               THEN M031011  = .A ;
IF MI31011  = 8                THEN MI31011  = .A ;
IF MR31011  = 98               THEN MR31011  = .A ;
IF M031304  = 98               THEN M031304  = .A ;
IF MI31304  = 8                THEN MI31304  = .A ;
IF MR31304  = 98               THEN MR31304  = .A ;
IF M031272A = 98               THEN M031272A = .A ;
IF MI31272A = 8                THEN MI31272A = .A ;
IF MR31272A = 98               THEN MR31272A = .A ;
IF M031272B = 98               THEN M031272B = .A ;
IF MI31272B = 8                THEN MI31272B = .A ;
IF MR31272B = 98               THEN MR31272B = .A ;
IF M031272C = 98               THEN M031272C = .A ;
IF MI31272C = 8                THEN MI31272C = .A ;
IF MR31272C = 98               THEN MR31272C = .A ;
IF M031267  = 98               THEN M031267  = .A ;
IF MI31267  = 8                THEN MI31267  = .A ;
IF MR31267  = 98               THEN MR31267  = .A ;
IF M031128  = 98               THEN M031128  = .A ;
IF MI31128  = 8                THEN MI31128  = .A ;
IF MR31128  = 98               THEN MR31128  = .A ;
IF M031016  = 98               THEN M031016  = .A ;
IF MI31016  = 8                THEN MI31016  = .A ;
IF MR31016  = 98               THEN MR31016  = .A ;
IF M031183  = 98               THEN M031183  = .A ;
IF MI31183  = 8                THEN MI31183  = .A ;
IF MR31183  = 98               THEN MR31183  = .A ;
IF M031297  = 98               THEN M031297  = .A ;
IF MI31297  = 8                THEN MI31297  = .A ;
IF MR31297  = 98               THEN MR31297  = .A ;
IF M031133  = 98               THEN M031133  = .A ;
IF MI31133  = 8                THEN MI31133  = .A ;
IF MR31133  = 98               THEN MR31133  = .A ;
IF M031009  = 98               THEN M031009  = .A ;
IF MI31009  = 8                THEN MI31009  = .A ;
IF MR31009  = 98               THEN MR31009  = .A ;
IF M031316  = 98               THEN M031316  = .A ;
IF MI31316  = 8                THEN MI31316  = .A ;
IF MR31316  = 98               THEN MR31316  = .A ;
IF M031079B = 98               THEN M031079B = .A ;
IF MI31079B = 8                THEN MI31079B = .A ;
IF MR31079B = 98               THEN MR31079B = .A ;
IF M031079C = 98               THEN M031079C = .A ;
IF MI31079C = 8                THEN MI31079C = .A ;
IF MR31079C = 98               THEN MR31079C = .A ;
IF M031325  = 98               THEN M031325  = .A ;
IF MI31325  = 8                THEN MI31325  = .A ;
IF MR31325  = 98               THEN MR31325  = .A ;
IF M031344A = 98               THEN M031344A = .A ;
IF MI31344A = 8                THEN MI31344A = .A ;
IF MR31344A = 98               THEN MR31344A = .A ;
IF M031344B = 98               THEN M031344B = .A ;
IF MI31344B = 8                THEN MI31344B = .A ;
IF MR31344B = 98               THEN MR31344B = .A ;
IF M031344C = 98               THEN M031344C = .A ;
IF MI31344C = 8                THEN MI31344C = .A ;
IF MR31344C = 98               THEN MR31344C = .A ;
IF M031345A = 98               THEN M031345A = .A ;
IF MI31345A = 8                THEN MI31345A = .A ;
IF MR31345A = 98               THEN MR31345A = .A ;
IF M031345B = 98               THEN M031345B = .A ;
IF MI31345B = 8                THEN MI31345B = .A ;
IF MR31345B = 98               THEN MR31345B = .A ;
IF M031345C = 98               THEN M031345C = .A ;
IF MI31345C = 8                THEN MI31345C = .A ;
IF MR31345C = 98               THEN MR31345C = .A ;
IF M031130  = 98               THEN M031130  = .A ;
IF MI31130  = 8                THEN MI31130  = .A ;
IF MR31130  = 98               THEN MR31130  = .A ;
IF M031346A = 98               THEN M031346A = .A ;
IF MI31346A = 8                THEN MI31346A = .A ;
IF MR31346A = 98               THEN MR31346A = .A ;
IF M031346B = 98               THEN M031346B = .A ;
IF MI31346B = 8                THEN MI31346B = .A ;
IF MR31346B = 98               THEN MR31346B = .A ;
IF M031346C = 98               THEN M031346C = .A ;
IF MI31346C = 8                THEN MI31346C = .A ;
IF MR31346C = 98               THEN MR31346C = .A ;
IF M031379  = 98               THEN M031379  = .A ;
IF MI31379  = 8                THEN MI31379  = .A ;
IF MR31379  = 98               THEN MR31379  = .A ;
IF M031380  = 98               THEN M031380  = .A ;
IF MI31380  = 8                THEN MI31380  = .A ;
IF MR31380  = 98               THEN MR31380  = .A ;
IF M031313  = 98               THEN M031313  = .A ;
IF MI31313  = 8                THEN MI31313  = .A ;
IF MR31313  = 98               THEN MR31313  = .A ;
IF S011032  = 98               THEN S011032  = .A ;
IF SI11032  = 8                THEN SI11032  = .A ;
IF SR11032  = 98               THEN SR11032  = .A ;
IF S011019  = 98               THEN S011019  = .A ;
IF SI11019  = 8                THEN SI11019  = .A ;
IF SR11019  = 98               THEN SR11019  = .A ;
IF S031246  = 98               THEN S031246  = .A ;
IF SI31246  = 8                THEN SI31246  = .A ;
IF SR31246  = 98               THEN SR31246  = .A ;
IF S031251  = 98               THEN S031251  = .A ;
IF SI31251  = 8                THEN SI31251  = .A ;
IF SR31251  = 98               THEN SR31251  = .A ;
IF S031053  = 98               THEN S031053  = .A ;
IF SI31053  = 8                THEN SI31053  = .A ;
IF SR31053  = 98               THEN SR31053  = .A ;
IF S031005  = 98               THEN S031005  = .A ;
IF SI31005  = 8                THEN SI31005  = .A ;
IF SR31005  = 98               THEN SR31005  = .A ;
IF S031372A = 98               THEN S031372A = .A ;
IF SI31372A = 8                THEN SI31372A = .A ;
IF SR31372A = 98               THEN SR31372A = .A ;
IF S031372B = 98               THEN S031372B = .A ;
IF SI31372B = 8                THEN SI31372B = .A ;
IF SR31372B = 98               THEN SR31372B = .A ;
IF S031270  = 98               THEN S031270  = .A ;
IF SI31270  = 8                THEN SI31270  = .A ;
IF SR31270  = 98               THEN SR31270  = .A ;
IF S031026  = 98               THEN S031026  = .A ;
IF SI31026  = 8                THEN SI31026  = .A ;
IF SR31026  = 98               THEN SR31026  = .A ;
IF S031414A = 98               THEN S031414A = .A ;
IF SI31414A = 8                THEN SI31414A = .A ;
IF SR31414A = 98               THEN SR31414A = .A ;
IF S031414B = 98               THEN S031414B = .A ;
IF SI31414B = 8                THEN SI31414B = .A ;
IF SR31414B = 98               THEN SR31414B = .A ;
IF S031009  = 98               THEN S031009  = .A ;
IF SI31009  = 8                THEN SI31009  = .A ;
IF SR31009  = 98               THEN SR31009  = .A ;
IF S031384A = 98               THEN S031384A = .A ;
IF SI31384A = 8                THEN SI31384A = .A ;
IF SR31384A = 98               THEN SR31384A = .A ;
IF S031384B = 98               THEN S031384B = .A ;
IF SI31384B = 8                THEN SI31384B = .A ;
IF SR31384B = 98               THEN SR31384B = .A ;
IF S031240A = 98               THEN S031240A = .A ;
IF S031240B = 98               THEN S031240B = .A ;
IF SI31240A = 8                THEN SI31240A = .A ;
IF SI31240B = 8                THEN SI31240B = .A ;
IF SR31240A = 98               THEN SR31240A = .A ;
IF SR31240B = 98               THEN SR31240B = .A ;
IF S031235A = 98               THEN S031235A = .A ;
IF SI31235A = 8                THEN SI31235A = .A ;
IF SR31235A = 98               THEN SR31235A = .A ;
IF S031235B = 98               THEN S031235B = .A ;
IF SI31235B = 8                THEN SI31235B = .A ;
IF SR31235B = 98               THEN SR31235B = .A ;
IF S031399A = 98               THEN S031399A = .A ;
IF SI31399A = 8                THEN SI31399A = .A ;
IF SR31399A = 98               THEN SR31399A = .A ;
IF S031399B = 98               THEN S031399B = .A ;
IF SI31399B = 8                THEN SI31399B = .A ;
IF SR31399B = 98               THEN SR31399B = .A ;
IF S031393  = 98               THEN S031393  = .A ;
IF SI31393  = 8                THEN SI31393  = .A ;
IF SR31393  = 98               THEN SR31393  = .A ;
IF S031278  = 98               THEN S031278  = .A ;
IF SI31278  = 8                THEN SI31278  = .A ;
IF SR31278  = 98               THEN SR31278  = .A ;
IF S031190  = 98               THEN S031190  = .A ;
IF SI31190  = 8                THEN SI31190  = .A ;
IF SR31190  = 98               THEN SR31190  = .A ;
IF S031047  = 98               THEN S031047  = .A ;
IF SI31047  = 8                THEN SI31047  = .A ;
IF SR31047  = 98               THEN SR31047  = .A ;
IF S031396A = 98               THEN S031396A = .A ;
IF S031396B = 98               THEN S031396B = .A ;
IF SI31396A = 8                THEN SI31396A = .A ;
IF SI31396B = 8                THEN SI31396B = .A ;
IF SR31396A = 98               THEN SR31396A = .A ;
IF SR31396B = 98               THEN SR31396B = .A ;
IF S031391A = 98               THEN S031391A = .A ;
IF S031391B = 98               THEN S031391B = .A ;
IF SI31391A = 8                THEN SI31391A = .A ;
IF SI31391B = 8                THEN SI31391B = .A ;
IF SR31391A = 98               THEN SR31391A = .A ;
IF SR31391B = 98               THEN SR31391B = .A ;
IF S031421  = 98               THEN S031421  = .A ;
IF SI31421  = 8                THEN SI31421  = .A ;
IF SR31421  = 98               THEN SR31421  = .A ;
IF S031076  = 98               THEN S031076  = .A ;
IF SI31076  = 8                THEN SI31076  = .A ;
IF SR31076  = 98               THEN SR31076  = .A ;
IF S031330  = 98               THEN S031330  = .A ;
IF SI31330  = 8                THEN SI31330  = .A ;
IF SR31330  = 98               THEN SR31330  = .A ;
IF S031241A = 98               THEN S031241A = .A ;
IF S031241B = 98               THEN S031241B = .A ;
IF SI31241A = 8                THEN SI31241A = .A ;
IF SI31241B = 8                THEN SI31241B = .A ;
IF SR31241A = 98               THEN SR31241A = .A ;
IF SR31241B = 98               THEN SR31241B = .A ;
IF S031252  = 98               THEN S031252  = .A ;
IF SI31252  = 8                THEN SI31252  = .A ;
IF SR31252  = 98               THEN SR31252  = .A ;
IF S031406A = 98               THEN S031406A = .A ;
IF SI31406A = 8                THEN SI31406A = .A ;
IF SR31406A = 98               THEN SR31406A = .A ;
IF S031406B = 98               THEN S031406B = .A ;
IF SI31406B = 8                THEN SI31406B = .A ;
IF SR31406B = 98               THEN SR31406B = .A ;
IF S031382  = 98               THEN S031382  = .A ;
IF SI31382  = 8                THEN SI31382  = .A ;
IF SR31382  = 98               THEN SR31382  = .A ;
IF S031218  = 98               THEN S031218  = .A ;
IF SI31218  = 8                THEN SI31218  = .A ;
IF SR31218  = 98               THEN SR31218  = .A ;
IF S031326A = 98               THEN S031326A = .A ;
IF S031326B = 98               THEN S031326B = .A ;
IF SI31326A = 8                THEN SI31326A = .A ;
IF SI31326B = 8                THEN SI31326B = .A ;
IF SR31326A = 98               THEN SR31326A = .A ;
IF SR31326B = 98               THEN SR31326B = .A ;
IF S031370  = 98               THEN S031370  = .A ;
IF SI31370  = 8                THEN SI31370  = .A ;
IF SR31370  = 98               THEN SR31370  = .A ;
IF S031233  = 98               THEN S031233  = .A ;
IF SI31233  = 8                THEN SI31233  = .A ;
IF SR31233  = 98               THEN SR31233  = .A ;
IF S031204  = 98               THEN S031204  = .A ;
IF SI31204  = 8                THEN SI31204  = .A ;
IF SR31204  = 98               THEN SR31204  = .A ;
IF S031299  = 98               THEN S031299  = .A ;
IF SI31299  = 8                THEN SI31299  = .A ;
IF SR31299  = 98               THEN SR31299  = .A ;
IF S031088A = 98               THEN S031088A = .A ;
IF S031088B = 98               THEN S031088B = .A ;
IF SI31088A = 8                THEN SI31088A = .A ;
IF SI31088B = 8                THEN SI31088B = .A ;
IF SR31088A = 98               THEN SR31088A = .A ;
IF SR31088B = 98               THEN SR31088B = .A ;
IF S031325  = 98               THEN S031325  = .A ;
IF SI31325  = 8                THEN SI31325  = .A ;
IF SR31325  = 98               THEN SR31325  = .A ;
IF S031197A = 98               THEN S031197A = .A ;
IF S031197B = 98               THEN S031197B = .A ;
IF SI31197A = 8                THEN SI31197A = .A ;
IF SI31197B = 8                THEN SI31197B = .A ;
IF SR31197A = 98               THEN SR31197A = .A ;
IF SR31197B = 98               THEN SR31197B = .A ;
IF S031044  = 98               THEN S031044  = .A ;
IF SI31044  = 8                THEN SI31044  = .A ;
IF SR31044  = 98               THEN SR31044  = .A ;
IF S031390A = 98               THEN S031390A = .A ;
IF S031390B = 98               THEN S031390B = .A ;
IF SI31390A = 8                THEN SI31390A = .A ;
IF SI31390B = 8                THEN SI31390B = .A ;
IF SR31390A = 98               THEN SR31390A = .A ;
IF SR31390B = 98               THEN SR31390B = .A ;
IF S031072  = 98               THEN S031072  = .A ;
IF SI31072  = 8                THEN SI31072  = .A ;
IF SR31072  = 98               THEN SR31072  = .A ;
IF S031439A = 98               THEN S031439A = .A ;
IF SI31439A = 8                THEN SI31439A = .A ;
IF SR31439A = 98               THEN SR31439A = .A ;
IF S031439B = 98               THEN S031439B = .A ;
IF SI31439B = 8                THEN SI31439B = .A ;
IF SR31439B = 98               THEN SR31439B = .A ;
IF S031440  = 98               THEN S031440  = .A ;
IF SI31440  = 8                THEN SI31440  = .A ;
IF SR31440  = 98               THEN SR31440  = .A ;
IF S031441A = 98               THEN S031441A = .A ;
IF SI31441A = 8                THEN SI31441A = .A ;
IF SR31441A = 98               THEN SR31441A = .A ;
IF S031441B = 98               THEN S031441B = .A ;
IF SI31441B = 8                THEN SI31441B = .A ;
IF SR31441B = 98               THEN SR31441B = .A ;
IF S031442  = 98               THEN S031442  = .A ;
IF SI31442  = 8                THEN SI31442  = .A ;
IF SR31442  = 98               THEN SR31442  = .A ;
IF S031443  = 98               THEN S031443  = .A ;
IF SI31443  = 8                THEN SI31443  = .A ;
IF SR31443  = 98               THEN SR31443  = .A ;
IF S031446A = 98               THEN S031446A = .A ;
IF SI31446A = 8                THEN SI31446A = .A ;
IF SR31446A = 98               THEN SR31446A = .A ;
IF S031446B = 98               THEN S031446B = .A ;
IF SI31446B = 8                THEN SI31446B = .A ;
IF SR31446B = 98               THEN SR31446B = .A ;
IF S031446C = 98               THEN S031446C = .A ;
IF SI31446C = 8                THEN SI31446C = .A ;
IF SR31446C = 98               THEN SR31446C = .A ;
IF S031445A = 98               THEN S031445A = .A ;
IF SI31445A = 8                THEN SI31445A = .A ;
IF SR31445A = 98               THEN SR31445A = .A ;
IF S031445B = 98               THEN S031445B = .A ;
IF SI31445B = 8                THEN SI31445B = .A ;
IF SR31445B = 98               THEN SR31445B = .A ;
IF S031447  = 98               THEN S031447  = .A ;
IF SI31447  = 8                THEN SI31447  = .A ;
IF SR31447  = 98               THEN SR31447  = .A ;
IF S031346  = 98               THEN S031346  = .A ;
IF SI31346  = 8                THEN SI31346  = .A ;
IF SR31346  = 98               THEN SR31346  = .A ;
IF S031081  = 98               THEN S031081  = .A ;
IF SI31081  = 8                THEN SI31081  = .A ;
IF SR31081  = 98               THEN SR31081  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF M031305  = 96               THEN M031305  = .R ;
IF MI31305  = 6                THEN MI31305  = .R ;
IF MR31305  = 96               THEN MR31305  = .R ;
IF M031065  = 96               THEN M031065  = .R ;
IF MI31065  = 6                THEN MI31065  = .R ;
IF MR31065  = 96               THEN MR31065  = .R ;
IF M031322  = 96               THEN M031322  = .R ;
IF MI31322  = 6                THEN MI31322  = .R ;
IF MR31322  = 96               THEN MR31322  = .R ;
IF M031298  = 96               THEN M031298  = .R ;
IF MI31298  = 6                THEN MI31298  = .R ;
IF MR31298  = 96               THEN MR31298  = .R ;
IF M031327  = 96               THEN M031327  = .R ;
IF MI31327  = 6                THEN MI31327  = .R ;
IF MR31327  = 96               THEN MR31327  = .R ;
IF M031269  = 96               THEN M031269  = .R ;
IF MI31269  = 6                THEN MI31269  = .R ;
IF MR31269  = 96               THEN MR31269  = .R ;
IF M031264  = 96               THEN M031264  = .R ;
IF MI31264  = 6                THEN MI31264  = .R ;
IF MR31264  = 96               THEN MR31264  = .R ;
IF M031265  = 96               THEN M031265  = .R ;
IF MI31265  = 6                THEN MI31265  = .R ;
IF MR31265  = 96               THEN MR31265  = .R ;
IF M031286  = 96               THEN M031286  = .R ;
IF MI31286  = 6                THEN MI31286  = .R ;
IF MR31286  = 96               THEN MR31286  = .R ;
IF M031106  = 96               THEN M031106  = .R ;
IF MI31106  = 6                THEN MI31106  = .R ;
IF MR31106  = 96               THEN MR31106  = .R ;
IF M031282  = 96               THEN M031282  = .R ;
IF MI31282  = 6                THEN MI31282  = .R ;
IF MR31282  = 96               THEN MR31282  = .R ;
IF M031227  = 96               THEN M031227  = .R ;
IF MI31227  = 6                THEN MI31227  = .R ;
IF MR31227  = 96               THEN MR31227  = .R ;
IF M031068  = 96               THEN M031068  = .R ;
IF MI31068  = 6                THEN MI31068  = .R ;
IF MR31068  = 96               THEN MR31068  = .R ;
IF M031299  = 96               THEN M031299  = .R ;
IF MI31299  = 6                THEN MI31299  = .R ;
IF MR31299  = 96               THEN MR31299  = .R ;
IF M031301  = 96               THEN M031301  = .R ;
IF MI31301  = 6                THEN MI31301  = .R ;
IF MR31301  = 96               THEN MR31301  = .R ;
IF M031271  = 96               THEN M031271  = .R ;
IF MI31271  = 6                THEN MI31271  = .R ;
IF MR31271  = 96               THEN MR31271  = .R ;
IF M031134  = 96               THEN M031134  = .R ;
IF MI31134  = 6                THEN MI31134  = .R ;
IF MR31134  = 96               THEN MR31134  = .R ;
IF M031235  = 96               THEN M031235  = .R ;
IF MI31235  = 6                THEN MI31235  = .R ;
IF MR31235  = 96               THEN MR31235  = .R ;
IF M031285  = 96               THEN M031285  = .R ;
IF MI31285  = 6                THEN MI31285  = .R ;
IF MR31285  = 96               THEN MR31285  = .R ;
IF M031258  = 96               THEN M031258  = .R ;
IF MI31258  = 6                THEN MI31258  = .R ;
IF MR31258  = 96               THEN MR31258  = .R ;
IF M031041  = 96               THEN M031041  = .R ;
IF MI31041  = 6                THEN MI31041  = .R ;
IF MR31041  = 96               THEN MR31041  = .R ;
IF M031350A = 96               THEN M031350A = .R ;
IF MI31350A = 6                THEN MI31350A = .R ;
IF MR31350A = 96               THEN MR31350A = .R ;
IF M031350B = 96               THEN M031350B = .R ;
IF MI31350B = 6                THEN MI31350B = .R ;
IF MR31350B = 96               THEN MR31350B = .R ;
IF M031350C = 96               THEN M031350C = .R ;
IF MI31350C = 6                THEN MI31350C = .R ;
IF MR31350C = 96               THEN MR31350C = .R ;
IF M031274  = 96               THEN M031274  = .R ;
IF MI31274  = 6                THEN MI31274  = .R ;
IF MR31274  = 96               THEN MR31274  = .R ;
IF M031240  = 96               THEN M031240  = .R ;
IF MI31240  = 6                THEN MI31240  = .R ;
IF MR31240  = 96               THEN MR31240  = .R ;
IF M031309  = 96               THEN M031309  = .R ;
IF MI31309  = 6                THEN MI31309  = .R ;
IF MR31309  = 96               THEN MR31309  = .R ;
IF M031242A = 96               THEN M031242A = .R ;
IF MI31242A = 6                THEN MI31242A = .R ;
IF MR31242A = 96               THEN MR31242A = .R ;
IF M031242B = 96               THEN M031242B = .R ;
IF MI31242B = 6                THEN MI31242B = .R ;
IF MR31242B = 96               THEN MR31242B = .R ;
IF M031247  = 96               THEN M031247  = .R ;
IF MI31247  = 6                THEN MI31247  = .R ;
IF MR31247  = 96               THEN MR31247  = .R ;
IF M031030  = 96               THEN M031030  = .R ;
IF MI31030  = 6                THEN MI31030  = .R ;
IF MR31030  = 96               THEN MR31030  = .R ;
IF M031330  = 96               THEN M031330  = .R ;
IF MI31330  = 6                THEN MI31330  = .R ;
IF MR31330  = 96               THEN MR31330  = .R ;
IF M031162  = 96               THEN M031162  = .R ;
IF MI31162  = 6                THEN MI31162  = .R ;
IF MR31162  = 96               THEN MR31162  = .R ;
IF M031249  = 96               THEN M031249  = .R ;
IF MI31249  = 6                THEN MI31249  = .R ;
IF MR31249  = 96               THEN MR31249  = .R ;
IF M031347A = 96               THEN M031347A = .R ;
IF MI31347A = 6                THEN MI31347A = .R ;
IF MR31347A = 96               THEN MR31347A = .R ;
IF M031347B = 96               THEN M031347B = .R ;
IF MI31347B = 6                THEN MI31347B = .R ;
IF MR31347B = 96               THEN MR31347B = .R ;
IF M031347C = 96               THEN M031347C = .R ;
IF MI31347C = 6                THEN MI31347C = .R ;
IF MR31347C = 96               THEN MR31347C = .R ;
IF M031348A = 96               THEN M031348A = .R ;
IF MI31348A = 6                THEN MI31348A = .R ;
IF MR31348A = 96               THEN MR31348A = .R ;
IF M031348B = 96               THEN M031348B = .R ;
IF MI31348B = 6                THEN MI31348B = .R ;
IF MR31348B = 96               THEN MR31348B = .R ;
IF M031306  = 96               THEN M031306  = .R ;
IF MI31306  = 6                THEN MI31306  = .R ;
IF MR31306  = 96               THEN MR31306  = .R ;
IF M031011  = 96               THEN M031011  = .R ;
IF MI31011  = 6                THEN MI31011  = .R ;
IF MR31011  = 96               THEN MR31011  = .R ;
IF M031304  = 96               THEN M031304  = .R ;
IF MI31304  = 6                THEN MI31304  = .R ;
IF MR31304  = 96               THEN MR31304  = .R ;
IF M031272A = 96               THEN M031272A = .R ;
IF MI31272A = 6                THEN MI31272A = .R ;
IF MR31272A = 96               THEN MR31272A = .R ;
IF M031272B = 96               THEN M031272B = .R ;
IF MI31272B = 6                THEN MI31272B = .R ;
IF MR31272B = 96               THEN MR31272B = .R ;
IF M031272C = 96               THEN M031272C = .R ;
IF MI31272C = 6                THEN MI31272C = .R ;
IF MR31272C = 96               THEN MR31272C = .R ;
IF M031267  = 96               THEN M031267  = .R ;
IF MI31267  = 6                THEN MI31267  = .R ;
IF MR31267  = 96               THEN MR31267  = .R ;
IF M031128  = 96               THEN M031128  = .R ;
IF MI31128  = 6                THEN MI31128  = .R ;
IF MR31128  = 96               THEN MR31128  = .R ;
IF M031016  = 96               THEN M031016  = .R ;
IF MI31016  = 6                THEN MI31016  = .R ;
IF MR31016  = 96               THEN MR31016  = .R ;
IF M031183  = 96               THEN M031183  = .R ;
IF MI31183  = 6                THEN MI31183  = .R ;
IF MR31183  = 96               THEN MR31183  = .R ;
IF M031297  = 96               THEN M031297  = .R ;
IF MI31297  = 6                THEN MI31297  = .R ;
IF MR31297  = 96               THEN MR31297  = .R ;
IF M031133  = 96               THEN M031133  = .R ;
IF MI31133  = 6                THEN MI31133  = .R ;
IF MR31133  = 96               THEN MR31133  = .R ;
IF M031009  = 96               THEN M031009  = .R ;
IF MI31009  = 6                THEN MI31009  = .R ;
IF MR31009  = 96               THEN MR31009  = .R ;
IF M031316  = 96               THEN M031316  = .R ;
IF MI31316  = 6                THEN MI31316  = .R ;
IF MR31316  = 96               THEN MR31316  = .R ;
IF M031079B = 96               THEN M031079B = .R ;
IF MI31079B = 6                THEN MI31079B = .R ;
IF MR31079B = 96               THEN MR31079B = .R ;
IF M031079C = 96               THEN M031079C = .R ;
IF MI31079C = 6                THEN MI31079C = .R ;
IF MR31079C = 96               THEN MR31079C = .R ;
IF M031325  = 96               THEN M031325  = .R ;
IF MI31325  = 6                THEN MI31325  = .R ;
IF MR31325  = 96               THEN MR31325  = .R ;
IF M031344A = 96               THEN M031344A = .R ;
IF MI31344A = 6                THEN MI31344A = .R ;
IF MR31344A = 96               THEN MR31344A = .R ;
IF M031344B = 96               THEN M031344B = .R ;
IF MI31344B = 6                THEN MI31344B = .R ;
IF MR31344B = 96               THEN MR31344B = .R ;
IF M031344C = 96               THEN M031344C = .R ;
IF MI31344C = 6                THEN MI31344C = .R ;
IF MR31344C = 96               THEN MR31344C = .R ;
IF M031345A = 96               THEN M031345A = .R ;
IF MI31345A = 6                THEN MI31345A = .R ;
IF MR31345A = 96               THEN MR31345A = .R ;
IF M031345B = 96               THEN M031345B = .R ;
IF MI31345B = 6                THEN MI31345B = .R ;
IF MR31345B = 96               THEN MR31345B = .R ;
IF M031345C = 96               THEN M031345C = .R ;
IF MI31345C = 6                THEN MI31345C = .R ;
IF MR31345C = 96               THEN MR31345C = .R ;
IF M031130  = 96               THEN M031130  = .R ;
IF MI31130  = 6                THEN MI31130  = .R ;
IF MR31130  = 96               THEN MR31130  = .R ;
IF M031346A = 96               THEN M031346A = .R ;
IF MI31346A = 6                THEN MI31346A = .R ;
IF MR31346A = 96               THEN MR31346A = .R ;
IF M031346B = 96               THEN M031346B = .R ;
IF MI31346B = 6                THEN MI31346B = .R ;
IF MR31346B = 96               THEN MR31346B = .R ;
IF M031346C = 96               THEN M031346C = .R ;
IF MI31346C = 6                THEN MI31346C = .R ;
IF MR31346C = 96               THEN MR31346C = .R ;
IF M031379  = 96               THEN M031379  = .R ;
IF MI31379  = 6                THEN MI31379  = .R ;
IF MR31379  = 96               THEN MR31379  = .R ;
IF M031380  = 96               THEN M031380  = .R ;
IF MI31380  = 6                THEN MI31380  = .R ;
IF MR31380  = 96               THEN MR31380  = .R ;
IF M031313  = 96               THEN M031313  = .R ;
IF MI31313  = 6                THEN MI31313  = .R ;
IF MR31313  = 96               THEN MR31313  = .R ;
IF S011032  = 96               THEN S011032  = .R ;
IF SI11032  = 6                THEN SI11032  = .R ;
IF SR11032  = 96               THEN SR11032  = .R ;
IF S011019  = 96               THEN S011019  = .R ;
IF SI11019  = 6                THEN SI11019  = .R ;
IF SR11019  = 96               THEN SR11019  = .R ;
IF S031246  = 96               THEN S031246  = .R ;
IF SI31246  = 6                THEN SI31246  = .R ;
IF SR31246  = 96               THEN SR31246  = .R ;
IF S031251  = 96               THEN S031251  = .R ;
IF SI31251  = 6                THEN SI31251  = .R ;
IF SR31251  = 96               THEN SR31251  = .R ;
IF S031053  = 96               THEN S031053  = .R ;
IF SI31053  = 6                THEN SI31053  = .R ;
IF SR31053  = 96               THEN SR31053  = .R ;
IF S031005  = 96               THEN S031005  = .R ;
IF SI31005  = 6                THEN SI31005  = .R ;
IF SR31005  = 96               THEN SR31005  = .R ;
IF S031372A = 96               THEN S031372A = .R ;
IF SI31372A = 6                THEN SI31372A = .R ;
IF SR31372A = 96               THEN SR31372A = .R ;
IF S031372B = 96               THEN S031372B = .R ;
IF SI31372B = 6                THEN SI31372B = .R ;
IF SR31372B = 96               THEN SR31372B = .R ;
IF S031270  = 96               THEN S031270  = .R ;
IF SI31270  = 6                THEN SI31270  = .R ;
IF SR31270  = 96               THEN SR31270  = .R ;
IF S031026  = 96               THEN S031026  = .R ;
IF SI31026  = 6                THEN SI31026  = .R ;
IF SR31026  = 96               THEN SR31026  = .R ;
IF S031414A = 96               THEN S031414A = .R ;
IF SI31414A = 6                THEN SI31414A = .R ;
IF SR31414A = 96               THEN SR31414A = .R ;
IF S031414B = 96               THEN S031414B = .R ;
IF SI31414B = 6                THEN SI31414B = .R ;
IF SR31414B = 96               THEN SR31414B = .R ;
IF S031009  = 96               THEN S031009  = .R ;
IF SI31009  = 6                THEN SI31009  = .R ;
IF SR31009  = 96               THEN SR31009  = .R ;
IF S031384A = 96               THEN S031384A = .R ;
IF SI31384A = 6                THEN SI31384A = .R ;
IF SR31384A = 96               THEN SR31384A = .R ;
IF S031384B = 96               THEN S031384B = .R ;
IF SI31384B = 6                THEN SI31384B = .R ;
IF SR31384B = 96               THEN SR31384B = .R ;
IF S031240A = 96               THEN S031240A = .R ;
IF S031240B = 96               THEN S031240B = .R ;
IF SI31240A = 6                THEN SI31240A = .R ;
IF SI31240B = 6                THEN SI31240B = .R ;
IF SR31240A = 96               THEN SR31240A = .R ;
IF SR31240B = 96               THEN SR31240B = .R ;
IF S031235A = 96               THEN S031235A = .R ;
IF SI31235A = 6                THEN SI31235A = .R ;
IF SR31235A = 96               THEN SR31235A = .R ;
IF S031235B = 96               THEN S031235B = .R ;
IF SI31235B = 6                THEN SI31235B = .R ;
IF SR31235B = 96               THEN SR31235B = .R ;
IF S031399A = 96               THEN S031399A = .R ;
IF SI31399A = 6                THEN SI31399A = .R ;
IF SR31399A = 96               THEN SR31399A = .R ;
IF S031399B = 96               THEN S031399B = .R ;
IF SI31399B = 6                THEN SI31399B = .R ;
IF SR31399B = 96               THEN SR31399B = .R ;
IF S031393  = 96               THEN S031393  = .R ;
IF SI31393  = 6                THEN SI31393  = .R ;
IF SR31393  = 96               THEN SR31393  = .R ;
IF S031278  = 96               THEN S031278  = .R ;
IF SI31278  = 6                THEN SI31278  = .R ;
IF SR31278  = 96               THEN SR31278  = .R ;
IF S031190  = 96               THEN S031190  = .R ;
IF SI31190  = 6                THEN SI31190  = .R ;
IF SR31190  = 96               THEN SR31190  = .R ;
IF S031047  = 96               THEN S031047  = .R ;
IF SI31047  = 6                THEN SI31047  = .R ;
IF SR31047  = 96               THEN SR31047  = .R ;
IF S031396A = 96               THEN S031396A = .R ;
IF S031396B = 96               THEN S031396B = .R ;
IF SI31396A = 6                THEN SI31396A = .R ;
IF SI31396B = 6                THEN SI31396B = .R ;
IF SR31396A = 96               THEN SR31396A = .R ;
IF SR31396B = 96               THEN SR31396B = .R ;
IF S031391A = 96               THEN S031391A = .R ;
IF S031391B = 96               THEN S031391B = .R ;
IF SI31391A = 6                THEN SI31391A = .R ;
IF SI31391B = 6                THEN SI31391B = .R ;
IF SR31391A = 96               THEN SR31391A = .R ;
IF SR31391B = 96               THEN SR31391B = .R ;
IF S031421  = 96               THEN S031421  = .R ;
IF SI31421  = 6                THEN SI31421  = .R ;
IF SR31421  = 96               THEN SR31421  = .R ;
IF S031076  = 96               THEN S031076  = .R ;
IF SI31076  = 6                THEN SI31076  = .R ;
IF SR31076  = 96               THEN SR31076  = .R ;
IF S031330  = 96               THEN S031330  = .R ;
IF SI31330  = 6                THEN SI31330  = .R ;
IF SR31330  = 96               THEN SR31330  = .R ;
IF S031241A = 96               THEN S031241A = .R ;
IF S031241B = 96               THEN S031241B = .R ;
IF SI31241A = 6                THEN SI31241A = .R ;
IF SI31241B = 6                THEN SI31241B = .R ;
IF SR31241A = 96               THEN SR31241A = .R ;
IF SR31241B = 96               THEN SR31241B = .R ;
IF S031252  = 96               THEN S031252  = .R ;
IF SI31252  = 6                THEN SI31252  = .R ;
IF SR31252  = 96               THEN SR31252  = .R ;
IF S031406A = 96               THEN S031406A = .R ;
IF SI31406A = 6                THEN SI31406A = .R ;
IF SR31406A = 96               THEN SR31406A = .R ;
IF S031406B = 96               THEN S031406B = .R ;
IF SI31406B = 6                THEN SI31406B = .R ;
IF SR31406B = 96               THEN SR31406B = .R ;
IF S031382  = 96               THEN S031382  = .R ;
IF SI31382  = 6                THEN SI31382  = .R ;
IF SR31382  = 96               THEN SR31382  = .R ;
IF S031218  = 96               THEN S031218  = .R ;
IF SI31218  = 6                THEN SI31218  = .R ;
IF SR31218  = 96               THEN SR31218  = .R ;
IF S031326A = 96               THEN S031326A = .R ;
IF S031326B = 96               THEN S031326B = .R ;
IF SI31326A = 6                THEN SI31326A = .R ;
IF SI31326B = 6                THEN SI31326B = .R ;
IF SR31326A = 96               THEN SR31326A = .R ;
IF SR31326B = 96               THEN SR31326B = .R ;
IF S031370  = 96               THEN S031370  = .R ;
IF SI31370  = 6                THEN SI31370  = .R ;
IF SR31370  = 96               THEN SR31370  = .R ;
IF S031233  = 96               THEN S031233  = .R ;
IF SI31233  = 6                THEN SI31233  = .R ;
IF SR31233  = 96               THEN SR31233  = .R ;
IF S031204  = 96               THEN S031204  = .R ;
IF SI31204  = 6                THEN SI31204  = .R ;
IF SR31204  = 96               THEN SR31204  = .R ;
IF S031299  = 96               THEN S031299  = .R ;
IF SI31299  = 6                THEN SI31299  = .R ;
IF SR31299  = 96               THEN SR31299  = .R ;
IF S031088A = 96               THEN S031088A = .R ;
IF S031088B = 96               THEN S031088B = .R ;
IF SI31088A = 6                THEN SI31088A = .R ;
IF SI31088B = 6                THEN SI31088B = .R ;
IF SR31088A = 96               THEN SR31088A = .R ;
IF SR31088B = 96               THEN SR31088B = .R ;
IF S031325  = 96               THEN S031325  = .R ;
IF SI31325  = 6                THEN SI31325  = .R ;
IF SR31325  = 96               THEN SR31325  = .R ;
IF S031197A = 96               THEN S031197A = .R ;
IF S031197B = 96               THEN S031197B = .R ;
IF SI31197A = 6                THEN SI31197A = .R ;
IF SI31197B = 6                THEN SI31197B = .R ;
IF SR31197A = 96               THEN SR31197A = .R ;
IF SR31197B = 96               THEN SR31197B = .R ;
IF S031044  = 96               THEN S031044  = .R ;
IF SI31044  = 6                THEN SI31044  = .R ;
IF SR31044  = 96               THEN SR31044  = .R ;
IF S031390A = 96               THEN S031390A = .R ;
IF S031390B = 96               THEN S031390B = .R ;
IF SI31390A = 6                THEN SI31390A = .R ;
IF SI31390B = 6                THEN SI31390B = .R ;
IF SR31390A = 96               THEN SR31390A = .R ;
IF SR31390B = 96               THEN SR31390B = .R ;
IF S031072  = 96               THEN S031072  = .R ;
IF SI31072  = 6                THEN SI31072  = .R ;
IF SR31072  = 96               THEN SR31072  = .R ;
IF S031439A = 96               THEN S031439A = .R ;
IF SI31439A = 6                THEN SI31439A = .R ;
IF SR31439A = 96               THEN SR31439A = .R ;
IF S031439B = 96               THEN S031439B = .R ;
IF SI31439B = 6                THEN SI31439B = .R ;
IF SR31439B = 96               THEN SR31439B = .R ;
IF S031440  = 96               THEN S031440  = .R ;
IF SI31440  = 6                THEN SI31440  = .R ;
IF SR31440  = 96               THEN SR31440  = .R ;
IF S031441A = 96               THEN S031441A = .R ;
IF SI31441A = 6                THEN SI31441A = .R ;
IF SR31441A = 96               THEN SR31441A = .R ;
IF S031441B = 96               THEN S031441B = .R ;
IF SI31441B = 6                THEN SI31441B = .R ;
IF SR31441B = 96               THEN SR31441B = .R ;
IF S031442  = 96               THEN S031442  = .R ;
IF SI31442  = 6                THEN SI31442  = .R ;
IF SR31442  = 96               THEN SR31442  = .R ;
IF S031443  = 96               THEN S031443  = .R ;
IF SI31443  = 6                THEN SI31443  = .R ;
IF SR31443  = 96               THEN SR31443  = .R ;
IF S031446A = 96               THEN S031446A = .R ;
IF SI31446A = 6                THEN SI31446A = .R ;
IF SR31446A = 96               THEN SR31446A = .R ;
IF S031446B = 96               THEN S031446B = .R ;
IF SI31446B = 6                THEN SI31446B = .R ;
IF SR31446B = 96               THEN SR31446B = .R ;
IF S031446C = 96               THEN S031446C = .R ;
IF SI31446C = 6                THEN SI31446C = .R ;
IF SR31446C = 96               THEN SR31446C = .R ;
IF S031445A = 96               THEN S031445A = .R ;
IF SI31445A = 6                THEN SI31445A = .R ;
IF SR31445A = 96               THEN SR31445A = .R ;
IF S031445B = 96               THEN S031445B = .R ;
IF SI31445B = 6                THEN SI31445B = .R ;
IF SR31445B = 96               THEN SR31445B = .R ;
IF S031447  = 96               THEN S031447  = .R ;
IF SI31447  = 6                THEN SI31447  = .R ;
IF SR31447  = 96               THEN SR31447  = .R ;
IF S031346  = 96               THEN S031346  = .R ;
IF SI31346  = 6                THEN SI31346  = .R ;
IF SR31346  = 96               THEN SR31346  = .R ;
IF S031081  = 96               THEN S031081  = .R ;
IF SI31081  = 6                THEN SI31081  = .R ;
IF SR31081  = 96               THEN SR31081  = .R ;


%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;