**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
           ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
           RUS SCO SGP SVN TUN TWN USA UIN YEM ;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= ATG&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDTEACH    6 ;
LENGTH      IDLINK     3 ;
LENGTH      ITCOURSE   3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      ATBGAGE    3 ;
LENGTH      ATBGSEX    3 ;
LENGTH      ATBGTAUT   3 ;
LENGTH      ATBGFEDC   3 ;
LENGTH      ATBGYTTR   3 ;
LENGTH      ATBGPSEP   3 ;
LENGTH      ATBGPSES   3 ;
LENGTH      ATBMPSMA   3 ;
LENGTH      ATBSPSSC   3 ;
LENGTH      ATBGPSOT   3 ;
LENGTH      ATBMEDMA   3 ;
LENGTH      ATBSEDSC   3 ;
LENGTH      ATBGEDLR   3 ;
LENGTH      ATBGEDOT   3 ;
LENGTH      ATBGRB5A   3 ;
LENGTH      ATBGRBPP   3 ;
LENGTH      ATBGRBEC   3 ;
LENGTH      ATBMRBMC   3 ;
LENGTH      ATBSRBSC   3 ;
LENGTH      ATBGRBLE   3 ;
LENGTH      ATBGTLCE   3 ;
LENGTH      ATBGTELC   3 ;
LENGTH      ATBGCHTS   3 ;
LENGTH      ATBGCHTU   3 ;
LENGTH      ATBGCHTC   3 ;
LENGTH      ATBGCHES   3 ;
LENGTH      ATBGCHPS   3 ;
LENGTH      ATBGCHPI   3 ;
LENGTH      ATBGCHSR   3 ;
LENGTH      ATBGCHSD   3 ;
LENGTH      ATBGCURE   3 ;
LENGTH      ATBGCUSN   3 ;
LENGTH      ATBGCUSA   3 ;
LENGTH      ATBGCUAS   3 ;
LENGTH      ATBGOTDC   3 ;
LENGTH      ATBGOTPM   3 ;
LENGTH      ATBGOTVT   3 ;
LENGTH      ATBGOTAT   3 ;
LENGTH      ATBMRT01   3 ;
LENGTH      ATBMRT02   3 ;
LENGTH      ATBMRT03   3 ;
LENGTH      ATBMRT04   3 ;
LENGTH      ATBMRT05   3 ;
LENGTH      ATBMRT06   3 ;
LENGTH      ATBMRT07   3 ;
LENGTH      ATBMRT08   3 ;
LENGTH      ATBMRT09   3 ;
LENGTH      ATBMRT10   3 ;
LENGTH      ATBMRT11   3 ;
LENGTH      ATBMRT12   3 ;
LENGTH      ATBMRT13   3 ;
LENGTH      ATBMRT14   3 ;
LENGTH      ATBMRT15   3 ;
LENGTH      ATBMRT16   3 ;
LENGTH      ATBMPDMT   3 ;
LENGTH      ATBMPDMP   3 ;
LENGTH      ATBMPDMC   3 ;
LENGTH      ATBMPDIT   3 ;
LENGTH      ATBGPDCT   3 ;
LENGTH      ATBMPDMA   3 ;
LENGTH      ATBMSTUD   3 ;
LENGTH      ATBMSTDQ   3 ;
LENGTH      ATBMTIMT   3 ;
LENGTH      ATBMTBTC   3 ;
LENGTH      ATBMTXBU   3 ;
LENGTH      ATBMPTRH   3 ;
LENGTH      ATBMPTLS   3 ;
LENGTH      ATBMPTYG   3 ;
LENGTH      ATBMPTOO   3 ;
LENGTH      ATBMPTRT   3 ;
LENGTH      ATBMPTTQ   3 ;
LENGTH      ATBMPTCM   3 ;
LENGTH      ATBMPTOA   3 ;
LENGTH      ATBMCAML   3 ;
LENGTH      ATBMHSHC   3 ;
LENGTH      ATBMCALA   3 ;
LENGTH      ATBMCALR   3 ;
LENGTH      ATBMCALS   3 ;
LENGTH      ATBMCALE   3 ;
LENGTH      ATBMCATE   3 ;
LENGTH      ATBMCOMA   3 ;
LENGTH      ATBMINTA   3 ;
LENGTH      ATBMCADM   3 ;
LENGTH      ATBMCASP   3 ;
LENGTH      ATBMCALI   3 ;
LENGTH      ATBMASPC   3 ;
LENGTH      ATBMASWF   3 ;
LENGTH      ATBMASMS   3 ;
LENGTH      ATBMASMG   3 ;
LENGTH      ATBMASLC   3 ;
LENGTH      ATBMASWP   3 ;
LENGTH      ATBMASSG   3 ;
LENGTH      ATBMASEA   3 ;
LENGTH      ATBMTTNU   3 ;
LENGTH      ATBMTTPA   3 ;
LENGTH      ATBMTTME   3 ;
LENGTH      ATBMTTGE   3 ;
LENGTH      ATBMTTDA   3 ;
LENGTH      ATBMCOTH   3 ;
LENGTH      ATBMTA01   3 ;
LENGTH      ATBMTA02   3 ;
LENGTH      ATBMTA03   3 ;
LENGTH      ATBMTA04   3 ;
LENGTH      ATBMTA05   3 ;
LENGTH      ATBMTA06   3 ;
LENGTH      ATBMTA07   3 ;
LENGTH      ATBMTA08   3 ;
LENGTH      ATBMTA09   3 ;
LENGTH      ATBMTA10   3 ;
LENGTH      ATBMTA11   3 ;
LENGTH      ATBMTA12   3 ;
LENGTH      ATBMTA13   3 ;
LENGTH      ATBMTA14   3 ;
LENGTH      ATBMTA15   3 ;
LENGTH      ATBMTA16   3 ;
LENGTH      ATBMTA17   3 ;
LENGTH      ATBMTA18   3 ;
LENGTH      ATBMTA19   3 ;
LENGTH      ATBMTA20   3 ;
LENGTH      ATBMTA21   3 ;
LENGTH      ATBMTA22   3 ;
LENGTH      ATBMTA23   3 ;
LENGTH      ATBMTA24   3 ;
LENGTH      ATBMTA25   3 ;
LENGTH      ATBMTA26   3 ;
LENGTH      ATBMTA27   3 ;
LENGTH      ATBMTA28   3 ;
LENGTH      ATBMTA29   3 ;
LENGTH      ATBMTA30   3 ;
LENGTH      ATBMTA31   3 ;
LENGTH      ATBMTA32   3 ;
LENGTH      ATBMTA33   3 ;
LENGTH      ATBMTA34   3 ;
LENGTH      ATBMTA35   3 ;
LENGTH      ATBMTA36   3 ;
LENGTH      ATBMTA37   3 ;
LENGTH      ATBMTA38   3 ;
LENGTH      ATBMTA39   3 ;
LENGTH      ATBMTA40   3 ;
LENGTH      ATBMTA41   3 ;
LENGTH      ATBMTA42   3 ;
LENGTH      ATBMHMWO   3 ;
LENGTH      ATBMHWMC   3 ;
LENGTH      ATBMHWKM   3 ;
LENGTH      ATBSRT01   3 ;
LENGTH      ATBSRT02   3 ;
LENGTH      ATBSRT03   3 ;
LENGTH      ATBSRT04   3 ;
LENGTH      ATBSRT05   3 ;
LENGTH      ATBSRT06   3 ;
LENGTH      ATBSRT07   3 ;
LENGTH      ATBSRT08   3 ;
LENGTH      ATBSRT09   3 ;
LENGTH      ATBSRT10   3 ;
LENGTH      ATBSRT11   3 ;
LENGTH      ATBSRT12   3 ;
LENGTH      ATBSRT13   3 ;
LENGTH      ATBSRT14   3 ;
LENGTH      ATBSRT15   3 ;
LENGTH      ATBSRT16   3 ;
LENGTH      ATBSRT17   3 ;
LENGTH      ATBSRT18   3 ;
LENGTH      ATBSRT19   3 ;
LENGTH      ATBSPDST   3 ;
LENGTH      ATBSPDSP   3 ;
LENGTH      ATBSPDSC   3 ;
LENGTH      ATBSPDIT   3 ;
LENGTH      ATBGPDIN   3 ;
LENGTH      ATBSPDSA   3 ;
LENGTH      ATBSSTUD   3 ;
LENGTH      ATBSSTDQ   3 ;
LENGTH      ATBSSSBJ   3 ;
LENGTH      ATBSYMWT   3 ;
LENGTH      ATBSNMWT   3 ;
LENGTH      ATBSTBTC   3 ;
LENGTH      ATBSTXBU   3 ;
LENGTH      ATBSCOMA   3 ;
LENGTH      ATBSINTA   3 ;
LENGTH      ATBSCAPE   3 ;
LENGTH      ATBSCANP   3 ;
LENGTH      ATBSCASP   3 ;
LENGTH      ATBSCALI   3 ;
LENGTH      ATBSCSWE   3 ;
LENGTH      ATBSCSDP   3 ;
LENGTH      ATBSCSDI   3 ;
LENGTH      ATBSCSSG   3 ;
LENGTH      ATBSCSDL   3 ;
LENGTH      ATBSCSWS   3 ;
LENGTH      ATBSCSOS   3 ;
LENGTH      ATBSCSPW   3 ;
LENGTH      ATBSPTLS   3 ;
LENGTH      ATBSPTPS   3 ;
LENGTH      ATBSPTES   3 ;
LENGTH      ATBSCOTH   3 ;
LENGTH      ATBSTA01   3 ;
LENGTH      ATBSTA02   3 ;
LENGTH      ATBSTA03   3 ;
LENGTH      ATBSTA04   3 ;
LENGTH      ATBSTA05   3 ;
LENGTH      ATBSTA06   3 ;
LENGTH      ATBSTA07   3 ;
LENGTH      ATBSTA08   3 ;
LENGTH      ATBSTA09   3 ;
LENGTH      ATBSTA10   3 ;
LENGTH      ATBSTA11   3 ;
LENGTH      ATBSTA12   3 ;
LENGTH      ATBSTA13   3 ;
LENGTH      ATBSTA14   3 ;
LENGTH      ATBSTA15   3 ;
LENGTH      ATBSTA16   3 ;
LENGTH      ATBSTA17   3 ;
LENGTH      ATBSTA18   3 ;
LENGTH      ATBSTA19   3 ;
LENGTH      ATBSTA20   3 ;
LENGTH      ATBSTA21   3 ;
LENGTH      ATBSTA22   3 ;
LENGTH      ATBSTA23   3 ;
LENGTH      ATBSTA24   3 ;
LENGTH      ATBSTA25   3 ;
LENGTH      ATBSTA26   3 ;
LENGTH      ATBSTA27   3 ;
LENGTH      ATBSTA28   3 ;
LENGTH      ATBSTA29   3 ;
LENGTH      ATBSTA30   3 ;
LENGTH      ATBSTA31   3 ;
LENGTH      ATBSTA32   3 ;
LENGTH      ATBSHMWO   3 ;
LENGTH      ATBSHWMC   3 ;
LENGTH      ATBSHWKM   3 ;
LENGTH      ATDGCH     3 ;
LENGTH      ATDGCU     3 ;
LENGTH      ATDGTELC   3 ;
LENGTH      ATDMPREP   3 ;
LENGTH      ATDMSTUD   3 ;
LENGTH      ATDMTANU   8 ;
LENGTH      ATDMTAOV   8 ;
LENGTH      ATDMH      3 ;
LENGTH      ATDMTAME   8 ;
LENGTH      ATDMTAGE   8 ;
LENGTH      ATDMTADA   8 ;
LENGTH      ATDMTAPE   8 ;
LENGTH      ATDSPREP   3 ;
LENGTH      ATDSSTUD   3 ;
LENGTH      ATDSH      3 ;
LENGTH      ATDSTALI   8 ;
LENGTH      ATDSTAPH   8 ;
LENGTH      ATDSTAEA   8 ;
LENGTH      ATDSTAOV   8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDTEACH      11-  16     
  IDLINK       17-  18     
  ITCOURSE     19-  20     
  IDGRADE      21-  22     
  IDGRADER     23-  23     
  INTMS03      24-  24     
  INTMS99      25-  25     
  INTMS95      26-  26     
  ATBGAGE      27-  27     
  ATBGSEX      28-  28     
  ATBGTAUT     29-  30     
  ATBGFEDC     31-  31     
  ATBGYTTR     32-  33     
  ATBGPSEP     34-  34     
  ATBGPSES     35-  35     
  ATBMPSMA     36-  36     
  ATBSPSSC     37-  37     
  ATBGPSOT     38-  38     
  ATBMEDMA     39-  39     
  ATBSEDSC     40-  40     
  ATBGEDLR     41-  41     
  ATBGEDOT     42-  42     
  ATBGRB5A     43-  43     
  ATBGRBPP     44-  44     
  ATBGRBEC     45-  45     
  ATBMRBMC     46-  46     
  ATBSRBSC     47-  47     
  ATBGRBLE     48-  48     
  ATBGTLCE     49-  49     
  ATBGTELC     50-  50     
  ATBGCHTS     51-  51     
  ATBGCHTU     52-  52     
  ATBGCHTC     53-  53     
  ATBGCHES     54-  54     
  ATBGCHPS     55-  55     
  ATBGCHPI     56-  56     
  ATBGCHSR     57-  57     
  ATBGCHSD     58-  58     
  ATBGCURE     59-  59     
  ATBGCUSN     60-  60     
  ATBGCUSA     61-  61     
  ATBGCUAS     62-  62     
  ATBGOTDC     63-  63     
  ATBGOTPM     64-  64     
  ATBGOTVT     65-  65     
  ATBGOTAT     66-  66     
  ATBMRT01     67-  67     
  ATBMRT02     68-  68     
  ATBMRT03     69-  69     
  ATBMRT04     70-  70     
  ATBMRT05     71-  71     
  ATBMRT06     72-  72     
  ATBMRT07     73-  73     
  ATBMRT08     74-  74     
  ATBMRT09     75-  75     
  ATBMRT10     76-  76     
  ATBMRT11     77-  77     
  ATBMRT12     78-  78     
  ATBMRT13     79-  79     
  ATBMRT14     80-  80     
  ATBMRT15     81-  81     
  ATBMRT16     82-  82     
  ATBMPDMT     83-  83     
  ATBMPDMP     84-  84     
  ATBMPDMC     85-  85     
  ATBMPDIT     86-  86     
  ATBGPDCT     87-  87     
  ATBMPDMA     88-  88     
  ATBMSTUD     89-  91     
  ATBMSTDQ     92-  94     
  ATBMTIMT     95-  97     
  ATBMTBTC     98-  98     
  ATBMTXBU     99-  99     
  ATBMPTRH    100- 102     
  ATBMPTLS    103- 105     
  ATBMPTYG    106- 108     
  ATBMPTOO    109- 111     
  ATBMPTRT    112- 114     
  ATBMPTTQ    115- 117     
  ATBMPTCM    118- 120     
  ATBMPTOA    121- 123     
  ATBMCAML    124- 124     
  ATBMHSHC    125- 125     
  ATBMCALA    126- 126     
  ATBMCALR    127- 127     
  ATBMCALS    128- 128     
  ATBMCALE    129- 129     
  ATBMCATE    130- 130     
  ATBMCOMA    131- 131     
  ATBMINTA    132- 132     
  ATBMCADM    133- 133     
  ATBMCASP    134- 134     
  ATBMCALI    135- 135     
  ATBMASPC    136- 136     
  ATBMASWF    137- 137     
  ATBMASMS    138- 138     
  ATBMASMG    139- 139     
  ATBMASLC    140- 140     
  ATBMASWP    141- 141     
  ATBMASSG    142- 142     
  ATBMASEA    143- 143     
  ATBMTTNU    144- 146     
  ATBMTTPA    147- 149     
  ATBMTTME    150- 152     
  ATBMTTGE    153- 155     
  ATBMTTDA    156- 158     
  ATBMCOTH    159- 161     
  ATBMTA01    162- 162     
  ATBMTA02    163- 163     
  ATBMTA03    164- 164     
  ATBMTA04    165- 165     
  ATBMTA05    166- 166     
  ATBMTA06    167- 167     
  ATBMTA07    168- 168     
  ATBMTA08    169- 169     
  ATBMTA09    170- 170     
  ATBMTA10    171- 171     
  ATBMTA11    172- 172     
  ATBMTA12    173- 173     
  ATBMTA13    174- 174     
  ATBMTA14    175- 175     
  ATBMTA15    176- 176     
  ATBMTA16    177- 177     
  ATBMTA17    178- 178     
  ATBMTA18    179- 179     
  ATBMTA19    180- 180     
  ATBMTA20    181- 181     
  ATBMTA21    182- 182     
  ATBMTA22    183- 183     
  ATBMTA23    184- 184     
  ATBMTA24    185- 185     
  ATBMTA25    186- 186     
  ATBMTA26    187- 187     
  ATBMTA27    188- 188     
  ATBMTA28    189- 189     
  ATBMTA29    190- 190     
  ATBMTA30    191- 191     
  ATBMTA31    192- 192     
  ATBMTA32    193- 193     
  ATBMTA33    194- 194     
  ATBMTA34    195- 195     
  ATBMTA35    196- 196     
  ATBMTA36    197- 197     
  ATBMTA37    198- 198     
  ATBMTA38    199- 199     
  ATBMTA39    200- 200     
  ATBMTA40    201- 201     
  ATBMTA41    202- 202     
  ATBMTA42    203- 203     
  ATBMHMWO    204- 204     
  ATBMHWMC    205- 205     
  ATBMHWKM    206- 206     
  ATBSRT01    207- 207     
  ATBSRT02    208- 208     
  ATBSRT03    209- 209     
  ATBSRT04    210- 210     
  ATBSRT05    211- 211     
  ATBSRT06    212- 212     
  ATBSRT07    213- 213     
  ATBSRT08    214- 214     
  ATBSRT09    215- 215     
  ATBSRT10    216- 216     
  ATBSRT11    217- 217     
  ATBSRT12    218- 218     
  ATBSRT13    219- 219     
  ATBSRT14    220- 220     
  ATBSRT15    221- 221     
  ATBSRT16    222- 222     
  ATBSRT17    223- 223     
  ATBSRT18    224- 224     
  ATBSRT19    225- 225     
  ATBSPDST    226- 226     
  ATBSPDSP    227- 227     
  ATBSPDSC    228- 228     
  ATBSPDIT    229- 229     
  ATBGPDIN    230- 230     
  ATBSPDSA    231- 231     
  ATBSSTUD    232- 234     
  ATBSSTDQ    235- 237     
  ATBSSSBJ    238- 238     
  ATBSYMWT    239- 241     
  ATBSNMWT    242- 244     
  ATBSTBTC    245- 245     
  ATBSTXBU    246- 246     
  ATBSCOMA    247- 247     
  ATBSINTA    248- 248     
  ATBSCAPE    249- 249     
  ATBSCANP    250- 250     
  ATBSCASP    251- 251     
  ATBSCALI    252- 252     
  ATBSCSWE    253- 253     
  ATBSCSDP    254- 254     
  ATBSCSDI    255- 255     
  ATBSCSSG    256- 256     
  ATBSCSDL    257- 257     
  ATBSCSWS    258- 258     
  ATBSCSOS    259- 259     
  ATBSCSPW    260- 260     
  ATBSPTLS    261- 263     
  ATBSPTPS    264- 266     
  ATBSPTES    267- 269     
  ATBSCOTH    270- 272     
  ATBSTA01    273- 273     
  ATBSTA02    274- 274     
  ATBSTA03    275- 275     
  ATBSTA04    276- 276     
  ATBSTA05    277- 277     
  ATBSTA06    278- 278     
  ATBSTA07    279- 279     
  ATBSTA08    280- 280     
  ATBSTA09    281- 281     
  ATBSTA10    282- 282     
  ATBSTA11    283- 283     
  ATBSTA12    284- 284     
  ATBSTA13    285- 285     
  ATBSTA14    286- 286     
  ATBSTA15    287- 287     
  ATBSTA16    288- 288     
  ATBSTA17    289- 289     
  ATBSTA18    290- 290     
  ATBSTA19    291- 291     
  ATBSTA20    292- 292     
  ATBSTA21    293- 293     
  ATBSTA22    294- 294     
  ATBSTA23    295- 295     
  ATBSTA24    296- 296     
  ATBSTA25    297- 297     
  ATBSTA26    298- 298     
  ATBSTA27    299- 299     
  ATBSTA28    300- 300     
  ATBSTA29    301- 301     
  ATBSTA30    302- 302     
  ATBSTA31    303- 303     
  ATBSTA32    304- 304     
  ATBSHMWO    305- 305     
  ATBSHWMC    306- 306     
  ATBSHWKM    307- 307     
  ATDGCH      308- 308     
  ATDGCU      309- 309     
  ATDGTELC    310- 310     
  ATDMPREP    311- 311     
  ATDMSTUD    312- 312     
  ATDMTANU    313- 318 .2
  ATDMTAOV    319- 324 .2
  ATDMH       325- 325     
  ATDMTAME    326- 331 .2
  ATDMTAGE    332- 337 .2
  ATDMTADA    338- 343 .2
  ATDMTAPE    344- 349 .2
  ATDSPREP    350- 350     
  ATDSSTUD    351- 351     
  ATDSH       352- 352     
  ATDSTALI    353- 358 .2
  ATDSTAPH    359- 364 .2
  ATDSTAEA    365- 370 .2
  ATDSTAOV    371- 376 .2
  DPCDATE     377- 382     
;



%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  ITCOURSE = "*NAME OF COURSE*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  ATBGAGE  = "GEN\AGE OF TEACHER"
  ATBGSEX  = "GEN\SEX OF TEACHER"
  ATBGTAUT = "GEN\NUMBER OF YEARS BEEN TEACHING"
  ATBGFEDC = "GEN\LEVEL OF FORMAL EDUCATION COMPLETED"
  ATBGYTTR = "GEN\YEARS OF TEACHER TRAINING"
  ATBGPSEP = "GEN\MAJOR AREA OF STUDY\EDUCATION PRIM"
  ATBGPSES = "GEN\MAJOR AREA OF STUDY\EDUCATION SECOND"
  ATBMPSMA = "MAT\MAJOR AREA OF STUDY\MATHEMATICS"
  ATBSPSSC = "SCI\MAJOR AREA OF STUDY\SCIENCE"
  ATBGPSOT = "GEN\MAJOR AREA OF STUDY\OTHER"
  ATBMEDMA = "MAT\MAIN AREA EDUC\MATHEMATICS"
  ATBSEDSC = "SCI\MAIN AREA EDUC\SCIENCE"
  ATBGEDLR = "GEN\MAIN AREA EDUC\LANGUAGE READING"
  ATBGEDOT = "GEN\MAIN AREA EDUC\OTHER"
  ATBGRB5A = "GEN\REQUIREMENTS FOR CERTI\ISCED 5A"
  ATBGRBPP = "GEN\REQUIREMENTS FOR CERTI\PROBATION PER"
  ATBGRBEC = "GEN\REQUIREMENTS FOR CERTI\EDUCA COURSES"
  ATBMRBMC = "MAT\REQUIREMENTS FOR CERTI\MATHS COURSES"
  ATBSRBSC = "SCI\REQUIREMENTS FOR CERTI\SCI COURSES"
  ATBGRBLE = "GEN\REQUIREMENTS FOR CERTI\LICENS EXAM"
  ATBGTLCE = "GEN\TEACHING CERTIFICATE"
  ATBGTELC = "GEN\TEACHING CERTIFICATE\TYPE"
  ATBGCHTS = "GEN\CHARACTERIZE\JOB SATISFICATION"
  ATBGCHTU = "GEN\CHARACTERIZE\UNDERSTANDING"
  ATBGCHTC = "GEN\CHARACTERIZE\DEGREE OF SUCCESS"
  ATBGCHES = "GEN\CHARACTERIZE\EXPECTATIONS"
  ATBGCHPS = "GEN\CHARACTERIZE\PARENTAL SUPPORT"
  ATBGCHPI = "GEN\CHARACTERIZE\PARENTAL INVOLVEMENT"
  ATBGCHSR = "GEN\CHARACTERIZE\STUDENT REGARD"
  ATBGCHSD = "GEN\CHARACTERIZE\STUDENT DESIRE"
  ATBGCURE = "GEN\CURRENT SCHOOL\NEEDS  REPAIR"
  ATBGCUSN = "GEN\CURRENT SCHOOL\LOCA IN SAFE NEIGHBOR"
  ATBGCUSA = "GEN\CURRENT SCHOOL\I FEEL SAFE IN SCHOOL"
  ATBGCUAS = "GEN\CURRENT SCHOOL\SECURITY POLICIES SUF"
  ATBGOTDC = "GEN\INTERACTIONS TEACHERS\DISCUSS CONCEP"
  ATBGOTPM = "GEN\INTERACTIONS TEACHERS\PREPARE INSTRU"
  ATBGOTVT = "GEN\INTERACTIONS TEACHER\VISITS CLASS"
  ATBGOTAT = "GEN\INTERACTIONS TEACHERS\INF OBSERVATIO"
  ATBMRT01 = "MAT\READY\NUMBER\ADDING SUBTRACTING"
  ATBMRT02 = "MAT\READY\NUMBER\FRACTIONS"
  ATBMRT03 = "MAT\READY\NUMBER\FRACTIONS OR DECIMALS"
  ATBMRT04 = "MAT\READY\NUMBER\ADDING SUBTRACTING DEC"
  ATBMRT05 = "MAT\READY\PATTERN\PATTERNS OF NUMBERS"
  ATBMRT06 = "MAT\READY\PATTERN\SIMPLE EQUATATIONS"
  ATBMRT07 = "MAT\READY\PATTERN\FINDING A RULE"
  ATBMRT08 = "MAT\READY\MEASUREMENT\RECOGNIZING"
  ATBMRT09 = "MAT\READY\MEASUREMENT\ESTIMATING"
  ATBMRT10 = "MAT\READY\GEOMETRY\FAMILIAR SHAPES"
  ATBMRT11 = "MAT\READY\GEOMETRY\CONGR TRIANGLES"
  ATBMRT12 = "MAT\READY\GEOMETRY\RELATIONSHIPS"
  ATBMRT13 = "MAT\READY\GEOMETRY\TRANSLATION REFL"
  ATBMRT14 = "MAT\READY\DATA\RECOGNIZING NUMBERS"
  ATBMRT15 = "MAT\READY\DATA\DISPLAYING DATA"
  ATBMRT16 = "MAT\READY\DATA\DRAWING CONCLUSION"
  ATBMPDMT = "MAT\PARTICIPATED DEVELOPM\MATHS CONTENT"
  ATBMPDMP = "MAT\PARTICIPATED DEVELOPM\MATHS PEDAGOGY"
  ATBMPDMC = "MAT\PARTICIPATED DEVELOPM\MATHS CURRICUL"
  ATBMPDIT = "MAT\PARTICIPATED DEVELOPM\INTEGRATE IT"
  ATBGPDCT = "GEN\PARTICIPATED DEVELOPM\IMPROVE CRITIC"
  ATBMPDMA = "MAT\PARTICIPATED DEVELOPM\MATHS ASSESSM"
  ATBMSTUD = "MAT\NUMBER OF STD\IN TIMSS CLASS"
  ATBMSTDQ = "MAT\NUMBER OF STD\IN 4TH GRADE"
  ATBMTIMT = "MAT\MINUTES TEACH MATH PER WEEK TO CLASS"
  ATBMTBTC = "MAT\TEXTBOOK\USE FOR MATHS"
  ATBMTXBU = "MAT\TEXTBOOK\USED HOW IN TEACHING MATHS"
  ATBMPTRH = "MAT\PERCENTAGE OF TIME\REVIEW HMW"
  ATBMPTLS = "MAT\PERCENTAGE OF TIME\LISTEN PRESENT"
  ATBMPTYG = "MAT\PERCENTAGE OF TIME\WORK PROBL"
  ATBMPTOO = "MAT\PERCENTAGE OF TIME\WRK PROBL ON OWN"
  ATBMPTRT = "MAT\PERCENTAGE OF TIME\LISTN TO RETEACH"
  ATBMPTTQ = "MAT\PERCENTAGE OF TIME\TESTS OR QUIZZES"
  ATBMPTCM = "MAT\PERCENTAGE OF TIME\PART CLS MANAGEM"
  ATBMPTOA = "MAT\PERCENTAGE OF TIME\OTHER ACTIVITIES"
  ATBMCAML = "MAT\CALCULATOR\USE PERMITTED FOR STD"
  ATBMHSHC = "MAT\CALCULATOR\AVAIL DURING MATHS LESS"
  ATBMCALA = "MAT\CALCULATOR\USE\CHECK ANSWERS"
  ATBMCALR = "MAT\CALCULATOR\USE\DO ROUTINE COMPUT"
  ATBMCALS = "MAT\CALCULATOR\USE\SOLVE COMPLEX PROBLEM"
  ATBMCALE = "MAT\CALCULATOR\USE\EXPLORE NR CONCEPTS"
  ATBMCATE = "MAT\CALCULATOR\PERMITTED DURING TESTS"
  ATBMCOMA = "MAT\COMPUTER\AVAILABLE IN MATHS LESS"
  ATBMINTA = "MAT\COMPUTER\ACCESS TO INTERNET"
  ATBMCADM = "MAT\COMPUTER\USE\DISC MATHS PRINCIPLE"
  ATBMCASP = "MAT\COMPUTER\USE\PRACTICE SKILLS"
  ATBMCALI = "MAT\COMPUTER\USE\LOOK UP IDEAS"
  ATBMASPC = "MAT\HOW OFTEN ASK\PRACTICE ADDING SUBTR"
  ATBMASWF = "MAT\HOW OFTEN ASK\WORK ON FRACTIONS"
  ATBMASMS = "MAT\HOW OFTEN ASK\MEASURE THINGS"
  ATBMASMG = "MAT\HOW OFTEN ASK\MAKE TABLES CHARTS"
  ATBMASLC = "MAT\HOW OFTEN ASK\LEARN ABOUT SHAPES"
  ATBMASWP = "MAT\HOW OFTEN ASK\WRITE EQUATATIONS"
  ATBMASSG = "MAT\HOW OFTEN ASK\WORK TOGETHER IN GROUP"
  ATBMASEA = "MAT\HOW OFTEN ASK\EXPLAIN ANSWERS"
  ATBMTTNU = "MAT\PERCENTAGE OF TEACHING SPEND\NUMBER"
  ATBMTTPA = "MAT\PERCENTAGE OF TEACHING SPEND\PATTERN"
  ATBMTTME = "MAT\PERCENTAGE OF TEACHING SPEND\MEASURE"
  ATBMTTGE = "MAT\PERCENTAGE OF TEACHING SPEND\GEOMETR"
  ATBMTTDA = "MAT\PERCENTAGE OF TEACHING SPEND\DATA"
  ATBMCOTH = "MAT\PERCENTAGE OF TEACHING SPEND\OTHER"
  ATBMTA01 = "MAT\TAUGHT\NUMBER\WHOLE NUMBERS"
  ATBMTA02 = "MAT\TAUGHT\NUMBER\REPRESENT WHOLE NRS"
  ATBMTA03 = "MAT\TAUGHT\NUMBER\PROPERT OF WHOLE NR"
  ATBMTA04 = "MAT\TAUGHT\NUMBER\COMPUT WITH WHOLE NRS"
  ATBMTA05 = "MAT\TAUGHT\NUMBER\ESTIMAT WITH WHOLE NRS"
  ATBMTA06 = "MAT\TAUGHT\NUMBER\FRACTIONS"
  ATBMTA07 = "MAT\TAUGHT\NUMBER\EQUIVALENT FRACTIONS"
  ATBMTA08 = "MAT\TAUGHT\NUMBER\COMP ORDER FRACTIONS"
  ATBMTA09 = "MAT\TAUGHT\NUMBER\FRACTIONS OR DECIMALS"
  ATBMTA10 = "MAT\TAUGHT\NUMBER\ADDING SUBTR FRACTIONS"
  ATBMTA11 = "MAT\TAUGHT\NUMBER\ADDING SUBTR DECIMALS"
  ATBMTA12 = "MAT\TAUGHT\NUMBER\SIMPLE PROPORT REAS"
  ATBMTA13 = "MAT\TAUGHT\PATTERNS EQ REL\PAT OF NRS"
  ATBMTA14 = "MAT\TAUGHT\PATTERNS EQ REL\EQUALITY"
  ATBMTA15 = "MAT\TAUGHT\PATTERNS EQ REL\MISSING NR"
  ATBMTA16 = "MAT\TAUGHT\PATTERNS EQ REL\SIMPLE EQUAT"
  ATBMTA17 = "MAT\TAUGHT\PATTERNS EQ REL\PAIRS OF NRS"
  ATBMTA18 = "MAT\TAUGHT\PATTERNS EQ REL\FINDING RULE"
  ATBMTA19 = "MAT\TAUGHT\MEASUREMENT\NON STANDARD UNIT"
  ATBMTA20 = "MAT\TAUGHT\MEASUREMENT\STANDARD UNITS"
  ATBMTA21 = "MAT\TAUGHT\MEASUREMENT\CONVERSION FACTRS"
  ATBMTA22 = "MAT\TAUGHT\MEASUREMENT\INSTRUMENTS"
  ATBMTA23 = "MAT\TAUGHT\MEASUREMENT\CALCULATING AREAS"
  ATBMTA24 = "MAT\TAUGHT\MEASUREMENT\ESTIMATING LENGTH"
  ATBMTA25 = "MAT\TAUGHT\GEOMETRY\ANGLES"
  ATBMTA26 = "MAT\TAUGHT\GEOMETRY\PARAL AND PEND LINES"
  ATBMTA27 = "MAT\TAUGHT\GEOMETRY\FAMILIAR SHAPES"
  ATBMTA28 = "MAT\TAUGHT\GEOMETRY\CONGRUENT TRIANGLES"
  ATBMTA29 = "MAT\TAUGHT\GEOMETRY\SIMILAR TRIANGLES"
  ATBMTA30 = "MAT\TAUGHT\GEOMETRY\POINTS IN A PLANE"
  ATBMTA31 = "MAT\TAUGHT\GEOMETRY\RELATIONSHIPS SHAPES"
  ATBMTA32 = "MAT\TAUGHT\GEOMETRY\INF COORDINATE SYS"
  ATBMTA33 = "MAT\TAUGHT\GEOMETRY\SYMMETRY ABOUT LINE"
  ATBMTA34 = "MAT\TAUGHT\GEOMETRY\TWO DIMENS FIGURES"
  ATBMTA35 = "MAT\TAUGHT\GEOMETRY\TRANSLATION REFLECT"
  ATBMTA36 = "MAT\TAUGHT\DATA\RECOGNIZING NUMBERS"
  ATBMTA37 = "MAT\TAUGHT\DATA\ORGANIZING SET OF DATA"
  ATBMTA38 = "MAT\TAUGHT\DATA\READING DATA DIRECTLY"
  ATBMTA39 = "MAT\TAUGHT\DATA\DISPLAYING DATA"
  ATBMTA40 = "MAT\TAUGHT\DATA\COMPARING MATCHING PRES"
  ATBMTA41 = "MAT\TAUGHT\DATA\CHARACTERISTICS OF DATA"
  ATBMTA42 = "MAT\TAUGHT\DATA\DRAWING CONCLUSIONS"
  ATBMHMWO = "MAT\HOMEWORK\DO YOU ASSIGN MATHS"
  ATBMHWMC = "MAT\HOMEWORK\FREQUENCY OF MATHS HMW"
  ATBMHWKM = "MAT\HOMEWORK\MIN ASSIGN IN TIMSS CLS"
  ATBSRT01 = "SCI\READY\LIFE SCI\MAJOR BODY STRUCTURE"
  ATBSRT02 = "SCI\READY\LIFE SCI\REPRODUCTION"
  ATBSRT03 = "SCI\READY\LIFE SCI\PHYSICAL FEATURES"
  ATBSRT04 = "SCI\READY\LIFE SCI\RELATIONSHIPS"
  ATBSRT05 = "SCI\READY\LIFE SCI\CHANGES IN ENVIRONM"
  ATBSRT06 = "SCI\READY\LIFE SCI\HUMAN HEALTH"
  ATBSRT07 = "SCI\READY\PHYS SCI\CLASSIFICATION OF OBJ"
  ATBSRT08 = "SCI\READY\PHYS SCI\FORMING AND SEP MIXT"
  ATBSRT09 = "SCI\READY\PHYS SCI\CHEMICAL AND PHYSICAL"
  ATBSRT10 = "SCI\READY\PHYS SCI\STATES OF MATTER"
  ATBSRT11 = "SCI\READY\PHYS SCI\COMMON ENERGY SOURCES"
  ATBSRT12 = "SCI\READY\PHYS SCI\COMMON USES OF ELECTR"
  ATBSRT13 = "SCI\READY\PHYS SCI\FORCES THAT CAUSE OBJ"
  ATBSRT14 = "SCI\READY\EARTH SCI\FEATURES OF LANDSC"
  ATBSRT15 = "SCI\READY\EARTH SCI\WATER ON EARTH"
  ATBSRT16 = "SCI\READY\EARTH SCI\AIR"
  ATBSRT17 = "SCI\READY\EARTH SCI\COMMON FEATURES"
  ATBSRT18 = "SCI\READY\EARTH SCI\FOSSILS AND PLANTS"
  ATBSRT19 = "SCI\READY\EARTH SCI\EARTH SOLAR SYSTEM"
  ATBSPDST = "SCI\PARTICIPATED DEVELOPM\SCI CONTENT"
  ATBSPDSP = "SCI\PARTICIPATED DEVELOPM\SCI PEDAGOGY"
  ATBSPDSC = "SCI\PARTICIPATED DEVELOPM\SCI CURRICULUM"
  ATBSPDIT = "SCI\PARTICIPATED DEVELOPMENT\IT INTO SCI"
  ATBGPDIN = "GEN\PARTICIPATED DEVELOPMENT\IMPR CRITIC"
  ATBSPDSA = "SCI\PARTICIPATED DEVELOPM\SCI ASSESSMENT"
  ATBSSTUD = "SCI\NUMBER OF STD\IN TIMSS CLASS"
  ATBSSTDQ = "SCI\NUMBER OF STD\IN 4TH GRADE"
  ATBSSSBJ = "SCI\IS SCI TAUGHT SEPARATLY AS SUBJECT"
  ATBSYMWT = "SCI\YES\WEEKLY TAUGHT OF SCI IN MINUTES"
  ATBSNMWT = "SCI\NO\WEEKLY TAUGHT OF SCI IN MINUTES"
  ATBSTBTC = "SCI\TEXTBOOK\USE FOR SCIENCE"
  ATBSTXBU = "SCI\TEXTBOOK\HOW USED IN TEACHING SCI"
  ATBSCOMA = "SCI\COMPUTER\AVAILABLE IN SCI LESSON"
  ATBSINTA = "SCI\COMPUTER\ACCESS TO INTERNET"
  ATBSCAPE = "SCI\COMPUTER\USE\SCIENTIFIC PROCEDURES"
  ATBSCANP = "SCI\COMPUTER\USE\STUDY NATURAL PHENOMENA"
  ATBSCASP = "SCI\COMPUTER\USE\PRACTICE SKILLS"
  ATBSCALI = "SCI\COMPUTER\USE\LOOK UP IDEAS"
  ATBSCSWE = "SCI\HOW OFTEN ASK\WATCH EXPERIMENT"
  ATBSCSDP = "SCI\HOW OFTEN ASK\DESIGN OR PLAN"
  ATBSCSDI = "SCI\HOW OFTEN ASK\DO EXPERIMENTS"
  ATBSCSSG = "SCI\HOW OFTEN ASK\WORK TOGETHER IN GRPS"
  ATBSCSDL = "SCI\HOW OFTEN ASK\RELATE TO DAILY LIFE"
  ATBSCSWS = "SCI\HOW OFTEN ASK\WRITE OR GIVE EXPL"
  ATBSCSOS = "SCI\HOW OFTEN ASK\OBSERVE SOMETHING"
  ATBSCSPW = "SCI\HOW OFTEN ASK\PRESENT WORK"
  ATBSPTLS = "SCI\PERCENT OF TEACHING SPENT\LIFE SCI"
  ATBSPTPS = "SCI\PERCENT OF TEACHING SPENT\PHYS SCI"
  ATBSPTES = "SCI\PERCENT OF TEACHING SPENT\EARTH SCI"
  ATBSCOTH = "SCI\PERCENT OF TEACHING SPENT\OTHER"
  ATBSTA01 = "SCI\TAUGHT\LIFE SCI\LIVING THINGS"
  ATBSTA02 = "SCI\TAUGHT\LIFE SCI\MAJOR BODY STRUCTURE"
  ATBSTA03 = "SCI\TAUGHT\LIFE SCI\BODILY ACTIONS"
  ATBSTA04 = "SCI\TAUGHT\LIFE SCI\GENERAL STEPS"
  ATBSTA05 = "SCI\TAUGHT\LIFE SCI\PLANT AND ANIMAL"
  ATBSTA06 = "SCI\TAUGHT\LIFE SCI\PHYSICAL FEATURES"
  ATBSTA07 = "SCI\TAUGHT\LIFE SCI\RELATIONSHIPS"
  ATBSTA08 = "SCI\TAUGHT\LIFE SCI\CHANGES IN ENVIRONM"
  ATBSTA09 = "SCI\TAUGHT\LIFE SCI\WAYS DISEASES TRANSM"
  ATBSTA10 = "SCI\TAUGHT\LIFE SCI\WAYS OF MAINTAINING"
  ATBSTA11 = "SCI\TAUGHT\PHY SCI\CLASSIFICATION"
  ATBSTA12 = "SCI\TAUGHT\PHY SCI\PROP AND USES METALS"
  ATBSTA13 = "SCI\TAUGHT\PHY SCI\FORMING AND SEPERAT"
  ATBSTA14 = "SCI\TAUGHT\PHY SCI\PROP AND USE WATER"
  ATBSTA15 = "SCI\TAUGHT\PHY SCI\CHEM  AND PHYS CHANGE"
  ATBSTA16 = "SCI\TAUGHT\PHY SCI\STATES OF MATTER"
  ATBSTA17 = "SCI\TAUGHT\PHY SCI\CHANGES IN STATE"
  ATBSTA18 = "SCI\TAUGHT\PHY SCI\COMMON ENERGY SOURCES"
  ATBSTA19 = "SCI\TAUGHT\PHY SCI\HEAT FLOW AND TEMPER"
  ATBSTA20 = "SCI\TAUGHT\PHY SCI\COMMON SOURCES LIGHT"
  ATBSTA21 = "SCI\TAUGHT\PHY SCI\COMMON USES OF ELECTR"
  ATBSTA22 = "SCI\TAUGHT\PHY SCI\MAGNETS"
  ATBSTA23 = "SCI\TAUGHT\PHY SCI\FORCES CAUSE OBJECTS"
  ATBSTA24 = "SCI\TAUGHT\EARTH SCI\ROCKS MINERALS SAND"
  ATBSTA25 = "SCI\TAUGHT\EARTH SCI\WATER ON EARTH"
  ATBSTA26 = "SCI\TAUGHT\EARTH SCI\AIR"
  ATBSTA27 = "SCI\TAUGHT\EARTH SCI\COMMON FEATURES"
  ATBSTA28 = "SCI\TAUGHT\EARTH SCI\USE AND CONSERVAT"
  ATBSTA29 = "SCI\TAUGHT\EARTH SCI\EARTH WATER CYCLE"
  ATBSTA30 = "SCI\TAUGHT\EARTH SCI\WEATHER CONDITIONS"
  ATBSTA31 = "SCI\TAUGHT\EARTH SCI\FOSSILS AND PLANTS"
  ATBSTA32 = "SCI\TAUGHT\EARTH SCI\EARTH SOLAR SYSTEM"
  ATBSHMWO = "SCI\HOMEWORK\DO ASSIGN SCIENCE"
  ATBSHWMC = "SCI\HOMEWORK\FREQUENCY OF SCIENCE HMW"
  ATBSHWKM = "SCI\HOMEWORK\MIN ASSIGN IN SCIENCE CLS"
  ATDGCH   = "IDX TCHR PERCEPTN SCHOOL CLIMATE (TPSC)"
  ATDGCU   = "IDX TCHR PERCEPTN SCHOOL SAFETY (TPSS)"
  ATDGTELC = "HAVE FULL TEACHNG LICENSE OR CERTIFICATE"
  ATDMPREP = "PREPARATION TO TEACH MATH"
  ATDMSTUD = "CLASS SIZE FOR MATHEMATICS INSTRUCTION"
  ATDMTANU = "SUM STUDENTS TAUGHT NUMBER  MATH TOPICS"
  ATDMTAOV = "SUM STUDENTS TAUGHT OVERALL  MATH TOPICS"
  ATDMH    = "IDX TCHR EMPHASIS ON MATH HOMEWORK (EMH)"
  ATDMTAME = "SUM STUDENTS TAUGHT MEASURE MATH TOPICS"
  ATDMTAGE = "SUM STUDENTS TAUGHT GEOMETR MATH TOPICS"
  ATDMTADA = "SUM STUDENTS TAUGHT DATA    MATH TOPICS"
  ATDMTAPE = "SUM STUDS TGT PATTS,EQUS,RELS MATH TOPS"
  ATDSPREP = "PREPARATION TO TEACH SCIENCE"
  ATDSSTUD = "CLASS SIZE FOR SCIENCE INSTRUCTION"
  ATDSH    = "IDX TCHR EMPHASIS ON SCI HOMEWORK (ESH)"
  ATDSTALI = "SUM STUDENTS TAUGHT LIFE     SCI TOPICS"
  ATDSTAPH = "SUM STUDENTS TAUGHT PHYSICAL SCI TOPICS"
  ATDSTAEA = "SUM STUDENTS TAUGHT EARTH    SCI TOPICS"
  ATDSTAOV = "SUM STUDENTS TAUGHT OVERALL  SCI TOPICS"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF ITCOURSE = 98               THEN ITCOURSE = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF ATBGAGE  = 8                THEN ATBGAGE  = .A ;
IF ATBGSEX  = 8                THEN ATBGSEX  = .A ;
IF ATBGTAUT = 98               THEN ATBGTAUT = .A ;
IF ATBGFEDC = 8                THEN ATBGFEDC = .A ;
IF ATBGYTTR = 98               THEN ATBGYTTR = .A ;
IF ATBGPSEP = 8                THEN ATBGPSEP = .A ;
IF ATBGPSES = 8                THEN ATBGPSES = .A ;
IF ATBMPSMA = 8                THEN ATBMPSMA = .A ;
IF ATBSPSSC = 8                THEN ATBSPSSC = .A ;
IF ATBGPSOT = 8                THEN ATBGPSOT = .A ;
IF ATBMEDMA = 8                THEN ATBMEDMA = .A ;
IF ATBSEDSC = 8                THEN ATBSEDSC = .A ;
IF ATBGEDLR = 8                THEN ATBGEDLR = .A ;
IF ATBGEDOT = 8                THEN ATBGEDOT = .A ;
IF ATBGRB5A = 8                THEN ATBGRB5A = .A ;
IF ATBGRBPP = 8                THEN ATBGRBPP = .A ;
IF ATBGRBEC = 8                THEN ATBGRBEC = .A ;
IF ATBMRBMC = 8                THEN ATBMRBMC = .A ;
IF ATBSRBSC = 8                THEN ATBSRBSC = .A ;
IF ATBGRBLE = 8                THEN ATBGRBLE = .A ;
IF ATBGTLCE = 8                THEN ATBGTLCE = .A ;
IF ATBGTELC = 8                THEN ATBGTELC = .A ;
IF ATBGCHTS = 8                THEN ATBGCHTS = .A ;
IF ATBGCHTU = 8                THEN ATBGCHTU = .A ;
IF ATBGCHTC = 8                THEN ATBGCHTC = .A ;
IF ATBGCHES = 8                THEN ATBGCHES = .A ;
IF ATBGCHPS = 8                THEN ATBGCHPS = .A ;
IF ATBGCHPI = 8                THEN ATBGCHPI = .A ;
IF ATBGCHSR = 8                THEN ATBGCHSR = .A ;
IF ATBGCHSD = 8                THEN ATBGCHSD = .A ;
IF ATBGCURE = 8                THEN ATBGCURE = .A ;
IF ATBGCUSN = 8                THEN ATBGCUSN = .A ;
IF ATBGCUSA = 8                THEN ATBGCUSA = .A ;
IF ATBGCUAS = 8                THEN ATBGCUAS = .A ;
IF ATBGOTDC = 8                THEN ATBGOTDC = .A ;
IF ATBGOTPM = 8                THEN ATBGOTPM = .A ;
IF ATBGOTVT = 8                THEN ATBGOTVT = .A ;
IF ATBGOTAT = 8                THEN ATBGOTAT = .A ;
IF ATBMRT01 = 8                THEN ATBMRT01 = .A ;
IF ATBMRT02 = 8                THEN ATBMRT02 = .A ;
IF ATBMRT03 = 8                THEN ATBMRT03 = .A ;
IF ATBMRT04 = 8                THEN ATBMRT04 = .A ;
IF ATBMRT05 = 8                THEN ATBMRT05 = .A ;
IF ATBMRT06 = 8                THEN ATBMRT06 = .A ;
IF ATBMRT07 = 8                THEN ATBMRT07 = .A ;
IF ATBMRT08 = 8                THEN ATBMRT08 = .A ;
IF ATBMRT09 = 8                THEN ATBMRT09 = .A ;
IF ATBMRT10 = 8                THEN ATBMRT10 = .A ;
IF ATBMRT11 = 8                THEN ATBMRT11 = .A ;
IF ATBMRT12 = 8                THEN ATBMRT12 = .A ;
IF ATBMRT13 = 8                THEN ATBMRT13 = .A ;
IF ATBMRT14 = 8                THEN ATBMRT14 = .A ;
IF ATBMRT15 = 8                THEN ATBMRT15 = .A ;
IF ATBMRT16 = 8                THEN ATBMRT16 = .A ;
IF ATBMPDMT = 8                THEN ATBMPDMT = .A ;
IF ATBMPDMP = 8                THEN ATBMPDMP = .A ;
IF ATBMPDMC = 8                THEN ATBMPDMC = .A ;
IF ATBMPDIT = 8                THEN ATBMPDIT = .A ;
IF ATBGPDCT = 8                THEN ATBGPDCT = .A ;
IF ATBMPDMA = 8                THEN ATBMPDMA = .A ;
IF ATBMSTUD = 998              THEN ATBMSTUD = .A ;
IF ATBMSTDQ = 998              THEN ATBMSTDQ = .A ;
IF ATBMTIMT = 998              THEN ATBMTIMT = .A ;
IF ATBMTBTC = 8                THEN ATBMTBTC = .A ;
IF ATBMTXBU = 8                THEN ATBMTXBU = .A ;
IF ATBMPTRH = 998              THEN ATBMPTRH = .A ;
IF ATBMPTLS = 998              THEN ATBMPTLS = .A ;
IF ATBMPTYG = 998              THEN ATBMPTYG = .A ;
IF ATBMPTOO = 998              THEN ATBMPTOO = .A ;
IF ATBMPTRT = 998              THEN ATBMPTRT = .A ;
IF ATBMPTTQ = 998              THEN ATBMPTTQ = .A ;
IF ATBMPTCM = 998              THEN ATBMPTCM = .A ;
IF ATBMPTOA = 998              THEN ATBMPTOA = .A ;
IF ATBMCAML = 8                THEN ATBMCAML = .A ;
IF ATBMHSHC = 8                THEN ATBMHSHC = .A ;
IF ATBMCALA = 8                THEN ATBMCALA = .A ;
IF ATBMCALR = 8                THEN ATBMCALR = .A ;
IF ATBMCALS = 8                THEN ATBMCALS = .A ;
IF ATBMCALE = 8                THEN ATBMCALE = .A ;
IF ATBMCATE = 8                THEN ATBMCATE = .A ;
IF ATBMCOMA = 8                THEN ATBMCOMA = .A ;
IF ATBMINTA = 8                THEN ATBMINTA = .A ;
IF ATBMCADM = 8                THEN ATBMCADM = .A ;
IF ATBMCASP = 8                THEN ATBMCASP = .A ;
IF ATBMCALI = 8                THEN ATBMCALI = .A ;
IF ATBMASPC = 8                THEN ATBMASPC = .A ;
IF ATBMASWF = 8                THEN ATBMASWF = .A ;
IF ATBMASMS = 8                THEN ATBMASMS = .A ;
IF ATBMASMG = 8                THEN ATBMASMG = .A ;
IF ATBMASLC = 8                THEN ATBMASLC = .A ;
IF ATBMASWP = 8                THEN ATBMASWP = .A ;
IF ATBMASSG = 8                THEN ATBMASSG = .A ;
IF ATBMASEA = 8                THEN ATBMASEA = .A ;
IF ATBMTTNU = 998              THEN ATBMTTNU = .A ;
IF ATBMTTPA = 998              THEN ATBMTTPA = .A ;
IF ATBMTTME = 998              THEN ATBMTTME = .A ;
IF ATBMTTGE = 998              THEN ATBMTTGE = .A ;
IF ATBMTTDA = 998              THEN ATBMTTDA = .A ;
IF ATBMCOTH = 998              THEN ATBMCOTH = .A ;
IF ATBMTA01 = 8                THEN ATBMTA01 = .A ;
IF ATBMTA02 = 8                THEN ATBMTA02 = .A ;
IF ATBMTA03 = 8                THEN ATBMTA03 = .A ;
IF ATBMTA04 = 8                THEN ATBMTA04 = .A ;
IF ATBMTA05 = 8                THEN ATBMTA05 = .A ;
IF ATBMTA06 = 8                THEN ATBMTA06 = .A ;
IF ATBMTA07 = 8                THEN ATBMTA07 = .A ;
IF ATBMTA08 = 8                THEN ATBMTA08 = .A ;
IF ATBMTA09 = 8                THEN ATBMTA09 = .A ;
IF ATBMTA10 = 8                THEN ATBMTA10 = .A ;
IF ATBMTA11 = 8                THEN ATBMTA11 = .A ;
IF ATBMTA12 = 8                THEN ATBMTA12 = .A ;
IF ATBMTA13 = 8                THEN ATBMTA13 = .A ;
IF ATBMTA14 = 8                THEN ATBMTA14 = .A ;
IF ATBMTA15 = 8                THEN ATBMTA15 = .A ;
IF ATBMTA16 = 8                THEN ATBMTA16 = .A ;
IF ATBMTA17 = 8                THEN ATBMTA17 = .A ;
IF ATBMTA18 = 8                THEN ATBMTA18 = .A ;
IF ATBMTA19 = 8                THEN ATBMTA19 = .A ;
IF ATBMTA20 = 8                THEN ATBMTA20 = .A ;
IF ATBMTA21 = 8                THEN ATBMTA21 = .A ;
IF ATBMTA22 = 8                THEN ATBMTA22 = .A ;
IF ATBMTA23 = 8                THEN ATBMTA23 = .A ;
IF ATBMTA24 = 8                THEN ATBMTA24 = .A ;
IF ATBMTA25 = 8                THEN ATBMTA25 = .A ;
IF ATBMTA26 = 8                THEN ATBMTA26 = .A ;
IF ATBMTA27 = 8                THEN ATBMTA27 = .A ;
IF ATBMTA28 = 8                THEN ATBMTA28 = .A ;
IF ATBMTA29 = 8                THEN ATBMTA29 = .A ;
IF ATBMTA30 = 8                THEN ATBMTA30 = .A ;
IF ATBMTA31 = 8                THEN ATBMTA31 = .A ;
IF ATBMTA32 = 8                THEN ATBMTA32 = .A ;
IF ATBMTA33 = 8                THEN ATBMTA33 = .A ;
IF ATBMTA34 = 8                THEN ATBMTA34 = .A ;
IF ATBMTA35 = 8                THEN ATBMTA35 = .A ;
IF ATBMTA36 = 8                THEN ATBMTA36 = .A ;
IF ATBMTA37 = 8                THEN ATBMTA37 = .A ;
IF ATBMTA38 = 8                THEN ATBMTA38 = .A ;
IF ATBMTA39 = 8                THEN ATBMTA39 = .A ;
IF ATBMTA40 = 8                THEN ATBMTA40 = .A ;
IF ATBMTA41 = 8                THEN ATBMTA41 = .A ;
IF ATBMTA42 = 8                THEN ATBMTA42 = .A ;
IF ATBMHMWO = 8                THEN ATBMHMWO = .A ;
IF ATBMHWMC = 8                THEN ATBMHWMC = .A ;
IF ATBMHWKM = 8                THEN ATBMHWKM = .A ;
IF ATBSRT01 = 8                THEN ATBSRT01 = .A ;
IF ATBSRT02 = 8                THEN ATBSRT02 = .A ;
IF ATBSRT03 = 8                THEN ATBSRT03 = .A ;
IF ATBSRT04 = 8                THEN ATBSRT04 = .A ;
IF ATBSRT05 = 8                THEN ATBSRT05 = .A ;
IF ATBSRT06 = 8                THEN ATBSRT06 = .A ;
IF ATBSRT07 = 8                THEN ATBSRT07 = .A ;
IF ATBSRT08 = 8                THEN ATBSRT08 = .A ;
IF ATBSRT09 = 8                THEN ATBSRT09 = .A ;
IF ATBSRT10 = 8                THEN ATBSRT10 = .A ;
IF ATBSRT11 = 8                THEN ATBSRT11 = .A ;
IF ATBSRT12 = 8                THEN ATBSRT12 = .A ;
IF ATBSRT13 = 8                THEN ATBSRT13 = .A ;
IF ATBSRT14 = 8                THEN ATBSRT14 = .A ;
IF ATBSRT15 = 8                THEN ATBSRT15 = .A ;
IF ATBSRT16 = 8                THEN ATBSRT16 = .A ;
IF ATBSRT17 = 8                THEN ATBSRT17 = .A ;
IF ATBSRT18 = 8                THEN ATBSRT18 = .A ;
IF ATBSRT19 = 8                THEN ATBSRT19 = .A ;
IF ATBSPDST = 8                THEN ATBSPDST = .A ;
IF ATBSPDSP = 8                THEN ATBSPDSP = .A ;
IF ATBSPDSC = 8                THEN ATBSPDSC = .A ;
IF ATBSPDIT = 8                THEN ATBSPDIT = .A ;
IF ATBGPDIN = 8                THEN ATBGPDIN = .A ;
IF ATBSPDSA = 8                THEN ATBSPDSA = .A ;
IF ATBSSTUD = 998              THEN ATBSSTUD = .A ;
IF ATBSSTDQ = 998              THEN ATBSSTDQ = .A ;
IF ATBSSSBJ = 8                THEN ATBSSSBJ = .A ;
IF ATBSYMWT = 998              THEN ATBSYMWT = .A ;
IF ATBSNMWT = 998              THEN ATBSNMWT = .A ;
IF ATBSTBTC = 8                THEN ATBSTBTC = .A ;
IF ATBSTXBU = 8                THEN ATBSTXBU = .A ;
IF ATBSCOMA = 8                THEN ATBSCOMA = .A ;
IF ATBSINTA = 8                THEN ATBSINTA = .A ;
IF ATBSCAPE = 8                THEN ATBSCAPE = .A ;
IF ATBSCANP = 8                THEN ATBSCANP = .A ;
IF ATBSCASP = 8                THEN ATBSCASP = .A ;
IF ATBSCALI = 8                THEN ATBSCALI = .A ;
IF ATBSCSWE = 8                THEN ATBSCSWE = .A ;
IF ATBSCSDP = 8                THEN ATBSCSDP = .A ;
IF ATBSCSDI = 8                THEN ATBSCSDI = .A ;
IF ATBSCSSG = 8                THEN ATBSCSSG = .A ;
IF ATBSCSDL = 8                THEN ATBSCSDL = .A ;
IF ATBSCSWS = 8                THEN ATBSCSWS = .A ;
IF ATBSCSOS = 8                THEN ATBSCSOS = .A ;
IF ATBSCSPW = 8                THEN ATBSCSPW = .A ;
IF ATBSPTLS = 998              THEN ATBSPTLS = .A ;
IF ATBSPTPS = 998              THEN ATBSPTPS = .A ;
IF ATBSPTES = 998              THEN ATBSPTES = .A ;
IF ATBSCOTH = 998              THEN ATBSCOTH = .A ;
IF ATBSTA01 = 8                THEN ATBSTA01 = .A ;
IF ATBSTA02 = 8                THEN ATBSTA02 = .A ;
IF ATBSTA03 = 8                THEN ATBSTA03 = .A ;
IF ATBSTA04 = 8                THEN ATBSTA04 = .A ;
IF ATBSTA05 = 8                THEN ATBSTA05 = .A ;
IF ATBSTA06 = 8                THEN ATBSTA06 = .A ;
IF ATBSTA07 = 8                THEN ATBSTA07 = .A ;
IF ATBSTA08 = 8                THEN ATBSTA08 = .A ;
IF ATBSTA09 = 8                THEN ATBSTA09 = .A ;
IF ATBSTA10 = 8                THEN ATBSTA10 = .A ;
IF ATBSTA11 = 8                THEN ATBSTA11 = .A ;
IF ATBSTA12 = 8                THEN ATBSTA12 = .A ;
IF ATBSTA13 = 8                THEN ATBSTA13 = .A ;
IF ATBSTA14 = 8                THEN ATBSTA14 = .A ;
IF ATBSTA15 = 8                THEN ATBSTA15 = .A ;
IF ATBSTA16 = 8                THEN ATBSTA16 = .A ;
IF ATBSTA17 = 8                THEN ATBSTA17 = .A ;
IF ATBSTA18 = 8                THEN ATBSTA18 = .A ;
IF ATBSTA19 = 8                THEN ATBSTA19 = .A ;
IF ATBSTA20 = 8                THEN ATBSTA20 = .A ;
IF ATBSTA21 = 8                THEN ATBSTA21 = .A ;
IF ATBSTA22 = 8                THEN ATBSTA22 = .A ;
IF ATBSTA23 = 8                THEN ATBSTA23 = .A ;
IF ATBSTA24 = 8                THEN ATBSTA24 = .A ;
IF ATBSTA25 = 8                THEN ATBSTA25 = .A ;
IF ATBSTA26 = 8                THEN ATBSTA26 = .A ;
IF ATBSTA27 = 8                THEN ATBSTA27 = .A ;
IF ATBSTA28 = 8                THEN ATBSTA28 = .A ;
IF ATBSTA29 = 8                THEN ATBSTA29 = .A ;
IF ATBSTA30 = 8                THEN ATBSTA30 = .A ;
IF ATBSTA31 = 8                THEN ATBSTA31 = .A ;
IF ATBSTA32 = 8                THEN ATBSTA32 = .A ;
IF ATBSHMWO = 8                THEN ATBSHMWO = .A ;
IF ATBSHWMC = 8                THEN ATBSHWMC = .A ;
IF ATBSHWKM = 8                THEN ATBSHWKM = .A ;
IF ATDGCH   = 8                THEN ATDGCH   = .A ;
IF ATDGCU   = 8                THEN ATDGCU   = .A ;
IF ATDGTELC = 8                THEN ATDGTELC = .A ;
IF ATDMPREP = 8                THEN ATDMPREP = .A ;
IF ATDMSTUD = 8                THEN ATDMSTUD = .A ;
IF ATDMTANU = 998              THEN ATDMTANU = .A ;
IF ATDMTAOV = 998              THEN ATDMTAOV = .A ;
IF ATDMH    = 8                THEN ATDMH    = .A ;
IF ATDMTAME = 998              THEN ATDMTAME = .A ;
IF ATDMTAGE = 998              THEN ATDMTAGE = .A ;
IF ATDMTADA = 998              THEN ATDMTADA = .A ;
IF ATDMTAPE = 998              THEN ATDMTAPE = .A ;
IF ATDSPREP = 8                THEN ATDSPREP = .A ;
IF ATDSSTUD = 8                THEN ATDSSTUD = .A ;
IF ATDSH    = 8                THEN ATDSH    = .A ;
IF ATDSTALI = 998              THEN ATDSTALI = .A ;
IF ATDSTAPH = 998              THEN ATDSTAPH = .A ;
IF ATDSTAEA = 998              THEN ATDSTAEA = .A ;
IF ATDSTAOV = 998              THEN ATDSTAOV = .A ;
IF DPCDATE  = 999998           THEN DPCDATE  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF ATBMEDMA = 6                THEN ATBMEDMA = .B ;
IF ATBSEDSC = 6                THEN ATBSEDSC = .B ;
IF ATBGEDLR = 6                THEN ATBGEDLR = .B ;
IF ATBGEDOT = 6                THEN ATBGEDOT = .B ;
IF ATBGTELC = 6                THEN ATBGTELC = .B ;
IF ATBMTXBU = 6                THEN ATBMTXBU = .B ;
IF ATBMHSHC = 6                THEN ATBMHSHC = .B ;
IF ATBMCALA = 6                THEN ATBMCALA = .B ;
IF ATBMCALR = 6                THEN ATBMCALR = .B ;
IF ATBMCALS = 6                THEN ATBMCALS = .B ;
IF ATBMCALE = 6                THEN ATBMCALE = .B ;
IF ATBMCATE = 6                THEN ATBMCATE = .B ;
IF ATBMINTA = 6                THEN ATBMINTA = .B ;
IF ATBMCADM = 6                THEN ATBMCADM = .B ;
IF ATBMCASP = 6                THEN ATBMCASP = .B ;
IF ATBMCALI = 6                THEN ATBMCALI = .B ;
IF ATBMHWMC = 6                THEN ATBMHWMC = .B ;
IF ATBMHWKM = 6                THEN ATBMHWKM = .B ;
IF ATBSYMWT = 996              THEN ATBSYMWT = .B ;
IF ATBSNMWT = 996              THEN ATBSNMWT = .B ;
IF ATBSTBTC = 6                THEN ATBSTBTC = .B ;
IF ATBSTXBU = 6                THEN ATBSTXBU = .B ;
IF ATBSINTA = 6                THEN ATBSINTA = .B ;
IF ATBSCAPE = 6                THEN ATBSCAPE = .B ;
IF ATBSCANP = 6                THEN ATBSCANP = .B ;
IF ATBSCASP = 6                THEN ATBSCASP = .B ;
IF ATBSCALI = 6                THEN ATBSCALI = .B ;
IF ATBSHWMC = 6                THEN ATBSHWMC = .B ;
IF ATBSHWKM = 6                THEN ATBSHWKM = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF ITCOURSE = 99               THEN ITCOURSE = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF ATBGAGE  = 9                THEN ATBGAGE  = . ;
IF ATBGSEX  = 9                THEN ATBGSEX  = . ;
IF ATBGTAUT = 99               THEN ATBGTAUT = . ;
IF ATBGFEDC = 9                THEN ATBGFEDC = . ;
IF ATBGYTTR = 99               THEN ATBGYTTR = . ;
IF ATBGPSEP = 9                THEN ATBGPSEP = . ;
IF ATBGPSES = 9                THEN ATBGPSES = . ;
IF ATBMPSMA = 9                THEN ATBMPSMA = . ;
IF ATBSPSSC = 9                THEN ATBSPSSC = . ;
IF ATBGPSOT = 9                THEN ATBGPSOT = . ;
IF ATBMEDMA = 9                THEN ATBMEDMA = . ;
IF ATBSEDSC = 9                THEN ATBSEDSC = . ;
IF ATBGEDLR = 9                THEN ATBGEDLR = . ;
IF ATBGEDOT = 9                THEN ATBGEDOT = . ;
IF ATBGRB5A = 9                THEN ATBGRB5A = . ;
IF ATBGRBPP = 9                THEN ATBGRBPP = . ;
IF ATBGRBEC = 9                THEN ATBGRBEC = . ;
IF ATBMRBMC = 9                THEN ATBMRBMC = . ;
IF ATBSRBSC = 9                THEN ATBSRBSC = . ;
IF ATBGRBLE = 9                THEN ATBGRBLE = . ;
IF ATBGTLCE = 9                THEN ATBGTLCE = . ;
IF ATBGTELC = 9                THEN ATBGTELC = . ;
IF ATBGCHTS = 9                THEN ATBGCHTS = . ;
IF ATBGCHTU = 9                THEN ATBGCHTU = . ;
IF ATBGCHTC = 9                THEN ATBGCHTC = . ;
IF ATBGCHES = 9                THEN ATBGCHES = . ;
IF ATBGCHPS = 9                THEN ATBGCHPS = . ;
IF ATBGCHPI = 9                THEN ATBGCHPI = . ;
IF ATBGCHSR = 9                THEN ATBGCHSR = . ;
IF ATBGCHSD = 9                THEN ATBGCHSD = . ;
IF ATBGCURE = 9                THEN ATBGCURE = . ;
IF ATBGCUSN = 9                THEN ATBGCUSN = . ;
IF ATBGCUSA = 9                THEN ATBGCUSA = . ;
IF ATBGCUAS = 9                THEN ATBGCUAS = . ;
IF ATBGOTDC = 9                THEN ATBGOTDC = . ;
IF ATBGOTPM = 9                THEN ATBGOTPM = . ;
IF ATBGOTVT = 9                THEN ATBGOTVT = . ;
IF ATBGOTAT = 9                THEN ATBGOTAT = . ;
IF ATBMRT01 = 9                THEN ATBMRT01 = . ;
IF ATBMRT02 = 9                THEN ATBMRT02 = . ;
IF ATBMRT03 = 9                THEN ATBMRT03 = . ;
IF ATBMRT04 = 9                THEN ATBMRT04 = . ;
IF ATBMRT05 = 9                THEN ATBMRT05 = . ;
IF ATBMRT06 = 9                THEN ATBMRT06 = . ;
IF ATBMRT07 = 9                THEN ATBMRT07 = . ;
IF ATBMRT08 = 9                THEN ATBMRT08 = . ;
IF ATBMRT09 = 9                THEN ATBMRT09 = . ;
IF ATBMRT10 = 9                THEN ATBMRT10 = . ;
IF ATBMRT11 = 9                THEN ATBMRT11 = . ;
IF ATBMRT12 = 9                THEN ATBMRT12 = . ;
IF ATBMRT13 = 9                THEN ATBMRT13 = . ;
IF ATBMRT14 = 9                THEN ATBMRT14 = . ;
IF ATBMRT15 = 9                THEN ATBMRT15 = . ;
IF ATBMRT16 = 9                THEN ATBMRT16 = . ;
IF ATBMPDMT = 9                THEN ATBMPDMT = . ;
IF ATBMPDMP = 9                THEN ATBMPDMP = . ;
IF ATBMPDMC = 9                THEN ATBMPDMC = . ;
IF ATBMPDIT = 9                THEN ATBMPDIT = . ;
IF ATBGPDCT = 9                THEN ATBGPDCT = . ;
IF ATBMPDMA = 9                THEN ATBMPDMA = . ;
IF ATBMSTUD = 999              THEN ATBMSTUD = . ;
IF ATBMSTDQ = 999              THEN ATBMSTDQ = . ;
IF ATBMTIMT = 999              THEN ATBMTIMT = . ;
IF ATBMTBTC = 9                THEN ATBMTBTC = . ;
IF ATBMTXBU = 9                THEN ATBMTXBU = . ;
IF ATBMPTRH = 999              THEN ATBMPTRH = . ;
IF ATBMPTLS = 999              THEN ATBMPTLS = . ;
IF ATBMPTYG = 999              THEN ATBMPTYG = . ;
IF ATBMPTOO = 999              THEN ATBMPTOO = . ;
IF ATBMPTRT = 999              THEN ATBMPTRT = . ;
IF ATBMPTTQ = 999              THEN ATBMPTTQ = . ;
IF ATBMPTCM = 999              THEN ATBMPTCM = . ;
IF ATBMPTOA = 999              THEN ATBMPTOA = . ;
IF ATBMCAML = 9                THEN ATBMCAML = . ;
IF ATBMHSHC = 9                THEN ATBMHSHC = . ;
IF ATBMCALA = 9                THEN ATBMCALA = . ;
IF ATBMCALR = 9                THEN ATBMCALR = . ;
IF ATBMCALS = 9                THEN ATBMCALS = . ;
IF ATBMCALE = 9                THEN ATBMCALE = . ;
IF ATBMCATE = 9                THEN ATBMCATE = . ;
IF ATBMCOMA = 9                THEN ATBMCOMA = . ;
IF ATBMINTA = 9                THEN ATBMINTA = . ;
IF ATBMCADM = 9                THEN ATBMCADM = . ;
IF ATBMCASP = 9                THEN ATBMCASP = . ;
IF ATBMCALI = 9                THEN ATBMCALI = . ;
IF ATBMASPC = 9                THEN ATBMASPC = . ;
IF ATBMASWF = 9                THEN ATBMASWF = . ;
IF ATBMASMS = 9                THEN ATBMASMS = . ;
IF ATBMASMG = 9                THEN ATBMASMG = . ;
IF ATBMASLC = 9                THEN ATBMASLC = . ;
IF ATBMASWP = 9                THEN ATBMASWP = . ;
IF ATBMASSG = 9                THEN ATBMASSG = . ;
IF ATBMASEA = 9                THEN ATBMASEA = . ;
IF ATBMTTNU = 999              THEN ATBMTTNU = . ;
IF ATBMTTPA = 999              THEN ATBMTTPA = . ;
IF ATBMTTME = 999              THEN ATBMTTME = . ;
IF ATBMTTGE = 999              THEN ATBMTTGE = . ;
IF ATBMTTDA = 999              THEN ATBMTTDA = . ;
IF ATBMCOTH = 999              THEN ATBMCOTH = . ;
IF ATBMTA01 = 9                THEN ATBMTA01 = . ;
IF ATBMTA02 = 9                THEN ATBMTA02 = . ;
IF ATBMTA03 = 9                THEN ATBMTA03 = . ;
IF ATBMTA04 = 9                THEN ATBMTA04 = . ;
IF ATBMTA05 = 9                THEN ATBMTA05 = . ;
IF ATBMTA06 = 9                THEN ATBMTA06 = . ;
IF ATBMTA07 = 9                THEN ATBMTA07 = . ;
IF ATBMTA08 = 9                THEN ATBMTA08 = . ;
IF ATBMTA09 = 9                THEN ATBMTA09 = . ;
IF ATBMTA10 = 9                THEN ATBMTA10 = . ;
IF ATBMTA11 = 9                THEN ATBMTA11 = . ;
IF ATBMTA12 = 9                THEN ATBMTA12 = . ;
IF ATBMTA13 = 9                THEN ATBMTA13 = . ;
IF ATBMTA14 = 9                THEN ATBMTA14 = . ;
IF ATBMTA15 = 9                THEN ATBMTA15 = . ;
IF ATBMTA16 = 9                THEN ATBMTA16 = . ;
IF ATBMTA17 = 9                THEN ATBMTA17 = . ;
IF ATBMTA18 = 9                THEN ATBMTA18 = . ;
IF ATBMTA19 = 9                THEN ATBMTA19 = . ;
IF ATBMTA20 = 9                THEN ATBMTA20 = . ;
IF ATBMTA21 = 9                THEN ATBMTA21 = . ;
IF ATBMTA22 = 9                THEN ATBMTA22 = . ;
IF ATBMTA23 = 9                THEN ATBMTA23 = . ;
IF ATBMTA24 = 9                THEN ATBMTA24 = . ;
IF ATBMTA25 = 9                THEN ATBMTA25 = . ;
IF ATBMTA26 = 9                THEN ATBMTA26 = . ;
IF ATBMTA27 = 9                THEN ATBMTA27 = . ;
IF ATBMTA28 = 9                THEN ATBMTA28 = . ;
IF ATBMTA29 = 9                THEN ATBMTA29 = . ;
IF ATBMTA30 = 9                THEN ATBMTA30 = . ;
IF ATBMTA31 = 9                THEN ATBMTA31 = . ;
IF ATBMTA32 = 9                THEN ATBMTA32 = . ;
IF ATBMTA33 = 9                THEN ATBMTA33 = . ;
IF ATBMTA34 = 9                THEN ATBMTA34 = . ;
IF ATBMTA35 = 9                THEN ATBMTA35 = . ;
IF ATBMTA36 = 9                THEN ATBMTA36 = . ;
IF ATBMTA37 = 9                THEN ATBMTA37 = . ;
IF ATBMTA38 = 9                THEN ATBMTA38 = . ;
IF ATBMTA39 = 9                THEN ATBMTA39 = . ;
IF ATBMTA40 = 9                THEN ATBMTA40 = . ;
IF ATBMTA41 = 9                THEN ATBMTA41 = . ;
IF ATBMTA42 = 9                THEN ATBMTA42 = . ;
IF ATBMHMWO = 9                THEN ATBMHMWO = . ;
IF ATBMHWMC = 9                THEN ATBMHWMC = . ;
IF ATBMHWKM = 9                THEN ATBMHWKM = . ;
IF ATBSRT01 = 9                THEN ATBSRT01 = . ;
IF ATBSRT02 = 9                THEN ATBSRT02 = . ;
IF ATBSRT03 = 9                THEN ATBSRT03 = . ;
IF ATBSRT04 = 9                THEN ATBSRT04 = . ;
IF ATBSRT05 = 9                THEN ATBSRT05 = . ;
IF ATBSRT06 = 9                THEN ATBSRT06 = . ;
IF ATBSRT07 = 9                THEN ATBSRT07 = . ;
IF ATBSRT08 = 9                THEN ATBSRT08 = . ;
IF ATBSRT09 = 9                THEN ATBSRT09 = . ;
IF ATBSRT10 = 9                THEN ATBSRT10 = . ;
IF ATBSRT11 = 9                THEN ATBSRT11 = . ;
IF ATBSRT12 = 9                THEN ATBSRT12 = . ;
IF ATBSRT13 = 9                THEN ATBSRT13 = . ;
IF ATBSRT14 = 9                THEN ATBSRT14 = . ;
IF ATBSRT15 = 9                THEN ATBSRT15 = . ;
IF ATBSRT16 = 9                THEN ATBSRT16 = . ;
IF ATBSRT17 = 9                THEN ATBSRT17 = . ;
IF ATBSRT18 = 9                THEN ATBSRT18 = . ;
IF ATBSRT19 = 9                THEN ATBSRT19 = . ;
IF ATBSPDST = 9                THEN ATBSPDST = . ;
IF ATBSPDSP = 9                THEN ATBSPDSP = . ;
IF ATBSPDSC = 9                THEN ATBSPDSC = . ;
IF ATBSPDIT = 9                THEN ATBSPDIT = . ;
IF ATBGPDIN = 9                THEN ATBGPDIN = . ;
IF ATBSPDSA = 9                THEN ATBSPDSA = . ;
IF ATBSSTUD = 999              THEN ATBSSTUD = . ;
IF ATBSSTDQ = 999              THEN ATBSSTDQ = . ;
IF ATBSSSBJ = 9                THEN ATBSSSBJ = . ;
IF ATBSYMWT = 999              THEN ATBSYMWT = . ;
IF ATBSNMWT = 999              THEN ATBSNMWT = . ;
IF ATBSTBTC = 9                THEN ATBSTBTC = . ;
IF ATBSTXBU = 9                THEN ATBSTXBU = . ;
IF ATBSCOMA = 9                THEN ATBSCOMA = . ;
IF ATBSINTA = 9                THEN ATBSINTA = . ;
IF ATBSCAPE = 9                THEN ATBSCAPE = . ;
IF ATBSCANP = 9                THEN ATBSCANP = . ;
IF ATBSCASP = 9                THEN ATBSCASP = . ;
IF ATBSCALI = 9                THEN ATBSCALI = . ;
IF ATBSCSWE = 9                THEN ATBSCSWE = . ;
IF ATBSCSDP = 9                THEN ATBSCSDP = . ;
IF ATBSCSDI = 9                THEN ATBSCSDI = . ;
IF ATBSCSSG = 9                THEN ATBSCSSG = . ;
IF ATBSCSDL = 9                THEN ATBSCSDL = . ;
IF ATBSCSWS = 9                THEN ATBSCSWS = . ;
IF ATBSCSOS = 9                THEN ATBSCSOS = . ;
IF ATBSCSPW = 9                THEN ATBSCSPW = . ;
IF ATBSPTLS = 999              THEN ATBSPTLS = . ;
IF ATBSPTPS = 999              THEN ATBSPTPS = . ;
IF ATBSPTES = 999              THEN ATBSPTES = . ;
IF ATBSCOTH = 999              THEN ATBSCOTH = . ;
IF ATBSTA01 = 9                THEN ATBSTA01 = . ;
IF ATBSTA02 = 9                THEN ATBSTA02 = . ;
IF ATBSTA03 = 9                THEN ATBSTA03 = . ;
IF ATBSTA04 = 9                THEN ATBSTA04 = . ;
IF ATBSTA05 = 9                THEN ATBSTA05 = . ;
IF ATBSTA06 = 9                THEN ATBSTA06 = . ;
IF ATBSTA07 = 9                THEN ATBSTA07 = . ;
IF ATBSTA08 = 9                THEN ATBSTA08 = . ;
IF ATBSTA09 = 9                THEN ATBSTA09 = . ;
IF ATBSTA10 = 9                THEN ATBSTA10 = . ;
IF ATBSTA11 = 9                THEN ATBSTA11 = . ;
IF ATBSTA12 = 9                THEN ATBSTA12 = . ;
IF ATBSTA13 = 9                THEN ATBSTA13 = . ;
IF ATBSTA14 = 9                THEN ATBSTA14 = . ;
IF ATBSTA15 = 9                THEN ATBSTA15 = . ;
IF ATBSTA16 = 9                THEN ATBSTA16 = . ;
IF ATBSTA17 = 9                THEN ATBSTA17 = . ;
IF ATBSTA18 = 9                THEN ATBSTA18 = . ;
IF ATBSTA19 = 9                THEN ATBSTA19 = . ;
IF ATBSTA20 = 9                THEN ATBSTA20 = . ;
IF ATBSTA21 = 9                THEN ATBSTA21 = . ;
IF ATBSTA22 = 9                THEN ATBSTA22 = . ;
IF ATBSTA23 = 9                THEN ATBSTA23 = . ;
IF ATBSTA24 = 9                THEN ATBSTA24 = . ;
IF ATBSTA25 = 9                THEN ATBSTA25 = . ;
IF ATBSTA26 = 9                THEN ATBSTA26 = . ;
IF ATBSTA27 = 9                THEN ATBSTA27 = . ;
IF ATBSTA28 = 9                THEN ATBSTA28 = . ;
IF ATBSTA29 = 9                THEN ATBSTA29 = . ;
IF ATBSTA30 = 9                THEN ATBSTA30 = . ;
IF ATBSTA31 = 9                THEN ATBSTA31 = . ;
IF ATBSTA32 = 9                THEN ATBSTA32 = . ;
IF ATBSHMWO = 9                THEN ATBSHMWO = . ;
IF ATBSHWMC = 9                THEN ATBSHWMC = . ;
IF ATBSHWKM = 9                THEN ATBSHWKM = . ;
IF ATDGCH   = 9                THEN ATDGCH   = . ;
IF ATDGCU   = 9                THEN ATDGCU   = . ;
IF ATDGTELC = 9                THEN ATDGTELC = . ;
IF ATDMPREP = 9                THEN ATDMPREP = . ;
IF ATDMSTUD = 9                THEN ATDMSTUD = . ;
IF ATDMTANU = 999              THEN ATDMTANU = . ;
IF ATDMTAOV = 999              THEN ATDMTAOV = . ;
IF ATDMH    = 9                THEN ATDMH    = . ;
IF ATDMTAME = 999              THEN ATDMTAME = . ;
IF ATDMTAGE = 999              THEN ATDMTAGE = . ;
IF ATDMTADA = 999              THEN ATDMTADA = . ;
IF ATDMTAPE = 999              THEN ATDMTAPE = . ;
IF ATDSPREP = 9                THEN ATDSPREP = . ;
IF ATDSSTUD = 9                THEN ATDSSTUD = . ;
IF ATDSH    = 9                THEN ATDSH    = . ;
IF ATDSTALI = 999              THEN ATDSTALI = . ;
IF ATDSTAPH = 999              THEN ATDSTAPH = . ;
IF ATDSTAEA = 999              THEN ATDSTAEA = . ;
IF ATDSTAOV = 999              THEN ATDSTAOV = . ;
IF DPCDATE  = 999999           THEN DPCDATE  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;