**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= BCG&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDSTRATE   3 ;
LENGTH      IDSTRATI   3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BCBGLOWG   3 ;
LENGTH      BCBGHIGG   3 ;
LENGTH      BCBGTENR   5 ;
LENGTH      BCBGEENR   5 ;
LENGTH      BCBGCOMU   3 ;
LENGTH      BCBGASTD   3 ;
LENGTH      BCBGENRS   3 ;
LENGTH      BCBGENSY   3 ;
LENGTH      BCBGSBED   3 ;
LENGTH      BCBGSBEA   3 ;
LENGTH      BCBGNALA   3 ;
LENGTH      BCBGCHTS   3 ;
LENGTH      BCBGCHTU   3 ;
LENGTH      BCBGCHTC   3 ;
LENGTH      BCBGCHES   3 ;
LENGTH      BCBGCHPS   3 ;
LENGTH      BCBGCHPI   3 ;
LENGTH      BCBGCHSR   3 ;
LENGTH      BCBGCHSD   3 ;
LENGTH      BCBGYEPS   3 ;
LENGTH      BCBGAPAD   3 ;
LENGTH      BCBGAPIL   3 ;
LENGTH      BCBGAPST   3 ;
LENGTH      BCBGAPTE   3 ;
LENGTH      BCBGAPPR   3 ;
LENGTH      BCBGAPOT   3 ;
LENGTH      BCBGEPSE   3 ;
LENGTH      BCBGEPRF   3 ;
LENGTH      BCBGEPVO   3 ;
LENGTH      BCBGEPCH   3 ;
LENGTH      BCBGEPSC   3 ;
LENGTH      BCBGDYSO   3 ;
LENGTH      BCBGDWFU   3 ;
LENGTH      BCBGDWHA   3 ;
LENGTH      BCBGTITD   3 ;
LENGTH      BCBMODLA   3 ;
LENGTH      BCBMGAMC   3 ;
LENGTH      BCBMSOEM   3 ;
LENGTH      BCBMSORM   3 ;
LENGTH      BCBSODLA   3 ;
LENGTH      BCBSGASC   3 ;
LENGTH      BCBSSOES   3 ;
LENGTH      BCBSSORS   3 ;
LENGTH      BCBMFVAY   3 ;
LENGTH      BCBSFVAY   3 ;
LENGTH      BCBSFVCY   3 ;
LENGTH      BCBMRRTM   3 ;
LENGTH      BCBSRRTS   3 ;
LENGTH      BCBGRRTO   3 ;
LENGTH      BCBGPDIC   3 ;
LENGTH      BCBGPDSG   3 ;
LENGTH      BCBGPDIK   3 ;
LENGTH      BCBGPDTS   3 ;
LENGTH      BCBGPDUT   3 ;
LENGTH      BCBMEPOS   3 ;
LENGTH      BCBMEPOE   3 ;
LENGTH      BCBMEPSA   3 ;
LENGTH      BCBMEPTR   3 ;
LENGTH      BCBSEPOS   3 ;
LENGTH      BCBSEPOE   3 ;
LENGTH      BCBSEPSA   3 ;
LENGTH      BCBSEPTR   3 ;
LENGTH      BCBGFP01   3 ;
LENGTH      BCBGFP02   3 ;
LENGTH      BCBGFP03   3 ;
LENGTH      BCBGFP04   3 ;
LENGTH      BCBGFP05   3 ;
LENGTH      BCBGFP06   3 ;
LENGTH      BCBGFP07   3 ;
LENGTH      BCBGFP08   3 ;
LENGTH      BCBGFP09   3 ;
LENGTH      BCBGFP10   3 ;
LENGTH      BCBGFP11   3 ;
LENGTH      BCBGFP12   3 ;
LENGTH      BCBGFP13   3 ;
LENGTH      BCBGSP01   3 ;
LENGTH      BCBGSP02   3 ;
LENGTH      BCBGSP03   3 ;
LENGTH      BCBGSP04   3 ;
LENGTH      BCBGSP05   3 ;
LENGTH      BCBGSP06   3 ;
LENGTH      BCBGSP07   3 ;
LENGTH      BCBGSP08   3 ;
LENGTH      BCBGSP09   3 ;
LENGTH      BCBGSP10   3 ;
LENGTH      BCBGSP11   3 ;
LENGTH      BCBGSP12   3 ;
LENGTH      BCBGSP13   3 ;
LENGTH      BCBGST01   3 ;
LENGTH      BCBGST02   3 ;
LENGTH      BCBGST03   3 ;
LENGTH      BCBGST04   3 ;
LENGTH      BCBGST05   3 ;
LENGTH      BCBGST06   3 ;
LENGTH      BCBMST07   3 ;
LENGTH      BCBMST08   3 ;
LENGTH      BCBMST09   3 ;
LENGTH      BCBMST10   3 ;
LENGTH      BCBMST11   3 ;
LENGTH      BCBSST12   3 ;
LENGTH      BCBSST13   3 ;
LENGTH      BCBSST14   3 ;
LENGTH      BCBSST15   3 ;
LENGTH      BCBSST16   3 ;
LENGTH      BCBSST17   3 ;
LENGTH      BCBGSH18   3 ;
LENGTH      BCBGSH19   3 ;
LENGTH      BCBGCMPS   3 ;
LENGTH      BCBGCMPI   3 ;
LENGTH      BCBGHTTE   3 ;
LENGTH      BCBGPHTE   3 ;
LENGTH      SCHWGT     8 ;
LENGTH      STOTWGTU   8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      JKCREP     3 ;
LENGTH      JKCZONE    3 ;
LENGTH      BCDGWKYR   8 ;
LENGTH      BCDGTITD   8 ;
LENGTH      BCDGCH     3 ;
LENGTH      BCDMST     3 ;
LENGTH      BCDGSP     3 ;
LENGTH      BCDSST     3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDSTRATE     11-  13     
  IDSTRATI     14-  16     
  IDGRADE      17-  18     
  IDGRADER     19-  19     
  INTMS03      20-  20     
  INTMS99      21-  21     
  INTMS95      22-  22     
  BCBGLOWG     23-  24     
  BCBGHIGG     25-  26     
  BCBGTENR     27-  31     
  BCBGEENR     32-  36     
  BCBGCOMU     37-  37     
  BCBGASTD     38-  38     
  BCBGENRS     39-  39     
  BCBGENSY     40-  40     
  BCBGSBED     41-  41     
  BCBGSBEA     42-  42     
  BCBGNALA     43-  43     
  BCBGCHTS     44-  44     
  BCBGCHTU     45-  45     
  BCBGCHTC     46-  46     
  BCBGCHES     47-  47     
  BCBGCHPS     48-  48     
  BCBGCHPI     49-  49     
  BCBGCHSR     50-  50     
  BCBGCHSD     51-  51     
  BCBGYEPS     52-  53     
  BCBGAPAD     54-  56     
  BCBGAPIL     57-  59     
  BCBGAPST     60-  62     
  BCBGAPTE     63-  65     
  BCBGAPPR     66-  68     
  BCBGAPOT     69-  71     
  BCBGEPSE     72-  72     
  BCBGEPRF     73-  73     
  BCBGEPVO     74-  74     
  BCBGEPCH     75-  75     
  BCBGEPSC     76-  76     
  BCBGDYSO     77-  79     
  BCBGDWFU     80-  81     
  BCBGDWHA     82-  83     
  BCBGTITD     84-  84     
  BCBMODLA     85-  85     
  BCBMGAMC     86-  86     
  BCBMSOEM     87-  87     
  BCBMSORM     88-  88     
  BCBSODLA     89-  89     
  BCBSGASC     90-  90     
  BCBSSOES     91-  91     
  BCBSSORS     92-  92     
  BCBMFVAY     93-  93     
  BCBSFVAY     94-  94     
  BCBSFVCY     95-  95     
  BCBMRRTM     96-  96     
  BCBSRRTS     97-  97     
  BCBGRRTO     98-  98     
  BCBGPDIC     99-  99     
  BCBGPDSG    100- 100     
  BCBGPDIK    101- 101     
  BCBGPDTS    102- 102     
  BCBGPDUT    103- 103     
  BCBMEPOS    104- 104     
  BCBMEPOE    105- 105     
  BCBMEPSA    106- 106     
  BCBMEPTR    107- 107     
  BCBSEPOS    108- 108     
  BCBSEPOE    109- 109     
  BCBSEPSA    110- 110     
  BCBSEPTR    111- 111     
  BCBGFP01    112- 112     
  BCBGFP02    113- 113     
  BCBGFP03    114- 114     
  BCBGFP04    115- 115     
  BCBGFP05    116- 116     
  BCBGFP06    117- 117     
  BCBGFP07    118- 118     
  BCBGFP08    119- 119     
  BCBGFP09    120- 120     
  BCBGFP10    121- 121     
  BCBGFP11    122- 122     
  BCBGFP12    123- 123     
  BCBGFP13    124- 124     
  BCBGSP01    125- 125     
  BCBGSP02    126- 126     
  BCBGSP03    127- 127     
  BCBGSP04    128- 128     
  BCBGSP05    129- 129     
  BCBGSP06    130- 130     
  BCBGSP07    131- 131     
  BCBGSP08    132- 132     
  BCBGSP09    133- 133     
  BCBGSP10    134- 134     
  BCBGSP11    135- 135     
  BCBGSP12    136- 136     
  BCBGSP13    137- 137     
  BCBGST01    138- 138     
  BCBGST02    139- 139     
  BCBGST03    140- 140     
  BCBGST04    141- 141     
  BCBGST05    142- 142     
  BCBGST06    143- 143     
  BCBMST07    144- 144     
  BCBMST08    145- 145     
  BCBMST09    146- 146     
  BCBMST10    147- 147     
  BCBMST11    148- 148     
  BCBSST12    149- 149     
  BCBSST13    150- 150     
  BCBSST14    151- 151     
  BCBSST15    152- 152     
  BCBSST16    153- 153     
  BCBSST17    154- 154     
  BCBGSH18    155- 155     
  BCBGSH19    156- 156     
  BCBGCMPS    157- 159     
  BCBGCMPI    160- 160     
  BCBGHTTE    161- 161     
  BCBGPHTE    162- 163     
  SCHWGT      164- 171 .3
  STOTWGTU    172- 179 .2
  WGTADJ1     180- 185 .3
  WGTFAC1     186- 192 .2
  JKCREP      193- 193     
  JKCZONE     194- 195     
  BCDGWKYR    196- 200 .2
  BCDGTITD    201- 207 .2
  BCDGCH      208- 208     
  BCDMST      209- 209     
  BCDGSP      210- 210     
  BCDSST      211- 211     
  DPCDATE     212- 217     
;

%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDSTRATE = "EXPLICIT STRATUM CODE"
  IDSTRATI = "IMPLICIT STRATUM CODE"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  BCBGLOWG = "GEN\GRADE LEVEL\LOWEST GRADE"
  BCBGHIGG = "GEN\GRADE LEVEL\HIGHEST GRADE"
  BCBGTENR = "GEN\TOTAL SCHOOL ENROLLMENT\ALL GRADES"
  BCBGEENR = "GEN\TOTAL SCHOOL ENROLLMENT\EIGHT GRADE"
  BCBGCOMU = "GEN\TYPE OF COMMUNITY"
  BCBGASTD = "GEN\PERCENT OF STUDENT ABSENT FROM SCH"
  BCBGENRS = "GEN\PERCENT OF STUDENTS STILL ENROLLED"
  BCBGENSY = "GEN\PERCENT OF STUDS ENROLLED AFTER BEGI"
  BCBGSBED = "GEN\STUDENTS BACKGROUND\ECONOMIC DISADVA"
  BCBGSBEA = "GEN\STUDENTS BACKGROUND\ECONOMIC AFFLUEN"
  BCBGNALA = "GEN\ PERCENT OF STUDENTS 1ST LANGUAGE"
  BCBGCHTS = "GEN\IN SCHOOL\TEACHERS JOB SATISFACTION"
  BCBGCHTU = "GEN\IN SCHOOL\TEACHERS UNDERSTA GOALS"
  BCBGCHTC = "GEN\IN SCHOOL\TEACHERS DEGREE OF SUCCESS"
  BCBGCHES = "GEN\IN SCHOOL\TEACHERS EXPECT STUDS ACH"
  BCBGCHPS = "GEN\IN SCHOOL\PARENTS SUPPORT STUDS ACH"
  BCBGCHPI = "GEN\IN SCHOOL\PARENTS INVOLVED IN SCH AC"
  BCBGCHSR = "GEN\IN SCHOOL\STUDS REGARD SCH PROPERTY"
  BCBGCHSD = "GEN\IN SCHOOL\STUDS DESIRE TO DO WELL"
  BCBGYEPS = "GEN\NUMBER OF YEARS PRINCIPAL THIS SCH"
  BCBGAPAD = "GEN\ACTIVITY PERCENTAGES\ADMINISTRATIVE"
  BCBGAPIL = "GEN\ACTIVITY PERCENTAGES\INSTRU LEADERSH"
  BCBGAPST = "GEN\ACTIVITY PERCENTAGES\SUPERVISE TCH"
  BCBGAPTE = "GEN\ACTIVITY PERCENTAGES\TEACHING"
  BCBGAPPR = "GEN\ACTIVITY PERCENTAGES\PUBLIC RELATION"
  BCBGAPOT = "GEN\ACTIVITY PERCENTAGES\OTHER"
  BCBGEPSE = "GEN\EXPECT PARENTS\ATTEND SPECIAL EVENTS"
  BCBGEPRF = "GEN\EXPECT PARENTS\RAISE FUNDS FOR SCH"
  BCBGEPVO = "GEN\EXPECT PARENTS\VOLUNTEER FOR SCH PRO"
  BCBGEPCH = "GEN\EXPECT PARENTS\ENSURE COMPLETE HOMEW"
  BCBGEPSC = "GEN\EXPECT PARENTS\SERVE ON SCH COMMITEE"
  BCBGDYSO = "GEN\INSTRUCTIONAL DAYS PER YEAR"
  BCBGDWFU = "GEN\FULL INSTRUCTIONAL DAYS PER WEEK"
  BCBGDWHA = "GEN\HALF INSTRUCTIONAL DAYS PER WEEK"
  BCBGTITD = "GEN\TOTAL INSTRUCTIONAL TIME"
  BCBMODLA = "MAT\ORGANIZE DIFFERENT LEV OR ABI"
  BCBMGAMC = "MAT\GROUP ABILITY"
  BCBMSOEM = "MAT\OFFER MATHS\ENRICHMENT"
  BCBMSORM = "MAT\OFFER MATHS\REMEDIAL"
  BCBSODLA = "SCI\ORGANIZE DIFFERENT LEV OR ABI"
  BCBSGASC = "SCI\GROUP ABILITY"
  BCBSSOES = "SCI\OFFER SCIENCE\ENRICHMENT"
  BCBSSORS = "SCI\OFFER SCIENCE\REMEDIAL"
  BCBMFVAY = "MAT\FILL TEACHING VACANCIES\MATHEMATICS"
  BCBSFVAY = "SCI\FILL TEACHING VACANCIES\SCIENCE"
  BCBSFVCY = "SCI\FILL TEACHING VACANCIES\COMP SCIENCE"
  BCBMRRTM = "MAT\SCHOOL PAY INCENTIVES RECRUI\MATHS"
  BCBSRRTS = "SCI\SCHOOL PAY INCENTIVES RECRUI\SCIENCE"
  BCBGRRTO = "GEN\SCHOOL PAY INCENTIVES RECRUI\OTHER"
  BCBGPDIC = "GEN\DEVELOPMENT MS\DESIGN IMP CURRICULUM"
  BCBGPDSG = "GEN\DEVELOPMENT MS\DESIGN SCH IMPR GOALS"
  BCBGPDIK = "GEN\DEVELOPMENT MS\IMPR CONTENT KNOWLEDG"
  BCBGPDTS = "GEN\DEVELOPMENT MS\IMPR TEACHING SKILLS"
  BCBGPDUT = "GEN\DEVELOPMENT MS\INF TECH EDU PURPOSES"
  BCBMEPOS = "MAT\EVAL PRACTICE\OBSERVATIONS PRINC"
  BCBMEPOE = "MAT\EVAL PRACTICE\OBSERVATION INSPEC"
  BCBMEPSA = "MAT\EVAL PRACTICE\STUDENT ACHIEVMENT"
  BCBMEPTR = "MAT\EVAL PRACTICE\TEACH PEER REVIEW"
  BCBSEPOS = "SCI\EVAL PRACTICE\OBSERVATIONS PRINC"
  BCBSEPOE = "SCI\EVAL PRACTICE\OBSERVATION INSPEC"
  BCBSEPSA = "SCI\EVAL PRACTICE\STUDENT ACHIEVMENT"
  BCBSEPTR = "SCI\EVAL PRACTICE\TEACH PEER REVIEW"
  BCBGFP01 = "GEN\FREQ BEHAVIOR\ARRIVE LATE AT SCHOOL"
  BCBGFP02 = "GEN\FREQ BEHAVIOR\ABSENTEEISM"
  BCBGFP03 = "GEN\FREQ BEHAVIOR\SKIPPING CLASS"
  BCBGFP04 = "GEN\FREQ BEHAVIOR\VIOLATING DRESS CODE"
  BCBGFP05 = "GEN\FREQ BEHAVIOR\CLASSROOM DISTURBANCE"
  BCBGFP06 = "GEN\FREQ BEHAVIOR\CHEATING"
  BCBGFP07 = "GEN\FREQ BEHAVIOR\PROFANITY"
  BCBGFP08 = "GEN\FREQ BEHAVIOR\VANDALISM"
  BCBGFP09 = "GEN\FREQ BEHAVIOR\THEFT"
  BCBGFP10 = "GEN\FREQ BEHAVIOR\INTIMIDATION OF STUDS"
  BCBGFP11 = "GEN\FREQ BEHAVIOR\INJURY TO STUDENTS"
  BCBGFP12 = "GEN\FREQ BEHAVIOR\INTIMIDATION OF TCHRS"
  BCBGFP13 = "GEN\FREQ BEHAVIOR\INJURY TO TEACHERS"
  BCBGSP01 = "GEN\SEVERE BEHAVIOR\ARRIVE LATE AT SCH"
  BCBGSP02 = "GEN\SEVERE BEHAVIOR\ABSENTEEISM"
  BCBGSP03 = "GEN\SEVERE BEHAVIOR\SKIPPING CLASS"
  BCBGSP04 = "GEN\SEVERE BEHAVIOR\VIOLATING DRESS CODE"
  BCBGSP05 = "GEN\SEVERE BEHAVIOR\CLSROOM DISTURBANCE"
  BCBGSP06 = "GEN\SEVERE BEHAVIOR\CHEATING"
  BCBGSP07 = "GEN\SEVERE BEHAVIOR\PROFANITY"
  BCBGSP08 = "GEN\SEVERE BEHAVIOR\VANDALISM"
  BCBGSP09 = "GEN\SEVERE BEHAVIOR\THEFT"
  BCBGSP10 = "GEN\SEVERE BEHAVIOR\INTIMIDATION OF STDS"
  BCBGSP11 = "GEN\SEVERE BEHAVIOR\INJURY TO STUDS"
  BCBGSP12 = "GEN\SEVERE BEHAVIOR\INTIMIDATION OF TCHS"
  BCBGSP13 = "GEN\SEVERE BEHAVIOR\INJURY TO TEACHERS"
  BCBGST01 = "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS"
  BCBGST02 = "GEN\SHORTAGE\BUDGET FOR SUPPLIES"
  BCBGST03 = "GEN\SHORTAGE\SCHOOL BUILDINGS"
  BCBGST04 = "GEN\SHORTAGE\HEATING AND LIGHTING"
  BCBGST05 = "GEN\SHORTAGE\INSTRUCTIONAL SPACE"
  BCBGST06 = "GEN\SHORTAGE\HANDICAPPED FACILITIES"
  BCBMST07 = "MAT\SHORTAGE\COMPUTER HARDWARE"
  BCBMST08 = "MAT\SHORTAGE\COMPUTER SOFTWARE"
  BCBMST09 = "MAT\SHORTAGE\CALCULATORS"
  BCBMST10 = "MAT\SHORTAGE\LIBRARY MATERIALS"
  BCBMST11 = "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES"
  BCBSST12 = "SCI\SHORTAGE\LABORATORY EQUIPMENT"
  BCBSST13 = "SCI\SHORTAGE\COMPUTER HARDWARE"
  BCBSST14 = "SCI\SHORTAGE\COMPUTER SOFTWARE"
  BCBSST15 = "SCI\SHORTAGE\CALCULATORS"
  BCBSST16 = "SCI\SHORTAGE\LIBRARY MATERIALS"
  BCBSST17 = "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES"
  BCBGSH18 = "GEN\SHORTAGE\TEACHERS"
  BCBGSH19 = "GEN\SHORTAGE\COMPUTER SUPPORT STAFF"
  BCBGCMPS = "GEN\COMPUTERS\AVAILABLE FOR STDS INSTR"
  BCBGCMPI = "GEN\COMPUTERS\ACCESS TO INTERNET"
  BCBGHTTE = "GEN\HELP\ANYONE AVAILABLE TCH USE TECHNO"
  BCBGPHTE = "GEN\HELP\DESCRIPTION PERSON"
  SCHWGT   = "*SCHOOL LEVEL WEIGHT*"
  STOTWGTU = "*SUM OF STUDENT WEIGHTS - UPPER GRADE*"
  WGTADJ1  = "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*"
  WGTFAC1  = "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*"
  JKCREP   = "*REPLICATE CODE*"
  JKCZONE  = "*ZONE CODE*"
  BCDGWKYR = "NUMBER OF WEEKS OF SCHOOL PER YEAR"
  BCDGTITD = "NUMBER OF HOURS OF SCHOOL PER YEAR"
  BCDGCH   = "IDX PRNCPL PERCEPT SCHOOL CLIMATE (PPSC)"
  BCDMST   = "IDX AVLBL SCHL RSRCS MATH INSTRN (ASRM)"
  BCDGSP   = "IDX GOOD SCHOOL/CLASS ATTENDANCE (GSCA)"
  BCDSST   = "IDX AVLBL SCHL RSRCS SCI INSTRN (ASRSI)"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSTRATE = 998              THEN IDSTRATE = .A ;
IF IDSTRATI = 998              THEN IDSTRATI = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BCBGLOWG = 98               THEN BCBGLOWG = .A ;
IF BCBGHIGG = 98               THEN BCBGHIGG = .A ;
IF BCBGTENR = 99998            THEN BCBGTENR = .A ;
IF BCBGEENR = 99998            THEN BCBGEENR = .A ;
IF BCBGCOMU = 8                THEN BCBGCOMU = .A ;
IF BCBGASTD = 8                THEN BCBGASTD = .A ;
IF BCBGENRS = 8                THEN BCBGENRS = .A ;
IF BCBGENSY = 8                THEN BCBGENSY = .A ;
IF BCBGSBED = 8                THEN BCBGSBED = .A ;
IF BCBGSBEA = 8                THEN BCBGSBEA = .A ;
IF BCBGNALA = 8                THEN BCBGNALA = .A ;
IF BCBGCHTS = 8                THEN BCBGCHTS = .A ;
IF BCBGCHTU = 8                THEN BCBGCHTU = .A ;
IF BCBGCHTC = 8                THEN BCBGCHTC = .A ;
IF BCBGCHES = 8                THEN BCBGCHES = .A ;
IF BCBGCHPS = 8                THEN BCBGCHPS = .A ;
IF BCBGCHPI = 8                THEN BCBGCHPI = .A ;
IF BCBGCHSR = 8                THEN BCBGCHSR = .A ;
IF BCBGCHSD = 8                THEN BCBGCHSD = .A ;
IF BCBGYEPS = 98               THEN BCBGYEPS = .A ;
IF BCBGAPAD = 998              THEN BCBGAPAD = .A ;
IF BCBGAPIL = 998              THEN BCBGAPIL = .A ;
IF BCBGAPST = 998              THEN BCBGAPST = .A ;
IF BCBGAPTE = 998              THEN BCBGAPTE = .A ;
IF BCBGAPPR = 998              THEN BCBGAPPR = .A ;
IF BCBGAPOT = 998              THEN BCBGAPOT = .A ;
IF BCBGEPSE = 8                THEN BCBGEPSE = .A ;
IF BCBGEPRF = 8                THEN BCBGEPRF = .A ;
IF BCBGEPVO = 8                THEN BCBGEPVO = .A ;
IF BCBGEPCH = 8                THEN BCBGEPCH = .A ;
IF BCBGEPSC = 8                THEN BCBGEPSC = .A ;
IF BCBGDYSO = 998              THEN BCBGDYSO = .A ;
IF BCBGDWFU = 98               THEN BCBGDWFU = .A ;
IF BCBGDWHA = 98               THEN BCBGDWHA = .A ;
IF BCBGTITD = 8                THEN BCBGTITD = .A ;
IF BCBMODLA = 8                THEN BCBMODLA = .A ;
IF BCBMGAMC = 8                THEN BCBMGAMC = .A ;
IF BCBMSOEM = 8                THEN BCBMSOEM = .A ;
IF BCBMSORM = 8                THEN BCBMSORM = .A ;
IF BCBSODLA = 8                THEN BCBSODLA = .A ;
IF BCBSGASC = 8                THEN BCBSGASC = .A ;
IF BCBSSOES = 8                THEN BCBSSOES = .A ;
IF BCBSSORS = 8                THEN BCBSSORS = .A ;
IF BCBMFVAY = 8                THEN BCBMFVAY = .A ;
IF BCBSFVAY = 8                THEN BCBSFVAY = .A ;
IF BCBSFVCY = 8                THEN BCBSFVCY = .A ;
IF BCBMRRTM = 8                THEN BCBMRRTM = .A ;
IF BCBSRRTS = 8                THEN BCBSRRTS = .A ;
IF BCBGRRTO = 8                THEN BCBGRRTO = .A ;
IF BCBGPDIC = 8                THEN BCBGPDIC = .A ;
IF BCBGPDSG = 8                THEN BCBGPDSG = .A ;
IF BCBGPDIK = 8                THEN BCBGPDIK = .A ;
IF BCBGPDTS = 8                THEN BCBGPDTS = .A ;
IF BCBGPDUT = 8                THEN BCBGPDUT = .A ;
IF BCBMEPOS = 8                THEN BCBMEPOS = .A ;
IF BCBMEPOE = 8                THEN BCBMEPOE = .A ;
IF BCBMEPSA = 8                THEN BCBMEPSA = .A ;
IF BCBMEPTR = 8                THEN BCBMEPTR = .A ;
IF BCBSEPOS = 8                THEN BCBSEPOS = .A ;
IF BCBSEPOE = 8                THEN BCBSEPOE = .A ;
IF BCBSEPSA = 8                THEN BCBSEPSA = .A ;
IF BCBSEPTR = 8                THEN BCBSEPTR = .A ;
IF BCBGFP01 = 8                THEN BCBGFP01 = .A ;
IF BCBGFP02 = 8                THEN BCBGFP02 = .A ;
IF BCBGFP03 = 8                THEN BCBGFP03 = .A ;
IF BCBGFP04 = 8                THEN BCBGFP04 = .A ;
IF BCBGFP05 = 8                THEN BCBGFP05 = .A ;
IF BCBGFP06 = 8                THEN BCBGFP06 = .A ;
IF BCBGFP07 = 8                THEN BCBGFP07 = .A ;
IF BCBGFP08 = 8                THEN BCBGFP08 = .A ;
IF BCBGFP09 = 8                THEN BCBGFP09 = .A ;
IF BCBGFP10 = 8                THEN BCBGFP10 = .A ;
IF BCBGFP11 = 8                THEN BCBGFP11 = .A ;
IF BCBGFP12 = 8                THEN BCBGFP12 = .A ;
IF BCBGFP13 = 8                THEN BCBGFP13 = .A ;
IF BCBGSP01 = 8                THEN BCBGSP01 = .A ;
IF BCBGSP02 = 8                THEN BCBGSP02 = .A ;
IF BCBGSP03 = 8                THEN BCBGSP03 = .A ;
IF BCBGSP04 = 8                THEN BCBGSP04 = .A ;
IF BCBGSP05 = 8                THEN BCBGSP05 = .A ;
IF BCBGSP06 = 8                THEN BCBGSP06 = .A ;
IF BCBGSP07 = 8                THEN BCBGSP07 = .A ;
IF BCBGSP08 = 8                THEN BCBGSP08 = .A ;
IF BCBGSP09 = 8                THEN BCBGSP09 = .A ;
IF BCBGSP10 = 8                THEN BCBGSP10 = .A ;
IF BCBGSP11 = 8                THEN BCBGSP11 = .A ;
IF BCBGSP12 = 8                THEN BCBGSP12 = .A ;
IF BCBGSP13 = 8                THEN BCBGSP13 = .A ;
IF BCBGST01 = 8                THEN BCBGST01 = .A ;
IF BCBGST02 = 8                THEN BCBGST02 = .A ;
IF BCBGST03 = 8                THEN BCBGST03 = .A ;
IF BCBGST04 = 8                THEN BCBGST04 = .A ;
IF BCBGST05 = 8                THEN BCBGST05 = .A ;
IF BCBGST06 = 8                THEN BCBGST06 = .A ;
IF BCBMST07 = 8                THEN BCBMST07 = .A ;
IF BCBMST08 = 8                THEN BCBMST08 = .A ;
IF BCBMST09 = 8                THEN BCBMST09 = .A ;
IF BCBMST10 = 8                THEN BCBMST10 = .A ;
IF BCBMST11 = 8                THEN BCBMST11 = .A ;
IF BCBSST12 = 8                THEN BCBSST12 = .A ;
IF BCBSST13 = 8                THEN BCBSST13 = .A ;
IF BCBSST14 = 8                THEN BCBSST14 = .A ;
IF BCBSST15 = 8                THEN BCBSST15 = .A ;
IF BCBSST16 = 8                THEN BCBSST16 = .A ;
IF BCBSST17 = 8                THEN BCBSST17 = .A ;
IF BCBGSH18 = 8                THEN BCBGSH18 = .A ;
IF BCBGSH19 = 8                THEN BCBGSH19 = .A ;
IF BCBGCMPS = 998              THEN BCBGCMPS = .A ;
IF BCBGCMPI = 8                THEN BCBGCMPI = .A ;
IF BCBGHTTE = 8                THEN BCBGHTTE = .A ;
IF BCBGPHTE = 98               THEN BCBGPHTE = .A ;
IF SCHWGT   = 9998             THEN SCHWGT   = .A ;
IF STOTWGTU = 99998            THEN STOTWGTU = .A ;
IF WGTADJ1  = 98               THEN WGTADJ1  = .A ;
IF WGTFAC1  = 9998             THEN WGTFAC1  = .A ;
IF JKCREP   = 8                THEN JKCREP   = .A ;
IF JKCZONE  = 98               THEN JKCZONE  = .A ;
IF BCDGWKYR = 98               THEN BCDGWKYR = .A ;
IF BCDGTITD = 9998             THEN BCDGTITD = .A ;
IF BCDGCH   = 8                THEN BCDGCH   = .A ;
IF BCDMST   = 8                THEN BCDMST   = .A ;
IF BCDGSP   = 8                THEN BCDGSP   = .A ;
IF BCDSST   = 8                THEN BCDSST   = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF BCBGCMPI = 6                THEN BCBGCMPI = .B ;
IF BCBGPHTE = 96               THEN BCBGPHTE = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSTRATE = 999              THEN IDSTRATE = . ;
IF IDSTRATI = 999              THEN IDSTRATI = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BCBGLOWG = 99               THEN BCBGLOWG = . ;
IF BCBGHIGG = 99               THEN BCBGHIGG = . ;
IF BCBGTENR = 99999            THEN BCBGTENR = . ;
IF BCBGEENR = 99999            THEN BCBGEENR = . ;
IF BCBGCOMU = 9                THEN BCBGCOMU = . ;
IF BCBGASTD = 9                THEN BCBGASTD = . ;
IF BCBGENRS = 9                THEN BCBGENRS = . ;
IF BCBGENSY = 9                THEN BCBGENSY = . ;
IF BCBGSBED = 9                THEN BCBGSBED = . ;
IF BCBGSBEA = 9                THEN BCBGSBEA = . ;
IF BCBGNALA = 9                THEN BCBGNALA = . ;
IF BCBGCHTS = 9                THEN BCBGCHTS = . ;
IF BCBGCHTU = 9                THEN BCBGCHTU = . ;
IF BCBGCHTC = 9                THEN BCBGCHTC = . ;
IF BCBGCHES = 9                THEN BCBGCHES = . ;
IF BCBGCHPS = 9                THEN BCBGCHPS = . ;
IF BCBGCHPI = 9                THEN BCBGCHPI = . ;
IF BCBGCHSR = 9                THEN BCBGCHSR = . ;
IF BCBGCHSD = 9                THEN BCBGCHSD = . ;
IF BCBGYEPS = 99               THEN BCBGYEPS = . ;
IF BCBGAPAD = 999              THEN BCBGAPAD = . ;
IF BCBGAPIL = 999              THEN BCBGAPIL = . ;
IF BCBGAPST = 999              THEN BCBGAPST = . ;
IF BCBGAPTE = 999              THEN BCBGAPTE = . ;
IF BCBGAPPR = 999              THEN BCBGAPPR = . ;
IF BCBGAPOT = 999              THEN BCBGAPOT = . ;
IF BCBGEPSE = 9                THEN BCBGEPSE = . ;
IF BCBGEPRF = 9                THEN BCBGEPRF = . ;
IF BCBGEPVO = 9                THEN BCBGEPVO = . ;
IF BCBGEPCH = 9                THEN BCBGEPCH = . ;
IF BCBGEPSC = 9                THEN BCBGEPSC = . ;
IF BCBGDYSO = 999              THEN BCBGDYSO = . ;
IF BCBGDWFU = 99               THEN BCBGDWFU = . ;
IF BCBGDWHA = 99               THEN BCBGDWHA = . ;
IF BCBGTITD = 9                THEN BCBGTITD = . ;
IF BCBMODLA = 9                THEN BCBMODLA = . ;
IF BCBMGAMC = 9                THEN BCBMGAMC = . ;
IF BCBMSOEM = 9                THEN BCBMSOEM = . ;
IF BCBMSORM = 9                THEN BCBMSORM = . ;
IF BCBSODLA = 9                THEN BCBSODLA = . ;
IF BCBSGASC = 9                THEN BCBSGASC = . ;
IF BCBSSOES = 9                THEN BCBSSOES = . ;
IF BCBSSORS = 9                THEN BCBSSORS = . ;
IF BCBMFVAY = 9                THEN BCBMFVAY = . ;
IF BCBSFVAY = 9                THEN BCBSFVAY = . ;
IF BCBSFVCY = 9                THEN BCBSFVCY = . ;
IF BCBMRRTM = 9                THEN BCBMRRTM = . ;
IF BCBSRRTS = 9                THEN BCBSRRTS = . ;
IF BCBGRRTO = 9                THEN BCBGRRTO = . ;
IF BCBGPDIC = 9                THEN BCBGPDIC = . ;
IF BCBGPDSG = 9                THEN BCBGPDSG = . ;
IF BCBGPDIK = 9                THEN BCBGPDIK = . ;
IF BCBGPDTS = 9                THEN BCBGPDTS = . ;
IF BCBGPDUT = 9                THEN BCBGPDUT = . ;
IF BCBMEPOS = 9                THEN BCBMEPOS = . ;
IF BCBMEPOE = 9                THEN BCBMEPOE = . ;
IF BCBMEPSA = 9                THEN BCBMEPSA = . ;
IF BCBMEPTR = 9                THEN BCBMEPTR = . ;
IF BCBSEPOS = 9                THEN BCBSEPOS = . ;
IF BCBSEPOE = 9                THEN BCBSEPOE = . ;
IF BCBSEPSA = 9                THEN BCBSEPSA = . ;
IF BCBSEPTR = 9                THEN BCBSEPTR = . ;
IF BCBGFP01 = 9                THEN BCBGFP01 = . ;
IF BCBGFP02 = 9                THEN BCBGFP02 = . ;
IF BCBGFP03 = 9                THEN BCBGFP03 = . ;
IF BCBGFP04 = 9                THEN BCBGFP04 = . ;
IF BCBGFP05 = 9                THEN BCBGFP05 = . ;
IF BCBGFP06 = 9                THEN BCBGFP06 = . ;
IF BCBGFP07 = 9                THEN BCBGFP07 = . ;
IF BCBGFP08 = 9                THEN BCBGFP08 = . ;
IF BCBGFP09 = 9                THEN BCBGFP09 = . ;
IF BCBGFP10 = 9                THEN BCBGFP10 = . ;
IF BCBGFP11 = 9                THEN BCBGFP11 = . ;
IF BCBGFP12 = 9                THEN BCBGFP12 = . ;
IF BCBGFP13 = 9                THEN BCBGFP13 = . ;
IF BCBGSP01 = 9                THEN BCBGSP01 = . ;
IF BCBGSP02 = 9                THEN BCBGSP02 = . ;
IF BCBGSP03 = 9                THEN BCBGSP03 = . ;
IF BCBGSP04 = 9                THEN BCBGSP04 = . ;
IF BCBGSP05 = 9                THEN BCBGSP05 = . ;
IF BCBGSP06 = 9                THEN BCBGSP06 = . ;
IF BCBGSP07 = 9                THEN BCBGSP07 = . ;
IF BCBGSP08 = 9                THEN BCBGSP08 = . ;
IF BCBGSP09 = 9                THEN BCBGSP09 = . ;
IF BCBGSP10 = 9                THEN BCBGSP10 = . ;
IF BCBGSP11 = 9                THEN BCBGSP11 = . ;
IF BCBGSP12 = 9                THEN BCBGSP12 = . ;
IF BCBGSP13 = 9                THEN BCBGSP13 = . ;
IF BCBGST01 = 9                THEN BCBGST01 = . ;
IF BCBGST02 = 9                THEN BCBGST02 = . ;
IF BCBGST03 = 9                THEN BCBGST03 = . ;
IF BCBGST04 = 9                THEN BCBGST04 = . ;
IF BCBGST05 = 9                THEN BCBGST05 = . ;
IF BCBGST06 = 9                THEN BCBGST06 = . ;
IF BCBMST07 = 9                THEN BCBMST07 = . ;
IF BCBMST08 = 9                THEN BCBMST08 = . ;
IF BCBMST09 = 9                THEN BCBMST09 = . ;
IF BCBMST10 = 9                THEN BCBMST10 = . ;
IF BCBMST11 = 9                THEN BCBMST11 = . ;
IF BCBSST12 = 9                THEN BCBSST12 = . ;
IF BCBSST13 = 9                THEN BCBSST13 = . ;
IF BCBSST14 = 9                THEN BCBSST14 = . ;
IF BCBSST15 = 9                THEN BCBSST15 = . ;
IF BCBSST16 = 9                THEN BCBSST16 = . ;
IF BCBSST17 = 9                THEN BCBSST17 = . ;
IF BCBGSH18 = 9                THEN BCBGSH18 = . ;
IF BCBGSH19 = 9                THEN BCBGSH19 = . ;
IF BCBGCMPS = 999              THEN BCBGCMPS = . ;
IF BCBGCMPI = 9                THEN BCBGCMPI = . ;
IF BCBGHTTE = 9                THEN BCBGHTTE = . ;
IF BCBGPHTE = 99               THEN BCBGPHTE = . ;
IF SCHWGT   = 9999             THEN SCHWGT   = . ;
IF STOTWGTU = 99999            THEN STOTWGTU = . ;
IF WGTADJ1  = 99               THEN WGTADJ1  = . ;
IF WGTFAC1  = 9999             THEN WGTFAC1  = . ;
IF JKCREP   = 9                THEN JKCREP   = . ;
IF JKCZONE  = 99               THEN JKCZONE  = . ;
IF BCDGWKYR = 99               THEN BCDGWKYR = . ;
IF BCDGTITD = 9999             THEN BCDGTITD = . ;
IF BCDGCH   = 9                THEN BCDGCH   = . ;
IF BCDMST   = 9                THEN BCDMST   = . ;
IF BCDGSP   = 9                THEN BCDGSP   = . ;
IF BCDSST   = 9                THEN BCDSST   = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;

