**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= BSG&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      IDSTRATE   3 ;
LENGTH      IDSTRATI   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITLANG     3 ;
LENGTH      ITADMINI   3 ;
LENGTH      ITDATEM    3 ;
LENGTH      ITDATEY    4 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      BSDAGE     8 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BSBGBRTY   3 ;
LENGTH      BSBGBRTM   3 ;
LENGTH      BSBGSEX    3 ;
LENGTH      BSBGOLAN   3 ;
LENGTH      BSBGBOOK   3 ;
LENGTH      BSBGPS01   3 ;
LENGTH      BSBGPS02   3 ;
LENGTH      BSBGPS03   3 ;
LENGTH      BSBGPS04   3 ;
LENGTH      BSBGPS05   3 ;
LENGTH      BSBGPS06   3 ;
LENGTH      BSBGPS07   3 ;
LENGTH      BSBGPS08   3 ;
LENGTH      BSBGPS09   3 ;
LENGTH      BSBGPS10   3 ;
LENGTH      BSBGPS11   3 ;
LENGTH      BSBGPS12   3 ;
LENGTH      BSBGPS13   3 ;
LENGTH      BSBGPS14   3 ;
LENGTH      BSBGPS15   3 ;
LENGTH      BSBGPS16   3 ;
LENGTH      BSBGMFED   3 ;
LENGTH      BSBGFMED   3 ;
LENGTH      BSBGHFSG   3 ;
LENGTH      BSBMTWEL   3 ;
LENGTH      BSBMTMOR   3 ;
LENGTH      BSBMTCLM   3 ;
LENGTH      BSBMTENJ   3 ;
LENGTH      BSBMTTOP   3 ;
LENGTH      BSBMTSTR   3 ;
LENGTH      BSBMTQKY   3 ;
LENGTH      BSBMAHDL   3 ;
LENGTH      BSBMAOSS   3 ;
LENGTH      BSBMAUNI   3 ;
LENGTH      BSBMAJOB   3 ;
LENGTH      BSBMAGET   3 ;
LENGTH      BSBMHASM   3 ;
LENGTH      BSBMHWFD   3 ;
LENGTH      BSBMHGCT   3 ;
LENGTH      BSBMHEFR   3 ;
LENGTH      BSBMHWSG   3 ;
LENGTH      BSBMHMDL   3 ;
LENGTH      BSBMHEXP   3 ;
LENGTH      BSBMHSCP   3 ;
LENGTH      BSBMHROH   3 ;
LENGTH      BSBMHLSP   3 ;
LENGTH      BSBMHWPO   3 ;
LENGTH      BSBMHBHC   3 ;
LENGTH      BSBMHHQT   3 ;
LENGTH      BSBMHCAL   3 ;
LENGTH      BSBSTWEL   3 ;
LENGTH      BSBSTMOR   3 ;
LENGTH      BSBSTCLM   3 ;
LENGTH      BSBSTENJ   3 ;
LENGTH      BSBSTTOP   3 ;
LENGTH      BSBSTSTR   3 ;
LENGTH      BSBSTQKY   3 ;
LENGTH      BSBSAHDL   3 ;
LENGTH      BSBSAOSS   3 ;
LENGTH      BSBSAUNI   3 ;
LENGTH      BSBSAJOB   3 ;
LENGTH      BSBSAGET   3 ;
LENGTH      BSBSHDEI   3 ;
LENGTH      BSBSHFHP   3 ;
LENGTH      BSBSHPEI   3 ;
LENGTH      BSBSHCEI   3 ;
LENGTH      BSBSHWGO   3 ;
LENGTH      BSBSHEOH   3 ;
LENGTH      BSBSHITS   3 ;
LENGTH      BSBSHMDL   3 ;
LENGTH      BSBSHPWC   3 ;
LENGTH      BSBSHROH   3 ;
LENGTH      BSBSHLSP   3 ;
LENGTH      BSBSHWPO   3 ;
LENGTH      BSBSHBHC   3 ;
LENGTH      BSBSHHQT   3 ;
LENGTH      BSBGUSEC   3 ;
LENGTH      BSBGCHOM   3 ;
LENGTH      BSBGCSCH   3 ;
LENGTH      BSBGCLIB   3 ;
LENGTH      BSBGCFRH   3 ;
LENGTH      BSBGCCAF   3 ;
LENGTH      BSBGCELS   3 ;
LENGTH      BSBMOINF   3 ;
LENGTH      BSBSOINF   3 ;
LENGTH      BSBGOREP   3 ;
LENGTH      BSBGOPAD   3 ;
LENGTH      BSBGALBS   3 ;
LENGTH      BSBGATTB   3 ;
LENGTH      BSBGATCS   3 ;
LENGTH      BSBGATSB   3 ;
LENGTH      BSBGSTOL   3 ;
LENGTH      BSBGHURT   3 ;
LENGTH      BSBGMADE   3 ;
LENGTH      BSBGMFUN   3 ;
LENGTH      BSBGLEFT   3 ;
LENGTH      BSBGWATV   3 ;
LENGTH      BSBGPLCG   3 ;
LENGTH      BSBGPLFD   3 ;
LENGTH      BSBGJOHM   3 ;
LENGTH      BSBGWKPJ   3 ;
LENGTH      BSBGPLSP   3 ;
LENGTH      BSBGREBO   3 ;
LENGTH      BSBGUSIN   3 ;
LENGTH      BSBGDOHW   3 ;
LENGTH      BSBMEXTO   3 ;
LENGTH      BSBSEXTO   3 ;
LENGTH      BSBMHWMA   3 ;
LENGTH      BSBMHWMG   3 ;
LENGTH      BSBSHWMA   3 ;
LENGTH      BSBSHWMG   3 ;
LENGTH      BSBGPLHO   3 ;
LENGTH      BSBGMBRN   3 ;
LENGTH      BSBGFBRN   3 ;
LENGTH      BSBGBORN   3 ;
LENGTH      BSBGBRNC   3 ;
LENGTH      BSBBSBIO   3 ;
LENGTH      BSBBTWEL   3 ;
LENGTH      BSBBTMOR   3 ;
LENGTH      BSBBTCLM   3 ;
LENGTH      BSBBTENJ   3 ;
LENGTH      BSBBTTOP   3 ;
LENGTH      BSBBTSTR   3 ;
LENGTH      BSBBTQKY   3 ;
LENGTH      BSBBAHDL   3 ;
LENGTH      BSBBAOSS   3 ;
LENGTH      BSBBAUNI   3 ;
LENGTH      BSBBAJOB   3 ;
LENGTH      BSBBAGET   3 ;
LENGTH      BSBBHDEI   3 ;
LENGTH      BSBBHFHP   3 ;
LENGTH      BSBBHPEI   3 ;
LENGTH      BSBBHCEI   3 ;
LENGTH      BSBBHWGO   3 ;
LENGTH      BSBBHEOH   3 ;
LENGTH      BSBBHITS   3 ;
LENGTH      BSBBHMDL   3 ;
LENGTH      BSBBHPWC   3 ;
LENGTH      BSBBHROH   3 ;
LENGTH      BSBBHLSP   3 ;
LENGTH      BSBBHWPO   3 ;
LENGTH      BSBBHBHC   3 ;
LENGTH      BSBBHHQT   3 ;
LENGTH      BSBEARTH   3 ;
LENGTH      BSBETWEL   3 ;
LENGTH      BSBETMOR   3 ;
LENGTH      BSBETCLM   3 ;
LENGTH      BSBETENJ   3 ;
LENGTH      BSBETTOP   3 ;
LENGTH      BSBETSTR   3 ;
LENGTH      BSBETQKY   3 ;
LENGTH      BSBEAHDL   3 ;
LENGTH      BSBEAOSS   3 ;
LENGTH      BSBEAUNI   3 ;
LENGTH      BSBEAJOB   3 ;
LENGTH      BSBEAGET   3 ;
LENGTH      BSBEHDEI   3 ;
LENGTH      BSBEHFHP   3 ;
LENGTH      BSBEHPEI   3 ;
LENGTH      BSBEHCEI   3 ;
LENGTH      BSBEHWGO   3 ;
LENGTH      BSBEHEOH   3 ;
LENGTH      BSBEHITS   3 ;
LENGTH      BSBEHMDL   3 ;
LENGTH      BSBEHPWC   3 ;
LENGTH      BSBEHROH   3 ;
LENGTH      BSBEHLSP   3 ;
LENGTH      BSBEHWPO   3 ;
LENGTH      BSBEHBHC   3 ;
LENGTH      BSBEHHQT   3 ;
LENGTH      BSBCCHEM   3 ;
LENGTH      BSBCTWEL   3 ;
LENGTH      BSBCTMOR   3 ;
LENGTH      BSBCTCLM   3 ;
LENGTH      BSBCTENJ   3 ;
LENGTH      BSBCTTOP   3 ;
LENGTH      BSBCTSTR   3 ;
LENGTH      BSBCTQKY   3 ;
LENGTH      BSBCAHDL   3 ;
LENGTH      BSBCAOSS   3 ;
LENGTH      BSBCAUNI   3 ;
LENGTH      BSBCAJOB   3 ;
LENGTH      BSBCAGET   3 ;
LENGTH      BSBCHDEI   3 ;
LENGTH      BSBCHFHP   3 ;
LENGTH      BSBCHPEI   3 ;
LENGTH      BSBCHCEI   3 ;
LENGTH      BSBCHWGO   3 ;
LENGTH      BSBCHEOH   3 ;
LENGTH      BSBCHITS   3 ;
LENGTH      BSBCHMDL   3 ;
LENGTH      BSBCHPWC   3 ;
LENGTH      BSBCHROH   3 ;
LENGTH      BSBCHLSP   3 ;
LENGTH      BSBCHWPO   3 ;
LENGTH      BSBCHBHC   3 ;
LENGTH      BSBCHHQT   3 ;
LENGTH      BSBPPHY    3 ;
LENGTH      BSBPTWEL   3 ;
LENGTH      BSBPTMOR   3 ;
LENGTH      BSBPTCLM   3 ;
LENGTH      BSBPTENJ   3 ;
LENGTH      BSBPTTOP   3 ;
LENGTH      BSBPTSTR   3 ;
LENGTH      BSBPTQKY   3 ;
LENGTH      BSBPAHDL   3 ;
LENGTH      BSBPAOSS   3 ;
LENGTH      BSBPAUNI   3 ;
LENGTH      BSBPAJOB   3 ;
LENGTH      BSBPAGET   3 ;
LENGTH      BSBPHDEI   3 ;
LENGTH      BSBPHFHP   3 ;
LENGTH      BSBPHPEI   3 ;
LENGTH      BSBPHCEI   3 ;
LENGTH      BSBPHWGO   3 ;
LENGTH      BSBPHEOH   3 ;
LENGTH      BSBPHITS   3 ;
LENGTH      BSBPHMDL   3 ;
LENGTH      BSBPHPWC   3 ;
LENGTH      BSBPHROH   3 ;
LENGTH      BSBPHLSP   3 ;
LENGTH      BSBPHWPO   3 ;
LENGTH      BSBPHBHC   3 ;
LENGTH      BSBPHHQT   3 ;
LENGTH      BSBBOINF   3 ;
LENGTH      BSBEOINF   3 ;
LENGTH      BSBCOINF   3 ;
LENGTH      BSBPOINF   3 ;
LENGTH      BSBMEXLS   3 ;
LENGTH      BSBBEXLS   3 ;
LENGTH      BSBEEXLS   3 ;
LENGTH      BSBCEXLS   3 ;
LENGTH      BSBPEXLS   3 ;
LENGTH      BSBMTGHW   3 ;
LENGTH      BSBBTGHW   3 ;
LENGTH      BSBETGHW   3 ;
LENGTH      BSBCTGHW   3 ;
LENGTH      BSBPTGHW   3 ;
LENGTH      BSBMHWMI   3 ;
LENGTH      BSBBHWMI   3 ;
LENGTH      BSBEHWMI   3 ;
LENGTH      BSBCHWMI   3 ;
LENGTH      BSBPHWMI   3 ;
LENGTH      TOTWGT     8 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      WGTADJ2    8 ;
LENGTH      WGTFAC2    8 ;
LENGTH      WGTFAC3    8 ;
LENGTH      WGTADJ3    8 ;
LENGTH      JKZONE     3 ;
LENGTH      JKREP      3 ;
LENGTH      BSMSTDR    8 ;
LENGTH      BSMNRSC    8 ;
LENGTH      BSMSCPT    3 ;
LENGTH      BSSSTDR    8 ;
LENGTH      BSSNRSC    8 ;
LENGTH      BSSSCPT    3 ;
LENGTH      BSMMAT01   8 ;
LENGTH      BSMMAT02   8 ;
LENGTH      BSMMAT03   8 ;
LENGTH      BSMMAT04   8 ;
LENGTH      BSMMAT05   8 ;
LENGTH      BSMAPP01   8 ;
LENGTH      BSMAPP02   8 ;
LENGTH      BSMAPP03   8 ;
LENGTH      BSMAPP04   8 ;
LENGTH      BSMAPP05   8 ;
LENGTH      BSMKNO01   8 ;
LENGTH      BSMKNO02   8 ;
LENGTH      BSMKNO03   8 ;
LENGTH      BSMKNO04   8 ;
LENGTH      BSMKNO05   8 ;
LENGTH      BSMREA01   8 ;
LENGTH      BSMREA02   8 ;
LENGTH      BSMREA03   8 ;
LENGTH      BSMREA04   8 ;
LENGTH      BSMREA05   8 ;
LENGTH      BSSSCI01   8 ;
LENGTH      BSSSCI02   8 ;
LENGTH      BSSSCI03   8 ;
LENGTH      BSSSCI04   8 ;
LENGTH      BSSSCI05   8 ;
LENGTH      BSMALG01   8 ;
LENGTH      BSMALG02   8 ;
LENGTH      BSMALG03   8 ;
LENGTH      BSMALG04   8 ;
LENGTH      BSMALG05   8 ;
LENGTH      BSMDAP01   8 ;
LENGTH      BSMDAP02   8 ;
LENGTH      BSMDAP03   8 ;
LENGTH      BSMDAP04   8 ;
LENGTH      BSMDAP05   8 ;
LENGTH      BSMFNS01   8 ;
LENGTH      BSMFNS02   8 ;
LENGTH      BSMFNS03   8 ;
LENGTH      BSMFNS04   8 ;
LENGTH      BSMFNS05   8 ;
LENGTH      BSMGEO01   8 ;
LENGTH      BSMGEO02   8 ;
LENGTH      BSMGEO03   8 ;
LENGTH      BSMGEO04   8 ;
LENGTH      BSMGEO05   8 ;
LENGTH      BSMMEA01   8 ;
LENGTH      BSMMEA02   8 ;
LENGTH      BSMMEA03   8 ;
LENGTH      BSMMEA04   8 ;
LENGTH      BSMMEA05   8 ;
LENGTH      BSSCHE01   8 ;
LENGTH      BSSCHE02   8 ;
LENGTH      BSSCHE03   8 ;
LENGTH      BSSCHE04   8 ;
LENGTH      BSSCHE05   8 ;
LENGTH      BSSEAS01   8 ;
LENGTH      BSSEAS02   8 ;
LENGTH      BSSEAS03   8 ;
LENGTH      BSSEAS04   8 ;
LENGTH      BSSEAS05   8 ;
LENGTH      BSSLIS01   8 ;
LENGTH      BSSLIS02   8 ;
LENGTH      BSSLIS03   8 ;
LENGTH      BSSLIS04   8 ;
LENGTH      BSSLIS05   8 ;
LENGTH      BSSPHY01   8 ;
LENGTH      BSSPHY02   8 ;
LENGTH      BSSPHY03   8 ;
LENGTH      BSSPHY04   8 ;
LENGTH      BSSPHY05   8 ;
LENGTH      BSSERI01   8 ;
LENGTH      BSSERI02   8 ;
LENGTH      BSSERI03   8 ;
LENGTH      BSSERI04   8 ;
LENGTH      BSSERI05   8 ;
LENGTH      BSDGEDUP   3 ;
LENGTH      BSDGASP    3 ;
LENGTH      BSDGCAVL   3 ;
LENGTH      BSDGPSS    3 ;
LENGTH      BSDMHW     3 ;
LENGTH      BSDSHW     3 ;
LENGTH      BSDBHW     3 ;
LENGTH      BSDCHW     3 ;
LENGTH      BSDEHW     3 ;
LENGTH      BSDPHW     3 ;
LENGTH      BSDCSCL    3 ;
LENGTH      BSDESCL    3 ;
LENGTH      BSDMSCL    3 ;
LENGTH      BSDBSCL    3 ;
LENGTH      BSDSSCL    3 ;
LENGTH      BSDPSCL    3 ;
LENGTH      BSDSSV     3 ;
LENGTH      BSDMSV     3 ;
LENGTH      BSDBSV     3 ;
LENGTH      BSDESV     3 ;
LENGTH      BSDCSV     3 ;
LENGTH      BSDPSV     3 ;
LENGTH      BSMIBM01   3 ;
LENGTH      BSMIBM02   3 ;
LENGTH      BSMIBM03   3 ;
LENGTH      BSMIBM04   3 ;
LENGTH      BSMIBM05   3 ;
LENGTH      BSSIBM01   3 ;
LENGTH      BSSIBM02   3 ;
LENGTH      BSSIBM03   3 ;
LENGTH      BSSIBM04   3 ;
LENGTH      BSSIBM05   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDCLASS      11-  16     
  IDSTUD       17-  24     
  IDBOOK       25-  26     
  IDGRADE      27-  28     
  IDGRADER     29-  29     
  IDSTRATE     30-  32     
  IDSTRATI     33-  35     
  ITSEX        36-  36     
  ITLANG       37-  37     
  ITADMINI     38-  38     
  ITDATEM      39-  40     
  ITDATEY      41-  44     
  ITBIRTHM     45-  46     
  ITBIRTHY     47-  48     
  BSDAGE       49-  53 .2
  INTMS03      54-  54     
  INTMS99      55-  55     
  INTMS95      56-  56     
  BSBGBRTY     57-  58     
  BSBGBRTM     59-  60     
  BSBGSEX      61-  61     
  BSBGOLAN     62-  62     
  BSBGBOOK     63-  63     
  BSBGPS01     64-  64     
  BSBGPS02     65-  65     
  BSBGPS03     66-  66     
  BSBGPS04     67-  67     
  BSBGPS05     68-  68     
  BSBGPS06     69-  69     
  BSBGPS07     70-  70     
  BSBGPS08     71-  71     
  BSBGPS09     72-  72     
  BSBGPS10     73-  73     
  BSBGPS11     74-  74     
  BSBGPS12     75-  75     
  BSBGPS13     76-  76     
  BSBGPS14     77-  77     
  BSBGPS15     78-  78     
  BSBGPS16     79-  79     
  BSBGMFED     80-  81     
  BSBGFMED     82-  83     
  BSBGHFSG     84-  84     
  BSBMTWEL     85-  85     
  BSBMTMOR     86-  86     
  BSBMTCLM     87-  87     
  BSBMTENJ     88-  88     
  BSBMTTOP     89-  89     
  BSBMTSTR     90-  90     
  BSBMTQKY     91-  91     
  BSBMAHDL     92-  92     
  BSBMAOSS     93-  93     
  BSBMAUNI     94-  94     
  BSBMAJOB     95-  95     
  BSBMAGET     96-  96     
  BSBMHASM     97-  97     
  BSBMHWFD     98-  98     
  BSBMHGCT     99-  99     
  BSBMHEFR    100- 100     
  BSBMHWSG    101- 101     
  BSBMHMDL    102- 102     
  BSBMHEXP    103- 103     
  BSBMHSCP    104- 104     
  BSBMHROH    105- 105     
  BSBMHLSP    106- 106     
  BSBMHWPO    107- 107     
  BSBMHBHC    108- 108     
  BSBMHHQT    109- 109     
  BSBMHCAL    110- 110     
  BSBSTWEL    111- 111     
  BSBSTMOR    112- 112     
  BSBSTCLM    113- 113     
  BSBSTENJ    114- 114     
  BSBSTTOP    115- 115     
  BSBSTSTR    116- 116     
  BSBSTQKY    117- 117     
  BSBSAHDL    118- 118     
  BSBSAOSS    119- 119     
  BSBSAUNI    120- 120     
  BSBSAJOB    121- 121     
  BSBSAGET    122- 122     
  BSBSHDEI    123- 123     
  BSBSHFHP    124- 124     
  BSBSHPEI    125- 125     
  BSBSHCEI    126- 126     
  BSBSHWGO    127- 127     
  BSBSHEOH    128- 128     
  BSBSHITS    129- 129     
  BSBSHMDL    130- 130     
  BSBSHPWC    131- 131     
  BSBSHROH    132- 132     
  BSBSHLSP    133- 133     
  BSBSHWPO    134- 134     
  BSBSHBHC    135- 135     
  BSBSHHQT    136- 136     
  BSBGUSEC    137- 137     
  BSBGCHOM    138- 138     
  BSBGCSCH    139- 139     
  BSBGCLIB    140- 140     
  BSBGCFRH    141- 141     
  BSBGCCAF    142- 142     
  BSBGCELS    143- 143     
  BSBMOINF    144- 144     
  BSBSOINF    145- 145     
  BSBGOREP    146- 146     
  BSBGOPAD    147- 147     
  BSBGALBS    148- 148     
  BSBGATTB    149- 149     
  BSBGATCS    150- 150     
  BSBGATSB    151- 151     
  BSBGSTOL    152- 152     
  BSBGHURT    153- 153     
  BSBGMADE    154- 154     
  BSBGMFUN    155- 155     
  BSBGLEFT    156- 156     
  BSBGWATV    157- 157     
  BSBGPLCG    158- 158     
  BSBGPLFD    159- 159     
  BSBGJOHM    160- 160     
  BSBGWKPJ    161- 161     
  BSBGPLSP    162- 162     
  BSBGREBO    163- 163     
  BSBGUSIN    164- 164     
  BSBGDOHW    165- 165     
  BSBMEXTO    166- 166     
  BSBSEXTO    167- 167     
  BSBMHWMA    168- 168     
  BSBMHWMG    169- 169     
  BSBSHWMA    170- 170     
  BSBSHWMG    171- 171     
  BSBGPLHO    172- 173     
  BSBGMBRN    174- 174     
  BSBGFBRN    175- 175     
  BSBGBORN    176- 176     
  BSBGBRNC    177- 177     
  BSBBSBIO    178- 178     
  BSBBTWEL    179- 179     
  BSBBTMOR    180- 180     
  BSBBTCLM    181- 181     
  BSBBTENJ    182- 182     
  BSBBTTOP    183- 183     
  BSBBTSTR    184- 184     
  BSBBTQKY    185- 185     
  BSBBAHDL    186- 186     
  BSBBAOSS    187- 187     
  BSBBAUNI    188- 188     
  BSBBAJOB    189- 189     
  BSBBAGET    190- 190     
  BSBBHDEI    191- 191     
  BSBBHFHP    192- 192     
  BSBBHPEI    193- 193     
  BSBBHCEI    194- 194     
  BSBBHWGO    195- 195     
  BSBBHEOH    196- 196     
  BSBBHITS    197- 197     
  BSBBHMDL    198- 198     
  BSBBHPWC    199- 199     
  BSBBHROH    200- 200     
  BSBBHLSP    201- 201     
  BSBBHWPO    202- 202     
  BSBBHBHC    203- 203     
  BSBBHHQT    204- 204     
  BSBEARTH    205- 205     
  BSBETWEL    206- 206     
  BSBETMOR    207- 207     
  BSBETCLM    208- 208     
  BSBETENJ    209- 209     
  BSBETTOP    210- 210     
  BSBETSTR    211- 211     
  BSBETQKY    212- 212     
  BSBEAHDL    213- 213     
  BSBEAOSS    214- 214     
  BSBEAUNI    215- 215     
  BSBEAJOB    216- 216     
  BSBEAGET    217- 217     
  BSBEHDEI    218- 218     
  BSBEHFHP    219- 219     
  BSBEHPEI    220- 220     
  BSBEHCEI    221- 221     
  BSBEHWGO    222- 222     
  BSBEHEOH    223- 223     
  BSBEHITS    224- 224     
  BSBEHMDL    225- 225     
  BSBEHPWC    226- 226     
  BSBEHROH    227- 227     
  BSBEHLSP    228- 228     
  BSBEHWPO    229- 229     
  BSBEHBHC    230- 230     
  BSBEHHQT    231- 231     
  BSBCCHEM    232- 232     
  BSBCTWEL    233- 233     
  BSBCTMOR    234- 234     
  BSBCTCLM    235- 235     
  BSBCTENJ    236- 236     
  BSBCTTOP    237- 237     
  BSBCTSTR    238- 238     
  BSBCTQKY    239- 239     
  BSBCAHDL    240- 240     
  BSBCAOSS    241- 241     
  BSBCAUNI    242- 242     
  BSBCAJOB    243- 243     
  BSBCAGET    244- 244     
  BSBCHDEI    245- 245     
  BSBCHFHP    246- 246     
  BSBCHPEI    247- 247     
  BSBCHCEI    248- 248     
  BSBCHWGO    249- 249     
  BSBCHEOH    250- 250     
  BSBCHITS    251- 251     
  BSBCHMDL    252- 252     
  BSBCHPWC    253- 253     
  BSBCHROH    254- 254     
  BSBCHLSP    255- 255     
  BSBCHWPO    256- 256     
  BSBCHBHC    257- 257     
  BSBCHHQT    258- 258     
  BSBPPHY     259- 259     
  BSBPTWEL    260- 260     
  BSBPTMOR    261- 261     
  BSBPTCLM    262- 262     
  BSBPTENJ    263- 263     
  BSBPTTOP    264- 264     
  BSBPTSTR    265- 265     
  BSBPTQKY    266- 266     
  BSBPAHDL    267- 267     
  BSBPAOSS    268- 268     
  BSBPAUNI    269- 269     
  BSBPAJOB    270- 270     
  BSBPAGET    271- 271     
  BSBPHDEI    272- 272     
  BSBPHFHP    273- 273     
  BSBPHPEI    274- 274     
  BSBPHCEI    275- 275     
  BSBPHWGO    276- 276     
  BSBPHEOH    277- 277     
  BSBPHITS    278- 278     
  BSBPHMDL    279- 279     
  BSBPHPWC    280- 280     
  BSBPHROH    281- 281     
  BSBPHLSP    282- 282     
  BSBPHWPO    283- 283     
  BSBPHBHC    284- 284     
  BSBPHHQT    285- 285     
  BSBBOINF    286- 286     
  BSBEOINF    287- 287     
  BSBCOINF    288- 288     
  BSBPOINF    289- 289     
  BSBMEXLS    290- 290     
  BSBBEXLS    291- 291     
  BSBEEXLS    292- 292     
  BSBCEXLS    293- 293     
  BSBPEXLS    294- 294     
  BSBMTGHW    295- 295     
  BSBBTGHW    296- 296     
  BSBETGHW    297- 297     
  BSBCTGHW    298- 298     
  BSBPTGHW    299- 299     
  BSBMHWMI    300- 300     
  BSBBHWMI    301- 301     
  BSBEHWMI    302- 302     
  BSBCHWMI    303- 303     
  BSBPHWMI    304- 304     
  TOTWGT      305- 317 .6
  HOUWGT      318- 330 .6
  SENWGT      331- 343 .6
  WGTFAC1     344- 356 .6
  WGTADJ1     357- 369 .6
  WGTADJ2     370- 382 .6
  WGTFAC2     383- 395 .6
  WGTFAC3     396- 408 .6
  WGTADJ3     409- 421 .6
  JKZONE      422- 423     
  JKREP       424- 424     
  BSMSTDR     425- 432 .3
  BSMNRSC     433- 440 .3
  BSMSCPT     441- 442     
  BSSSTDR     443- 450 .3
  BSSNRSC     451- 458 .3
  BSSSCPT     459- 460     
  BSMMAT01    461- 466 .2
  BSMMAT02    467- 472 .2
  BSMMAT03    473- 478 .2
  BSMMAT04    479- 484 .2
  BSMMAT05    485- 490 .2
  BSMAPP01    491- 496 .2
  BSMAPP02    497- 502 .2
  BSMAPP03    503- 508 .2
  BSMAPP04    509- 514 .2
  BSMAPP05    515- 520 .2
  BSMKNO01    521- 526 .2
  BSMKNO02    527- 532 .2
  BSMKNO03    533- 538 .2
  BSMKNO04    539- 544 .2
  BSMKNO05    545- 550 .2
  BSMREA01    551- 556 .2
  BSMREA02    557- 562 .2
  BSMREA03    563- 568 .2
  BSMREA04    569- 574 .2
  BSMREA05    575- 580 .2
  BSSSCI01    581- 586 .2
  BSSSCI02    587- 592 .2
  BSSSCI03    593- 598 .2
  BSSSCI04    599- 604 .2
  BSSSCI05    605- 610 .2
  BSMALG01    611- 616 .2
  BSMALG02    617- 622 .2
  BSMALG03    623- 628 .2
  BSMALG04    629- 634 .2
  BSMALG05    635- 640 .2
  BSMDAP01    641- 646 .2
  BSMDAP02    647- 652 .2
  BSMDAP03    653- 658 .2
  BSMDAP04    659- 664 .2
  BSMDAP05    665- 670 .2
  BSMFNS01    671- 676 .2
  BSMFNS02    677- 682 .2
  BSMFNS03    683- 688 .2
  BSMFNS04    689- 694 .2
  BSMFNS05    695- 700 .2
  BSMGEO01    701- 706 .2
  BSMGEO02    707- 712 .2
  BSMGEO03    713- 718 .2
  BSMGEO04    719- 724 .2
  BSMGEO05    725- 730 .2
  BSMMEA01    731- 736 .2
  BSMMEA02    737- 742 .2
  BSMMEA03    743- 748 .2
  BSMMEA04    749- 754 .2
  BSMMEA05    755- 760 .2
  BSSCHE01    761- 766 .2
  BSSCHE02    767- 772 .2
  BSSCHE03    773- 778 .2
  BSSCHE04    779- 784 .2
  BSSCHE05    785- 790 .2
  BSSEAS01    791- 796 .2
  BSSEAS02    797- 802 .2
  BSSEAS03    803- 808 .2
  BSSEAS04    809- 814 .2
  BSSEAS05    815- 820 .2
  BSSLIS01    821- 826 .2
  BSSLIS02    827- 832 .2
  BSSLIS03    833- 838 .2
  BSSLIS04    839- 844 .2
  BSSLIS05    845- 850 .2
  BSSPHY01    851- 856 .2
  BSSPHY02    857- 862 .2
  BSSPHY03    863- 868 .2
  BSSPHY04    869- 874 .2
  BSSPHY05    875- 880 .2
  BSSERI01    881- 886 .2
  BSSERI02    887- 892 .2
  BSSERI03    893- 898 .2
  BSSERI04    899- 904 .2
  BSSERI05    905- 910 .2
  BSDGEDUP    911- 911     
  BSDGASP     912- 912     
  BSDGCAVL    913- 913     
  BSDGPSS     914- 914     
  BSDMHW      915- 915     
  BSDSHW      916- 916     
  BSDBHW      917- 917     
  BSDCHW      918- 918     
  BSDEHW      919- 919     
  BSDPHW      920- 920     
  BSDCSCL     921- 921     
  BSDESCL     922- 922     
  BSDMSCL     923- 923     
  BSDBSCL     924- 924     
  BSDSSCL     925- 925     
  BSDPSCL     926- 926     
  BSDSSV      927- 927     
  BSDMSV      928- 928     
  BSDBSV      929- 929     
  BSDESV      930- 930     
  BSDCSV      931- 931     
  BSDPSV      932- 932     
  BSMIBM01    933- 933     
  BSMIBM02    934- 934     
  BSMIBM03    935- 935     
  BSMIBM04    936- 936     
  BSMIBM05    937- 937     
  BSSIBM01    938- 938     
  BSSIBM02    939- 939     
  BSSIBM03    940- 940     
  BSSIBM04    941- 941     
  BSSIBM05    942- 942     
  DPCDATE     943- 948     
;



%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDBOOK   = "*ACHIEVEMENT TEST BOOKLET*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  IDSTRATE = "EXPLICIT STRATUM CODE"
  IDSTRATI = "IMPLICIT STRATUM CODE"
  ITSEX    = "*SEX OF STUDENTS*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  ITADMINI = "*TEST ADMINISTRATORS POSITION*"
  ITDATEM  = "*DATE OF TESTING/MONTH*"
  ITDATEY  = "*DATE OF TESTING/YEAR*"
  ITBIRTHM = "*DATE OF STUDENTS BIRTH\MONTH*"
  ITBIRTHY = "*DATE OF STUDENTS BIRTH\YEAR*"
  BSDAGE   = "D:STUDENTS AGE"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  BSBGBRTY = "GEN\DATE OF BIRTH\YEAR"
  BSBGBRTM = "GEN\DATE OF BIRTH\MONTH"
  BSBGSEX  = "GEN\SEX OF STUDENT"
  BSBGOLAN = "GEN\OFTEN SPEAK LANGUAGE OF TEST AT HOME"
  BSBGBOOK = "GEN\NR OF BOOKS IN YOUR HOME"
  BSBGPS01 = "GEN\HOME POSSESS\CALCULATOR"
  BSBGPS02 = "GEN\HOME POSSESS\COMPUTER"
  BSBGPS03 = "GEN\HOME POSSESS\STUDY DESK"
  BSBGPS04 = "GEN\HOME POSSESS\DICTIONARY"
  BSBGPS05 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS06 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS07 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS08 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS09 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS10 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS11 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS12 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS13 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS14 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS15 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS16 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGMFED = "GEN\HIGHEST EDUCATION LEVEL\MOTHER"
  BSBGFMED = "GEN\HIGHEST EDUCATION LEVEL\FATHER"
  BSBGHFSG = "GEN\HOW FAR IN SCH DO YOU EXPECT TO GO"
  BSBMTWEL = "MAT\AGREE\USUALLY DO WELL IN MATH"
  BSBMTMOR = "MAT\AGREE\WOULD LIKE MORE MATH"
  BSBMTCLM = "MAT\AGREE\MATH IS MORE DIFFICULT FOR ME"
  BSBMTENJ = "MAT\AGREE\I ENJOY LEARNING MATHEMATICS"
  BSBMTTOP = "MAT\AGREE\DO NOT UNDERSTAND NEW TOPIC"
  BSBMTSTR = "MAT\AGREE\MAT IS NOT ONE OF MY STRENGTHS"
  BSBMTQKY = "MAT\AGREE\I LEARN THINGS QUICKLY IN MATH"
  BSBMAHDL = "MAT\AGREE\WILL HELP IN MY DAILY LIFE"
  BSBMAOSS = "MAT\AGREE\NEED MAT TO LEARN OTHER SUBJ"
  BSBMAUNI = "MAT\AGREE\NEED MAT TO GET INTO THE UNIV"
  BSBMAJOB = "MAT\AGREE\WOULD LIKE JOB THAT INV MATH"
  BSBMAGET = "MAT\AGREE\NEED MAT TO GET THE JOB I WANT"
  BSBMHASM = "MAT\HOW OFTEN\I PRACT WITHOUT CALCULATOR"
  BSBMHWFD = "MAT\HOW OFTEN\WORK ON FRACTIONS DECIM"
  BSBMHGCT = "MAT\HOW OFTEN\DATA IN TABLE CHART GRAPH"
  BSBMHEFR = "MAT\HOW OFTEN\REPRESENT RELATIONSHIPS"
  BSBMHWSG = "MAT\HOW OFTEN\WE WORK IN GROUPS"
  BSBMHMDL = "MAT\HOW OFTEN\RELATE TO DAILY LIVES"
  BSBMHEXP = "MAT\HOW OFTEN\WE EXPLANE OUR ANSWERS"
  BSBMHSCP = "MAT\HOW OFTEN\SOLVING COMPLEX PROBLEMS"
  BSBMHROH = "MAT\HOW OFTEN\WE REVIEW OUR HOMEWORK"
  BSBMHLSP = "MAT\HOW OFTEN\LISTEN TEACHER LECTURE"
  BSBMHWPO = "MAT\HOW OFTEN\WORK PROBLEMS ON OUR OWN"
  BSBMHBHC = "MAT\HOW OFTEN\BEGIN OUR HOMEWORK"
  BSBMHHQT = "MAT\HOW OFTEN\HAVE A QUIZ OR TEST"
  BSBMHCAL = "MAT\HOW OFTEN\WE USE CALCULATORS"
  BSBSTWEL = "SCI\AGREE\USUALLY DO WELL IN SCIENCE"
  BSBSTMOR = "SCI\AGREE\WOULD LIKE TO TAKE MORE SCIEN"
  BSBSTCLM = "SCI\AGREE\SCIENCE MORE DIFFICULT FOR ME"
  BSBSTENJ = "SCI\AGREE\I ENJOY LEARNING SCIENCE"
  BSBSTTOP = "SCI\AGREE\DO NOT UNDERSTAND NEW TOPIC"
  BSBSTSTR = "SCI\AGREE\SCIENCE IS NOT MY STRENGTHS"
  BSBSTQKY = "SCI\AGREE\I LEARN THINGS QUICKLY IN SCI"
  BSBSAHDL = "SCI\AGREE\WILL HELP ME IN MY DAILY LIFE"
  BSBSAOSS = "SCI\AGREE\NEED SCIENCE TO LEARN OTH SUBJ"
  BSBSAUNI = "SCI\AGREE\NEED SCI TO GET INTO THE UNIV"
  BSBSAJOB = "SCI\AGREE\WOULD LIKE JOB INV SCIENCE"
  BSBSAGET = "SCI\AGREE\NEED SCI TO GET JOB I WANT"
  BSBSHDEI = "SCI\HOW OFTEN\TEACHER DEMONSTR EXP INVES"
  BSBSHFHP = "SCI\HOW OFTEN\HYPOTHESES OR PREDICTIONS"
  BSBSHPEI = "SCI\HOW OFTEN\PLAN EXPERIMENT OR INVEST"
  BSBSHCEI = "SCI\HOW OFTEN\CONDUCT EXP OR INVEST"
  BSBSHWGO = "SCI\HOW OFTEN\WORK IN GROUP EXP OR INV"
  BSBSHEOH = "SCI\HOW OFTEN\WRITE EXPLANATION WHAT WHY"
  BSBSHITS = "SCI\HOW OFTEN\IMPACT OF TECHN ON SOCIETY"
  BSBSHMDL = "SCI\HOW OFTEN\RELATE TO OUR DAILY LIVES"
  BSBSHPWC = "SCI\HOW OFTEN\PRESENT OUR WORK TO CLASS"
  BSBSHROH = "SCI\HOW OFTEN\WE REVIEW OUR HOMEWORK"
  BSBSHLSP = "SCI\HOW OFTEN\LISTEN TEACHER LECTURE"
  BSBSHWPO = "SCI\HOW OFTEN\WORK PROBLEMS ON OUR OWN"
  BSBSHBHC = "SCI\HOW OFTEN\BEGIN OUR HOMEWORK"
  BSBSHHQT = "SCI\HOW OFTEN\WE HAVE A QUIZ OR TEST"
  BSBGUSEC = "GEN\DO YOU EVER USE A COMPUTER"
  BSBGCHOM = "GEN\USE A COMPUTER\AT HOME"
  BSBGCSCH = "GEN\USE A COMPUTER\AT SCHOOL"
  BSBGCLIB = "GEN\USE A COMPUTER\AT A LIBRARY"
  BSBGCFRH = "GEN\USE A COMPUTER\AT A FRIENDS HOME"
  BSBGCCAF = "GEN\USE A COMPUTER\AT AN INTERNET CAFE"
  BSBGCELS = "GEN\USE A COMPUTER\ELSEWHERE"
  BSBMOINF = "MAT\OFTEN\LOOK UP IDEAS AND INF FOR MAT"
  BSBSOINF = "SCI\OFTEN\LOOK UP IDEAS AND INF FOR SCI"
  BSBGOREP = "GEN\OFTEN\I WRITE REPORTS FOR SCHOOL"
  BSBGOPAD = "GEN\OFTEN\I PROCESS AND ANALYZE DATA"
  BSBGALBS = "GEN\AGREE\LIKE BEING IN SCHOOL"
  BSBGATTB = "GEN\AGREE\STD TRY THEIR BEST"
  BSBGATCS = "GEN\AGREE\TCH CARE ABOUT THE STD"
  BSBGATSB = "GEN\AGREE\TCH WANT STD TO DO BEST"
  BSBGSTOL = "GEN\IN SCH\STH OF MINE WAS STOLEN"
  BSBGHURT = "GEN\IN SCH\HIT OR HURT BY OTHER STD"
  BSBGMADE = "GEN\IN SCH\MADE TO DO THINGS BY OTH STD"
  BSBGMFUN = "GEN\IN SCH\MADE FUN OF OR CALLED NAMES"
  BSBGLEFT = "GEN\IN SCH\WAS LEFT OUT OF ACTIVITIES"
  BSBGWATV = "GEN\SPEND TIME\WATCH TV VIDEOS"
  BSBGPLCG = "GEN\SPEND TIME\PLAY COMPUTER GAMES"
  BSBGPLFD = "GEN\SPEND TIME\PLAY TALK WITH FRIEND"
  BSBGJOHM = "GEN\SPEND TIME\DO JOBS AT HOME"
  BSBGWKPJ = "GEN\SPEND TIME\WORK PAID JOB"
  BSBGPLSP = "GEN\SPEND TIME\I PLAY SPORTS"
  BSBGREBO = "GEN\SPEND TIME\READ A BOOK FOR ENJOY"
  BSBGUSIN = "GEN\SPEND TIME\USE INTERNET"
  BSBGDOHW = "GEN\SPEND TIME\DO HOMEWORK"
  BSBMEXTO = "MAT\HOW OFTEN EXTRA LESSONS"
  BSBSEXTO = "SCI\HOW OFTEN EXTRA LESSONS"
  BSBMHWMA = "MAT\HOW OFTEN TEACHER GIVES MATHS HMWORK"
  BSBMHWMG = "MAT\HOW MANY MINUTES MATHS HOMEWORK"
  BSBSHWMA = "SCI\HOW OFTEN TEACHER GIVES SCI HMWORK"
  BSBSHWMG = "SCI\HOW MANY MINUTES SCI HOMEWORK"
  BSBGPLHO = "GEN\HOW MANY PEOPLE IN YOUR HOME"
  BSBGMBRN = "GEN\MOTHER BORN IN COUNTRY"
  BSBGFBRN = "GEN\FATHER BORN IN COUNTRY"
  BSBGBORN = "GEN\BORN IN COUNTRY"
  BSBGBRNC = "GEN\BORN IN COUNTRY\AGE OF COMING"
  BSBBSBIO = "BIO\ARE YOU STUDING BIO THIS YEAR AT SCH"
  BSBBTWEL = "BIO\AGREE\I USUALLY DO WELL IN BIOLOGY"
  BSBBTMOR = "BIO\AGREE\WOULD LIKE TO TAKE MORE BIOL"
  BSBBTCLM = "BIO\AGREE\BIOLOGY MORE DIFFICULT FOR ME"
  BSBBTENJ = "BIO\AGREE\I ENJOY LEARNING BIOLOGY"
  BSBBTTOP = "BIO\AGREE\DO NOT UNDERSTAND NEW TOPIC"
  BSBBTSTR = "BIO\AGREE\BIOLOGY IS NOT MY STRENGTHS"
  BSBBTQKY = "BIO\AGREE\I LEARN THINGS QUICKLY IN BIOL"
  BSBBAHDL = "BIO\AGREE\WILL HELP ME IN MY DAILY LIFE"
  BSBBAOSS = "BIO\AGREE\NEED BIOL TO LEARN OTHER SUBJ"
  BSBBAUNI = "BIO\AGREE\NEED BIOL TO GET INTO UNIV"
  BSBBAJOB = "BIO\AGREE\WOULD LIKE JOB INV BIOL"
  BSBBAGET = "BIO\AGREE\NEED BIOL TO GET JOB I WANT"
  BSBBHDEI = "BIO\HOW OFTEN\TCH DEMONSTR EXP INVEST"
  BSBBHFHP = "BIO\HOW OFTEN\HYPOTHESES OR PREDICTIONS"
  BSBBHPEI = "BIO\HOW OFTEN\PLAN EXPERIMENT OR INVEST"
  BSBBHCEI = "BIO\HOW OFTEN\CONDUCT EXP OR INVEST"
  BSBBHWGO = "BIO\HOW OFTEN\WORK IN GROUP EXP OR INV"
  BSBBHEOH = "BIO\HOW OFTEN\WRITE EXPLANATION WHAT WHY"
  BSBBHITS = "BIO\HOW OFTEN\IMPACT OF TECHN ON SOCIETY"
  BSBBHMDL = "BIO\HOW OFTEN\RELATE TO OUR DAILY LIVES"
  BSBBHPWC = "BIO\HOW OFTEN\PRESENT OUR WORK TO CLASS"
  BSBBHROH = "BIO\HOW OFTEN\WE REVIEW OUR HOMEWORK"
  BSBBHLSP = "BIO\HOW OFTEN\LISTEN TEACHER LECTURE"
  BSBBHWPO = "BIO\HOW OFTEN\WORK PROBLEMS ON OUR OWN"
  BSBBHBHC = "BIO\HOW OFTEN\BEGIN OUR HOMEWORK"
  BSBBHHQT = "BIO\HOW OFTEN\WE HAVE A QUIZ OR TEST"
  BSBEARTH = "EAR\ARE YOU STUDING EARTH SCI THIS YEAR"
  BSBETWEL = "EAR\AGREE\I USUALLY DO WELL IN EARTH SCI"
  BSBETMOR = "EAR\AGREE\WOULD LIKE TO TAKE MORE ER SCI"
  BSBETCLM = "EAR\AGREE\EARTH SC MORE DIFFICULT FOR ME"
  BSBETENJ = "EAR\AGREE\I ENJOY LEARNING EARTH SCI"
  BSBETTOP = "EAR\AGREE\DO NOT UNDERSTAND NEW TOPIC"
  BSBETSTR = "EAR\AGREE\EARTH SCI IS NOT MY STRENGTHS"
  BSBETQKY = "EAR\AGREE\I LEARN THINGS QUICKLY IN ERS"
  BSBEAHDL = "EAR\AGREE\WILL HELP ME IN MY DAILY LIFE"
  BSBEAOSS = "EAR\AGREE\NEED ERS TO LEARN OTHER SUBJ"
  BSBEAUNI = "EAR\AGREE\NEED ERS TO GET INTO UNIV"
  BSBEAJOB = "EAR\AGREE\WOULD LIKE JOB INV EARTH SCI"
  BSBEAGET = "EAR\AGREE\NEED ERS TO GET JOB I WANT"
  BSBEHDEI = "EAR\HOW OFTEN\TCH DEMONSTR EXP INVEST"
  BSBEHFHP = "EAR\HOW OFTEN\HYPOTHESES OR PREDICTIONS"
  BSBEHPEI = "EAR\HOW OFTEN\PLAN EXPERIMENT OR INVEST"
  BSBEHCEI = "EAR\HOW OFTEN\CONDUCT EXP OR INVEST"
  BSBEHWGO = "EAR\HOW OFTEN\WORK IN GROUP EXP OR INV"
  BSBEHEOH = "EAR\HOW OFTEN\WRITE EXPLANATION WHAT WHY"
  BSBEHITS = "EAR\HOW OFTEN\IMPACT OF TECHN ON SOCIETY"
  BSBEHMDL = "EAR\HOW OFTEN\RELATE TO OUR DAILY LIVES"
  BSBEHPWC = "EAR\HOW OFTEN\PRESENT OUR WORK TO CLASS"
  BSBEHROH = "EAR\HOW OFTEN\WE REVIEW OUR HOMEWORK"
  BSBEHLSP = "EAR\HOW OFTEN\LISTEN TEACHER LECTURE"
  BSBEHWPO = "EAR\HOW OFTEN\WORK PROBLEMS ON OUR OWN"
  BSBEHBHC = "EAR\HOW OFTEN\BEGIN OUR HOMEWORK"
  BSBEHHQT = "EAR\HOW OFTEN\WE HAVE QUIZ OR TEST"
  BSBCCHEM = "CHE\ARE YOU STUDING CHEMISTRY THIS YEAR"
  BSBCTWEL = "CHE\AGREE\I USUALLY DO WELL IN CHEMISTRY"
  BSBCTMOR = "CHE\AGREE\WOULD LIKE TO TAKE MORE CHEM"
  BSBCTCLM = "CHE\AGREE\CHEM IS MORE DIFFICULT FOR ME"
  BSBCTENJ = "CHE\AGREE\I ENJOY LEARNING CHEMISTRY"
  BSBCTTOP = "CHE\AGREE\DO NOT UNDERSTAND NEW TOPIC"
  BSBCTSTR = "CHE\AGREE\CHEMISTRY IS NOT MY STRENGTHS"
  BSBCTQKY = "CHE\AGREE\I LEARN THINGS QUICKLY IN CHEM"
  BSBCAHDL = "CHE\AGREE\WILL HELP ME IN MY DAILY LIFE"
  BSBCAOSS = "CHE\AGREE\NEED CHEM TO LEARN OTHER SUBJ"
  BSBCAUNI = "CHE\AGREE\NEED CHEM TO GET INTO UNIV"
  BSBCAJOB = "CHE\AGREE\WOULD LIKE JOB INV CHEM"
  BSBCAGET = "CHE\AGREE\NEED CHEM TO GET JOB I WANT"
  BSBCHDEI = "CHE\HOW OFTEN\TCH DEMONSTR EXP INVEST"
  BSBCHFHP = "CHE\HOW OFTEN\HYPOTHESES OR PREDICTIONS"
  BSBCHPEI = "CHE\HOW OFTEN\PLAN EXPERIMENT OR INVEST"
  BSBCHCEI = "CHE\HOW OFTEN\CONDUCT EXP OR INVEST"
  BSBCHWGO = "CHE\HOW OFTEN\WORK IN GROUP EXP OR INV"
  BSBCHEOH = "CHE\HOW OFTEN\WRITE EXPLANATION WHAT WHY"
  BSBCHITS = "CHE\HOW OFTEN\IMPACT OF TECHN ON SOCIETY"
  BSBCHMDL = "CHE\HOW OFTEN\RELATE TO OUR DAILY LIVES"
  BSBCHPWC = "CHE\HOW OFTEN\PRESENT OUR WORK TO CLASS"
  BSBCHROH = "CHE\HOW OFTEN\WE REVIEW OUR HOMEWORK"
  BSBCHLSP = "CHE\HOW OFTEN\LISTEN TEACHER LECTURE"
  BSBCHWPO = "CHE\HOW OFTEN\WORK PROBLEMS ON OUR OWN"
  BSBCHBHC = "CHE\HOW OFTEN\BEGIN OUR HOMEWORK"
  BSBCHHQT = "CHE\HOW OFTEN\WE HAVE A QUIZ OR TEST"
  BSBPPHY  = "PHY\ARE YOU STUDING PHYSICS THIS YEAR"
  BSBPTWEL = "PHY\AGREE\I USUALLY DO WELL IN PHYSICS"
  BSBPTMOR = "PHY\AGREE\WOULD LIKE TO TAKE MORE PHY"
  BSBPTCLM = "PHY\AGREE\PHYSICS MORE DIFFICULT FOR ME"
  BSBPTENJ = "PHY\AGREE\I ENJOY LEARNING PHYSICS"
  BSBPTTOP = "PHY\AGREE\DO NOT UNDERSTAND NEW TOPIC"
  BSBPTSTR = "PHY\AGREE\PHYSICS IS NOT MY STRENGTHS"
  BSBPTQKY = "PHY\AGREE\I LEARN THINGS QUICKLY PHYS"
  BSBPAHDL = "PHY\AGREE\WILL HELP ME IN MY DAILY LIFE"
  BSBPAOSS = "PHY\AGREE\NEED PHYS TO LEARN OTHER SUBJ"
  BSBPAUNI = "PHY\AGREE\NEED PHYS TO GET INTO UNIV"
  BSBPAJOB = "PHY\AGREE\WOULD LIKE JOB INV PHYSICS"
  BSBPAGET = "PHY\AGREE\NEED PHYS TO GET JOB I WANT"
  BSBPHDEI = "PHY\HOW OFTEN\TCH DEMONSTR EXP INVEST"
  BSBPHFHP = "PHY\HOW OFTEN\HYPOTHESES OR PREDICTIONS"
  BSBPHPEI = "PHY\HOW OFTEN\PLAN EXPERIMENT OR INVEST"
  BSBPHCEI = "PHY\HOW OFTEN\CONDUCT EXP OR INVEST"
  BSBPHWGO = "PHY\HOW OFTEN\WORK IN GROUP EXP OR INV"
  BSBPHEOH = "PHY\HOW OFTEN\WRITE EXPLANATION WHAT WHY"
  BSBPHITS = "PHY\HOW OFTEN\IMPACT OF TECHN ON SOCIETY"
  BSBPHMDL = "PHY\HOW OFTEN\RELATE TO OUR DAILY LIVES"
  BSBPHPWC = "PHY\HOW OFTEN\PRESENT OUR WORK TO CLASS"
  BSBPHROH = "PHY\HOW OFTEN\WE REVIEW OUR HOMEWORK"
  BSBPHLSP = "PHY\HOW OFTEN\LISTEN TEACHER LECTURE"
  BSBPHWPO = "PHY\HOW OFTEN\WORK PROBLEMS ON OUR OWN"
  BSBPHBHC = "PHY\HOW OFTEN\BEGIN OUR HOMEWORK"
  BSBPHHQT = "PHY\HOW OFTEN\WE HAVE QUIZ OR TEST"
  BSBBOINF = "BIO\OFTEN\LOOK UP IDEAS AND INF FOR BIOL"
  BSBEOINF = "EAR\OFTEN\LOOK UP IDEAS AND INF FOR ERS"
  BSBCOINF = "CHE\OFTEN\LOOK UP IDEAS AND INF FOR CHEM"
  BSBPOINF = "PHY\OFTEN\LOOK UP IDEAS AND INF FOR PHYS"
  BSBMEXLS = "MAT\HOW OFTEN EXTRA LESSONS\MAT"
  BSBBEXLS = "BIO\HOW OFTEN EXTRA LESSONS\BIO"
  BSBEEXLS = "EAR\HOW OFTEN EXTRA LESSONS\EAR"
  BSBCEXLS = "CHE\HOW OFTEN EXTRA LESSONS\CHE"
  BSBPEXLS = "PHY\HOW OFTEN EXTRA LESSONS\PHY"
  BSBMTGHW = "MAT\HOW OFTEN TEACHER GIVES MAT HOMEWORK"
  BSBBTGHW = "BIO\HOW OFTEN TEACHER GIVES BIO HOMEWORK"
  BSBETGHW = "EAR\HOW OFTEN TEACHER GIVES ES HOMEWORK"
  BSBCTGHW = "CHE\HOW OFTEN TEACHER GIVES CHE HOMEWORK"
  BSBPTGHW = "PHY\HOW OFTEN TEACHER GIVES PHY HOMEWORK"
  BSBMHWMI = "MAT\HOW MANY MIN HOMEWORK\MATHS"
  BSBBHWMI = "BIO\HOW MANY MIN HOMEWORK\BIOLOGY"
  BSBEHWMI = "EAR\HOW MANY MIN HOMEW\EARTH SCIENCE"
  BSBCHWMI = "CHE\HOW MANY MIN HOMEWORK\CHEMISTRY"
  BSBPHWMI = "PHY\HOW MANY MIN HOMEWORK\PHYSICS"
  TOTWGT   = "*TOTAL STUDENT WEIGHT*"
  HOUWGT   = "*HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  WGTFAC1  = "*SCHOOL WEIGHT FACTOR*"
  WGTADJ1  = "*SCHOOL WEIGHT ADJUSTMENT*"
  WGTADJ2  = "*CLASS WEIGHT ADJUSTMENT*"
  WGTFAC2  = "*CLASS WEIGHT FACTOR*"
  WGTFAC3  = "*STUDENT WEIGHT FACTOR*"
  WGTADJ3  = "*STUDENT WEIGHT ADJUSTMENT*"
  JKZONE   = "*JACKKNIFE ZONE*"
  JKREP    = "*JACKKNIFE REPLICATE CODE*"
  BSMSTDR  = "*STANDARDIZED MATH RAW SCORE (50,10)*"
  BSMNRSC  = "*NATIONAL MATH RASCH SCORE (150,10)*"
  BSMSCPT  = "*RAW SCORE ON MATH ITEMS*"
  BSSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE (50,10)*"
  BSSNRSC  = "*NATIONAL SCIENCE RASCH SCORE (150,10)*"
  BSSSCPT  = "*RAW SCORE ON SCIENCE ITEM*"
  BSMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMAPP01 = "*1ST PLAUSIBLE VALUE APPLYING*"
  BSMAPP02 = "*2ND PLAUSIBLE VALUE APPLYING*"
  BSMAPP03 = "*3RD PLAUSIBLE VALUE APPLYING*"
  BSMAPP04 = "*4TH PLAUSIBLE VALUE APPLYING*"
  BSMAPP05 = "*5TH PLAUSIBLE VALUE APPLYING*"
  BSMKNO01 = "*1ST PLAUSIBLE VALUE KNOWING*"
  BSMKNO02 = "*2ND PLAUSIBLE VALUE KNOWING*"
  BSMKNO03 = "*3RD PLAUSIBLE VALUE KNOWING*"
  BSMKNO04 = "*4TH PLAUSIBLE VALUE KNOWING*"
  BSMKNO05 = "*5TH PLAUSIBLE VALUE KNOWING*"
  BSMREA01 = "*1ST PLAUSIBLE VALUE REASONING*"
  BSMREA02 = "*2ND PLAUSIBLE VALUE REASONING*"
  BSMREA03 = "*3RD PLAUSIBLE VALUE REASONING*"
  BSMREA04 = "*4TH PLAUSIBLE VALUE REASONING*"
  BSMREA05 = "*5TH PLAUSIBLE VALUE REASONING*"
  BSSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  BSSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  BSSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  BSSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  BSSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  BSMALG01 = "*1ST PV ALGEBRA*"
  BSMALG02 = "*2ND PV ALGEBRA*"
  BSMALG03 = "*3RD PV ALGEBRA*"
  BSMALG04 = "*4TH PV ALGEBRA*"
  BSMALG05 = "*5TH PV ALGEBRA*"
  BSMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  BSMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  BSMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  BSMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  BSMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  BSMGEO01 = "*1ST PV GEOMETRY*"
  BSMGEO02 = "*2ND PV GEOMETRY*"
  BSMGEO03 = "*3RD PV GEOMETRY*"
  BSMGEO04 = "*4TH PV GEOMETRY*"
  BSMGEO05 = "*5TH PV GEOMETRY*"
  BSMMEA01 = "*1ST PV MEASUREMENT*"
  BSMMEA02 = "*2ND PV MEASUREMENT*"
  BSMMEA03 = "*3RD PV MEASUREMENT*"
  BSMMEA04 = "*4TH PV MEASUREMENT*"
  BSMMEA05 = "*5TH PV MEASUREMENT*"
  BSSCHE01 = "*1ST PV CHEMISTRY*"
  BSSCHE02 = "*2ND PV CHEMISTRY*"
  BSSCHE03 = "*3RD PV CHEMISTRY*"
  BSSCHE04 = "*4TH PV CHEMISTRY*"
  BSSCHE05 = "*5TH PV CHEMISTRY*"
  BSSEAS01 = "*1ST PV EARTH SCIENCE*"
  BSSEAS02 = "*2ND PV EARTH SCIENCE*"
  BSSEAS03 = "*3RD PV EARTH SCIENCE*"
  BSSEAS04 = "*4TH PV EARTH SCIENCE*"
  BSSEAS05 = "*5TH PV EARTH SCIENCE*"
  BSSLIS01 = "*1ST PV LIFE SCIENCE*"
  BSSLIS02 = "*2ND PV LIFE SCIENCE*"
  BSSLIS03 = "*3RD PV LIFE SCIENCE*"
  BSSLIS04 = "*4TH PV LIFE SCIENCE*"
  BSSLIS05 = "*5TH PV LIFE SCIENCE*"
  BSSPHY01 = "*1ST PV PHYSICS*"
  BSSPHY02 = "*2ND PV PHYSICS*"
  BSSPHY03 = "*3RD PV PHYSICS*"
  BSSPHY04 = "*4TH PV PHYSICS*"
  BSSPHY05 = "*5TH PV PHYSICS*"
  BSSERI01 = "*1ST PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI02 = "*2ND PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI03 = "*3RD PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI04 = "*4TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI05 = "*5TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSDGEDUP = "PARENTS HIGHEST EDUCATION LEVEL"
  BSDGASP  = "STDS EDUC ASPRTNS RLTV TO PRNTS EDUC LVL"
  BSDGCAVL = "AVAILABILITY OF COMPUTER"
  BSDGPSS  = "IDX STD PRCPTN BEING SAFE SCHOOL (SPBSS)"
  BSDMHW   = "INDEX OF TIME ON MATH HOMEWORK (TMH)"
  BSDSHW   = "INDEX OF TIME ON SCIENCE HOMEWORK (TSH)"
  BSDBHW   = "INDEX OF TIME ON BIOLOGY HOMEWORK (TSH)"
  BSDCHW   = "INDEX OF TIME ON CHEMIST HOMEWORK (TSH)"
  BSDEHW   = "INDEX OF TIME ON EARTH S HOMEWORK (TSH)"
  BSDPHW   = "INDEX OF TIME ON PHYSICS HOMEWORK (TSH)"
  BSDCSCL  = "INDEX SELF-CONF LEARNING CHEMIST (SCC)"
  BSDESCL  = "INDEX SELF-CONF LEARNING EARTH S (SCE)"
  BSDMSCL  = "INDEX SELF-CONFID LEARNING MATH (SCM)"
  BSDBSCL  = "INDEX SELF-CONF LEARNING BIOLOGY (SCB)"
  BSDSSCL  = "INDEX SELF-CONF LEARNING SCIENCE   (SCS)"
  BSDPSCL  = "INDEX SELF-CONF LEARNING PHYSICS   (SCP)"
  BSDSSV   = "INDEX OF STUDENTS VALUING SCIENCE (SVS)"
  BSDMSV   = "INDEX OF STUDENTS VALUING MATH (SVM)"
  BSDBSV   = "INDEX OF STUDENTS VALUING BIOLOGY (SVB)"
  BSDESV   = "INDEX OF STUDENTS VALUING EARTH S (SVE)"
  BSDCSV   = "INDEX OF STUDENTS VALUING CHEMIST (SVC)"
  BSDPSV   = "INDEX OF STUDENTS VALUING PHYSICS (SVP)"
  BSMIBM01 = "INTERN. MATH BENCH REACHED WITH 1ST PV"
  BSMIBM02 = "INTERN. MATH BENCH REACHED WITH 2ND PV"
  BSMIBM03 = "INTERN. MATH BENCH REACHED WITH 3RD PV"
  BSMIBM04 = "INTERN. MATH BENCH REACHED WITH 4TH PV"
  BSMIBM05 = "INTERN. MATH BENCH REACHED WITH 5TH PV"
  BSSIBM01 = "INTERN. SCI BENCH REACHED WITH 1ST PV"
  BSSIBM02 = "INTERN. SCI BENCH REACHED WITH 2ND PV"
  BSSIBM03 = "INTERN. SCI BENCH REACHED WITH 3RD PV"
  BSSIBM04 = "INTERN. SCI BENCH REACHED WITH 4TH PV"
  BSSIBM05 = "INTERN. SCI BENCH REACHED WITH 5TH PV"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF IDSTRATE = 998              THEN IDSTRATE = .A ;
IF IDSTRATI = 998              THEN IDSTRATI = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITLANG   = 8                THEN ITLANG   = .A ;
IF ITADMINI = 8                THEN ITADMINI = .A ;
IF ITDATEM  = 98               THEN ITDATEM  = .A ;
IF ITDATEY  = 9998             THEN ITDATEY  = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF BSDAGE   = 98               THEN BSDAGE   = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BSBGBRTY = 98               THEN BSBGBRTY = .A ;
IF BSBGBRTM = 98               THEN BSBGBRTM = .A ;
IF BSBGSEX  = 8                THEN BSBGSEX  = .A ;
IF BSBGOLAN = 8                THEN BSBGOLAN = .A ;
IF BSBGBOOK = 8                THEN BSBGBOOK = .A ;
IF BSBGPS01 = 8                THEN BSBGPS01 = .A ;
IF BSBGPS02 = 8                THEN BSBGPS02 = .A ;
IF BSBGPS03 = 8                THEN BSBGPS03 = .A ;
IF BSBGPS04 = 8                THEN BSBGPS04 = .A ;
IF BSBGPS05 = 8                THEN BSBGPS05 = .A ;
IF BSBGPS06 = 8                THEN BSBGPS06 = .A ;
IF BSBGPS07 = 8                THEN BSBGPS07 = .A ;
IF BSBGPS08 = 8                THEN BSBGPS08 = .A ;
IF BSBGPS09 = 8                THEN BSBGPS09 = .A ;
IF BSBGPS10 = 8                THEN BSBGPS10 = .A ;
IF BSBGPS11 = 8                THEN BSBGPS11 = .A ;
IF BSBGPS12 = 8                THEN BSBGPS12 = .A ;
IF BSBGPS13 = 8                THEN BSBGPS13 = .A ;
IF BSBGPS14 = 8                THEN BSBGPS14 = .A ;
IF BSBGPS15 = 8                THEN BSBGPS15 = .A ;
IF BSBGPS16 = 8                THEN BSBGPS16 = .A ;
IF BSBGMFED = 98               THEN BSBGMFED = .A ;
IF BSBGFMED = 98               THEN BSBGFMED = .A ;
IF BSBGHFSG = 8                THEN BSBGHFSG = .A ;
IF BSBMTWEL = 8                THEN BSBMTWEL = .A ;
IF BSBMTMOR = 8                THEN BSBMTMOR = .A ;
IF BSBMTCLM = 8                THEN BSBMTCLM = .A ;
IF BSBMTENJ = 8                THEN BSBMTENJ = .A ;
IF BSBMTTOP = 8                THEN BSBMTTOP = .A ;
IF BSBMTSTR = 8                THEN BSBMTSTR = .A ;
IF BSBMTQKY = 8                THEN BSBMTQKY = .A ;
IF BSBMAHDL = 8                THEN BSBMAHDL = .A ;
IF BSBMAOSS = 8                THEN BSBMAOSS = .A ;
IF BSBMAUNI = 8                THEN BSBMAUNI = .A ;
IF BSBMAJOB = 8                THEN BSBMAJOB = .A ;
IF BSBMAGET = 8                THEN BSBMAGET = .A ;
IF BSBMHASM = 8                THEN BSBMHASM = .A ;
IF BSBMHWFD = 8                THEN BSBMHWFD = .A ;
IF BSBMHGCT = 8                THEN BSBMHGCT = .A ;
IF BSBMHEFR = 8                THEN BSBMHEFR = .A ;
IF BSBMHWSG = 8                THEN BSBMHWSG = .A ;
IF BSBMHMDL = 8                THEN BSBMHMDL = .A ;
IF BSBMHEXP = 8                THEN BSBMHEXP = .A ;
IF BSBMHSCP = 8                THEN BSBMHSCP = .A ;
IF BSBMHROH = 8                THEN BSBMHROH = .A ;
IF BSBMHLSP = 8                THEN BSBMHLSP = .A ;
IF BSBMHWPO = 8                THEN BSBMHWPO = .A ;
IF BSBMHBHC = 8                THEN BSBMHBHC = .A ;
IF BSBMHHQT = 8                THEN BSBMHHQT = .A ;
IF BSBMHCAL = 8                THEN BSBMHCAL = .A ;
IF BSBSTWEL = 8                THEN BSBSTWEL = .A ;
IF BSBSTMOR = 8                THEN BSBSTMOR = .A ;
IF BSBSTCLM = 8                THEN BSBSTCLM = .A ;
IF BSBSTENJ = 8                THEN BSBSTENJ = .A ;
IF BSBSTTOP = 8                THEN BSBSTTOP = .A ;
IF BSBSTSTR = 8                THEN BSBSTSTR = .A ;
IF BSBSTQKY = 8                THEN BSBSTQKY = .A ;
IF BSBSAHDL = 8                THEN BSBSAHDL = .A ;
IF BSBSAOSS = 8                THEN BSBSAOSS = .A ;
IF BSBSAUNI = 8                THEN BSBSAUNI = .A ;
IF BSBSAJOB = 8                THEN BSBSAJOB = .A ;
IF BSBSAGET = 8                THEN BSBSAGET = .A ;
IF BSBSHDEI = 8                THEN BSBSHDEI = .A ;
IF BSBSHFHP = 8                THEN BSBSHFHP = .A ;
IF BSBSHPEI = 8                THEN BSBSHPEI = .A ;
IF BSBSHCEI = 8                THEN BSBSHCEI = .A ;
IF BSBSHWGO = 8                THEN BSBSHWGO = .A ;
IF BSBSHEOH = 8                THEN BSBSHEOH = .A ;
IF BSBSHITS = 8                THEN BSBSHITS = .A ;
IF BSBSHMDL = 8                THEN BSBSHMDL = .A ;
IF BSBSHPWC = 8                THEN BSBSHPWC = .A ;
IF BSBSHROH = 8                THEN BSBSHROH = .A ;
IF BSBSHLSP = 8                THEN BSBSHLSP = .A ;
IF BSBSHWPO = 8                THEN BSBSHWPO = .A ;
IF BSBSHBHC = 8                THEN BSBSHBHC = .A ;
IF BSBSHHQT = 8                THEN BSBSHHQT = .A ;
IF BSBGUSEC = 8                THEN BSBGUSEC = .A ;
IF BSBGCHOM = 8                THEN BSBGCHOM = .A ;
IF BSBGCSCH = 8                THEN BSBGCSCH = .A ;
IF BSBGCLIB = 8                THEN BSBGCLIB = .A ;
IF BSBGCFRH = 8                THEN BSBGCFRH = .A ;
IF BSBGCCAF = 8                THEN BSBGCCAF = .A ;
IF BSBGCELS = 8                THEN BSBGCELS = .A ;
IF BSBMOINF = 8                THEN BSBMOINF = .A ;
IF BSBSOINF = 8                THEN BSBSOINF = .A ;
IF BSBGOREP = 8                THEN BSBGOREP = .A ;
IF BSBGOPAD = 8                THEN BSBGOPAD = .A ;
IF BSBGALBS = 8                THEN BSBGALBS = .A ;
IF BSBGATTB = 8                THEN BSBGATTB = .A ;
IF BSBGATCS = 8                THEN BSBGATCS = .A ;
IF BSBGATSB = 8                THEN BSBGATSB = .A ;
IF BSBGSTOL = 8                THEN BSBGSTOL = .A ;
IF BSBGHURT = 8                THEN BSBGHURT = .A ;
IF BSBGMADE = 8                THEN BSBGMADE = .A ;
IF BSBGMFUN = 8                THEN BSBGMFUN = .A ;
IF BSBGLEFT = 8                THEN BSBGLEFT = .A ;
IF BSBGWATV = 8                THEN BSBGWATV = .A ;
IF BSBGPLCG = 8                THEN BSBGPLCG = .A ;
IF BSBGPLFD = 8                THEN BSBGPLFD = .A ;
IF BSBGJOHM = 8                THEN BSBGJOHM = .A ;
IF BSBGWKPJ = 8                THEN BSBGWKPJ = .A ;
IF BSBGPLSP = 8                THEN BSBGPLSP = .A ;
IF BSBGREBO = 8                THEN BSBGREBO = .A ;
IF BSBGUSIN = 8                THEN BSBGUSIN = .A ;
IF BSBGDOHW = 8                THEN BSBGDOHW = .A ;
IF BSBMEXTO = 8                THEN BSBMEXTO = .A ;
IF BSBSEXTO = 8                THEN BSBSEXTO = .A ;
IF BSBMHWMA = 8                THEN BSBMHWMA = .A ;
IF BSBMHWMG = 8                THEN BSBMHWMG = .A ;
IF BSBSHWMA = 8                THEN BSBSHWMA = .A ;
IF BSBSHWMG = 8                THEN BSBSHWMG = .A ;
IF BSBGPLHO = 98               THEN BSBGPLHO = .A ;
IF BSBGMBRN = 8                THEN BSBGMBRN = .A ;
IF BSBGFBRN = 8                THEN BSBGFBRN = .A ;
IF BSBGBORN = 8                THEN BSBGBORN = .A ;
IF BSBGBRNC = 8                THEN BSBGBRNC = .A ;
IF BSBBSBIO = 8                THEN BSBBSBIO = .A ;
IF BSBBTWEL = 8                THEN BSBBTWEL = .A ;
IF BSBBTMOR = 8                THEN BSBBTMOR = .A ;
IF BSBBTCLM = 8                THEN BSBBTCLM = .A ;
IF BSBBTENJ = 8                THEN BSBBTENJ = .A ;
IF BSBBTTOP = 8                THEN BSBBTTOP = .A ;
IF BSBBTSTR = 8                THEN BSBBTSTR = .A ;
IF BSBBTQKY = 8                THEN BSBBTQKY = .A ;
IF BSBBAHDL = 8                THEN BSBBAHDL = .A ;
IF BSBBAOSS = 8                THEN BSBBAOSS = .A ;
IF BSBBAUNI = 8                THEN BSBBAUNI = .A ;
IF BSBBAJOB = 8                THEN BSBBAJOB = .A ;
IF BSBBAGET = 8                THEN BSBBAGET = .A ;
IF BSBBHDEI = 8                THEN BSBBHDEI = .A ;
IF BSBBHFHP = 8                THEN BSBBHFHP = .A ;
IF BSBBHPEI = 8                THEN BSBBHPEI = .A ;
IF BSBBHCEI = 8                THEN BSBBHCEI = .A ;
IF BSBBHWGO = 8                THEN BSBBHWGO = .A ;
IF BSBBHEOH = 8                THEN BSBBHEOH = .A ;
IF BSBBHITS = 8                THEN BSBBHITS = .A ;
IF BSBBHMDL = 8                THEN BSBBHMDL = .A ;
IF BSBBHPWC = 8                THEN BSBBHPWC = .A ;
IF BSBBHROH = 8                THEN BSBBHROH = .A ;
IF BSBBHLSP = 8                THEN BSBBHLSP = .A ;
IF BSBBHWPO = 8                THEN BSBBHWPO = .A ;
IF BSBBHBHC = 8                THEN BSBBHBHC = .A ;
IF BSBBHHQT = 8                THEN BSBBHHQT = .A ;
IF BSBEARTH = 8                THEN BSBEARTH = .A ;
IF BSBETWEL = 8                THEN BSBETWEL = .A ;
IF BSBETMOR = 8                THEN BSBETMOR = .A ;
IF BSBETCLM = 8                THEN BSBETCLM = .A ;
IF BSBETENJ = 8                THEN BSBETENJ = .A ;
IF BSBETTOP = 8                THEN BSBETTOP = .A ;
IF BSBETSTR = 8                THEN BSBETSTR = .A ;
IF BSBETQKY = 8                THEN BSBETQKY = .A ;
IF BSBEAHDL = 8                THEN BSBEAHDL = .A ;
IF BSBEAOSS = 8                THEN BSBEAOSS = .A ;
IF BSBEAUNI = 8                THEN BSBEAUNI = .A ;
IF BSBEAJOB = 8                THEN BSBEAJOB = .A ;
IF BSBEAGET = 8                THEN BSBEAGET = .A ;
IF BSBEHDEI = 8                THEN BSBEHDEI = .A ;
IF BSBEHFHP = 8                THEN BSBEHFHP = .A ;
IF BSBEHPEI = 8                THEN BSBEHPEI = .A ;
IF BSBEHCEI = 8                THEN BSBEHCEI = .A ;
IF BSBEHWGO = 8                THEN BSBEHWGO = .A ;
IF BSBEHEOH = 8                THEN BSBEHEOH = .A ;
IF BSBEHITS = 8                THEN BSBEHITS = .A ;
IF BSBEHMDL = 8                THEN BSBEHMDL = .A ;
IF BSBEHPWC = 8                THEN BSBEHPWC = .A ;
IF BSBEHROH = 8                THEN BSBEHROH = .A ;
IF BSBEHLSP = 8                THEN BSBEHLSP = .A ;
IF BSBEHWPO = 8                THEN BSBEHWPO = .A ;
IF BSBEHBHC = 8                THEN BSBEHBHC = .A ;
IF BSBEHHQT = 8                THEN BSBEHHQT = .A ;
IF BSBCCHEM = 8                THEN BSBCCHEM = .A ;
IF BSBCTWEL = 8                THEN BSBCTWEL = .A ;
IF BSBCTMOR = 8                THEN BSBCTMOR = .A ;
IF BSBCTCLM = 8                THEN BSBCTCLM = .A ;
IF BSBCTENJ = 8                THEN BSBCTENJ = .A ;
IF BSBCTTOP = 8                THEN BSBCTTOP = .A ;
IF BSBCTSTR = 8                THEN BSBCTSTR = .A ;
IF BSBCTQKY = 8                THEN BSBCTQKY = .A ;
IF BSBCAHDL = 8                THEN BSBCAHDL = .A ;
IF BSBCAOSS = 8                THEN BSBCAOSS = .A ;
IF BSBCAUNI = 8                THEN BSBCAUNI = .A ;
IF BSBCAJOB = 8                THEN BSBCAJOB = .A ;
IF BSBCAGET = 8                THEN BSBCAGET = .A ;
IF BSBCHDEI = 8                THEN BSBCHDEI = .A ;
IF BSBCHFHP = 8                THEN BSBCHFHP = .A ;
IF BSBCHPEI = 8                THEN BSBCHPEI = .A ;
IF BSBCHCEI = 8                THEN BSBCHCEI = .A ;
IF BSBCHWGO = 8                THEN BSBCHWGO = .A ;
IF BSBCHEOH = 8                THEN BSBCHEOH = .A ;
IF BSBCHITS = 8                THEN BSBCHITS = .A ;
IF BSBCHMDL = 8                THEN BSBCHMDL = .A ;
IF BSBCHPWC = 8                THEN BSBCHPWC = .A ;
IF BSBCHROH = 8                THEN BSBCHROH = .A ;
IF BSBCHLSP = 8                THEN BSBCHLSP = .A ;
IF BSBCHWPO = 8                THEN BSBCHWPO = .A ;
IF BSBCHBHC = 8                THEN BSBCHBHC = .A ;
IF BSBCHHQT = 8                THEN BSBCHHQT = .A ;
IF BSBPPHY  = 8                THEN BSBPPHY  = .A ;
IF BSBPTWEL = 8                THEN BSBPTWEL = .A ;
IF BSBPTMOR = 8                THEN BSBPTMOR = .A ;
IF BSBPTCLM = 8                THEN BSBPTCLM = .A ;
IF BSBPTENJ = 8                THEN BSBPTENJ = .A ;
IF BSBPTTOP = 8                THEN BSBPTTOP = .A ;
IF BSBPTSTR = 8                THEN BSBPTSTR = .A ;
IF BSBPTQKY = 8                THEN BSBPTQKY = .A ;
IF BSBPAHDL = 8                THEN BSBPAHDL = .A ;
IF BSBPAOSS = 8                THEN BSBPAOSS = .A ;
IF BSBPAUNI = 8                THEN BSBPAUNI = .A ;
IF BSBPAJOB = 8                THEN BSBPAJOB = .A ;
IF BSBPAGET = 8                THEN BSBPAGET = .A ;
IF BSBPHDEI = 8                THEN BSBPHDEI = .A ;
IF BSBPHFHP = 8                THEN BSBPHFHP = .A ;
IF BSBPHPEI = 8                THEN BSBPHPEI = .A ;
IF BSBPHCEI = 8                THEN BSBPHCEI = .A ;
IF BSBPHWGO = 8                THEN BSBPHWGO = .A ;
IF BSBPHEOH = 8                THEN BSBPHEOH = .A ;
IF BSBPHITS = 8                THEN BSBPHITS = .A ;
IF BSBPHMDL = 8                THEN BSBPHMDL = .A ;
IF BSBPHPWC = 8                THEN BSBPHPWC = .A ;
IF BSBPHROH = 8                THEN BSBPHROH = .A ;
IF BSBPHLSP = 8                THEN BSBPHLSP = .A ;
IF BSBPHWPO = 8                THEN BSBPHWPO = .A ;
IF BSBPHBHC = 8                THEN BSBPHBHC = .A ;
IF BSBPHHQT = 8                THEN BSBPHHQT = .A ;
IF BSBBOINF = 8                THEN BSBBOINF = .A ;
IF BSBEOINF = 8                THEN BSBEOINF = .A ;
IF BSBCOINF = 8                THEN BSBCOINF = .A ;
IF BSBPOINF = 8                THEN BSBPOINF = .A ;
IF BSBMEXLS = 8                THEN BSBMEXLS = .A ;
IF BSBBEXLS = 8                THEN BSBBEXLS = .A ;
IF BSBEEXLS = 8                THEN BSBEEXLS = .A ;
IF BSBCEXLS = 8                THEN BSBCEXLS = .A ;
IF BSBPEXLS = 8                THEN BSBPEXLS = .A ;
IF BSBMTGHW = 8                THEN BSBMTGHW = .A ;
IF BSBBTGHW = 8                THEN BSBBTGHW = .A ;
IF BSBETGHW = 8                THEN BSBETGHW = .A ;
IF BSBCTGHW = 8                THEN BSBCTGHW = .A ;
IF BSBPTGHW = 8                THEN BSBPTGHW = .A ;
IF BSBMHWMI = 8                THEN BSBMHWMI = .A ;
IF BSBBHWMI = 8                THEN BSBBHWMI = .A ;
IF BSBEHWMI = 8                THEN BSBEHWMI = .A ;
IF BSBCHWMI = 8                THEN BSBCHWMI = .A ;
IF BSBPHWMI = 8                THEN BSBPHWMI = .A ;
IF TOTWGT   = 999998           THEN TOTWGT   = .A ;
IF HOUWGT   = 999998           THEN HOUWGT   = .A ;
IF SENWGT   = 999998           THEN SENWGT   = .A ;
IF WGTFAC1  = 999998           THEN WGTFAC1  = .A ;
IF WGTADJ1  = 999998           THEN WGTADJ1  = .A ;
IF WGTADJ2  = 999998           THEN WGTADJ2  = .A ;
IF WGTFAC2  = 999998           THEN WGTFAC2  = .A ;
IF WGTFAC3  = 999998           THEN WGTFAC3  = .A ;
IF WGTADJ3  = 999998           THEN WGTADJ3  = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF BSMSTDR  = 9998             THEN BSMSTDR  = .A ;
IF BSMNRSC  = 9998             THEN BSMNRSC  = .A ;
IF BSMSCPT  = 98               THEN BSMSCPT  = .A ;
IF BSSSTDR  = 9998             THEN BSSSTDR  = .A ;
IF BSSNRSC  = 9998             THEN BSSNRSC  = .A ;
IF BSSSCPT  = 98               THEN BSSSCPT  = .A ;
IF BSMMAT01 = 998              THEN BSMMAT01 = .A ;
IF BSMMAT02 = 998              THEN BSMMAT02 = .A ;
IF BSMMAT03 = 998              THEN BSMMAT03 = .A ;
IF BSMMAT04 = 998              THEN BSMMAT04 = .A ;
IF BSMMAT05 = 998              THEN BSMMAT05 = .A ;
IF BSMAPP01 = 998              THEN BSMAPP01 = .A ;
IF BSMAPP02 = 998              THEN BSMAPP02 = .A ;
IF BSMAPP03 = 998              THEN BSMAPP03 = .A ;
IF BSMAPP04 = 998              THEN BSMAPP04 = .A ;
IF BSMAPP05 = 998              THEN BSMAPP05 = .A ;
IF BSMKNO01 = 998              THEN BSMKNO01 = .A ;
IF BSMKNO02 = 998              THEN BSMKNO02 = .A ;
IF BSMKNO03 = 998              THEN BSMKNO03 = .A ;
IF BSMKNO04 = 998              THEN BSMKNO04 = .A ;
IF BSMKNO05 = 998              THEN BSMKNO05 = .A ;
IF BSMREA01 = 998              THEN BSMREA01 = .A ;
IF BSMREA02 = 998              THEN BSMREA02 = .A ;
IF BSMREA03 = 998              THEN BSMREA03 = .A ;
IF BSMREA04 = 998              THEN BSMREA04 = .A ;
IF BSMREA05 = 998              THEN BSMREA05 = .A ;
IF BSSSCI01 = 998              THEN BSSSCI01 = .A ;
IF BSSSCI02 = 998              THEN BSSSCI02 = .A ;
IF BSSSCI03 = 998              THEN BSSSCI03 = .A ;
IF BSSSCI04 = 998              THEN BSSSCI04 = .A ;
IF BSSSCI05 = 998              THEN BSSSCI05 = .A ;
IF BSMALG01 = 998              THEN BSMALG01 = .A ;
IF BSMALG02 = 998              THEN BSMALG02 = .A ;
IF BSMALG03 = 998              THEN BSMALG03 = .A ;
IF BSMALG04 = 998              THEN BSMALG04 = .A ;
IF BSMALG05 = 998              THEN BSMALG05 = .A ;
IF BSMDAP01 = 998              THEN BSMDAP01 = .A ;
IF BSMDAP02 = 998              THEN BSMDAP02 = .A ;
IF BSMDAP03 = 998              THEN BSMDAP03 = .A ;
IF BSMDAP04 = 998              THEN BSMDAP04 = .A ;
IF BSMDAP05 = 998              THEN BSMDAP05 = .A ;
IF BSMFNS01 = 998              THEN BSMFNS01 = .A ;
IF BSMFNS02 = 998              THEN BSMFNS02 = .A ;
IF BSMFNS03 = 998              THEN BSMFNS03 = .A ;
IF BSMFNS04 = 998              THEN BSMFNS04 = .A ;
IF BSMFNS05 = 998              THEN BSMFNS05 = .A ;
IF BSMGEO01 = 998              THEN BSMGEO01 = .A ;
IF BSMGEO02 = 998              THEN BSMGEO02 = .A ;
IF BSMGEO03 = 998              THEN BSMGEO03 = .A ;
IF BSMGEO04 = 998              THEN BSMGEO04 = .A ;
IF BSMGEO05 = 998              THEN BSMGEO05 = .A ;
IF BSMMEA01 = 998              THEN BSMMEA01 = .A ;
IF BSMMEA02 = 998              THEN BSMMEA02 = .A ;
IF BSMMEA03 = 998              THEN BSMMEA03 = .A ;
IF BSMMEA04 = 998              THEN BSMMEA04 = .A ;
IF BSMMEA05 = 998              THEN BSMMEA05 = .A ;
IF BSSCHE01 = 998              THEN BSSCHE01 = .A ;
IF BSSCHE02 = 998              THEN BSSCHE02 = .A ;
IF BSSCHE03 = 998              THEN BSSCHE03 = .A ;
IF BSSCHE04 = 998              THEN BSSCHE04 = .A ;
IF BSSCHE05 = 998              THEN BSSCHE05 = .A ;
IF BSSEAS01 = 998              THEN BSSEAS01 = .A ;
IF BSSEAS02 = 998              THEN BSSEAS02 = .A ;
IF BSSEAS03 = 998              THEN BSSEAS03 = .A ;
IF BSSEAS04 = 998              THEN BSSEAS04 = .A ;
IF BSSEAS05 = 998              THEN BSSEAS05 = .A ;
IF BSSLIS01 = 998              THEN BSSLIS01 = .A ;
IF BSSLIS02 = 998              THEN BSSLIS02 = .A ;
IF BSSLIS03 = 998              THEN BSSLIS03 = .A ;
IF BSSLIS04 = 998              THEN BSSLIS04 = .A ;
IF BSSLIS05 = 998              THEN BSSLIS05 = .A ;
IF BSSPHY01 = 998              THEN BSSPHY01 = .A ;
IF BSSPHY02 = 998              THEN BSSPHY02 = .A ;
IF BSSPHY03 = 998              THEN BSSPHY03 = .A ;
IF BSSPHY04 = 998              THEN BSSPHY04 = .A ;
IF BSSPHY05 = 998              THEN BSSPHY05 = .A ;
IF BSSERI01 = 998              THEN BSSERI01 = .A ;
IF BSSERI02 = 998              THEN BSSERI02 = .A ;
IF BSSERI03 = 998              THEN BSSERI03 = .A ;
IF BSSERI04 = 998              THEN BSSERI04 = .A ;
IF BSSERI05 = 998              THEN BSSERI05 = .A ;
IF BSDGEDUP = 8                THEN BSDGEDUP = .A ;
IF BSDGASP  = 8                THEN BSDGASP  = .A ;
IF BSDGCAVL = 8                THEN BSDGCAVL = .A ;
IF BSDGPSS  = 8                THEN BSDGPSS  = .A ;
IF BSDMHW   = 8                THEN BSDMHW   = .A ;
IF BSDSHW   = 8                THEN BSDSHW   = .A ;
IF BSDBHW   = 8                THEN BSDBHW   = .A ;
IF BSDCHW   = 8                THEN BSDCHW   = .A ;
IF BSDEHW   = 8                THEN BSDEHW   = .A ;
IF BSDPHW   = 8                THEN BSDPHW   = .A ;
IF BSDCSCL  = 8                THEN BSDCSCL  = .A ;
IF BSDESCL  = 8                THEN BSDESCL  = .A ;
IF BSDMSCL  = 8                THEN BSDMSCL  = .A ;
IF BSDBSCL  = 8                THEN BSDBSCL  = .A ;
IF BSDSSCL  = 8                THEN BSDSSCL  = .A ;
IF BSDPSCL  = 8                THEN BSDPSCL  = .A ;
IF BSDSSV   = 8                THEN BSDSSV   = .A ;
IF BSDMSV   = 8                THEN BSDMSV   = .A ;
IF BSDBSV   = 8                THEN BSDBSV   = .A ;
IF BSDESV   = 8                THEN BSDESV   = .A ;
IF BSDCSV   = 8                THEN BSDCSV   = .A ;
IF BSDPSV   = 8                THEN BSDPSV   = .A ;
IF BSMIBM01 = 8                THEN BSMIBM01 = .A ;
IF BSMIBM02 = 8                THEN BSMIBM02 = .A ;
IF BSMIBM03 = 8                THEN BSMIBM03 = .A ;
IF BSMIBM04 = 8                THEN BSMIBM04 = .A ;
IF BSMIBM05 = 8                THEN BSMIBM05 = .A ;
IF BSSIBM01 = 8                THEN BSSIBM01 = .A ;
IF BSSIBM02 = 8                THEN BSSIBM02 = .A ;
IF BSSIBM03 = 8                THEN BSSIBM03 = .A ;
IF BSSIBM04 = 8                THEN BSSIBM04 = .A ;
IF BSSIBM05 = 8                THEN BSSIBM05 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF BSBGCHOM = 6                THEN BSBGCHOM = .B ;
IF BSBGCSCH = 6                THEN BSBGCSCH = .B ;
IF BSBGCLIB = 6                THEN BSBGCLIB = .B ;
IF BSBGCFRH = 6                THEN BSBGCFRH = .B ;
IF BSBGCCAF = 6                THEN BSBGCCAF = .B ;
IF BSBGCELS = 6                THEN BSBGCELS = .B ;
IF BSBMOINF = 6                THEN BSBMOINF = .B ;
IF BSBSOINF = 6                THEN BSBSOINF = .B ;
IF BSBGOREP = 6                THEN BSBGOREP = .B ;
IF BSBGOPAD = 6                THEN BSBGOPAD = .B ;
IF BSBMHWMG = 6                THEN BSBMHWMG = .B ;
IF BSBSHWMG = 6                THEN BSBSHWMG = .B ;
IF BSBGBRNC = 6                THEN BSBGBRNC = .B ;
IF BSBBTWEL = 6                THEN BSBBTWEL = .B ;
IF BSBBTMOR = 6                THEN BSBBTMOR = .B ;
IF BSBBTCLM = 6                THEN BSBBTCLM = .B ;
IF BSBBTENJ = 6                THEN BSBBTENJ = .B ;
IF BSBBTTOP = 6                THEN BSBBTTOP = .B ;
IF BSBBTSTR = 6                THEN BSBBTSTR = .B ;
IF BSBBTQKY = 6                THEN BSBBTQKY = .B ;
IF BSBBAHDL = 6                THEN BSBBAHDL = .B ;
IF BSBBAOSS = 6                THEN BSBBAOSS = .B ;
IF BSBBAUNI = 6                THEN BSBBAUNI = .B ;
IF BSBBAJOB = 6                THEN BSBBAJOB = .B ;
IF BSBBAGET = 6                THEN BSBBAGET = .B ;
IF BSBBHDEI = 6                THEN BSBBHDEI = .B ;
IF BSBBHFHP = 6                THEN BSBBHFHP = .B ;
IF BSBBHPEI = 6                THEN BSBBHPEI = .B ;
IF BSBBHCEI = 6                THEN BSBBHCEI = .B ;
IF BSBBHWGO = 6                THEN BSBBHWGO = .B ;
IF BSBBHEOH = 6                THEN BSBBHEOH = .B ;
IF BSBBHITS = 6                THEN BSBBHITS = .B ;
IF BSBBHMDL = 6                THEN BSBBHMDL = .B ;
IF BSBBHPWC = 6                THEN BSBBHPWC = .B ;
IF BSBBHROH = 6                THEN BSBBHROH = .B ;
IF BSBBHLSP = 6                THEN BSBBHLSP = .B ;
IF BSBBHWPO = 6                THEN BSBBHWPO = .B ;
IF BSBBHBHC = 6                THEN BSBBHBHC = .B ;
IF BSBBHHQT = 6                THEN BSBBHHQT = .B ;
IF BSBETWEL = 6                THEN BSBETWEL = .B ;
IF BSBETMOR = 6                THEN BSBETMOR = .B ;
IF BSBETCLM = 6                THEN BSBETCLM = .B ;
IF BSBETENJ = 6                THEN BSBETENJ = .B ;
IF BSBETTOP = 6                THEN BSBETTOP = .B ;
IF BSBETSTR = 6                THEN BSBETSTR = .B ;
IF BSBETQKY = 6                THEN BSBETQKY = .B ;
IF BSBEAHDL = 6                THEN BSBEAHDL = .B ;
IF BSBEAOSS = 6                THEN BSBEAOSS = .B ;
IF BSBEAUNI = 6                THEN BSBEAUNI = .B ;
IF BSBEAJOB = 6                THEN BSBEAJOB = .B ;
IF BSBEAGET = 6                THEN BSBEAGET = .B ;
IF BSBEHDEI = 6                THEN BSBEHDEI = .B ;
IF BSBEHFHP = 6                THEN BSBEHFHP = .B ;
IF BSBEHPEI = 6                THEN BSBEHPEI = .B ;
IF BSBEHCEI = 6                THEN BSBEHCEI = .B ;
IF BSBEHWGO = 6                THEN BSBEHWGO = .B ;
IF BSBEHEOH = 6                THEN BSBEHEOH = .B ;
IF BSBEHITS = 6                THEN BSBEHITS = .B ;
IF BSBEHMDL = 6                THEN BSBEHMDL = .B ;
IF BSBEHPWC = 6                THEN BSBEHPWC = .B ;
IF BSBEHROH = 6                THEN BSBEHROH = .B ;
IF BSBEHLSP = 6                THEN BSBEHLSP = .B ;
IF BSBEHWPO = 6                THEN BSBEHWPO = .B ;
IF BSBEHBHC = 6                THEN BSBEHBHC = .B ;
IF BSBEHHQT = 6                THEN BSBEHHQT = .B ;
IF BSBCTWEL = 6                THEN BSBCTWEL = .B ;
IF BSBCTMOR = 6                THEN BSBCTMOR = .B ;
IF BSBCTCLM = 6                THEN BSBCTCLM = .B ;
IF BSBCTENJ = 6                THEN BSBCTENJ = .B ;
IF BSBCTTOP = 6                THEN BSBCTTOP = .B ;
IF BSBCTSTR = 6                THEN BSBCTSTR = .B ;
IF BSBCTQKY = 6                THEN BSBCTQKY = .B ;
IF BSBCAHDL = 6                THEN BSBCAHDL = .B ;
IF BSBCAOSS = 6                THEN BSBCAOSS = .B ;
IF BSBCAUNI = 6                THEN BSBCAUNI = .B ;
IF BSBCAJOB = 6                THEN BSBCAJOB = .B ;
IF BSBCAGET = 6                THEN BSBCAGET = .B ;
IF BSBCHDEI = 6                THEN BSBCHDEI = .B ;
IF BSBCHFHP = 6                THEN BSBCHFHP = .B ;
IF BSBCHPEI = 6                THEN BSBCHPEI = .B ;
IF BSBCHCEI = 6                THEN BSBCHCEI = .B ;
IF BSBCHWGO = 6                THEN BSBCHWGO = .B ;
IF BSBCHEOH = 6                THEN BSBCHEOH = .B ;
IF BSBCHITS = 6                THEN BSBCHITS = .B ;
IF BSBCHMDL = 6                THEN BSBCHMDL = .B ;
IF BSBCHPWC = 6                THEN BSBCHPWC = .B ;
IF BSBCHROH = 6                THEN BSBCHROH = .B ;
IF BSBCHLSP = 6                THEN BSBCHLSP = .B ;
IF BSBCHWPO = 6                THEN BSBCHWPO = .B ;
IF BSBCHBHC = 6                THEN BSBCHBHC = .B ;
IF BSBCHHQT = 6                THEN BSBCHHQT = .B ;
IF BSBPTWEL = 6                THEN BSBPTWEL = .B ;
IF BSBPTMOR = 6                THEN BSBPTMOR = .B ;
IF BSBPTCLM = 6                THEN BSBPTCLM = .B ;
IF BSBPTENJ = 6                THEN BSBPTENJ = .B ;
IF BSBPTTOP = 6                THEN BSBPTTOP = .B ;
IF BSBPTSTR = 6                THEN BSBPTSTR = .B ;
IF BSBPTQKY = 6                THEN BSBPTQKY = .B ;
IF BSBPAHDL = 6                THEN BSBPAHDL = .B ;
IF BSBPAOSS = 6                THEN BSBPAOSS = .B ;
IF BSBPAUNI = 6                THEN BSBPAUNI = .B ;
IF BSBPAJOB = 6                THEN BSBPAJOB = .B ;
IF BSBPAGET = 6                THEN BSBPAGET = .B ;
IF BSBPHDEI = 6                THEN BSBPHDEI = .B ;
IF BSBPHFHP = 6                THEN BSBPHFHP = .B ;
IF BSBPHPEI = 6                THEN BSBPHPEI = .B ;
IF BSBPHCEI = 6                THEN BSBPHCEI = .B ;
IF BSBPHWGO = 6                THEN BSBPHWGO = .B ;
IF BSBPHEOH = 6                THEN BSBPHEOH = .B ;
IF BSBPHITS = 6                THEN BSBPHITS = .B ;
IF BSBPHMDL = 6                THEN BSBPHMDL = .B ;
IF BSBPHPWC = 6                THEN BSBPHPWC = .B ;
IF BSBPHROH = 6                THEN BSBPHROH = .B ;
IF BSBPHLSP = 6                THEN BSBPHLSP = .B ;
IF BSBPHWPO = 6                THEN BSBPHWPO = .B ;
IF BSBPHBHC = 6                THEN BSBPHBHC = .B ;
IF BSBPHHQT = 6                THEN BSBPHHQT = .B ;
IF BSBBOINF = 6                THEN BSBBOINF = .B ;
IF BSBEOINF = 6                THEN BSBEOINF = .B ;
IF BSBCOINF = 6                THEN BSBCOINF = .B ;
IF BSBPOINF = 6                THEN BSBPOINF = .B ;
IF BSBMHWMI = 6                THEN BSBMHWMI = .B ;
IF BSBBHWMI = 6                THEN BSBBHWMI = .B ;
IF BSBEHWMI = 6                THEN BSBEHWMI = .B ;
IF BSBCHWMI = 6                THEN BSBCHWMI = .B ;
IF BSBPHWMI = 6                THEN BSBPHWMI = .B ;
IF BSDCSCL  = 6                THEN BSDCSCL  = .B ;
IF BSDESCL  = 6                THEN BSDESCL  = .B ;
IF BSDBSCL  = 6                THEN BSDBSCL  = .B ;
IF BSDPSCL  = 6                THEN BSDPSCL  = .B ;
IF BSDBSV   = 6                THEN BSDBSV   = .B ;
IF BSDESV   = 6                THEN BSDESV   = .B ;
IF BSDCSV   = 6                THEN BSDCSV   = .B ;
IF BSDPSV   = 6                THEN BSDPSV   = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF IDSTRATE = 999              THEN IDSTRATE = . ;
IF IDSTRATI = 999              THEN IDSTRATI = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITLANG   = 9                THEN ITLANG   = . ;
IF ITADMINI = 9                THEN ITADMINI = . ;
IF ITDATEM  = 99               THEN ITDATEM  = . ;
IF ITDATEY  = 9999             THEN ITDATEY  = . ;
IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF BSDAGE   = 99               THEN BSDAGE   = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BSBGBRTY = 99               THEN BSBGBRTY = . ;
IF BSBGBRTM = 99               THEN BSBGBRTM = . ;
IF BSBGSEX  = 9                THEN BSBGSEX  = . ;
IF BSBGOLAN = 9                THEN BSBGOLAN = . ;
IF BSBGBOOK = 9                THEN BSBGBOOK = . ;
IF BSBGPS01 = 9                THEN BSBGPS01 = . ;
IF BSBGPS02 = 9                THEN BSBGPS02 = . ;
IF BSBGPS03 = 9                THEN BSBGPS03 = . ;
IF BSBGPS04 = 9                THEN BSBGPS04 = . ;
IF BSBGPS05 = 9                THEN BSBGPS05 = . ;
IF BSBGPS06 = 9                THEN BSBGPS06 = . ;
IF BSBGPS07 = 9                THEN BSBGPS07 = . ;
IF BSBGPS08 = 9                THEN BSBGPS08 = . ;
IF BSBGPS09 = 9                THEN BSBGPS09 = . ;
IF BSBGPS10 = 9                THEN BSBGPS10 = . ;
IF BSBGPS11 = 9                THEN BSBGPS11 = . ;
IF BSBGPS12 = 9                THEN BSBGPS12 = . ;
IF BSBGPS13 = 9                THEN BSBGPS13 = . ;
IF BSBGPS14 = 9                THEN BSBGPS14 = . ;
IF BSBGPS15 = 9                THEN BSBGPS15 = . ;
IF BSBGPS16 = 9                THEN BSBGPS16 = . ;
IF BSBGMFED = 99               THEN BSBGMFED = . ;
IF BSBGFMED = 99               THEN BSBGFMED = . ;
IF BSBGHFSG = 9                THEN BSBGHFSG = . ;
IF BSBMTWEL = 9                THEN BSBMTWEL = . ;
IF BSBMTMOR = 9                THEN BSBMTMOR = . ;
IF BSBMTCLM = 9                THEN BSBMTCLM = . ;
IF BSBMTENJ = 9                THEN BSBMTENJ = . ;
IF BSBMTTOP = 9                THEN BSBMTTOP = . ;
IF BSBMTSTR = 9                THEN BSBMTSTR = . ;
IF BSBMTQKY = 9                THEN BSBMTQKY = . ;
IF BSBMAHDL = 9                THEN BSBMAHDL = . ;
IF BSBMAOSS = 9                THEN BSBMAOSS = . ;
IF BSBMAUNI = 9                THEN BSBMAUNI = . ;
IF BSBMAJOB = 9                THEN BSBMAJOB = . ;
IF BSBMAGET = 9                THEN BSBMAGET = . ;
IF BSBMHASM = 9                THEN BSBMHASM = . ;
IF BSBMHWFD = 9                THEN BSBMHWFD = . ;
IF BSBMHGCT = 9                THEN BSBMHGCT = . ;
IF BSBMHEFR = 9                THEN BSBMHEFR = . ;
IF BSBMHWSG = 9                THEN BSBMHWSG = . ;
IF BSBMHMDL = 9                THEN BSBMHMDL = . ;
IF BSBMHEXP = 9                THEN BSBMHEXP = . ;
IF BSBMHSCP = 9                THEN BSBMHSCP = . ;
IF BSBMHROH = 9                THEN BSBMHROH = . ;
IF BSBMHLSP = 9                THEN BSBMHLSP = . ;
IF BSBMHWPO = 9                THEN BSBMHWPO = . ;
IF BSBMHBHC = 9                THEN BSBMHBHC = . ;
IF BSBMHHQT = 9                THEN BSBMHHQT = . ;
IF BSBMHCAL = 9                THEN BSBMHCAL = . ;
IF BSBSTWEL = 9                THEN BSBSTWEL = . ;
IF BSBSTMOR = 9                THEN BSBSTMOR = . ;
IF BSBSTCLM = 9                THEN BSBSTCLM = . ;
IF BSBSTENJ = 9                THEN BSBSTENJ = . ;
IF BSBSTTOP = 9                THEN BSBSTTOP = . ;
IF BSBSTSTR = 9                THEN BSBSTSTR = . ;
IF BSBSTQKY = 9                THEN BSBSTQKY = . ;
IF BSBSAHDL = 9                THEN BSBSAHDL = . ;
IF BSBSAOSS = 9                THEN BSBSAOSS = . ;
IF BSBSAUNI = 9                THEN BSBSAUNI = . ;
IF BSBSAJOB = 9                THEN BSBSAJOB = . ;
IF BSBSAGET = 9                THEN BSBSAGET = . ;
IF BSBSHDEI = 9                THEN BSBSHDEI = . ;
IF BSBSHFHP = 9                THEN BSBSHFHP = . ;
IF BSBSHPEI = 9                THEN BSBSHPEI = . ;
IF BSBSHCEI = 9                THEN BSBSHCEI = . ;
IF BSBSHWGO = 9                THEN BSBSHWGO = . ;
IF BSBSHEOH = 9                THEN BSBSHEOH = . ;
IF BSBSHITS = 9                THEN BSBSHITS = . ;
IF BSBSHMDL = 9                THEN BSBSHMDL = . ;
IF BSBSHPWC = 9                THEN BSBSHPWC = . ;
IF BSBSHROH = 9                THEN BSBSHROH = . ;
IF BSBSHLSP = 9                THEN BSBSHLSP = . ;
IF BSBSHWPO = 9                THEN BSBSHWPO = . ;
IF BSBSHBHC = 9                THEN BSBSHBHC = . ;
IF BSBSHHQT = 9                THEN BSBSHHQT = . ;
IF BSBGUSEC = 9                THEN BSBGUSEC = . ;
IF BSBGCHOM = 9                THEN BSBGCHOM = . ;
IF BSBGCSCH = 9                THEN BSBGCSCH = . ;
IF BSBGCLIB = 9                THEN BSBGCLIB = . ;
IF BSBGCFRH = 9                THEN BSBGCFRH = . ;
IF BSBGCCAF = 9                THEN BSBGCCAF = . ;
IF BSBGCELS = 9                THEN BSBGCELS = . ;
IF BSBMOINF = 9                THEN BSBMOINF = . ;
IF BSBSOINF = 9                THEN BSBSOINF = . ;
IF BSBGOREP = 9                THEN BSBGOREP = . ;
IF BSBGOPAD = 9                THEN BSBGOPAD = . ;
IF BSBGALBS = 9                THEN BSBGALBS = . ;
IF BSBGATTB = 9                THEN BSBGATTB = . ;
IF BSBGATCS = 9                THEN BSBGATCS = . ;
IF BSBGATSB = 9                THEN BSBGATSB = . ;
IF BSBGSTOL = 9                THEN BSBGSTOL = . ;
IF BSBGHURT = 9                THEN BSBGHURT = . ;
IF BSBGMADE = 9                THEN BSBGMADE = . ;
IF BSBGMFUN = 9                THEN BSBGMFUN = . ;
IF BSBGLEFT = 9                THEN BSBGLEFT = . ;
IF BSBGWATV = 9                THEN BSBGWATV = . ;
IF BSBGPLCG = 9                THEN BSBGPLCG = . ;
IF BSBGPLFD = 9                THEN BSBGPLFD = . ;
IF BSBGJOHM = 9                THEN BSBGJOHM = . ;
IF BSBGWKPJ = 9                THEN BSBGWKPJ = . ;
IF BSBGPLSP = 9                THEN BSBGPLSP = . ;
IF BSBGREBO = 9                THEN BSBGREBO = . ;
IF BSBGUSIN = 9                THEN BSBGUSIN = . ;
IF BSBGDOHW = 9                THEN BSBGDOHW = . ;
IF BSBMEXTO = 9                THEN BSBMEXTO = . ;
IF BSBSEXTO = 9                THEN BSBSEXTO = . ;
IF BSBMHWMA = 9                THEN BSBMHWMA = . ;
IF BSBMHWMG = 9                THEN BSBMHWMG = . ;
IF BSBSHWMA = 9                THEN BSBSHWMA = . ;
IF BSBSHWMG = 9                THEN BSBSHWMG = . ;
IF BSBGPLHO = 99               THEN BSBGPLHO = . ;
IF BSBGMBRN = 9                THEN BSBGMBRN = . ;
IF BSBGFBRN = 9                THEN BSBGFBRN = . ;
IF BSBGBORN = 9                THEN BSBGBORN = . ;
IF BSBGBRNC = 9                THEN BSBGBRNC = . ;
IF BSBBSBIO = 9                THEN BSBBSBIO = . ;
IF BSBBTWEL = 9                THEN BSBBTWEL = . ;
IF BSBBTMOR = 9                THEN BSBBTMOR = . ;
IF BSBBTCLM = 9                THEN BSBBTCLM = . ;
IF BSBBTENJ = 9                THEN BSBBTENJ = . ;
IF BSBBTTOP = 9                THEN BSBBTTOP = . ;
IF BSBBTSTR = 9                THEN BSBBTSTR = . ;
IF BSBBTQKY = 9                THEN BSBBTQKY = . ;
IF BSBBAHDL = 9                THEN BSBBAHDL = . ;
IF BSBBAOSS = 9                THEN BSBBAOSS = . ;
IF BSBBAUNI = 9                THEN BSBBAUNI = . ;
IF BSBBAJOB = 9                THEN BSBBAJOB = . ;
IF BSBBAGET = 9                THEN BSBBAGET = . ;
IF BSBBHDEI = 9                THEN BSBBHDEI = . ;
IF BSBBHFHP = 9                THEN BSBBHFHP = . ;
IF BSBBHPEI = 9                THEN BSBBHPEI = . ;
IF BSBBHCEI = 9                THEN BSBBHCEI = . ;
IF BSBBHWGO = 9                THEN BSBBHWGO = . ;
IF BSBBHEOH = 9                THEN BSBBHEOH = . ;
IF BSBBHITS = 9                THEN BSBBHITS = . ;
IF BSBBHMDL = 9                THEN BSBBHMDL = . ;
IF BSBBHPWC = 9                THEN BSBBHPWC = . ;
IF BSBBHROH = 9                THEN BSBBHROH = . ;
IF BSBBHLSP = 9                THEN BSBBHLSP = . ;
IF BSBBHWPO = 9                THEN BSBBHWPO = . ;
IF BSBBHBHC = 9                THEN BSBBHBHC = . ;
IF BSBBHHQT = 9                THEN BSBBHHQT = . ;
IF BSBEARTH = 9                THEN BSBEARTH = . ;
IF BSBETWEL = 9                THEN BSBETWEL = . ;
IF BSBETMOR = 9                THEN BSBETMOR = . ;
IF BSBETCLM = 9                THEN BSBETCLM = . ;
IF BSBETENJ = 9                THEN BSBETENJ = . ;
IF BSBETTOP = 9                THEN BSBETTOP = . ;
IF BSBETSTR = 9                THEN BSBETSTR = . ;
IF BSBETQKY = 9                THEN BSBETQKY = . ;
IF BSBEAHDL = 9                THEN BSBEAHDL = . ;
IF BSBEAOSS = 9                THEN BSBEAOSS = . ;
IF BSBEAUNI = 9                THEN BSBEAUNI = . ;
IF BSBEAJOB = 9                THEN BSBEAJOB = . ;
IF BSBEAGET = 9                THEN BSBEAGET = . ;
IF BSBEHDEI = 9                THEN BSBEHDEI = . ;
IF BSBEHFHP = 9                THEN BSBEHFHP = . ;
IF BSBEHPEI = 9                THEN BSBEHPEI = . ;
IF BSBEHCEI = 9                THEN BSBEHCEI = . ;
IF BSBEHWGO = 9                THEN BSBEHWGO = . ;
IF BSBEHEOH = 9                THEN BSBEHEOH = . ;
IF BSBEHITS = 9                THEN BSBEHITS = . ;
IF BSBEHMDL = 9                THEN BSBEHMDL = . ;
IF BSBEHPWC = 9                THEN BSBEHPWC = . ;
IF BSBEHROH = 9                THEN BSBEHROH = . ;
IF BSBEHLSP = 9                THEN BSBEHLSP = . ;
IF BSBEHWPO = 9                THEN BSBEHWPO = . ;
IF BSBEHBHC = 9                THEN BSBEHBHC = . ;
IF BSBEHHQT = 9                THEN BSBEHHQT = . ;
IF BSBCCHEM = 9                THEN BSBCCHEM = . ;
IF BSBCTWEL = 9                THEN BSBCTWEL = . ;
IF BSBCTMOR = 9                THEN BSBCTMOR = . ;
IF BSBCTCLM = 9                THEN BSBCTCLM = . ;
IF BSBCTENJ = 9                THEN BSBCTENJ = . ;
IF BSBCTTOP = 9                THEN BSBCTTOP = . ;
IF BSBCTSTR = 9                THEN BSBCTSTR = . ;
IF BSBCTQKY = 9                THEN BSBCTQKY = . ;
IF BSBCAHDL = 9                THEN BSBCAHDL = . ;
IF BSBCAOSS = 9                THEN BSBCAOSS = . ;
IF BSBCAUNI = 9                THEN BSBCAUNI = . ;
IF BSBCAJOB = 9                THEN BSBCAJOB = . ;
IF BSBCAGET = 9                THEN BSBCAGET = . ;
IF BSBCHDEI = 9                THEN BSBCHDEI = . ;
IF BSBCHFHP = 9                THEN BSBCHFHP = . ;
IF BSBCHPEI = 9                THEN BSBCHPEI = . ;
IF BSBCHCEI = 9                THEN BSBCHCEI = . ;
IF BSBCHWGO = 9                THEN BSBCHWGO = . ;
IF BSBCHEOH = 9                THEN BSBCHEOH = . ;
IF BSBCHITS = 9                THEN BSBCHITS = . ;
IF BSBCHMDL = 9                THEN BSBCHMDL = . ;
IF BSBCHPWC = 9                THEN BSBCHPWC = . ;
IF BSBCHROH = 9                THEN BSBCHROH = . ;
IF BSBCHLSP = 9                THEN BSBCHLSP = . ;
IF BSBCHWPO = 9                THEN BSBCHWPO = . ;
IF BSBCHBHC = 9                THEN BSBCHBHC = . ;
IF BSBCHHQT = 9                THEN BSBCHHQT = . ;
IF BSBPPHY  = 9                THEN BSBPPHY  = . ;
IF BSBPTWEL = 9                THEN BSBPTWEL = . ;
IF BSBPTMOR = 9                THEN BSBPTMOR = . ;
IF BSBPTCLM = 9                THEN BSBPTCLM = . ;
IF BSBPTENJ = 9                THEN BSBPTENJ = . ;
IF BSBPTTOP = 9                THEN BSBPTTOP = . ;
IF BSBPTSTR = 9                THEN BSBPTSTR = . ;
IF BSBPTQKY = 9                THEN BSBPTQKY = . ;
IF BSBPAHDL = 9                THEN BSBPAHDL = . ;
IF BSBPAOSS = 9                THEN BSBPAOSS = . ;
IF BSBPAUNI = 9                THEN BSBPAUNI = . ;
IF BSBPAJOB = 9                THEN BSBPAJOB = . ;
IF BSBPAGET = 9                THEN BSBPAGET = . ;
IF BSBPHDEI = 9                THEN BSBPHDEI = . ;
IF BSBPHFHP = 9                THEN BSBPHFHP = . ;
IF BSBPHPEI = 9                THEN BSBPHPEI = . ;
IF BSBPHCEI = 9                THEN BSBPHCEI = . ;
IF BSBPHWGO = 9                THEN BSBPHWGO = . ;
IF BSBPHEOH = 9                THEN BSBPHEOH = . ;
IF BSBPHITS = 9                THEN BSBPHITS = . ;
IF BSBPHMDL = 9                THEN BSBPHMDL = . ;
IF BSBPHPWC = 9                THEN BSBPHPWC = . ;
IF BSBPHROH = 9                THEN BSBPHROH = . ;
IF BSBPHLSP = 9                THEN BSBPHLSP = . ;
IF BSBPHWPO = 9                THEN BSBPHWPO = . ;
IF BSBPHBHC = 9                THEN BSBPHBHC = . ;
IF BSBPHHQT = 9                THEN BSBPHHQT = . ;
IF BSBBOINF = 9                THEN BSBBOINF = . ;
IF BSBEOINF = 9                THEN BSBEOINF = . ;
IF BSBCOINF = 9                THEN BSBCOINF = . ;
IF BSBPOINF = 9                THEN BSBPOINF = . ;
IF BSBMEXLS = 9                THEN BSBMEXLS = . ;
IF BSBBEXLS = 9                THEN BSBBEXLS = . ;
IF BSBEEXLS = 9                THEN BSBEEXLS = . ;
IF BSBCEXLS = 9                THEN BSBCEXLS = . ;
IF BSBPEXLS = 9                THEN BSBPEXLS = . ;
IF BSBMTGHW = 9                THEN BSBMTGHW = . ;
IF BSBBTGHW = 9                THEN BSBBTGHW = . ;
IF BSBETGHW = 9                THEN BSBETGHW = . ;
IF BSBCTGHW = 9                THEN BSBCTGHW = . ;
IF BSBPTGHW = 9                THEN BSBPTGHW = . ;
IF BSBMHWMI = 9                THEN BSBMHWMI = . ;
IF BSBBHWMI = 9                THEN BSBBHWMI = . ;
IF BSBEHWMI = 9                THEN BSBEHWMI = . ;
IF BSBCHWMI = 9                THEN BSBCHWMI = . ;
IF BSBPHWMI = 9                THEN BSBPHWMI = . ;
IF TOTWGT   = 999999           THEN TOTWGT   = . ;
IF HOUWGT   = 999999           THEN HOUWGT   = . ;
IF SENWGT   = 999999           THEN SENWGT   = . ;
IF WGTFAC1  = 999999           THEN WGTFAC1  = . ;
IF WGTADJ1  = 999999           THEN WGTADJ1  = . ;
IF WGTADJ2  = 999999           THEN WGTADJ2  = . ;
IF WGTFAC2  = 999999           THEN WGTFAC2  = . ;
IF WGTFAC3  = 999999           THEN WGTFAC3  = . ;
IF WGTADJ3  = 999999           THEN WGTADJ3  = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF BSMSTDR  = 9999             THEN BSMSTDR  = . ;
IF BSMNRSC  = 9999             THEN BSMNRSC  = . ;
IF BSMSCPT  = 99               THEN BSMSCPT  = . ;
IF BSSSTDR  = 9999             THEN BSSSTDR  = . ;
IF BSSNRSC  = 9999             THEN BSSNRSC  = . ;
IF BSSSCPT  = 99               THEN BSSSCPT  = . ;
IF BSMMAT01 = 999              THEN BSMMAT01 = . ;
IF BSMMAT02 = 999              THEN BSMMAT02 = . ;
IF BSMMAT03 = 999              THEN BSMMAT03 = . ;
IF BSMMAT04 = 999              THEN BSMMAT04 = . ;
IF BSMMAT05 = 999              THEN BSMMAT05 = . ;
IF BSMAPP01 = 999              THEN BSMAPP01 = . ;
IF BSMAPP02 = 999              THEN BSMAPP02 = . ;
IF BSMAPP03 = 999              THEN BSMAPP03 = . ;
IF BSMAPP04 = 999              THEN BSMAPP04 = . ;
IF BSMAPP05 = 999              THEN BSMAPP05 = . ;
IF BSMKNO01 = 999              THEN BSMKNO01 = . ;
IF BSMKNO02 = 999              THEN BSMKNO02 = . ;
IF BSMKNO03 = 999              THEN BSMKNO03 = . ;
IF BSMKNO04 = 999              THEN BSMKNO04 = . ;
IF BSMKNO05 = 999              THEN BSMKNO05 = . ;
IF BSMREA01 = 999              THEN BSMREA01 = . ;
IF BSMREA02 = 999              THEN BSMREA02 = . ;
IF BSMREA03 = 999              THEN BSMREA03 = . ;
IF BSMREA04 = 999              THEN BSMREA04 = . ;
IF BSMREA05 = 999              THEN BSMREA05 = . ;
IF BSSSCI01 = 999              THEN BSSSCI01 = . ;
IF BSSSCI02 = 999              THEN BSSSCI02 = . ;
IF BSSSCI03 = 999              THEN BSSSCI03 = . ;
IF BSSSCI04 = 999              THEN BSSSCI04 = . ;
IF BSSSCI05 = 999              THEN BSSSCI05 = . ;
IF BSMALG01 = 999              THEN BSMALG01 = . ;
IF BSMALG02 = 999              THEN BSMALG02 = . ;
IF BSMALG03 = 999              THEN BSMALG03 = . ;
IF BSMALG04 = 999              THEN BSMALG04 = . ;
IF BSMALG05 = 999              THEN BSMALG05 = . ;
IF BSMDAP01 = 999              THEN BSMDAP01 = . ;
IF BSMDAP02 = 999              THEN BSMDAP02 = . ;
IF BSMDAP03 = 999              THEN BSMDAP03 = . ;
IF BSMDAP04 = 999              THEN BSMDAP04 = . ;
IF BSMDAP05 = 999              THEN BSMDAP05 = . ;
IF BSMFNS01 = 999              THEN BSMFNS01 = . ;
IF BSMFNS02 = 999              THEN BSMFNS02 = . ;
IF BSMFNS03 = 999              THEN BSMFNS03 = . ;
IF BSMFNS04 = 999              THEN BSMFNS04 = . ;
IF BSMFNS05 = 999              THEN BSMFNS05 = . ;
IF BSMGEO01 = 999              THEN BSMGEO01 = . ;
IF BSMGEO02 = 999              THEN BSMGEO02 = . ;
IF BSMGEO03 = 999              THEN BSMGEO03 = . ;
IF BSMGEO04 = 999              THEN BSMGEO04 = . ;
IF BSMGEO05 = 999              THEN BSMGEO05 = . ;
IF BSMMEA01 = 999              THEN BSMMEA01 = . ;
IF BSMMEA02 = 999              THEN BSMMEA02 = . ;
IF BSMMEA03 = 999              THEN BSMMEA03 = . ;
IF BSMMEA04 = 999              THEN BSMMEA04 = . ;
IF BSMMEA05 = 999              THEN BSMMEA05 = . ;
IF BSSCHE01 = 999              THEN BSSCHE01 = . ;
IF BSSCHE02 = 999              THEN BSSCHE02 = . ;
IF BSSCHE03 = 999              THEN BSSCHE03 = . ;
IF BSSCHE04 = 999              THEN BSSCHE04 = . ;
IF BSSCHE05 = 999              THEN BSSCHE05 = . ;
IF BSSEAS01 = 999              THEN BSSEAS01 = . ;
IF BSSEAS02 = 999              THEN BSSEAS02 = . ;
IF BSSEAS03 = 999              THEN BSSEAS03 = . ;
IF BSSEAS04 = 999              THEN BSSEAS04 = . ;
IF BSSEAS05 = 999              THEN BSSEAS05 = . ;
IF BSSLIS01 = 999              THEN BSSLIS01 = . ;
IF BSSLIS02 = 999              THEN BSSLIS02 = . ;
IF BSSLIS03 = 999              THEN BSSLIS03 = . ;
IF BSSLIS04 = 999              THEN BSSLIS04 = . ;
IF BSSLIS05 = 999              THEN BSSLIS05 = . ;
IF BSSPHY01 = 999              THEN BSSPHY01 = . ;
IF BSSPHY02 = 999              THEN BSSPHY02 = . ;
IF BSSPHY03 = 999              THEN BSSPHY03 = . ;
IF BSSPHY04 = 999              THEN BSSPHY04 = . ;
IF BSSPHY05 = 999              THEN BSSPHY05 = . ;
IF BSSERI01 = 999              THEN BSSERI01 = . ;
IF BSSERI02 = 999              THEN BSSERI02 = . ;
IF BSSERI03 = 999              THEN BSSERI03 = . ;
IF BSSERI04 = 999              THEN BSSERI04 = . ;
IF BSSERI05 = 999              THEN BSSERI05 = . ;
IF BSDGEDUP = 9                THEN BSDGEDUP = . ;
IF BSDGASP  = 9                THEN BSDGASP  = . ;
IF BSDGCAVL = 9                THEN BSDGCAVL = . ;
IF BSDGPSS  = 9                THEN BSDGPSS  = . ;
IF BSDMHW   = 9                THEN BSDMHW   = . ;
IF BSDSHW   = 9                THEN BSDSHW   = . ;
IF BSDBHW   = 9                THEN BSDBHW   = . ;
IF BSDCHW   = 9                THEN BSDCHW   = . ;
IF BSDEHW   = 9                THEN BSDEHW   = . ;
IF BSDPHW   = 9                THEN BSDPHW   = . ;
IF BSDCSCL  = 9                THEN BSDCSCL  = . ;
IF BSDESCL  = 9                THEN BSDESCL  = . ;
IF BSDMSCL  = 9                THEN BSDMSCL  = . ;
IF BSDBSCL  = 9                THEN BSDBSCL  = . ;
IF BSDSSCL  = 9                THEN BSDSSCL  = . ;
IF BSDPSCL  = 9                THEN BSDPSCL  = . ;
IF BSDSSV   = 9                THEN BSDSSV   = . ;
IF BSDMSV   = 9                THEN BSDMSV   = . ;
IF BSDBSV   = 9                THEN BSDBSV   = . ;
IF BSDESV   = 9                THEN BSDESV   = . ;
IF BSDCSV   = 9                THEN BSDCSV   = . ;
IF BSDPSV   = 9                THEN BSDPSV   = . ;
IF BSMIBM01 = 9                THEN BSMIBM01 = . ;
IF BSMIBM02 = 9                THEN BSMIBM02 = . ;
IF BSMIBM03 = 9                THEN BSMIBM03 = . ;
IF BSMIBM04 = 9                THEN BSMIBM04 = . ;
IF BSMIBM05 = 9                THEN BSMIBM05 = . ;
IF BSSIBM01 = 9                THEN BSSIBM01 = . ;
IF BSSIBM02 = 9                THEN BSSIBM02 = . ;
IF BSSIBM03 = 9                THEN BSSIBM03 = . ;
IF BSSIBM04 = 9                THEN BSSIBM04 = . ;
IF BSSIBM05 = 9                THEN BSSIBM05 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;

