**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= BSR&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDSCORR    3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      M032693    3 ;
LENGTH      MI32693    3 ;
LENGTH      MR32693    3 ;
LENGTH      M022202    3 ;
LENGTH      MI22202    3 ;
LENGTH      MR22202    3 ;
LENGTH      M022148    3 ;
LENGTH      MI22148    3 ;
LENGTH      MR22148    3 ;
LENGTH      M022253    3 ;
LENGTH      MI22253    3 ;
LENGTH      MR22253    3 ;
LENGTH      M022156    3 ;
LENGTH      MI22156    3 ;
LENGTH      MR22156    3 ;
LENGTH      M022008    3 ;
LENGTH      MI22008    3 ;
LENGTH      MR22008    3 ;
LENGTH      M022012    3 ;
LENGTH      MI22012    3 ;
LENGTH      MR22012    3 ;
LENGTH      M022261A   3 ;
LENGTH      MI22261A   3 ;
LENGTH      MR22261A   3 ;
LENGTH      M022261B   3 ;
LENGTH      MI22261B   3 ;
LENGTH      MR22261B   3 ;
LENGTH      M022261C   3 ;
LENGTH      MI22261C   3 ;
LENGTH      MR22261C   3 ;
LENGTH      M022227A   3 ;
LENGTH      MI22227A   3 ;
LENGTH      MR22227A   3 ;
LENGTH      M022227B   3 ;
LENGTH      MI22227B   3 ;
LENGTH      MR22227B   3 ;
LENGTH      M022227C   3 ;
LENGTH      MI22227C   3 ;
LENGTH      MR22227C   3 ;
LENGTH      M022046    3 ;
LENGTH      MI22046    3 ;
LENGTH      MR22046    3 ;
LENGTH      M022055    3 ;
LENGTH      MI22055    3 ;
LENGTH      MR22055    3 ;
LENGTH      M022232    3 ;
LENGTH      MI22232    3 ;
LENGTH      MR22232    3 ;
LENGTH      M022234A   3 ;
LENGTH      MI22234A   3 ;
LENGTH      MR22234A   3 ;
LENGTH      M022234B   3 ;
LENGTH      MI22234B   3 ;
LENGTH      MR22234B   3 ;
LENGTH      M022243    3 ;
LENGTH      MI22243    3 ;
LENGTH      MR22243    3 ;
LENGTH      M022106    3 ;
LENGTH      MI22106    3 ;
LENGTH      MR22106    3 ;
LENGTH      M022110    3 ;
LENGTH      MI22110    3 ;
LENGTH      MR22110    3 ;
LENGTH      M032307    3 ;
LENGTH      MI32307    3 ;
LENGTH      MR32307    3 ;
LENGTH      M032691    3 ;
LENGTH      MI32691    3 ;
LENGTH      MR32691    3 ;
LENGTH      M032640    3 ;
LENGTH      MI32640    3 ;
LENGTH      MR32640    3 ;
LENGTH      M032344    3 ;
LENGTH      MI32344    3 ;
LENGTH      MR32344    3 ;
LENGTH      M032754    3 ;
LENGTH      MI32754    3 ;
LENGTH      MR32754    3 ;
LENGTH      M032755    3 ;
LENGTH      MI32755    3 ;
LENGTH      MR32755    3 ;
LENGTH      M032753A   3 ;
LENGTH      MI32753A   3 ;
LENGTH      MR32753A   3 ;
LENGTH      M032753B   3 ;
LENGTH      MI32753B   3 ;
LENGTH      MR32753B   3 ;
LENGTH      M032753C   3 ;
LENGTH      MI32753C   3 ;
LENGTH      MR32753C   3 ;
LENGTH      M032756    3 ;
LENGTH      MI32756    3 ;
LENGTH      MR32756    3 ;
LENGTH      M032381    3 ;
LENGTH      MI32381    3 ;
LENGTH      MR32381    3 ;
LENGTH      M032414    3 ;
LENGTH      MI32414    3 ;
LENGTH      MR32414    3 ;
LENGTH      M032688    3 ;
LENGTH      MI32688    3 ;
LENGTH      MR32688    3 ;
LENGTH      M032637A   3 ;
LENGTH      MI32637A   3 ;
LENGTH      MR32637A   3 ;
LENGTH      M032637B   3 ;
LENGTH      MI32637B   3 ;
LENGTH      MR32637B   3 ;
LENGTH      M032637C   3 ;
LENGTH      MI32637C   3 ;
LENGTH      MR32637C   3 ;
LENGTH      M032652    3 ;
LENGTH      MI32652    3 ;
LENGTH      MR32652    3 ;
LENGTH      M032545    3 ;
LENGTH      MI32545    3 ;
LENGTH      MR32545    3 ;
LENGTH      M032649A   3 ;
LENGTH      MI32649A   3 ;
LENGTH      MR32649A   3 ;
LENGTH      M032649B   3 ;
LENGTH      MI32649B   3 ;
LENGTH      MR32649B   3 ;
LENGTH      M032403    3 ;
LENGTH      MI32403    3 ;
LENGTH      MR32403    3 ;
LENGTH      M032671    3 ;
LENGTH      MI32671    3 ;
LENGTH      MR32671    3 ;
LENGTH      M032557    3 ;
LENGTH      MI32557    3 ;
LENGTH      MR32557    3 ;
LENGTH      M032762    3 ;
LENGTH      MI32762    3 ;
LENGTH      MR32762    3 ;
LENGTH      M032763    3 ;
LENGTH      MI32763    3 ;
LENGTH      MR32763    3 ;
LENGTH      M032764    3 ;
LENGTH      MI32764    3 ;
LENGTH      MR32764    3 ;
LENGTH      M032064    3 ;
LENGTH      MI32064    3 ;
LENGTH      MR32064    3 ;
LENGTH      M032538    3 ;
LENGTH      MI32538    3 ;
LENGTH      MR32538    3 ;
LENGTH      M032734    3 ;
LENGTH      MI32734    3 ;
LENGTH      MR32734    3 ;
LENGTH      M032695    3 ;
LENGTH      MI32695    3 ;
LENGTH      MR32695    3 ;
LENGTH      M032725    3 ;
LENGTH      MI32725    3 ;
LENGTH      MR32725    3 ;
LENGTH      M032683    3 ;
LENGTH      MI32683    3 ;
LENGTH      MR32683    3 ;
LENGTH      M032681A   3 ;
LENGTH      MI32681A   3 ;
LENGTH      MR32681A   3 ;
LENGTH      M032681B   3 ;
LENGTH      MI32681B   3 ;
LENGTH      MR32681B   3 ;
LENGTH      M032681C   3 ;
LENGTH      MI32681C   3 ;
LENGTH      MR32681C   3 ;
LENGTH      M032743    3 ;
LENGTH      MI32743    3 ;
LENGTH      MR32743    3 ;
LENGTH      M032744    3 ;
LENGTH      MI32744    3 ;
LENGTH      MR32744    3 ;
LENGTH      M032745    3 ;
LENGTH      MI32745    3 ;
LENGTH      MR32745    3 ;
LENGTH      M032233    3 ;
LENGTH      MI32233    3 ;
LENGTH      MR32233    3 ;
LENGTH      M032757    3 ;
LENGTH      MI32757    3 ;
LENGTH      MR32757    3 ;
LENGTH      M032760A   3 ;
LENGTH      MI32760A   3 ;
LENGTH      MR32760A   3 ;
LENGTH      M032760B   3 ;
LENGTH      MI32760B   3 ;
LENGTH      MR32760B   3 ;
LENGTH      M032760C   3 ;
LENGTH      MI32760C   3 ;
LENGTH      MR32760C   3 ;
LENGTH      M032761    3 ;
LENGTH      MI32761    3 ;
LENGTH      MR32761    3 ;
LENGTH      M032692    3 ;
LENGTH      MI32692    3 ;
LENGTH      MR32692    3 ;
LENGTH      S022035    3 ;
LENGTH      SI22035    3 ;
LENGTH      SR22035    3 ;
LENGTH      S022160    3 ;
LENGTH      SI22160    3 ;
LENGTH      SR22160    3 ;
LENGTH      S032131    3 ;
LENGTH      SI32131    3 ;
LENGTH      SR32131    3 ;
LENGTH      S032202    3 ;
LENGTH      SI32202    3 ;
LENGTH      SR32202    3 ;
LENGTH      S022086    3 ;
LENGTH      SI22086    3 ;
LENGTH      SR22086    3 ;
LENGTH      S022283    3 ;
LENGTH      SI22283    3 ;
LENGTH      SR22283    3 ;
LENGTH      S022152    3 ;
LENGTH      SI22152    3 ;
LENGTH      SR22152    3 ;
LENGTH      S022154    3 ;
LENGTH      SI22154    3 ;
LENGTH      SR22154    3 ;
LENGTH      S022161    3 ;
LENGTH      SI22161    3 ;
LENGTH      SR22161    3 ;
LENGTH      S022191    3 ;
LENGTH      SI22191    3 ;
LENGTH      SR22191    3 ;
LENGTH      S022279    3 ;
LENGTH      SI22279    3 ;
LENGTH      SR22279    3 ;
LENGTH      S022088A   3 ;
LENGTH      SI22088A   3 ;
LENGTH      SR22088A   3 ;
LENGTH      S022088B   3 ;
LENGTH      SI22088B   3 ;
LENGTH      SR22088B   3 ;
LENGTH      S022249A   3 ;
LENGTH      S022249B   3 ;
LENGTH      SI22249A   3 ;
LENGTH      SI22249B   3 ;
LENGTH      SR22249A   3 ;
LENGTH      SR22249B   3 ;
LENGTH      S022286    3 ;
LENGTH      SI22286    3 ;
LENGTH      SR22286    3 ;
LENGTH      S032625A   3 ;
LENGTH      S032625B   3 ;
LENGTH      SI32625A   3 ;
LENGTH      SI32625B   3 ;
LENGTH      SR32625A   3 ;
LENGTH      SR32625B   3 ;
LENGTH      S022022    3 ;
LENGTH      SI22022    3 ;
LENGTH      SR22022    3 ;
LENGTH      S022244    3 ;
LENGTH      SI22244    3 ;
LENGTH      SR22244    3 ;
LENGTH      S022289    3 ;
LENGTH      SI22289    3 ;
LENGTH      SR22289    3 ;
LENGTH      S022069    3 ;
LENGTH      SI22069    3 ;
LENGTH      SR22069    3 ;
LENGTH      S022268    3 ;
LENGTH      SI22268    3 ;
LENGTH      SR22268    3 ;
LENGTH      S022292    3 ;
LENGTH      SI22292    3 ;
LENGTH      SR22292    3 ;
LENGTH      S022078    3 ;
LENGTH      SI22078    3 ;
LENGTH      SR22078    3 ;
LENGTH      S022281    3 ;
LENGTH      SI22281    3 ;
LENGTH      SR22281    3 ;
LENGTH      S032519    3 ;
LENGTH      SI32519    3 ;
LENGTH      SR32519    3 ;
LENGTH      S032120A   3 ;
LENGTH      SI32120A   3 ;
LENGTH      SR32120A   3 ;
LENGTH      S032120B   3 ;
LENGTH      SI32120B   3 ;
LENGTH      SR32120B   3 ;
LENGTH      S032015    3 ;
LENGTH      SI32015    3 ;
LENGTH      SR32015    3 ;
LENGTH      S032310A   3 ;
LENGTH      S032310B   3 ;
LENGTH      SI32310A   3 ;
LENGTH      SI32310B   3 ;
LENGTH      SR32310A   3 ;
LENGTH      SR32310B   3 ;
LENGTH      S032680    3 ;
LENGTH      SI32680    3 ;
LENGTH      SR32680    3 ;
LENGTH      S032555    3 ;
LENGTH      SI32555    3 ;
LENGTH      SR32555    3 ;
LENGTH      S032122    3 ;
LENGTH      SI32122    3 ;
LENGTH      SR32122    3 ;
LENGTH      S032530A   3 ;
LENGTH      S032530B   3 ;
LENGTH      SI32530A   3 ;
LENGTH      SI32530B   3 ;
LENGTH      SR32530A   3 ;
LENGTH      SR32530B   3 ;
LENGTH      S032007    3 ;
LENGTH      SI32007    3 ;
LENGTH      SR32007    3 ;
LENGTH      S032679    3 ;
LENGTH      SI32679    3 ;
LENGTH      SR32679    3 ;
LENGTH      S032651A   3 ;
LENGTH      SI32651A   3 ;
LENGTH      SR32651A   3 ;
LENGTH      S032651B   3 ;
LENGTH      SI32651B   3 ;
LENGTH      SR32651B   3 ;
LENGTH      S032665A   3 ;
LENGTH      SI32665A   3 ;
LENGTH      SR32665A   3 ;
LENGTH      S032665B   3 ;
LENGTH      SI32665B   3 ;
LENGTH      SR32665B   3 ;
LENGTH      S032665C   3 ;
LENGTH      SI32665C   3 ;
LENGTH      SR32665C   3 ;
LENGTH      S032063    3 ;
LENGTH      SI32063    3 ;
LENGTH      SR32063    3 ;
LENGTH      S032206    3 ;
LENGTH      SI32206    3 ;
LENGTH      SR32206    3 ;
LENGTH      S032057    3 ;
LENGTH      SI32057    3 ;
LENGTH      SR32057    3 ;
LENGTH      S032626    3 ;
LENGTH      SI32626    3 ;
LENGTH      SR32626    3 ;
LENGTH      S032242    3 ;
LENGTH      SI32242    3 ;
LENGTH      SR32242    3 ;
LENGTH      S032709    3 ;
LENGTH      SI32709    3 ;
LENGTH      SR32709    3 ;
LENGTH      S032711    3 ;
LENGTH      SI32711    3 ;
LENGTH      SR32711    3 ;
LENGTH      S032712A   3 ;
LENGTH      SI32712A   3 ;
LENGTH      SR32712A   3 ;
LENGTH      S032712B   3 ;
LENGTH      SI32712B   3 ;
LENGTH      SR32712B   3 ;
LENGTH      S032713A   3 ;
LENGTH      SI32713A   3 ;
LENGTH      SR32713A   3 ;
LENGTH      S032713B   3 ;
LENGTH      SI32713B   3 ;
LENGTH      SR32713B   3 ;
LENGTH      S032306    3 ;
LENGTH      SI32306    3 ;
LENGTH      SR32306    3 ;
LENGTH      S032640    3 ;
LENGTH      SI32640    3 ;
LENGTH      SR32640    3 ;
LENGTH      S032570    3 ;
LENGTH      SI32570    3 ;
LENGTH      SR32570    3 ;
LENGTH      S032272    3 ;
LENGTH      SI32272    3 ;
LENGTH      SR32272    3 ;
LENGTH      S032060    3 ;
LENGTH      SI32060    3 ;
LENGTH      SR32060    3 ;
LENGTH      S032650A   3 ;
LENGTH      S032650B   3 ;
LENGTH      SI32650A   3 ;
LENGTH      SI32650B   3 ;
LENGTH      SR32650A   3 ;
LENGTH      SR32650B   3 ;
LENGTH      S032614    3 ;
LENGTH      SI32614    3 ;
LENGTH      SR32614    3 ;
LENGTH      S032451    3 ;
LENGTH      SI32451    3 ;
LENGTH      SR32451    3 ;
LENGTH      S032056    3 ;
LENGTH      SI32056    3 ;
LENGTH      SR32056    3 ;
LENGTH      S032369    3 ;
LENGTH      SI32369    3 ;
LENGTH      SR32369    3 ;
LENGTH      S032126    3 ;
LENGTH      SI32126    3 ;
LENGTH      SR32126    3 ;
LENGTH      S032532    3 ;
LENGTH      SI32532    3 ;
LENGTH      SR32532    3 ;
LENGTH      S032562    3 ;
LENGTH      SI32562    3 ;
LENGTH      SR32562    3 ;
LENGTH      S032375    3 ;
LENGTH      SI32375    3 ;
LENGTH      SR32375    3 ;
LENGTH      S032704    3 ;
LENGTH      SI32704    3 ;
LENGTH      SR32704    3 ;
LENGTH      S032705A   3 ;
LENGTH      SI32705A   3 ;
LENGTH      SR32705A   3 ;
LENGTH      S032705B   3 ;
LENGTH      SI32705B   3 ;
LENGTH      SR32705B   3 ;
LENGTH      S032706A   3 ;
LENGTH      SI32706A   3 ;
LENGTH      SR32706A   3 ;
LENGTH      S032706B   3 ;
LENGTH      SI32706B   3 ;
LENGTH      SR32706B   3 ;
LENGTH      S032707    3 ;
LENGTH      SI32707    3 ;
LENGTH      SR32707    3 ;
LENGTH      S032565    3 ;
LENGTH      SI32565    3 ;
LENGTH      SR32565    3 ;
LENGTH      S032019A   3 ;
LENGTH      SI32019A   3 ;
LENGTH      SR32019A   3 ;
LENGTH      S032019B   3 ;
LENGTH      SI32019B   3 ;
LENGTH      SR32019B   3 ;
LENGTH      S032516    3 ;
LENGTH      SI32516    3 ;
LENGTH      SR32516    3 ;
LENGTH      S032693A   3 ;
LENGTH      SI32693A   3 ;
LENGTH      SR32693A   3 ;
LENGTH      S032693B   3 ;
LENGTH      SI32693B   3 ;
LENGTH      SR32693B   3 ;
LENGTH      S032695    3 ;
LENGTH      SI32695    3 ;
LENGTH      SR32695    3 ;
LENGTH      S032697A   3 ;
LENGTH      S032697B   3 ;
LENGTH      SI32697A   3 ;
LENGTH      SI32697B   3 ;
LENGTH      SR32697A   3 ;
LENGTH      SR32697B   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDCLASS      11-  16     
  IDSTUD       17-  24     
  IDBOOK       25-  26     
  IDSCORR      27-  29     
  IDGRADE      30-  31     
  IDGRADER     32-  32     
  INTMS03      33-  33     
  INTMS99      34-  34     
  INTMS95      35-  35     
  M032693      36-  37     
  MI32693      38-  38     
  MR32693      39-  40     
  M022202      41-  42     
  MI22202      43-  43     
  MR22202      44-  45     
  M022148      46-  47     
  MI22148      48-  48     
  MR22148      49-  50     
  M022253      51-  52     
  MI22253      53-  53     
  MR22253      54-  55     
  M022156      56-  57     
  MI22156      58-  58     
  MR22156      59-  60     
  M022008      61-  62     
  MI22008      63-  63     
  MR22008      64-  65     
  M022012      66-  67     
  MI22012      68-  68     
  MR22012      69-  70     
  M022261A     71-  72     
  MI22261A     73-  73     
  MR22261A     74-  75     
  M022261B     76-  77     
  MI22261B     78-  78     
  MR22261B     79-  80     
  M022261C     81-  82     
  MI22261C     83-  83     
  MR22261C     84-  85     
  M022227A     86-  87     
  MI22227A     88-  88     
  MR22227A     89-  90     
  M022227B     91-  92     
  MI22227B     93-  93     
  MR22227B     94-  95     
  M022227C     96-  97     
  MI22227C     98-  98     
  MR22227C     99- 100     
  M022046     101- 102     
  MI22046     103- 103     
  MR22046     104- 105     
  M022055     106- 107     
  MI22055     108- 108     
  MR22055     109- 110     
  M022232     111- 112     
  MI22232     113- 113     
  MR22232     114- 115     
  M022234A    116- 117     
  MI22234A    118- 118     
  MR22234A    119- 120     
  M022234B    121- 122     
  MI22234B    123- 123     
  MR22234B    124- 125     
  M022243     126- 127     
  MI22243     128- 128     
  MR22243     129- 130     
  M022106     131- 132     
  MI22106     133- 133     
  MR22106     134- 135     
  M022110     136- 137     
  MI22110     138- 138     
  MR22110     139- 140     
  M032307     141- 142     
  MI32307     143- 143     
  MR32307     144- 145     
  M032691     146- 147     
  MI32691     148- 148     
  MR32691     149- 150     
  M032640     151- 152     
  MI32640     153- 153     
  MR32640     154- 155     
  M032344     156- 157     
  MI32344     158- 158     
  MR32344     159- 160     
  M032754     161- 162     
  MI32754     163- 163     
  MR32754     164- 165     
  M032755     166- 167     
  MI32755     168- 168     
  MR32755     169- 170     
  M032753A    171- 172     
  MI32753A    173- 173     
  MR32753A    174- 175     
  M032753B    176- 177     
  MI32753B    178- 178     
  MR32753B    179- 180     
  M032753C    181- 182     
  MI32753C    183- 183     
  MR32753C    184- 185     
  M032756     186- 187     
  MI32756     188- 188     
  MR32756     189- 190     
  M032381     191- 192     
  MI32381     193- 193     
  MR32381     194- 195     
  M032414     196- 197     
  MI32414     198- 198     
  MR32414     199- 200     
  M032688     201- 202     
  MI32688     203- 203     
  MR32688     204- 205     
  M032637A    206- 207     
  MI32637A    208- 208     
  MR32637A    209- 210     
  M032637B    211- 212     
  MI32637B    213- 213     
  MR32637B    214- 215     
  M032637C    216- 217     
  MI32637C    218- 218     
  MR32637C    219- 220     
  M032652     221- 222     
  MI32652     223- 223     
  MR32652     224- 225     
  M032545     226- 227     
  MI32545     228- 228     
  MR32545     229- 230     
  M032649A    231- 232     
  MI32649A    233- 233     
  MR32649A    234- 235     
  M032649B    236- 237     
  MI32649B    238- 238     
  MR32649B    239- 240     
  M032403     241- 242     
  MI32403     243- 243     
  MR32403     244- 245     
  M032671     246- 247     
  MI32671     248- 248     
  MR32671     249- 250     
  M032557     251- 252     
  MI32557     253- 253     
  MR32557     254- 255     
  M032762     256- 257     
  MI32762     258- 258     
  MR32762     259- 260     
  M032763     261- 262     
  MI32763     263- 263     
  MR32763     264- 265     
  M032764     266- 267     
  MI32764     268- 268     
  MR32764     269- 270     
  M032064     271- 272     
  MI32064     273- 273     
  MR32064     274- 275     
  M032538     276- 277     
  MI32538     278- 278     
  MR32538     279- 280     
  M032734     281- 282     
  MI32734     283- 283     
  MR32734     284- 285     
  M032695     286- 287     
  MI32695     288- 288     
  MR32695     289- 290     
  M032725     291- 292     
  MI32725     293- 293     
  MR32725     294- 295     
  M032683     296- 297     
  MI32683     298- 298     
  MR32683     299- 300     
  M032681A    301- 302     
  MI32681A    303- 303     
  MR32681A    304- 305     
  M032681B    306- 307     
  MI32681B    308- 308     
  MR32681B    309- 310     
  M032681C    311- 312     
  MI32681C    313- 313     
  MR32681C    314- 315     
  M032743     316- 317     
  MI32743     318- 318     
  MR32743     319- 320     
  M032744     321- 322     
  MI32744     323- 323     
  MR32744     324- 325     
  M032745     326- 327     
  MI32745     328- 328     
  MR32745     329- 330     
  M032233     331- 332     
  MI32233     333- 333     
  MR32233     334- 335     
  M032757     336- 337     
  MI32757     338- 338     
  MR32757     339- 340     
  M032760A    341- 342     
  MI32760A    343- 343     
  MR32760A    344- 345     
  M032760B    346- 347     
  MI32760B    348- 348     
  MR32760B    349- 350     
  M032760C    351- 352     
  MI32760C    353- 353     
  MR32760C    354- 355     
  M032761     356- 357     
  MI32761     358- 358     
  MR32761     359- 360     
  M032692     361- 362     
  MI32692     363- 363     
  MR32692     364- 365     
  S022035     366- 367     
  SI22035     368- 368     
  SR22035     369- 370     
  S022160     371- 372     
  SI22160     373- 373     
  SR22160     374- 375     
  S032131     376- 377     
  SI32131     378- 378     
  SR32131     379- 380     
  S032202     381- 382     
  SI32202     383- 383     
  SR32202     384- 385     
  S022086     386- 387     
  SI22086     388- 388     
  SR22086     389- 390     
  S022283     391- 392     
  SI22283     393- 393     
  SR22283     394- 395     
  S022152     396- 397     
  SI22152     398- 398     
  SR22152     399- 400     
  S022154     401- 402     
  SI22154     403- 403     
  SR22154     404- 405     
  S022161     406- 407     
  SI22161     408- 408     
  SR22161     409- 410     
  S022191     411- 412     
  SI22191     413- 413     
  SR22191     414- 415     
  S022279     416- 417     
  SI22279     418- 418     
  SR22279     419- 420     
  S022088A    421- 422     
  SI22088A    423- 423     
  SR22088A    424- 425     
  S022088B    426- 427     
  SI22088B    428- 428     
  SR22088B    429- 430     
  S022249A    431- 432     
  S022249B    433- 434     
  SI22249A    435- 435     
  SI22249B    436- 436     
  SR22249A    437- 438     
  SR22249B    439- 440     
  S022286     441- 442     
  SI22286     443- 443     
  SR22286     444- 445     
  S032625A    446- 447     
  S032625B    448- 449     
  SI32625A    450- 450     
  SI32625B    451- 451     
  SR32625A    452- 453     
  SR32625B    454- 455     
  S022022     456- 457     
  SI22022     458- 458     
  SR22022     459- 460     
  S022244     461- 462     
  SI22244     463- 463     
  SR22244     464- 465     
  S022289     466- 467     
  SI22289     468- 468     
  SR22289     469- 470     
  S022069     471- 472     
  SI22069     473- 473     
  SR22069     474- 475     
  S022268     476- 477     
  SI22268     478- 478     
  SR22268     479- 480     
  S022292     481- 482     
  SI22292     483- 483     
  SR22292     484- 485     
  S022078     486- 487     
  SI22078     488- 488     
  SR22078     489- 490     
  S022281     491- 492     
  SI22281     493- 493     
  SR22281     494- 495     
  S032519     496- 497     
  SI32519     498- 498     
  SR32519     499- 500     
  S032120A    501- 502     
  SI32120A    503- 503     
  SR32120A    504- 505     
  S032120B    506- 507     
  SI32120B    508- 508     
  SR32120B    509- 510     
  S032015     511- 512     
  SI32015     513- 513     
  SR32015     514- 515     
  S032310A    516- 517     
  S032310B    518- 519     
  SI32310A    520- 520     
  SI32310B    521- 521     
  SR32310A    522- 523     
  SR32310B    524- 525     
  S032680     526- 527     
  SI32680     528- 528     
  SR32680     529- 530     
  S032555     531- 532     
  SI32555     533- 533     
  SR32555     534- 535     
  S032122     536- 537     
  SI32122     538- 538     
  SR32122     539- 540     
  S032530A    541- 542     
  S032530B    543- 544     
  SI32530A    545- 545     
  SI32530B    546- 546     
  SR32530A    547- 548     
  SR32530B    549- 550     
  S032007     551- 552     
  SI32007     553- 553     
  SR32007     554- 555     
  S032679     556- 557     
  SI32679     558- 558     
  SR32679     559- 560     
  S032651A    561- 562     
  SI32651A    563- 563     
  SR32651A    564- 565     
  S032651B    566- 567     
  SI32651B    568- 568     
  SR32651B    569- 570     
  S032665A    571- 572     
  SI32665A    573- 573     
  SR32665A    574- 575     
  S032665B    576- 577     
  SI32665B    578- 578     
  SR32665B    579- 580     
  S032665C    581- 582     
  SI32665C    583- 583     
  SR32665C    584- 585     
  S032063     586- 587     
  SI32063     588- 588     
  SR32063     589- 590     
  S032206     591- 592     
  SI32206     593- 593     
  SR32206     594- 595     
  S032057     596- 597     
  SI32057     598- 598     
  SR32057     599- 600     
  S032626     601- 602     
  SI32626     603- 603     
  SR32626     604- 605     
  S032242     606- 607     
  SI32242     608- 608     
  SR32242     609- 610     
  S032709     611- 612     
  SI32709     613- 613     
  SR32709     614- 615     
  S032711     616- 617     
  SI32711     618- 618     
  SR32711     619- 620     
  S032712A    621- 622     
  SI32712A    623- 623     
  SR32712A    624- 625     
  S032712B    626- 627     
  SI32712B    628- 628     
  SR32712B    629- 630     
  S032713A    631- 632     
  SI32713A    633- 633     
  SR32713A    634- 635     
  S032713B    636- 637     
  SI32713B    638- 638     
  SR32713B    639- 640     
  S032306     641- 642     
  SI32306     643- 643     
  SR32306     644- 645     
  S032640     646- 647     
  SI32640     648- 648     
  SR32640     649- 650     
  S032570     651- 652     
  SI32570     653- 653     
  SR32570     654- 655     
  S032272     656- 657     
  SI32272     658- 658     
  SR32272     659- 660     
  S032060     661- 662     
  SI32060     663- 663     
  SR32060     664- 665     
  S032650A    666- 667     
  S032650B    668- 669     
  SI32650A    670- 670     
  SI32650B    671- 671     
  SR32650A    672- 673     
  SR32650B    674- 675     
  S032614     676- 677     
  SI32614     678- 678     
  SR32614     679- 680     
  S032451     681- 682     
  SI32451     683- 683     
  SR32451     684- 685     
  S032056     686- 687     
  SI32056     688- 688     
  SR32056     689- 690     
  S032369     691- 692     
  SI32369     693- 693     
  SR32369     694- 695     
  S032126     696- 697     
  SI32126     698- 698     
  SR32126     699- 700     
  S032532     701- 702     
  SI32532     703- 703     
  SR32532     704- 705     
  S032562     706- 707     
  SI32562     708- 708     
  SR32562     709- 710     
  S032375     711- 712     
  SI32375     713- 713     
  SR32375     714- 715     
  S032704     716- 717     
  SI32704     718- 718     
  SR32704     719- 720     
  S032705A    721- 722     
  SI32705A    723- 723     
  SR32705A    724- 725     
  S032705B    726- 727     
  SI32705B    728- 728     
  SR32705B    729- 730     
  S032706A    731- 732     
  SI32706A    733- 733     
  SR32706A    734- 735     
  S032706B    736- 737     
  SI32706B    738- 738     
  SR32706B    739- 740     
  S032707     741- 742     
  SI32707     743- 743     
  SR32707     744- 745     
  S032565     746- 747     
  SI32565     748- 748     
  SR32565     749- 750     
  S032019A    751- 752     
  SI32019A    753- 753     
  SR32019A    754- 755     
  S032019B    756- 757     
  SI32019B    758- 758     
  SR32019B    759- 760     
  S032516     761- 762     
  SI32516     763- 763     
  SR32516     764- 765     
  S032693A    766- 767     
  SI32693A    768- 768     
  SR32693A    769- 770     
  S032693B    771- 772     
  SI32693B    773- 773     
  SR32693B    774- 775     
  S032695     776- 777     
  SI32695     778- 778     
  SR32695     779- 780     
  S032697A    781- 782     
  S032697B    783- 784     
  SI32697A    785- 785     
  SI32697B    786- 786     
  SR32697A    787- 788     
  SR32697B    789- 790     
  DPCDATE     791- 796     
;


%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDBOOK   = "*BOOKLET ID*"
  IDSCORR  = "*RELIABILITY SCORER*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  M032693  = "THE ANGLE BY A REGULAR HEXAGON (1)"
  MI32693  = "THE ANGLE BY A REGULAR HEXAGON (1)"
  MR32693  = "THE ANGLE BY A REGULAR HEXAGON (1)"
  M022202  = "MEASURE OF ANGLE IN ADJACENT ANGLES (1)"
  MI22202  = "MEASURE OF ANGLE IN ADJACENT ANGLES (1)"
  MR22202  = "MEASURE OF ANGLE IN ADJACENT ANGLES (1)"
  M022148  = "TIME WHEN FINISH HOMEWORK (1)"
  MI22148  = "TIME WHEN FINISH HOMEWORK (1)"
  MR22148  = "TIME WHEN FINISH HOMEWORK (1)"
  M022253  = "SOLVE EQUATION FOR X (1)"
  MI22253  = "SOLVE EQUATION FOR X (1)"
  MR22253  = "SOLVE EQUATION FOR X (1)"
  M022156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG (1)"
  MI22156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG (1)"
  MR22156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG (1)"
  M022008  = "NUMBERS IN SEQUENCE INCREASING BY 4 (1)"
  MI22008  = "NUMBERS IN SEQUENCE INCREASING BY 4 (1)"
  MR22008  = "NUMBERS IN SEQUENCE INCREASING BY 4 (1)"
  M022012  = "FRACTION LESS THAN 4/9 (1)"
  MI22012  = "FRACTION LESS THAN 4/9 (1)"
  MR22012  = "FRACTION LESS THAN 4/9 (1)"
  M022261A = "SEQUENCE FIG WITH TRIANGL/FILL TABLE (1)"
  MI22261A = "SEQUENCE FIG WITH TRIANGL/FILL TABLE (1)"
  MR22261A = "SEQUENCE FIG WITH TRIANGL/FILL TABLE (1)"
  M022261B = "SEQUENCE FIG WITH TRIANGL/7TH FIGURE (1)"
  MI22261B = "SEQUENCE FIG WITH TRIANGL/7TH FIGURE (1)"
  MR22261B = "SEQUENCE FIG WITH TRIANGL/7TH FIGURE (1)"
  M022261C = "SEQUENCE FIG WITH TRIANGL/50TH FIGUR (2)"
  MI22261C = "SEQUENCE FIG WITH TRIANGL/50TH FIGUR (2)"
  MR22261C = "SEQUENCE FIG WITH TRIANGL/50TH FIGUR (2)"
  M022227A = "5 SQUARES/AREA OF ONE SQUARE (1)"
  MI22227A = "5 SQUARES/AREA OF ONE SQUARE (1)"
  MR22227A = "5 SQUARES/AREA OF ONE SQUARE (1)"
  M022227B = "5 SQUARES/LENGTH OF ONE SIDE (1)"
  MI22227B = "5 SQUARES/LENGTH OF ONE SIDE (1)"
  MR22227B = "5 SQUARES/LENGTH OF ONE SIDE (1)"
  M022227C = "5 SQUARES/PERIMETER WHOLE FIGURE (1)"
  MI22227C = "5 SQUARES/PERIMETER WHOLE FIGURE (1)"
  MR22227C = "5 SQUARES/PERIMETER WHOLE FIGURE (1)"
  M022046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (1)"
  MI22046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (1)"
  MR22046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (1)"
  M022055  = "PERIMETER OF SQUARE FROM AREA (1)"
  MI22055  = "PERIMETER OF SQUARE FROM AREA (1)"
  MR22055  = "PERIMETER OF SQUARE FROM AREA (1)"
  M022232  = "ESTIMATE TIME FOR WATER TO COOL (2)"
  MI22232  = "ESTIMATE TIME FOR WATER TO COOL (2)"
  MR22232  = "ESTIMATE TIME FOR WATER TO COOL (2)"
  M022234A = "NEW RECTAN FROM OLD/DRAW ON THE GRID (2)"
  MI22234A = "NEW RECTAN FROM OLD/DRAW ON THE GRID (2)"
  MR22234A = "NEW RECTAN FROM OLD/DRAW ON THE GRID (2)"
  M022234B = "NEW RECTANGL FROM OLD/RATIO OF AREAS (2)"
  MI22234B = "NEW RECTANGL FROM OLD/RATIO OF AREAS (2)"
  MR22234B = "NEW RECTANGL FROM OLD/RATIO OF AREAS (2)"
  M022243  = "AREA OF TRIANGLE INSIDE A SQUARE (1)"
  MI22243  = "AREA OF TRIANGLE INSIDE A SQUARE (1)"
  MR22243  = "AREA OF TRIANGLE INSIDE A SQUARE (1)"
  M022106  = "RATIO OF CHILDREN TO ADULTS ON BUS (1)"
  MI22106  = "RATIO OF CHILDREN TO ADULTS ON BUS (1)"
  MR22106  = "RATIO OF CHILDREN TO ADULTS ON BUS (1)"
  M022110  = "MULTIPLY TWO DECIMALS (1)"
  MI22110  = "MULTIPLY TWO DECIMALS (1)"
  MR22110  = "MULTIPLY TWO DECIMALS (1)"
  M032307  = "TICKET COST EITHE 10, 15, OR 30 ZEDS (1)"
  MI32307  = "TICKET COST EITHE 10, 15, OR 30 ZEDS (1)"
  MR32307  = "TICKET COST EITHE 10, 15, OR 30 ZEDS (1)"
  M032691  = "DRAW ANGLES THAT ARE SUPPLEMENTARY (2)"
  MI32691  = "DRAW ANGLES THAT ARE SUPPLEMENTARY (2)"
  MR32691  = "DRAW ANGLES THAT ARE SUPPLEMENTARY (2)"
  M032640  = "13 MATCHES TO MAK 4 SQUARES IN A ROW (2)"
  MI32640  = "13 MATCHES TO MAK 4 SQUARES IN A ROW (2)"
  MR32640  = "13 MATCHES TO MAK 4 SQUARES IN A ROW (2)"
  M032344  = "VOL OF BOX FRM SHAPE THAT IS FOLD UP (1)"
  MI32344  = "VOL OF BOX FRM SHAPE THAT IS FOLD UP (1)"
  MR32344  = "VOL OF BOX FRM SHAPE THAT IS FOLD UP (1)"
  M032754  = "CLASS TRIP_FILL TABLE WITH YES/NO (2)"
  MI32754  = "CLASS TRIP_FILL TABLE WITH YES/NO (2)"
  MR32754  = "CLASS TRIP_FILL TABLE WITH YES/NO (2)"
  M032755  = "CLASS TRIP_MAKE CALCULA FROM TWO ADS (2)"
  MI32755  = "CLASS TRIP_MAKE CALCULA FROM TWO ADS (2)"
  MR32755  = "CLASS TRIP_MAKE CALCULA FROM TWO ADS (2)"
  M032753A = "CLASS TRIP_FILL SCHED TABL FOR ACTON (2)"
  MI32753A = "CLASS TRIP_FILL SCHED TABL FOR ACTON (2)"
  MR32753A = "CLASS TRIP_FILL SCHED TABL FOR ACTON (2)"
  M032753B = "CLA TRIP_FILL SCHED TABL FOR CAMFORD (2)"
  MI32753B = "CLA TRIP_FILL SCHED TABL FOR CAMFORD (2)"
  MR32753B = "CLA TRIP_FILL SCHED TABL FOR CAMFORD (2)"
  M032753C = "CL TRIP_IDENT TOWNS MEET ALL CONDITI (1)"
  MI32753C = "CL TRIP_IDENT TOWNS MEET ALL CONDITI (1)"
  MR32753C = "CL TRIP_IDENT TOWNS MEET ALL CONDITI (1)"
  M032756  = "CL TRIP_TOWN FULFILLI ALL CONDITIONS (1)"
  MI32756  = "CL TRIP_TOWN FULFILLI ALL CONDITIONS (1)"
  MR32756  = "CL TRIP_TOWN FULFILLI ALL CONDITIONS (1)"
  M032381  = "HOW MANY CHILDREN WERE ON THE TRIP (1)"
  MI32381  = "HOW MANY CHILDREN WERE ON THE TRIP (1)"
  MR32381  = "HOW MANY CHILDREN WERE ON THE TRIP (1)"
  M032414  = "VALUE OF ANGLE X IN A FIGURE (1)"
  MI32414  = "VALUE OF ANGLE X IN A FIGURE (1)"
  MR32414  = "VALUE OF ANGLE X IN A FIGURE (1)"
  M032688  = "DRAW LINE IN SPIN GIVEN INF IN TABLE (1)"
  MI32688  = "DRAW LINE IN SPIN GIVEN INF IN TABLE (1)"
  MR32688  = "DRAW LINE IN SPIN GIVEN INF IN TABLE (1)"
  M032637A = "BE FIT HEALTH CLUB/LABEL LINES (1)"
  MI32637A = "BE FIT HEALTH CLUB/LABEL LINES (1)"
  MR32637A = "BE FIT HEALTH CLUB/LABEL LINES (1)"
  M032637B = "BE FIT HEALTH CLUB/IDENTIFY WEEK (1)"
  MI32637B = "BE FIT HEALTH CLUB/IDENTIFY WEEK (1)"
  MR32637B = "BE FIT HEALTH CLUB/IDENTIFY WEEK (1)"
  M032637C = "BE FIT HEALTH CLUB/DIFFEREN IN COSTS (1)"
  MI32637C = "BE FIT HEALTH CLUB/DIFFEREN IN COSTS (1)"
  MR32637C = "BE FIT HEALTH CLUB/DIFFEREN IN COSTS (1)"
  M032652  = "TEACHERS SEND 6 NEWSLETTERS PER YEAR (1)"
  MI32652  = "TEACHERS SEND 6 NEWSLETTERS PER YEAR (1)"
  MR32652  = "TEACHERS SEND 6 NEWSLETTERS PER YEAR (1)"
  M032545  = "7 ORANGES AND 4 LEMONS COST 43 ZEDS (1)"
  MI32545  = "7 ORANGES AND 4 LEMONS COST 43 ZEDS (1)"
  MR32545  = "7 ORANGES AND 4 LEMONS COST 43 ZEDS (1)"
  M032649A = "CAR RALLY/AVERAGE SPEED (1)"
  MI32649A = "CAR RALLY/AVERAGE SPEED (1)"
  MR32649A = "CAR RALLY/AVERAGE SPEED (1)"
  M032649B = "CAR RALLY/AVERAGE SPEED ONE SECTION (1)"
  MI32649B = "CAR RALLY/AVERAGE SPEED ONE SECTION (1)"
  MR32649B = "CAR RALLY/AVERAGE SPEED ONE SECTION (1)"
  M032403  = "DRAW A LINE TO DIVIDE TRIANGLE ABC (1)"
  MI32403  = "DRAW A LINE TO DIVIDE TRIANGLE ABC (1)"
  MR32403  = "DRAW A LINE TO DIVIDE TRIANGLE ABC (1)"
  M032671  = "GARDEN WITH 14 ROWS OF 20 PLANT EACH (1)"
  MI32671  = "GARDEN WITH 14 ROWS OF 20 PLANT EACH (1)"
  MR32671  = "GARDEN WITH 14 ROWS OF 20 PLANT EACH (1)"
  M032557  = "THE VALUE OF A + 2 TIMES (B PLUS C) (1)"
  MI32557  = "THE VALUE OF A + 2 TIMES (B PLUS C) (1)"
  MR32557  = "THE VALUE OF A + 2 TIMES (B PLUS C) (1)"
  M032762  = "PHONE PLANS_LEAST EXPENS PLAN BETTY (2)"
  MI32762  = "PHONE PLANS_LEAST EXPENS PLAN BETTY (2)"
  MR32762  = "PHONE PLANS_LEAST EXPENS PLAN BETTY (2)"
  M032763  = "PHONE PLANS_COST OF PLANS FOR FRANK (2)"
  MI32763  = "PHONE PLANS_COST OF PLANS FOR FRANK (2)"
  MR32763  = "PHONE PLANS_COST OF PLANS FOR FRANK (2)"
  M032764  = "PHONE PLANS_MINUTES TALK BY DARLENE (2)"
  MI32764  = "PHONE PLANS_MINUTES TALK BY DARLENE (2)"
  MR32764  = "PHONE PLANS_MINUTES TALK BY DARLENE (2)"
  M032064  = "A AND J DIVIDE 560 ZEDS BETWEEN THEM (1)"
  MI32064  = "A AND J DIVIDE 560 ZEDS BETWEEN THEM (1)"
  MR32064  = "A AND J DIVIDE 560 ZEDS BETWEEN THEM (1)"
  M032538  = "FIND THE VALUE OF Y WHEN T IS 9 (1)"
  MI32538  = "FIND THE VALUE OF Y WHEN T IS 9 (1)"
  MR32538  = "FIND THE VALUE OF Y WHEN T IS 9 (1)"
  M032734  = "HOW THE SHAPE LOOK VIEWED FROM ABOVE (1)"
  MI32734  = "HOW THE SHAPE LOOK VIEWED FROM ABOVE (1)"
  MR32734  = "HOW THE SHAPE LOOK VIEWED FROM ABOVE (1)"
  M032695  = "MAKE A PIE CHART SHOWING PROPORTIONS (2)"
  MI32695  = "MAKE A PIE CHART SHOWING PROPORTIONS (2)"
  MR32695  = "MAKE A PIE CHART SHOWING PROPORTIONS (2)"
  M032725  = "WRITE 3 5/6 IN DECIMAL FORM (1)"
  MI32725  = "WRITE 3 5/6 IN DECIMAL FORM (1)"
  MR32725  = "WRITE 3 5/6 IN DECIMAL FORM (1)"
  M032683  = "SIMPLIFY 3X/8 PLUS X/4 PLUS X/2 (2)"
  MI32683  = "SIMPLIFY 3X/8 PLUS X/4 PLUS X/2 (2)"
  MR32683  = "SIMPLIFY 3X/8 PLUS X/4 PLUS X/2 (2)"
  M032681A = "CAR PROD GRAPH/TIME 250 CAR PRODUCED (1)"
  MI32681A = "CAR PROD GRAPH/TIME 250 CAR PRODUCED (1)"
  MR32681A = "CAR PROD GRAPH/TIME 250 CAR PRODUCED (1)"
  M032681B = "CAR PROD GRAPH/AVERAGE CARS PRODUCED (1)"
  MI32681B = "CAR PROD GRAPH/AVERAGE CARS PRODUCED (1)"
  MR32681B = "CAR PROD GRAPH/AVERAGE CARS PRODUCED (1)"
  M032681C = "CAR PRODUCTION GRAPH/IDENTIFY TIME (1)"
  MI32681C = "CAR PRODUCTION GRAPH/IDENTIFY TIME (1)"
  MR32681C = "CAR PRODUCTION GRAPH/IDENTIFY TIME (1)"
  M032743  = "GEO TILING_MAKES SYMMETRICAL PATTERN (2)"
  MI32743  = "GEO TILING_MAKES SYMMETRICAL PATTERN (2)"
  MR32743  = "GEO TILING_MAKES SYMMETRICAL PATTERN (2)"
  M032744  = "GEO TILING_IDENTIFY CELL WITH LETTER (1)"
  MI32744  = "GEO TILING_IDENTIFY CELL WITH LETTER (1)"
  MR32744  = "GEO TILING_IDENTIFY CELL WITH LETTER (1)"
  M032745  = "GEO TILING_PRODUCE PATTERN USE LETTE (2)"
  MI32745  = "GEO TILING_PRODUCE PATTERN USE LETTE (2)"
  MR32745  = "GEO TILING_PRODUCE PATTERN USE LETTE (2)"
  M032233  = "A COMPUTER CLUB HAD 40 MEMBERS (2)"
  MI32233  = "A COMPUTER CLUB HAD 40 MEMBERS (2)"
  MR32233  = "A COMPUTER CLUB HAD 40 MEMBERS (2)"
  M032757  = "RED+BLACK TILES_COMPLETE TABLE (2)"
  MI32757  = "RED+BLACK TILES_COMPLETE TABLE (2)"
  MR32757  = "RED+BLACK TILES_COMPLETE TABLE (2)"
  M032760A = "RED+BLACK TILES_FIG WITH 64 TILE TOT (2)"
  MI32760A = "RED+BLACK TILES_FIG WITH 64 TILE TOT (2)"
  MR32760A = "RED+BLACK TILES_FIG WITH 64 TILE TOT (2)"
  M032760B = "RED+BLACK TILES_FIG WITH 49 BLA TILE (1)"
  MI32760B = "RED+BLACK TILES_FIG WITH 49 BLA TILE (1)"
  MR32760B = "RED+BLACK TILES_FIG WITH 49 BLA TILE (1)"
  M032760C = "RED+BLACK TILES_FIG WITH 44 RED TILE (1)"
  MI32760C = "RED+BLACK TILES_FIG WITH 44 RED TILE (1)"
  MR32760C = "RED+BLACK TILES_FIG WITH 44 RED TILE (1)"
  M032761  = "RED+BLACK TILES_FIGURE N (2)"
  MI32761  = "RED+BLACK TILES_FIGURE N (2)"
  MR32761  = "RED+BLACK TILES_FIGURE N (2)"
  M032692  = "SUM OF INTERIOR ANGLE PENTAGON ABCDE (2)"
  MI32692  = "SUM OF INTERIOR ANGLE PENTAGON ABCDE (2)"
  MR32692  = "SUM OF INTERIOR ANGLE PENTAGON ABCDE (2)"
  S022035  = "POLES ON CUT MAGNET (1)"
  SI22035  = "POLES ON CUT MAGNET (1)"
  SR22035  = "POLES ON CUT MAGNET (1)"
  S022160  = "ADVANTAGE OF HAVING TWO EARS (1)"
  SI22160  = "ADVANTAGE OF HAVING TWO EARS (1)"
  SR22160  = "ADVANTAGE OF HAVING TWO EARS (1)"
  S032131  = "NAIL PULLED OUT OF A WOODEN BOARD (1)"
  SI32131  = "NAIL PULLED OUT OF A WOODEN BOARD (1)"
  SR32131  = "NAIL PULLED OUT OF A WOODEN BOARD (1)"
  S032202  = "COMMUNITY OF MICE, SNAKES AND WHEAT PLAN"
  SI32202  = "COMMUNITY OF MICE, SNAKES AND WHEAT PLAN"
  SR32202  = "COMMUNITY OF MICE, SNAKES AND WHEAT PLAN"
  S022086  = "HOLE IN OZONE LAYER (1)"
  SI22086  = "HOLE IN OZONE LAYER (1)"
  SR22086  = "HOLE IN OZONE LAYER (1)"
  S022283  = "APPEARANCE OF JUPITER AND MOON (1)"
  SI22283  = "APPEARANCE OF JUPITER AND MOON (1)"
  SR22283  = "APPEARANCE OF JUPITER AND MOON (1)"
  S022152  = "BODILY PROCESS TO PREVENT OVERHEATIN (1)"
  SI22152  = "BODILY PROCESS TO PREVENT OVERHEATIN (1)"
  SR22152  = "BODILY PROCESS TO PREVENT OVERHEATIN (1)"
  S022154  = "TRANSMISSION OF COLD IN CLASSROOM (1)"
  SI22154  = "TRANSMISSION OF COLD IN CLASSROOM (1)"
  SR22154  = "TRANSMISSION OF COLD IN CLASSROOM (1)"
  S022161  = "HOW GLASSES/CONTACT LENSES WORK (1)"
  SI22161  = "HOW GLASSES/CONTACT LENSES WORK (1)"
  SR22161  = "HOW GLASSES/CONTACT LENSES WORK (1)"
  S022191  = "CANDLES BURNING IN 3 JARS (2)"
  SI22191  = "CANDLES BURNING IN 3 JARS (2)"
  SR22191  = "CANDLES BURNING IN 3 JARS (2)"
  S022279  = "BRUSH REFLECTED IN MIRROR AT ANGLE (1)"
  SI22279  = "BRUSH REFLECTED IN MIRROR AT ANGLE (1)"
  SR22279  = "BRUSH REFLECTED IN MIRROR AT ANGLE (1)"
  S022088A = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  SI22088A = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  SR22088A = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  S022088B = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  SI22088B = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  SR22088B = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  S022249A = "TWO REASONS FOR WATER SHORTAGE (1)"
  S022249B = "TWO REASONS FOR WATER SHORTAGE (1)"
  SI22249A = "TWO REASONS FOR WATER SHORTAGE (1)"
  SI22249B = "TWO REASONS FOR WATER SHORTAGE (1)"
  SR22249A = "TWO REASONS FOR WATER SHORTAGE (1)"
  SR22249B = "TWO REASONS FOR WATER SHORTAGE (1)"
  S022286  = "DATA TREND OF MASSES ON SPRING (1)"
  SI22286  = "DATA TREND OF MASSES ON SPRING (1)"
  SR22286  = "DATA TREND OF MASSES ON SPRING (1)"
  S032625A = "COMPASS PLACED NEXT TO A MAGNET/DRAW (1)"
  S032625B = "COMPASS PLACED NEXT TO A MAGNET/EXPL (1)"
  SI32625A = "COMPASS PLACED NEXT TO A MAGNET/DRAW (1)"
  SI32625B = "COMPASS PLACED NEXT TO A MAGNET/EXPL (1)"
  SR32625A = "COMPASS PLACED NEXT TO A MAGNET/DRAW (1)"
  SR32625B = "COMPASS PLACED NEXT TO A MAGNET/EXPL (1)"
  S022022  = "CURRENT/VOLTAGE TABLE (1)"
  SI22022  = "CURRENT/VOLTAGE TABLE (1)"
  SR22022  = "CURRENT/VOLTAGE TABLE (1)"
  S022244  = "ACID RAIN FROM SULFUR DIOXIDE (1)"
  SI22244  = "ACID RAIN FROM SULFUR DIOXIDE (1)"
  SR22244  = "ACID RAIN FROM SULFUR DIOXIDE (1)"
  S022289  = "HEART RATE INCREASING WITH EXERCISE (2)"
  SI22289  = "HEART RATE INCREASING WITH EXERCISE (2)"
  SR22289  = "HEART RATE INCREASING WITH EXERCISE (2)"
  S022069  = "TEMPERATURE OF BOILING WATER (1)"
  SI22069  = "TEMPERATURE OF BOILING WATER (1)"
  SR22069  = "TEMPERATURE OF BOILING WATER (1)"
  S022268  = "FREEZING SALT WATER EXPERIMENT (1)"
  SI22268  = "FREEZING SALT WATER EXPERIMENT (1)"
  SR22268  = "FREEZING SALT WATER EXPERIMENT (1)"
  S022292  = "WATER LEVEL IN U-TUBE (1)"
  SI22292  = "WATER LEVEL IN U-TUBE (1)"
  SR22292  = "WATER LEVEL IN U-TUBE (1)"
  S022078  = "LIGHT FROM SUN AND MOON (1)"
  SI22078  = "LIGHT FROM SUN AND MOON (1)"
  SR22078  = "LIGHT FROM SUN AND MOON (1)"
  S022281  = "MASS OF FREEZING WATER (1)"
  SI22281  = "MASS OF FREEZING WATER (1)"
  SR22281  = "MASS OF FREEZING WATER (1)"
  S032519  = "EFFECT OF DAM ON WILDLIFE (1)"
  SI32519  = "EFFECT OF DAM ON WILDLIFE (1)"
  SR32519  = "EFFECT OF DAM ON WILDLIFE (1)"
  S032120A = "USE OF SCIENCE AND TECHNO/OIL SPILLS (1)"
  SI32120A = "USE OF SCIENCE AND TECHNO/OIL SPILLS (1)"
  SR32120A = "USE OF SCIENCE AND TECHNO/OIL SPILLS (1)"
  S032120B = "USE OF SCIENCE AND TECHNO/GLOB WARMI (1)"
  SI32120B = "USE OF SCIENCE AND TECHNO/GLOB WARMI (1)"
  SR32120B = "USE OF SCIENCE AND TECHNO/GLOB WARMI (1)"
  S032015  = "STRUCTURE FOUND IN PLANT CELLS (1)"
  SI32015  = "STRUCTURE FOUND IN PLANT CELLS (1)"
  SR32015  = "STRUCTURE FOUND IN PLANT CELLS (1)"
  S032310A = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  S032310B = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  SI32310A = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  SI32310B = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  SR32310A = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  SR32310B = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  S032680  = "IDENTIFY IRON, WATER AND OXYGEN (2)"
  SI32680  = "IDENTIFY IRON, WATER AND OXYGEN (2)"
  SR32680  = "IDENTIFY IRON, WATER AND OXYGEN (2)"
  S032555  = "TABLE OF FERTILIZER/RICE YIELD DATA (2)"
  SI32555  = "TABLE OF FERTILIZER/RICE YIELD DATA (2)"
  SR32555  = "TABLE OF FERTILIZER/RICE YIELD DATA (2)"
  S032122  = "REASON FOR INCREASE IN HUMAN POPULAT (1)"
  SI32122  = "REASON FOR INCREASE IN HUMAN POPULAT (1)"
  SR32122  = "REASON FOR INCREASE IN HUMAN POPULAT (1)"
  S032530A = "TWO CONDITIONS FOR GERMINATION (1)"
  S032530B = "TWO CONDITIONS FOR GERMINATION (1)"
  SI32530A = "TWO CONDITIONS FOR GERMINATION (1)"
  SI32530B = "TWO CONDITIONS FOR GERMINATION (1)"
  SR32530A = "TWO CONDITIONS FOR GERMINATION (1)"
  SR32530B = "TWO CONDITIONS FOR GERMINATION (1)"
  S032007  = "ONE FUNCTION OF THE UTERUS (1)"
  SI32007  = "ONE FUNCTION OF THE UTERUS (1)"
  SR32007  = "ONE FUNCTION OF THE UTERUS (1)"
  S032679  = "ENERGY RELEASED DURING A CHEMI REACT (1)"
  SI32679  = "ENERGY RELEASED DURING A CHEMI REACT (1)"
  SR32679  = "ENERGY RELEASED DURING A CHEMI REACT (1)"
  S032651A = "TOPOG MAP OF TIGER ISLAND/IDENTIFY X (1)"
  SI32651A = "TOPOG MAP OF TIGER ISLAND/IDENTIFY X (1)"
  SR32651A = "TOPOG MAP OF TIGER ISLAND/IDENTIFY X (1)"
  S032651B = "TOPOG MAP OF TIGER ISLAND/RIVER PATH (2)"
  SI32651B = "TOPOG MAP OF TIGER ISLAND/RIVER PATH (2)"
  SR32651B = "TOPOG MAP OF TIGER ISLAND/RIVER PATH (2)"
  S032665A = "EFFECT OF POP IN 2 COUNTRIES/PREDICT (1)"
  SI32665A = "EFFECT OF POP IN 2 COUNTRIES/PREDICT (1)"
  SR32665A = "EFFECT OF POP IN 2 COUNTRIES/PREDICT (1)"
  S032665B = "EFFECT OF POP IN 2 COUNTRIE/LAND USE (1)"
  SI32665B = "EFFECT OF POP IN 2 COUNTRIE/LAND USE (1)"
  SR32665B = "EFFECT OF POP IN 2 COUNTRIE/LAND USE (1)"
  S032665C = "EFFECT OF POP IN 2 COUNTRI/POLLUTION (1)"
  SI32665C = "EFFECT OF POP IN 2 COUNTRI/POLLUTION (1)"
  SR32665C = "EFFECT OF POP IN 2 COUNTRI/POLLUTION (1)"
  S032063  = "DRINKING WATER FROM SEA WATER (2)"
  SI32063  = "DRINKING WATER FROM SEA WATER (2)"
  SR32063  = "DRINKING WATER FROM SEA WATER (2)"
  S032206  = "PHOTOSYNTHESIS EXPERIMENT (2)"
  SI32206  = "PHOTOSYNTHESIS EXPERIMENT (2)"
  SR32206  = "PHOTOSYNTHESIS EXPERIMENT (2)"
  S032057  = "LITMUS TEST (1)"
  SI32057  = "LITMUS TEST (1)"
  SR32057  = "LITMUS TEST (1)"
  S032626  = "LIGHTNING SEEN BEFORE THUNDER HEARD (1)"
  SI32626  = "LIGHTNING SEEN BEFORE THUNDER HEARD (1)"
  SR32626  = "LIGHTNING SEEN BEFORE THUNDER HEARD (1)"
  S032242  = "RENEWABLE ENERGY SOURCE (2)"
  SI32242  = "RENEWABLE ENERGY SOURCE (2)"
  SR32242  = "RENEWABLE ENERGY SOURCE (2)"
  S032709  = "METAL CROWN_ DENSITY OF METAL BLOCK (1)"
  SI32709  = "METAL CROWN_ DENSITY OF METAL BLOCK (1)"
  SR32709  = "METAL CROWN_ DENSITY OF METAL BLOCK (1)"
  S032711  = "METAL CROWN_ PROCEDUR FIND VOL CROWN (2)"
  SI32711  = "METAL CROWN_ PROCEDUR FIND VOL CROWN (2)"
  SR32711  = "METAL CROWN_ PROCEDUR FIND VOL CROWN (2)"
  S032712A = "METAL CROWN_ WHY SCIEN REPEATED MEAS (1)"
  SI32712A = "METAL CROWN_ WHY SCIEN REPEATED MEAS (1)"
  SR32712A = "METAL CROWN_ WHY SCIEN REPEATED MEAS (1)"
  S032712B = "METAL CROWN_ DETERM AVERA/MEDIAN VAL (1)"
  SI32712B = "METAL CROWN_ DETERM AVERA/MEDIAN VAL (1)"
  SR32712B = "METAL CROWN_ DETERM AVERA/MEDIAN VAL (1)"
  S032713A = "METAL CROWN_ WHAT METAL BLOCK MADE (1)"
  SI32713A = "METAL CROWN_ WHAT METAL BLOCK MADE (1)"
  SR32713A = "METAL CROWN_ WHAT METAL BLOCK MADE (1)"
  S032713B = "METAL CROWN_ WHAT CROWN WAS MADE OF (1)"
  SI32713B = "METAL CROWN_ WHAT CROWN WAS MADE OF (1)"
  SR32713B = "METAL CROWN_ WHAT CROWN WAS MADE OF (1)"
  S032306  = "EYES REACT CHANGE ENVIRON CONDITION (2)"
  SI32306  = "EYES REACT CHANGE ENVIRON CONDITION (2)"
  SR32306  = "EYES REACT CHANGE ENVIRON CONDITION (2)"
  S032640  = "WHY EXERCI IMPORTANT FOR GOOD HEALTH (1)"
  SI32640  = "WHY EXERCI IMPORTANT FOR GOOD HEALTH (1)"
  SR32640  = "WHY EXERCI IMPORTANT FOR GOOD HEALTH (1)"
  S032570  = "PROPERTY IDENTIFY IF SUBSTANCE METAL (1)"
  SI32570  = "PROPERTY IDENTIFY IF SUBSTANCE METAL (1)"
  SR32570  = "PROPERTY IDENTIFY IF SUBSTANCE METAL (1)"
  S032272  = "WATER LEVEL IN HEATED GLASS CONTAINE (2)"
  SI32272  = "WATER LEVEL IN HEATED GLASS CONTAINE (2)"
  SR32272  = "WATER LEVEL IN HEATED GLASS CONTAINE (2)"
  S032060  = "ORDER OF STEPS IN THE WATER CYCLE (1)"
  SI32060  = "ORDER OF STEPS IN THE WATER CYCLE (1)"
  SR32060  = "ORDER OF STEPS IN THE WATER CYCLE (1)"
  S032650A = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  S032650B = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  SI32650A = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  SI32650B = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  SR32650A = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  SR32650B = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  S032614  = "NUMBER OF KIDNEYS SON HAS AT BIRTH (1)"
  SI32614  = "NUMBER OF KIDNEYS SON HAS AT BIRTH (1)"
  SR32614  = "NUMBER OF KIDNEYS SON HAS AT BIRTH (1)"
  S032451  = "DIFFERENCE IN SHELL COLORS OF SNAILS (2)"
  SI32451  = "DIFFERENCE IN SHELL COLORS OF SNAILS (2)"
  SR32451  = "DIFFERENCE IN SHELL COLORS OF SNAILS (2)"
  S032056  = "SODIUM BICARBONATE MIXED WIT VINEGAR (1)"
  SI32056  = "SODIUM BICARBONATE MIXED WIT VINEGAR (1)"
  SR32056  = "SODIUM BICARBONATE MIXED WIT VINEGAR (1)"
  S032369  = "SOUND FROM ELECTRIC BELL INSIDE JAR (2)"
  SI32369  = "SOUND FROM ELECTRIC BELL INSIDE JAR (2)"
  SR32369  = "SOUND FROM ELECTRIC BELL INSIDE JAR (2)"
  S032126  = "VOLCANIC ERUPTION AFFECT ENVIRONMENT (1)"
  SI32126  = "VOLCANIC ERUPTION AFFECT ENVIRONMENT (1)"
  SR32126  = "VOLCANIC ERUPTION AFFECT ENVIRONMENT (1)"
  S032532  = "POSITION MOON DURING SOLAR ECLIPSE (2)"
  SI32532  = "POSITION MOON DURING SOLAR ECLIPSE (2)"
  SR32532  = "POSITION MOON DURING SOLAR ECLIPSE (2)"
  S032562  = "SEP SALT/SAND/IRON FILINGS MIXTURE (2)"
  SI32562  = "SEP SALT/SAND/IRON FILINGS MIXTURE (2)"
  SR32562  = "SEP SALT/SAND/IRON FILINGS MIXTURE (2)"
  S032375  = "SUNLIGHT THROUGH A GLASS PRISM (2)"
  SI32375  = "SUNLIGHT THROUGH A GLASS PRISM (2)"
  SR32375  = "SUNLIGHT THROUGH A GLASS PRISM (2)"
  S032704  = "GALAP ISLAND_ PLANT/ANIMAL INH FIRST (1)"
  SI32704  = "GALAP ISLAND_ PLANT/ANIMAL INH FIRST (1)"
  SR32704  = "GALAP ISLAND_ PLANT/ANIMAL INH FIRST (1)"
  S032705A = "GALAPAGOS ISLANDS_ EFFECT OF CATS (1)"
  SI32705A = "GALAPAGOS ISLANDS_ EFFECT OF CATS (1)"
  SR32705A = "GALAPAGOS ISLANDS_ EFFECT OF CATS (1)"
  S032705B = "GALAPAGOS ISLANDS_ EFFECT OF GOATS (1)"
  SI32705B = "GALAPAGOS ISLANDS_ EFFECT OF GOATS (1)"
  SR32705B = "GALAPAGOS ISLANDS_ EFFECT OF GOATS (1)"
  S032706A = "GALAP ISLAND_COMPARE OF SPEC 1 AND 2 (1)"
  SI32706A = "GALAP ISLAND_COMPARE OF SPEC 1 AND 2 (1)"
  SR32706A = "GALAP ISLAND_COMPARE OF SPEC 1 AND 2 (1)"
  S032706B = "GALAP ISLANDS_ SIZE OF SPECIES EATS (1)"
  SI32706B = "GALAP ISLANDS_ SIZE OF SPECIES EATS (1)"
  SR32706B = "GALAP ISLANDS_ SIZE OF SPECIES EATS (1)"
  S032707  = "GALAP ISLAND_GRAPHS FOR SPEC 3 AND 4 (2)"
  SI32707  = "GALAP ISLAND_GRAPHS FOR SPEC 3 AND 4 (2)"
  SR32707  = "GALAP ISLAND_GRAPHS FOR SPEC 3 AND 4 (2)"
  S032565  = "DENSITY OF SALT SOLUTION (1)"
  SI32565  = "DENSITY OF SALT SOLUTION (1)"
  SR32565  = "DENSITY OF SALT SOLUTION (1)"
  S032019A = "CAUSES OF WEATHERING/ PHYSICAL (1)"
  SI32019A = "CAUSES OF WEATHERING/ PHYSICAL (1)"
  SR32019A = "CAUSES OF WEATHERING/ PHYSICAL (1)"
  S032019B = "CAUSES OF WEATHERING/ CHEMICAL (1)"
  SI32019B = "CAUSES OF WEATHERING/ CHEMICAL (1)"
  SR32019B = "CAUSES OF WEATHERING/ CHEMICAL (1)"
  S032516  = "EFFECT OF CUTTING DOWN THE TREES (1)"
  SI32516  = "EFFECT OF CUTTING DOWN THE TREES (1)"
  SR32516  = "EFFECT OF CUTTING DOWN THE TREES (1)"
  S032693A = "LIFE OCEANS_ COMPLETE THE FOOD WEB (1)"
  SI32693A = "LIFE OCEANS_ COMPLETE THE FOOD WEB (1)"
  SR32693A = "LIFE OCEANS_ COMPLETE THE FOOD WEB (1)"
  S032693B = "LIFE OCEANS_ EFFECT SHARKS WHEN TUNA (2)"
  SI32693B = "LIFE OCEANS_ EFFECT SHARKS WHEN TUNA (2)"
  SR32693B = "LIFE OCEANS_ EFFECT SHARKS WHEN TUNA (2)"
  S032695  = "LIFE OCEANS_ HOW ORGANISM LOW TIDE (2)"
  SI32695  = "LIFE OCEANS_ HOW ORGANISM LOW TIDE (2)"
  SR32695  = "LIFE OCEANS_ HOW ORGANISM LOW TIDE (2)"
  S032697A = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  S032697B = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  SI32697A = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  SI32697B = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  SR32697A = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  SR32697B = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCORR  = 998              THEN IDSCORR  = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF M032693  = 98               THEN M032693  = .A ;
IF MI32693  = 8                THEN MI32693  = .A ;
IF MR32693  = 98               THEN MR32693  = .A ;
IF M022202  = 98               THEN M022202  = .A ;
IF MI22202  = 8                THEN MI22202  = .A ;
IF MR22202  = 98               THEN MR22202  = .A ;
IF M022148  = 98               THEN M022148  = .A ;
IF MI22148  = 8                THEN MI22148  = .A ;
IF MR22148  = 98               THEN MR22148  = .A ;
IF M022253  = 98               THEN M022253  = .A ;
IF MI22253  = 8                THEN MI22253  = .A ;
IF MR22253  = 98               THEN MR22253  = .A ;
IF M022156  = 98               THEN M022156  = .A ;
IF MI22156  = 8                THEN MI22156  = .A ;
IF MR22156  = 98               THEN MR22156  = .A ;
IF M022008  = 98               THEN M022008  = .A ;
IF MI22008  = 8                THEN MI22008  = .A ;
IF MR22008  = 98               THEN MR22008  = .A ;
IF M022012  = 98               THEN M022012  = .A ;
IF MI22012  = 8                THEN MI22012  = .A ;
IF MR22012  = 98               THEN MR22012  = .A ;
IF M022261A = 98               THEN M022261A = .A ;
IF MI22261A = 8                THEN MI22261A = .A ;
IF MR22261A = 98               THEN MR22261A = .A ;
IF M022261B = 98               THEN M022261B = .A ;
IF MI22261B = 8                THEN MI22261B = .A ;
IF MR22261B = 98               THEN MR22261B = .A ;
IF M022261C = 98               THEN M022261C = .A ;
IF MI22261C = 8                THEN MI22261C = .A ;
IF MR22261C = 98               THEN MR22261C = .A ;
IF M022227A = 98               THEN M022227A = .A ;
IF MI22227A = 8                THEN MI22227A = .A ;
IF MR22227A = 98               THEN MR22227A = .A ;
IF M022227B = 98               THEN M022227B = .A ;
IF MI22227B = 8                THEN MI22227B = .A ;
IF MR22227B = 98               THEN MR22227B = .A ;
IF M022227C = 98               THEN M022227C = .A ;
IF MI22227C = 8                THEN MI22227C = .A ;
IF MR22227C = 98               THEN MR22227C = .A ;
IF M022046  = 98               THEN M022046  = .A ;
IF MI22046  = 8                THEN MI22046  = .A ;
IF MR22046  = 98               THEN MR22046  = .A ;
IF M022055  = 98               THEN M022055  = .A ;
IF MI22055  = 8                THEN MI22055  = .A ;
IF MR22055  = 98               THEN MR22055  = .A ;
IF M022232  = 98               THEN M022232  = .A ;
IF MI22232  = 8                THEN MI22232  = .A ;
IF MR22232  = 98               THEN MR22232  = .A ;
IF M022234A = 98               THEN M022234A = .A ;
IF MI22234A = 8                THEN MI22234A = .A ;
IF MR22234A = 98               THEN MR22234A = .A ;
IF M022234B = 98               THEN M022234B = .A ;
IF MI22234B = 8                THEN MI22234B = .A ;
IF MR22234B = 98               THEN MR22234B = .A ;
IF M022243  = 98               THEN M022243  = .A ;
IF MI22243  = 8                THEN MI22243  = .A ;
IF MR22243  = 98               THEN MR22243  = .A ;
IF M022106  = 98               THEN M022106  = .A ;
IF MI22106  = 8                THEN MI22106  = .A ;
IF MR22106  = 98               THEN MR22106  = .A ;
IF M022110  = 98               THEN M022110  = .A ;
IF MI22110  = 8                THEN MI22110  = .A ;
IF MR22110  = 98               THEN MR22110  = .A ;
IF M032307  = 98               THEN M032307  = .A ;
IF MI32307  = 8                THEN MI32307  = .A ;
IF MR32307  = 98               THEN MR32307  = .A ;
IF M032691  = 98               THEN M032691  = .A ;
IF MI32691  = 8                THEN MI32691  = .A ;
IF MR32691  = 98               THEN MR32691  = .A ;
IF M032640  = 98               THEN M032640  = .A ;
IF MI32640  = 8                THEN MI32640  = .A ;
IF MR32640  = 98               THEN MR32640  = .A ;
IF M032344  = 98               THEN M032344  = .A ;
IF MI32344  = 8                THEN MI32344  = .A ;
IF MR32344  = 98               THEN MR32344  = .A ;
IF M032754  = 98               THEN M032754  = .A ;
IF MI32754  = 8                THEN MI32754  = .A ;
IF MR32754  = 98               THEN MR32754  = .A ;
IF M032755  = 98               THEN M032755  = .A ;
IF MI32755  = 8                THEN MI32755  = .A ;
IF MR32755  = 98               THEN MR32755  = .A ;
IF M032753A = 98               THEN M032753A = .A ;
IF MI32753A = 8                THEN MI32753A = .A ;
IF MR32753A = 98               THEN MR32753A = .A ;
IF M032753B = 98               THEN M032753B = .A ;
IF MI32753B = 8                THEN MI32753B = .A ;
IF MR32753B = 98               THEN MR32753B = .A ;
IF M032753C = 98               THEN M032753C = .A ;
IF MI32753C = 8                THEN MI32753C = .A ;
IF MR32753C = 98               THEN MR32753C = .A ;
IF M032756  = 98               THEN M032756  = .A ;
IF MI32756  = 8                THEN MI32756  = .A ;
IF MR32756  = 98               THEN MR32756  = .A ;
IF M032381  = 98               THEN M032381  = .A ;
IF MI32381  = 8                THEN MI32381  = .A ;
IF MR32381  = 98               THEN MR32381  = .A ;
IF M032414  = 98               THEN M032414  = .A ;
IF MI32414  = 8                THEN MI32414  = .A ;
IF MR32414  = 98               THEN MR32414  = .A ;
IF M032688  = 98               THEN M032688  = .A ;
IF MI32688  = 8                THEN MI32688  = .A ;
IF MR32688  = 98               THEN MR32688  = .A ;
IF M032637A = 98               THEN M032637A = .A ;
IF MI32637A = 8                THEN MI32637A = .A ;
IF MR32637A = 98               THEN MR32637A = .A ;
IF M032637B = 98               THEN M032637B = .A ;
IF MI32637B = 8                THEN MI32637B = .A ;
IF MR32637B = 98               THEN MR32637B = .A ;
IF M032637C = 98               THEN M032637C = .A ;
IF MI32637C = 8                THEN MI32637C = .A ;
IF MR32637C = 98               THEN MR32637C = .A ;
IF M032652  = 98               THEN M032652  = .A ;
IF MI32652  = 8                THEN MI32652  = .A ;
IF MR32652  = 98               THEN MR32652  = .A ;
IF M032545  = 98               THEN M032545  = .A ;
IF MI32545  = 8                THEN MI32545  = .A ;
IF MR32545  = 98               THEN MR32545  = .A ;
IF M032649A = 98               THEN M032649A = .A ;
IF MI32649A = 8                THEN MI32649A = .A ;
IF MR32649A = 98               THEN MR32649A = .A ;
IF M032649B = 98               THEN M032649B = .A ;
IF MI32649B = 8                THEN MI32649B = .A ;
IF MR32649B = 98               THEN MR32649B = .A ;
IF M032403  = 98               THEN M032403  = .A ;
IF MI32403  = 8                THEN MI32403  = .A ;
IF MR32403  = 98               THEN MR32403  = .A ;
IF M032671  = 98               THEN M032671  = .A ;
IF MI32671  = 8                THEN MI32671  = .A ;
IF MR32671  = 98               THEN MR32671  = .A ;
IF M032557  = 98               THEN M032557  = .A ;
IF MI32557  = 8                THEN MI32557  = .A ;
IF MR32557  = 98               THEN MR32557  = .A ;
IF M032762  = 98               THEN M032762  = .A ;
IF MI32762  = 8                THEN MI32762  = .A ;
IF MR32762  = 98               THEN MR32762  = .A ;
IF M032763  = 98               THEN M032763  = .A ;
IF MI32763  = 8                THEN MI32763  = .A ;
IF MR32763  = 98               THEN MR32763  = .A ;
IF M032764  = 98               THEN M032764  = .A ;
IF MI32764  = 8                THEN MI32764  = .A ;
IF MR32764  = 98               THEN MR32764  = .A ;
IF M032064  = 98               THEN M032064  = .A ;
IF MI32064  = 8                THEN MI32064  = .A ;
IF MR32064  = 98               THEN MR32064  = .A ;
IF M032538  = 98               THEN M032538  = .A ;
IF MI32538  = 8                THEN MI32538  = .A ;
IF MR32538  = 98               THEN MR32538  = .A ;
IF M032734  = 98               THEN M032734  = .A ;
IF MI32734  = 8                THEN MI32734  = .A ;
IF MR32734  = 98               THEN MR32734  = .A ;
IF M032695  = 98               THEN M032695  = .A ;
IF MI32695  = 8                THEN MI32695  = .A ;
IF MR32695  = 98               THEN MR32695  = .A ;
IF M032725  = 98               THEN M032725  = .A ;
IF MI32725  = 8                THEN MI32725  = .A ;
IF MR32725  = 98               THEN MR32725  = .A ;
IF M032683  = 98               THEN M032683  = .A ;
IF MI32683  = 8                THEN MI32683  = .A ;
IF MR32683  = 98               THEN MR32683  = .A ;
IF M032681A = 98               THEN M032681A = .A ;
IF MI32681A = 8                THEN MI32681A = .A ;
IF MR32681A = 98               THEN MR32681A = .A ;
IF M032681B = 98               THEN M032681B = .A ;
IF MI32681B = 8                THEN MI32681B = .A ;
IF MR32681B = 98               THEN MR32681B = .A ;
IF M032681C = 98               THEN M032681C = .A ;
IF MI32681C = 8                THEN MI32681C = .A ;
IF MR32681C = 98               THEN MR32681C = .A ;
IF M032743  = 98               THEN M032743  = .A ;
IF MI32743  = 8                THEN MI32743  = .A ;
IF MR32743  = 98               THEN MR32743  = .A ;
IF M032744  = 98               THEN M032744  = .A ;
IF MI32744  = 8                THEN MI32744  = .A ;
IF MR32744  = 98               THEN MR32744  = .A ;
IF M032745  = 98               THEN M032745  = .A ;
IF MI32745  = 8                THEN MI32745  = .A ;
IF MR32745  = 98               THEN MR32745  = .A ;
IF M032233  = 98               THEN M032233  = .A ;
IF MI32233  = 8                THEN MI32233  = .A ;
IF MR32233  = 98               THEN MR32233  = .A ;
IF M032757  = 98               THEN M032757  = .A ;
IF MI32757  = 8                THEN MI32757  = .A ;
IF MR32757  = 98               THEN MR32757  = .A ;
IF M032760A = 98               THEN M032760A = .A ;
IF MI32760A = 8                THEN MI32760A = .A ;
IF MR32760A = 98               THEN MR32760A = .A ;
IF M032760B = 98               THEN M032760B = .A ;
IF MI32760B = 8                THEN MI32760B = .A ;
IF MR32760B = 98               THEN MR32760B = .A ;
IF M032760C = 98               THEN M032760C = .A ;
IF MI32760C = 8                THEN MI32760C = .A ;
IF MR32760C = 98               THEN MR32760C = .A ;
IF M032761  = 98               THEN M032761  = .A ;
IF MI32761  = 8                THEN MI32761  = .A ;
IF MR32761  = 98               THEN MR32761  = .A ;
IF M032692  = 98               THEN M032692  = .A ;
IF MI32692  = 8                THEN MI32692  = .A ;
IF MR32692  = 98               THEN MR32692  = .A ;
IF S022035  = 98               THEN S022035  = .A ;
IF SI22035  = 8                THEN SI22035  = .A ;
IF SR22035  = 98               THEN SR22035  = .A ;
IF S022160  = 98               THEN S022160  = .A ;
IF SI22160  = 8                THEN SI22160  = .A ;
IF SR22160  = 98               THEN SR22160  = .A ;
IF S032131  = 98               THEN S032131  = .A ;
IF SI32131  = 8                THEN SI32131  = .A ;
IF SR32131  = 98               THEN SR32131  = .A ;
IF S032202  = 98               THEN S032202  = .A ;
IF SI32202  = 8                THEN SI32202  = .A ;
IF SR32202  = 98               THEN SR32202  = .A ;
IF S022086  = 98               THEN S022086  = .A ;
IF SI22086  = 8                THEN SI22086  = .A ;
IF SR22086  = 98               THEN SR22086  = .A ;
IF S022283  = 98               THEN S022283  = .A ;
IF SI22283  = 8                THEN SI22283  = .A ;
IF SR22283  = 98               THEN SR22283  = .A ;
IF S022152  = 98               THEN S022152  = .A ;
IF SI22152  = 8                THEN SI22152  = .A ;
IF SR22152  = 98               THEN SR22152  = .A ;
IF S022154  = 98               THEN S022154  = .A ;
IF SI22154  = 8                THEN SI22154  = .A ;
IF SR22154  = 98               THEN SR22154  = .A ;
IF S022161  = 98               THEN S022161  = .A ;
IF SI22161  = 8                THEN SI22161  = .A ;
IF SR22161  = 98               THEN SR22161  = .A ;
IF S022191  = 98               THEN S022191  = .A ;
IF SI22191  = 8                THEN SI22191  = .A ;
IF SR22191  = 98               THEN SR22191  = .A ;
IF S022279  = 98               THEN S022279  = .A ;
IF SI22279  = 8                THEN SI22279  = .A ;
IF SR22279  = 98               THEN SR22279  = .A ;
IF S022088A = 98               THEN S022088A = .A ;
IF SI22088A = 8                THEN SI22088A = .A ;
IF SR22088A = 98               THEN SR22088A = .A ;
IF S022088B = 98               THEN S022088B = .A ;
IF SI22088B = 8                THEN SI22088B = .A ;
IF SR22088B = 98               THEN SR22088B = .A ;
IF S022249A = 98               THEN S022249A = .A ;
IF S022249B = 98               THEN S022249B = .A ;
IF SI22249A = 8                THEN SI22249A = .A ;
IF SI22249B = 8                THEN SI22249B = .A ;
IF SR22249A = 98               THEN SR22249A = .A ;
IF SR22249B = 98               THEN SR22249B = .A ;
IF S022286  = 98               THEN S022286  = .A ;
IF SI22286  = 8                THEN SI22286  = .A ;
IF SR22286  = 98               THEN SR22286  = .A ;
IF S032625A = 98               THEN S032625A = .A ;
IF S032625B = 98               THEN S032625B = .A ;
IF SI32625A = 8                THEN SI32625A = .A ;
IF SI32625B = 8                THEN SI32625B = .A ;
IF SR32625A = 98               THEN SR32625A = .A ;
IF SR32625B = 98               THEN SR32625B = .A ;
IF S022022  = 98               THEN S022022  = .A ;
IF SI22022  = 8                THEN SI22022  = .A ;
IF SR22022  = 98               THEN SR22022  = .A ;
IF S022244  = 98               THEN S022244  = .A ;
IF SI22244  = 8                THEN SI22244  = .A ;
IF SR22244  = 98               THEN SR22244  = .A ;
IF S022289  = 98               THEN S022289  = .A ;
IF SI22289  = 8                THEN SI22289  = .A ;
IF SR22289  = 98               THEN SR22289  = .A ;
IF S022069  = 98               THEN S022069  = .A ;
IF SI22069  = 8                THEN SI22069  = .A ;
IF SR22069  = 98               THEN SR22069  = .A ;
IF S022268  = 98               THEN S022268  = .A ;
IF SI22268  = 8                THEN SI22268  = .A ;
IF SR22268  = 98               THEN SR22268  = .A ;
IF S022292  = 98               THEN S022292  = .A ;
IF SI22292  = 8                THEN SI22292  = .A ;
IF SR22292  = 98               THEN SR22292  = .A ;
IF S022078  = 98               THEN S022078  = .A ;
IF SI22078  = 8                THEN SI22078  = .A ;
IF SR22078  = 98               THEN SR22078  = .A ;
IF S022281  = 98               THEN S022281  = .A ;
IF SI22281  = 8                THEN SI22281  = .A ;
IF SR22281  = 98               THEN SR22281  = .A ;
IF S032519  = 98               THEN S032519  = .A ;
IF SI32519  = 8                THEN SI32519  = .A ;
IF SR32519  = 98               THEN SR32519  = .A ;
IF S032120A = 98               THEN S032120A = .A ;
IF SI32120A = 8                THEN SI32120A = .A ;
IF SR32120A = 98               THEN SR32120A = .A ;
IF S032120B = 98               THEN S032120B = .A ;
IF SI32120B = 8                THEN SI32120B = .A ;
IF SR32120B = 98               THEN SR32120B = .A ;
IF S032015  = 98               THEN S032015  = .A ;
IF SI32015  = 8                THEN SI32015  = .A ;
IF SR32015  = 98               THEN SR32015  = .A ;
IF S032310A = 98               THEN S032310A = .A ;
IF S032310B = 98               THEN S032310B = .A ;
IF SI32310A = 8                THEN SI32310A = .A ;
IF SI32310B = 8                THEN SI32310B = .A ;
IF SR32310A = 98               THEN SR32310A = .A ;
IF SR32310B = 98               THEN SR32310B = .A ;
IF S032680  = 98               THEN S032680  = .A ;
IF SI32680  = 8                THEN SI32680  = .A ;
IF SR32680  = 98               THEN SR32680  = .A ;
IF S032555  = 98               THEN S032555  = .A ;
IF SI32555  = 8                THEN SI32555  = .A ;
IF SR32555  = 98               THEN SR32555  = .A ;
IF S032122  = 98               THEN S032122  = .A ;
IF SI32122  = 8                THEN SI32122  = .A ;
IF SR32122  = 98               THEN SR32122  = .A ;
IF S032530A = 98               THEN S032530A = .A ;
IF S032530B = 98               THEN S032530B = .A ;
IF SI32530A = 8                THEN SI32530A = .A ;
IF SI32530B = 8                THEN SI32530B = .A ;
IF SR32530A = 98               THEN SR32530A = .A ;
IF SR32530B = 98               THEN SR32530B = .A ;
IF S032007  = 98               THEN S032007  = .A ;
IF SI32007  = 8                THEN SI32007  = .A ;
IF SR32007  = 98               THEN SR32007  = .A ;
IF S032679  = 98               THEN S032679  = .A ;
IF SI32679  = 8                THEN SI32679  = .A ;
IF SR32679  = 98               THEN SR32679  = .A ;
IF S032651A = 98               THEN S032651A = .A ;
IF SI32651A = 8                THEN SI32651A = .A ;
IF SR32651A = 98               THEN SR32651A = .A ;
IF S032651B = 98               THEN S032651B = .A ;
IF SI32651B = 8                THEN SI32651B = .A ;
IF SR32651B = 98               THEN SR32651B = .A ;
IF S032665A = 98               THEN S032665A = .A ;
IF SI32665A = 8                THEN SI32665A = .A ;
IF SR32665A = 98               THEN SR32665A = .A ;
IF S032665B = 98               THEN S032665B = .A ;
IF SI32665B = 8                THEN SI32665B = .A ;
IF SR32665B = 98               THEN SR32665B = .A ;
IF S032665C = 98               THEN S032665C = .A ;
IF SI32665C = 8                THEN SI32665C = .A ;
IF SR32665C = 98               THEN SR32665C = .A ;
IF S032063  = 98               THEN S032063  = .A ;
IF SI32063  = 8                THEN SI32063  = .A ;
IF SR32063  = 98               THEN SR32063  = .A ;
IF S032206  = 98               THEN S032206  = .A ;
IF SI32206  = 8                THEN SI32206  = .A ;
IF SR32206  = 98               THEN SR32206  = .A ;
IF S032057  = 98               THEN S032057  = .A ;
IF SI32057  = 8                THEN SI32057  = .A ;
IF SR32057  = 98               THEN SR32057  = .A ;
IF S032626  = 98               THEN S032626  = .A ;
IF SI32626  = 8                THEN SI32626  = .A ;
IF SR32626  = 98               THEN SR32626  = .A ;
IF S032242  = 98               THEN S032242  = .A ;
IF SI32242  = 8                THEN SI32242  = .A ;
IF SR32242  = 98               THEN SR32242  = .A ;
IF S032709  = 98               THEN S032709  = .A ;
IF SI32709  = 8                THEN SI32709  = .A ;
IF SR32709  = 98               THEN SR32709  = .A ;
IF S032711  = 98               THEN S032711  = .A ;
IF SI32711  = 8                THEN SI32711  = .A ;
IF SR32711  = 98               THEN SR32711  = .A ;
IF S032712A = 98               THEN S032712A = .A ;
IF SI32712A = 8                THEN SI32712A = .A ;
IF SR32712A = 98               THEN SR32712A = .A ;
IF S032712B = 98               THEN S032712B = .A ;
IF SI32712B = 8                THEN SI32712B = .A ;
IF SR32712B = 98               THEN SR32712B = .A ;
IF S032713A = 98               THEN S032713A = .A ;
IF SI32713A = 8                THEN SI32713A = .A ;
IF SR32713A = 98               THEN SR32713A = .A ;
IF S032713B = 98               THEN S032713B = .A ;
IF SI32713B = 8                THEN SI32713B = .A ;
IF SR32713B = 98               THEN SR32713B = .A ;
IF S032306  = 98               THEN S032306  = .A ;
IF SI32306  = 8                THEN SI32306  = .A ;
IF SR32306  = 98               THEN SR32306  = .A ;
IF S032640  = 98               THEN S032640  = .A ;
IF SI32640  = 8                THEN SI32640  = .A ;
IF SR32640  = 98               THEN SR32640  = .A ;
IF S032570  = 98               THEN S032570  = .A ;
IF SI32570  = 8                THEN SI32570  = .A ;
IF SR32570  = 98               THEN SR32570  = .A ;
IF S032272  = 98               THEN S032272  = .A ;
IF SI32272  = 8                THEN SI32272  = .A ;
IF SR32272  = 98               THEN SR32272  = .A ;
IF S032060  = 98               THEN S032060  = .A ;
IF SI32060  = 8                THEN SI32060  = .A ;
IF SR32060  = 98               THEN SR32060  = .A ;
IF S032650A = 98               THEN S032650A = .A ;
IF S032650B = 98               THEN S032650B = .A ;
IF SI32650A = 8                THEN SI32650A = .A ;
IF SI32650B = 8                THEN SI32650B = .A ;
IF SR32650A = 98               THEN SR32650A = .A ;
IF SR32650B = 98               THEN SR32650B = .A ;
IF S032614  = 98               THEN S032614  = .A ;
IF SI32614  = 8                THEN SI32614  = .A ;
IF SR32614  = 98               THEN SR32614  = .A ;
IF S032451  = 98               THEN S032451  = .A ;
IF SI32451  = 8                THEN SI32451  = .A ;
IF SR32451  = 98               THEN SR32451  = .A ;
IF S032056  = 98               THEN S032056  = .A ;
IF SI32056  = 8                THEN SI32056  = .A ;
IF SR32056  = 98               THEN SR32056  = .A ;
IF S032369  = 98               THEN S032369  = .A ;
IF SI32369  = 8                THEN SI32369  = .A ;
IF SR32369  = 98               THEN SR32369  = .A ;
IF S032126  = 98               THEN S032126  = .A ;
IF SI32126  = 8                THEN SI32126  = .A ;
IF SR32126  = 98               THEN SR32126  = .A ;
IF S032532  = 98               THEN S032532  = .A ;
IF SI32532  = 8                THEN SI32532  = .A ;
IF SR32532  = 98               THEN SR32532  = .A ;
IF S032562  = 98               THEN S032562  = .A ;
IF SI32562  = 8                THEN SI32562  = .A ;
IF SR32562  = 98               THEN SR32562  = .A ;
IF S032375  = 98               THEN S032375  = .A ;
IF SI32375  = 8                THEN SI32375  = .A ;
IF SR32375  = 98               THEN SR32375  = .A ;
IF S032704  = 98               THEN S032704  = .A ;
IF SI32704  = 8                THEN SI32704  = .A ;
IF SR32704  = 98               THEN SR32704  = .A ;
IF S032705A = 98               THEN S032705A = .A ;
IF SI32705A = 8                THEN SI32705A = .A ;
IF SR32705A = 98               THEN SR32705A = .A ;
IF S032705B = 98               THEN S032705B = .A ;
IF SI32705B = 8                THEN SI32705B = .A ;
IF SR32705B = 98               THEN SR32705B = .A ;
IF S032706A = 98               THEN S032706A = .A ;
IF SI32706A = 8                THEN SI32706A = .A ;
IF SR32706A = 98               THEN SR32706A = .A ;
IF S032706B = 98               THEN S032706B = .A ;
IF SI32706B = 8                THEN SI32706B = .A ;
IF SR32706B = 98               THEN SR32706B = .A ;
IF S032707  = 98               THEN S032707  = .A ;
IF SI32707  = 8                THEN SI32707  = .A ;
IF SR32707  = 98               THEN SR32707  = .A ;
IF S032565  = 98               THEN S032565  = .A ;
IF SI32565  = 8                THEN SI32565  = .A ;
IF SR32565  = 98               THEN SR32565  = .A ;
IF S032019A = 98               THEN S032019A = .A ;
IF SI32019A = 8                THEN SI32019A = .A ;
IF SR32019A = 98               THEN SR32019A = .A ;
IF S032019B = 98               THEN S032019B = .A ;
IF SI32019B = 8                THEN SI32019B = .A ;
IF SR32019B = 98               THEN SR32019B = .A ;
IF S032516  = 98               THEN S032516  = .A ;
IF SI32516  = 8                THEN SI32516  = .A ;
IF SR32516  = 98               THEN SR32516  = .A ;
IF S032693A = 98               THEN S032693A = .A ;
IF SI32693A = 8                THEN SI32693A = .A ;
IF SR32693A = 98               THEN SR32693A = .A ;
IF S032693B = 98               THEN S032693B = .A ;
IF SI32693B = 8                THEN SI32693B = .A ;
IF SR32693B = 98               THEN SR32693B = .A ;
IF S032695  = 98               THEN S032695  = .A ;
IF SI32695  = 8                THEN SI32695  = .A ;
IF SR32695  = 98               THEN SR32695  = .A ;
IF S032697A = 98               THEN S032697A = .A ;
IF S032697B = 98               THEN S032697B = .A ;
IF SI32697A = 8                THEN SI32697A = .A ;
IF SI32697B = 8                THEN SI32697B = .A ;
IF SR32697A = 98               THEN SR32697A = .A ;
IF SR32697B = 98               THEN SR32697B = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF M032693  = 96               THEN M032693  = .R ;
IF MI32693  = 6                THEN MI32693  = .R ;
IF MR32693  = 96               THEN MR32693  = .R ;
IF M022202  = 96               THEN M022202  = .R ;
IF MI22202  = 6                THEN MI22202  = .R ;
IF MR22202  = 96               THEN MR22202  = .R ;
IF M022148  = 96               THEN M022148  = .R ;
IF MI22148  = 6                THEN MI22148  = .R ;
IF MR22148  = 96               THEN MR22148  = .R ;
IF M022253  = 96               THEN M022253  = .R ;
IF MI22253  = 6                THEN MI22253  = .R ;
IF MR22253  = 96               THEN MR22253  = .R ;
IF M022156  = 96               THEN M022156  = .R ;
IF MI22156  = 6                THEN MI22156  = .R ;
IF MR22156  = 96               THEN MR22156  = .R ;
IF M022008  = 96               THEN M022008  = .R ;
IF MI22008  = 6                THEN MI22008  = .R ;
IF MR22008  = 96               THEN MR22008  = .R ;
IF M022012  = 96               THEN M022012  = .R ;
IF MI22012  = 6                THEN MI22012  = .R ;
IF MR22012  = 96               THEN MR22012  = .R ;
IF M022261A = 96               THEN M022261A = .R ;
IF MI22261A = 6                THEN MI22261A = .R ;
IF MR22261A = 96               THEN MR22261A = .R ;
IF M022261B = 96               THEN M022261B = .R ;
IF MI22261B = 6                THEN MI22261B = .R ;
IF MR22261B = 96               THEN MR22261B = .R ;
IF M022261C = 96               THEN M022261C = .R ;
IF MI22261C = 6                THEN MI22261C = .R ;
IF MR22261C = 96               THEN MR22261C = .R ;
IF M022227A = 96               THEN M022227A = .R ;
IF MI22227A = 6                THEN MI22227A = .R ;
IF MR22227A = 96               THEN MR22227A = .R ;
IF M022227B = 96               THEN M022227B = .R ;
IF MI22227B = 6                THEN MI22227B = .R ;
IF MR22227B = 96               THEN MR22227B = .R ;
IF M022227C = 96               THEN M022227C = .R ;
IF MI22227C = 6                THEN MI22227C = .R ;
IF MR22227C = 96               THEN MR22227C = .R ;
IF M022046  = 96               THEN M022046  = .R ;
IF MI22046  = 6                THEN MI22046  = .R ;
IF MR22046  = 96               THEN MR22046  = .R ;
IF M022055  = 96               THEN M022055  = .R ;
IF MI22055  = 6                THEN MI22055  = .R ;
IF MR22055  = 96               THEN MR22055  = .R ;
IF M022232  = 96               THEN M022232  = .R ;
IF MI22232  = 6                THEN MI22232  = .R ;
IF MR22232  = 96               THEN MR22232  = .R ;
IF M022234A = 96               THEN M022234A = .R ;
IF MI22234A = 6                THEN MI22234A = .R ;
IF MR22234A = 96               THEN MR22234A = .R ;
IF M022234B = 96               THEN M022234B = .R ;
IF MI22234B = 6                THEN MI22234B = .R ;
IF MR22234B = 96               THEN MR22234B = .R ;
IF M022243  = 96               THEN M022243  = .R ;
IF MI22243  = 6                THEN MI22243  = .R ;
IF MR22243  = 96               THEN MR22243  = .R ;
IF M022106  = 96               THEN M022106  = .R ;
IF MI22106  = 6                THEN MI22106  = .R ;
IF MR22106  = 96               THEN MR22106  = .R ;
IF M022110  = 96               THEN M022110  = .R ;
IF MI22110  = 6                THEN MI22110  = .R ;
IF MR22110  = 96               THEN MR22110  = .R ;
IF M032307  = 96               THEN M032307  = .R ;
IF MI32307  = 6                THEN MI32307  = .R ;
IF MR32307  = 96               THEN MR32307  = .R ;
IF M032691  = 96               THEN M032691  = .R ;
IF MI32691  = 6                THEN MI32691  = .R ;
IF MR32691  = 96               THEN MR32691  = .R ;
IF M032640  = 96               THEN M032640  = .R ;
IF MI32640  = 6                THEN MI32640  = .R ;
IF MR32640  = 96               THEN MR32640  = .R ;
IF M032344  = 96               THEN M032344  = .R ;
IF MI32344  = 6                THEN MI32344  = .R ;
IF MR32344  = 96               THEN MR32344  = .R ;
IF M032754  = 96               THEN M032754  = .R ;
IF MI32754  = 6                THEN MI32754  = .R ;
IF MR32754  = 96               THEN MR32754  = .R ;
IF M032755  = 96               THEN M032755  = .R ;
IF MI32755  = 6                THEN MI32755  = .R ;
IF MR32755  = 96               THEN MR32755  = .R ;
IF M032753A = 96               THEN M032753A = .R ;
IF MI32753A = 6                THEN MI32753A = .R ;
IF MR32753A = 96               THEN MR32753A = .R ;
IF M032753B = 96               THEN M032753B = .R ;
IF MI32753B = 6                THEN MI32753B = .R ;
IF MR32753B = 96               THEN MR32753B = .R ;
IF M032753C = 96               THEN M032753C = .R ;
IF MI32753C = 6                THEN MI32753C = .R ;
IF MR32753C = 96               THEN MR32753C = .R ;
IF M032756  = 96               THEN M032756  = .R ;
IF MI32756  = 6                THEN MI32756  = .R ;
IF MR32756  = 96               THEN MR32756  = .R ;
IF M032381  = 96               THEN M032381  = .R ;
IF MI32381  = 6                THEN MI32381  = .R ;
IF MR32381  = 96               THEN MR32381  = .R ;
IF M032414  = 96               THEN M032414  = .R ;
IF MI32414  = 6                THEN MI32414  = .R ;
IF MR32414  = 96               THEN MR32414  = .R ;
IF M032688  = 96               THEN M032688  = .R ;
IF MI32688  = 6                THEN MI32688  = .R ;
IF MR32688  = 96               THEN MR32688  = .R ;
IF M032637A = 96               THEN M032637A = .R ;
IF MI32637A = 6                THEN MI32637A = .R ;
IF MR32637A = 96               THEN MR32637A = .R ;
IF M032637B = 96               THEN M032637B = .R ;
IF MI32637B = 6                THEN MI32637B = .R ;
IF MR32637B = 96               THEN MR32637B = .R ;
IF M032637C = 96               THEN M032637C = .R ;
IF MI32637C = 6                THEN MI32637C = .R ;
IF MR32637C = 96               THEN MR32637C = .R ;
IF M032652  = 96               THEN M032652  = .R ;
IF MI32652  = 6                THEN MI32652  = .R ;
IF MR32652  = 96               THEN MR32652  = .R ;
IF M032545  = 96               THEN M032545  = .R ;
IF MI32545  = 6                THEN MI32545  = .R ;
IF MR32545  = 96               THEN MR32545  = .R ;
IF M032649A = 96               THEN M032649A = .R ;
IF MI32649A = 6                THEN MI32649A = .R ;
IF MR32649A = 96               THEN MR32649A = .R ;
IF M032649B = 96               THEN M032649B = .R ;
IF MI32649B = 6                THEN MI32649B = .R ;
IF MR32649B = 96               THEN MR32649B = .R ;
IF M032403  = 96               THEN M032403  = .R ;
IF MI32403  = 6                THEN MI32403  = .R ;
IF MR32403  = 96               THEN MR32403  = .R ;
IF M032671  = 96               THEN M032671  = .R ;
IF MI32671  = 6                THEN MI32671  = .R ;
IF MR32671  = 96               THEN MR32671  = .R ;
IF M032557  = 96               THEN M032557  = .R ;
IF MI32557  = 6                THEN MI32557  = .R ;
IF MR32557  = 96               THEN MR32557  = .R ;
IF M032762  = 96               THEN M032762  = .R ;
IF MI32762  = 6                THEN MI32762  = .R ;
IF MR32762  = 96               THEN MR32762  = .R ;
IF M032763  = 96               THEN M032763  = .R ;
IF MI32763  = 6                THEN MI32763  = .R ;
IF MR32763  = 96               THEN MR32763  = .R ;
IF M032764  = 96               THEN M032764  = .R ;
IF MI32764  = 6                THEN MI32764  = .R ;
IF MR32764  = 96               THEN MR32764  = .R ;
IF M032064  = 96               THEN M032064  = .R ;
IF MI32064  = 6                THEN MI32064  = .R ;
IF MR32064  = 96               THEN MR32064  = .R ;
IF M032538  = 96               THEN M032538  = .R ;
IF MI32538  = 6                THEN MI32538  = .R ;
IF MR32538  = 96               THEN MR32538  = .R ;
IF M032734  = 96               THEN M032734  = .R ;
IF MI32734  = 6                THEN MI32734  = .R ;
IF MR32734  = 96               THEN MR32734  = .R ;
IF M032695  = 96               THEN M032695  = .R ;
IF MI32695  = 6                THEN MI32695  = .R ;
IF MR32695  = 96               THEN MR32695  = .R ;
IF M032725  = 96               THEN M032725  = .R ;
IF MI32725  = 6                THEN MI32725  = .R ;
IF MR32725  = 96               THEN MR32725  = .R ;
IF M032683  = 96               THEN M032683  = .R ;
IF MI32683  = 6                THEN MI32683  = .R ;
IF MR32683  = 96               THEN MR32683  = .R ;
IF M032681A = 96               THEN M032681A = .R ;
IF MI32681A = 6                THEN MI32681A = .R ;
IF MR32681A = 96               THEN MR32681A = .R ;
IF M032681B = 96               THEN M032681B = .R ;
IF MI32681B = 6                THEN MI32681B = .R ;
IF MR32681B = 96               THEN MR32681B = .R ;
IF M032681C = 96               THEN M032681C = .R ;
IF MI32681C = 6                THEN MI32681C = .R ;
IF MR32681C = 96               THEN MR32681C = .R ;
IF M032743  = 96               THEN M032743  = .R ;
IF MI32743  = 6                THEN MI32743  = .R ;
IF MR32743  = 96               THEN MR32743  = .R ;
IF M032744  = 96               THEN M032744  = .R ;
IF MI32744  = 6                THEN MI32744  = .R ;
IF MR32744  = 96               THEN MR32744  = .R ;
IF M032745  = 96               THEN M032745  = .R ;
IF MI32745  = 6                THEN MI32745  = .R ;
IF MR32745  = 96               THEN MR32745  = .R ;
IF M032233  = 96               THEN M032233  = .R ;
IF MI32233  = 6                THEN MI32233  = .R ;
IF MR32233  = 96               THEN MR32233  = .R ;
IF M032757  = 96               THEN M032757  = .R ;
IF MI32757  = 6                THEN MI32757  = .R ;
IF MR32757  = 96               THEN MR32757  = .R ;
IF M032760A = 96               THEN M032760A = .R ;
IF MI32760A = 6                THEN MI32760A = .R ;
IF MR32760A = 96               THEN MR32760A = .R ;
IF M032760B = 96               THEN M032760B = .R ;
IF MI32760B = 6                THEN MI32760B = .R ;
IF MR32760B = 96               THEN MR32760B = .R ;
IF M032760C = 96               THEN M032760C = .R ;
IF MI32760C = 6                THEN MI32760C = .R ;
IF MR32760C = 96               THEN MR32760C = .R ;
IF M032761  = 96               THEN M032761  = .R ;
IF MI32761  = 6                THEN MI32761  = .R ;
IF MR32761  = 96               THEN MR32761  = .R ;
IF M032692  = 96               THEN M032692  = .R ;
IF MI32692  = 6                THEN MI32692  = .R ;
IF MR32692  = 96               THEN MR32692  = .R ;
IF S022035  = 96               THEN S022035  = .R ;
IF SI22035  = 6                THEN SI22035  = .R ;
IF SR22035  = 96               THEN SR22035  = .R ;
IF S022160  = 96               THEN S022160  = .R ;
IF SI22160  = 6                THEN SI22160  = .R ;
IF SR22160  = 96               THEN SR22160  = .R ;
IF S032131  = 96               THEN S032131  = .R ;
IF SI32131  = 6                THEN SI32131  = .R ;
IF SR32131  = 96               THEN SR32131  = .R ;
IF S032202  = 96               THEN S032202  = .R ;
IF SI32202  = 6                THEN SI32202  = .R ;
IF SR32202  = 96               THEN SR32202  = .R ;
IF S022086  = 96               THEN S022086  = .R ;
IF SI22086  = 6                THEN SI22086  = .R ;
IF SR22086  = 96               THEN SR22086  = .R ;
IF S022283  = 96               THEN S022283  = .R ;
IF SI22283  = 6                THEN SI22283  = .R ;
IF SR22283  = 96               THEN SR22283  = .R ;
IF S022152  = 96               THEN S022152  = .R ;
IF SI22152  = 6                THEN SI22152  = .R ;
IF SR22152  = 96               THEN SR22152  = .R ;
IF S022154  = 96               THEN S022154  = .R ;
IF SI22154  = 6                THEN SI22154  = .R ;
IF SR22154  = 96               THEN SR22154  = .R ;
IF S022161  = 96               THEN S022161  = .R ;
IF SI22161  = 6                THEN SI22161  = .R ;
IF SR22161  = 96               THEN SR22161  = .R ;
IF S022191  = 96               THEN S022191  = .R ;
IF SI22191  = 6                THEN SI22191  = .R ;
IF SR22191  = 96               THEN SR22191  = .R ;
IF S022279  = 96               THEN S022279  = .R ;
IF SI22279  = 6                THEN SI22279  = .R ;
IF SR22279  = 96               THEN SR22279  = .R ;
IF S022088A = 96               THEN S022088A = .R ;
IF SI22088A = 6                THEN SI22088A = .R ;
IF SR22088A = 96               THEN SR22088A = .R ;
IF S022088B = 96               THEN S022088B = .R ;
IF SI22088B = 6                THEN SI22088B = .R ;
IF SR22088B = 96               THEN SR22088B = .R ;
IF S022249A = 96               THEN S022249A = .R ;
IF S022249B = 96               THEN S022249B = .R ;
IF SI22249A = 6                THEN SI22249A = .R ;
IF SI22249B = 6                THEN SI22249B = .R ;
IF SR22249A = 96               THEN SR22249A = .R ;
IF SR22249B = 96               THEN SR22249B = .R ;
IF S022286  = 96               THEN S022286  = .R ;
IF SI22286  = 6                THEN SI22286  = .R ;
IF SR22286  = 96               THEN SR22286  = .R ;
IF S032625A = 96               THEN S032625A = .R ;
IF S032625B = 96               THEN S032625B = .R ;
IF SI32625A = 6                THEN SI32625A = .R ;
IF SI32625B = 6                THEN SI32625B = .R ;
IF SR32625A = 96               THEN SR32625A = .R ;
IF SR32625B = 96               THEN SR32625B = .R ;
IF S022022  = 96               THEN S022022  = .R ;
IF SI22022  = 6                THEN SI22022  = .R ;
IF SR22022  = 96               THEN SR22022  = .R ;
IF S022244  = 96               THEN S022244  = .R ;
IF SI22244  = 6                THEN SI22244  = .R ;
IF SR22244  = 96               THEN SR22244  = .R ;
IF S022289  = 96               THEN S022289  = .R ;
IF SI22289  = 6                THEN SI22289  = .R ;
IF SR22289  = 96               THEN SR22289  = .R ;
IF S022069  = 96               THEN S022069  = .R ;
IF SI22069  = 6                THEN SI22069  = .R ;
IF SR22069  = 96               THEN SR22069  = .R ;
IF S022268  = 96               THEN S022268  = .R ;
IF SI22268  = 6                THEN SI22268  = .R ;
IF SR22268  = 96               THEN SR22268  = .R ;
IF S022292  = 96               THEN S022292  = .R ;
IF SI22292  = 6                THEN SI22292  = .R ;
IF SR22292  = 96               THEN SR22292  = .R ;
IF S022078  = 96               THEN S022078  = .R ;
IF SI22078  = 6                THEN SI22078  = .R ;
IF SR22078  = 96               THEN SR22078  = .R ;
IF S022281  = 96               THEN S022281  = .R ;
IF SI22281  = 6                THEN SI22281  = .R ;
IF SR22281  = 96               THEN SR22281  = .R ;
IF S032519  = 96               THEN S032519  = .R ;
IF SI32519  = 6                THEN SI32519  = .R ;
IF SR32519  = 96               THEN SR32519  = .R ;
IF S032120A = 96               THEN S032120A = .R ;
IF SI32120A = 6                THEN SI32120A = .R ;
IF SR32120A = 96               THEN SR32120A = .R ;
IF S032120B = 96               THEN S032120B = .R ;
IF SI32120B = 6                THEN SI32120B = .R ;
IF SR32120B = 96               THEN SR32120B = .R ;
IF S032015  = 96               THEN S032015  = .R ;
IF SI32015  = 6                THEN SI32015  = .R ;
IF SR32015  = 96               THEN SR32015  = .R ;
IF S032310A = 96               THEN S032310A = .R ;
IF S032310B = 96               THEN S032310B = .R ;
IF SI32310A = 6                THEN SI32310A = .R ;
IF SI32310B = 6                THEN SI32310B = .R ;
IF SR32310A = 96               THEN SR32310A = .R ;
IF SR32310B = 96               THEN SR32310B = .R ;
IF S032680  = 96               THEN S032680  = .R ;
IF SI32680  = 6                THEN SI32680  = .R ;
IF SR32680  = 96               THEN SR32680  = .R ;
IF S032555  = 96               THEN S032555  = .R ;
IF SI32555  = 6                THEN SI32555  = .R ;
IF SR32555  = 96               THEN SR32555  = .R ;
IF S032122  = 96               THEN S032122  = .R ;
IF SI32122  = 6                THEN SI32122  = .R ;
IF SR32122  = 96               THEN SR32122  = .R ;
IF S032530A = 96               THEN S032530A = .R ;
IF S032530B = 96               THEN S032530B = .R ;
IF SI32530A = 6                THEN SI32530A = .R ;
IF SI32530B = 6                THEN SI32530B = .R ;
IF SR32530A = 96               THEN SR32530A = .R ;
IF SR32530B = 96               THEN SR32530B = .R ;
IF S032007  = 96               THEN S032007  = .R ;
IF SI32007  = 6                THEN SI32007  = .R ;
IF SR32007  = 96               THEN SR32007  = .R ;
IF S032679  = 96               THEN S032679  = .R ;
IF SI32679  = 6                THEN SI32679  = .R ;
IF SR32679  = 96               THEN SR32679  = .R ;
IF S032651A = 96               THEN S032651A = .R ;
IF SI32651A = 6                THEN SI32651A = .R ;
IF SR32651A = 96               THEN SR32651A = .R ;
IF S032651B = 96               THEN S032651B = .R ;
IF SI32651B = 6                THEN SI32651B = .R ;
IF SR32651B = 96               THEN SR32651B = .R ;
IF S032665A = 96               THEN S032665A = .R ;
IF SI32665A = 6                THEN SI32665A = .R ;
IF SR32665A = 96               THEN SR32665A = .R ;
IF S032665B = 96               THEN S032665B = .R ;
IF SI32665B = 6                THEN SI32665B = .R ;
IF SR32665B = 96               THEN SR32665B = .R ;
IF S032665C = 96               THEN S032665C = .R ;
IF SI32665C = 6                THEN SI32665C = .R ;
IF SR32665C = 96               THEN SR32665C = .R ;
IF S032063  = 96               THEN S032063  = .R ;
IF SI32063  = 6                THEN SI32063  = .R ;
IF SR32063  = 96               THEN SR32063  = .R ;
IF S032206  = 96               THEN S032206  = .R ;
IF SI32206  = 6                THEN SI32206  = .R ;
IF SR32206  = 96               THEN SR32206  = .R ;
IF S032057  = 96               THEN S032057  = .R ;
IF SI32057  = 6                THEN SI32057  = .R ;
IF SR32057  = 96               THEN SR32057  = .R ;
IF S032626  = 96               THEN S032626  = .R ;
IF SI32626  = 6                THEN SI32626  = .R ;
IF SR32626  = 96               THEN SR32626  = .R ;
IF S032242  = 96               THEN S032242  = .R ;
IF SI32242  = 6                THEN SI32242  = .R ;
IF SR32242  = 96               THEN SR32242  = .R ;
IF S032709  = 96               THEN S032709  = .R ;
IF SI32709  = 6                THEN SI32709  = .R ;
IF SR32709  = 96               THEN SR32709  = .R ;
IF S032711  = 96               THEN S032711  = .R ;
IF SI32711  = 6                THEN SI32711  = .R ;
IF SR32711  = 96               THEN SR32711  = .R ;
IF S032712A = 96               THEN S032712A = .R ;
IF SI32712A = 6                THEN SI32712A = .R ;
IF SR32712A = 96               THEN SR32712A = .R ;
IF S032712B = 96               THEN S032712B = .R ;
IF SI32712B = 6                THEN SI32712B = .R ;
IF SR32712B = 96               THEN SR32712B = .R ;
IF S032713A = 96               THEN S032713A = .R ;
IF SI32713A = 6                THEN SI32713A = .R ;
IF SR32713A = 96               THEN SR32713A = .R ;
IF S032713B = 96               THEN S032713B = .R ;
IF SI32713B = 6                THEN SI32713B = .R ;
IF SR32713B = 96               THEN SR32713B = .R ;
IF S032306  = 96               THEN S032306  = .R ;
IF SI32306  = 6                THEN SI32306  = .R ;
IF SR32306  = 96               THEN SR32306  = .R ;
IF S032640  = 96               THEN S032640  = .R ;
IF SI32640  = 6                THEN SI32640  = .R ;
IF SR32640  = 96               THEN SR32640  = .R ;
IF S032570  = 96               THEN S032570  = .R ;
IF SI32570  = 6                THEN SI32570  = .R ;
IF SR32570  = 96               THEN SR32570  = .R ;
IF S032272  = 96               THEN S032272  = .R ;
IF SI32272  = 6                THEN SI32272  = .R ;
IF SR32272  = 96               THEN SR32272  = .R ;
IF S032060  = 96               THEN S032060  = .R ;
IF SI32060  = 6                THEN SI32060  = .R ;
IF SR32060  = 96               THEN SR32060  = .R ;
IF S032650A = 96               THEN S032650A = .R ;
IF S032650B = 96               THEN S032650B = .R ;
IF SI32650A = 6                THEN SI32650A = .R ;
IF SI32650B = 6                THEN SI32650B = .R ;
IF SR32650A = 96               THEN SR32650A = .R ;
IF SR32650B = 96               THEN SR32650B = .R ;
IF S032614  = 96               THEN S032614  = .R ;
IF SI32614  = 6                THEN SI32614  = .R ;
IF SR32614  = 96               THEN SR32614  = .R ;
IF S032451  = 96               THEN S032451  = .R ;
IF SI32451  = 6                THEN SI32451  = .R ;
IF SR32451  = 96               THEN SR32451  = .R ;
IF S032056  = 96               THEN S032056  = .R ;
IF SI32056  = 6                THEN SI32056  = .R ;
IF SR32056  = 96               THEN SR32056  = .R ;
IF S032369  = 96               THEN S032369  = .R ;
IF SI32369  = 6                THEN SI32369  = .R ;
IF SR32369  = 96               THEN SR32369  = .R ;
IF S032126  = 96               THEN S032126  = .R ;
IF SI32126  = 6                THEN SI32126  = .R ;
IF SR32126  = 96               THEN SR32126  = .R ;
IF S032532  = 96               THEN S032532  = .R ;
IF SI32532  = 6                THEN SI32532  = .R ;
IF SR32532  = 96               THEN SR32532  = .R ;
IF S032562  = 96               THEN S032562  = .R ;
IF SI32562  = 6                THEN SI32562  = .R ;
IF SR32562  = 96               THEN SR32562  = .R ;
IF S032375  = 96               THEN S032375  = .R ;
IF SI32375  = 6                THEN SI32375  = .R ;
IF SR32375  = 96               THEN SR32375  = .R ;
IF S032704  = 96               THEN S032704  = .R ;
IF SI32704  = 6                THEN SI32704  = .R ;
IF SR32704  = 96               THEN SR32704  = .R ;
IF S032705A = 96               THEN S032705A = .R ;
IF SI32705A = 6                THEN SI32705A = .R ;
IF SR32705A = 96               THEN SR32705A = .R ;
IF S032705B = 96               THEN S032705B = .R ;
IF SI32705B = 6                THEN SI32705B = .R ;
IF SR32705B = 96               THEN SR32705B = .R ;
IF S032706A = 96               THEN S032706A = .R ;
IF SI32706A = 6                THEN SI32706A = .R ;
IF SR32706A = 96               THEN SR32706A = .R ;
IF S032706B = 96               THEN S032706B = .R ;
IF SI32706B = 6                THEN SI32706B = .R ;
IF SR32706B = 96               THEN SR32706B = .R ;
IF S032707  = 96               THEN S032707  = .R ;
IF SI32707  = 6                THEN SI32707  = .R ;
IF SR32707  = 96               THEN SR32707  = .R ;
IF S032565  = 96               THEN S032565  = .R ;
IF SI32565  = 6                THEN SI32565  = .R ;
IF SR32565  = 96               THEN SR32565  = .R ;
IF S032019A = 96               THEN S032019A = .R ;
IF SI32019A = 6                THEN SI32019A = .R ;
IF SR32019A = 96               THEN SR32019A = .R ;
IF S032019B = 96               THEN S032019B = .R ;
IF SI32019B = 6                THEN SI32019B = .R ;
IF SR32019B = 96               THEN SR32019B = .R ;
IF S032516  = 96               THEN S032516  = .R ;
IF SI32516  = 6                THEN SI32516  = .R ;
IF SR32516  = 96               THEN SR32516  = .R ;
IF S032693A = 96               THEN S032693A = .R ;
IF SI32693A = 6                THEN SI32693A = .R ;
IF SR32693A = 96               THEN SR32693A = .R ;
IF S032693B = 96               THEN S032693B = .R ;
IF SI32693B = 6                THEN SI32693B = .R ;
IF SR32693B = 96               THEN SR32693B = .R ;
IF S032695  = 96               THEN S032695  = .R ;
IF SI32695  = 6                THEN SI32695  = .R ;
IF SR32695  = 96               THEN SR32695  = .R ;
IF S032697A = 96               THEN S032697A = .R ;
IF S032697B = 96               THEN S032697B = .R ;
IF SI32697A = 6                THEN SI32697A = .R ;
IF SI32697B = 6                THEN SI32697B = .R ;
IF SR32697A = 96               THEN SR32697A = .R ;
IF SR32697B = 96               THEN SR32697B = .R ;



%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;



