**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= BTM&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDTEACH    6 ;
LENGTH      IDLINK     3 ;
LENGTH      ITCOURSE   3 ;
LENGTH      IDSUBJ     3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BTBGAGE    3 ;
LENGTH      BTBGSEX    3 ;
LENGTH      BTBGTAUT   3 ;
LENGTH      BTBGFEDC   3 ;
LENGTH      BTBGYTTR   3 ;
LENGTH      BTBMPSMA   3 ;
LENGTH      BTBMPSEM   3 ;
LENGTH      BTBSPSSC   3 ;
LENGTH      BTBSPSED   3 ;
LENGTH      BTBGPSEG   3 ;
LENGTH      BTBGPSOT   3 ;
LENGTH      BTBMRB5A   3 ;
LENGTH      BTBMRBPP   3 ;
LENGTH      BTBMRBEC   3 ;
LENGTH      BTBMRBMC   3 ;
LENGTH      BTBMRBLE   3 ;
LENGTH      BTBGTLCE   3 ;
LENGTH      BTBGTELC   3 ;
LENGTH      BTBMRE01   3 ;
LENGTH      BTBMRE02   3 ;
LENGTH      BTBMRE03   3 ;
LENGTH      BTBMRE04   3 ;
LENGTH      BTBMRE05   3 ;
LENGTH      BTBMRE06   3 ;
LENGTH      BTBMRE07   3 ;
LENGTH      BTBMRE08   3 ;
LENGTH      BTBMRE09   3 ;
LENGTH      BTBMRE10   3 ;
LENGTH      BTBMRE11   3 ;
LENGTH      BTBMRE12   3 ;
LENGTH      BTBMRE13   3 ;
LENGTH      BTBMRE14   3 ;
LENGTH      BTBMRE15   3 ;
LENGTH      BTBMRE16   3 ;
LENGTH      BTBMRE17   3 ;
LENGTH      BTBMRE18   3 ;
LENGTH      BTBGWTNP   3 ;
LENGTH      BTBMSPTM   3 ;
LENGTH      BTBSSPTS   3 ;
LENGTH      BTBGSPTO   3 ;
LENGTH      BTBGSPOD   3 ;
LENGTH      BTBGSPTT   3 ;
LENGTH      BTBGMITY   3 ;
LENGTH      BTBGOHGT   3 ;
LENGTH      BTBGOHPL   3 ;
LENGTH      BTBGOHAT   3 ;
LENGTH      BTBGOHOT   3 ;
LENGTH      BTBGOTDC   3 ;
LENGTH      BTBGOTPM   3 ;
LENGTH      BTBGOTVT   3 ;
LENGTH      BTBGOTAT   3 ;
LENGTH      BTBMPDMT   3 ;
LENGTH      BTBMPDMP   3 ;
LENGTH      BTBMPDMC   3 ;
LENGTH      BTBMPDIT   3 ;
LENGTH      BTBGPDCT   3 ;
LENGTH      BTBMPDMA   3 ;
LENGTH      BTBMADMR   3 ;
LENGTH      BTBMADSA   3 ;
LENGTH      BTBMADHY   3 ;
LENGTH      BTBMADME   3 ;
LENGTH      BTBMADDW   3 ;
LENGTH      BTBMADFD   3 ;
LENGTH      BTBMADRW   3 ;
LENGTH      BTBGCURE   3 ;
LENGTH      BTBGCUSN   3 ;
LENGTH      BTBGCUSA   3 ;
LENGTH      BTBGCUAS   3 ;
LENGTH      BTBGCHTS   3 ;
LENGTH      BTBGCHTU   3 ;
LENGTH      BTBGCHTC   3 ;
LENGTH      BTBGCHES   3 ;
LENGTH      BTBGCHPS   3 ;
LENGTH      BTBGCHPI   3 ;
LENGTH      BTBGCHSR   3 ;
LENGTH      BTBGCHSD   3 ;
LENGTH      BTBMSTUD   3 ;
LENGTH      BTBMTIMT   3 ;
LENGTH      BTBMTBTC   3 ;
LENGTH      BTBMTXBU   3 ;
LENGTH      BTBMPTRH   3 ;
LENGTH      BTBMPTLS   3 ;
LENGTH      BTBMPTYG   3 ;
LENGTH      BTBMPTOO   3 ;
LENGTH      BTBMPTRT   3 ;
LENGTH      BTBMPTTQ   3 ;
LENGTH      BTBMPTCM   3 ;
LENGTH      BTBMPTOA   3 ;
LENGTH      BTBMASPC   3 ;
LENGTH      BTBMASWF   3 ;
LENGTH      BTBMASWS   3 ;
LENGTH      BTBMASID   3 ;
LENGTH      BTBMASRR   3 ;
LENGTH      BTBMASSG   3 ;
LENGTH      BTBMASDL   3 ;
LENGTH      BTBMASEA   3 ;
LENGTH      BTBMASCP   3 ;
LENGTH      BTBGLT01   3 ;
LENGTH      BTBGLT02   3 ;
LENGTH      BTBGLT03   3 ;
LENGTH      BTBGLT04   3 ;
LENGTH      BTBGLT05   3 ;
LENGTH      BTBGLT06   3 ;
LENGTH      BTBGLT07   3 ;
LENGTH      BTBGLT08   3 ;
LENGTH      BTBGLT09   3 ;
LENGTH      BTBGLT10   3 ;
LENGTH      BTBGLT11   3 ;
LENGTH      BTBGLT12   3 ;
LENGTH      BTBGLT13   3 ;
LENGTH      BTBGLT14   3 ;
LENGTH      BTBMCNUM   3 ;
LENGTH      BTBMCGEO   3 ;
LENGTH      BTBMCALG   3 ;
LENGTH      BTBMCDAT   3 ;
LENGTH      BTBMCMEA   3 ;
LENGTH      BTBMCOTH   3 ;
LENGTH      BTBMTO01   3 ;
LENGTH      BTBMTO02   3 ;
LENGTH      BTBMTO03   3 ;
LENGTH      BTBMTO04   3 ;
LENGTH      BTBMTO05   3 ;
LENGTH      BTBMTO06   3 ;
LENGTH      BTBMTO07   3 ;
LENGTH      BTBMTO08   3 ;
LENGTH      BTBMTO09   3 ;
LENGTH      BTBMTO10   3 ;
LENGTH      BTBMTO11   3 ;
LENGTH      BTBMTO12   3 ;
LENGTH      BTBMTO13   3 ;
LENGTH      BTBMTO14   3 ;
LENGTH      BTBMTO15   3 ;
LENGTH      BTBMTO16   3 ;
LENGTH      BTBMTO17   3 ;
LENGTH      BTBMTO18   3 ;
LENGTH      BTBMTO19   3 ;
LENGTH      BTBMTO20   3 ;
LENGTH      BTBMTO21   3 ;
LENGTH      BTBMTO22   3 ;
LENGTH      BTBMTO23   3 ;
LENGTH      BTBMTO24   3 ;
LENGTH      BTBMTO25   3 ;
LENGTH      BTBMTO26   3 ;
LENGTH      BTBMTO27   3 ;
LENGTH      BTBMTO28   3 ;
LENGTH      BTBMTO29   3 ;
LENGTH      BTBMTO30   3 ;
LENGTH      BTBMTO31   3 ;
LENGTH      BTBMTO32   3 ;
LENGTH      BTBMTO33   3 ;
LENGTH      BTBMTO34   3 ;
LENGTH      BTBMTO35   3 ;
LENGTH      BTBMTO36   3 ;
LENGTH      BTBMTO37   3 ;
LENGTH      BTBMTO38   3 ;
LENGTH      BTBMTO39   3 ;
LENGTH      BTBMTO40   3 ;
LENGTH      BTBMTO41   3 ;
LENGTH      BTBMTO42   3 ;
LENGTH      BTBMTO43   3 ;
LENGTH      BTBMTO44   3 ;
LENGTH      BTBMTO45   3 ;
LENGTH      BTBMCAML   3 ;
LENGTH      BTBMHSHC   3 ;
LENGTH      BTBMHSGC   3 ;
LENGTH      BTBMCALA   3 ;
LENGTH      BTBMCALR   3 ;
LENGTH      BTBMCALS   3 ;
LENGTH      BTBMCALE   3 ;
LENGTH      BTBMCATE   3 ;
LENGTH      BTBMCOMA   3 ;
LENGTH      BTBMINTA   3 ;
LENGTH      BTBMCADM   3 ;
LENGTH      BTBMCASP   3 ;
LENGTH      BTBMCALI   3 ;
LENGTH      BTBMCAPA   3 ;
LENGTH      BTBMHMWO   3 ;
LENGTH      BTBMHWMC   3 ;
LENGTH      BTBMHWKM   3 ;
LENGTH      BTBMKHCP   3 ;
LENGTH      BTBMKHCG   3 ;
LENGTH      BTBMKHCA   3 ;
LENGTH      BTBMHDAM   3 ;
LENGTH      BTBMHDAF   3 ;
LENGTH      BTBMHDAC   3 ;
LENGTH      BTBMHDAD   3 ;
LENGTH      BTBMHDAG   3 ;
LENGTH      BTBMTEEX   3 ;
LENGTH      BTBMWFTU   3 ;
LENGTH      BTBMTEAP   3 ;
LENGTH      BTBMTESP   3 ;
LENGTH      BTBMTEJU   3 ;
LENGTH      BTDGTELC   3 ;
LENGTH      BTDMSTUD   3 ;
LENGTH      BTDMLT     3 ;
LENGTH      BTDMH      3 ;
LENGTH      BTDMCH     3 ;
LENGTH      BTDMCU     3 ;
LENGTH      BTDMTONU   8 ;
LENGTH      BTDMTOAL   8 ;
LENGTH      BTDMTOME   8 ;
LENGTH      BTDMTOGE   8 ;
LENGTH      BTDMTODA   8 ;
LENGTH      BTDMTOOV   8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDTEACH      11-  16     
  IDLINK       17-  18     
  ITCOURSE     19-  20     
  IDSUBJ       21-  21     
  IDGRADE      22-  23     
  IDGRADER     24-  24     
  INTMS03      25-  25     
  INTMS99      26-  26     
  INTMS95      27-  27     
  BTBGAGE      28-  28     
  BTBGSEX      29-  29     
  BTBGTAUT     30-  31     
  BTBGFEDC     32-  32     
  BTBGYTTR     33-  34     
  BTBMPSMA     35-  35     
  BTBMPSEM     36-  36     
  BTBSPSSC     37-  37     
  BTBSPSED     38-  38     
  BTBGPSEG     39-  39     
  BTBGPSOT     40-  40     
  BTBMRB5A     41-  41     
  BTBMRBPP     42-  42     
  BTBMRBEC     43-  43     
  BTBMRBMC     44-  44     
  BTBMRBLE     45-  45     
  BTBGTLCE     46-  46     
  BTBGTELC     47-  47     
  BTBMRE01     48-  48     
  BTBMRE02     49-  49     
  BTBMRE03     50-  50     
  BTBMRE04     51-  51     
  BTBMRE05     52-  52     
  BTBMRE06     53-  53     
  BTBMRE07     54-  54     
  BTBMRE08     55-  55     
  BTBMRE09     56-  56     
  BTBMRE10     57-  57     
  BTBMRE11     58-  58     
  BTBMRE12     59-  59     
  BTBMRE13     60-  60     
  BTBMRE14     61-  61     
  BTBMRE15     62-  62     
  BTBMRE16     63-  63     
  BTBMRE17     64-  64     
  BTBMRE18     65-  65     
  BTBGWTNP     66-  67     
  BTBMSPTM     68-  69     
  BTBSSPTS     70-  71     
  BTBGSPTO     72-  73     
  BTBGSPOD     74-  75     
  BTBGSPTT     76-  77     
  BTBGMITY     78-  80     
  BTBGOHGT     81-  82     
  BTBGOHPL     83-  84     
  BTBGOHAT     85-  86     
  BTBGOHOT     87-  88     
  BTBGOTDC     89-  89     
  BTBGOTPM     90-  90     
  BTBGOTVT     91-  91     
  BTBGOTAT     92-  92     
  BTBMPDMT     93-  93     
  BTBMPDMP     94-  94     
  BTBMPDMC     95-  95     
  BTBMPDIT     96-  96     
  BTBGPDCT     97-  97     
  BTBMPDMA     98-  98     
  BTBMADMR     99-  99     
  BTBMADSA    100- 100     
  BTBMADHY    101- 101     
  BTBMADME    102- 102     
  BTBMADDW    103- 103     
  BTBMADFD    104- 104     
  BTBMADRW    105- 105     
  BTBGCURE    106- 106     
  BTBGCUSN    107- 107     
  BTBGCUSA    108- 108     
  BTBGCUAS    109- 109     
  BTBGCHTS    110- 110     
  BTBGCHTU    111- 111     
  BTBGCHTC    112- 112     
  BTBGCHES    113- 113     
  BTBGCHPS    114- 114     
  BTBGCHPI    115- 115     
  BTBGCHSR    116- 116     
  BTBGCHSD    117- 117     
  BTBMSTUD    118- 120     
  BTBMTIMT    121- 123     
  BTBMTBTC    124- 124     
  BTBMTXBU    125- 125     
  BTBMPTRH    126- 128     
  BTBMPTLS    129- 131     
  BTBMPTYG    132- 134     
  BTBMPTOO    135- 137     
  BTBMPTRT    138- 140     
  BTBMPTTQ    141- 143     
  BTBMPTCM    144- 146     
  BTBMPTOA    147- 149     
  BTBMASPC    150- 150     
  BTBMASWF    151- 151     
  BTBMASWS    152- 152     
  BTBMASID    153- 153     
  BTBMASRR    154- 154     
  BTBMASSG    155- 155     
  BTBMASDL    156- 156     
  BTBMASEA    157- 157     
  BTBMASCP    158- 158     
  BTBGLT01    159- 159     
  BTBGLT02    160- 160     
  BTBGLT03    161- 161     
  BTBGLT04    162- 162     
  BTBGLT05    163- 163     
  BTBGLT06    164- 164     
  BTBGLT07    165- 165     
  BTBGLT08    166- 166     
  BTBGLT09    167- 167     
  BTBGLT10    168- 168     
  BTBGLT11    169- 169     
  BTBGLT12    170- 170     
  BTBGLT13    171- 171     
  BTBGLT14    172- 172     
  BTBMCNUM    173- 175     
  BTBMCGEO    176- 178     
  BTBMCALG    179- 181     
  BTBMCDAT    182- 184     
  BTBMCMEA    185- 187     
  BTBMCOTH    188- 190     
  BTBMTO01    191- 191     
  BTBMTO02    192- 192     
  BTBMTO03    193- 193     
  BTBMTO04    194- 194     
  BTBMTO05    195- 195     
  BTBMTO06    196- 196     
  BTBMTO07    197- 197     
  BTBMTO08    198- 198     
  BTBMTO09    199- 199     
  BTBMTO10    200- 200     
  BTBMTO11    201- 201     
  BTBMTO12    202- 202     
  BTBMTO13    203- 203     
  BTBMTO14    204- 204     
  BTBMTO15    205- 205     
  BTBMTO16    206- 206     
  BTBMTO17    207- 207     
  BTBMTO18    208- 208     
  BTBMTO19    209- 209     
  BTBMTO20    210- 210     
  BTBMTO21    211- 211     
  BTBMTO22    212- 212     
  BTBMTO23    213- 213     
  BTBMTO24    214- 214     
  BTBMTO25    215- 215     
  BTBMTO26    216- 216     
  BTBMTO27    217- 217     
  BTBMTO28    218- 218     
  BTBMTO29    219- 219     
  BTBMTO30    220- 220     
  BTBMTO31    221- 221     
  BTBMTO32    222- 222     
  BTBMTO33    223- 223     
  BTBMTO34    224- 224     
  BTBMTO35    225- 225     
  BTBMTO36    226- 226     
  BTBMTO37    227- 227     
  BTBMTO38    228- 228     
  BTBMTO39    229- 229     
  BTBMTO40    230- 230     
  BTBMTO41    231- 231     
  BTBMTO42    232- 232     
  BTBMTO43    233- 233     
  BTBMTO44    234- 234     
  BTBMTO45    235- 235     
  BTBMCAML    236- 236     
  BTBMHSHC    237- 237     
  BTBMHSGC    238- 238     
  BTBMCALA    239- 239     
  BTBMCALR    240- 240     
  BTBMCALS    241- 241     
  BTBMCALE    242- 242     
  BTBMCATE    243- 243     
  BTBMCOMA    244- 244     
  BTBMINTA    245- 245     
  BTBMCADM    246- 246     
  BTBMCASP    247- 247     
  BTBMCALI    248- 248     
  BTBMCAPA    249- 249     
  BTBMHMWO    250- 250     
  BTBMHWMC    251- 251     
  BTBMHWKM    252- 252     
  BTBMKHCP    253- 253     
  BTBMKHCG    254- 254     
  BTBMKHCA    255- 255     
  BTBMHDAM    256- 256     
  BTBMHDAF    257- 257     
  BTBMHDAC    258- 258     
  BTBMHDAD    259- 259     
  BTBMHDAG    260- 260     
  BTBMTEEX    261- 261     
  BTBMWFTU    262- 262     
  BTBMTEAP    263- 263     
  BTBMTESP    264- 264     
  BTBMTEJU    265- 265     
  BTDGTELC    266- 266     
  BTDMSTUD    267- 267     
  BTDMLT      268- 268     
  BTDMH       269- 269     
  BTDMCH      270- 270     
  BTDMCU      271- 271     
  BTDMTONU    272- 277 .2
  BTDMTOAL    278- 283 .2
  BTDMTOME    284- 289 .2
  BTDMTOGE    290- 295 .2
  BTDMTODA    296- 301 .2
  BTDMTOOV    302- 307 .2
  DPCDATE     308- 313     
;




%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  ITCOURSE = "*NAME OF COURSE*"
  IDSUBJ   = "*SUBJECT ID*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  BTBGAGE  = "GEN\AGE OF TEACHER"
  BTBGSEX  = "GEN\SEX OF TEACHER"
  BTBGTAUT = "GEN\YEARS BEEN TEACHING"
  BTBGFEDC = "GEN\LEVEL OF FORMAL EDUCATION COMPLETED"
  BTBGYTTR = "GEN\YEARS OF TEACHER TRAINING"
  BTBMPSMA = "MAT\MAJOR AREA OF STUDY\MATHEMATICS"
  BTBMPSEM = "MAT\MAJOR AREA OF STUDY\EDUCATION MATHS"
  BTBSPSSC = "SCI\MAJOR AREA OF STUDY\SCI"
  BTBSPSED = "SCI\MAJOR AREA OF STUDY\EDUCATION SCI"
  BTBGPSEG = "GEN\MAJOR AREA OF STUDY\EDUCATION GEN"
  BTBGPSOT = "GEN\MAJOR AREA OF STUDY\OTHER"
  BTBMRB5A = "MAT\REQUIREMENTS TO BECOME TCH\ISCED 5A"
  BTBMRBPP = "MAT\REQUIREMENTS TO BECOME TCH\PROB PER"
  BTBMRBEC = "MAT\REQUIREMENTS TO BECOME TCH\EDU CSES"
  BTBMRBMC = "MAT\REQUIREMENTS TO BECOME TCH\MATH CSES"
  BTBMRBLE = "MAT\REQUIREMENTS TO BECOME TCH\LIC EXAM"
  BTBGTLCE = "GEN\TEACHING CERTIFICATE"
  BTBGTELC = "GEN\TEACHING CERTIFICATE\TYPE"
  BTBMRE01 = "MAT\READY TO TCH\NUMBER\DECIMALS FRACT"
  BTBMRE02 = "MAT\READY TO TCH\NUMBER\INTEGERS"
  BTBMRE03 = "MAT\READY TO TCH\ALGEBRA\PATTERNS SEQU"
  BTBMRE04 = "MAT\READY TO TCH\ALGEBRA\SMPLE EQUAT"
  BTBMRE05 = "MAT\READY TO TCH\ALGEBRA\EQUIV PRESENT"
  BTBMRE06 = "MAT\READY TO TCH\ALGEBRA\ATTRIBUTES"
  BTBMRE07 = "MAT\READY TO TCH\MEASUREMENT\ESTIMATIONS"
  BTBMRE08 = "MAT\READY TO TCH\MEASUREMENT\COMPUTATION"
  BTBMRE09 = "MAT\READY TO TCH\MEASUREMENT\MEASURES"
  BTBMRE10 = "MAT\READY TO TCH\MEASUREMENT\PRECISION"
  BTBMRE11 = "MAT\READY TO TCH\GEOMETRY\PYTHAGOREAN"
  BTBMRE12 = "MAT\READY TO TCH\GEOMETRY\CONGR FIGURES"
  BTBMRE13 = "MAT\READY TO TCH\GEOMETRY\CARTESIAN PL"
  BTBMRE14 = "MAT\READY TO TCH\GEOMETRY\TRANSLATION"
  BTBMRE15 = "MAT\READY TO TCH\DATA\SOURCES OF ERROR"
  BTBMRE16 = "MAT\READY TO TCH\DATA\DATA COLLECTION"
  BTBMRE17 = "MAT\READY TO TCH\DATA\CHARACTERISTICS"
  BTBMRE18 = "MAT\READY TO TCH\DATA\SIMPLE PROBABILITY"
  BTBGWTNP = "GEN\SCHEDULED PERIODS ALTOGETHER"
  BTBMSPTM = "MAT\PERIODS ASSIGNED\TCH MATHS"
  BTBSSPTS = "SCI\PERIODS ASSIGNED\TCH SCIENCE"
  BTBGSPTO = "GEN\PERIODS ASSIGNED\TCH OTHER SUBJECTS"
  BTBGSPOD = "GEN\PERIODS ASSIGNED\PERF OTHER DUTIES"
  BTBGSPTT = "GEN\PERIODS ASSIGNED\TOTAL"
  BTBGMITY = "GEN\MINUTES IN A TYPICAL PERIOD"
  BTBGOHGT = "GEN\OUTSIDE SCHOOL DAY\GRADING TESTS"
  BTBGOHPL = "GEN\OUTSIDE SCHOOL DAY\PLANNING LESSONS"
  BTBGOHAT = "GEN\OUTSIDE SCHOOL DAY\ADMINISTR TASKS"
  BTBGOHOT = "GEN\OUTSIDE SCHOOL DAY\OTHER"
  BTBGOTDC = "GEN\INTERACTIONS TEACHERS\DISCUSS CONCEP"
  BTBGOTPM = "GEN\INTERACTIONS TEACHERS\WORK ON PREPAR"
  BTBGOTVT = "GEN\INTERACTIONS TEACHERS\VISITS"
  BTBGOTAT = "GEN\INTERACTIONS TEACHERS\INFORM OBSERV"
  BTBMPDMT = "MAT\PARTICIPATED DEVELOP\MATH CONTENT"
  BTBMPDMP = "MAT\PARTICIPATED DEVELOP\MAT PEDAGOGY"
  BTBMPDMC = "MAT\PARTICIPATED DEVELOP\MAT CURRICULUM"
  BTBMPDIT = "MAT\PARTICIPATED DEVELOP\IT INTO MATH"
  BTBGPDCT = "GEN\PARTICIPATED DEVELOP\CRITICAL THINK"
  BTBMPDMA = "MAT\PARTICIPATED DEVELOP\MATH ASSESSM"
  BTBMADMR = "MAT\AGREE\USE MORE THAN 1 REPRESENTATION"
  BTBMADSA = "MAT\AGREE\MATHEMATICS SHOULD BE"
  BTBMADHY = "MAT\AGREE\SOLVING MATHS PROBLEMS"
  BTBMADME = "MAT\AGREE\LEARNING MATHS MEMORIZING"
  BTBMADDW = "MAT\AGREE\DIFERENT WAYS TO SOLVE PROBL"
  BTBMADFD = "MAT\AGREE\FEW NEW DISCOVERIES"
  BTBMADRW = "MAT\AGREE\MODELING REAL WORLD PROBL"
  BTBGCURE = "GEN\THINKING ABT CURR SCH\SCHOOL FACIL"
  BTBGCUSN = "GEN\THINKING ABT CURR SCH\SAFE NEIGHBORH"
  BTBGCUSA = "GEN\THINKING ABT CURR SCH\FEEL SAFE"
  BTBGCUAS = "GEN\THINKING ABT CURR SCH\SECURITY POLIC"
  BTBGCHTS = "GEN\CHARACTERIZE\JOB SATISFACTION"
  BTBGCHTU = "GEN\CHARACTERIZE\TCHS UNDERSTANDING"
  BTBGCHTC = "GEN\CHARACTERIZE\TCHS DEGREE OF SUCESS"
  BTBGCHES = "GEN\CHARACTERIZE\TCHS EXPECTATIONS"
  BTBGCHPS = "GEN\CHARACTERIZE\PARENTAL SUPPORT"
  BTBGCHPI = "GEN\CHARACTERIZE\PARENTAL INVOLVEMENT"
  BTBGCHSR = "GEN\CHARACTERIZE\STUDENTS REGARDS"
  BTBGCHSD = "GEN\CHARACTERIZE\STUDENTS DESIRE"
  BTBMSTUD = "MAT\NUMBER OF STUDENTS IN THE CLASS"
  BTBMTIMT = "MAT\MINUTES TEACH MATH PER WEEK TO CLASS"
  BTBMTBTC = "MAT\TEXTBOOK\USE FOR MATHS"
  BTBMTXBU = "MAT\TEXTBOOK\USED HOW IN TEACHING MATHS"
  BTBMPTRH = "MAT\PERCENTAGE SPENT\REVIEW HOMEWORK"
  BTBMPTLS = "MAT\PERCENTAGE SPENT\LISTENTING TO PRES"
  BTBMPTYG = "MAT\PERCENTAGE SPENT\WORKING PROBLEMS"
  BTBMPTOO = "MAT\PERCENTAGE SPENT\WKNG PROBL ON OWN"
  BTBMPTRT = "MAT\PERCENTAGE SPENT\LISTEN TO RETEACH"
  BTBMPTTQ = "MAT\PERCENTAGE SPENT\TESTS OR QUIZZES"
  BTBMPTCM = "MAT\PERCENTAGE SPENT\PARTIC IN CLSROOM"
  BTBMPTOA = "MAT\PERCENTAGE SPENT\OTHER ACTIVITIES"
  BTBMASPC = "MAT\HOW OFTEN ASK\PRACTICE ADDING"
  BTBMASWF = "MAT\HOW OFTEN ASK\WORK ON FRACTIONS"
  BTBMASWS = "MAT\HOW OFTEN ASK\WORK ON PROBLEMS"
  BTBMASID = "MAT\HOW OFTEN ASK\INTERPRET DATA TABLES"
  BTBMASRR = "MAT\HOW OFTEN ASK\WRITE EQUATATIONS"
  BTBMASSG = "MAT\HOW OFTEN ASK\WORK IN SMALL GROUPS"
  BTBMASDL = "MAT\HOW OFTEN ASK\RELATE TO DAILY LIFE"
  BTBMASEA = "MAT\HOW OFTEN ASK\EXPLAIN ANSWERS"
  BTBMASCP = "MAT\HOW OFTEN ASK\DECIDE ON OWN"
  BTBGLT01 = "GEN\LIMIT TO TEACH\DIFFERENT ACADEMIC AB"
  BTBGLT02 = "GEN\LIMIT TO TEACH\WIDE RANGE OF BACKGRO"
  BTBGLT03 = "GEN\LIMIT TO TEACH\SPECIAL NEEDS"
  BTBGLT04 = "GEN\LIMIT TO TEACH\UNINTERESTED STUDENTS"
  BTBGLT05 = "GEN\LIMIT TO TEACH\LOW MORALE AMONG STUD"
  BTBGLT06 = "GEN\LIMIT TO TEACH\DISRUPTIVE STUDENTS"
  BTBGLT07 = "GEN\LIMIT TO TEACH\SHORTGE COMP HARDWARE"
  BTBGLT08 = "GEN\LIMIT TO TEACH\SHORTGE COMP SOFTWARE"
  BTBGLT09 = "GEN\LIMIT TO TEACH\SUPPORT COMPUTER USE"
  BTBGLT10 = "GEN\LIMIT TO TEACH\TEXTBOOKS FOR STUDENT"
  BTBGLT11 = "GEN\LIMIT TO TEACH\INSTRUC EQUIPMENT"
  BTBGLT12 = "GEN\LIMIT TO TEACH\DEMONSTRATI EQUIPMENT"
  BTBGLT13 = "GEN\LIMIT TO TEACH\INADEQUATE PHYSICAL F"
  BTBGLT14 = "GEN\LIMIT TO TEACH\HIGH STUDENT TEACHER"
  BTBMCNUM = "MAT\PERCENTAGE OF TEACHING SPENT\NUMBER"
  BTBMCGEO = "MAT\PERCENTAGE OF TEACHING SPENT\GEOMETR"
  BTBMCALG = "MAT\PERCENTAGE OF TEACHING SPENT\ALGEBRA"
  BTBMCDAT = "MAT\PERCENTAGE OF TEACHING SPENT\DATA"
  BTBMCMEA = "MAT\PERCENTAGE OF TEACHING SPENT\MEASURM"
  BTBMCOTH = "MAT\PERCENTAGE OF TEACHING SPENT\OTHER"
  BTBMTO01 = "MAT\TAUGHT TOPIC\NUMBER\WHOLE NUMBERS"
  BTBMTO02 = "MAT\TAUGHT TOPIC\NUMBER\COMPUTATIONS EST"
  BTBMTO03 = "MAT\TAUGHT TOPIC\NUMBER\COMMON FRACTIONS"
  BTBMTO04 = "MAT\TAUGHT TOPIC\NUMBER\DECIMAL FRACTION"
  BTBMTO05 = "MAT\TAUGHT TOPIC\NUMBER\REPRESENTING DEC"
  BTBMTO06 = "MAT\TAUGHT TOPIC\NUMBER\COMPUTE FRACTION"
  BTBMTO07 = "MAT\TAUGHT TOPIC\NUMBER\COMPUTE DECIMALS"
  BTBMTO08 = "MAT\TAUGHT TOPIC\NUMBER\INTEGERS"
  BTBMTO09 = "MAT\TAUGHT TOPIC\NUMBER\RATIOS"
  BTBMTO10 = "MAT\TAUGHT TOPIC\NUMBER\CONVERSION PERCE"
  BTBMTO11 = "MAT\TAUGHT TOPIC\ALGEBRA\NUMERIC PATTERN"
  BTBMTO12 = "MAT\TAUGHT TOPIC\ALGEBRA\SUM VARIABLES"
  BTBMTO13 = "MAT\TAUGHT TOPIC\ALGEBRA\LINEAR EQUATION"
  BTBMTO14 = "MAT\TAUGHT TOPIC\ALGEBRA\EQUIV REPRESENT"
  BTBMTO15 = "MAT\TAUGHT TOPIC\ALGEBRA\RELATIONSHIPS"
  BTBMTO16 = "MAT\TAUGHT TOPIC\ALGEBRA\GRAPH ATTRIBUTE"
  BTBMTO17 = "MAT\TAUGHT TOPIC\MEASURE\STANDARD UNITS"
  BTBMTO18 = "MAT\TAUGHT TOPIC\MEASURE\RELATIONSHIPS"
  BTBMTO19 = "MAT\TAUGHT TOPIC\MEASURE\STANDARD TOOLS"
  BTBMTO20 = "MAT\TAUGHT TOPIC\MEASURE\ESTIMATIONS"
  BTBMTO21 = "MAT\TAUGHT TOPIC\MEASURE\COMPUTATIONS"
  BTBMTO22 = "MAT\TAUGHT TOPIC\MEASURE\MEA FORMULAS"
  BTBMTO23 = "MAT\TAUGHT TOPIC\MEASURE\MEA IRREGULAR"
  BTBMTO24 = "MAT\TAUGHT TOPIC\MEASURE\MEA PRECISION"
  BTBMTO25 = "MAT\TAUGHT TOPIC\GEOMETRY\ANGLES"
  BTBMTO26 = "MAT\TAUGHT TOPIC\GEOMETRY\ANGLE RELATIO"
  BTBMTO27 = "MAT\TAUGHT TOPIC\GEOMETRY\BISECTORS"
  BTBMTO28 = "MAT\TAUGHT TOPIC\GEOMETRY\GEOM SHAPES"
  BTBMTO29 = "MAT\TAUGHT TOPIC\GEOMETRY\POLYGONS"
  BTBMTO30 = "MAT\TAUGHT TOPIC\GEOMETRY\DRAW TRIANGLES"
  BTBMTO31 = "MAT\TAUGHT TOPIC\GEOMETRY\PYTHAGOREAN TH"
  BTBMTO32 = "MAT\TAUGHT TOPIC\GEOMETRY\CONGRUENT FIGU"
  BTBMTO33 = "MAT\TAUGHT TOPIC\GEOMETRY\SIMILARITY"
  BTBMTO34 = "MAT\TAUGHT TOPIC\GEOMETRY\CARTESIAN PLAN"
  BTBMTO35 = "MAT\TAUGHT TOPIC\GEOMETRY\RELATION 2D 3D"
  BTBMTO36 = "MAT\TAUGHT TOPIC\GEOMETRY\2D SYMMETRY"
  BTBMTO37 = "MAT\TAUGHT TOPIC\GEOMETRY\TRANSLATION"
  BTBMTO38 = "MAT\TAUGHT TOPIC\DATA\ORGANIZING DATA"
  BTBMTO39 = "MAT\TAUGHT TOPIC\DATA\SOURCES OF ERROR"
  BTBMTO40 = "MAT\TAUGHT TOPIC\DATA\DATA COLLECTION"
  BTBMTO41 = "MAT\TAUGHT TOPIC\DATA\DRAWING GRAPHS"
  BTBMTO42 = "MAT\TAUGHT TOPIC\DATA\CHARACTERISTICS"
  BTBMTO43 = "MAT\TAUGHT TOPIC\DATA\INTERPRETING DATA"
  BTBMTO44 = "MAT\TAUGHT TOPIC\DATA\EVALUATING INTERPR"
  BTBMTO45 = "MAT\TAUGHT TOPIC\DATA\SIMPLE PROBABILITY"
  BTBMCAML = "MAT\CALCULATOR\USE PERMITTED FOR STD"
  BTBMHSHC = "MAT\CALCULATOR\AVAIL DURING MATHS LESS"
  BTBMHSGC = "MAT\CALCULATOR\STD HAVE IT AVAILABLE"
  BTBMCALA = "MAT\CALCULATOR\USE\CHECK ANSWERS"
  BTBMCALR = "MAT\CALCULATOR\USE\DO ROUTINE COMPUT"
  BTBMCALS = "MAT\CALCULATOR\USE\SOLVE COMPLEX PROBLEM"
  BTBMCALE = "MAT\CALCULATOR\USE\EXPLORE NR CONCEPTS"
  BTBMCATE = "MAT\CALCULATOR\PERMITTED DURING TESTS"
  BTBMCOMA = "MAT\COMPUTER\AVAILABLE IN MATHS LESS"
  BTBMINTA = "MAT\COMPUTER\ACCESS TO INTERNET"
  BTBMCADM = "MAT\COMPUTER\USE\DISC MATHS PRINCIPLE"
  BTBMCASP = "MAT\COMPUTER\USE\PRACTICE SKILLS"
  BTBMCALI = "MAT\COMPUTER\USE\LOOK UP IDEAS"
  BTBMCAPA = "MAT\COMPUTER\USE\PROCESS DATA"
  BTBMHMWO = "MAT\HOMEWORK\DO YOU ASSIGN MATHS"
  BTBMHWMC = "MAT\HOMEWORK\FREQUENCY OF MATHS HMW"
  BTBMHWKM = "MAT\HOMEWORK\MIN ASSIGN IN TIMSS CLS"
  BTBMKHCP = "MAT\ASSIGN KINDS OF HOMEWORK\PROBLEM"
  BTBMKHCG = "MAT\ASSIGN KINDS OF HOMEWORK\GATHER DATA"
  BTBMKHCA = "MAT\ASSIGN KINDS OF HOMEWORK\FIND APPLIC"
  BTBMHDAM = "MAT\HOMEWORK ASSIGNMENTS\MONITOR COMPLET"
  BTBMHDAF = "MAT\HOMEWORK ASSIGNMENTS\CORRECT ASSIGNM"
  BTBMHDAC = "MAT\HOMEWORK ASSIGNMENTS\HAVE STD CORR"
  BTBMHDAD = "MAT\HOMEWORK ASSIGNMENTS\USE HOMEWORK"
  BTBMHDAG = "MAT\HOMEWORK ASSIGNMENTS\CONTRIBUTE"
  BTBMTEEX = "MAT\TEST\HOW OFTEN GIVE IN MATHS"
  BTBMWFTU = "MAT\TEST\ITEM FORMATS USED"
  BTBMTEAP = "MAT\TEST QUESTIONS\MATH APPLICATIONS"
  BTBMTESP = "MAT\TEST QUESTIONS\SEARCHING FOR PATTERN"
  BTBMTEJU = "MAT\TEST QUESTIONS\EXPLANATIONS JUSTIFIC"
  BTDGTELC = "MATH TEACHER HAS FULL LICENSE OR CERTIF"
  BTDMSTUD = "CLASS SIZE FOR MATHEMATICS INSTRUCTION"
  BTDMLT   = "IDX TCH RPT MTH CLSS WO LIM FCTRS (MCWL)"
  BTDMH    = "IDX TCHR EMPHASIS ON MATH HOMEWORK (EMH)"
  BTDMCH   = "IDX MATH TCHR PRCPTN SCHL CLIMATE(MTPSC)"
  BTDMCU   = "IDX MATH TCHR PRCPTN SCHL SAFETY (MTPSS)"
  BTDMTONU = "SUM STUDENTS TAUGHT NUMBER  MATH TOPICS"
  BTDMTOAL = "SUM STUDENTS TAUGHT ALGEBRA MATH TOPICS"
  BTDMTOME = "SUM STUDENTS TAUGHT MEASURE MATH TOPICS"
  BTDMTOGE = "SUM STUDENTS TAUGHT GEOMETR MATH TOPICS"
  BTDMTODA = "SUM STUDENTS TAUGHT DATA    MATH TOPICS"
  BTDMTOOV = "SUM STUDENTS TAUGHT OVERALL MATH TOPICS"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF ITCOURSE = 98               THEN ITCOURSE = .A ;
IF IDSUBJ   = 8                THEN IDSUBJ   = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BTBGAGE  = 8                THEN BTBGAGE  = .A ;
IF BTBGSEX  = 8                THEN BTBGSEX  = .A ;
IF BTBGTAUT = 98               THEN BTBGTAUT = .A ;
IF BTBGFEDC = 8                THEN BTBGFEDC = .A ;
IF BTBGYTTR = 98               THEN BTBGYTTR = .A ;
IF BTBMPSMA = 8                THEN BTBMPSMA = .A ;
IF BTBMPSEM = 8                THEN BTBMPSEM = .A ;
IF BTBSPSSC = 8                THEN BTBSPSSC = .A ;
IF BTBSPSED = 8                THEN BTBSPSED = .A ;
IF BTBGPSEG = 8                THEN BTBGPSEG = .A ;
IF BTBGPSOT = 8                THEN BTBGPSOT = .A ;
IF BTBMRB5A = 8                THEN BTBMRB5A = .A ;
IF BTBMRBPP = 8                THEN BTBMRBPP = .A ;
IF BTBMRBEC = 8                THEN BTBMRBEC = .A ;
IF BTBMRBMC = 8                THEN BTBMRBMC = .A ;
IF BTBMRBLE = 8                THEN BTBMRBLE = .A ;
IF BTBGTLCE = 8                THEN BTBGTLCE = .A ;
IF BTBGTELC = 8                THEN BTBGTELC = .A ;
IF BTBMRE01 = 8                THEN BTBMRE01 = .A ;
IF BTBMRE02 = 8                THEN BTBMRE02 = .A ;
IF BTBMRE03 = 8                THEN BTBMRE03 = .A ;
IF BTBMRE04 = 8                THEN BTBMRE04 = .A ;
IF BTBMRE05 = 8                THEN BTBMRE05 = .A ;
IF BTBMRE06 = 8                THEN BTBMRE06 = .A ;
IF BTBMRE07 = 8                THEN BTBMRE07 = .A ;
IF BTBMRE08 = 8                THEN BTBMRE08 = .A ;
IF BTBMRE09 = 8                THEN BTBMRE09 = .A ;
IF BTBMRE10 = 8                THEN BTBMRE10 = .A ;
IF BTBMRE11 = 8                THEN BTBMRE11 = .A ;
IF BTBMRE12 = 8                THEN BTBMRE12 = .A ;
IF BTBMRE13 = 8                THEN BTBMRE13 = .A ;
IF BTBMRE14 = 8                THEN BTBMRE14 = .A ;
IF BTBMRE15 = 8                THEN BTBMRE15 = .A ;
IF BTBMRE16 = 8                THEN BTBMRE16 = .A ;
IF BTBMRE17 = 8                THEN BTBMRE17 = .A ;
IF BTBMRE18 = 8                THEN BTBMRE18 = .A ;
IF BTBGWTNP = 98               THEN BTBGWTNP = .A ;
IF BTBMSPTM = 98               THEN BTBMSPTM = .A ;
IF BTBSSPTS = 98               THEN BTBSSPTS = .A ;
IF BTBGSPTO = 98               THEN BTBGSPTO = .A ;
IF BTBGSPOD = 98               THEN BTBGSPOD = .A ;
IF BTBGSPTT = 98               THEN BTBGSPTT = .A ;
IF BTBGMITY = 998              THEN BTBGMITY = .A ;
IF BTBGOHGT = 98               THEN BTBGOHGT = .A ;
IF BTBGOHPL = 98               THEN BTBGOHPL = .A ;
IF BTBGOHAT = 98               THEN BTBGOHAT = .A ;
IF BTBGOHOT = 98               THEN BTBGOHOT = .A ;
IF BTBGOTDC = 8                THEN BTBGOTDC = .A ;
IF BTBGOTPM = 8                THEN BTBGOTPM = .A ;
IF BTBGOTVT = 8                THEN BTBGOTVT = .A ;
IF BTBGOTAT = 8                THEN BTBGOTAT = .A ;
IF BTBMPDMT = 8                THEN BTBMPDMT = .A ;
IF BTBMPDMP = 8                THEN BTBMPDMP = .A ;
IF BTBMPDMC = 8                THEN BTBMPDMC = .A ;
IF BTBMPDIT = 8                THEN BTBMPDIT = .A ;
IF BTBGPDCT = 8                THEN BTBGPDCT = .A ;
IF BTBMPDMA = 8                THEN BTBMPDMA = .A ;
IF BTBMADMR = 8                THEN BTBMADMR = .A ;
IF BTBMADSA = 8                THEN BTBMADSA = .A ;
IF BTBMADHY = 8                THEN BTBMADHY = .A ;
IF BTBMADME = 8                THEN BTBMADME = .A ;
IF BTBMADDW = 8                THEN BTBMADDW = .A ;
IF BTBMADFD = 8                THEN BTBMADFD = .A ;
IF BTBMADRW = 8                THEN BTBMADRW = .A ;
IF BTBGCURE = 8                THEN BTBGCURE = .A ;
IF BTBGCUSN = 8                THEN BTBGCUSN = .A ;
IF BTBGCUSA = 8                THEN BTBGCUSA = .A ;
IF BTBGCUAS = 8                THEN BTBGCUAS = .A ;
IF BTBGCHTS = 8                THEN BTBGCHTS = .A ;
IF BTBGCHTU = 8                THEN BTBGCHTU = .A ;
IF BTBGCHTC = 8                THEN BTBGCHTC = .A ;
IF BTBGCHES = 8                THEN BTBGCHES = .A ;
IF BTBGCHPS = 8                THEN BTBGCHPS = .A ;
IF BTBGCHPI = 8                THEN BTBGCHPI = .A ;
IF BTBGCHSR = 8                THEN BTBGCHSR = .A ;
IF BTBGCHSD = 8                THEN BTBGCHSD = .A ;
IF BTBMSTUD = 998              THEN BTBMSTUD = .A ;
IF BTBMTIMT = 998              THEN BTBMTIMT = .A ;
IF BTBMTBTC = 8                THEN BTBMTBTC = .A ;
IF BTBMTXBU = 8                THEN BTBMTXBU = .A ;
IF BTBMPTRH = 998              THEN BTBMPTRH = .A ;
IF BTBMPTLS = 998              THEN BTBMPTLS = .A ;
IF BTBMPTYG = 998              THEN BTBMPTYG = .A ;
IF BTBMPTOO = 998              THEN BTBMPTOO = .A ;
IF BTBMPTRT = 998              THEN BTBMPTRT = .A ;
IF BTBMPTTQ = 998              THEN BTBMPTTQ = .A ;
IF BTBMPTCM = 998              THEN BTBMPTCM = .A ;
IF BTBMPTOA = 998              THEN BTBMPTOA = .A ;
IF BTBMASPC = 8                THEN BTBMASPC = .A ;
IF BTBMASWF = 8                THEN BTBMASWF = .A ;
IF BTBMASWS = 8                THEN BTBMASWS = .A ;
IF BTBMASID = 8                THEN BTBMASID = .A ;
IF BTBMASRR = 8                THEN BTBMASRR = .A ;
IF BTBMASSG = 8                THEN BTBMASSG = .A ;
IF BTBMASDL = 8                THEN BTBMASDL = .A ;
IF BTBMASEA = 8                THEN BTBMASEA = .A ;
IF BTBMASCP = 8                THEN BTBMASCP = .A ;
IF BTBGLT01 = 8                THEN BTBGLT01 = .A ;
IF BTBGLT02 = 8                THEN BTBGLT02 = .A ;
IF BTBGLT03 = 8                THEN BTBGLT03 = .A ;
IF BTBGLT04 = 8                THEN BTBGLT04 = .A ;
IF BTBGLT05 = 8                THEN BTBGLT05 = .A ;
IF BTBGLT06 = 8                THEN BTBGLT06 = .A ;
IF BTBGLT07 = 8                THEN BTBGLT07 = .A ;
IF BTBGLT08 = 8                THEN BTBGLT08 = .A ;
IF BTBGLT09 = 8                THEN BTBGLT09 = .A ;
IF BTBGLT10 = 8                THEN BTBGLT10 = .A ;
IF BTBGLT11 = 8                THEN BTBGLT11 = .A ;
IF BTBGLT12 = 8                THEN BTBGLT12 = .A ;
IF BTBGLT13 = 8                THEN BTBGLT13 = .A ;
IF BTBGLT14 = 8                THEN BTBGLT14 = .A ;
IF BTBMCNUM = 998              THEN BTBMCNUM = .A ;
IF BTBMCGEO = 998              THEN BTBMCGEO = .A ;
IF BTBMCALG = 998              THEN BTBMCALG = .A ;
IF BTBMCDAT = 998              THEN BTBMCDAT = .A ;
IF BTBMCMEA = 998              THEN BTBMCMEA = .A ;
IF BTBMCOTH = 998              THEN BTBMCOTH = .A ;
IF BTBMTO01 = 8                THEN BTBMTO01 = .A ;
IF BTBMTO02 = 8                THEN BTBMTO02 = .A ;
IF BTBMTO03 = 8                THEN BTBMTO03 = .A ;
IF BTBMTO04 = 8                THEN BTBMTO04 = .A ;
IF BTBMTO05 = 8                THEN BTBMTO05 = .A ;
IF BTBMTO06 = 8                THEN BTBMTO06 = .A ;
IF BTBMTO07 = 8                THEN BTBMTO07 = .A ;
IF BTBMTO08 = 8                THEN BTBMTO08 = .A ;
IF BTBMTO09 = 8                THEN BTBMTO09 = .A ;
IF BTBMTO10 = 8                THEN BTBMTO10 = .A ;
IF BTBMTO11 = 8                THEN BTBMTO11 = .A ;
IF BTBMTO12 = 8                THEN BTBMTO12 = .A ;
IF BTBMTO13 = 8                THEN BTBMTO13 = .A ;
IF BTBMTO14 = 8                THEN BTBMTO14 = .A ;
IF BTBMTO15 = 8                THEN BTBMTO15 = .A ;
IF BTBMTO16 = 8                THEN BTBMTO16 = .A ;
IF BTBMTO17 = 8                THEN BTBMTO17 = .A ;
IF BTBMTO18 = 8                THEN BTBMTO18 = .A ;
IF BTBMTO19 = 8                THEN BTBMTO19 = .A ;
IF BTBMTO20 = 8                THEN BTBMTO20 = .A ;
IF BTBMTO21 = 8                THEN BTBMTO21 = .A ;
IF BTBMTO22 = 8                THEN BTBMTO22 = .A ;
IF BTBMTO23 = 8                THEN BTBMTO23 = .A ;
IF BTBMTO24 = 8                THEN BTBMTO24 = .A ;
IF BTBMTO25 = 8                THEN BTBMTO25 = .A ;
IF BTBMTO26 = 8                THEN BTBMTO26 = .A ;
IF BTBMTO27 = 8                THEN BTBMTO27 = .A ;
IF BTBMTO28 = 8                THEN BTBMTO28 = .A ;
IF BTBMTO29 = 8                THEN BTBMTO29 = .A ;
IF BTBMTO30 = 8                THEN BTBMTO30 = .A ;
IF BTBMTO31 = 8                THEN BTBMTO31 = .A ;
IF BTBMTO32 = 8                THEN BTBMTO32 = .A ;
IF BTBMTO33 = 8                THEN BTBMTO33 = .A ;
IF BTBMTO34 = 8                THEN BTBMTO34 = .A ;
IF BTBMTO35 = 8                THEN BTBMTO35 = .A ;
IF BTBMTO36 = 8                THEN BTBMTO36 = .A ;
IF BTBMTO37 = 8                THEN BTBMTO37 = .A ;
IF BTBMTO38 = 8                THEN BTBMTO38 = .A ;
IF BTBMTO39 = 8                THEN BTBMTO39 = .A ;
IF BTBMTO40 = 8                THEN BTBMTO40 = .A ;
IF BTBMTO41 = 8                THEN BTBMTO41 = .A ;
IF BTBMTO42 = 8                THEN BTBMTO42 = .A ;
IF BTBMTO43 = 8                THEN BTBMTO43 = .A ;
IF BTBMTO44 = 8                THEN BTBMTO44 = .A ;
IF BTBMTO45 = 8                THEN BTBMTO45 = .A ;
IF BTBMCAML = 8                THEN BTBMCAML = .A ;
IF BTBMHSHC = 8                THEN BTBMHSHC = .A ;
IF BTBMHSGC = 8                THEN BTBMHSGC = .A ;
IF BTBMCALA = 8                THEN BTBMCALA = .A ;
IF BTBMCALR = 8                THEN BTBMCALR = .A ;
IF BTBMCALS = 8                THEN BTBMCALS = .A ;
IF BTBMCALE = 8                THEN BTBMCALE = .A ;
IF BTBMCATE = 8                THEN BTBMCATE = .A ;
IF BTBMCOMA = 8                THEN BTBMCOMA = .A ;
IF BTBMINTA = 8                THEN BTBMINTA = .A ;
IF BTBMCADM = 8                THEN BTBMCADM = .A ;
IF BTBMCASP = 8                THEN BTBMCASP = .A ;
IF BTBMCALI = 8                THEN BTBMCALI = .A ;
IF BTBMCAPA = 8                THEN BTBMCAPA = .A ;
IF BTBMHMWO = 8                THEN BTBMHMWO = .A ;
IF BTBMHWMC = 8                THEN BTBMHWMC = .A ;
IF BTBMHWKM = 8                THEN BTBMHWKM = .A ;
IF BTBMKHCP = 8                THEN BTBMKHCP = .A ;
IF BTBMKHCG = 8                THEN BTBMKHCG = .A ;
IF BTBMKHCA = 8                THEN BTBMKHCA = .A ;
IF BTBMHDAM = 8                THEN BTBMHDAM = .A ;
IF BTBMHDAF = 8                THEN BTBMHDAF = .A ;
IF BTBMHDAC = 8                THEN BTBMHDAC = .A ;
IF BTBMHDAD = 8                THEN BTBMHDAD = .A ;
IF BTBMHDAG = 8                THEN BTBMHDAG = .A ;
IF BTBMTEEX = 8                THEN BTBMTEEX = .A ;
IF BTBMWFTU = 8                THEN BTBMWFTU = .A ;
IF BTBMTEAP = 8                THEN BTBMTEAP = .A ;
IF BTBMTESP = 8                THEN BTBMTESP = .A ;
IF BTBMTEJU = 8                THEN BTBMTEJU = .A ;
IF BTDGTELC = 8                THEN BTDGTELC = .A ;
IF BTDMSTUD = 8                THEN BTDMSTUD = .A ;
IF BTDMLT   = 8                THEN BTDMLT   = .A ;
IF BTDMH    = 8                THEN BTDMH    = .A ;
IF BTDMCH   = 8                THEN BTDMCH   = .A ;
IF BTDMCU   = 8                THEN BTDMCU   = .A ;
IF BTDMTONU = 998              THEN BTDMTONU = .A ;
IF BTDMTOAL = 998              THEN BTDMTOAL = .A ;
IF BTDMTOME = 998              THEN BTDMTOME = .A ;
IF BTDMTOGE = 998              THEN BTDMTOGE = .A ;
IF BTDMTODA = 998              THEN BTDMTODA = .A ;
IF BTDMTOOV = 998              THEN BTDMTOOV = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF BTBGTELC = 6                THEN BTBGTELC = .B ;
IF BTBMTXBU = 6                THEN BTBMTXBU = .B ;
IF BTBMHSHC = 6                THEN BTBMHSHC = .B ;
IF BTBMHSGC = 6                THEN BTBMHSGC = .B ;
IF BTBMCALA = 6                THEN BTBMCALA = .B ;
IF BTBMCALR = 6                THEN BTBMCALR = .B ;
IF BTBMCALS = 6                THEN BTBMCALS = .B ;
IF BTBMCALE = 6                THEN BTBMCALE = .B ;
IF BTBMCATE = 6                THEN BTBMCATE = .B ;
IF BTBMINTA = 6                THEN BTBMINTA = .B ;
IF BTBMCADM = 6                THEN BTBMCADM = .B ;
IF BTBMCASP = 6                THEN BTBMCASP = .B ;
IF BTBMCALI = 6                THEN BTBMCALI = .B ;
IF BTBMCAPA = 6                THEN BTBMCAPA = .B ;
IF BTBMHWMC = 6                THEN BTBMHWMC = .B ;
IF BTBMHWKM = 6                THEN BTBMHWKM = .B ;
IF BTBMKHCP = 6                THEN BTBMKHCP = .B ;
IF BTBMKHCG = 6                THEN BTBMKHCG = .B ;
IF BTBMKHCA = 6                THEN BTBMKHCA = .B ;
IF BTBMHDAM = 6                THEN BTBMHDAM = .B ;
IF BTBMHDAF = 6                THEN BTBMHDAF = .B ;
IF BTBMHDAC = 6                THEN BTBMHDAC = .B ;
IF BTBMHDAD = 6                THEN BTBMHDAD = .B ;
IF BTBMHDAG = 6                THEN BTBMHDAG = .B ;
IF BTBMWFTU = 6                THEN BTBMWFTU = .B ;
IF BTBMTEAP = 6                THEN BTBMTEAP = .B ;
IF BTBMTESP = 6                THEN BTBMTESP = .B ;
IF BTBMTEJU = 6                THEN BTBMTEJU = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF ITCOURSE = 99               THEN ITCOURSE = . ;
IF IDSUBJ   = 9                THEN IDSUBJ   = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BTBGAGE  = 9                THEN BTBGAGE  = . ;
IF BTBGSEX  = 9                THEN BTBGSEX  = . ;
IF BTBGTAUT = 99               THEN BTBGTAUT = . ;
IF BTBGFEDC = 9                THEN BTBGFEDC = . ;
IF BTBGYTTR = 99               THEN BTBGYTTR = . ;
IF BTBMPSMA = 9                THEN BTBMPSMA = . ;
IF BTBMPSEM = 9                THEN BTBMPSEM = . ;
IF BTBSPSSC = 9                THEN BTBSPSSC = . ;
IF BTBSPSED = 9                THEN BTBSPSED = . ;
IF BTBGPSEG = 9                THEN BTBGPSEG = . ;
IF BTBGPSOT = 9                THEN BTBGPSOT = . ;
IF BTBMRB5A = 9                THEN BTBMRB5A = . ;
IF BTBMRBPP = 9                THEN BTBMRBPP = . ;
IF BTBMRBEC = 9                THEN BTBMRBEC = . ;
IF BTBMRBMC = 9                THEN BTBMRBMC = . ;
IF BTBMRBLE = 9                THEN BTBMRBLE = . ;
IF BTBGTLCE = 9                THEN BTBGTLCE = . ;
IF BTBGTELC = 9                THEN BTBGTELC = . ;
IF BTBMRE01 = 9                THEN BTBMRE01 = . ;
IF BTBMRE02 = 9                THEN BTBMRE02 = . ;
IF BTBMRE03 = 9                THEN BTBMRE03 = . ;
IF BTBMRE04 = 9                THEN BTBMRE04 = . ;
IF BTBMRE05 = 9                THEN BTBMRE05 = . ;
IF BTBMRE06 = 9                THEN BTBMRE06 = . ;
IF BTBMRE07 = 9                THEN BTBMRE07 = . ;
IF BTBMRE08 = 9                THEN BTBMRE08 = . ;
IF BTBMRE09 = 9                THEN BTBMRE09 = . ;
IF BTBMRE10 = 9                THEN BTBMRE10 = . ;
IF BTBMRE11 = 9                THEN BTBMRE11 = . ;
IF BTBMRE12 = 9                THEN BTBMRE12 = . ;
IF BTBMRE13 = 9                THEN BTBMRE13 = . ;
IF BTBMRE14 = 9                THEN BTBMRE14 = . ;
IF BTBMRE15 = 9                THEN BTBMRE15 = . ;
IF BTBMRE16 = 9                THEN BTBMRE16 = . ;
IF BTBMRE17 = 9                THEN BTBMRE17 = . ;
IF BTBMRE18 = 9                THEN BTBMRE18 = . ;
IF BTBGWTNP = 99               THEN BTBGWTNP = . ;
IF BTBMSPTM = 99               THEN BTBMSPTM = . ;
IF BTBSSPTS = 99               THEN BTBSSPTS = . ;
IF BTBGSPTO = 99               THEN BTBGSPTO = . ;
IF BTBGSPOD = 99               THEN BTBGSPOD = . ;
IF BTBGSPTT = 99               THEN BTBGSPTT = . ;
IF BTBGMITY = 999              THEN BTBGMITY = . ;
IF BTBGOHGT = 99               THEN BTBGOHGT = . ;
IF BTBGOHPL = 99               THEN BTBGOHPL = . ;
IF BTBGOHAT = 99               THEN BTBGOHAT = . ;
IF BTBGOHOT = 99               THEN BTBGOHOT = . ;
IF BTBGOTDC = 9                THEN BTBGOTDC = . ;
IF BTBGOTPM = 9                THEN BTBGOTPM = . ;
IF BTBGOTVT = 9                THEN BTBGOTVT = . ;
IF BTBGOTAT = 9                THEN BTBGOTAT = . ;
IF BTBMPDMT = 9                THEN BTBMPDMT = . ;
IF BTBMPDMP = 9                THEN BTBMPDMP = . ;
IF BTBMPDMC = 9                THEN BTBMPDMC = . ;
IF BTBMPDIT = 9                THEN BTBMPDIT = . ;
IF BTBGPDCT = 9                THEN BTBGPDCT = . ;
IF BTBMPDMA = 9                THEN BTBMPDMA = . ;
IF BTBMADMR = 9                THEN BTBMADMR = . ;
IF BTBMADSA = 9                THEN BTBMADSA = . ;
IF BTBMADHY = 9                THEN BTBMADHY = . ;
IF BTBMADME = 9                THEN BTBMADME = . ;
IF BTBMADDW = 9                THEN BTBMADDW = . ;
IF BTBMADFD = 9                THEN BTBMADFD = . ;
IF BTBMADRW = 9                THEN BTBMADRW = . ;
IF BTBGCURE = 9                THEN BTBGCURE = . ;
IF BTBGCUSN = 9                THEN BTBGCUSN = . ;
IF BTBGCUSA = 9                THEN BTBGCUSA = . ;
IF BTBGCUAS = 9                THEN BTBGCUAS = . ;
IF BTBGCHTS = 9                THEN BTBGCHTS = . ;
IF BTBGCHTU = 9                THEN BTBGCHTU = . ;
IF BTBGCHTC = 9                THEN BTBGCHTC = . ;
IF BTBGCHES = 9                THEN BTBGCHES = . ;
IF BTBGCHPS = 9                THEN BTBGCHPS = . ;
IF BTBGCHPI = 9                THEN BTBGCHPI = . ;
IF BTBGCHSR = 9                THEN BTBGCHSR = . ;
IF BTBGCHSD = 9                THEN BTBGCHSD = . ;
IF BTBMSTUD = 999              THEN BTBMSTUD = . ;
IF BTBMTIMT = 999              THEN BTBMTIMT = . ;
IF BTBMTBTC = 9                THEN BTBMTBTC = . ;
IF BTBMTXBU = 9                THEN BTBMTXBU = . ;
IF BTBMPTRH = 999              THEN BTBMPTRH = . ;
IF BTBMPTLS = 999              THEN BTBMPTLS = . ;
IF BTBMPTYG = 999              THEN BTBMPTYG = . ;
IF BTBMPTOO = 999              THEN BTBMPTOO = . ;
IF BTBMPTRT = 999              THEN BTBMPTRT = . ;
IF BTBMPTTQ = 999              THEN BTBMPTTQ = . ;
IF BTBMPTCM = 999              THEN BTBMPTCM = . ;
IF BTBMPTOA = 999              THEN BTBMPTOA = . ;
IF BTBMASPC = 9                THEN BTBMASPC = . ;
IF BTBMASWF = 9                THEN BTBMASWF = . ;
IF BTBMASWS = 9                THEN BTBMASWS = . ;
IF BTBMASID = 9                THEN BTBMASID = . ;
IF BTBMASRR = 9                THEN BTBMASRR = . ;
IF BTBMASSG = 9                THEN BTBMASSG = . ;
IF BTBMASDL = 9                THEN BTBMASDL = . ;
IF BTBMASEA = 9                THEN BTBMASEA = . ;
IF BTBMASCP = 9                THEN BTBMASCP = . ;
IF BTBGLT01 = 9                THEN BTBGLT01 = . ;
IF BTBGLT02 = 9                THEN BTBGLT02 = . ;
IF BTBGLT03 = 9                THEN BTBGLT03 = . ;
IF BTBGLT04 = 9                THEN BTBGLT04 = . ;
IF BTBGLT05 = 9                THEN BTBGLT05 = . ;
IF BTBGLT06 = 9                THEN BTBGLT06 = . ;
IF BTBGLT07 = 9                THEN BTBGLT07 = . ;
IF BTBGLT08 = 9                THEN BTBGLT08 = . ;
IF BTBGLT09 = 9                THEN BTBGLT09 = . ;
IF BTBGLT10 = 9                THEN BTBGLT10 = . ;
IF BTBGLT11 = 9                THEN BTBGLT11 = . ;
IF BTBGLT12 = 9                THEN BTBGLT12 = . ;
IF BTBGLT13 = 9                THEN BTBGLT13 = . ;
IF BTBGLT14 = 9                THEN BTBGLT14 = . ;
IF BTBMCNUM = 999              THEN BTBMCNUM = . ;
IF BTBMCGEO = 999              THEN BTBMCGEO = . ;
IF BTBMCALG = 999              THEN BTBMCALG = . ;
IF BTBMCDAT = 999              THEN BTBMCDAT = . ;
IF BTBMCMEA = 999              THEN BTBMCMEA = . ;
IF BTBMCOTH = 999              THEN BTBMCOTH = . ;
IF BTBMTO01 = 9                THEN BTBMTO01 = . ;
IF BTBMTO02 = 9                THEN BTBMTO02 = . ;
IF BTBMTO03 = 9                THEN BTBMTO03 = . ;
IF BTBMTO04 = 9                THEN BTBMTO04 = . ;
IF BTBMTO05 = 9                THEN BTBMTO05 = . ;
IF BTBMTO06 = 9                THEN BTBMTO06 = . ;
IF BTBMTO07 = 9                THEN BTBMTO07 = . ;
IF BTBMTO08 = 9                THEN BTBMTO08 = . ;
IF BTBMTO09 = 9                THEN BTBMTO09 = . ;
IF BTBMTO10 = 9                THEN BTBMTO10 = . ;
IF BTBMTO11 = 9                THEN BTBMTO11 = . ;
IF BTBMTO12 = 9                THEN BTBMTO12 = . ;
IF BTBMTO13 = 9                THEN BTBMTO13 = . ;
IF BTBMTO14 = 9                THEN BTBMTO14 = . ;
IF BTBMTO15 = 9                THEN BTBMTO15 = . ;
IF BTBMTO16 = 9                THEN BTBMTO16 = . ;
IF BTBMTO17 = 9                THEN BTBMTO17 = . ;
IF BTBMTO18 = 9                THEN BTBMTO18 = . ;
IF BTBMTO19 = 9                THEN BTBMTO19 = . ;
IF BTBMTO20 = 9                THEN BTBMTO20 = . ;
IF BTBMTO21 = 9                THEN BTBMTO21 = . ;
IF BTBMTO22 = 9                THEN BTBMTO22 = . ;
IF BTBMTO23 = 9                THEN BTBMTO23 = . ;
IF BTBMTO24 = 9                THEN BTBMTO24 = . ;
IF BTBMTO25 = 9                THEN BTBMTO25 = . ;
IF BTBMTO26 = 9                THEN BTBMTO26 = . ;
IF BTBMTO27 = 9                THEN BTBMTO27 = . ;
IF BTBMTO28 = 9                THEN BTBMTO28 = . ;
IF BTBMTO29 = 9                THEN BTBMTO29 = . ;
IF BTBMTO30 = 9                THEN BTBMTO30 = . ;
IF BTBMTO31 = 9                THEN BTBMTO31 = . ;
IF BTBMTO32 = 9                THEN BTBMTO32 = . ;
IF BTBMTO33 = 9                THEN BTBMTO33 = . ;
IF BTBMTO34 = 9                THEN BTBMTO34 = . ;
IF BTBMTO35 = 9                THEN BTBMTO35 = . ;
IF BTBMTO36 = 9                THEN BTBMTO36 = . ;
IF BTBMTO37 = 9                THEN BTBMTO37 = . ;
IF BTBMTO38 = 9                THEN BTBMTO38 = . ;
IF BTBMTO39 = 9                THEN BTBMTO39 = . ;
IF BTBMTO40 = 9                THEN BTBMTO40 = . ;
IF BTBMTO41 = 9                THEN BTBMTO41 = . ;
IF BTBMTO42 = 9                THEN BTBMTO42 = . ;
IF BTBMTO43 = 9                THEN BTBMTO43 = . ;
IF BTBMTO44 = 9                THEN BTBMTO44 = . ;
IF BTBMTO45 = 9                THEN BTBMTO45 = . ;
IF BTBMCAML = 9                THEN BTBMCAML = . ;
IF BTBMHSHC = 9                THEN BTBMHSHC = . ;
IF BTBMHSGC = 9                THEN BTBMHSGC = . ;
IF BTBMCALA = 9                THEN BTBMCALA = . ;
IF BTBMCALR = 9                THEN BTBMCALR = . ;
IF BTBMCALS = 9                THEN BTBMCALS = . ;
IF BTBMCALE = 9                THEN BTBMCALE = . ;
IF BTBMCATE = 9                THEN BTBMCATE = . ;
IF BTBMCOMA = 9                THEN BTBMCOMA = . ;
IF BTBMINTA = 9                THEN BTBMINTA = . ;
IF BTBMCADM = 9                THEN BTBMCADM = . ;
IF BTBMCASP = 9                THEN BTBMCASP = . ;
IF BTBMCALI = 9                THEN BTBMCALI = . ;
IF BTBMCAPA = 9                THEN BTBMCAPA = . ;
IF BTBMHMWO = 9                THEN BTBMHMWO = . ;
IF BTBMHWMC = 9                THEN BTBMHWMC = . ;
IF BTBMHWKM = 9                THEN BTBMHWKM = . ;
IF BTBMKHCP = 9                THEN BTBMKHCP = . ;
IF BTBMKHCG = 9                THEN BTBMKHCG = . ;
IF BTBMKHCA = 9                THEN BTBMKHCA = . ;
IF BTBMHDAM = 9                THEN BTBMHDAM = . ;
IF BTBMHDAF = 9                THEN BTBMHDAF = . ;
IF BTBMHDAC = 9                THEN BTBMHDAC = . ;
IF BTBMHDAD = 9                THEN BTBMHDAD = . ;
IF BTBMHDAG = 9                THEN BTBMHDAG = . ;
IF BTBMTEEX = 9                THEN BTBMTEEX = . ;
IF BTBMWFTU = 9                THEN BTBMWFTU = . ;
IF BTBMTEAP = 9                THEN BTBMTEAP = . ;
IF BTBMTESP = 9                THEN BTBMTESP = . ;
IF BTBMTEJU = 9                THEN BTBMTEJU = . ;
IF BTDGTELC = 9                THEN BTDGTELC = . ;
IF BTDMSTUD = 9                THEN BTDMSTUD = . ;
IF BTDMLT   = 9                THEN BTDMLT   = . ;
IF BTDMH    = 9                THEN BTDMH    = . ;
IF BTDMCH   = 9                THEN BTDMCH   = . ;
IF BTDMCU   = 9                THEN BTDMCU   = . ;
IF BTDMTONU = 999              THEN BTDMTONU = . ;
IF BTDMTOAL = 999              THEN BTDMTOAL = . ;
IF BTDMTOME = 999              THEN BTDMTOME = . ;
IF BTDMTOGE = 999              THEN BTDMTOGE = . ;
IF BTDMTODA = 999              THEN BTDMTODA = . ;
IF BTDMTOOV = 999              THEN BTDMTOOV = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;



