**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= BTS&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDTEACH    6 ;
LENGTH      IDLINK     3 ;
LENGTH      ITCOURSE   3 ;
LENGTH      IDSUBJ     3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BTBGAGE    3 ;
LENGTH      BTBGSEX    3 ;
LENGTH      BTBGTAUT   3 ;
LENGTH      BTBGFEDC   3 ;
LENGTH      BTBGYTTR   3 ;
LENGTH      BTBSPSBI   3 ;
LENGTH      BTBSPSPH   3 ;
LENGTH      BTBSPSCH   3 ;
LENGTH      BTBSPSES   3 ;
LENGTH      BTBSPSED   3 ;
LENGTH      BTBMPSMA   3 ;
LENGTH      BTBMPSEM   3 ;
LENGTH      BTBGPSEG   3 ;
LENGTH      BTBGPSOT   3 ;
LENGTH      BTBSRB5A   3 ;
LENGTH      BTBSRBPP   3 ;
LENGTH      BTBSRBEC   3 ;
LENGTH      BTBSRBSC   3 ;
LENGTH      BTBSRBLE   3 ;
LENGTH      BTBGTLCE   3 ;
LENGTH      BTBGTELC   3 ;
LENGTH      BTBSFR01   3 ;
LENGTH      BTBSFR02   3 ;
LENGTH      BTBSFR03   3 ;
LENGTH      BTBSFR04   3 ;
LENGTH      BTBSFR05   3 ;
LENGTH      BTBSFR06   3 ;
LENGTH      BTBSFR07   3 ;
LENGTH      BTBSFR08   3 ;
LENGTH      BTBSFR09   3 ;
LENGTH      BTBSFR10   3 ;
LENGTH      BTBSFR11   3 ;
LENGTH      BTBSFR12   3 ;
LENGTH      BTBSFR13   3 ;
LENGTH      BTBSFR14   3 ;
LENGTH      BTBSFR15   3 ;
LENGTH      BTBSFR16   3 ;
LENGTH      BTBSFR17   3 ;
LENGTH      BTBSFR18   3 ;
LENGTH      BTBSFR19   3 ;
LENGTH      BTBSFR20   3 ;
LENGTH      BTBSFR21   3 ;
LENGTH      BTBGWTNP   3 ;
LENGTH      BTBSSPTS   3 ;
LENGTH      BTBSSPPS   3 ;
LENGTH      BTBSSPTP   3 ;
LENGTH      BTBSSPTC   3 ;
LENGTH      BTBSSPTB   3 ;
LENGTH      BTBSSPTE   3 ;
LENGTH      BTBMSPTM   3 ;
LENGTH      BTBGSPTO   3 ;
LENGTH      BTBGSPOD   3 ;
LENGTH      BTBGSPTT   3 ;
LENGTH      BTBGMITY   3 ;
LENGTH      BTBGOHGT   3 ;
LENGTH      BTBGOHPL   3 ;
LENGTH      BTBGOHAT   3 ;
LENGTH      BTBGOHOT   3 ;
LENGTH      BTBGOTDC   3 ;
LENGTH      BTBGOTPM   3 ;
LENGTH      BTBGOTVT   3 ;
LENGTH      BTBGOTAT   3 ;
LENGTH      BTBSPDST   3 ;
LENGTH      BTBSPDSP   3 ;
LENGTH      BTBSPDSC   3 ;
LENGTH      BTBSPDIT   3 ;
LENGTH      BTBGPDIN   3 ;
LENGTH      BTBSPDSA   3 ;
LENGTH      BTBSADMR   3 ;
LENGTH      BTBSADHY   3 ;
LENGTH      BTBSADME   3 ;
LENGTH      BTBSADCO   3 ;
LENGTH      BTBSADAN   3 ;
LENGTH      BTBSADSC   3 ;
LENGTH      BTBSADTA   3 ;
LENGTH      BTBSADMO   3 ;
LENGTH      BTBSADDI   3 ;
LENGTH      BTBGCURE   3 ;
LENGTH      BTBGCUSN   3 ;
LENGTH      BTBGCUSA   3 ;
LENGTH      BTBGCUAS   3 ;
LENGTH      BTBGCHTS   3 ;
LENGTH      BTBGCHTU   3 ;
LENGTH      BTBGCHTC   3 ;
LENGTH      BTBGCHES   3 ;
LENGTH      BTBGCHPS   3 ;
LENGTH      BTBGCHPI   3 ;
LENGTH      BTBGCHSR   3 ;
LENGTH      BTBGCHSD   3 ;
LENGTH      BTBSSTUD   3 ;
LENGTH      BTBSTIMT   3 ;
LENGTH      BTBSTBTC   3 ;
LENGTH      BTBSTXBU   3 ;
LENGTH      BTBSPTRH   3 ;
LENGTH      BTBSPTLS   3 ;
LENGTH      BTBSPTYG   3 ;
LENGTH      BTBSPTOO   3 ;
LENGTH      BTBSPTRT   3 ;
LENGTH      BTBSPTTQ   3 ;
LENGTH      BTBSPTCM   3 ;
LENGTH      BTBSPTOA   3 ;
LENGTH      BTBSCSWD   3 ;
LENGTH      BTBSCSFT   3 ;
LENGTH      BTBSCSDP   3 ;
LENGTH      BTBSCSEI   3 ;
LENGTH      BTBSCSSG   3 ;
LENGTH      BTBSCSWE   3 ;
LENGTH      BTBSCSRO   3 ;
LENGTH      BTBSCSIT   3 ;
LENGTH      BTBSCSLN   3 ;
LENGTH      BTBSCSDL   3 ;
LENGTH      BTBSCSPW   3 ;
LENGTH      BTBGLT01   3 ;
LENGTH      BTBGLT02   3 ;
LENGTH      BTBGLT03   3 ;
LENGTH      BTBGLT04   3 ;
LENGTH      BTBGLT05   3 ;
LENGTH      BTBGLT06   3 ;
LENGTH      BTBGLT07   3 ;
LENGTH      BTBGLT08   3 ;
LENGTH      BTBGLT09   3 ;
LENGTH      BTBGLT10   3 ;
LENGTH      BTBGLT11   3 ;
LENGTH      BTBGLT12   3 ;
LENGTH      BTBGLT13   3 ;
LENGTH      BTBGLT14   3 ;
LENGTH      BTBSCLSC   3 ;
LENGTH      BTBSCCHE   3 ;
LENGTH      BTBSCPHY   3 ;
LENGTH      BTBSCESC   3 ;
LENGTH      BTBSCENS   3 ;
LENGTH      BTBSCOTH   3 ;
LENGTH      BTBSTO01   3 ;
LENGTH      BTBSTO02   3 ;
LENGTH      BTBSTO03   3 ;
LENGTH      BTBSTO04   3 ;
LENGTH      BTBSTO05   3 ;
LENGTH      BTBSTO06   3 ;
LENGTH      BTBSTO07   3 ;
LENGTH      BTBSTO08   3 ;
LENGTH      BTBSTO09   3 ;
LENGTH      BTBSTO10   3 ;
LENGTH      BTBSTO11   3 ;
LENGTH      BTBSTO12   3 ;
LENGTH      BTBSTO13   3 ;
LENGTH      BTBSTO14   3 ;
LENGTH      BTBSTO15   3 ;
LENGTH      BTBSTO16   3 ;
LENGTH      BTBSTO17   3 ;
LENGTH      BTBSTO18   3 ;
LENGTH      BTBSTO19   3 ;
LENGTH      BTBSTO20   3 ;
LENGTH      BTBSTO21   3 ;
LENGTH      BTBSTO22   3 ;
LENGTH      BTBSTO23   3 ;
LENGTH      BTBSTO24   3 ;
LENGTH      BTBSTO25   3 ;
LENGTH      BTBSTO26   3 ;
LENGTH      BTBSTO27   3 ;
LENGTH      BTBSTO28   3 ;
LENGTH      BTBSTO29   3 ;
LENGTH      BTBSTO30   3 ;
LENGTH      BTBSTO31   3 ;
LENGTH      BTBSTO32   3 ;
LENGTH      BTBSTO33   3 ;
LENGTH      BTBSTO34   3 ;
LENGTH      BTBSTO35   3 ;
LENGTH      BTBSTO36   3 ;
LENGTH      BTBSTO37   3 ;
LENGTH      BTBSTO38   3 ;
LENGTH      BTBSTO39   3 ;
LENGTH      BTBSTO40   3 ;
LENGTH      BTBSTO41   3 ;
LENGTH      BTBSTO42   3 ;
LENGTH      BTBSTO43   3 ;
LENGTH      BTBSTO44   3 ;
LENGTH      BTBSCOMA   3 ;
LENGTH      BTBSINTA   3 ;
LENGTH      BTBSCAPE   3 ;
LENGTH      BTBSCANP   3 ;
LENGTH      BTBSCASP   3 ;
LENGTH      BTBSCALI   3 ;
LENGTH      BTBSCAPA   3 ;
LENGTH      BTBSHMWO   3 ;
LENGTH      BTBSHWMC   3 ;
LENGTH      BTBSHWKM   3 ;
LENGTH      BTBSKHCP   3 ;
LENGTH      BTBSKHCA   3 ;
LENGTH      BTBSKHCT   3 ;
LENGTH      BTBSKHCW   3 ;
LENGTH      BTBSKHCR   3 ;
LENGTH      BTBSKHCS   3 ;
LENGTH      BTBSKHCG   3 ;
LENGTH      BTBSHDAM   3 ;
LENGTH      BTBSHDAF   3 ;
LENGTH      BTBSHDAC   3 ;
LENGTH      BTBSHDAD   3 ;
LENGTH      BTBSHDAG   3 ;
LENGTH      BTBSTEEX   3 ;
LENGTH      BTBSWFTU   3 ;
LENGTH      BTBSTERU   3 ;
LENGTH      BTBSTEIH   3 ;
LENGTH      BTBSTEBR   3 ;
LENGTH      BTDGTELC   3 ;
LENGTH      BTDSSTUD   3 ;
LENGTH      BTDSCH     3 ;
LENGTH      BTDSCU     3 ;
LENGTH      BTDSLT     3 ;
LENGTH      BTDSH      3 ;
LENGTH      BTDSTOBI   8 ;
LENGTH      BTDSTOCH   8 ;
LENGTH      BTDSTOPH   8 ;
LENGTH      BTDSTOEA   8 ;
LENGTH      BTDSTOEN   8 ;
LENGTH      BTDSTOOV   8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDTEACH      11-  16     
  IDLINK       17-  18     
  ITCOURSE     19-  20     
  IDSUBJ       21-  21     
  IDGRADE      22-  23     
  IDGRADER     24-  24     
  INTMS03      25-  25     
  INTMS99      26-  26     
  INTMS95      27-  27     
  BTBGAGE      28-  28     
  BTBGSEX      29-  29     
  BTBGTAUT     30-  31     
  BTBGFEDC     32-  32     
  BTBGYTTR     33-  34     
  BTBSPSBI     35-  35     
  BTBSPSPH     36-  36     
  BTBSPSCH     37-  37     
  BTBSPSES     38-  38     
  BTBSPSED     39-  39     
  BTBMPSMA     40-  40     
  BTBMPSEM     41-  41     
  BTBGPSEG     42-  42     
  BTBGPSOT     43-  43     
  BTBSRB5A     44-  44     
  BTBSRBPP     45-  45     
  BTBSRBEC     46-  46     
  BTBSRBSC     47-  47     
  BTBSRBLE     48-  48     
  BTBGTLCE     49-  49     
  BTBGTELC     50-  50     
  BTBSFR01     51-  51     
  BTBSFR02     52-  52     
  BTBSFR03     53-  53     
  BTBSFR04     54-  54     
  BTBSFR05     55-  55     
  BTBSFR06     56-  56     
  BTBSFR07     57-  57     
  BTBSFR08     58-  58     
  BTBSFR09     59-  59     
  BTBSFR10     60-  60     
  BTBSFR11     61-  61     
  BTBSFR12     62-  62     
  BTBSFR13     63-  63     
  BTBSFR14     64-  64     
  BTBSFR15     65-  65     
  BTBSFR16     66-  66     
  BTBSFR17     67-  67     
  BTBSFR18     68-  68     
  BTBSFR19     69-  69     
  BTBSFR20     70-  70     
  BTBSFR21     71-  71     
  BTBGWTNP     72-  73     
  BTBSSPTS     74-  75     
  BTBSSPPS     76-  77     
  BTBSSPTP     78-  79     
  BTBSSPTC     80-  81     
  BTBSSPTB     82-  83     
  BTBSSPTE     84-  85     
  BTBMSPTM     86-  87     
  BTBGSPTO     88-  89     
  BTBGSPOD     90-  91     
  BTBGSPTT     92-  93     
  BTBGMITY     94-  96     
  BTBGOHGT     97-  98     
  BTBGOHPL     99- 100     
  BTBGOHAT    101- 102     
  BTBGOHOT    103- 104     
  BTBGOTDC    105- 105     
  BTBGOTPM    106- 106     
  BTBGOTVT    107- 107     
  BTBGOTAT    108- 108     
  BTBSPDST    109- 109     
  BTBSPDSP    110- 110     
  BTBSPDSC    111- 111     
  BTBSPDIT    112- 112     
  BTBGPDIN    113- 113     
  BTBSPDSA    114- 114     
  BTBSADMR    115- 115     
  BTBSADHY    116- 116     
  BTBSADME    117- 117     
  BTBSADCO    118- 118     
  BTBSADAN    119- 119     
  BTBSADSC    120- 120     
  BTBSADTA    121- 121     
  BTBSADMO    122- 122     
  BTBSADDI    123- 123     
  BTBGCURE    124- 124     
  BTBGCUSN    125- 125     
  BTBGCUSA    126- 126     
  BTBGCUAS    127- 127     
  BTBGCHTS    128- 128     
  BTBGCHTU    129- 129     
  BTBGCHTC    130- 130     
  BTBGCHES    131- 131     
  BTBGCHPS    132- 132     
  BTBGCHPI    133- 133     
  BTBGCHSR    134- 134     
  BTBGCHSD    135- 135     
  BTBSSTUD    136- 138     
  BTBSTIMT    139- 141     
  BTBSTBTC    142- 142     
  BTBSTXBU    143- 143     
  BTBSPTRH    144- 146     
  BTBSPTLS    147- 149     
  BTBSPTYG    150- 152     
  BTBSPTOO    153- 155     
  BTBSPTRT    156- 158     
  BTBSPTTQ    159- 161     
  BTBSPTCM    162- 164     
  BTBSPTOA    165- 167     
  BTBSCSWD    168- 168     
  BTBSCSFT    169- 169     
  BTBSCSDP    170- 170     
  BTBSCSEI    171- 171     
  BTBSCSSG    172- 172     
  BTBSCSWE    173- 173     
  BTBSCSRO    174- 174     
  BTBSCSIT    175- 175     
  BTBSCSLN    176- 176     
  BTBSCSDL    177- 177     
  BTBSCSPW    178- 178     
  BTBGLT01    179- 179     
  BTBGLT02    180- 180     
  BTBGLT03    181- 181     
  BTBGLT04    182- 182     
  BTBGLT05    183- 183     
  BTBGLT06    184- 184     
  BTBGLT07    185- 185     
  BTBGLT08    186- 186     
  BTBGLT09    187- 187     
  BTBGLT10    188- 188     
  BTBGLT11    189- 189     
  BTBGLT12    190- 190     
  BTBGLT13    191- 191     
  BTBGLT14    192- 192     
  BTBSCLSC    193- 195     
  BTBSCCHE    196- 198     
  BTBSCPHY    199- 201     
  BTBSCESC    202- 204     
  BTBSCENS    205- 207     
  BTBSCOTH    208- 210     
  BTBSTO01    211- 211     
  BTBSTO02    212- 212     
  BTBSTO03    213- 213     
  BTBSTO04    214- 214     
  BTBSTO05    215- 215     
  BTBSTO06    216- 216     
  BTBSTO07    217- 217     
  BTBSTO08    218- 218     
  BTBSTO09    219- 219     
  BTBSTO10    220- 220     
  BTBSTO11    221- 221     
  BTBSTO12    222- 222     
  BTBSTO13    223- 223     
  BTBSTO14    224- 224     
  BTBSTO15    225- 225     
  BTBSTO16    226- 226     
  BTBSTO17    227- 227     
  BTBSTO18    228- 228     
  BTBSTO19    229- 229     
  BTBSTO20    230- 230     
  BTBSTO21    231- 231     
  BTBSTO22    232- 232     
  BTBSTO23    233- 233     
  BTBSTO24    234- 234     
  BTBSTO25    235- 235     
  BTBSTO26    236- 236     
  BTBSTO27    237- 237     
  BTBSTO28    238- 238     
  BTBSTO29    239- 239     
  BTBSTO30    240- 240     
  BTBSTO31    241- 241     
  BTBSTO32    242- 242     
  BTBSTO33    243- 243     
  BTBSTO34    244- 244     
  BTBSTO35    245- 245     
  BTBSTO36    246- 246     
  BTBSTO37    247- 247     
  BTBSTO38    248- 248     
  BTBSTO39    249- 249     
  BTBSTO40    250- 250     
  BTBSTO41    251- 251     
  BTBSTO42    252- 252     
  BTBSTO43    253- 253     
  BTBSTO44    254- 254     
  BTBSCOMA    255- 255     
  BTBSINTA    256- 256     
  BTBSCAPE    257- 257     
  BTBSCANP    258- 258     
  BTBSCASP    259- 259     
  BTBSCALI    260- 260     
  BTBSCAPA    261- 261     
  BTBSHMWO    262- 262     
  BTBSHWMC    263- 263     
  BTBSHWKM    264- 264     
  BTBSKHCP    265- 265     
  BTBSKHCA    266- 266     
  BTBSKHCT    267- 267     
  BTBSKHCW    268- 268     
  BTBSKHCR    269- 269     
  BTBSKHCS    270- 270     
  BTBSKHCG    271- 271     
  BTBSHDAM    272- 272     
  BTBSHDAF    273- 273     
  BTBSHDAC    274- 274     
  BTBSHDAD    275- 275     
  BTBSHDAG    276- 276     
  BTBSTEEX    277- 277     
  BTBSWFTU    278- 278     
  BTBSTERU    279- 279     
  BTBSTEIH    280- 280     
  BTBSTEBR    281- 281     
  BTDGTELC    282- 282     
  BTDSSTUD    283- 283     
  BTDSCH      284- 284     
  BTDSCU      285- 285     
  BTDSLT      286- 286     
  BTDSH       287- 287     
  BTDSTOBI    288- 293 .2
  BTDSTOCH    294- 299 .2
  BTDSTOPH    300- 305 .2
  BTDSTOEA    306- 311 .2
  BTDSTOEN    312- 317 .2
  BTDSTOOV    318- 323 .2
  DPCDATE     324- 329     
;

%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  ITCOURSE = "*NAME OF COURSE*"
  IDSUBJ   = "*SUBJECT ID*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 2003 AND 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 2003 AND 1999 AND 1995 ASS. POP*"
  BTBGAGE  = "GEN\AGE OF TEACHER"
  BTBGSEX  = "GEN\SEX OF TEACHER"
  BTBGTAUT = "GEN\YEARS BEEN TEACHING"
  BTBGFEDC = "GEN\LEVEL OF FORMAL EDUCATION COMPLETED"
  BTBGYTTR = "GEN\YEARS OF TEACHER TRAINING"
  BTBSPSBI = "SCI\MAJOR AREA OF STUDY\BIOLOGY"
  BTBSPSPH = "SCI\MAJOR AREA OF STUDY\PHYSICS"
  BTBSPSCH = "SCI\MAJOR AREA OF STUDY\CHEMISTRY"
  BTBSPSES = "SCI\MAJOR AREA OF STUDY\EARTH SCIENCE"
  BTBSPSED = "SCI\MAJOR AREA OF STUDY\EDUCATION SCI"
  BTBMPSMA = "MAT\MAJOR AREA OF STUDY\MATHEMATICS"
  BTBMPSEM = "MAT\MAJOR AREA OF STUDY\EDUCATION MATHS"
  BTBGPSEG = "GEN\MAJOR AREA OF STUDY\EDUCATION GEN"
  BTBGPSOT = "GEN\MAJOR AREA OF STUDY\OTHER"
  BTBSRB5A = "SCI\REQUIREMENTS TO BECOME TCH\ISCED 5A"
  BTBSRBPP = "SCI\REQUIREMENTS TO BECOME TCH\PROB PER"
  BTBSRBEC = "SCI\REQUIREMENTS TO BECOME TCH\EDU CSES"
  BTBSRBSC = "SCI\REQUIREMENTS TO BECOME TCH\SCI CSES"
  BTBSRBLE = "SCI\REQUIREMENTS TO BECOME TCH\LIC EXAM"
  BTBGTLCE = "GEN\TEACHING CERTIFICATE"
  BTBGTELC = "GEN\TEACHING CERTIFICATE\TYPE"
  BTBSFR01 = "SCI\READY\BIOLOGY\MAJOR ORGANS"
  BTBSFR02 = "SCI\READY\BIOLOGY\CELLS AND FUNCTIONS"
  BTBSFR03 = "SCI\READY\BIOLOGY\REPRODUCTION"
  BTBSFR04 = "SCI\READY\BIOLOGY\SURVIVAL EXTINCTION"
  BTBSFR05 = "SCI\READY\BIOLOGY\INTERACTION"
  BTBSFR06 = "SCI\READY\CHEMISTRY\CLASSIFICATION"
  BTBSFR07 = "SCI\READY\CHEMISTRY\PARTICULATE STRU"
  BTBSFR08 = "SCI\READY\CHEMISTRY\SOLUTIONS"
  BTBSFR09 = "SCI\READY\CHEMISTRY\USES OF ACIDS"
  BTBSFR10 = "SCI\READY\CHEMISTRY\CHEMICAL CHANGE"
  BTBSFR11 = "SCI\READY\PHYSICS\PHYSICAL STATES"
  BTBSFR12 = "SCI\READY\PHYSICS\ENERGY TYPES"
  BTBSFR13 = "SCI\READY\PHYSICS\PROPERTIES OF LIGHT"
  BTBSFR14 = "SCI\READY\PHYSICS\ELECTRIC CIRCUITS"
  BTBSFR15 = "SCI\READY\PHYSICS\FORCES AND MOTION"
  BTBSFR16 = "SCI\READY\EARTH SCI\EARTH STRUCTURE"
  BTBSFR17 = "SCI\READY\EARTH SCI\EARTH PROCESSES"
  BTBSFR18 = "SCI\READY\EARTH SCI\SOLAR SYSTEM"
  BTBSFR19 = "SCI\READY\EARTH SCI\TRENDS IN POPULATION"
  BTBSFR20 = "SCI\READY\EARTH SCI\USE OF RECOURCES"
  BTBSFR21 = "SCI\READY\EARTH SCI\CHANGES IN ENVIRONM"
  BTBGWTNP = "GEN\SCHEDULED PERIODS ALTOGETHER"
  BTBSSPTS = "SCI\FORMALLY SCHEDULED\TEACH SCIENCE"
  BTBSSPPS = "SCI\FORMALLY SCHEDULED\PHYSICAL SCIENCE"
  BTBSSPTP = "SCI\FORMALLY SCHEDULED\TEACH PHYSICS"
  BTBSSPTC = "SCI\FORMALLY SCHEDULED\TEACH CHEMISTRY"
  BTBSSPTB = "SCI\FORMALLY SCHEDULED\TCH LIFE SCI BIO"
  BTBSSPTE = "SCI\FORMALLY SCHEDULED\TEACH EARTH SCIEN"
  BTBMSPTM = "MAT\FORMALLY SCHEDULED\TEACH MATH"
  BTBGSPTO = "GEN\FORMALLY SCHEDULED\TCH OTHER SUBJ"
  BTBGSPOD = "GEN\FORMALLY SCHEDULED\PERF OTHER DUTIES"
  BTBGSPTT = "GEN\FORMALLY SCHEDULED\TOTAL"
  BTBGMITY = "GEN\MINUTES IN A TYPICAL PERIOD"
  BTBGOHGT = "GEN\OUTSIDE SCHOOL DAY\GRADING TESTS"
  BTBGOHPL = "GEN\OUTSIDE SCHOOL DAY\PLANNING LESSONS"
  BTBGOHAT = "GEN\OUTSIDE SCHOOL DAY\ADMINISTR TASKS"
  BTBGOHOT = "GEN\OUTSIDE SCHOOL DAY\OTHER"
  BTBGOTDC = "GEN\INTERACTIONS TEACHERS\DISCUSS CONCEP"
  BTBGOTPM = "GEN\INTERACTIONS TEACHERS\INSTRU MATERL"
  BTBGOTVT = "GEN\INTERACTIONS TEACHERS\VISIT TO CLSRM"
  BTBGOTAT = "GEN\INTERACTIONS TEACHERS\OBSERVATION"
  BTBSPDST = "SCI\PARTICIPATED DEVELOPM\SCI CONTENT"
  BTBSPDSP = "SCI\PARTICIPATED DEVELOPM\SCI PEDAGOGY"
  BTBSPDSC = "SCI\PARTICIPATED DEVELOPM\SCI CURRICULUM"
  BTBSPDIT = "SCI\PARTICIPATED DEVELOPM\IT INTO SCI"
  BTBGPDIN = "GEN\PARTICIPATED DEVELOPM\IMPROVE SKILL"
  BTBSPDSA = "SCI\PARTICIPATED DEVELOPM\SCI ASSESSM"
  BTBSADMR = "SCI\AGREE\USE MORE THAN 1 REPRESENTATION"
  BTBSADHY = "SCI\AGREE\SOLVING SCI INVOL HYPOTHESIS"
  BTBSADME = "SCI\AGREE\LEARNING SCI INVOL MEMORIZING"
  BTBSADCO = "SCI\AGREE\COND SCIENTIFIC INVESTIGATION"
  BTBSADAN = "SCI\AGREE\GETTING THE CORRECT ANSWER"
  BTBSADSC = "SCI\AGREE\SCIENTIFIC THEORIES"
  BTBSADTA = "SCI\AGREE\SCI IS TAUGHT PRIMARILY"
  BTBSADMO = "SCI\AGREE\MODELING NATURAL PHENOMENA"
  BTBSADDI = "SCI\AGREE\MOST SCIENTIFIC DISCOVERIES"
  BTBGCURE = "GEN\CURRENT SCHOOL\NEEDS REPAIR"
  BTBGCUSN = "GEN\CURRENT SCHOOL\SAFE NEIGHBORHOOD"
  BTBGCUSA = "GEN\CURRENT SCHOOL\FEEL SAFE AT SCHOOL"
  BTBGCUAS = "GEN\CURRENT SCHOOL\SECURITY POLICIES"
  BTBGCHTS = "GEN\CHARACTERIZE\TCHS JOB SATIFICATION"
  BTBGCHTU = "GEN\CHARACTERIZE\TCHS UNDERSTANDING"
  BTBGCHTC = "GEN\CHARACTERIZE\TCHS DEGREE OF SUCCESS"
  BTBGCHES = "GEN\CHARACTERIZE\TCHS EXPECTATIONS"
  BTBGCHPS = "GEN\CHARACTERIZE\PARENTAL SUPPORT"
  BTBGCHPI = "GEN\CHARACTERIZE\PARENTAL INVOLVEMENT"
  BTBGCHSR = "GEN\CHARACTERIZE\REGARD FOR PROPERTY"
  BTBGCHSD = "GEN\CHARACTERIZE\STD DESIRE TO DO WELL"
  BTBSSTUD = "SCI\NUMBER OF STUDENTS IN THE CLASS"
  BTBSTIMT = "SCI\MINUTES TEACH SCI PER WEEK TO CLASS"
  BTBSTBTC = "SCI\TEXTBOOK\USE FOR SCIENCE"
  BTBSTXBU = "SCI\TEXTBOOK\USED HOW IN TEACHING SCI"
  BTBSPTRH = "SCI\PERCENTAGE SPENT\REVIEW HOMEWORK"
  BTBSPTLS = "SCI\PERCENTAGE SPENT\LISTENTING TO PRES"
  BTBSPTYG = "SCI\PERCENTAGE SPENT\WORKING PROBLEMS"
  BTBSPTOO = "SCI\PERCENTAGE SPENT\WKNG PROBL ON OWN"
  BTBSPTRT = "SCI\PERCENTAGE SPENT\LISTEN TO RETEACH"
  BTBSPTTQ = "SCI\PERCENTAGE SPENT\TESTS OR QUIZZES"
  BTBSPTCM = "SCI\PERCENTAGE SPENT\PARTIC IN CLSROOM"
  BTBSPTOA = "SCI\PERCENTAGE SPENT\OTHER ACTIVITIES"
  BTBSCSWD = "SCI\HOW OFTEN ASK\WATCH ME DEMONSTRATE"
  BTBSCSFT = "SCI\HOW OFTEN ASK\FORMULATE HYPOTHESIS"
  BTBSCSDP = "SCI\HOW OFTEN ASK\DESIGN OR PLAN"
  BTBSCSEI = "SCI\HOW OFTEN ASK\CONDUCT EXPERIMENTS"
  BTBSCSSG = "SCI\HOW OFTEN ASK\WORK IN SMALL GROUPS"
  BTBSCSWE = "SCI\HOW OFTEN ASK\WRITE EXPLANATIONS"
  BTBSCSRO = "SCI\HOW OFTEN ASK\PUT EVENTS OR OBJECTS"
  BTBSCSIT = "SCI\HOW OFTEN ASK\IMPACT OF TECHNOLOGY"
  BTBSCSLN = "SCI\HOW OFTEN ASK\LEARN ABOUT NATURE"
  BTBSCSDL = "SCI\HOW OFTEN ASK\RELATE TO DAILY LIFE"
  BTBSCSPW = "SCI\HOW OFTEN ASK\PRESENT WORK TO CLASS"
  BTBGLT01 = "GEN\LIMIT TO TEACH\DIFFERENT ACADEMIC AB"
  BTBGLT02 = "GEN\LIMIT TO TEACH\WIDE RANGE OF BACKGRO"
  BTBGLT03 = "GEN\LIMIT TO TEACH\SPECIAL NEEDS"
  BTBGLT04 = "GEN\LIMIT TO TEACH\UNINTERESTED STUDENTS"
  BTBGLT05 = "GEN\LIMIT TO TEACH\LOW MORALE AMONG STUD"
  BTBGLT06 = "GEN\LIMIT TO TEACH\DISRUPTIVE STUDENTS"
  BTBGLT07 = "GEN\LIMIT TO TEACH\SHORTGE COMP HARDWARE"
  BTBGLT08 = "GEN\LIMIT TO TEACH\SHORTGE COMP SOFTWARE"
  BTBGLT09 = "GEN\LIMIT TO TEACH\SUPPORT COMPUTER USE"
  BTBGLT10 = "GEN\LIMIT TO TEACH\TEXTBOOKS FOR STUDENT"
  BTBGLT11 = "GEN\LIMIT TO TEACH\INSTRUC EQUIPMENT"
  BTBGLT12 = "GEN\LIMIT TO TEACH\DEMONSTRATI EQUIPMENT"
  BTBGLT13 = "GEN\LIMIT TO TEACH\INADEQUATE PHYS FACIL"
  BTBGLT14 = "GEN\LIMIT TO TEACH\HIGH STUDENT TEACHER"
  BTBSCLSC = "SCI\PERCENT OF TEACHING SPENT\LIFE SCI"
  BTBSCCHE = "SCI\PERCENT OF TEACHING SPENT\CHEMISTRY"
  BTBSCPHY = "SCI\PERCENT OF TEACHING SPENT\PHYSICS"
  BTBSCESC = "SCI\PERCENT OF TEACHING SPENT\EARTH SCI"
  BTBSCENS = "SCI\PERCENT OF TEACHING SPENT\ENVRNM SCI"
  BTBSCOTH = "SCI\PERCENT OF TEACHING SPENT\OTHER"
  BTBSTO01 = "SCI\TAUGHT TOPIC\BIO\CLASSIFICATION"
  BTBSTO02 = "SCI\TAUGHT TOPIC\BIO\MAJOR ORGAN SYSTEMS"
  BTBSTO03 = "SCI\TAUGHT TOPIC\BIO\HOW SYSTEM FUNCTION"
  BTBSTO04 = "SCI\TAUGHT TOPIC\BIO\CELL STRUCTURES"
  BTBSTO05 = "SCI\TAUGHT TOPIC\BIO\PHOTOSYNTHESIS"
  BTBSTO06 = "SCI\TAUGHT TOPIC\BIO\LIFE CYCLES"
  BTBSTO07 = "SCI\TAUGHT TOPIC\BIO\REPRODUCTION"
  BTBSTO08 = "SCI\TAUGHT TOPIC\BIO\ROLE OF VARIATION"
  BTBSTO09 = "SCI\TAUGHT TOPIC\BIO\INTERACTION ECOSYST"
  BTBSTO10 = "SCI\TAUGHT TOPIC\BIO\CYCLING MATERIALS"
  BTBSTO11 = "SCI\TAUGHT TOPIC\BIO\CAUSES OF DISEASE"
  BTBSTO12 = "SCI\TAUGHT TOPIC\BIO\PREVENTIVE MEDICINE"
  BTBSTO13 = "SCI\TAUGHT TOPIC\CHE\CLASSIFICATION"
  BTBSTO14 = "SCI\TAUGHT TOPIC\CHE\PROP OF SOLUTIONS"
  BTBSTO15 = "SCI\TAUGHT TOPIC\CHE\STRUCTURE OF MATTER"
  BTBSTO16 = "SCI\TAUGHT TOPIC\CHE\USES OF WATER"
  BTBSTO17 = "SCI\TAUGHT TOPIC\CHE\USES OF ACIDS"
  BTBSTO18 = "SCI\TAUGHT TOPIC\CHE\CHEMICAL CHANGE"
  BTBSTO19 = "SCI\TAUGHT TOPIC\CHE\OXYGEN IN OXIDATION"
  BTBSTO20 = "SCI\TAUGHT TOPIC\CHE\CHEMICAL TRANSFORM"
  BTBSTO21 = "SCI\TAUGHT TOPIC\PHY\STATES AND CHANGES"
  BTBSTO22 = "SCI\TAUGHT TOPIC\PHY\PROCESS OF MELTING"
  BTBSTO23 = "SCI\TAUGHT TOPIC\PHY\ENERGY TYPES"
  BTBSTO24 = "SCI\TAUGHT TOPIC\PHY\THERMAL EXPANSION"
  BTBSTO25 = "SCI\TAUGHT TOPIC\PHY\BASIC PROPERTIES"
  BTBSTO26 = "SCI\TAUGHT TOPIC\PHY\PROPERTIES OF SOUND"
  BTBSTO27 = "SCI\TAUGHT TOPIC\PHY\ELECTRIC CIRCUITS"
  BTBSTO28 = "SCI\TAUGHT TOPIC\PHY\PROPERT OF MAGNETS"
  BTBSTO29 = "SCI\TAUGHT TOPIC\PHY\FORCES AND MOTION"
  BTBSTO30 = "SCI\TAUGHT TOPIC\PHY\EFFECTS OF DENSITY"
  BTBSTO31 = "SCI\TAUGHT TOPIC\EARTH SCI\STRUCTURE"
  BTBSTO32 = "SCI\TAUGHT TOPIC\EARTH SCI\PHYSICL STATE"
  BTBSTO33 = "SCI\TAUGHT TOPIC\EARTH SCI\ATMOSPHERE"
  BTBSTO34 = "SCI\TAUGHT TOPIC\EARTH SCI\WATER CYCLE"
  BTBSTO35 = "SCI\TAUGHT TOPIC\EARTH SCI\ROCK CYCLE"
  BTBSTO36 = "SCI\TAUGHT TOPIC\EARTH SCI\WEATHER DATA"
  BTBSTO37 = "SCI\TAUGHT TOPIC\EARTH SCI\GEO PROCESS"
  BTBSTO38 = "SCI\TAUGHT TOPIC\EARTH SCI\FOSSILS"
  BTBSTO39 = "SCI\TAUGHT TOPIC\EARTH SCI\BODIES IN SS"
  BTBSTO40 = "SCI\TAUGHT TOPIC\EARTH SCI\PHY FEATURES"
  BTBSTO41 = "SCI\TAUGHT TOPIC\EARTH SCI\SUN AS STAR"
  BTBSTO42 = "SCI\TAUGHT TOPIC\ENV SCI\TRENDS IN POPUL"
  BTBSTO43 = "SCI\TAUGHT TOPIC\ENV SCI\NATURAL RESOURC"
  BTBSTO44 = "SCI\TAUGHT TOPIC\ENV SCI\CHANGES ENVIRNM"
  BTBSCOMA = "SCI\COMPUTER\AVAILABLE IN SCIENCE LESS"
  BTBSINTA = "SCI\COMPUTER\ACCESS TO INTERNET"
  BTBSCAPE = "SCI\COMPUTER\USE\SCIENTIFIC PROCEDURES"
  BTBSCANP = "SCI\COMPUTER\USE\NATURAL PHENOMENA"
  BTBSCASP = "SCI\COMPUTER\USE\PRACTICE SKILLS"
  BTBSCALI = "SCI\COMPUTER\USE\LOOK UP IDEAS"
  BTBSCAPA = "SCI\COMPUTER\USE\PROCESS DATA"
  BTBSHMWO = "SCI\HOMEWORK\DO YOU ASSIGN SCIENCE"
  BTBSHWMC = "SCI\HOMEWORK\FREQUENCY OF SCIENCE HMW"
  BTBSHWKM = "SCI\HOMEWORK\MIN ASSIGN IN CLS"
  BTBSKHCP = "SCI\ASSIGN KINDS OF HOMEWORK\PROBLEM SET"
  BTBSKHCA = "SCI\ASSIGN KINDS OF HOMEWORK\FIND APPLIC"
  BTBSKHCT = "SCI\ASSIGN KINDS OF HOMEWORK\READ TEXTBK"
  BTBSKHCW = "SCI\ASSIGN KINDS OF HOMEWORK\WRITE DEFIN"
  BTBSKHCR = "SCI\ASSIGN KINDS OF HOMEWORK\WORK ON PRJ"
  BTBSKHCS = "SCI\ASSIGN KINDS OF HOMEWORK\INVESTIGAT"
  BTBSKHCG = "SCI\ASSIGN KINDS OF HOMEWORK\REPORTS"
  BTBSHDAM = "SCI\HOMEWORK ASSIGNMENTS\MONITOR COMPLET"
  BTBSHDAF = "SCI\HOMEWORK ASSIGNMENTS\CORRECT ASSIGNM"
  BTBSHDAC = "SCI\HOMEWORK ASSIGNMENTS\STD CORRECT"
  BTBSHDAD = "SCI\HOMEWORK ASSIGNMENTS\HOMEWK AS BASIS"
  BTBSHDAG = "SCI\HOMEWORK ASSIGNMENTS\CONTRIBUTE"
  BTBSTEEX = "SCI\TEST\HOW OFTEN GIVE IN SCIENCE"
  BTBSWFTU = "SCI\TEST\ITEM FORMATS USED"
  BTBSTERU = "SCI\TEST QUESTIONS\REQUIRING UNDERSTANDG"
  BTBSTEIH = "SCI\TEST QUESTIONS\HYPOTHESIS"
  BTBSTEBR = "SCI\TEST QUESTIONS\BASED ON RECALL"
  BTDGTELC = "SCI TEACHER HAS FULL LICENSE OR CERTIFIC"
  BTDSSTUD = "CLASS SIZE FOR SCIENCE INSTRUCTION"
  BTDSCH   = "IDX SCI TCHR PRCPTN SCHL CLIMATE (STPSC)"
  BTDSCU   = "IDX SCI TCHR PRCPTN SCHOOL SAFET (STPSS)"
  BTDSLT   = "IDX TCH RPT SCI CLSS WO LIM FCTRS (SCWL)"
  BTDSH    = "IDX TCHR EMPHASIS ON SCI HOMEWORK (ESH)"
  BTDSTOBI = "SUM STUDENTS TAUGHT BIOLOGY SCI TOPICS"
  BTDSTOCH = "SUM STUDENTS TAUGHT CHEMIST SCI TOPICS"
  BTDSTOPH = "SUM STUDENTS TAUGHT PHYSICS SCI TOPICS"
  BTDSTOEA = "SUM STUDENTS TAUGHT EARTH   SCI TOPICS"
  BTDSTOEN = "SUM STUDENTS TAUGHT ENVIRON SCI TOPICS"
  BTDSTOOV = "SUM STUDENTS TAUGHT OVERALL SCI TOPICS"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF ITCOURSE = 98               THEN ITCOURSE = .A ;
IF IDSUBJ   = 8                THEN IDSUBJ   = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BTBGAGE  = 8                THEN BTBGAGE  = .A ;
IF BTBGSEX  = 8                THEN BTBGSEX  = .A ;
IF BTBGTAUT = 98               THEN BTBGTAUT = .A ;
IF BTBGFEDC = 8                THEN BTBGFEDC = .A ;
IF BTBGYTTR = 98               THEN BTBGYTTR = .A ;
IF BTBSPSBI = 8                THEN BTBSPSBI = .A ;
IF BTBSPSPH = 8                THEN BTBSPSPH = .A ;
IF BTBSPSCH = 8                THEN BTBSPSCH = .A ;
IF BTBSPSES = 8                THEN BTBSPSES = .A ;
IF BTBSPSED = 8                THEN BTBSPSED = .A ;
IF BTBMPSMA = 8                THEN BTBMPSMA = .A ;
IF BTBMPSEM = 8                THEN BTBMPSEM = .A ;
IF BTBGPSEG = 8                THEN BTBGPSEG = .A ;
IF BTBGPSOT = 8                THEN BTBGPSOT = .A ;
IF BTBSRB5A = 8                THEN BTBSRB5A = .A ;
IF BTBSRBPP = 8                THEN BTBSRBPP = .A ;
IF BTBSRBEC = 8                THEN BTBSRBEC = .A ;
IF BTBSRBSC = 8                THEN BTBSRBSC = .A ;
IF BTBSRBLE = 8                THEN BTBSRBLE = .A ;
IF BTBGTLCE = 8                THEN BTBGTLCE = .A ;
IF BTBGTELC = 8                THEN BTBGTELC = .A ;
IF BTBSFR01 = 8                THEN BTBSFR01 = .A ;
IF BTBSFR02 = 8                THEN BTBSFR02 = .A ;
IF BTBSFR03 = 8                THEN BTBSFR03 = .A ;
IF BTBSFR04 = 8                THEN BTBSFR04 = .A ;
IF BTBSFR05 = 8                THEN BTBSFR05 = .A ;
IF BTBSFR06 = 8                THEN BTBSFR06 = .A ;
IF BTBSFR07 = 8                THEN BTBSFR07 = .A ;
IF BTBSFR08 = 8                THEN BTBSFR08 = .A ;
IF BTBSFR09 = 8                THEN BTBSFR09 = .A ;
IF BTBSFR10 = 8                THEN BTBSFR10 = .A ;
IF BTBSFR11 = 8                THEN BTBSFR11 = .A ;
IF BTBSFR12 = 8                THEN BTBSFR12 = .A ;
IF BTBSFR13 = 8                THEN BTBSFR13 = .A ;
IF BTBSFR14 = 8                THEN BTBSFR14 = .A ;
IF BTBSFR15 = 8                THEN BTBSFR15 = .A ;
IF BTBSFR16 = 8                THEN BTBSFR16 = .A ;
IF BTBSFR17 = 8                THEN BTBSFR17 = .A ;
IF BTBSFR18 = 8                THEN BTBSFR18 = .A ;
IF BTBSFR19 = 8                THEN BTBSFR19 = .A ;
IF BTBSFR20 = 8                THEN BTBSFR20 = .A ;
IF BTBSFR21 = 8                THEN BTBSFR21 = .A ;
IF BTBGWTNP = 98               THEN BTBGWTNP = .A ;
IF BTBSSPTS = 98               THEN BTBSSPTS = .A ;
IF BTBSSPPS = 98               THEN BTBSSPPS = .A ;
IF BTBSSPTP = 98               THEN BTBSSPTP = .A ;
IF BTBSSPTC = 98               THEN BTBSSPTC = .A ;
IF BTBSSPTB = 98               THEN BTBSSPTB = .A ;
IF BTBSSPTE = 98               THEN BTBSSPTE = .A ;
IF BTBMSPTM = 98               THEN BTBMSPTM = .A ;
IF BTBGSPTO = 98               THEN BTBGSPTO = .A ;
IF BTBGSPOD = 98               THEN BTBGSPOD = .A ;
IF BTBGSPTT = 98               THEN BTBGSPTT = .A ;
IF BTBGMITY = 998              THEN BTBGMITY = .A ;
IF BTBGOHGT = 98               THEN BTBGOHGT = .A ;
IF BTBGOHPL = 98               THEN BTBGOHPL = .A ;
IF BTBGOHAT = 98               THEN BTBGOHAT = .A ;
IF BTBGOHOT = 98               THEN BTBGOHOT = .A ;
IF BTBGOTDC = 8                THEN BTBGOTDC = .A ;
IF BTBGOTPM = 8                THEN BTBGOTPM = .A ;
IF BTBGOTVT = 8                THEN BTBGOTVT = .A ;
IF BTBGOTAT = 8                THEN BTBGOTAT = .A ;
IF BTBSPDST = 8                THEN BTBSPDST = .A ;
IF BTBSPDSP = 8                THEN BTBSPDSP = .A ;
IF BTBSPDSC = 8                THEN BTBSPDSC = .A ;
IF BTBSPDIT = 8                THEN BTBSPDIT = .A ;
IF BTBGPDIN = 8                THEN BTBGPDIN = .A ;
IF BTBSPDSA = 8                THEN BTBSPDSA = .A ;
IF BTBSADMR = 8                THEN BTBSADMR = .A ;
IF BTBSADHY = 8                THEN BTBSADHY = .A ;
IF BTBSADME = 8                THEN BTBSADME = .A ;
IF BTBSADCO = 8                THEN BTBSADCO = .A ;
IF BTBSADAN = 8                THEN BTBSADAN = .A ;
IF BTBSADSC = 8                THEN BTBSADSC = .A ;
IF BTBSADTA = 8                THEN BTBSADTA = .A ;
IF BTBSADMO = 8                THEN BTBSADMO = .A ;
IF BTBSADDI = 8                THEN BTBSADDI = .A ;
IF BTBGCURE = 8                THEN BTBGCURE = .A ;
IF BTBGCUSN = 8                THEN BTBGCUSN = .A ;
IF BTBGCUSA = 8                THEN BTBGCUSA = .A ;
IF BTBGCUAS = 8                THEN BTBGCUAS = .A ;
IF BTBGCHTS = 8                THEN BTBGCHTS = .A ;
IF BTBGCHTU = 8                THEN BTBGCHTU = .A ;
IF BTBGCHTC = 8                THEN BTBGCHTC = .A ;
IF BTBGCHES = 8                THEN BTBGCHES = .A ;
IF BTBGCHPS = 8                THEN BTBGCHPS = .A ;
IF BTBGCHPI = 8                THEN BTBGCHPI = .A ;
IF BTBGCHSR = 8                THEN BTBGCHSR = .A ;
IF BTBGCHSD = 8                THEN BTBGCHSD = .A ;
IF BTBSSTUD = 998              THEN BTBSSTUD = .A ;
IF BTBSTIMT = 998              THEN BTBSTIMT = .A ;
IF BTBSTBTC = 8                THEN BTBSTBTC = .A ;
IF BTBSTXBU = 8                THEN BTBSTXBU = .A ;
IF BTBSPTRH = 998              THEN BTBSPTRH = .A ;
IF BTBSPTLS = 998              THEN BTBSPTLS = .A ;
IF BTBSPTYG = 998              THEN BTBSPTYG = .A ;
IF BTBSPTOO = 998              THEN BTBSPTOO = .A ;
IF BTBSPTRT = 998              THEN BTBSPTRT = .A ;
IF BTBSPTTQ = 998              THEN BTBSPTTQ = .A ;
IF BTBSPTCM = 998              THEN BTBSPTCM = .A ;
IF BTBSPTOA = 998              THEN BTBSPTOA = .A ;
IF BTBSCSWD = 8                THEN BTBSCSWD = .A ;
IF BTBSCSFT = 8                THEN BTBSCSFT = .A ;
IF BTBSCSDP = 8                THEN BTBSCSDP = .A ;
IF BTBSCSEI = 8                THEN BTBSCSEI = .A ;
IF BTBSCSSG = 8                THEN BTBSCSSG = .A ;
IF BTBSCSWE = 8                THEN BTBSCSWE = .A ;
IF BTBSCSRO = 8                THEN BTBSCSRO = .A ;
IF BTBSCSIT = 8                THEN BTBSCSIT = .A ;
IF BTBSCSLN = 8                THEN BTBSCSLN = .A ;
IF BTBSCSDL = 8                THEN BTBSCSDL = .A ;
IF BTBSCSPW = 8                THEN BTBSCSPW = .A ;
IF BTBGLT01 = 8                THEN BTBGLT01 = .A ;
IF BTBGLT02 = 8                THEN BTBGLT02 = .A ;
IF BTBGLT03 = 8                THEN BTBGLT03 = .A ;
IF BTBGLT04 = 8                THEN BTBGLT04 = .A ;
IF BTBGLT05 = 8                THEN BTBGLT05 = .A ;
IF BTBGLT06 = 8                THEN BTBGLT06 = .A ;
IF BTBGLT07 = 8                THEN BTBGLT07 = .A ;
IF BTBGLT08 = 8                THEN BTBGLT08 = .A ;
IF BTBGLT09 = 8                THEN BTBGLT09 = .A ;
IF BTBGLT10 = 8                THEN BTBGLT10 = .A ;
IF BTBGLT11 = 8                THEN BTBGLT11 = .A ;
IF BTBGLT12 = 8                THEN BTBGLT12 = .A ;
IF BTBGLT13 = 8                THEN BTBGLT13 = .A ;
IF BTBGLT14 = 8                THEN BTBGLT14 = .A ;
IF BTBSCLSC = 998              THEN BTBSCLSC = .A ;
IF BTBSCCHE = 998              THEN BTBSCCHE = .A ;
IF BTBSCPHY = 998              THEN BTBSCPHY = .A ;
IF BTBSCESC = 998              THEN BTBSCESC = .A ;
IF BTBSCENS = 998              THEN BTBSCENS = .A ;
IF BTBSCOTH = 998              THEN BTBSCOTH = .A ;
IF BTBSTO01 = 8                THEN BTBSTO01 = .A ;
IF BTBSTO02 = 8                THEN BTBSTO02 = .A ;
IF BTBSTO03 = 8                THEN BTBSTO03 = .A ;
IF BTBSTO04 = 8                THEN BTBSTO04 = .A ;
IF BTBSTO05 = 8                THEN BTBSTO05 = .A ;
IF BTBSTO06 = 8                THEN BTBSTO06 = .A ;
IF BTBSTO07 = 8                THEN BTBSTO07 = .A ;
IF BTBSTO08 = 8                THEN BTBSTO08 = .A ;
IF BTBSTO09 = 8                THEN BTBSTO09 = .A ;
IF BTBSTO10 = 8                THEN BTBSTO10 = .A ;
IF BTBSTO11 = 8                THEN BTBSTO11 = .A ;
IF BTBSTO12 = 8                THEN BTBSTO12 = .A ;
IF BTBSTO13 = 8                THEN BTBSTO13 = .A ;
IF BTBSTO14 = 8                THEN BTBSTO14 = .A ;
IF BTBSTO15 = 8                THEN BTBSTO15 = .A ;
IF BTBSTO16 = 8                THEN BTBSTO16 = .A ;
IF BTBSTO17 = 8                THEN BTBSTO17 = .A ;
IF BTBSTO18 = 8                THEN BTBSTO18 = .A ;
IF BTBSTO19 = 8                THEN BTBSTO19 = .A ;
IF BTBSTO20 = 8                THEN BTBSTO20 = .A ;
IF BTBSTO21 = 8                THEN BTBSTO21 = .A ;
IF BTBSTO22 = 8                THEN BTBSTO22 = .A ;
IF BTBSTO23 = 8                THEN BTBSTO23 = .A ;
IF BTBSTO24 = 8                THEN BTBSTO24 = .A ;
IF BTBSTO25 = 8                THEN BTBSTO25 = .A ;
IF BTBSTO26 = 8                THEN BTBSTO26 = .A ;
IF BTBSTO27 = 8                THEN BTBSTO27 = .A ;
IF BTBSTO28 = 8                THEN BTBSTO28 = .A ;
IF BTBSTO29 = 8                THEN BTBSTO29 = .A ;
IF BTBSTO30 = 8                THEN BTBSTO30 = .A ;
IF BTBSTO31 = 8                THEN BTBSTO31 = .A ;
IF BTBSTO32 = 8                THEN BTBSTO32 = .A ;
IF BTBSTO33 = 8                THEN BTBSTO33 = .A ;
IF BTBSTO34 = 8                THEN BTBSTO34 = .A ;
IF BTBSTO35 = 8                THEN BTBSTO35 = .A ;
IF BTBSTO36 = 8                THEN BTBSTO36 = .A ;
IF BTBSTO37 = 8                THEN BTBSTO37 = .A ;
IF BTBSTO38 = 8                THEN BTBSTO38 = .A ;
IF BTBSTO39 = 8                THEN BTBSTO39 = .A ;
IF BTBSTO40 = 8                THEN BTBSTO40 = .A ;
IF BTBSTO41 = 8                THEN BTBSTO41 = .A ;
IF BTBSTO42 = 8                THEN BTBSTO42 = .A ;
IF BTBSTO43 = 8                THEN BTBSTO43 = .A ;
IF BTBSTO44 = 8                THEN BTBSTO44 = .A ;
IF BTBSCOMA = 8                THEN BTBSCOMA = .A ;
IF BTBSINTA = 8                THEN BTBSINTA = .A ;
IF BTBSCAPE = 8                THEN BTBSCAPE = .A ;
IF BTBSCANP = 8                THEN BTBSCANP = .A ;
IF BTBSCASP = 8                THEN BTBSCASP = .A ;
IF BTBSCALI = 8                THEN BTBSCALI = .A ;
IF BTBSCAPA = 8                THEN BTBSCAPA = .A ;
IF BTBSHMWO = 8                THEN BTBSHMWO = .A ;
IF BTBSHWMC = 8                THEN BTBSHWMC = .A ;
IF BTBSHWKM = 8                THEN BTBSHWKM = .A ;
IF BTBSKHCP = 8                THEN BTBSKHCP = .A ;
IF BTBSKHCA = 8                THEN BTBSKHCA = .A ;
IF BTBSKHCT = 8                THEN BTBSKHCT = .A ;
IF BTBSKHCW = 8                THEN BTBSKHCW = .A ;
IF BTBSKHCR = 8                THEN BTBSKHCR = .A ;
IF BTBSKHCS = 8                THEN BTBSKHCS = .A ;
IF BTBSKHCG = 8                THEN BTBSKHCG = .A ;
IF BTBSHDAM = 8                THEN BTBSHDAM = .A ;
IF BTBSHDAF = 8                THEN BTBSHDAF = .A ;
IF BTBSHDAC = 8                THEN BTBSHDAC = .A ;
IF BTBSHDAD = 8                THEN BTBSHDAD = .A ;
IF BTBSHDAG = 8                THEN BTBSHDAG = .A ;
IF BTBSTEEX = 8                THEN BTBSTEEX = .A ;
IF BTBSWFTU = 8                THEN BTBSWFTU = .A ;
IF BTBSTERU = 8                THEN BTBSTERU = .A ;
IF BTBSTEIH = 8                THEN BTBSTEIH = .A ;
IF BTBSTEBR = 8                THEN BTBSTEBR = .A ;
IF BTDGTELC = 8                THEN BTDGTELC = .A ;
IF BTDSSTUD = 8                THEN BTDSSTUD = .A ;
IF BTDSCH   = 8                THEN BTDSCH   = .A ;
IF BTDSCU   = 8                THEN BTDSCU   = .A ;
IF BTDSLT   = 8                THEN BTDSLT   = .A ;
IF BTDSH    = 8                THEN BTDSH    = .A ;
IF BTDSTOBI = 998              THEN BTDSTOBI = .A ;
IF BTDSTOCH = 998              THEN BTDSTOCH = .A ;
IF BTDSTOPH = 998              THEN BTDSTOPH = .A ;
IF BTDSTOEA = 998              THEN BTDSTOEA = .A ;
IF BTDSTOEN = 998              THEN BTDSTOEN = .A ;
IF BTDSTOOV = 998              THEN BTDSTOOV = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF BTBGTELC = 6                THEN BTBGTELC = .B ;
IF BTBSTXBU = 6                THEN BTBSTXBU = .B ;
IF BTBSINTA = 6                THEN BTBSINTA = .B ;
IF BTBSCAPE = 6                THEN BTBSCAPE = .B ;
IF BTBSCANP = 6                THEN BTBSCANP = .B ;
IF BTBSCASP = 6                THEN BTBSCASP = .B ;
IF BTBSCALI = 6                THEN BTBSCALI = .B ;
IF BTBSCAPA = 6                THEN BTBSCAPA = .B ;
IF BTBSHWMC = 6                THEN BTBSHWMC = .B ;
IF BTBSHWKM = 6                THEN BTBSHWKM = .B ;
IF BTBSKHCP = 6                THEN BTBSKHCP = .B ;
IF BTBSKHCA = 6                THEN BTBSKHCA = .B ;
IF BTBSKHCT = 6                THEN BTBSKHCT = .B ;
IF BTBSKHCW = 6                THEN BTBSKHCW = .B ;
IF BTBSKHCR = 6                THEN BTBSKHCR = .B ;
IF BTBSKHCS = 6                THEN BTBSKHCS = .B ;
IF BTBSKHCG = 6                THEN BTBSKHCG = .B ;
IF BTBSHDAM = 6                THEN BTBSHDAM = .B ;
IF BTBSHDAF = 6                THEN BTBSHDAF = .B ;
IF BTBSHDAC = 6                THEN BTBSHDAC = .B ;
IF BTBSHDAD = 6                THEN BTBSHDAD = .B ;
IF BTBSHDAG = 6                THEN BTBSHDAG = .B ;
IF BTBSWFTU = 6                THEN BTBSWFTU = .B ;
IF BTBSTERU = 6                THEN BTBSTERU = .B ;
IF BTBSTEIH = 6                THEN BTBSTEIH = .B ;
IF BTBSTEBR = 6                THEN BTBSTEBR = .B ;
IF BTDSTOBI = 996              THEN BTDSTOBI = .B ;
IF BTDSTOCH = 996              THEN BTDSTOCH = .B ;
IF BTDSTOPH = 996              THEN BTDSTOPH = .B ;
IF BTDSTOEA = 996              THEN BTDSTOEA = .B ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF ITCOURSE = 99               THEN ITCOURSE = . ;
IF IDSUBJ   = 9                THEN IDSUBJ   = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BTBGAGE  = 9                THEN BTBGAGE  = . ;
IF BTBGSEX  = 9                THEN BTBGSEX  = . ;
IF BTBGTAUT = 99               THEN BTBGTAUT = . ;
IF BTBGFEDC = 9                THEN BTBGFEDC = . ;
IF BTBGYTTR = 99               THEN BTBGYTTR = . ;
IF BTBSPSBI = 9                THEN BTBSPSBI = . ;
IF BTBSPSPH = 9                THEN BTBSPSPH = . ;
IF BTBSPSCH = 9                THEN BTBSPSCH = . ;
IF BTBSPSES = 9                THEN BTBSPSES = . ;
IF BTBSPSED = 9                THEN BTBSPSED = . ;
IF BTBMPSMA = 9                THEN BTBMPSMA = . ;
IF BTBMPSEM = 9                THEN BTBMPSEM = . ;
IF BTBGPSEG = 9                THEN BTBGPSEG = . ;
IF BTBGPSOT = 9                THEN BTBGPSOT = . ;
IF BTBSRB5A = 9                THEN BTBSRB5A = . ;
IF BTBSRBPP = 9                THEN BTBSRBPP = . ;
IF BTBSRBEC = 9                THEN BTBSRBEC = . ;
IF BTBSRBSC = 9                THEN BTBSRBSC = . ;
IF BTBSRBLE = 9                THEN BTBSRBLE = . ;
IF BTBGTLCE = 9                THEN BTBGTLCE = . ;
IF BTBGTELC = 9                THEN BTBGTELC = . ;
IF BTBSFR01 = 9                THEN BTBSFR01 = . ;
IF BTBSFR02 = 9                THEN BTBSFR02 = . ;
IF BTBSFR03 = 9                THEN BTBSFR03 = . ;
IF BTBSFR04 = 9                THEN BTBSFR04 = . ;
IF BTBSFR05 = 9                THEN BTBSFR05 = . ;
IF BTBSFR06 = 9                THEN BTBSFR06 = . ;
IF BTBSFR07 = 9                THEN BTBSFR07 = . ;
IF BTBSFR08 = 9                THEN BTBSFR08 = . ;
IF BTBSFR09 = 9                THEN BTBSFR09 = . ;
IF BTBSFR10 = 9                THEN BTBSFR10 = . ;
IF BTBSFR11 = 9                THEN BTBSFR11 = . ;
IF BTBSFR12 = 9                THEN BTBSFR12 = . ;
IF BTBSFR13 = 9                THEN BTBSFR13 = . ;
IF BTBSFR14 = 9                THEN BTBSFR14 = . ;
IF BTBSFR15 = 9                THEN BTBSFR15 = . ;
IF BTBSFR16 = 9                THEN BTBSFR16 = . ;
IF BTBSFR17 = 9                THEN BTBSFR17 = . ;
IF BTBSFR18 = 9                THEN BTBSFR18 = . ;
IF BTBSFR19 = 9                THEN BTBSFR19 = . ;
IF BTBSFR20 = 9                THEN BTBSFR20 = . ;
IF BTBSFR21 = 9                THEN BTBSFR21 = . ;
IF BTBGWTNP = 99               THEN BTBGWTNP = . ;
IF BTBSSPTS = 99               THEN BTBSSPTS = . ;
IF BTBSSPPS = 99               THEN BTBSSPPS = . ;
IF BTBSSPTP = 99               THEN BTBSSPTP = . ;
IF BTBSSPTC = 99               THEN BTBSSPTC = . ;
IF BTBSSPTB = 99               THEN BTBSSPTB = . ;
IF BTBSSPTE = 99               THEN BTBSSPTE = . ;
IF BTBMSPTM = 99               THEN BTBMSPTM = . ;
IF BTBGSPTO = 99               THEN BTBGSPTO = . ;
IF BTBGSPOD = 99               THEN BTBGSPOD = . ;
IF BTBGSPTT = 99               THEN BTBGSPTT = . ;
IF BTBGMITY = 999              THEN BTBGMITY = . ;
IF BTBGOHGT = 99               THEN BTBGOHGT = . ;
IF BTBGOHPL = 99               THEN BTBGOHPL = . ;
IF BTBGOHAT = 99               THEN BTBGOHAT = . ;
IF BTBGOHOT = 99               THEN BTBGOHOT = . ;
IF BTBGOTDC = 9                THEN BTBGOTDC = . ;
IF BTBGOTPM = 9                THEN BTBGOTPM = . ;
IF BTBGOTVT = 9                THEN BTBGOTVT = . ;
IF BTBGOTAT = 9                THEN BTBGOTAT = . ;
IF BTBSPDST = 9                THEN BTBSPDST = . ;
IF BTBSPDSP = 9                THEN BTBSPDSP = . ;
IF BTBSPDSC = 9                THEN BTBSPDSC = . ;
IF BTBSPDIT = 9                THEN BTBSPDIT = . ;
IF BTBGPDIN = 9                THEN BTBGPDIN = . ;
IF BTBSPDSA = 9                THEN BTBSPDSA = . ;
IF BTBSADMR = 9                THEN BTBSADMR = . ;
IF BTBSADHY = 9                THEN BTBSADHY = . ;
IF BTBSADME = 9                THEN BTBSADME = . ;
IF BTBSADCO = 9                THEN BTBSADCO = . ;
IF BTBSADAN = 9                THEN BTBSADAN = . ;
IF BTBSADSC = 9                THEN BTBSADSC = . ;
IF BTBSADTA = 9                THEN BTBSADTA = . ;
IF BTBSADMO = 9                THEN BTBSADMO = . ;
IF BTBSADDI = 9                THEN BTBSADDI = . ;
IF BTBGCURE = 9                THEN BTBGCURE = . ;
IF BTBGCUSN = 9                THEN BTBGCUSN = . ;
IF BTBGCUSA = 9                THEN BTBGCUSA = . ;
IF BTBGCUAS = 9                THEN BTBGCUAS = . ;
IF BTBGCHTS = 9                THEN BTBGCHTS = . ;
IF BTBGCHTU = 9                THEN BTBGCHTU = . ;
IF BTBGCHTC = 9                THEN BTBGCHTC = . ;
IF BTBGCHES = 9                THEN BTBGCHES = . ;
IF BTBGCHPS = 9                THEN BTBGCHPS = . ;
IF BTBGCHPI = 9                THEN BTBGCHPI = . ;
IF BTBGCHSR = 9                THEN BTBGCHSR = . ;
IF BTBGCHSD = 9                THEN BTBGCHSD = . ;
IF BTBSSTUD = 999              THEN BTBSSTUD = . ;
IF BTBSTIMT = 999              THEN BTBSTIMT = . ;
IF BTBSTBTC = 9                THEN BTBSTBTC = . ;
IF BTBSTXBU = 9                THEN BTBSTXBU = . ;
IF BTBSPTRH = 999              THEN BTBSPTRH = . ;
IF BTBSPTLS = 999              THEN BTBSPTLS = . ;
IF BTBSPTYG = 999              THEN BTBSPTYG = . ;
IF BTBSPTOO = 999              THEN BTBSPTOO = . ;
IF BTBSPTRT = 999              THEN BTBSPTRT = . ;
IF BTBSPTTQ = 999              THEN BTBSPTTQ = . ;
IF BTBSPTCM = 999              THEN BTBSPTCM = . ;
IF BTBSPTOA = 999              THEN BTBSPTOA = . ;
IF BTBSCSWD = 9                THEN BTBSCSWD = . ;
IF BTBSCSFT = 9                THEN BTBSCSFT = . ;
IF BTBSCSDP = 9                THEN BTBSCSDP = . ;
IF BTBSCSEI = 9                THEN BTBSCSEI = . ;
IF BTBSCSSG = 9                THEN BTBSCSSG = . ;
IF BTBSCSWE = 9                THEN BTBSCSWE = . ;
IF BTBSCSRO = 9                THEN BTBSCSRO = . ;
IF BTBSCSIT = 9                THEN BTBSCSIT = . ;
IF BTBSCSLN = 9                THEN BTBSCSLN = . ;
IF BTBSCSDL = 9                THEN BTBSCSDL = . ;
IF BTBSCSPW = 9                THEN BTBSCSPW = . ;
IF BTBGLT01 = 9                THEN BTBGLT01 = . ;
IF BTBGLT02 = 9                THEN BTBGLT02 = . ;
IF BTBGLT03 = 9                THEN BTBGLT03 = . ;
IF BTBGLT04 = 9                THEN BTBGLT04 = . ;
IF BTBGLT05 = 9                THEN BTBGLT05 = . ;
IF BTBGLT06 = 9                THEN BTBGLT06 = . ;
IF BTBGLT07 = 9                THEN BTBGLT07 = . ;
IF BTBGLT08 = 9                THEN BTBGLT08 = . ;
IF BTBGLT09 = 9                THEN BTBGLT09 = . ;
IF BTBGLT10 = 9                THEN BTBGLT10 = . ;
IF BTBGLT11 = 9                THEN BTBGLT11 = . ;
IF BTBGLT12 = 9                THEN BTBGLT12 = . ;
IF BTBGLT13 = 9                THEN BTBGLT13 = . ;
IF BTBGLT14 = 9                THEN BTBGLT14 = . ;
IF BTBSCLSC = 999              THEN BTBSCLSC = . ;
IF BTBSCCHE = 999              THEN BTBSCCHE = . ;
IF BTBSCPHY = 999              THEN BTBSCPHY = . ;
IF BTBSCESC = 999              THEN BTBSCESC = . ;
IF BTBSCENS = 999              THEN BTBSCENS = . ;
IF BTBSCOTH = 999              THEN BTBSCOTH = . ;
IF BTBSTO01 = 9                THEN BTBSTO01 = . ;
IF BTBSTO02 = 9                THEN BTBSTO02 = . ;
IF BTBSTO03 = 9                THEN BTBSTO03 = . ;
IF BTBSTO04 = 9                THEN BTBSTO04 = . ;
IF BTBSTO05 = 9                THEN BTBSTO05 = . ;
IF BTBSTO06 = 9                THEN BTBSTO06 = . ;
IF BTBSTO07 = 9                THEN BTBSTO07 = . ;
IF BTBSTO08 = 9                THEN BTBSTO08 = . ;
IF BTBSTO09 = 9                THEN BTBSTO09 = . ;
IF BTBSTO10 = 9                THEN BTBSTO10 = . ;
IF BTBSTO11 = 9                THEN BTBSTO11 = . ;
IF BTBSTO12 = 9                THEN BTBSTO12 = . ;
IF BTBSTO13 = 9                THEN BTBSTO13 = . ;
IF BTBSTO14 = 9                THEN BTBSTO14 = . ;
IF BTBSTO15 = 9                THEN BTBSTO15 = . ;
IF BTBSTO16 = 9                THEN BTBSTO16 = . ;
IF BTBSTO17 = 9                THEN BTBSTO17 = . ;
IF BTBSTO18 = 9                THEN BTBSTO18 = . ;
IF BTBSTO19 = 9                THEN BTBSTO19 = . ;
IF BTBSTO20 = 9                THEN BTBSTO20 = . ;
IF BTBSTO21 = 9                THEN BTBSTO21 = . ;
IF BTBSTO22 = 9                THEN BTBSTO22 = . ;
IF BTBSTO23 = 9                THEN BTBSTO23 = . ;
IF BTBSTO24 = 9                THEN BTBSTO24 = . ;
IF BTBSTO25 = 9                THEN BTBSTO25 = . ;
IF BTBSTO26 = 9                THEN BTBSTO26 = . ;
IF BTBSTO27 = 9                THEN BTBSTO27 = . ;
IF BTBSTO28 = 9                THEN BTBSTO28 = . ;
IF BTBSTO29 = 9                THEN BTBSTO29 = . ;
IF BTBSTO30 = 9                THEN BTBSTO30 = . ;
IF BTBSTO31 = 9                THEN BTBSTO31 = . ;
IF BTBSTO32 = 9                THEN BTBSTO32 = . ;
IF BTBSTO33 = 9                THEN BTBSTO33 = . ;
IF BTBSTO34 = 9                THEN BTBSTO34 = . ;
IF BTBSTO35 = 9                THEN BTBSTO35 = . ;
IF BTBSTO36 = 9                THEN BTBSTO36 = . ;
IF BTBSTO37 = 9                THEN BTBSTO37 = . ;
IF BTBSTO38 = 9                THEN BTBSTO38 = . ;
IF BTBSTO39 = 9                THEN BTBSTO39 = . ;
IF BTBSTO40 = 9                THEN BTBSTO40 = . ;
IF BTBSTO41 = 9                THEN BTBSTO41 = . ;
IF BTBSTO42 = 9                THEN BTBSTO42 = . ;
IF BTBSTO43 = 9                THEN BTBSTO43 = . ;
IF BTBSTO44 = 9                THEN BTBSTO44 = . ;
IF BTBSCOMA = 9                THEN BTBSCOMA = . ;
IF BTBSINTA = 9                THEN BTBSINTA = . ;
IF BTBSCAPE = 9                THEN BTBSCAPE = . ;
IF BTBSCANP = 9                THEN BTBSCANP = . ;
IF BTBSCASP = 9                THEN BTBSCASP = . ;
IF BTBSCALI = 9                THEN BTBSCALI = . ;
IF BTBSCAPA = 9                THEN BTBSCAPA = . ;
IF BTBSHMWO = 9                THEN BTBSHMWO = . ;
IF BTBSHWMC = 9                THEN BTBSHWMC = . ;
IF BTBSHWKM = 9                THEN BTBSHWKM = . ;
IF BTBSKHCP = 9                THEN BTBSKHCP = . ;
IF BTBSKHCA = 9                THEN BTBSKHCA = . ;
IF BTBSKHCT = 9                THEN BTBSKHCT = . ;
IF BTBSKHCW = 9                THEN BTBSKHCW = . ;
IF BTBSKHCR = 9                THEN BTBSKHCR = . ;
IF BTBSKHCS = 9                THEN BTBSKHCS = . ;
IF BTBSKHCG = 9                THEN BTBSKHCG = . ;
IF BTBSHDAM = 9                THEN BTBSHDAM = . ;
IF BTBSHDAF = 9                THEN BTBSHDAF = . ;
IF BTBSHDAC = 9                THEN BTBSHDAC = . ;
IF BTBSHDAD = 9                THEN BTBSHDAD = . ;
IF BTBSHDAG = 9                THEN BTBSHDAG = . ;
IF BTBSTEEX = 9                THEN BTBSTEEX = . ;
IF BTBSWFTU = 9                THEN BTBSWFTU = . ;
IF BTBSTERU = 9                THEN BTBSTERU = . ;
IF BTBSTEIH = 9                THEN BTBSTEIH = . ;
IF BTBSTEBR = 9                THEN BTBSTEBR = . ;
IF BTDGTELC = 9                THEN BTDGTELC = . ;
IF BTDSSTUD = 9                THEN BTDSSTUD = . ;
IF BTDSCH   = 9                THEN BTDSCH   = . ;
IF BTDSCU   = 9                THEN BTDSCU   = . ;
IF BTDSLT   = 9                THEN BTDSLT   = . ;
IF BTDSH    = 9                THEN BTDSH    = . ;
IF BTDSTOBI = 999              THEN BTDSTOBI = . ;
IF BTDSTOCH = 999              THEN BTDSTOCH = . ;
IF BTDSTOPH = 999              THEN BTDSTOPH = . ;
IF BTDSTOEA = 999              THEN BTDSTOEA = . ;
IF BTDSTOEN = 999              THEN BTDSTOEN = . ;
IF BTDSTOOV = 999              THEN BTDSTOOV = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;


