* This program converts SAS export files to SAS data sets ;

options nonotes ;

* Insert the countries for 4th grade ;
%let cty = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
           ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
           RUS SCO SGP SVN TUN TWN USA UIN YEM ;

* Insert the countries for 8th grade ;
%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF ;

* Insert the file type ;
%let type = BSG ;

* Insert the path for the export files following the format x:\xxx\ ;
%let exppath = D:\TIMSS2003\Data\SAS_Data\ ;

* Insert the path for the data files following the format x:\xxx\ ;
%let datpath = D:\TIMSS2003\Data\SAS_Data\ ;

%macro convertit;

%let i = 1;
%do %while(%length(%scan(&cty,&i)));
    %let ccode = %lowcase(%scan(&cty,&i));
    proc cimport file="&exppath.&type.&ccode.M3.exp" data="&datpath.&type.&ccode.M3" ; 
    %let i = %eval(&i + 1);
%end;

run;

%mend convertit;

%convertit;
