* Define the data library ;
libname bm3 "D:\TIMSS2003\Data\SAS_Data" ;

* Include the macro to get the results ;
%include "D:\TIMSS2003\Programs\SAS_Programs\JackPV.sas" ;

* Get the student data and select cases of interest ;
data student2 ;
 set bm3.BSGALLM3;
     where nmiss(BSBGBOOK) = 0 ;

* Define the format for the variables used ;
proc format library=work ;
 value country
    51 = 'ARMENIA'	 	36 = 'AUSTRALIA'				956 = 'BELGIUM FLEMISH'	100 = 'BULGARIA'
    48 = 'BAHRAIN'	 	72 = 'BOTSWANA'	       			9132 = 'CANADA ONTARIO' 9133 = 'CANADA QUEBEC'
   152 = 'CHILE'		196 = 'CYPRUS'					818 = 'EGYPT'		  	926 = 'ENGLAND'        
  3724 = 'BASQUE'		233 = 'ESTONIA'					288 = 'GHANA'		  	344 = 'HONG KONG'       
   348 = 'HUNGARY'		360 = 'INDONESIA'				364 = 'IRAN'		  	376 = 'ISRAEL'   
   380 = 'ITALY'		400 = 'JORDAN'					392 = 'JAPAN'		  	410 = 'KOREA'   
   422 = 'LEBANON'		440 = 'LITHUANIA'				428 = 'LATVIA'		  	504 = 'MOROCCO'
   498 = 'MOLDOVA'		807 = 'MACEDONIA'				458 = 'MALAYSIA'	  	528 = 'NETHERLANDS'
   578 = 'NORWAY'		554 = 'NEW ZEALAND'				275 = 'PALESTINE'	  	608 = 'PHILIPPINES'
   642 = 'ROMANIA'		643 = 'RUSSIAN FEDERATION'		682 = 'SAUDI ARABIA'	927 = 'SCOTLAND'
   702 = 'SINGAPORE'	703 = 'SLOVAK REPUBLIC'			705 = 'SLOVENIA'	  	752 = 'SWEDEN'
   760 = 'SYRIA'    	788 = 'TUNISIA'					158 = 'CHINESE TAIPEI'	840 = 'UNITED STATES'            
   887 = 'YEMEN'      	891 = 'SERBIA'	710 = 'SOUTH AFRICA'	11800 = 'INDIANA US' ;     
 value books 1 = 'None or very few (0-10)'
             2 = 'For 1 shelf (11-25)'
             3 = 'For 1 bookcase (26-100)'
             4 = 'For 2 bookcases (101-200)'
             5 = 'For 3 or more bookcases (>200)' ;

* Run the macro to get the results ; 
%JackPV (TOTWGT, jkzone, jkrep, 75, IDCNTRY BSBGBOOK, BSSSCI0, 5, student2) ;

* Print the results ; 
proc print data=final noobs ;
     var IDCNTRY BSBGBOOK n TOTWGT mnpv mnpv_se pct pct_se ;
     format IDCNTRY country. BSBGBOOK books. n 6.0 TOTWGT 10.0 mnpv mnpv_se pct pct_se 6.2 ;

run ;
