* Define the data library ;
libname bm3 "D:\TIMSS2003\Data\SAS_Data" ;

* Include the macro to get the results ;
%include "D:\TIMSS2003\Programs\SAS_Programs\JackPV.sas" ;

* Get the school data ;
data school ;
     set bm3.BCGALLM3;

* Sort the school data ;
proc sort data=school ;
     by IDCNTRY idschool ;

* Get the student data ;
data student ;
     set bm3.BSGALLM3;

* Sort the student data ;
proc sort data=student ;
     by IDCNTRY idschool ;

* Now merge the two files and select cases of interest ;
data merged4 ;
     merge student school ;
     by IDCNTRY idschool ;
     if BCBGCOMU > .Z ;

* Define the format for the variables used ;
proc format library=work;
 value country
    51 = 'ARMENIA'	 	36 = 'AUSTRALIA'				956 = 'BELGIUM FLEMISH'	100 = 'BULGARIA'
    48 = 'BAHRAIN'	 	72 = 'BOTSWANA'	       			9132 = 'CANADA ONTARIO' 9133 = 'CANADA QUEBEC'
   152 = 'CHILE'		196 = 'CYPRUS'					818 = 'EGYPT'		  	926 = 'ENGLAND'        
  3724 = 'BASQUE'		233 = 'ESTONIA'					288 = 'GHANA'		  	344 = 'HONG KONG'       
   348 = 'HUNGARY'		360 = 'INDONESIA'				364 = 'IRAN'		  	376 = 'ISRAEL'   
   380 = 'ITALY'		400 = 'JORDAN'					392 = 'JAPAN'		  	410 = 'KOREA'   
   422 = 'LEBANON'		440 = 'LITHUANIA'				428 = 'LATVIA'		  	504 = 'MOROCCO'
   498 = 'MOLDOVA'		807 = 'MACEDONIA'				458 = 'MALAYSIA'	  	528 = 'NETHERLANDS'
   578 = 'NORWAY'		554 = 'NEW ZEALAND'				275 = 'PALESTINE'	  	608 = 'PHILIPPINES'
   642 = 'ROMANIA'		643 = 'RUSSIAN FEDERATION'		682 = 'SAUDI ARABIA'	927 = 'SCOTLAND'
   702 = 'SINGAPORE'	703 = 'SLOVAK REPUBLIC'			705 = 'SLOVENIA'	  	752 = 'SWEDEN'
   760 = 'SYRIA'    	788 = 'TUNISIA'					158 = 'CHINESE TAIPEI'	840 = 'UNITED STATES'            
   887 = 'YEMEN'      	891 = 'SERBIA'	710 = 'SOUTH AFRICA'	11800 = 'INDIANA US' ;     
 value comm 	1 = 'More than 500000 people'
              	2 = '100001 to 500000 people'
              	3 = '50001 to 100000 people' 
				4 = '15001 to 50000 people' 
				5 = '3001 to 15000 people' 
				6 = 'Fewer than 3000 people' ;

* Run the macro to get the results ;                
%JackPV (TOTWGT, jkzone, jkrep, 75, IDCNTRY BCBGCOMU, BSSSCI0, 5, merged4) ;

* Print the results ; 
proc print data=final noobs ;
     var IDCNTRY BCBGCOMU n TOTWGT mnpv mnpv_se pct pct_se ;
     format IDCNTRY country. BCBGCOMU comm. n 6.0 TOTWGT 10.0 mnpv mnpv_se pct pct_se 6.2 ;

run ;
