* This program joins SAS data sets of all selected countries into
  one SAS data set ;

options nonotes ;

* Insert the countries for 4th grade ;
%let cty = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
           ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
           RUS SCO SGP SVN TUN TWN USA UIN YEM ;

* Insert the countries for 8th grade ;
%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF ;

* Insert the file type ;
%let type = BSG ;

* Insert the sorting variables ;
%let sortvar = IDCNTRY IDSTUD ;

* Insert the path ;
libname libdat "D:\TIMSS2003\Data\SAS_Data" ;

%macro doit;

data &type.ALLM3;
 set 
     %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));
          libdat.&type.&ccode.M3
       %let i = %eval(&i + 1);
     %end;
;

proc sort data=&type.ALLM3 out = libdat.&type.ALLM3;
  by &sortvar;

run;

%mend doit;

%doit;
