* Define the data library ;
libname bm3 "D:\TIMSS2003\Data\SAS_Data" ;

* Include the macro to get the results ;
%include "D:\TIMSS2003\Programs\SAS_Programs\JackGen.sas" ;

* Get the student data and select cases of interest ;
data studentJG ;
 set bm3.BSGARMM3
     bm3.BSGAUSM3
     bm3.BSGBFLM3
     bm3.BSGBGRM3
     bm3.BSGBHRM3 ;
   
     where nmiss(BSDAGE) = 0 ;

* Define the format for the variables used ;
proc format library=work ;
 value country
    51 = 'ARMENIA'       36 = 'AUSTRALIA'               956 = 'BELGIUM FLEMISH'   100 = 'BULGARIA'
    48 = 'BAHRAIN'       72 = 'BOTSWANA'               9132 = 'CANADA ONTARIO'   9133 = 'CANADA QUEBEC'
   152 = 'CHILE'        196 = 'CYPRUS'                  818 = 'EGYPT'             926 = 'ENGLAND'
  3724 = 'BASQUE'       233 = 'ESTONIA'                 288 = 'GHANA'             344 = 'HONG KONG'
   348 = 'HUNGARY'      360 = 'INDONESIA'               364 = 'IRAN'              376 = 'ISRAEL'
   380 = 'ITALY'        400 = 'JORDAN'                  392 = 'JAPAN'             410 = 'KOREA'
   422 = 'LEBANON'      440 = 'LITHUANIA'               428 = 'LATVIA'            504 = 'MOROCCO'
   498 = 'MOLDOVA'      807 = 'MACEDONIA'               458 = 'MALAYSIA'          528 = 'NETHERLANDS'
   578 = 'NORWAY'       554 = 'NEW ZEALAND'             275 = 'PALESTINE'         608 = 'PHILIPPINES'
   642 = 'ROMANIA'      643 = 'RUSSIAN FEDERATION'      682 = 'SAUDI ARABIA'      927 = 'SCOTLAND'
   702 = 'SINGAPORE'    703 = 'SLOVAK REPUBLIC'         705 = 'SLOVENIA'          752 = 'SWEDEN'
   760 = 'SYRIA'        788 = 'TUNISIA'                 158 = 'CHINESE TAIPEI'    840 = 'USA'
   887 = 'YEMEN'        891 = 'SERBIA'                  710 = 'SOUTH AFRICA'    11800 = 'INDIANA US' ;

* Run the macro to get the results ; 
%JackGen (TOTWGT, jkzone, jkrep, 75, IDCNTRY, BSDAGE, studentJG) ;

* Print the results ; 
proc print data=final noobs;
     var IDCNTRY n TOTWGT mnx mnx_se pct pct_se ;
     format IDCNTRY country. n 6.0 TOTWGT 10.0 mnx mnx_se pct pct_se 6.2 ;

run ;
