**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,acg,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,acg,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  10     
  IDSTRATE   11-  13     
  IDSTRATI   14-  16     
  IDGRADE    17-  18     
  IDGRADER   19-  19     
  INTMS03    20-  20     
  INTMS99    21-  21     
  INTMS95    22-  22     
  ACBGLOWG   23-  24     
  ACBGHIGG   25-  26     
  ACBGTENR   27-  31     
  ACBGEENR   32-  36     
  ACBGCOMU   37-  37     
  ACBGASTD   38-  38     
  ACBGENRS   39-  39     
  ACBGENSY   40-  40     
  ACBGSBED   41-  41     
  ACBGSBEA   42-  42     
  ACBGNALA   43-  43     
  ACBGCHTS   44-  44     
  ACBGCHTU   45-  45     
  ACBGCHTC   46-  46     
  ACBGCHES   47-  47     
  ACBGCHPS   48-  48     
  ACBGCHPI   49-  49     
  ACBGCHSR   50-  50     
  ACBGCHSD   51-  51     
  ACBGYEPS   52-  53     
  ACBGAPAD   54-  56     
  ACBGAPIL   57-  59     
  ACBGAPST   60-  62     
  ACBGAPTE   63-  65     
  ACBGAPPR   66-  68     
  ACBGAPOT   69-  71     
  ACBGEPSE   72-  72     
  ACBGEPRF   73-  73     
  ACBGEPVO   74-  74     
  ACBGEPCH   75-  75     
  ACBGEPSC   76-  76     
  ACBGDYSO   77-  79     
  ACBGDWFU   80-  81     
  ACBGDWHA   82-  83     
  ACBGTITD   84-  84     
  ACBMODLA   85-  85     
  ACBMGAMC   86-  86     
  ACBMSOEM   87-  87     
  ACBMSORM   88-  88     
  ACBSODLA   89-  89     
  ACBSGASC   90-  90     
  ACBSSOES   91-  91     
  ACBSSORS   92-  92     
  ACBGFTVY   93-  93     
  ACBGBONS   94-  94     
  ACBGPDIC   95-  95     
  ACBGPDSG   96-  96     
  ACBGPDIK   97-  97     
  ACBGPDTS   98-  98     
  ACBGPDUT   99-  99     
  ACBMEPOS  100- 100     
  ACBMEPOE  101- 101     
  ACBMEPSA  102- 102     
  ACBMEPTR  103- 103     
  ACBGFP01  104- 104     
  ACBGFP02  105- 105     
  ACBGFP03  106- 106     
  ACBGFP04  107- 107     
  ACBGFP05  108- 108     
  ACBGFP06  109- 109     
  ACBGFP07  110- 110     
  ACBGFP08  111- 111     
  ACBGFP09  112- 112     
  ACBGFP10  113- 113     
  ACBGFP11  114- 114     
  ACBGFP12  115- 115     
  ACBGFP13  116- 116     
  ACBGSP01  117- 117     
  ACBGSP02  118- 118     
  ACBGSP03  119- 119     
  ACBGSP04  120- 120     
  ACBGSP05  121- 121     
  ACBGSP06  122- 122     
  ACBGSP07  123- 123     
  ACBGSP08  124- 124     
  ACBGSP09  125- 125     
  ACBGSP10  126- 126     
  ACBGSP11  127- 127     
  ACBGSP12  128- 128     
  ACBGSP13  129- 129     
  ACBGST01  130- 130     
  ACBGST02  131- 131     
  ACBGST03  132- 132     
  ACBGST04  133- 133     
  ACBGST05  134- 134     
  ACBGST06  135- 135     
  ACBMST07  136- 136     
  ACBMST08  137- 137     
  ACBMST09  138- 138     
  ACBMST10  139- 139     
  ACBMST11  140- 140     
  ACBSST12  141- 141     
  ACBSST13  142- 142     
  ACBSST14  143- 143     
  ACBSST15  144- 144     
  ACBSST16  145- 145     
  ACBSST17  146- 146     
  ACBGSH18  147- 147     
  ACBGSH19  148- 148     
  ACBGCMPS  149- 151     
  ACBGCMPI  152- 152     
  ACBGHTTE  153- 153     
  ACBGPHTE  154- 155     
  SCHWGT    156- 163 (3)
  STOTWGTU  164- 171 (2)
  WGTADJ1   172- 177 (3)
  WGTFAC1   178- 184 (2)
  JKCREP    185- 185     
  JKCZONE   186- 187     
  ACDGWKYR  188- 192 (2)
  ACDGTITD  193- 199 (2)
  ACDGCH    200- 200     
  ACDGSP    201- 201     
  ACDMST    202- 202     
  ACDSST    203- 203     
  DPCDATE   204- 209     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDSTRATE "EXPLICIT STRATUM CODE" 
                 /IDSTRATI "IMPLICIT STRATUM CODE" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /ACBGLOWG "GEN\GRADE LEVEL\LOWEST GRADE" 
                 /ACBGHIGG "GEN\GRADE LEVEL\HIGHEST GRADE" 
                 /ACBGTENR "GEN\TOTAL SCHOOL ENROLLMENT\ALL GRADES" 
                 /ACBGEENR "GEN\TOTAL SCHOOL ENROLLMENT\FOURTH GRADE" 
                 /ACBGCOMU "GEN\TYPE OF COMMUNITY" 
                 /ACBGASTD "GEN\PERCENT OF STUDENT ABSENT FROM SCH" 
                 /ACBGENRS "GEN\PERCENT OF STUDENTS STILL ENROLLED" 
                 /ACBGENSY "GEN\PERCENT OF STUDS ENROLLED AFTER BEGI" 
                 /ACBGSBED "GEN\STUDENTS BACKGROUND\ECONOMIC DISADVA" 
                 /ACBGSBEA "GEN\STUDENTS BACKGROUND\ECONOMIC AFFLUEN" 
                 /ACBGNALA "GEN\ 1ST LANGUAGE OF STUDENTS" 
                 /ACBGCHTS "GEN\IN SCHOOL\TEACHERS JOB SATISFACTION" 
                 /ACBGCHTU "GEN\IN SCHOOL\TEACHERS UNDERSTA GOALS" 
                 /ACBGCHTC "GEN\IN SCHOOL\TEACHERS DEGREE OF SUCCESS" 
                 /ACBGCHES "GEN\IN SCHOOL\TEACHERS EXPECT STUDS ACH" 
                 /ACBGCHPS "GEN\IN SCHOOL\PARENTS SUPPORT STUDS ACH" 
                 /ACBGCHPI "GEN\IN SCHOOL\PARENTS INVOLVED IN SCH AC" 
                 /ACBGCHSR "GEN\IN SCHOOL\STUDS REGARD SCH PROPERTY" 
                 /ACBGCHSD "GEN\IN SCHOOL\STUDS DESIRE TO DO WELL" 
                 /ACBGYEPS "GEN\NUMBER OF YEARS PRINCIPAL THIS SCH" 
                 /ACBGAPAD "GEN\ACTIVITY PERCENTAGES\ADMINISTRATIVE" 
                 /ACBGAPIL "GEN\ACTIVITY PERCENTAGES\INSTRU LEADERSH" 
                 /ACBGAPST "GEN\ACTIVITY PERCENTAGES\SUPERVISE TCH" 
                 /ACBGAPTE "GEN\ACTIVITY PERCENTAGES\TEACHING" 
                 /ACBGAPPR "GEN\ACTIVITY PERCENTAGES\PUBLIC RELATION" 
                 /ACBGAPOT "GEN\ACTIVITY PERCENTAGES\OTHER" 
                 /ACBGEPSE "GEN\EXPECT PARENTS\ATTEND SPECIAL EVENTS" 
                 /ACBGEPRF "GEN\EXPECT PARENTS\RAISE FUNDS FOR SCH" 
                 /ACBGEPVO "GEN\EXPECT PARENTS\VOLUNTEER FOR SCH PRO" 
                 /ACBGEPCH "GEN\EXPECT PARENTS\ENSURE COMPLETE HOMEW" 
                 /ACBGEPSC "GEN\EXPECT PARENTS\SERVE ON SCH COMMITEE" 
                 /ACBGDYSO "GEN\INSTRUCTIONAL DAYS PER YEAR" 
                 /ACBGDWFU "GEN\FULL INSTRUCTIONAL DAYS PER WEEK" 
                 /ACBGDWHA "GEN\HALF INSTRUCTIONAL DAYS PER WEEK" 
                 /ACBGTITD "GEN\TOTAL INSTRUCTIONAL TIME" 
                 /ACBMODLA "MAT\ORGANIZE DIFFERENT LEV OR ABI" 
                 /ACBMGAMC "MAT\GROUP ABILITY" 
                 /ACBMSOEM "MAT\OFFER MATHS\ENRICHMENT" 
                 /ACBMSORM "MAT\OFFER MATHS\REMEDIAL" 
                 /ACBSODLA "SCI\ORGANIZE DIFFERENT LEV OR ABI" 
                 /ACBSGASC "SCI\GROUP ABILITY" 
                 /ACBSSOES "SCI\OFFER SCIENCE\ENRICHMENT" 
                 /ACBSSORS "SCI\OFFER SCIENCE\REMEDIAL" 
                 /ACBGFTVY "GEN\FILL TEACHING VACANCIES" 
                 /ACBGBONS "GEN\DOES SCHOOL USE INCENTIVES TO RECRUI" 
                 /ACBGPDIC "GEN\DEVELOPMENT MS\DESIGN IMP CURRICULUM" 
                 /ACBGPDSG "GEN\DEVELOPMENT MS\DESIGN SCH IMPR GOALS" 
                 /ACBGPDIK "GEN\DEVELOPMENT MS\IMPR CONTENT KNOWLEDG" 
                 /ACBGPDTS "GEN\DEVELOPMENT MS\IMPR TEACHING SKILLS" 
                 /ACBGPDUT "GEN\DEVELOPMENT MS\INF TECH EDU PURPOSES" 
                 /ACBMEPOS "MAT\EVALUATE PRACTICE\OBSERVATIONS PRINC" 
                 /ACBMEPOE "MAT\EVALUATE PRACTICE\OBSERVATION INSPEC" 
                 /ACBMEPSA "MAT\EVALUATE PRACTICE\STD ACHIEVEMENT" 
                 /ACBMEPTR "MAT\EVALUATE PRACTICE\TEACH PEER REVIEW" 
                 /ACBGFP01 "GEN\FREQ BEHAVIOR\ARRIVE LATE AT SCHOOL" 
                 /ACBGFP02 "GEN\FREQ BEHAVIOR\ABSENTEEISM" 
                 /ACBGFP03 "GEN\FREQ BEHAVIOR\SKIPPING CLASS" 
                 /ACBGFP04 "GEN\FREQ BEHAVIOR\VIOLATING DRESS CODE" 
                 /ACBGFP05 "GEN\FREQ BEHAVIOR\CLASSROOM DISTURBANCE" 
                 /ACBGFP06 "GEN\FREQ BEHAVIOR\CHEATING" 
                 /ACBGFP07 "GEN\FREQ BEHAVIOR\PROFANITY" 
                 /ACBGFP08 "GEN\FREQ BEHAVIOR\VANDALISM" 
                 /ACBGFP09 "GEN\FREQ BEHAVIOR\THEFT" 
                 /ACBGFP10 "GEN\FREQ BEHAVIOR\INTIMIDATION OF STUDS" 
                 /ACBGFP11 "GEN\FREQ BEHAVIOR\INJURY TO STUDENTS" 
                 /ACBGFP12 "GEN\FREQ BEHAVIOR\INTIMIDATION OF TCHRS" 
                 /ACBGFP13 "GEN\FREQ BEHAVIOR\INJURY TO TEACHERS" 
                 /ACBGSP01 "GEN\SEVERE BEHAVIOR\ARRIVE LATE AT SCH" 
                 /ACBGSP02 "GEN\SEVERE BEHAVIOR\ABSENTEEISM" 
                 /ACBGSP03 "GEN\SEVERE BEHAVIOR\SKIPPING CLASS" 
                 /ACBGSP04 "GEN\SEVERE BEHAVIOR\VIOLATING DRESS CODE" 
                 /ACBGSP05 "GEN\SEVERE BEHAVIOR\CLSROOM DISTURBANCE" 
                 /ACBGSP06 "GEN\SEVERE BEHAVIOR\CHEATING" 
                 /ACBGSP07 "GEN\SEVERE BEHAVIOR\PROFANITY" 
                 /ACBGSP08 "GEN\SEVERE BEHAVIOR\VANDALISM" 
                 /ACBGSP09 "GEN\SEVERE BEHAVIOR\THEFT" 
                 /ACBGSP10 "GEN\SEVERE BEHAVIOR\INTIMIDATION OF STDS" 
                 /ACBGSP11 "GEN\SEVERE BEHAVIOR\INJURY TO STUDS" 
                 /ACBGSP12 "GEN\SEVERE BEHAVIOR\INTIMIDATION OF TCHS" 
                 /ACBGSP13 "GEN\SEVERE BEHAVIOR\INJURY TO TEACHERS" 
                 /ACBGST01 "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS" 
                 /ACBGST02 "GEN\SHORTAGE\BUDGET FOR SUPPLIES" 
                 /ACBGST03 "GEN\SHORTAGE\SCHOOL BUILDINGS" 
                 /ACBGST04 "GEN\SHORTAGE\HEATING AND LIGHTING" 
                 /ACBGST05 "GEN\SHORTAGE\INSTRUCTIONAL SPACE" 
                 /ACBGST06 "GEN\SHORTAGE\HANDICAPPED FACILITIES" 
                 /ACBMST07 "MAT\SHORTAGE\COMPUTER HARDWARE" 
                 /ACBMST08 "MAT\SHORTAGE\COMPUTER SOFTWARE" 
                 /ACBMST09 "MAT\SHORTAGE\CALCULATORS" 
                 /ACBMST10 "MAT\SHORTAGE\LIBRARY MATERIALS" 
                 /ACBMST11 "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /ACBSST12 "SCI\SHORTAGE\LABORATORY EQUIPMENT" 
                 /ACBSST13 "SCI\SHORTAGE\COMPUTER HARDWARE" 
                 /ACBSST14 "SCI\SHORTAGE\COMPUTER SOFTWARE" 
                 /ACBSST15 "SCI\SHORTAGE\CALCULATORS" 
                 /ACBSST16 "SCI\SHORTAGE\LIBRARY MATERIALS" 
                 /ACBSST17 "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /ACBGSH18 "GEN\SHORTAGE\TEACHERS" 
                 /ACBGSH19 "GEN\SHORTAGE\COMPUTER SUPPORT STAFF" 
                 /ACBGCMPS "GEN\COMPUTERS\AVAILABLE FOR STDS INSTR" 
                 /ACBGCMPI "GEN\COMPUTERS\ACCESS TO INTERNET" 
                 /ACBGHTTE "GEN\HELP\ANYONE AVAILABLE TCH USE TECHNO" 
                 /ACBGPHTE "GEN\HELP\DESCRIPTION PERSON" 
                 /SCHWGT   "*SCHOOL LEVEL WEIGHT*" 
                 /STOTWGTU "*SUM OF STUDENT WEIGHTS - UPPER GRADE*" 
                 /WGTADJ1  "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*" 
                 /WGTFAC1  "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*" 
                 /JKCREP   "*REPLICATE CODE*" 
                 /JKCZONE  "*ZONE CODE*" 
                 /ACDGWKYR "NUMBER OF WEEKS OF SCHOOL PER YEAR" 
                 /ACDGTITD "NUMBER OF HOURS OF SCHOOL PER YEAR" 
                 /ACDGCH   "IDX PRNCPL PERCEPT SCHOOL CLIMATE (PPSC)" 
                 /ACDGSP   "IDX GOOD SCHOOL/CLASS ATTENDANCE (GSCA)" 
                 /ACDMST   "IDX AVLBL SCHL RSRCS MATH INSTRN (ASRM)" 
                 /ACDSST   "IDX AVLBL SCHL RSRCS SCI INSTRN (ASRSI)" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS POP 1"
                       2  "TIMSS POP 2"
                       3  "TIMSS POP 3"
                       9  "OMITTED"
                       /
            IDGRADER   1  "LOWER GRADE"
                       2  "UPPER GRADE"
                       9  "OMITTED"
                       /
            ACBGLOWG   1  "KINDERGARTEN"
                       2  "1"
                       3  "2"
                       4  "3"
                       5  "4"
                       6  "5"
                       7  "6"
                       8  "7"
                       9  "8"
                      10  "9"
                      11  "10"
                      12  "11"
                      13  "12"
                      14  "13"
                      99  "OMITTED"
                       /
            ACBGHIGG   1  "KINDERGARTEN"
                       2  "1"
                       3  "2"
                       4  "3"
                       5  "4"
                       6  "5"
                       7  "6"
                       8  "7"
                       9  "8"
                      10  "9"
                      11  "10"
                      12  "11"
                      13  "12"
                      14  "13"
                      99  "OMITTED"
                       /
            ACBGCOMU   1  "MORE THAN 500000 PEOPLE"
                       2  "100001 TO 500000 PEOPLE"
                       3  "50001 TO 100000 PEOPLE"
                       4  "15001 TO 50000 PEOPLE"
                       5  "3001 TO 15000 PEOPLE"
                       6  "FEWER THAN 3000 PEOPLE"
                       9  "OMITTED"
                       /
            ACBGASTD   1  "LESS THAN 5"
                       2  "5 TO 10"
                       3  "11 TO 20"
                       4  "MORE THAN 20"
                       9  "OMITTED"
                       /
            ACBGENRS   1  "96 TO 100"
                       2  "90 TO 95"
                       3  "80 TO 89"
                       4  "LESS THAN 80"
                       9  "OMITTED"
                       /
            ACBGENSY   1  "LESS THAN 5"
                       2  "5 TO 10"
                       3  "11 TO 20"
                       4  "MORE THAN 20"
                       9  "OMITTED"
                       /
            ACBGSBED   1  "0 TO 10"
                       2  "11 TO 25"
                       3  "26 TO 50"
                       4  "MORE THAN 50"
                       9  "OMITTED"
                       /
            ACBGSBEA   1  "0 TO 10"
                       2  "11 TO 25"
                       3  "26 TO 50"
                       4  "MORE THAN 50"
                       9  "OMITTED"
                       /
            ACBGNALA   1  "MORE THAN 90"
                       2  "76 TO 90"
                       3  "50 TO 75"
                       4  "LESS THAN 50"
                       9  "OMITTED"
                       /
            ACBGCHTS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHTU   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHTC   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHES   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHPS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHPI   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHSR   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHSD   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGEPSE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGEPRF   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGEPVO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGEPCH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGEPSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGDWFU   1  "1 DAY"
                       2  "2 DAYS"
                       3  "3 DAYS"
                       4  "4 DAYS"
                       5  "5 DAYS"
                       6  "6 DAYS"
                       7  "NONE"
                      99  "OMITTED"
                       /
            ACBGDWHA   1  "1 DAY"
                       2  "2 DAYS"
                       3  "3 DAYS"
                       4  "4 DAYS"
                       5  "5 DAYS"
                       6  "6 DAYS"
                       7  "NONE"
                      99  "OMITTED"
                       /
            ACBGTITD   1  "4 HOURS OR LESS"
                       2  "4.5 HOURS"
                       3  "5 HOURS"
                       4  "5.5 HOURS"
                       5  "6 HOURS"
                       6  "6.5 HOURS OR MORE"
                       9  "OMITTED"
                       /
            ACBMODLA   1  "SAME MATH CURR"
                       2  "SAME MATH CURR BUT DIFFERENT LEVEL"
                       3  "DIFFERENT MATH CURR ACC ABILITY LEVEL"
                       9  "OMITTED"
                       /
            ACBMGAMC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBMSOEM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBMSORM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBSODLA   1  "SAME SCIENCE CURR"
                       2  "SAME SCIENCE CURR BUT DIFFERENT LEVEL"
                       3  "DIFFERENT SCIENCE CURR ACC ABILITY LEVEL"
                       9  "OMITTED"
                       /
            ACBSGASC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBSSOES   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBSSORS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGFTVY   1  "WERE NO VACANCIES"
                       2  "EASY TO FILL VACANCIES"
                       3  "SOMEWHAT DIFFICULT"
                       4  "VERY DIFFICULT"
                       9  "OMITTED"
                       /
            ACBGBONS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGPDIC   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            ACBGPDSG   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            ACBGPDIK   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            ACBGPDTS   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            ACBGPDUT   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            ACBMEPOS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBMEPOE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBMEPSA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBMEPTR   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGFP01   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP02   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP03   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP04   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP05   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP06   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP07   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP08   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP09   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP10   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP11   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP12   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGFP13   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            ACBGSP01   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP02   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP03   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP04   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP05   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP06   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP07   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP08   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP09   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP10   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP11   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP12   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGSP13   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGST01   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST02   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST03   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST04   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST05   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST06   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBMST07   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBMST08   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBMST09   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBMST10   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBMST11   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBSST12   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBSST13   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBSST14   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBSST15   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBSST16   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBSST17   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGSH18   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGSH19   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGCMPI   1  "ALL"
                       2  "MOST"
                       3  "SOME"
                       4  "NONE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ACBGHTTE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGPHTE   1  "FT SCHOOL LEVEL COORDINATOR"
                       2  "LIBRARY MEDIA SPECIALIST"
                       3  "TEACHER WITH TITLE COORDINATOR"
                       4  "TEACHER WHO HELPS INFORMALLY"
                       5  "DISTRICT LEVEL COORDINATOR"
                       6  "PRINCIPAL"
                       7  "OTHER"
                      99  "OMITTED"
                      96  "LOGICALLY NOT APPLICABLE"
                       /
            ACDGCH     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ACDGSP     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ACDMST     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ACDSST     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode IDSTRATE (998              = sysmis).
recode IDSTRATI (998              = sysmis).
recode IDGRADER (8                = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode ACBGLOWG (98               = sysmis).
recode ACBGHIGG (98               = sysmis).
recode ACBGTENR (99998            = sysmis).
recode ACBGEENR (99998            = sysmis).
recode ACBGCOMU (8                = sysmis).
recode ACBGASTD (8                = sysmis).
recode ACBGENRS (8                = sysmis).
recode ACBGENSY (8                = sysmis).
recode ACBGSBED (8                = sysmis).
recode ACBGSBEA (8                = sysmis).
recode ACBGNALA (8                = sysmis).
recode ACBGCHTS (8                = sysmis).
recode ACBGCHTU (8                = sysmis).
recode ACBGCHTC (8                = sysmis).
recode ACBGCHES (8                = sysmis).
recode ACBGCHPS (8                = sysmis).
recode ACBGCHPI (8                = sysmis).
recode ACBGCHSR (8                = sysmis).
recode ACBGCHSD (8                = sysmis).
recode ACBGYEPS (98               = sysmis).
recode ACBGAPAD (998              = sysmis).
recode ACBGAPIL (998              = sysmis).
recode ACBGAPST (998              = sysmis).
recode ACBGAPTE (998              = sysmis).
recode ACBGAPPR (998              = sysmis).
recode ACBGAPOT (998              = sysmis).
recode ACBGEPSE (8                = sysmis).
recode ACBGEPRF (8                = sysmis).
recode ACBGEPVO (8                = sysmis).
recode ACBGEPCH (8                = sysmis).
recode ACBGEPSC (8                = sysmis).
recode ACBGDYSO (998              = sysmis).
recode ACBGDWFU (98               = sysmis).
recode ACBGDWHA (98               = sysmis).
recode ACBGTITD (8                = sysmis).
recode ACBMODLA (8                = sysmis).
recode ACBMGAMC (8                = sysmis).
recode ACBMSOEM (8                = sysmis).
recode ACBMSORM (8                = sysmis).
recode ACBSODLA (8                = sysmis).
recode ACBSGASC (8                = sysmis).
recode ACBSSOES (8                = sysmis).
recode ACBSSORS (8                = sysmis).
recode ACBGFTVY (8                = sysmis).
recode ACBGBONS (8                = sysmis).
recode ACBGPDIC (8                = sysmis).
recode ACBGPDSG (8                = sysmis).
recode ACBGPDIK (8                = sysmis).
recode ACBGPDTS (8                = sysmis).
recode ACBGPDUT (8                = sysmis).
recode ACBMEPOS (8                = sysmis).
recode ACBMEPOE (8                = sysmis).
recode ACBMEPSA (8                = sysmis).
recode ACBMEPTR (8                = sysmis).
recode ACBGFP01 (8                = sysmis).
recode ACBGFP02 (8                = sysmis).
recode ACBGFP03 (8                = sysmis).
recode ACBGFP04 (8                = sysmis).
recode ACBGFP05 (8                = sysmis).
recode ACBGFP06 (8                = sysmis).
recode ACBGFP07 (8                = sysmis).
recode ACBGFP08 (8                = sysmis).
recode ACBGFP09 (8                = sysmis).
recode ACBGFP10 (8                = sysmis).
recode ACBGFP11 (8                = sysmis).
recode ACBGFP12 (8                = sysmis).
recode ACBGFP13 (8                = sysmis).
recode ACBGSP01 (8                = sysmis).
recode ACBGSP02 (8                = sysmis).
recode ACBGSP03 (8                = sysmis).
recode ACBGSP04 (8                = sysmis).
recode ACBGSP05 (8                = sysmis).
recode ACBGSP06 (8                = sysmis).
recode ACBGSP07 (8                = sysmis).
recode ACBGSP08 (8                = sysmis).
recode ACBGSP09 (8                = sysmis).
recode ACBGSP10 (8                = sysmis).
recode ACBGSP11 (8                = sysmis).
recode ACBGSP12 (8                = sysmis).
recode ACBGSP13 (8                = sysmis).
recode ACBGST01 (8                = sysmis).
recode ACBGST02 (8                = sysmis).
recode ACBGST03 (8                = sysmis).
recode ACBGST04 (8                = sysmis).
recode ACBGST05 (8                = sysmis).
recode ACBGST06 (8                = sysmis).
recode ACBMST07 (8                = sysmis).
recode ACBMST08 (8                = sysmis).
recode ACBMST09 (8                = sysmis).
recode ACBMST10 (8                = sysmis).
recode ACBMST11 (8                = sysmis).
recode ACBSST12 (8                = sysmis).
recode ACBSST13 (8                = sysmis).
recode ACBSST14 (8                = sysmis).
recode ACBSST15 (8                = sysmis).
recode ACBSST16 (8                = sysmis).
recode ACBSST17 (8                = sysmis).
recode ACBGSH18 (8                = sysmis).
recode ACBGSH19 (8                = sysmis).
recode ACBGCMPS (998              = sysmis).
recode ACBGCMPI (8                = sysmis).
recode ACBGHTTE (8                = sysmis).
recode ACBGPHTE (98               = sysmis).
recode SCHWGT   (9998             = sysmis).
recode STOTWGTU (99998            = sysmis).
recode WGTADJ1  (98               = sysmis).
recode WGTFAC1  (9998             = sysmis).
recode JKCREP   (8                = sysmis).
recode JKCZONE  (98               = sysmis).
recode ACDGWKYR (98               = sysmis).
recode ACDGTITD (9998             = sysmis).
recode ACDGCH   (8                = sysmis).
recode ACDGSP   (8                = sysmis).
recode ACDMST   (8                = sysmis).
recode ACDSST   (8                = sysmis).


*NOTE: recode "omitted" data to user defined "missing value"

missing value IDPOP   (9).
missing value IDSTRATE(999).
missing value IDSTRATI(999).
missing value IDGRADER(9).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value ACBGLOWG(99).
missing value ACBGHIGG(99).
missing value ACBGTENR(99999).
missing value ACBGEENR(99999).
missing value ACBGCOMU(9).
missing value ACBGASTD(9).
missing value ACBGENRS(9).
missing value ACBGENSY(9).
missing value ACBGSBED(9).
missing value ACBGSBEA(9).
missing value ACBGNALA(9).
missing value ACBGCHTS(9).
missing value ACBGCHTU(9).
missing value ACBGCHTC(9).
missing value ACBGCHES(9).
missing value ACBGCHPS(9).
missing value ACBGCHPI(9).
missing value ACBGCHSR(9).
missing value ACBGCHSD(9).
missing value ACBGYEPS(99).
missing value ACBGAPAD(999).
missing value ACBGAPIL(999).
missing value ACBGAPST(999).
missing value ACBGAPTE(999).
missing value ACBGAPPR(999).
missing value ACBGAPOT(999).
missing value ACBGEPSE(9).
missing value ACBGEPRF(9).
missing value ACBGEPVO(9).
missing value ACBGEPCH(9).
missing value ACBGEPSC(9).
missing value ACBGDYSO(999).
missing value ACBGDWFU(99).
missing value ACBGDWHA(99).
missing value ACBGTITD(9).
missing value ACBMODLA(9).
missing value ACBMGAMC(9).
missing value ACBMSOEM(9).
missing value ACBMSORM(9).
missing value ACBSODLA(9).
missing value ACBSGASC(9).
missing value ACBSSOES(9).
missing value ACBSSORS(9).
missing value ACBGFTVY(9).
missing value ACBGBONS(9).
missing value ACBGPDIC(9).
missing value ACBGPDSG(9).
missing value ACBGPDIK(9).
missing value ACBGPDTS(9).
missing value ACBGPDUT(9).
missing value ACBMEPOS(9).
missing value ACBMEPOE(9).
missing value ACBMEPSA(9).
missing value ACBMEPTR(9).
missing value ACBGFP01(9).
missing value ACBGFP02(9).
missing value ACBGFP03(9).
missing value ACBGFP04(9).
missing value ACBGFP05(9).
missing value ACBGFP06(9).
missing value ACBGFP07(9).
missing value ACBGFP08(9).
missing value ACBGFP09(9).
missing value ACBGFP10(9).
missing value ACBGFP11(9).
missing value ACBGFP12(9).
missing value ACBGFP13(9).
missing value ACBGSP01(9).
missing value ACBGSP02(9).
missing value ACBGSP03(9).
missing value ACBGSP04(9).
missing value ACBGSP05(9).
missing value ACBGSP06(9).
missing value ACBGSP07(9).
missing value ACBGSP08(9).
missing value ACBGSP09(9).
missing value ACBGSP10(9).
missing value ACBGSP11(9).
missing value ACBGSP12(9).
missing value ACBGSP13(9).
missing value ACBGST01(9).
missing value ACBGST02(9).
missing value ACBGST03(9).
missing value ACBGST04(9).
missing value ACBGST05(9).
missing value ACBGST06(9).
missing value ACBMST07(9).
missing value ACBMST08(9).
missing value ACBMST09(9).
missing value ACBMST10(9).
missing value ACBMST11(9).
missing value ACBSST12(9).
missing value ACBSST13(9).
missing value ACBSST14(9).
missing value ACBSST15(9).
missing value ACBSST16(9).
missing value ACBSST17(9).
missing value ACBGSH18(9).
missing value ACBGSH19(9).
missing value ACBGCMPS(999).
missing value ACBGCMPI(9 6).
missing value ACBGHTTE(9).
missing value ACBGPHTE(99 96).
missing value SCHWGT  (9999).
missing value STOTWGTU(99999).
missing value WGTADJ1 (99).
missing value WGTFAC1 (9999).
missing value JKCREP  (9).
missing value JKCZONE (99).
missing value ACDGWKYR(99).
missing value ACDGTITD(9999).
missing value ACDGCH  (9).
missing value ACDGSP  (9).
missing value ACDMST  (9).
missing value ACDSST  (9).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f4.0).
format IDSTRATE (f3.0).
format IDSTRATI (f3.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format ACBGLOWG (f2.0).
format ACBGHIGG (f2.0).
format ACBGTENR (f5.0).
format ACBGEENR (f5.0).
format ACBGCOMU (f1.0).
format ACBGASTD (f1.0).
format ACBGENRS (f1.0).
format ACBGENSY (f1.0).
format ACBGSBED (f1.0).
format ACBGSBEA (f1.0).
format ACBGNALA (f1.0).
format ACBGCHTS (f1.0).
format ACBGCHTU (f1.0).
format ACBGCHTC (f1.0).
format ACBGCHES (f1.0).
format ACBGCHPS (f1.0).
format ACBGCHPI (f1.0).
format ACBGCHSR (f1.0).
format ACBGCHSD (f1.0).
format ACBGYEPS (f2.0).
format ACBGAPAD (f3.0).
format ACBGAPIL (f3.0).
format ACBGAPST (f3.0).
format ACBGAPTE (f3.0).
format ACBGAPPR (f3.0).
format ACBGAPOT (f3.0).
format ACBGEPSE (f1.0).
format ACBGEPRF (f1.0).
format ACBGEPVO (f1.0).
format ACBGEPCH (f1.0).
format ACBGEPSC (f1.0).
format ACBGDYSO (f3.0).
format ACBGDWFU (f2.0).
format ACBGDWHA (f2.0).
format ACBGTITD (f1.0).
format ACBMODLA (f1.0).
format ACBMGAMC (f1.0).
format ACBMSOEM (f1.0).
format ACBMSORM (f1.0).
format ACBSODLA (f1.0).
format ACBSGASC (f1.0).
format ACBSSOES (f1.0).
format ACBSSORS (f1.0).
format ACBGFTVY (f1.0).
format ACBGBONS (f1.0).
format ACBGPDIC (f1.0).
format ACBGPDSG (f1.0).
format ACBGPDIK (f1.0).
format ACBGPDTS (f1.0).
format ACBGPDUT (f1.0).
format ACBMEPOS (f1.0).
format ACBMEPOE (f1.0).
format ACBMEPSA (f1.0).
format ACBMEPTR (f1.0).
format ACBGFP01 (f1.0).
format ACBGFP02 (f1.0).
format ACBGFP03 (f1.0).
format ACBGFP04 (f1.0).
format ACBGFP05 (f1.0).
format ACBGFP06 (f1.0).
format ACBGFP07 (f1.0).
format ACBGFP08 (f1.0).
format ACBGFP09 (f1.0).
format ACBGFP10 (f1.0).
format ACBGFP11 (f1.0).
format ACBGFP12 (f1.0).
format ACBGFP13 (f1.0).
format ACBGSP01 (f1.0).
format ACBGSP02 (f1.0).
format ACBGSP03 (f1.0).
format ACBGSP04 (f1.0).
format ACBGSP05 (f1.0).
format ACBGSP06 (f1.0).
format ACBGSP07 (f1.0).
format ACBGSP08 (f1.0).
format ACBGSP09 (f1.0).
format ACBGSP10 (f1.0).
format ACBGSP11 (f1.0).
format ACBGSP12 (f1.0).
format ACBGSP13 (f1.0).
format ACBGST01 (f1.0).
format ACBGST02 (f1.0).
format ACBGST03 (f1.0).
format ACBGST04 (f1.0).
format ACBGST05 (f1.0).
format ACBGST06 (f1.0).
format ACBMST07 (f1.0).
format ACBMST08 (f1.0).
format ACBMST09 (f1.0).
format ACBMST10 (f1.0).
format ACBMST11 (f1.0).
format ACBSST12 (f1.0).
format ACBSST13 (f1.0).
format ACBSST14 (f1.0).
format ACBSST15 (f1.0).
format ACBSST16 (f1.0).
format ACBSST17 (f1.0).
format ACBGSH18 (f1.0).
format ACBGSH19 (f1.0).
format ACBGCMPS (f3.0).
format ACBGCMPI (f1.0).
format ACBGHTTE (f1.0).
format ACBGPHTE (f2.0).
format SCHWGT   (f8.3).
format STOTWGTU (f8.2).
format WGTADJ1  (f6.3).
format WGTFAC1  (f7.2).
format JKCREP   (f1.0).
format JKCZONE  (f2.0).
format ACDGWKYR (f5.2).
format ACDGTITD (f7.2).
format ACDGCH   (f1.0).
format ACDGSP   (f1.0).
format ACDMST   (f1.0).
format ACDSST   (f1.0).
format DPCDATE  (f6.0).

*NOTE: save statement uses compressed option
       If you do not want compressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata /COMPRESSED.

!doend
!enddefine

create country = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
                 ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
                 RUS SCO SGP SVN TUN TWN USA UIN YEM.
