**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,asg,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,asg,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  10     
  IDCLASS    11-  16     
  IDSTUD     17-  24     
  IDBOOK     25-  26      
  IDGRADE    27-  28     
  IDGRADER   29-  29     
  IDSTRATE   30-  32     
  IDSTRATI   33-  35     
  ITSEX      36-  36     
  ITLANG     37-  37     
  ITADMINI   38-  38     
  ITDATEM    39-  40     
  ITDATEY    41-  44     
  ITBIRTHM   45-  46     
  ITBIRTHY   47-  48     
  ASDAGE     49-  53 (2)
  INTMS03    54-  54     
  INTMS99    55-  55     
  INTMS95    56-  56     
  ASBGBRTY   57-  58     
  ASBGBRTM   59-  60     
  ASBGSEX    61-  61     
  ASBGOLAN   62-  62     
  ASBGBOOK   63-  63     
  ASBGPS01   64-  64     
  ASBGPS02   65-  65     
  ASBGPS03   66-  66     
  ASBGPS04   67-  67     
  ASBGPS05   68-  68     
  ASBGPS06   69-  69     
  ASBGPS07   70-  70     
  ASBGPS08   71-  71     
  ASBGPS09   72-  72     
  ASBGPS10   73-  73     
  ASBGPS11   74-  74     
  ASBGPS12   75-  75     
  ASBGPS13   76-  76     
  ASBGPS14   77-  77     
  ASBGPS15   78-  78     
  ASBGPS16   79-  79     
  ASBMTWEL   80-  80     
  ASBMTMOR   81-  81     
  ASBMTCLM   82-  82     
  ASBMTENJ   83-  83     
  ASBMTNOT   84-  84     
  ASBMTQKY   85-  85     
  ASBMHASM   86-  86     
  ASBMHWFD   87-  87     
  ASBMHMCL   88-  88     
  ASBMHTCG   89-  89     
  ASBMHCTR   90-  90     
  ASBMHWSG   91-  91     
  ASBMHEXP   92-  92     
  ASBMHLTT   93-  93     
  ASBMHWPO   94-  94     
  ASBMHCAL   95-  95     
  ASBSTWEL   96-  96     
  ASBSTMOR   97-  97     
  ASBSTCLM   98-  98     
  ASBSTENJ   99-  99     
  ASBSTNOT  100- 100     
  ASBSTQKY  101- 101     
  ASBSWATE  102- 102     
  ASBSHPEX  103- 103     
  ASBSDSEI  104- 104     
  ASBSHWGX  105- 105     
  ASBSWESS  106- 106     
  ASBSLWPS  107- 107     
  ASBSHLTT  108- 108     
  ASBSHWPX  109- 109     
  ASBGUSEC  110- 110     
  ASBGCHOM  111- 111     
  ASBGCSCH  112- 112     
  ASBGCLIB  113- 113     
  ASBGCFRH  114- 114     
  ASBGCCAF  115- 115     
  ASBGCELS  116- 116     
  ASBMOINF  117- 117     
  ASBSOINF  118- 118     
  ASBGOREP  119- 119     
  ASBGALBS  120- 120     
  ASBGATTB  121- 121     
  ASBGATCS  122- 122     
  ASBGATSB  123- 123     
  ASBGSTOL  124- 124     
  ASBGHURT  125- 125     
  ASBGMADE  126- 126     
  ASBGMFUN  127- 127     
  ASBGLEFT  128- 128     
  ASBGWATV  129- 129     
  ASBGPLCG  130- 130     
  ASBGPLFD  131- 131     
  ASBGJOHM  132- 132     
  ASBGPLSP  133- 133     
  ASBGREBO  134- 134     
  ASBGUSIN  135- 135     
  ASBGDOHW  136- 136     
  ASBMEXTO  137- 137     
  ASBSEXTO  138- 138     
  ASBMHWMA  139- 139     
  ASBMHWMG  140- 140     
  ASBSHWMA  141- 141     
  ASBSHWMG  142- 142     
  ASBGPLHO  143- 144     
  ASBGMBRN  145- 145     
  ASBGFBRN  146- 146     
  ASBGBORN  147- 147     
  ASBGBRNC  148- 148     
  TOTWGT    149- 161 (6)
  HOUWGT    162- 174 (6)
  SENWGT    175- 187 (6)
  WGTFAC1   188- 200 (6)
  WGTADJ1   201- 213 (6)
  WGTADJ2   214- 226 (6)
  WGTFAC2   227- 239 (6)
  WGTFAC3   240- 252 (6)
  WGTADJ3   253- 265 (6)
  JKZONE    266- 267     
  JKREP     268- 268     
  ASMSCPT   269- 270     
  ASMSTDR   271- 278 (3)
  ASSNRSC   279- 286 (3)
  ASSSCPT   287- 288     
  ASSSTDR   289- 296 (3)
  ASMNRSC   297- 304 (3)
  ASMMAT01  305- 310 (2)
  ASMMAT02  311- 316 (2)
  ASMMAT03  317- 322 (2)
  ASMMAT04  323- 328 (2)
  ASMMAT05  329- 334 (2)
  ASMAPP01  335- 340 (2)
  ASMAPP02  341- 346 (2)
  ASMAPP03  347- 352 (2)
  ASMAPP04  353- 358 (2)
  ASMAPP05  359- 364 (2)
  ASMKNO01  365- 370 (2)
  ASMKNO02  371- 376 (2)
  ASMKNO03  377- 382 (2)
  ASMKNO04  383- 388 (2)
  ASMKNO05  389- 394 (2)
  ASMREA01  395- 400 (2)
  ASMREA02  401- 406 (2)
  ASMREA03  407- 412 (2)
  ASMREA04  413- 418 (2)
  ASMREA05  419- 424 (2)
  ASSSCI01  425- 430 (2)
  ASSSCI02  431- 436 (2)
  ASSSCI03  437- 442 (2)
  ASSSCI04  443- 448 (2)
  ASSSCI05  449- 454 (2)
  ASMALG01  455- 460 (2)
  ASMALG02  461- 466 (2)
  ASMALG03  467- 472 (2)
  ASMALG04  473- 478 (2)
  ASMALG05  479- 484 (2)
  ASMDAP01  485- 490 (2)
  ASMDAP02  491- 496 (2)
  ASMDAP03  497- 502 (2)
  ASMDAP04  503- 508 (2)
  ASMDAP05  509- 514 (2)
  ASMFNS01  515- 520 (2)
  ASMFNS02  521- 526 (2)
  ASMFNS03  527- 532 (2)
  ASMFNS04  533- 538 (2)
  ASMFNS05  539- 544 (2)
  ASMGEO01  545- 550 (2)
  ASMGEO02  551- 556 (2)
  ASMGEO03  557- 562 (2)
  ASMGEO04  563- 568 (2)
  ASMGEO05  569- 574 (2)
  ASMMEA01  575- 580 (2)
  ASMMEA02  581- 586 (2)
  ASMMEA03  587- 592 (2)
  ASMMEA04  593- 598 (2)
  ASMMEA05  599- 604 (2)
  ASSEAS01  605- 610 (2)
  ASSEAS02  611- 616 (2)
  ASSEAS03  617- 622 (2)
  ASSEAS04  623- 628 (2)
  ASSEAS05  629- 634 (2)
  ASSLIS01  635- 640 (2)
  ASSLIS02  641- 646 (2)
  ASSLIS03  647- 652 (2)
  ASSLIS04  653- 658 (2)
  ASSLIS05  659- 664 (2)
  ASSPHY01  665- 670 (2)
  ASSPHY02  671- 676 (2)
  ASSPHY03  677- 682 (2)
  ASSPHY04  683- 688 (2)
  ASSPHY05  689- 694 (2)
  ASDGCAVL  695- 695     
  ASDGPSS   696- 696     
  ASDMSCL   697- 697     
  ASDSSCL   698- 698     
  ASDMHW    699- 699     
  ASDSHW    700- 700     
  ASMIBM01  701- 701     
  ASMIBM02  702- 702     
  ASMIBM03  703- 703     
  ASMIBM04  704- 704     
  ASMIBM05  705- 705     
  ASSIBM01  706- 706     
  ASSIBM02  707- 707     
  ASSIBM03  708- 708     
  ASSIBM04  709- 709     
  ASSIBM05  710- 710     
  DPCDATE   711- 716     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDCLASS  "*CLASS ID*" 
                 /IDSTUD   "*STUDENT ID*" 
                 /IDBOOK   "*ACHIEVEMENT TEST BOOKLET*" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /IDSTRATE "EXPLICIT STRATUM CODE" 
                 /IDSTRATI "IMPLICIT STRATUM CODE" 
                 /ITSEX    "*SEX OF STUDENTS*" 
                 /ITLANG   "*LANGUAGE OF TESTING*" 
                 /ITADMINI "*TEST ADMINISTRATORS POSITION*" 
                 /ITDATEM  "*DATE OF TESTING/MONTH*" 
                 /ITDATEY  "*DATE OF TESTING/YEAR*" 
                 /ITBIRTHM "*DATE OF STUDENTS BIRTH\MONTH*" 
                 /ITBIRTHY "*DATE OF STUDENTS BIRTH\YEAR*" 
                 /ASDAGE   "D:STUDENTS AGE" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /ASBGBRTY "GEN\DATE OF BIRTH\YEAR" 
                 /ASBGBRTM "GEN\DATE OF BIRTH\MONTH" 
                 /ASBGSEX  "GEN\SEX OF STUDENT" 
                 /ASBGOLAN "GEN\OFTEN SPEAK LANGUAGE OF TEST AT HOME" 
                 /ASBGBOOK "GEN\NR OF BOOKS IN YOUR HOME" 
                 /ASBGPS01 "GEN\HOME POSSESS\CALCULATOR" 
                 /ASBGPS02 "GEN\HOME POSSESS\COMPUTER" 
                 /ASBGPS03 "GEN\HOME POSSESS\STUDY DESK" 
                 /ASBGPS04 "GEN\HOME POSSESS\DICTIONARY" 
                 /ASBGPS05 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS06 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS07 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS08 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS09 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS10 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS11 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS12 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS13 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS14 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS15 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBGPS16 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /ASBMTWEL "MAT\THINK\USUALLY DO WELL IN MATHS" 
                 /ASBMTMOR "MAT\THINK\WOULD LIKE TO DO MORE MATH" 
                 /ASBMTCLM "MAT\THINK\MATH IS HARDER FOR ME" 
                 /ASBMTENJ "MAT\THINK\I ENJOY LEARNING MATHEMATICS" 
                 /ASBMTNOT "MAT\THINK\JUST NOT GOOD AT MATHEMATICS" 
                 /ASBMTQKY "MAT\THINK\I LEARN THINGS QUICKLY IN MATH" 
                 /ASBMHASM "MAT\HOW OFTEN\PRACT WITHOUT CALCULATOR" 
                 /ASBMHWFD "MAT\HOW OFTEN\I WORK FRACTIONS AND DECIM" 
                 /ASBMHMCL "MAT\HOW OFTEN\I MEASURE THINGS IN CLASSR" 
                 /ASBMHTCG "MAT\HOW OFTEN\MAKE TABLES CHARTS GRAPHS" 
                 /ASBMHCTR "MAT\HOW OFTEN\I LEARN ABOUT SHAPES" 
                 /ASBMHWSG "MAT\HOW OFTEN\I WORK IN GROUPS" 
                 /ASBMHEXP "MAT\HOW OFTEN\I EXPLAIN MY ANSWERS" 
                 /ASBMHLTT "MAT\HOW OFTEN\I LISTEN TEACHER TALK" 
                 /ASBMHWPO "MAT\HOW OFTEN\I WORK PROBLEMS" 
                 /ASBMHCAL "MAT\HOW OFTEN\I USE CALCULATOR" 
                 /ASBSTWEL "SCI\AGREE\USUALLY DO WELL IN SCI" 
                 /ASBSTMOR "SCI\AGREE\WOULD LIKE TO DO MORE SCIENCE" 
                 /ASBSTCLM "SCI\AGREE\SCIENCE IS HARDER FOR ME" 
                 /ASBSTENJ "SCI\AGREE\I ENJOY LEARNING SCIENCE" 
                 /ASBSTNOT "SCI\AGREE\I AM JUST NOT GOOD AT SCIENCE" 
                 /ASBSTQKY "SCI\AGREE\LEARN THINGS QUICKLY IN SCI" 
                 /ASBSWATE "SCI\HOW OFTEN\WATCH TEACHER DO SCI EXP" 
                 /ASBSHPEX "SCI\HOW OFTEN\PLAN SCI EXP OR INVEST" 
                 /ASBSDSEI "SCI\HOW OFTEN\DO SCI EXP OR INVEST" 
                 /ASBSHWGX "SCI\HOW OFTEN\WORK IN GROUP EXP OR INVES" 
                 /ASBSWESS "SCI\HOW OFTEN\GIVE EXPLAN STUDYING SCI" 
                 /ASBSLWPS "SCI\HOW OFTEN\LOOK AND WRITE WHAT I SEE" 
                 /ASBSHLTT "SCI\HOW OFTEN\I LISTEN TEACHER TALK" 
                 /ASBSHWPX "SCI\HOW OFTEN\I WORK PROBLEMS" 
                 /ASBGUSEC "GEN\DO YOU EVER USE A COMPUTER" 
                 /ASBGCHOM "GEN\USE A COMPUTER\AT HOME" 
                 /ASBGCSCH "GEN\USE A COMPUTER\AT SCHOOL" 
                 /ASBGCLIB "GEN\USE A COMPUTER\AT A LIBRARY" 
                 /ASBGCFRH "GEN\USE A COMPUTER\AT A FRIENDS HOME" 
                 /ASBGCCAF "GEN\USE A COMPUTER\AT AN INTERNET CAFE" 
                 /ASBGCELS "GEN\USE A COMPUTER\ELSEWHERE" 
                 /ASBMOINF "MAT\OFTEN\LOOK UP IDEAS AND INFO FOR MAT" 
                 /ASBSOINF "SCI\OFTEN\LOOK UP IDEAS AND INFO FOR SCI" 
                 /ASBGOREP "GEN\OFTEN\I WRITE REPORTS FOR SCHOOL" 
                 /ASBGALBS "GEN\AGREE\I LIKE BEING IN SCHOOL" 
                 /ASBGATTB "GEN\AGREE\STD TRY THEIR BEST" 
                 /ASBGATCS "GEN\AGREE\TCH CARE ABOUT THE STD" 
                 /ASBGATSB "GEN\AGREE\TCH WANT STD TO DO BEST" 
                 /ASBGSTOL "GEN\IN SCH\STH OF MINE WAS STOLEN" 
                 /ASBGHURT "GEN\IN SCH\HIT OR HURT BY OTHER STD" 
                 /ASBGMADE "GEN\IN SCH\MADE TO DO THINGS BY OTH STD" 
                 /ASBGMFUN "GEN\IN SCH\MADE FUN OF OR CALLED NAMES" 
                 /ASBGLEFT "GEN\IN SCH\WAS LEFT OUT OF ACTIVITIES" 
                 /ASBGWATV "GEN\SPEND TIME\WATCH TV OR VIDEOS" 
                 /ASBGPLCG "GEN\SPEND TIME\PLAY COMPUTER GAMES" 
                 /ASBGPLFD "GEN\SPEND TIME\PLAY TALK WITH FRIENDS" 
                 /ASBGJOHM "GEN\SPEND TIME\DO JOBS AT HOME" 
                 /ASBGPLSP "GEN\SPEND TIME\I PLAY SPORTS" 
                 /ASBGREBO "GEN\SPEND TIME\READ BOOK FOR ENJOYMENT" 
                 /ASBGUSIN "GEN\SPEND TIME\USE INTERNET" 
                 /ASBGDOHW "GEN\SPEND TIME\DO HOMEWORK" 
                 /ASBMEXTO "MAT\HOW OFTEN EXTRA LESSONS IN MAT" 
                 /ASBSEXTO "SCI\HOW OFTEN EXTRA LESSONS IN SCIENCE" 
                 /ASBMHWMA "MAT\HOW OFTEN TEACHER GIVES MATHS HMWORK" 
                 /ASBMHWMG "MAT\HOW MANY MINUTES MATHS HOMEWORK" 
                 /ASBSHWMA "SCI\HOW OFTEN TEACHER GIVES SCI HMWORK" 
                 /ASBSHWMG "SCI\HOW MANY MINUTES SCI HOMEWORK" 
                 /ASBGPLHO "GEN\HOW MANY PEOPLE IN YOUR HOME" 
                 /ASBGMBRN "GEN\MOTHER BORN IN COUNTRY" 
                 /ASBGFBRN "GEN\FATHER BORN IN COUNTRY" 
                 /ASBGBORN "GEN\BORN IN COUNTRY" 
                 /ASBGBRNC "GEN\BORN IN COUNTRY\AGE OF COMING" 
                 /TOTWGT   "*TOTAL STUDENT WEIGHT*" 
                 /HOUWGT   "*HOUSE WEIGHT*" 
                 /SENWGT   "*SENATE WEIGHT*" 
                 /WGTFAC1  "*SCHOOL WEIGHT FACTOR*" 
                 /WGTADJ1  "*SCHOOL WEIGHT ADJUSTMENT*" 
                 /WGTADJ2  "*CLASS WEIGHT ADJUSTMENT*" 
                 /WGTFAC2  "*CLASS WEIGHT FACTOR*" 
                 /WGTFAC3  "*STUDENT WEIGHT FACTOR*" 
                 /WGTADJ3  "*STUDENT WEIGHT ADJUSTMENT*" 
                 /JKZONE   "*JACKKNIFE ZONE*" 
                 /JKREP    "*JACKKNIFE REPLICATE CODE*" 
                 /ASMSCPT  "*RAW SCORE ON MATH ITEMS*" 
                 /ASMSTDR  "*STANDARDIZED MATH RAW SCORE (50,10)*" 
                 /ASSNRSC  "*NATIONAL SCIENCE RASCH SCORE (150,10)*" 
                 /ASSSCPT  "*RAW SCORE ON SCIENCE ITEM*" 
                 /ASSSTDR  "*STANDARDIZED SCIENCE RAW SCORE (50,10)*" 
                 /ASMNRSC  "*NATIONAL MATH RASCH SCORE (150,10)*" 
                 /ASMMAT01 "*1ST PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT02 "*2ND PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT03 "*3RD PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT04 "*4TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT05 "*5TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMAPP01 "*1ST PLAUSIBLE VALUE APPLYING*" 
                 /ASMAPP02 "*2ND PLAUSIBLE VALUE APPLYING*" 
                 /ASMAPP03 "*3RD PLAUSIBLE VALUE APPLYING*" 
                 /ASMAPP04 "*4TH PLAUSIBLE VALUE APPLYING*" 
                 /ASMAPP05 "*5TH PLAUSIBLE VALUE APPLYING*" 
                 /ASMKNO01 "*1ST PLAUSIBLE VALUE KNOWING*" 
                 /ASMKNO02 "*2ND PLAUSIBLE VALUE KNOWING*" 
                 /ASMKNO03 "*3RD PLAUSIBLE VALUE KNOWING*" 
                 /ASMKNO04 "*4TH PLAUSIBLE VALUE KNOWING*" 
                 /ASMKNO05 "*5TH PLAUSIBLE VALUE KNOWING*" 
                 /ASMREA01 "*1ST PLAUSIBLE VALUE REASONING*" 
                 /ASMREA02 "*2ND PLAUSIBLE VALUE REASONING*" 
                 /ASMREA03 "*3RD PLAUSIBLE VALUE REASONING*" 
                 /ASMREA04 "*4TH PLAUSIBLE VALUE REASONING*" 
                 /ASMREA05 "*5TH PLAUSIBLE VALUE REASONING*" 
                 /ASSSCI01 "*1ST PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI02 "*2ND PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI03 "*3RD PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI04 "*4TH PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI05 "*5TH PLAUSIBLE VALUE SCIENCE*" 
                 /ASMALG01 "*1ST PV ALGEBRA*" 
                 /ASMALG02 "*2ND PV ALGEBRA*" 
                 /ASMALG03 "*3RD PV ALGEBRA*" 
                 /ASMALG04 "*4TH PV ALGEBRA*" 
                 /ASMALG05 "*5TH PV ALGEBRA*" 
                 /ASMDAP01 "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /ASMDAP02 "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /ASMDAP03 "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /ASMDAP04 "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /ASMDAP05 "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /ASMFNS01 "*1ST PV FRACTIONS + NUMBER SENSE*" 
                 /ASMFNS02 "*2ND PV FRACTIONS + NUMBER SENSE*" 
                 /ASMFNS03 "*3RD PV FRACTIONS + NUMBER SENSE*" 
                 /ASMFNS04 "*4TH PV FRACTIONS + NUMBER SENSE*" 
                 /ASMFNS05 "*5TH PV FRACTIONS + NUMBER SENSE*" 
                 /ASMGEO01 "*1ST PV GEOMETRY*" 
                 /ASMGEO02 "*2ND PV GEOMETRY*" 
                 /ASMGEO03 "*3RD PV GEOMETRY*" 
                 /ASMGEO04 "*4TH PV GEOMETRY*" 
                 /ASMGEO05 "*5TH PV GEOMETRY*" 
                 /ASMMEA01 "*1ST PV MEASUREMENT*" 
                 /ASMMEA02 "*2ND PV MEASUREMENT*" 
                 /ASMMEA03 "*3RD PV MEASUREMENT*" 
                 /ASMMEA04 "*4TH PV MEASUREMENT*" 
                 /ASMMEA05 "*5TH PV MEASUREMENT*" 
                 /ASSEAS01 "*1ST PV EARTH SCIENCE*" 
                 /ASSEAS02 "*2ND PV EARTH SCIENCE*" 
                 /ASSEAS03 "*3RD PV EARTH SCIENCE*" 
                 /ASSEAS04 "*4TH PV EARTH SCIENCE*" 
                 /ASSEAS05 "*5TH PV EARTH SCIENCE*" 
                 /ASSLIS01 "*1ST PV LIFE SCIENCE*" 
                 /ASSLIS02 "*2ND PV LIFE SCIENCE*" 
                 /ASSLIS03 "*3RD PV LIFE SCIENCE*" 
                 /ASSLIS04 "*4TH PV LIFE SCIENCE*" 
                 /ASSLIS05 "*5TH PV LIFE SCIENCE*" 
                 /ASSPHY01 "*1ST PV PHYSICS*" 
                 /ASSPHY02 "*2ND PV PHYSICS*" 
                 /ASSPHY03 "*3RD PV PHYSICS*" 
                 /ASSPHY04 "*4TH PV PHYSICS*" 
                 /ASSPHY05 "*5TH PV PHYSICS*" 
                 /ASDGCAVL "AVAILABILITY OF COMPUTER" 
                 /ASDGPSS  "IDX STD PRCPTN BEING SAFE SCHOOL (SPBSS)" 
                 /ASDMSCL  "INDEX OF SELF-CONF LEARNING MATH (SCM)" 
                 /ASDSSCL  "INDEX OF SELF-CONF LEARNING SCIENCE(SCS)" 
                 /ASDMHW   "INDEX OF TIME ON MATH HOMEWORK (TMH)" 
                 /ASDSHW   "INDEX OF TIME ON SCIENCE HOMEWORK (TSH)" 
                 /ASMIBM01 "INTERN. MATH BENCH REACHED WITH 1ST PV" 
                 /ASMIBM02 "INTERN. MATH BENCH REACHED WITH 2ND PV" 
                 /ASMIBM03 "INTERN. MATH BENCH REACHED WITH 3RD PV" 
                 /ASMIBM04 "INTERN. MATH BENCH REACHED WITH 4TH PV" 
                 /ASMIBM05 "INTERN. MATH BENCH REACHED WITH 5TH PV" 
                 /ASSIBM01 "INTERN. SCI BENCH REACHED WITH 1ST PV" 
                 /ASSIBM02 "INTERN. SCI BENCH REACHED WITH 2ND PV" 
                 /ASSIBM03 "INTERN. SCI BENCH REACHED WITH 3RD PV" 
                 /ASSIBM04 "INTERN. SCI BENCH REACHED WITH 4TH PV" 
                 /ASSIBM05 "INTERN. SCI BENCH REACHED WITH 5TH PV" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS POP 1"
                       2  "TIMSS POP 2"
                       3  "TIMSS POP 3"
                       9  "OMITTED"
                       /
            IDGRADER   1  "LOWER GRADE"
                       2  "UPPER GRADE"
                       9  "OMITTED"
                       /
            ITSEX      1  "GIRL"
                       2  "BOY"
                       9  "OMITTED"
                       /
            ITLANG     1  "<TEST LANGUAGE>"
                       2  "<COUNTRY SPECIFIC>"
                       3  "<COUNTRY SPECIFIC>"
                       4  "<COUNTRY SPECIFIC>"
                       5  "<COUNTRY SPECIFIC>"
                       6  "<COUNTRY SPECIFIC>"
                       9  "OMITTED"
                       /
            ITADMINI   1  "NATIONAL CENTER STAFF"
                       2  "TCH FROM SCH,BUT NOT TCH OF SELECTED CLS"
                       3  "TCH OF SELECTED CLS"
                       4  "OTHER"
                       9  "OMITTED"
                       /
            ASBGBRTY   1  "1990"
                       2  "1991"
                       3  "1992"
                       4  "1993"
                       5  "1994"
                       6  "1995"
                       7  "1996"
                       8  "OTHER"
                      99  "OMITTED"
                       /
            ASBGBRTM   1  "JANUARY"
                       2  "FEBRUARY"
                       3  "MARCH"
                       4  "APRIL"
                       5  "MAY"
                       6  "JUNE"
                       7  "JULY"
                       8  "AUGUST"
                       9  "SEPTEMBER"
                      10  "OCTOBER"
                      11  "NOVEMBER"
                      12  "DECEMBER"
                      99  "OMITTED"
                       /
            ASBGSEX    1  "GIRL"
                       2  "BOY"
                       9  "OMITTED"
                       /
            ASBGOLAN   1  "ALWAYS"
                       2  "ALMOST ALWAYS"
                       3  "SOMETIMES"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBGBOOK   1  "NONE OR VERY FEW (0-10 BOOKS)"
                       2  "ONE SHELF (11-25 BOOKS)"
                       3  "ONE BOOKCASE (26-100 BOOKS)"
                       4  "TWO BOOKCASES (101-200 BOOKS)"
                       5  "THREE OR MORE BOOKCASES (>200 BOOKS)"
                       9  "OMITTED"
                       /
            ASBGPS01   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS02   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS03   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS04   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS05   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS06   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS07   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS08   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS09   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS10   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS11   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS12   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS13   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS14   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS15   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGPS16   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBMTWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBMTMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBMTCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBMTENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBMTNOT   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBMTQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBMHASM   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHWFD   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHMCL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHTCG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHCTR   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHWSG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHEXP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHLTT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHWPO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHCAL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSTWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBSTMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBSTCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBSTENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBSTNOT   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBSTQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBSWATE   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSHPEX   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSDSEI   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSHWGX   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSWESS   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSLWPS   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSHLTT   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBSHWPX   1  "AT LEAST ONCE A WEEK"
                       2  "ONCE OR TWICE A MONTH"
                       3  "A FEW TIMES A YEAR"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ASBGUSEC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGCHOM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGCSCH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGCLIB   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGCFRH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGCCAF   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGCELS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBMOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBSOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGOREP   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGALBS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBGATTB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBGATCS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBGATSB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ASBGSTOL   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGHURT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGMADE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGMFUN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGLEFT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGWATV   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBGPLCG   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBGPLFD   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBGJOHM   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBGPLSP   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBGREBO   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBGUSIN   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBGDOHW   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            ASBMEXTO   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            ASBSEXTO   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            ASBMHWMA   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            ASBMHWMG   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBSHWMA   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            ASBSHWMG   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASBGPLHO   2  "2"
                       3  "3"
                       4  "4"
                       5  "5"
                       6  "6"
                       7  "7"
                       8  "8 OR MORE"
                      99  "OMITTED"
                       /
            ASBGMBRN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGFBRN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGBORN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ASBGBRNC   1  "OLDER THAN 5 YEARS OLD"
                       2  "1 TO 5 YEARS OLD"
                       3  "YOUNGER THAN 1 YEAR OLD"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ASDGCAVL   1  "USE COMPUTER BOTH AT HOME AND SCHOOL"
                       2  "USE COMP AT HOME BUT NOT AT SCHOOL"
                       3  "USE COMP AT SCHOOL BUT NOT AT HOME"
                       4  "USE COMP ONLY AT PLACES OTHER THAN H"
                       5  "DO NOT USE COMP AT ALL"
                       9  "OMITTED"
                       /
            ASDGPSS    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ASDMSCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ASDSSCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ASDMHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ASDSHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ASMIBM01   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASMIBM02   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASMIBM03   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASMIBM04   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASMIBM05   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASSIBM01   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASSIBM02   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASSIBM03   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASSIBM04   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            ASSIBM05   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode IDGRADER (8                = sysmis).
recode IDSTRATE (998              = sysmis).
recode IDSTRATI (998              = sysmis).
recode ITSEX    (8                = sysmis).
recode ITLANG   (8                = sysmis).
recode ITADMINI (8                = sysmis).
recode ITDATEM  (98               = sysmis).
recode ITDATEY  (9998             = sysmis).
recode ITBIRTHM (98               = sysmis).
recode ITBIRTHY (98               = sysmis).
recode ASDAGE   (98               = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode ASBGBRTY (98               = sysmis).
recode ASBGBRTM (98               = sysmis).
recode ASBGSEX  (8                = sysmis).
recode ASBGOLAN (8                = sysmis).
recode ASBGBOOK (8                = sysmis).
recode ASBGPS01 (8                = sysmis).
recode ASBGPS02 (8                = sysmis).
recode ASBGPS03 (8                = sysmis).
recode ASBGPS04 (8                = sysmis).
recode ASBGPS05 (8                = sysmis).
recode ASBGPS06 (8                = sysmis).
recode ASBGPS07 (8                = sysmis).
recode ASBGPS08 (8                = sysmis).
recode ASBGPS09 (8                = sysmis).
recode ASBGPS10 (8                = sysmis).
recode ASBGPS11 (8                = sysmis).
recode ASBGPS12 (8                = sysmis).
recode ASBGPS13 (8                = sysmis).
recode ASBGPS14 (8                = sysmis).
recode ASBGPS15 (8                = sysmis).
recode ASBGPS16 (8                = sysmis).
recode ASBMTWEL (8                = sysmis).
recode ASBMTMOR (8                = sysmis).
recode ASBMTCLM (8                = sysmis).
recode ASBMTENJ (8                = sysmis).
recode ASBMTNOT (8                = sysmis).
recode ASBMTQKY (8                = sysmis).
recode ASBMHASM (8                = sysmis).
recode ASBMHWFD (8                = sysmis).
recode ASBMHMCL (8                = sysmis).
recode ASBMHTCG (8                = sysmis).
recode ASBMHCTR (8                = sysmis).
recode ASBMHWSG (8                = sysmis).
recode ASBMHEXP (8                = sysmis).
recode ASBMHLTT (8                = sysmis).
recode ASBMHWPO (8                = sysmis).
recode ASBMHCAL (8                = sysmis).
recode ASBSTWEL (8                = sysmis).
recode ASBSTMOR (8                = sysmis).
recode ASBSTCLM (8                = sysmis).
recode ASBSTENJ (8                = sysmis).
recode ASBSTNOT (8                = sysmis).
recode ASBSTQKY (8                = sysmis).
recode ASBSWATE (8                = sysmis).
recode ASBSHPEX (8                = sysmis).
recode ASBSDSEI (8                = sysmis).
recode ASBSHWGX (8                = sysmis).
recode ASBSWESS (8                = sysmis).
recode ASBSLWPS (8                = sysmis).
recode ASBSHLTT (8                = sysmis).
recode ASBSHWPX (8                = sysmis).
recode ASBGUSEC (8                = sysmis).
recode ASBGCHOM (8                = sysmis).
recode ASBGCSCH (8                = sysmis).
recode ASBGCLIB (8                = sysmis).
recode ASBGCFRH (8                = sysmis).
recode ASBGCCAF (8                = sysmis).
recode ASBGCELS (8                = sysmis).
recode ASBMOINF (8                = sysmis).
recode ASBSOINF (8                = sysmis).
recode ASBGOREP (8                = sysmis).
recode ASBGALBS (8                = sysmis).
recode ASBGATTB (8                = sysmis).
recode ASBGATCS (8                = sysmis).
recode ASBGATSB (8                = sysmis).
recode ASBGSTOL (8                = sysmis).
recode ASBGHURT (8                = sysmis).
recode ASBGMADE (8                = sysmis).
recode ASBGMFUN (8                = sysmis).
recode ASBGLEFT (8                = sysmis).
recode ASBGWATV (8                = sysmis).
recode ASBGPLCG (8                = sysmis).
recode ASBGPLFD (8                = sysmis).
recode ASBGJOHM (8                = sysmis).
recode ASBGPLSP (8                = sysmis).
recode ASBGREBO (8                = sysmis).
recode ASBGUSIN (8                = sysmis).
recode ASBGDOHW (8                = sysmis).
recode ASBMEXTO (8                = sysmis).
recode ASBSEXTO (8                = sysmis).
recode ASBMHWMA (8                = sysmis).
recode ASBMHWMG (8                = sysmis).
recode ASBSHWMA (8                = sysmis).
recode ASBSHWMG (8                = sysmis).
recode ASBGPLHO (98               = sysmis).
recode ASBGMBRN (8                = sysmis).
recode ASBGFBRN (8                = sysmis).
recode ASBGBORN (8                = sysmis).
recode ASBGBRNC (8                = sysmis).
recode TOTWGT   (999998           = sysmis).
recode HOUWGT   (98               = sysmis).
recode SENWGT   (8                = sysmis).
recode WGTFAC1  (999998           = sysmis).
recode WGTADJ1  (999998           = sysmis).
recode WGTADJ2  (999998           = sysmis).
recode WGTFAC2  (999998           = sysmis).
recode WGTFAC3  (999998           = sysmis).
recode WGTADJ3  (999998           = sysmis).
recode JKZONE   (98               = sysmis).
recode JKREP    (8                = sysmis).
recode ASMSCPT  (98               = sysmis).
recode ASMSTDR  (9998             = sysmis).
recode ASSNRSC  (9998             = sysmis).
recode ASSSCPT  (98               = sysmis).
recode ASSSTDR  (9998             = sysmis).
recode ASMNRSC  (9998             = sysmis).
recode ASMMAT01 (998              = sysmis).
recode ASMMAT02 (998              = sysmis).
recode ASMMAT03 (998              = sysmis).
recode ASMMAT04 (998              = sysmis).
recode ASMMAT05 (998              = sysmis).
recode ASMAPP01 (998              = sysmis).
recode ASMAPP02 (998              = sysmis).
recode ASMAPP03 (998              = sysmis).
recode ASMAPP04 (998              = sysmis).
recode ASMAPP05 (998              = sysmis).
recode ASMKNO01 (998              = sysmis).
recode ASMKNO02 (998              = sysmis).
recode ASMKNO03 (998              = sysmis).
recode ASMKNO04 (998              = sysmis).
recode ASMKNO05 (998              = sysmis).
recode ASMREA01 (998              = sysmis).
recode ASMREA02 (998              = sysmis).
recode ASMREA03 (998              = sysmis).
recode ASMREA04 (998              = sysmis).
recode ASMREA05 (998              = sysmis).
recode ASSSCI01 (998              = sysmis).
recode ASSSCI02 (998              = sysmis).
recode ASSSCI03 (998              = sysmis).
recode ASSSCI04 (998              = sysmis).
recode ASSSCI05 (998              = sysmis).
recode ASMALG01 (998              = sysmis).
recode ASMALG02 (998              = sysmis).
recode ASMALG03 (998              = sysmis).
recode ASMALG04 (998              = sysmis).
recode ASMALG05 (998              = sysmis).
recode ASMDAP01 (998              = sysmis).
recode ASMDAP02 (998              = sysmis).
recode ASMDAP03 (998              = sysmis).
recode ASMDAP04 (998              = sysmis).
recode ASMDAP05 (998              = sysmis).
recode ASMFNS01 (998              = sysmis).
recode ASMFNS02 (998              = sysmis).
recode ASMFNS03 (998              = sysmis).
recode ASMFNS04 (998              = sysmis).
recode ASMFNS05 (998              = sysmis).
recode ASMGEO01 (998              = sysmis).
recode ASMGEO02 (998              = sysmis).
recode ASMGEO03 (998              = sysmis).
recode ASMGEO04 (998              = sysmis).
recode ASMGEO05 (998              = sysmis).
recode ASMMEA01 (998              = sysmis).
recode ASMMEA02 (998              = sysmis).
recode ASMMEA03 (998              = sysmis).
recode ASMMEA04 (998              = sysmis).
recode ASMMEA05 (998              = sysmis).
recode ASSEAS01 (998              = sysmis).
recode ASSEAS02 (998              = sysmis).
recode ASSEAS03 (998              = sysmis).
recode ASSEAS04 (998              = sysmis).
recode ASSEAS05 (998              = sysmis).
recode ASSLIS01 (998              = sysmis).
recode ASSLIS02 (998              = sysmis).
recode ASSLIS03 (998              = sysmis).
recode ASSLIS04 (998              = sysmis).
recode ASSLIS05 (998              = sysmis).
recode ASSPHY01 (998              = sysmis).
recode ASSPHY02 (998              = sysmis).
recode ASSPHY03 (998              = sysmis).
recode ASSPHY04 (998              = sysmis).
recode ASSPHY05 (998              = sysmis).
recode ASDGCAVL (8                = sysmis).
recode ASDGPSS  (8                = sysmis).
recode ASDMSCL  (8                = sysmis).
recode ASDSSCL  (8                = sysmis).
recode ASDMHW   (8                = sysmis).
recode ASDSHW   (8                = sysmis).
recode ASMIBM01 (8                = sysmis).
recode ASMIBM02 (8                = sysmis).
recode ASMIBM03 (8                = sysmis).
recode ASMIBM04 (8                = sysmis).
recode ASMIBM05 (8                = sysmis).
recode ASSIBM01 (8                = sysmis).
recode ASSIBM02 (8                = sysmis).
recode ASSIBM03 (8                = sysmis).
recode ASSIBM04 (8                = sysmis).
recode ASSIBM05 (8                = sysmis).


*NOTE: recode "omitted" data to user defined "missing value".

missing value IDPOP   (9).
missing value IDGRADER(9).
missing value IDSTRATE(999).
missing value IDSTRATI(999).
missing value ITSEX   (9).
missing value ITLANG  (9).
missing value ITADMINI(9).
missing value ITDATEM (99).
missing value ITDATEY (9999).
missing value ITBIRTHM(99).
missing value ITBIRTHY(99).
missing value ASDAGE  (99).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value ASBGBRTY(99).
missing value ASBGBRTM(99).
missing value ASBGSEX (9).
missing value ASBGOLAN(9).
missing value ASBGBOOK(9).
missing value ASBGPS01(9).
missing value ASBGPS02(9).
missing value ASBGPS03(9).
missing value ASBGPS04(9).
missing value ASBGPS05(9).
missing value ASBGPS06(9).
missing value ASBGPS07(9).
missing value ASBGPS08(9).
missing value ASBGPS09(9).
missing value ASBGPS10(9).
missing value ASBGPS11(9).
missing value ASBGPS12(9).
missing value ASBGPS13(9).
missing value ASBGPS14(9).
missing value ASBGPS15(9).
missing value ASBGPS16(9).
missing value ASBMTWEL(9).
missing value ASBMTMOR(9).
missing value ASBMTCLM(9).
missing value ASBMTENJ(9).
missing value ASBMTNOT(9).
missing value ASBMTQKY(9).
missing value ASBMHASM(9).
missing value ASBMHWFD(9).
missing value ASBMHMCL(9).
missing value ASBMHTCG(9).
missing value ASBMHCTR(9).
missing value ASBMHWSG(9).
missing value ASBMHEXP(9).
missing value ASBMHLTT(9).
missing value ASBMHWPO(9).
missing value ASBMHCAL(9).
missing value ASBSTWEL(9).
missing value ASBSTMOR(9).
missing value ASBSTCLM(9).
missing value ASBSTENJ(9).
missing value ASBSTNOT(9).
missing value ASBSTQKY(9).
missing value ASBSWATE(9).
missing value ASBSHPEX(9).
missing value ASBSDSEI(9).
missing value ASBSHWGX(9).
missing value ASBSWESS(9).
missing value ASBSLWPS(9).
missing value ASBSHLTT(9).
missing value ASBSHWPX(9).
missing value ASBGUSEC(9).
missing value ASBGCHOM(9 6).
missing value ASBGCSCH(9 6).
missing value ASBGCLIB(9 6).
missing value ASBGCFRH(9 6).
missing value ASBGCCAF(9 6).
missing value ASBGCELS(9 6).
missing value ASBMOINF(9 6).
missing value ASBSOINF(9 6).
missing value ASBGOREP(9 6).
missing value ASBGALBS(9).
missing value ASBGATTB(9).
missing value ASBGATCS(9).
missing value ASBGATSB(9).
missing value ASBGSTOL(9).
missing value ASBGHURT(9).
missing value ASBGMADE(9).
missing value ASBGMFUN(9).
missing value ASBGLEFT(9).
missing value ASBGWATV(9).
missing value ASBGPLCG(9).
missing value ASBGPLFD(9).
missing value ASBGJOHM(9).
missing value ASBGPLSP(9).
missing value ASBGREBO(9).
missing value ASBGUSIN(9).
missing value ASBGDOHW(9).
missing value ASBMEXTO(9).
missing value ASBSEXTO(9).
missing value ASBMHWMA(9).
missing value ASBMHWMG(9 6).
missing value ASBSHWMA(9).
missing value ASBSHWMG(9 6).
missing value ASBGPLHO(99).
missing value ASBGMBRN(9).
missing value ASBGFBRN(9).
missing value ASBGBORN(9).
missing value ASBGBRNC(9 6).
missing value TOTWGT  (999999).
missing value HOUWGT  (99).
missing value SENWGT  (9).
missing value WGTFAC1 (999999).
missing value WGTADJ1 (999999).
missing value WGTADJ2 (999999).
missing value WGTFAC2 (999999).
missing value WGTFAC3 (999999).
missing value WGTADJ3 (999999).
missing value JKZONE  (99).
missing value JKREP   (9).
missing value ASMSCPT (99).
missing value ASMSTDR (9999).
missing value ASSNRSC (9999).
missing value ASSSCPT (99).
missing value ASSSTDR (9999).
missing value ASMNRSC (9999).
missing value ASMMAT01(999).
missing value ASMMAT02(999).
missing value ASMMAT03(999).
missing value ASMMAT04(999).
missing value ASMMAT05(999).
missing value ASMAPP01(999).
missing value ASMAPP02(999).
missing value ASMAPP03(999).
missing value ASMAPP04(999).
missing value ASMAPP05(999).
missing value ASMKNO01(999).
missing value ASMKNO02(999).
missing value ASMKNO03(999).
missing value ASMKNO04(999).
missing value ASMKNO05(999).
missing value ASMREA01(999).
missing value ASMREA02(999).
missing value ASMREA03(999).
missing value ASMREA04(999).
missing value ASMREA05(999).
missing value ASSSCI01(999).
missing value ASSSCI02(999).
missing value ASSSCI03(999).
missing value ASSSCI04(999).
missing value ASSSCI05(999).
missing value ASMALG01(999).
missing value ASMALG02(999).
missing value ASMALG03(999).
missing value ASMALG04(999).
missing value ASMALG05(999).
missing value ASMDAP01(999).
missing value ASMDAP02(999).
missing value ASMDAP03(999).
missing value ASMDAP04(999).
missing value ASMDAP05(999).
missing value ASMFNS01(999).
missing value ASMFNS02(999).
missing value ASMFNS03(999).
missing value ASMFNS04(999).
missing value ASMFNS05(999).
missing value ASMGEO01(999).
missing value ASMGEO02(999).
missing value ASMGEO03(999).
missing value ASMGEO04(999).
missing value ASMGEO05(999).
missing value ASMMEA01(999).
missing value ASMMEA02(999).
missing value ASMMEA03(999).
missing value ASMMEA04(999).
missing value ASMMEA05(999).
missing value ASSEAS01(999).
missing value ASSEAS02(999).
missing value ASSEAS03(999).
missing value ASSEAS04(999).
missing value ASSEAS05(999).
missing value ASSLIS01(999).
missing value ASSLIS02(999).
missing value ASSLIS03(999).
missing value ASSLIS04(999).
missing value ASSLIS05(999).
missing value ASSPHY01(999).
missing value ASSPHY02(999).
missing value ASSPHY03(999).
missing value ASSPHY04(999).
missing value ASSPHY05(999).
missing value ASDGCAVL(9).
missing value ASDGPSS (9).
missing value ASDMSCL (9).
missing value ASDSSCL (9).
missing value ASDMHW  (9).
missing value ASDSHW  (9).
missing value ASMIBM01(9).
missing value ASMIBM02(9).
missing value ASMIBM03(9).
missing value ASMIBM04(9).
missing value ASMIBM05(9).
missing value ASSIBM01(9).
missing value ASSIBM02(9).
missing value ASSIBM03(9).
missing value ASSIBM04(9).
missing value ASSIBM05(9).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f4.0).
format IDCLASS  (f6.0).
format IDSTUD   (f8.0).
format IDBOOK   (f2.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format IDSTRATE (f3.0).
format IDSTRATI (f3.0).
format ITSEX    (f1.0).
format ITLANG   (f1.0).
format ITADMINI (f1.0).
format ITDATEM  (f2.0).
format ITDATEY  (f4.0).
format ITBIRTHM (f2.0).
format ITBIRTHY (f2.0).
format ASDAGE   (f5.2).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format ASBGBRTY (f2.0).
format ASBGBRTM (f2.0).
format ASBGSEX  (f1.0).
format ASBGOLAN (f1.0).
format ASBGBOOK (f1.0).
format ASBGPS01 (f1.0).
format ASBGPS02 (f1.0).
format ASBGPS03 (f1.0).
format ASBGPS04 (f1.0).
format ASBGPS05 (f1.0).
format ASBGPS06 (f1.0).
format ASBGPS07 (f1.0).
format ASBGPS08 (f1.0).
format ASBGPS09 (f1.0).
format ASBGPS10 (f1.0).
format ASBGPS11 (f1.0).
format ASBGPS12 (f1.0).
format ASBGPS13 (f1.0).
format ASBGPS14 (f1.0).
format ASBGPS15 (f1.0).
format ASBGPS16 (f1.0).
format ASBMTWEL (f1.0).
format ASBMTMOR (f1.0).
format ASBMTCLM (f1.0).
format ASBMTENJ (f1.0).
format ASBMTNOT (f1.0).
format ASBMTQKY (f1.0).
format ASBMHASM (f1.0).
format ASBMHWFD (f1.0).
format ASBMHMCL (f1.0).
format ASBMHTCG (f1.0).
format ASBMHCTR (f1.0).
format ASBMHWSG (f1.0).
format ASBMHEXP (f1.0).
format ASBMHLTT (f1.0).
format ASBMHWPO (f1.0).
format ASBMHCAL (f1.0).
format ASBSTWEL (f1.0).
format ASBSTMOR (f1.0).
format ASBSTCLM (f1.0).
format ASBSTENJ (f1.0).
format ASBSTNOT (f1.0).
format ASBSTQKY (f1.0).
format ASBSWATE (f1.0).
format ASBSHPEX (f1.0).
format ASBSDSEI (f1.0).
format ASBSHWGX (f1.0).
format ASBSWESS (f1.0).
format ASBSLWPS (f1.0).
format ASBSHLTT (f1.0).
format ASBSHWPX (f1.0).
format ASBGUSEC (f1.0).
format ASBGCHOM (f1.0).
format ASBGCSCH (f1.0).
format ASBGCLIB (f1.0).
format ASBGCFRH (f1.0).
format ASBGCCAF (f1.0).
format ASBGCELS (f1.0).
format ASBMOINF (f1.0).
format ASBSOINF (f1.0).
format ASBGOREP (f1.0).
format ASBGALBS (f1.0).
format ASBGATTB (f1.0).
format ASBGATCS (f1.0).
format ASBGATSB (f1.0).
format ASBGSTOL (f1.0).
format ASBGHURT (f1.0).
format ASBGMADE (f1.0).
format ASBGMFUN (f1.0).
format ASBGLEFT (f1.0).
format ASBGWATV (f1.0).
format ASBGPLCG (f1.0).
format ASBGPLFD (f1.0).
format ASBGJOHM (f1.0).
format ASBGPLSP (f1.0).
format ASBGREBO (f1.0).
format ASBGUSIN (f1.0).
format ASBGDOHW (f1.0).
format ASBMEXTO (f1.0).
format ASBSEXTO (f1.0).
format ASBMHWMA (f1.0).
format ASBMHWMG (f1.0).
format ASBSHWMA (f1.0).
format ASBSHWMG (f1.0).
format ASBGPLHO (f2.0).
format ASBGMBRN (f1.0).
format ASBGFBRN (f1.0).
format ASBGBORN (f1.0).
format ASBGBRNC (f1.0).
format TOTWGT   (f13.6).
format HOUWGT   (f13.6).
format SENWGT   (f13.6).
format WGTFAC1  (f13.6).
format WGTADJ1  (f13.6).
format WGTADJ2  (f13.6).
format WGTFAC2  (f13.6).
format WGTFAC3  (f13.6).
format WGTADJ3  (f13.6).
format JKZONE   (f2.0).
format JKREP    (f1.0).
format ASMSCPT  (f2.0).
format ASMSTDR  (f8.3).
format ASSNRSC  (f8.3).
format ASSSCPT  (f2.0).
format ASSSTDR  (f8.3).
format ASMNRSC  (f8.3).
format ASMMAT01 (f6.2).
format ASMMAT02 (f6.2).
format ASMMAT03 (f6.2).
format ASMMAT04 (f6.2).
format ASMMAT05 (f6.2).
format ASMAPP01 (f6.2).
format ASMAPP02 (f6.2).
format ASMAPP03 (f6.2).
format ASMAPP04 (f6.2).
format ASMAPP05 (f6.2).
format ASMKNO01 (f6.2).
format ASMKNO02 (f6.2).
format ASMKNO03 (f6.2).
format ASMKNO04 (f6.2).
format ASMKNO05 (f6.2).
format ASMREA01 (f6.2).
format ASMREA02 (f6.2).
format ASMREA03 (f6.2).
format ASMREA04 (f6.2).
format ASMREA05 (f6.2).
format ASSSCI01 (f6.2).
format ASSSCI02 (f6.2).
format ASSSCI03 (f6.2).
format ASSSCI04 (f6.2).
format ASSSCI05 (f6.2).
format ASMALG01 (f6.2).
format ASMALG02 (f6.2).
format ASMALG03 (f6.2).
format ASMALG04 (f6.2).
format ASMALG05 (f6.2).
format ASMDAP01 (f6.2).
format ASMDAP02 (f6.2).
format ASMDAP03 (f6.2).
format ASMDAP04 (f6.2).
format ASMDAP05 (f6.2).
format ASMFNS01 (f6.2).
format ASMFNS02 (f6.2).
format ASMFNS03 (f6.2).
format ASMFNS04 (f6.2).
format ASMFNS05 (f6.2).
format ASMGEO01 (f6.2).
format ASMGEO02 (f6.2).
format ASMGEO03 (f6.2).
format ASMGEO04 (f6.2).
format ASMGEO05 (f6.2).
format ASMMEA01 (f6.2).
format ASMMEA02 (f6.2).
format ASMMEA03 (f6.2).
format ASMMEA04 (f6.2).
format ASMMEA05 (f6.2).
format ASSEAS01 (f6.2).
format ASSEAS02 (f6.2).
format ASSEAS03 (f6.2).
format ASSEAS04 (f6.2).
format ASSEAS05 (f6.2).
format ASSLIS01 (f6.2).
format ASSLIS02 (f6.2).
format ASSLIS03 (f6.2).
format ASSLIS04 (f6.2).
format ASSLIS05 (f6.2).
format ASSPHY01 (f6.2).
format ASSPHY02 (f6.2).
format ASSPHY03 (f6.2).
format ASSPHY04 (f6.2).
format ASSPHY05 (f6.2).
format ASDGCAVL (f1.0).
format ASDGPSS  (f1.0).
format ASDMSCL  (f1.0).
format ASDSSCL  (f1.0).
format ASDMHW   (f1.0).
format ASDSHW   (f1.0).
format ASMIBM01 (f1.0).
format ASMIBM02 (f1.0).
format ASMIBM03 (f1.0).
format ASMIBM04 (f1.0).
format ASMIBM05 (f1.0).
format ASSIBM01 (f1.0).
format ASSIBM02 (f1.0).
format ASSIBM03 (f1.0).
format ASSIBM04 (f1.0).
format ASSIBM05 (f1.0).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want compressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata /COMPRESSED.

!doend
!enddefine

create country = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
                 ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
                 RUS SCO SGP SVN TUN TWN USA UIN YEM.
