**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,ast,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,ast,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  12     
  IDCLASS    13-  20     
  IDSTUD     21-  30     
  IDTEACH    31-  38     
  IDLINK     39-  40     
  IDSTRATE   41-  43     
  IDSTRATI   44-  46     
  IDGRADE    47-  48     
  IDGRADER   49-  49     
  ITCOURSE   50-  51     
  MATSUBJ    52-  52     
  SCISUBJ    53-  53     
  NMTEACH    54-  54     
  NSTEACH    55-  55     
  NTEACH     56-  56     
  INTMS03    57-  57     
  INTMS99    58-  58     
  INTMS95    59-  59     
  MATWGT     60-  72 (6)
  SCIWGT     73-  85 (6)
  TCHWGT     86-  98 (6)
  TOTWGT     99- 111 (6)
  JKREP     112- 112     
  JKZONE    113- 114     
  ASMNRSC   115- 122 (3)
  ASSNRSC   123- 130 (3)
  ASMMAT01  131- 136 (2)
  ASMMAT02  137- 142 (2)
  ASMMAT03  143- 148 (2)
  ASMMAT04  149- 154 (2)
  ASMMAT05  155- 160 (2)
  ASSSCI01  161- 166 (2)
  ASSSCI02  167- 172 (2)
  ASSSCI03  173- 178 (2)
  ASSSCI04  179- 184 (2)
  ASSSCI05  185- 190 (2)
  DPCDATE   191- 196     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDCLASS  "*CLASS ID*" 
                 /IDSTUD   "*STUDENT ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /IDSTRATE "*EXPLICIT STRATUM CODE*" 
                 /IDSTRATI "*IMPLICIT STRATUM CODE*" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /ITCOURSE "*NAME OF COURSE*" 
                 /MATSUBJ  "*MATHEMATICS TEACHER LINK*" 
                 /SCISUBJ  "*SCIENCE TEACHER LINK*" 
                 /NMTEACH  "*NUMBER OF MATH TEACHERS FOR STUDENT*" 
                 /NSTEACH  "*NUMBER OF SCIENCE TEACHERS FOR STUDENT*" 
                 /NTEACH   "*NO. OF MATH+SCIENCE TEACHERS COMBINED*" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /MATWGT   "*WEIGHT FOR MATHEMATICS TEACHER DATA*" 
                 /SCIWGT   "*WEIGHT FOR SCIENCE TEACHER DATA*" 
                 /TCHWGT   "*WEIGHT FOR MAT+SCI TEACHER DATA COMBIN*" 
                 /TOTWGT   "*STUDENT WEIGHT*" 
                 /JKREP    "*REPLICATE CODE*" 
                 /JKZONE   "*ZONE CODE*" 
                 /ASMNRSC  "*NATIONAL MATH RASCH SCORE (150,10)*" 
                 /ASSNRSC  "*NATIONAL SCIENCE RASCH SCORE (150,10)*" 
                 /ASMMAT01 "*1ST PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT02 "*2ND PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT03 "*3RD PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT04 "*4TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASMMAT05 "*5TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /ASSSCI01 "*1ST PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI02 "*2ND PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI03 "*3RD PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI04 "*4TH PLAUSIBLE VALUE SCIENCE*" 
                 /ASSSCI05 "*5TH PLAUSIBLE VALUE SCIENCE*" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      9  "OMITTED"
                       /
            IDGRADER   9  "OMITTED"
                       /
            ITCOURSE  99  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDCNTRY  (99998            = sysmis).
recode IDPOP    (8                = sysmis).
recode IDSCHOOL (999998           = sysmis).
recode IDCLASS  (99999998         = sysmis).
recode IDSTUD   (9999999998       = sysmis).
recode IDTEACH  (99999998         = sysmis).
recode IDLINK   (98               = sysmis).
recode IDSTRATE (998              = sysmis).
recode IDSTRATI (998              = sysmis).
recode IDGRADER (8                = sysmis).
recode ITCOURSE (98               = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode MATWGT   (999998           = sysmis).
recode SCIWGT   (999998           = sysmis).
recode TCHWGT   (999998           = sysmis).
recode TOTWGT   (999998           = sysmis).
recode JKREP    (8                = sysmis).
recode JKZONE   (98               = sysmis).
recode ASMNRSC  (9998             = sysmis).
recode ASSNRSC  (9998             = sysmis).
recode ASMMAT01 (998              = sysmis).
recode ASMMAT02 (998              = sysmis).
recode ASMMAT03 (998              = sysmis).
recode ASMMAT04 (998              = sysmis).
recode ASMMAT05 (998              = sysmis).
recode ASSSCI01 (998              = sysmis).
recode ASSSCI02 (998              = sysmis).
recode ASSSCI03 (998              = sysmis).
recode ASSSCI04 (998              = sysmis).
recode ASSSCI05 (998              = sysmis).


*NOTE: recode "omitted" data to user defined "missing value"

missing value IDCNTRY (99999).
missing value IDPOP   (9).
missing value IDSCHOOL(999999).
missing value IDCLASS (99999999).
missing value IDSTUD  (9999999999).
missing value IDTEACH (99999999).
missing value IDLINK  (99).
missing value IDSTRATE(999).
missing value IDSTRATI(999).
missing value IDGRADER(9).
missing value ITCOURSE(99).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value MATWGT  (999999).
missing value SCIWGT  (999999).
missing value TCHWGT  (999999).
missing value TOTWGT  (999999).
missing value JKREP   (9).
missing value JKZONE  (99).
missing value ASMNRSC (9999).
missing value ASSNRSC (9999).
missing value ASMMAT01(999).
missing value ASMMAT02(999).
missing value ASMMAT03(999).
missing value ASMMAT04(999).
missing value ASMMAT05(999).
missing value ASSSCI01(999).
missing value ASSSCI02(999).
missing value ASSSCI03(999).
missing value ASSSCI04(999).
missing value ASSSCI05(999).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format IDCLASS  (f8.0).
format IDSTUD   (f10.0).
format IDTEACH  (f8.0).
format IDLINK   (f2.0).
format IDSTRATE (f3.0).
format IDSTRATI (f3.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format ITCOURSE (f2.0).
format MATSUBJ  (f1.0).
format SCISUBJ  (f1.0).
format NMTEACH  (f1.0).
format NSTEACH  (f1.0).
format NTEACH   (f1.0).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format MATWGT   (f13.6).
format SCIWGT   (f13.6).
format TCHWGT   (f13.6).
format TOTWGT   (f13.6).
format JKREP    (f1.0).
format JKZONE   (f2.0).
format ASMNRSC  (f8.3).
format ASSNRSC  (f8.3).
format ASMMAT01 (f6.2).
format ASMMAT02 (f6.2).
format ASMMAT03 (f6.2).
format ASMMAT04 (f6.2).
format ASMMAT05 (f6.2).
format ASSSCI01 (f6.2).
format ASSSCI02 (f6.2).
format ASSSCI03 (f6.2).
format ASSSCI04 (f6.2).
format ASSSCI05 (f6.2).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want compressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata /COMPRESSED.

!doend
!enddefine

create country = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
                 ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
                 RUS SCO SGP SVN TUN TWN USA UIN YEM.
