**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,atg,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,atg,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  10     
  IDTEACH    11-  16     
  IDLINK     17-  18     
  ITCOURSE   19-  20     
  IDGRADE    21-  22     
  IDGRADER   23-  23     
  INTMS03    24-  24     
  INTMS99    25-  25     
  INTMS95    26-  26     
  ATBGAGE    27-  27     
  ATBGSEX    28-  28     
  ATBGTAUT   29-  30     
  ATBGFEDC   31-  31     
  ATBGYTTR   32-  33     
  ATBGPSEP   34-  34     
  ATBGPSES   35-  35     
  ATBMPSMA   36-  36     
  ATBSPSSC   37-  37     
  ATBGPSOT   38-  38     
  ATBMEDMA   39-  39     
  ATBSEDSC   40-  40     
  ATBGEDLR   41-  41     
  ATBGEDOT   42-  42     
  ATBGRB5A   43-  43     
  ATBGRBPP   44-  44     
  ATBGRBEC   45-  45     
  ATBMRBMC   46-  46     
  ATBSRBSC   47-  47     
  ATBGRBLE   48-  48     
  ATBGTLCE   49-  49     
  ATBGTELC   50-  50     
  ATBGCHTS   51-  51     
  ATBGCHTU   52-  52     
  ATBGCHTC   53-  53     
  ATBGCHES   54-  54     
  ATBGCHPS   55-  55     
  ATBGCHPI   56-  56     
  ATBGCHSR   57-  57     
  ATBGCHSD   58-  58     
  ATBGCURE   59-  59     
  ATBGCUSN   60-  60     
  ATBGCUSA   61-  61     
  ATBGCUAS   62-  62     
  ATBGOTDC   63-  63     
  ATBGOTPM   64-  64     
  ATBGOTVT   65-  65     
  ATBGOTAT   66-  66     
  ATBMRT01   67-  67     
  ATBMRT02   68-  68     
  ATBMRT03   69-  69     
  ATBMRT04   70-  70     
  ATBMRT05   71-  71     
  ATBMRT06   72-  72     
  ATBMRT07   73-  73     
  ATBMRT08   74-  74     
  ATBMRT09   75-  75     
  ATBMRT10   76-  76     
  ATBMRT11   77-  77     
  ATBMRT12   78-  78     
  ATBMRT13   79-  79     
  ATBMRT14   80-  80     
  ATBMRT15   81-  81     
  ATBMRT16   82-  82     
  ATBMPDMT   83-  83     
  ATBMPDMP   84-  84     
  ATBMPDMC   85-  85     
  ATBMPDIT   86-  86     
  ATBGPDCT   87-  87     
  ATBMPDMA   88-  88     
  ATBMSTUD   89-  91     
  ATBMSTDQ   92-  94     
  ATBMTIMT   95-  97     
  ATBMTBTC   98-  98     
  ATBMTXBU   99-  99     
  ATBMPTRH  100- 102     
  ATBMPTLS  103- 105     
  ATBMPTYG  106- 108     
  ATBMPTOO  109- 111     
  ATBMPTRT  112- 114     
  ATBMPTTQ  115- 117     
  ATBMPTCM  118- 120     
  ATBMPTOA  121- 123     
  ATBMCAML  124- 124     
  ATBMHSHC  125- 125     
  ATBMCALA  126- 126     
  ATBMCALR  127- 127     
  ATBMCALS  128- 128     
  ATBMCALE  129- 129     
  ATBMCATE  130- 130     
  ATBMCOMA  131- 131     
  ATBMINTA  132- 132     
  ATBMCADM  133- 133     
  ATBMCASP  134- 134     
  ATBMCALI  135- 135     
  ATBMASPC  136- 136     
  ATBMASWF  137- 137     
  ATBMASMS  138- 138     
  ATBMASMG  139- 139     
  ATBMASLC  140- 140     
  ATBMASWP  141- 141     
  ATBMASSG  142- 142     
  ATBMASEA  143- 143     
  ATBMTTNU  144- 146     
  ATBMTTPA  147- 149     
  ATBMTTME  150- 152     
  ATBMTTGE  153- 155     
  ATBMTTDA  156- 158     
  ATBMCOTH  159- 161     
  ATBMTA01  162- 162     
  ATBMTA02  163- 163     
  ATBMTA03  164- 164     
  ATBMTA04  165- 165     
  ATBMTA05  166- 166     
  ATBMTA06  167- 167     
  ATBMTA07  168- 168     
  ATBMTA08  169- 169     
  ATBMTA09  170- 170     
  ATBMTA10  171- 171     
  ATBMTA11  172- 172     
  ATBMTA12  173- 173     
  ATBMTA13  174- 174     
  ATBMTA14  175- 175     
  ATBMTA15  176- 176     
  ATBMTA16  177- 177     
  ATBMTA17  178- 178     
  ATBMTA18  179- 179     
  ATBMTA19  180- 180     
  ATBMTA20  181- 181     
  ATBMTA21  182- 182     
  ATBMTA22  183- 183     
  ATBMTA23  184- 184     
  ATBMTA24  185- 185     
  ATBMTA25  186- 186     
  ATBMTA26  187- 187     
  ATBMTA27  188- 188     
  ATBMTA28  189- 189     
  ATBMTA29  190- 190     
  ATBMTA30  191- 191     
  ATBMTA31  192- 192     
  ATBMTA32  193- 193     
  ATBMTA33  194- 194     
  ATBMTA34  195- 195     
  ATBMTA35  196- 196     
  ATBMTA36  197- 197     
  ATBMTA37  198- 198     
  ATBMTA38  199- 199     
  ATBMTA39  200- 200     
  ATBMTA40  201- 201     
  ATBMTA41  202- 202     
  ATBMTA42  203- 203     
  ATBMHMWO  204- 204     
  ATBMHWMC  205- 205     
  ATBMHWKM  206- 206     
  ATBSRT01  207- 207     
  ATBSRT02  208- 208     
  ATBSRT03  209- 209     
  ATBSRT04  210- 210     
  ATBSRT05  211- 211     
  ATBSRT06  212- 212     
  ATBSRT07  213- 213     
  ATBSRT08  214- 214     
  ATBSRT09  215- 215     
  ATBSRT10  216- 216     
  ATBSRT11  217- 217     
  ATBSRT12  218- 218     
  ATBSRT13  219- 219     
  ATBSRT14  220- 220     
  ATBSRT15  221- 221     
  ATBSRT16  222- 222     
  ATBSRT17  223- 223     
  ATBSRT18  224- 224     
  ATBSRT19  225- 225     
  ATBSPDST  226- 226     
  ATBSPDSP  227- 227     
  ATBSPDSC  228- 228     
  ATBSPDIT  229- 229     
  ATBGPDIN  230- 230     
  ATBSPDSA  231- 231     
  ATBSSTUD  232- 234     
  ATBSSTDQ  235- 237     
  ATBSSSBJ  238- 238     
  ATBSYMWT  239- 241     
  ATBSNMWT  242- 244     
  ATBSTBTC  245- 245     
  ATBSTXBU  246- 246     
  ATBSCOMA  247- 247     
  ATBSINTA  248- 248     
  ATBSCAPE  249- 249     
  ATBSCANP  250- 250     
  ATBSCASP  251- 251     
  ATBSCALI  252- 252     
  ATBSCSWE  253- 253     
  ATBSCSDP  254- 254     
  ATBSCSDI  255- 255     
  ATBSCSSG  256- 256     
  ATBSCSDL  257- 257     
  ATBSCSWS  258- 258     
  ATBSCSOS  259- 259     
  ATBSCSPW  260- 260     
  ATBSPTLS  261- 263     
  ATBSPTPS  264- 266     
  ATBSPTES  267- 269     
  ATBSCOTH  270- 272     
  ATBSTA01  273- 273     
  ATBSTA02  274- 274     
  ATBSTA03  275- 275     
  ATBSTA04  276- 276     
  ATBSTA05  277- 277     
  ATBSTA06  278- 278     
  ATBSTA07  279- 279     
  ATBSTA08  280- 280     
  ATBSTA09  281- 281     
  ATBSTA10  282- 282     
  ATBSTA11  283- 283     
  ATBSTA12  284- 284     
  ATBSTA13  285- 285     
  ATBSTA14  286- 286     
  ATBSTA15  287- 287     
  ATBSTA16  288- 288     
  ATBSTA17  289- 289     
  ATBSTA18  290- 290     
  ATBSTA19  291- 291     
  ATBSTA20  292- 292     
  ATBSTA21  293- 293     
  ATBSTA22  294- 294     
  ATBSTA23  295- 295     
  ATBSTA24  296- 296     
  ATBSTA25  297- 297     
  ATBSTA26  298- 298     
  ATBSTA27  299- 299     
  ATBSTA28  300- 300     
  ATBSTA29  301- 301     
  ATBSTA30  302- 302     
  ATBSTA31  303- 303     
  ATBSTA32  304- 304     
  ATBSHMWO  305- 305     
  ATBSHWMC  306- 306     
  ATBSHWKM  307- 307     
  ATDGCH    308- 308     
  ATDGCU    309- 309     
  ATDGTELC  310- 310     
  ATDMPREP  311- 311     
  ATDMSTUD  312- 312     
  ATDMTANU  313- 318 (2)
  ATDMTAOV  319- 324 (2)
  ATDMH     325- 325     
  ATDMTAME  326- 331 (2)
  ATDMTAGE  332- 337 (2)
  ATDMTADA  338- 343 (2)
  ATDMTAPE  344- 349 (2)
  ATDSPREP  350- 350     
  ATDSSTUD  351- 351     
  ATDSH     352- 352     
  ATDSTALI  353- 358 (2)
  ATDSTAPH  359- 364 (2)
  ATDSTAEA  365- 370 (2)
  ATDSTAOV  371- 376 (2)
  DPCDATE   377- 382     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /ITCOURSE "*NAME OF COURSE*" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /ATBGAGE  "GEN\AGE OF TEACHER" 
                 /ATBGSEX  "GEN\SEX OF TEACHER" 
                 /ATBGTAUT "GEN\NUMBER OF YEARS BEEN TEACHING" 
                 /ATBGFEDC "GEN\LEVEL OF FORMAL EDUCATION COMPLETED" 
                 /ATBGYTTR "GEN\YEARS OF TEACHER TRAINING" 
                 /ATBGPSEP "GEN\MAJOR AREA OF STUDY\EDUCATION PRIM" 
                 /ATBGPSES "GEN\MAJOR AREA OF STUDY\EDUCATION SECOND" 
                 /ATBMPSMA "MAT\MAJOR AREA OF STUDY\MATHEMATICS" 
                 /ATBSPSSC "SCI\MAJOR AREA OF STUDY\SCIENCE" 
                 /ATBGPSOT "GEN\MAJOR AREA OF STUDY\OTHER" 
                 /ATBMEDMA "MAT\MAIN AREA EDUC\MATHEMATICS" 
                 /ATBSEDSC "SCI\MAIN AREA EDUC\SCIENCE" 
                 /ATBGEDLR "GEN\MAIN AREA EDUC\LANGUAGE READING" 
                 /ATBGEDOT "GEN\MAIN AREA EDUC\OTHER" 
                 /ATBGRB5A "GEN\REQUIREMENTS FOR CERTI\ISCED 5A" 
                 /ATBGRBPP "GEN\REQUIREMENTS FOR CERTI\PROBATION PER" 
                 /ATBGRBEC "GEN\REQUIREMENTS FOR CERTI\EDUCA COURSES" 
                 /ATBMRBMC "MAT\REQUIREMENTS FOR CERTI\MATHS COURSES" 
                 /ATBSRBSC "SCI\REQUIREMENTS FOR CERTI\SCI COURSES" 
                 /ATBGRBLE "GEN\REQUIREMENTS FOR CERTI\LICENS EXAM" 
                 /ATBGTLCE "GEN\TEACHING CERTIFICATE" 
                 /ATBGTELC "GEN\TEACHING CERTIFICATE\TYPE" 
                 /ATBGCHTS "GEN\CHARACTERIZE\JOB SATISFICATION" 
                 /ATBGCHTU "GEN\CHARACTERIZE\UNDERSTANDING" 
                 /ATBGCHTC "GEN\CHARACTERIZE\DEGREE OF SUCCESS" 
                 /ATBGCHES "GEN\CHARACTERIZE\EXPECTATIONS" 
                 /ATBGCHPS "GEN\CHARACTERIZE\PARENTAL SUPPORT" 
                 /ATBGCHPI "GEN\CHARACTERIZE\PARENTAL INVOLVEMENT" 
                 /ATBGCHSR "GEN\CHARACTERIZE\STUDENT REGARD" 
                 /ATBGCHSD "GEN\CHARACTERIZE\STUDENT DESIRE" 
                 /ATBGCURE "GEN\CURRENT SCHOOL\NEEDS  REPAIR" 
                 /ATBGCUSN "GEN\CURRENT SCHOOL\LOCA IN SAFE NEIGHBOR" 
                 /ATBGCUSA "GEN\CURRENT SCHOOL\I FEEL SAFE IN SCHOOL" 
                 /ATBGCUAS "GEN\CURRENT SCHOOL\SECURITY POLICIES SUF" 
                 /ATBGOTDC "GEN\INTERACTIONS TEACHERS\DISCUSS CONCEP" 
                 /ATBGOTPM "GEN\INTERACTIONS TEACHERS\PREPARE INSTRU" 
                 /ATBGOTVT "GEN\INTERACTIONS TEACHER\VISITS CLASS" 
                 /ATBGOTAT "GEN\INTERACTIONS TEACHERS\INF OBSERVATIO" 
                 /ATBMRT01 "MAT\READY\NUMBER\ADDING SUBTRACTING" 
                 /ATBMRT02 "MAT\READY\NUMBER\FRACTIONS" 
                 /ATBMRT03 "MAT\READY\NUMBER\FRACTIONS OR DECIMALS" 
                 /ATBMRT04 "MAT\READY\NUMBER\ADDING SUBTRACTING DEC" 
                 /ATBMRT05 "MAT\READY\PATTERN\PATTERNS OF NUMBERS" 
                 /ATBMRT06 "MAT\READY\PATTERN\SIMPLE EQUATATIONS" 
                 /ATBMRT07 "MAT\READY\PATTERN\FINDING A RULE" 
                 /ATBMRT08 "MAT\READY\MEASUREMENT\RECOGNIZING" 
                 /ATBMRT09 "MAT\READY\MEASUREMENT\ESTIMATING" 
                 /ATBMRT10 "MAT\READY\GEOMETRY\FAMILIAR SHAPES" 
                 /ATBMRT11 "MAT\READY\GEOMETRY\CONGR TRIANGLES" 
                 /ATBMRT12 "MAT\READY\GEOMETRY\RELATIONSHIPS" 
                 /ATBMRT13 "MAT\READY\GEOMETRY\TRANSLATION REFL" 
                 /ATBMRT14 "MAT\READY\DATA\RECOGNIZING NUMBERS" 
                 /ATBMRT15 "MAT\READY\DATA\DISPLAYING DATA" 
                 /ATBMRT16 "MAT\READY\DATA\DRAWING CONCLUSION" 
                 /ATBMPDMT "MAT\PARTICIPATED DEVELOPM\MATHS CONTENT" 
                 /ATBMPDMP "MAT\PARTICIPATED DEVELOPM\MATHS PEDAGOGY" 
                 /ATBMPDMC "MAT\PARTICIPATED DEVELOPM\MATHS CURRICUL" 
                 /ATBMPDIT "MAT\PARTICIPATED DEVELOPM\INTEGRATE IT" 
                 /ATBGPDCT "GEN\PARTICIPATED DEVELOPM\IMPROVE CRITIC" 
                 /ATBMPDMA "MAT\PARTICIPATED DEVELOPM\MATHS ASSESSM" 
                 /ATBMSTUD "MAT\NUMBER OF STD\IN TIMSS CLASS" 
                 /ATBMSTDQ "MAT\NUMBER OF STD\IN 4TH GRADE" 
                 /ATBMTIMT "MAT\MINUTES TEACH MATH PER WEEK TO CLASS" 
                 /ATBMTBTC "MAT\TEXTBOOK\USE FOR MATHS" 
                 /ATBMTXBU "MAT\TEXTBOOK\USED HOW IN TEACHING MATHS" 
                 /ATBMPTRH "MAT\PERCENTAGE OF TIME\REVIEW HMW" 
                 /ATBMPTLS "MAT\PERCENTAGE OF TIME\LISTEN PRESENT" 
                 /ATBMPTYG "MAT\PERCENTAGE OF TIME\WORK PROBL" 
                 /ATBMPTOO "MAT\PERCENTAGE OF TIME\WRK PROBL ON OWN" 
                 /ATBMPTRT "MAT\PERCENTAGE OF TIME\LISTN TO RETEACH" 
                 /ATBMPTTQ "MAT\PERCENTAGE OF TIME\TESTS OR QUIZZES" 
                 /ATBMPTCM "MAT\PERCENTAGE OF TIME\PART CLS MANAGEM" 
                 /ATBMPTOA "MAT\PERCENTAGE OF TIME\OTHER ACTIVITIES" 
                 /ATBMCAML "MAT\CALCULATOR\USE PERMITTED FOR STD" 
                 /ATBMHSHC "MAT\CALCULATOR\AVAIL DURING MATHS LESS" 
                 /ATBMCALA "MAT\CALCULATOR\USE\CHECK ANSWERS" 
                 /ATBMCALR "MAT\CALCULATOR\USE\DO ROUTINE COMPUT" 
                 /ATBMCALS "MAT\CALCULATOR\USE\SOLVE COMPLEX PROBLEM" 
                 /ATBMCALE "MAT\CALCULATOR\USE\EXPLORE NR CONCEPTS" 
                 /ATBMCATE "MAT\CALCULATOR\PERMITTED DURING TESTS" 
                 /ATBMCOMA "MAT\COMPUTER\AVAILABLE IN MATHS LESS" 
                 /ATBMINTA "MAT\COMPUTER\ACCESS TO INTERNET" 
                 /ATBMCADM "MAT\COMPUTER\USE\DISC MATHS PRINCIPLE" 
                 /ATBMCASP "MAT\COMPUTER\USE\PRACTICE SKILLS" 
                 /ATBMCALI "MAT\COMPUTER\USE\LOOK UP IDEAS" 
                 /ATBMASPC "MAT\HOW OFTEN ASK\PRACTICE ADDING SUBTR" 
                 /ATBMASWF "MAT\HOW OFTEN ASK\WORK ON FRACTIONS" 
                 /ATBMASMS "MAT\HOW OFTEN ASK\MEASURE THINGS" 
                 /ATBMASMG "MAT\HOW OFTEN ASK\MAKE TABLES CHARTS" 
                 /ATBMASLC "MAT\HOW OFTEN ASK\LEARN ABOUT SHAPES" 
                 /ATBMASWP "MAT\HOW OFTEN ASK\WRITE EQUATATIONS" 
                 /ATBMASSG "MAT\HOW OFTEN ASK\WORK TOGETHER IN GROUP" 
                 /ATBMASEA "MAT\HOW OFTEN ASK\EXPLAIN ANSWERS" 
                 /ATBMTTNU "MAT\PERCENTAGE OF TEACHING SPEND\NUMBER" 
                 /ATBMTTPA "MAT\PERCENTAGE OF TEACHING SPEND\PATTERN" 
                 /ATBMTTME "MAT\PERCENTAGE OF TEACHING SPEND\MEASURE" 
                 /ATBMTTGE "MAT\PERCENTAGE OF TEACHING SPEND\GEOMETR" 
                 /ATBMTTDA "MAT\PERCENTAGE OF TEACHING SPEND\DATA" 
                 /ATBMCOTH "MAT\PERCENTAGE OF TEACHING SPEND\OTHER" 
                 /ATBMTA01 "MAT\TAUGHT\NUMBER\WHOLE NUMBERS" 
                 /ATBMTA02 "MAT\TAUGHT\NUMBER\REPRESENT WHOLE NRS" 
                 /ATBMTA03 "MAT\TAUGHT\NUMBER\PROPERT OF WHOLE NR" 
                 /ATBMTA04 "MAT\TAUGHT\NUMBER\COMPUT WITH WHOLE NRS" 
                 /ATBMTA05 "MAT\TAUGHT\NUMBER\ESTIMAT WITH WHOLE NRS" 
                 /ATBMTA06 "MAT\TAUGHT\NUMBER\FRACTIONS" 
                 /ATBMTA07 "MAT\TAUGHT\NUMBER\EQUIVALENT FRACTIONS" 
                 /ATBMTA08 "MAT\TAUGHT\NUMBER\COMP ORDER FRACTIONS" 
                 /ATBMTA09 "MAT\TAUGHT\NUMBER\FRACTIONS OR DECIMALS" 
                 /ATBMTA10 "MAT\TAUGHT\NUMBER\ADDING SUBTR FRACTIONS" 
                 /ATBMTA11 "MAT\TAUGHT\NUMBER\ADDING SUBTR DECIMALS" 
                 /ATBMTA12 "MAT\TAUGHT\NUMBER\SIMPLE PROPORT REAS" 
                 /ATBMTA13 "MAT\TAUGHT\PATTERNS EQ REL\PAT OF NRS" 
                 /ATBMTA14 "MAT\TAUGHT\PATTERNS EQ REL\EQUALITY" 
                 /ATBMTA15 "MAT\TAUGHT\PATTERNS EQ REL\MISSING NR" 
                 /ATBMTA16 "MAT\TAUGHT\PATTERNS EQ REL\SIMPLE EQUAT" 
                 /ATBMTA17 "MAT\TAUGHT\PATTERNS EQ REL\PAIRS OF NRS" 
                 /ATBMTA18 "MAT\TAUGHT\PATTERNS EQ REL\FINDING RULE" 
                 /ATBMTA19 "MAT\TAUGHT\MEASUREMENT\NON STANDARD UNIT" 
                 /ATBMTA20 "MAT\TAUGHT\MEASUREMENT\STANDARD UNITS" 
                 /ATBMTA21 "MAT\TAUGHT\MEASUREMENT\CONVERSION FACTRS" 
                 /ATBMTA22 "MAT\TAUGHT\MEASUREMENT\INSTRUMENTS" 
                 /ATBMTA23 "MAT\TAUGHT\MEASUREMENT\CALCULATING AREAS" 
                 /ATBMTA24 "MAT\TAUGHT\MEASUREMENT\ESTIMATING LENGTH" 
                 /ATBMTA25 "MAT\TAUGHT\GEOMETRY\ANGLES" 
                 /ATBMTA26 "MAT\TAUGHT\GEOMETRY\PARAL AND PEND LINES" 
                 /ATBMTA27 "MAT\TAUGHT\GEOMETRY\FAMILIAR SHAPES" 
                 /ATBMTA28 "MAT\TAUGHT\GEOMETRY\CONGRUENT TRIANGLES" 
                 /ATBMTA29 "MAT\TAUGHT\GEOMETRY\SIMILAR TRIANGLES" 
                 /ATBMTA30 "MAT\TAUGHT\GEOMETRY\POINTS IN A PLANE" 
                 /ATBMTA31 "MAT\TAUGHT\GEOMETRY\RELATIONSHIPS SHAPES" 
                 /ATBMTA32 "MAT\TAUGHT\GEOMETRY\INF COORDINATE SYS" 
                 /ATBMTA33 "MAT\TAUGHT\GEOMETRY\SYMMETRY ABOUT LINE" 
                 /ATBMTA34 "MAT\TAUGHT\GEOMETRY\TWO DIMENS FIGURES" 
                 /ATBMTA35 "MAT\TAUGHT\GEOMETRY\TRANSLATION REFLECT" 
                 /ATBMTA36 "MAT\TAUGHT\DATA\RECOGNIZING NUMBERS" 
                 /ATBMTA37 "MAT\TAUGHT\DATA\ORGANIZING SET OF DATA" 
                 /ATBMTA38 "MAT\TAUGHT\DATA\READING DATA DIRECTLY" 
                 /ATBMTA39 "MAT\TAUGHT\DATA\DISPLAYING DATA" 
                 /ATBMTA40 "MAT\TAUGHT\DATA\COMPARING MATCHING PRES" 
                 /ATBMTA41 "MAT\TAUGHT\DATA\CHARACTERISTICS OF DATA" 
                 /ATBMTA42 "MAT\TAUGHT\DATA\DRAWING CONCLUSIONS" 
                 /ATBMHMWO "MAT\HOMEWORK\DO YOU ASSIGN MATHS" 
                 /ATBMHWMC "MAT\HOMEWORK\FREQUENCY OF MATHS HMW" 
                 /ATBMHWKM "MAT\HOMEWORK\MIN ASSIGN IN TIMSS CLS" 
                 /ATBSRT01 "SCI\READY\LIFE SCI\MAJOR BODY STRUCTURE" 
                 /ATBSRT02 "SCI\READY\LIFE SCI\REPRODUCTION" 
                 /ATBSRT03 "SCI\READY\LIFE SCI\PHYSICAL FEATURES" 
                 /ATBSRT04 "SCI\READY\LIFE SCI\RELATIONSHIPS" 
                 /ATBSRT05 "SCI\READY\LIFE SCI\CHANGES IN ENVIRONM" 
                 /ATBSRT06 "SCI\READY\LIFE SCI\HUMAN HEALTH" 
                 /ATBSRT07 "SCI\READY\PHYS SCI\CLASSIFICATION OF OBJ" 
                 /ATBSRT08 "SCI\READY\PHYS SCI\FORMING AND SEP MIXT" 
                 /ATBSRT09 "SCI\READY\PHYS SCI\CHEMICAL AND PHYSICAL" 
                 /ATBSRT10 "SCI\READY\PHYS SCI\STATES OF MATTER" 
                 /ATBSRT11 "SCI\READY\PHYS SCI\COMMON ENERGY SOURCES" 
                 /ATBSRT12 "SCI\READY\PHYS SCI\COMMON USES OF ELECTR" 
                 /ATBSRT13 "SCI\READY\PHYS SCI\FORCES THAT CAUSE OBJ" 
                 /ATBSRT14 "SCI\READY\EARTH SCI\FEATURES OF LANDSC" 
                 /ATBSRT15 "SCI\READY\EARTH SCI\WATER ON EARTH" 
                 /ATBSRT16 "SCI\READY\EARTH SCI\AIR" 
                 /ATBSRT17 "SCI\READY\EARTH SCI\COMMON FEATURES" 
                 /ATBSRT18 "SCI\READY\EARTH SCI\FOSSILS AND PLANTS" 
                 /ATBSRT19 "SCI\READY\EARTH SCI\EARTH SOLAR SYSTEM" 
                 /ATBSPDST "SCI\PARTICIPATED DEVELOPM\SCI CONTENT" 
                 /ATBSPDSP "SCI\PARTICIPATED DEVELOPM\SCI PEDAGOGY" 
                 /ATBSPDSC "SCI\PARTICIPATED DEVELOPM\SCI CURRICULUM" 
                 /ATBSPDIT "SCI\PARTICIPATED DEVELOPMENT\IT INTO SCI" 
                 /ATBGPDIN "GEN\PARTICIPATED DEVELOPMENT\IMPR CRITIC" 
                 /ATBSPDSA "SCI\PARTICIPATED DEVELOPM\SCI ASSESSMENT" 
                 /ATBSSTUD "SCI\NUMBER OF STD\IN TIMSS CLASS" 
                 /ATBSSTDQ "SCI\NUMBER OF STD\IN 4TH GRADE" 
                 /ATBSSSBJ "SCI\IS SCI TAUGHT SEPARATLY AS SUBJECT" 
                 /ATBSYMWT "SCI\YES\WEEKLY TAUGHT OF SCI IN MINUTES" 
                 /ATBSNMWT "SCI\NO\WEEKLY TAUGHT OF SCI IN MINUTES" 
                 /ATBSTBTC "SCI\TEXTBOOK\USE FOR SCIENCE" 
                 /ATBSTXBU "SCI\TEXTBOOK\HOW USED IN TEACHING SCI" 
                 /ATBSCOMA "SCI\COMPUTER\AVAILABLE IN SCI LESSON" 
                 /ATBSINTA "SCI\COMPUTER\ACCESS TO INTERNET" 
                 /ATBSCAPE "SCI\COMPUTER\USE\SCIENTIFIC PROCEDURES" 
                 /ATBSCANP "SCI\COMPUTER\USE\STUDY NATURAL PHENOMENA" 
                 /ATBSCASP "SCI\COMPUTER\USE\PRACTICE SKILLS" 
                 /ATBSCALI "SCI\COMPUTER\USE\LOOK UP IDEAS" 
                 /ATBSCSWE "SCI\HOW OFTEN ASK\WATCH EXPERIMENT" 
                 /ATBSCSDP "SCI\HOW OFTEN ASK\DESIGN OR PLAN" 
                 /ATBSCSDI "SCI\HOW OFTEN ASK\DO EXPERIMENTS" 
                 /ATBSCSSG "SCI\HOW OFTEN ASK\WORK TOGETHER IN GRPS" 
                 /ATBSCSDL "SCI\HOW OFTEN ASK\RELATE TO DAILY LIFE" 
                 /ATBSCSWS "SCI\HOW OFTEN ASK\WRITE OR GIVE EXPL" 
                 /ATBSCSOS "SCI\HOW OFTEN ASK\OBSERVE SOMETHING" 
                 /ATBSCSPW "SCI\HOW OFTEN ASK\PRESENT WORK" 
                 /ATBSPTLS "SCI\PERCENT OF TEACHING SPENT\LIFE SCI" 
                 /ATBSPTPS "SCI\PERCENT OF TEACHING SPENT\PHYS SCI" 
                 /ATBSPTES "SCI\PERCENT OF TEACHING SPENT\EARTH SCI" 
                 /ATBSCOTH "SCI\PERCENT OF TEACHING SPENT\OTHER" 
                 /ATBSTA01 "SCI\TAUGHT\LIFE SCI\LIVING THINGS" 
                 /ATBSTA02 "SCI\TAUGHT\LIFE SCI\MAJOR BODY STRUCTURE" 
                 /ATBSTA03 "SCI\TAUGHT\LIFE SCI\BODILY ACTIONS" 
                 /ATBSTA04 "SCI\TAUGHT\LIFE SCI\GENERAL STEPS" 
                 /ATBSTA05 "SCI\TAUGHT\LIFE SCI\PLANT AND ANIMAL" 
                 /ATBSTA06 "SCI\TAUGHT\LIFE SCI\PHYSICAL FEATURES" 
                 /ATBSTA07 "SCI\TAUGHT\LIFE SCI\RELATIONSHIPS" 
                 /ATBSTA08 "SCI\TAUGHT\LIFE SCI\CHANGES IN ENVIRONM" 
                 /ATBSTA09 "SCI\TAUGHT\LIFE SCI\WAYS DISEASES TRANSM" 
                 /ATBSTA10 "SCI\TAUGHT\LIFE SCI\WAYS OF MAINTAINING" 
                 /ATBSTA11 "SCI\TAUGHT\PHY SCI\CLASSIFICATION" 
                 /ATBSTA12 "SCI\TAUGHT\PHY SCI\PROP AND USES METALS" 
                 /ATBSTA13 "SCI\TAUGHT\PHY SCI\FORMING AND SEPERAT" 
                 /ATBSTA14 "SCI\TAUGHT\PHY SCI\PROP AND USE WATER" 
                 /ATBSTA15 "SCI\TAUGHT\PHY SCI\CHEM  AND PHYS CHANGE" 
                 /ATBSTA16 "SCI\TAUGHT\PHY SCI\STATES OF MATTER" 
                 /ATBSTA17 "SCI\TAUGHT\PHY SCI\CHANGES IN STATE" 
                 /ATBSTA18 "SCI\TAUGHT\PHY SCI\COMMON ENERGY SOURCES" 
                 /ATBSTA19 "SCI\TAUGHT\PHY SCI\HEAT FLOW AND TEMPER" 
                 /ATBSTA20 "SCI\TAUGHT\PHY SCI\COMMON SOURCES LIGHT" 
                 /ATBSTA21 "SCI\TAUGHT\PHY SCI\COMMON USES OF ELECTR" 
                 /ATBSTA22 "SCI\TAUGHT\PHY SCI\MAGNETS" 
                 /ATBSTA23 "SCI\TAUGHT\PHY SCI\FORCES CAUSE OBJECTS" 
                 /ATBSTA24 "SCI\TAUGHT\EARTH SCI\ROCKS MINERALS SAND" 
                 /ATBSTA25 "SCI\TAUGHT\EARTH SCI\WATER ON EARTH" 
                 /ATBSTA26 "SCI\TAUGHT\EARTH SCI\AIR" 
                 /ATBSTA27 "SCI\TAUGHT\EARTH SCI\COMMON FEATURES" 
                 /ATBSTA28 "SCI\TAUGHT\EARTH SCI\USE AND CONSERVAT" 
                 /ATBSTA29 "SCI\TAUGHT\EARTH SCI\EARTH WATER CYCLE" 
                 /ATBSTA30 "SCI\TAUGHT\EARTH SCI\WEATHER CONDITIONS" 
                 /ATBSTA31 "SCI\TAUGHT\EARTH SCI\FOSSILS AND PLANTS" 
                 /ATBSTA32 "SCI\TAUGHT\EARTH SCI\EARTH SOLAR SYSTEM" 
                 /ATBSHMWO "SCI\HOMEWORK\DO ASSIGN SCIENCE" 
                 /ATBSHWMC "SCI\HOMEWORK\FREQUENCY OF SCIENCE HMW" 
                 /ATBSHWKM "SCI\HOMEWORK\MIN ASSIGN IN SCIENCE CLS" 
                 /ATDGCH   "IDX TCHR PERCEPTN SCHOOL CLIMATE (TPSC)" 
                 /ATDGCU   "IDX TCHR PERCEPTN SCHOOL SAFETY (TPSS)" 
                 /ATDGTELC "HAVE FULL TEACHNG LICENSE OR CERTIFICATE" 
                 /ATDMPREP "PREPARATION TO TEACH MATH" 
                 /ATDMSTUD "CLASS SIZE FOR MATHEMATICS INSTRUCTION" 
                 /ATDMTANU "SUM STUDENTS TAUGHT NUMBER  MATH TOPICS" 
                 /ATDMTAOV "SUM STUDENTS TAUGHT OVERALL  MATH TOPICS" 
                 /ATDMH    "IDX TCHR EMPHASIS ON MATH HOMEWORK (EMH)" 
                 /ATDMTAME "SUM STUDENTS TAUGHT MEASURE MATH TOPICS" 
                 /ATDMTAGE "SUM STUDENTS TAUGHT GEOMETR MATH TOPICS" 
                 /ATDMTADA "SUM STUDENTS TAUGHT DATA    MATH TOPICS" 
                 /ATDMTAPE "SUM STUDS TGT PATTS,EQUS,RELS MATH TOPS" 
                 /ATDSPREP "PREPARATION TO TEACH SCIENCE" 
                 /ATDSSTUD "CLASS SIZE FOR SCIENCE INSTRUCTION" 
                 /ATDSH    "IDX TCHR EMPHASIS ON SCI HOMEWORK (ESH)" 
                 /ATDSTALI "SUM STUDENTS TAUGHT LIFE     SCI TOPICS" 
                 /ATDSTAPH "SUM STUDENTS TAUGHT PHYSICAL SCI TOPICS" 
                 /ATDSTAEA "SUM STUDENTS TAUGHT EARTH    SCI TOPICS" 
                 /ATDSTAOV "SUM STUDENTS TAUGHT OVERALL  SCI TOPICS" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS POP 1"
                       2  "TIMSS POP 2"
                       3  "TIMSS POP 3"
                       9  "OMITTED"
                       /
            ITCOURSE   1  "MATHEMATICS"
                       2  "PHYSICS"
                       3  "BIOLOGY"
                       4  "CHEMISTRY"
                       5  "EARTH SCIENCE"
                       6  "INTEGRATED SCIENCE"
                       7  "MATHEMATICS AND SCIENCE"
                      99  "OMITTED"
                       /
            IDGRADER   1  "LOWER GRADE"
                       2  "UPPER GRADE"
                       9  "OMITTED"
                       /
            ATBGAGE    1  "UNDER 25"
                       2  "25-29"
                       3  "30-39"
                       4  "40-49"
                       5  "50-59"
                       6  "60 OR OLDER"
                       9  "OMITTED"
                       /
            ATBGSEX    1  "FEMALE"
                       2  "MALE"
                       9  "OMITTED"
                       /
            ATBGFEDC   1  "DID NOT COMPL ISCED 3"
                       2  "FINISHED ISCED 3"
                       3  "FINISHED ISCED 4B"
                       4  "FINISHED ISCED 5B"
                       5  "FINISHED ISCED 5A, FIRST DEGREE"
                       6  "FINISHED ISCED 5A, 2ND DEGREE OR HIGHER"
                       9  "OMITTED"
                       /
            ATBGYTTR   1  "0 YEARS"
                       2  "1 YEAR"
                       3  "2 YEARS"
                       4  "3 YEARS"
                       5  "4 YEARS"
                       6  "5 YEARS"
                       7  "MORE THAN 5 YEARS"
                      99  "OMITTED"
                       /
            ATBGPSEP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGPSES   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMPSMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSPSSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGPSOT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMEDMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSEDSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBGEDLR   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBGEDOT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBGRB5A   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGRBPP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGRBEC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMRBMC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSRBSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGRBLE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGTLCE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGTELC   1  "<FULL CERTIFICATE>"
                       2  "<PROVISIONAL CERTIFICATE>"
                       3  "<EMERGENCY CERTIFICATE>"
                       4  "<OTHER>"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBGCHTS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCHTU   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCHTC   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCHES   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCHPS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCHPI   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCHSR   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCHSD   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ATBGCURE   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ATBGCUSN   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ATBGCUSA   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ATBGCUAS   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            ATBGOTDC   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            ATBGOTPM   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            ATBGOTVT   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            ATBGOTAT   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            ATBMRT01   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT02   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT03   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT04   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT05   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT06   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT07   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT08   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT09   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT10   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT11   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT12   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT13   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT14   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT15   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMRT16   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBMPDMT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMPDMP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMPDMC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMPDIT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGPDCT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMPDMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMTBTC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMTXBU   1  "AS THE PRIMARY BASIS FOR MY LESSONS"
                       2  "AS A SUPPLEMENTARY RESOURCE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCAML   1  "YES, WITH UNRESTRICTED USE"
                       2  "YES, WITH RESTRICTED USE"
                       3  "NO, CALCULATORS ARE NOT PERMITTED"
                       9  "OMITTED"
                       /
            ATBMHSHC   1  "ALL"
                       2  "MOST"
                       3  "ABOUT HALF"
                       4  "SOME"
                       5  "NONE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCALA   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCALR   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCALS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCALE   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCATE   1  "ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCOMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMINTA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCADM   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCASP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMCALI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMASPC   1  "EVERY  OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMASWF   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMASMS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMASMG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMASLC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMASWP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMASSG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMASEA   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBMTA01   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA02   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA03   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA04   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA05   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA06   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA07   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA08   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA09   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA10   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA11   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA12   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA13   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA14   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA15   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA16   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA17   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA18   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA19   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA20   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA21   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA22   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA23   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA24   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA25   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA26   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA27   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA28   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA29   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA30   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA31   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA32   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA33   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA34   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA35   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA36   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA37   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA38   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA39   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA40   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA41   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMTA42   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBMHMWO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBMHWMC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBMHWKM   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSRT01   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT02   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT03   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT04   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT05   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT06   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT07   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT08   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT09   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT10   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT11   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT12   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT13   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT14   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT15   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT16   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT17   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT18   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSRT19   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            ATBSPDST   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSPDSP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSPDSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSPDIT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBGPDIN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSPDSA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSSSBJ   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSTBTC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSTXBU   1  "AS THE PRIMARY BASIS FOR MY LESSONS"
                       2  "AS A SUPPLEMENTARY RESOURCE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSCOMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSINTA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSCAPE   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSCANP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSCASP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSCALI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSCSWE   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSCSDP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSCSDI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSCSSG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSCSDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSCSWS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSCSOS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSCSPW   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            ATBSTA01   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA02   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA03   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA04   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA05   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA06   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA07   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA08   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA09   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA10   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA11   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA12   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA13   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA14   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA15   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA16   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA17   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA18   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA19   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA20   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA21   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA22   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA23   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA24   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA25   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA26   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA27   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA28   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA29   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA30   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA31   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSTA32   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            ATBSHMWO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATBSHWMC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATBSHWKM   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ATDGCH     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ATDGCU     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ATDGTELC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ATDMPREP   1  "EDUC. WITH SPECIALIZATION IN MATHEMA"
                       2  "EDUC. WITH SPECIALIZATION IN SCIENCE"
                       3  "SPEC.IN MATHEM. OR SCIENCE BUT NO PRIMAR"
                       4  "ONLY PRIMARY/ELEMENTARY EDU"
                       5  "OTHER"
                       9  "OMITTED"
                       /
            ATDMSTUD   1  "1-19 STUDENTS"
                       2  "20-26 STUDENTS"
                       3  "27-32 STUDENTS"
                       4  "33 OR MORE STUDENTS"
                       9  "OMITTED"
                       /
            ATDMH      1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ATDSPREP   1  "EDUC. WITH SPECIALIZATION IN SCIENCE"
                       2  "EDUC. WITH SPECIALIZATION IN MATHEMA"
                       3  "SPEC.IN MATHEM. OR SCIENCE BUT NO PRIMAR"
                       4  "ONLY PRIMARY/ELEMENTARY EDU"
                       5  "OTHER"
                       9  "OMITTED"
                       /
            ATDSSTUD   1  "1-19 STUDENTS"
                       2  "20-26 STUDENTS"
                       3  "27-32 STUDENTS27-32 STUDENTS"
                       4  "33 OR MORE STUDENTS"
                       9  "OMITTED"
                       /
            ATDSH      1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode ITCOURSE (98               = sysmis).
recode IDGRADER (8                = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode ATBGAGE  (8                = sysmis).
recode ATBGSEX  (8                = sysmis).
recode ATBGTAUT (98               = sysmis).
recode ATBGFEDC (8                = sysmis).
recode ATBGYTTR (98               = sysmis).
recode ATBGPSEP (8                = sysmis).
recode ATBGPSES (8                = sysmis).
recode ATBMPSMA (8                = sysmis).
recode ATBSPSSC (8                = sysmis).
recode ATBGPSOT (8                = sysmis).
recode ATBMEDMA (8                = sysmis).
recode ATBSEDSC (8                = sysmis).
recode ATBGEDLR (8                = sysmis).
recode ATBGEDOT (8                = sysmis).
recode ATBGRB5A (8                = sysmis).
recode ATBGRBPP (8                = sysmis).
recode ATBGRBEC (8                = sysmis).
recode ATBMRBMC (8                = sysmis).
recode ATBSRBSC (8                = sysmis).
recode ATBGRBLE (8                = sysmis).
recode ATBGTLCE (8                = sysmis).
recode ATBGTELC (8                = sysmis).
recode ATBGCHTS (8                = sysmis).
recode ATBGCHTU (8                = sysmis).
recode ATBGCHTC (8                = sysmis).
recode ATBGCHES (8                = sysmis).
recode ATBGCHPS (8                = sysmis).
recode ATBGCHPI (8                = sysmis).
recode ATBGCHSR (8                = sysmis).
recode ATBGCHSD (8                = sysmis).
recode ATBGCURE (8                = sysmis).
recode ATBGCUSN (8                = sysmis).
recode ATBGCUSA (8                = sysmis).
recode ATBGCUAS (8                = sysmis).
recode ATBGOTDC (8                = sysmis).
recode ATBGOTPM (8                = sysmis).
recode ATBGOTVT (8                = sysmis).
recode ATBGOTAT (8                = sysmis).
recode ATBMRT01 (8                = sysmis).
recode ATBMRT02 (8                = sysmis).
recode ATBMRT03 (8                = sysmis).
recode ATBMRT04 (8                = sysmis).
recode ATBMRT05 (8                = sysmis).
recode ATBMRT06 (8                = sysmis).
recode ATBMRT07 (8                = sysmis).
recode ATBMRT08 (8                = sysmis).
recode ATBMRT09 (8                = sysmis).
recode ATBMRT10 (8                = sysmis).
recode ATBMRT11 (8                = sysmis).
recode ATBMRT12 (8                = sysmis).
recode ATBMRT13 (8                = sysmis).
recode ATBMRT14 (8                = sysmis).
recode ATBMRT15 (8                = sysmis).
recode ATBMRT16 (8                = sysmis).
recode ATBMPDMT (8                = sysmis).
recode ATBMPDMP (8                = sysmis).
recode ATBMPDMC (8                = sysmis).
recode ATBMPDIT (8                = sysmis).
recode ATBGPDCT (8                = sysmis).
recode ATBMPDMA (8                = sysmis).
recode ATBMSTUD (998              = sysmis).
recode ATBMSTDQ (998              = sysmis).
recode ATBMTIMT (998              = sysmis).
recode ATBMTBTC (8                = sysmis).
recode ATBMTXBU (8                = sysmis).
recode ATBMPTRH (998              = sysmis).
recode ATBMPTLS (998              = sysmis).
recode ATBMPTYG (998              = sysmis).
recode ATBMPTOO (998              = sysmis).
recode ATBMPTRT (998              = sysmis).
recode ATBMPTTQ (998              = sysmis).
recode ATBMPTCM (998              = sysmis).
recode ATBMPTOA (998              = sysmis).
recode ATBMCAML (8                = sysmis).
recode ATBMHSHC (8                = sysmis).
recode ATBMCALA (8                = sysmis).
recode ATBMCALR (8                = sysmis).
recode ATBMCALS (8                = sysmis).
recode ATBMCALE (8                = sysmis).
recode ATBMCATE (8                = sysmis).
recode ATBMCOMA (8                = sysmis).
recode ATBMINTA (8                = sysmis).
recode ATBMCADM (8                = sysmis).
recode ATBMCASP (8                = sysmis).
recode ATBMCALI (8                = sysmis).
recode ATBMASPC (8                = sysmis).
recode ATBMASWF (8                = sysmis).
recode ATBMASMS (8                = sysmis).
recode ATBMASMG (8                = sysmis).
recode ATBMASLC (8                = sysmis).
recode ATBMASWP (8                = sysmis).
recode ATBMASSG (8                = sysmis).
recode ATBMASEA (8                = sysmis).
recode ATBMTTNU (998              = sysmis).
recode ATBMTTPA (998              = sysmis).
recode ATBMTTME (998              = sysmis).
recode ATBMTTGE (998              = sysmis).
recode ATBMTTDA (998              = sysmis).
recode ATBMCOTH (998              = sysmis).
recode ATBMTA01 (8                = sysmis).
recode ATBMTA02 (8                = sysmis).
recode ATBMTA03 (8                = sysmis).
recode ATBMTA04 (8                = sysmis).
recode ATBMTA05 (8                = sysmis).
recode ATBMTA06 (8                = sysmis).
recode ATBMTA07 (8                = sysmis).
recode ATBMTA08 (8                = sysmis).
recode ATBMTA09 (8                = sysmis).
recode ATBMTA10 (8                = sysmis).
recode ATBMTA11 (8                = sysmis).
recode ATBMTA12 (8                = sysmis).
recode ATBMTA13 (8                = sysmis).
recode ATBMTA14 (8                = sysmis).
recode ATBMTA15 (8                = sysmis).
recode ATBMTA16 (8                = sysmis).
recode ATBMTA17 (8                = sysmis).
recode ATBMTA18 (8                = sysmis).
recode ATBMTA19 (8                = sysmis).
recode ATBMTA20 (8                = sysmis).
recode ATBMTA21 (8                = sysmis).
recode ATBMTA22 (8                = sysmis).
recode ATBMTA23 (8                = sysmis).
recode ATBMTA24 (8                = sysmis).
recode ATBMTA25 (8                = sysmis).
recode ATBMTA26 (8                = sysmis).
recode ATBMTA27 (8                = sysmis).
recode ATBMTA28 (8                = sysmis).
recode ATBMTA29 (8                = sysmis).
recode ATBMTA30 (8                = sysmis).
recode ATBMTA31 (8                = sysmis).
recode ATBMTA32 (8                = sysmis).
recode ATBMTA33 (8                = sysmis).
recode ATBMTA34 (8                = sysmis).
recode ATBMTA35 (8                = sysmis).
recode ATBMTA36 (8                = sysmis).
recode ATBMTA37 (8                = sysmis).
recode ATBMTA38 (8                = sysmis).
recode ATBMTA39 (8                = sysmis).
recode ATBMTA40 (8                = sysmis).
recode ATBMTA41 (8                = sysmis).
recode ATBMTA42 (8                = sysmis).
recode ATBMHMWO (8                = sysmis).
recode ATBMHWMC (8                = sysmis).
recode ATBMHWKM (8                = sysmis).
recode ATBSRT01 (8                = sysmis).
recode ATBSRT02 (8                = sysmis).
recode ATBSRT03 (8                = sysmis).
recode ATBSRT04 (8                = sysmis).
recode ATBSRT05 (8                = sysmis).
recode ATBSRT06 (8                = sysmis).
recode ATBSRT07 (8                = sysmis).
recode ATBSRT08 (8                = sysmis).
recode ATBSRT09 (8                = sysmis).
recode ATBSRT10 (8                = sysmis).
recode ATBSRT11 (8                = sysmis).
recode ATBSRT12 (8                = sysmis).
recode ATBSRT13 (8                = sysmis).
recode ATBSRT14 (8                = sysmis).
recode ATBSRT15 (8                = sysmis).
recode ATBSRT16 (8                = sysmis).
recode ATBSRT17 (8                = sysmis).
recode ATBSRT18 (8                = sysmis).
recode ATBSRT19 (8                = sysmis).
recode ATBSPDST (8                = sysmis).
recode ATBSPDSP (8                = sysmis).
recode ATBSPDSC (8                = sysmis).
recode ATBSPDIT (8                = sysmis).
recode ATBGPDIN (8                = sysmis).
recode ATBSPDSA (8                = sysmis).
recode ATBSSTUD (998              = sysmis).
recode ATBSSTDQ (998              = sysmis).
recode ATBSSSBJ (8                = sysmis).
recode ATBSYMWT (998              = sysmis).
recode ATBSNMWT (998              = sysmis).
recode ATBSTBTC (8                = sysmis).
recode ATBSTXBU (8                = sysmis).
recode ATBSCOMA (8                = sysmis).
recode ATBSINTA (8                = sysmis).
recode ATBSCAPE (8                = sysmis).
recode ATBSCANP (8                = sysmis).
recode ATBSCASP (8                = sysmis).
recode ATBSCALI (8                = sysmis).
recode ATBSCSWE (8                = sysmis).
recode ATBSCSDP (8                = sysmis).
recode ATBSCSDI (8                = sysmis).
recode ATBSCSSG (8                = sysmis).
recode ATBSCSDL (8                = sysmis).
recode ATBSCSWS (8                = sysmis).
recode ATBSCSOS (8                = sysmis).
recode ATBSCSPW (8                = sysmis).
recode ATBSPTLS (998              = sysmis).
recode ATBSPTPS (998              = sysmis).
recode ATBSPTES (998              = sysmis).
recode ATBSCOTH (998              = sysmis).
recode ATBSTA01 (8                = sysmis).
recode ATBSTA02 (8                = sysmis).
recode ATBSTA03 (8                = sysmis).
recode ATBSTA04 (8                = sysmis).
recode ATBSTA05 (8                = sysmis).
recode ATBSTA06 (8                = sysmis).
recode ATBSTA07 (8                = sysmis).
recode ATBSTA08 (8                = sysmis).
recode ATBSTA09 (8                = sysmis).
recode ATBSTA10 (8                = sysmis).
recode ATBSTA11 (8                = sysmis).
recode ATBSTA12 (8                = sysmis).
recode ATBSTA13 (8                = sysmis).
recode ATBSTA14 (8                = sysmis).
recode ATBSTA15 (8                = sysmis).
recode ATBSTA16 (8                = sysmis).
recode ATBSTA17 (8                = sysmis).
recode ATBSTA18 (8                = sysmis).
recode ATBSTA19 (8                = sysmis).
recode ATBSTA20 (8                = sysmis).
recode ATBSTA21 (8                = sysmis).
recode ATBSTA22 (8                = sysmis).
recode ATBSTA23 (8                = sysmis).
recode ATBSTA24 (8                = sysmis).
recode ATBSTA25 (8                = sysmis).
recode ATBSTA26 (8                = sysmis).
recode ATBSTA27 (8                = sysmis).
recode ATBSTA28 (8                = sysmis).
recode ATBSTA29 (8                = sysmis).
recode ATBSTA30 (8                = sysmis).
recode ATBSTA31 (8                = sysmis).
recode ATBSTA32 (8                = sysmis).
recode ATBSHMWO (8                = sysmis).
recode ATBSHWMC (8                = sysmis).
recode ATBSHWKM (8                = sysmis).
recode ATDGCH   (8                = sysmis).
recode ATDGCU   (8                = sysmis).
recode ATDGTELC (8                = sysmis).
recode ATDMPREP (8                = sysmis).
recode ATDMSTUD (8                = sysmis).
recode ATDMTANU (998              = sysmis).
recode ATDMTAOV (998              = sysmis).
recode ATDMH    (8                = sysmis).
recode ATDMTAME (998              = sysmis).
recode ATDMTAGE (998              = sysmis).
recode ATDMTADA (998              = sysmis).
recode ATDMTAPE (998              = sysmis).
recode ATDSPREP (8                = sysmis).
recode ATDSSTUD (8                = sysmis).
recode ATDSH    (8                = sysmis).
recode ATDSTALI (998              = sysmis).
recode ATDSTAPH (998              = sysmis).
recode ATDSTAEA (998              = sysmis).
recode ATDSTAOV (998              = sysmis).
recode DPCDATE  (999998           = sysmis).


*NOTE: recode "omitted" data to user defined "missing value"

missing value IDPOP   (9).
missing value ITCOURSE(99).
missing value IDGRADER(9).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value ATBGAGE (9).
missing value ATBGSEX (9).
missing value ATBGTAUT(99).
missing value ATBGFEDC(9).
missing value ATBGYTTR(99).
missing value ATBGPSEP(9).
missing value ATBGPSES(9).
missing value ATBMPSMA(9).
missing value ATBSPSSC(9).
missing value ATBGPSOT(9).
missing value ATBMEDMA(9 6).
missing value ATBSEDSC(9 6).
missing value ATBGEDLR(9 6).
missing value ATBGEDOT(9 6).
missing value ATBGRB5A(9).
missing value ATBGRBPP(9).
missing value ATBGRBEC(9).
missing value ATBMRBMC(9).
missing value ATBSRBSC(9).
missing value ATBGRBLE(9).
missing value ATBGTLCE(9).
missing value ATBGTELC(9 6).
missing value ATBGCHTS(9).
missing value ATBGCHTU(9).
missing value ATBGCHTC(9).
missing value ATBGCHES(9).
missing value ATBGCHPS(9).
missing value ATBGCHPI(9).
missing value ATBGCHSR(9).
missing value ATBGCHSD(9).
missing value ATBGCURE(9).
missing value ATBGCUSN(9).
missing value ATBGCUSA(9).
missing value ATBGCUAS(9).
missing value ATBGOTDC(9).
missing value ATBGOTPM(9).
missing value ATBGOTVT(9).
missing value ATBGOTAT(9).
missing value ATBMRT01(9).
missing value ATBMRT02(9).
missing value ATBMRT03(9).
missing value ATBMRT04(9).
missing value ATBMRT05(9).
missing value ATBMRT06(9).
missing value ATBMRT07(9).
missing value ATBMRT08(9).
missing value ATBMRT09(9).
missing value ATBMRT10(9).
missing value ATBMRT11(9).
missing value ATBMRT12(9).
missing value ATBMRT13(9).
missing value ATBMRT14(9).
missing value ATBMRT15(9).
missing value ATBMRT16(9).
missing value ATBMPDMT(9).
missing value ATBMPDMP(9).
missing value ATBMPDMC(9).
missing value ATBMPDIT(9).
missing value ATBGPDCT(9).
missing value ATBMPDMA(9).
missing value ATBMSTUD(999).
missing value ATBMSTDQ(999).
missing value ATBMTIMT(999).
missing value ATBMTBTC(9).
missing value ATBMTXBU(9 6).
missing value ATBMPTRH(999).
missing value ATBMPTLS(999).
missing value ATBMPTYG(999).
missing value ATBMPTOO(999).
missing value ATBMPTRT(999).
missing value ATBMPTTQ(999).
missing value ATBMPTCM(999).
missing value ATBMPTOA(999).
missing value ATBMCAML(9).
missing value ATBMHSHC(9 6).
missing value ATBMCALA(9 6).
missing value ATBMCALR(9 6).
missing value ATBMCALS(9 6).
missing value ATBMCALE(9 6).
missing value ATBMCATE(9 6).
missing value ATBMCOMA(9).
missing value ATBMINTA(9 6).
missing value ATBMCADM(9 6).
missing value ATBMCASP(9 6).
missing value ATBMCALI(9 6).
missing value ATBMASPC(9).
missing value ATBMASWF(9).
missing value ATBMASMS(9).
missing value ATBMASMG(9).
missing value ATBMASLC(9).
missing value ATBMASWP(9).
missing value ATBMASSG(9).
missing value ATBMASEA(9).
missing value ATBMTTNU(999).
missing value ATBMTTPA(999).
missing value ATBMTTME(999).
missing value ATBMTTGE(999).
missing value ATBMTTDA(999).
missing value ATBMCOTH(999).
missing value ATBMTA01(9).
missing value ATBMTA02(9).
missing value ATBMTA03(9).
missing value ATBMTA04(9).
missing value ATBMTA05(9).
missing value ATBMTA06(9).
missing value ATBMTA07(9).
missing value ATBMTA08(9).
missing value ATBMTA09(9).
missing value ATBMTA10(9).
missing value ATBMTA11(9).
missing value ATBMTA12(9).
missing value ATBMTA13(9).
missing value ATBMTA14(9).
missing value ATBMTA15(9).
missing value ATBMTA16(9).
missing value ATBMTA17(9).
missing value ATBMTA18(9).
missing value ATBMTA19(9).
missing value ATBMTA20(9).
missing value ATBMTA21(9).
missing value ATBMTA22(9).
missing value ATBMTA23(9).
missing value ATBMTA24(9).
missing value ATBMTA25(9).
missing value ATBMTA26(9).
missing value ATBMTA27(9).
missing value ATBMTA28(9).
missing value ATBMTA29(9).
missing value ATBMTA30(9).
missing value ATBMTA31(9).
missing value ATBMTA32(9).
missing value ATBMTA33(9).
missing value ATBMTA34(9).
missing value ATBMTA35(9).
missing value ATBMTA36(9).
missing value ATBMTA37(9).
missing value ATBMTA38(9).
missing value ATBMTA39(9).
missing value ATBMTA40(9).
missing value ATBMTA41(9).
missing value ATBMTA42(9).
missing value ATBMHMWO(9).
missing value ATBMHWMC(9 6).
missing value ATBMHWKM(9 6).
missing value ATBSRT01(9).
missing value ATBSRT02(9).
missing value ATBSRT03(9).
missing value ATBSRT04(9).
missing value ATBSRT05(9).
missing value ATBSRT06(9).
missing value ATBSRT07(9).
missing value ATBSRT08(9).
missing value ATBSRT09(9).
missing value ATBSRT10(9).
missing value ATBSRT11(9).
missing value ATBSRT12(9).
missing value ATBSRT13(9).
missing value ATBSRT14(9).
missing value ATBSRT15(9).
missing value ATBSRT16(9).
missing value ATBSRT17(9).
missing value ATBSRT18(9).
missing value ATBSRT19(9).
missing value ATBSPDST(9).
missing value ATBSPDSP(9).
missing value ATBSPDSC(9).
missing value ATBSPDIT(9).
missing value ATBGPDIN(9).
missing value ATBSPDSA(9).
missing value ATBSSTUD(999).
missing value ATBSSTDQ(999).
missing value ATBSSSBJ(9).
missing value ATBSYMWT(999 996).
missing value ATBSNMWT(999 996).
missing value ATBSTBTC(9 6).
missing value ATBSTXBU(9 6).
missing value ATBSCOMA(9).
missing value ATBSINTA(9 6).
missing value ATBSCAPE(9 6).
missing value ATBSCANP(9 6).
missing value ATBSCASP(9 6).
missing value ATBSCALI(9 6).
missing value ATBSCSWE(9).
missing value ATBSCSDP(9).
missing value ATBSCSDI(9).
missing value ATBSCSSG(9).
missing value ATBSCSDL(9).
missing value ATBSCSWS(9).
missing value ATBSCSOS(9).
missing value ATBSCSPW(9).
missing value ATBSPTLS(999).
missing value ATBSPTPS(999).
missing value ATBSPTES(999).
missing value ATBSCOTH(999).
missing value ATBSTA01(9).
missing value ATBSTA02(9).
missing value ATBSTA03(9).
missing value ATBSTA04(9).
missing value ATBSTA05(9).
missing value ATBSTA06(9).
missing value ATBSTA07(9).
missing value ATBSTA08(9).
missing value ATBSTA09(9).
missing value ATBSTA10(9).
missing value ATBSTA11(9).
missing value ATBSTA12(9).
missing value ATBSTA13(9).
missing value ATBSTA14(9).
missing value ATBSTA15(9).
missing value ATBSTA16(9).
missing value ATBSTA17(9).
missing value ATBSTA18(9).
missing value ATBSTA19(9).
missing value ATBSTA20(9).
missing value ATBSTA21(9).
missing value ATBSTA22(9).
missing value ATBSTA23(9).
missing value ATBSTA24(9).
missing value ATBSTA25(9).
missing value ATBSTA26(9).
missing value ATBSTA27(9).
missing value ATBSTA28(9).
missing value ATBSTA29(9).
missing value ATBSTA30(9).
missing value ATBSTA31(9).
missing value ATBSTA32(9).
missing value ATBSHMWO(9).
missing value ATBSHWMC(9 6).
missing value ATBSHWKM(9 6).
missing value ATDGCH  (9).
missing value ATDGCU  (9).
missing value ATDGTELC(9).
missing value ATDMPREP(9).
missing value ATDMSTUD(9).
missing value ATDMTANU(999).
missing value ATDMTAOV(999).
missing value ATDMH   (9).
missing value ATDMTAME(999).
missing value ATDMTAGE(999).
missing value ATDMTADA(999).
missing value ATDMTAPE(999).
missing value ATDSPREP(9).
missing value ATDSSTUD(9).
missing value ATDSH   (9).
missing value ATDSTALI(999).
missing value ATDSTAPH(999).
missing value ATDSTAEA(999).
missing value ATDSTAOV(999).
missing value DPCDATE (999999).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f4.0).
format IDTEACH  (f6.0).
format IDLINK   (f2.0).
format ITCOURSE (f2.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format ATBGAGE  (f1.0).
format ATBGSEX  (f1.0).
format ATBGTAUT (f2.0).
format ATBGFEDC (f1.0).
format ATBGYTTR (f2.0).
format ATBGPSEP (f1.0).
format ATBGPSES (f1.0).
format ATBMPSMA (f1.0).
format ATBSPSSC (f1.0).
format ATBGPSOT (f1.0).
format ATBMEDMA (f1.0).
format ATBSEDSC (f1.0).
format ATBGEDLR (f1.0).
format ATBGEDOT (f1.0).
format ATBGRB5A (f1.0).
format ATBGRBPP (f1.0).
format ATBGRBEC (f1.0).
format ATBMRBMC (f1.0).
format ATBSRBSC (f1.0).
format ATBGRBLE (f1.0).
format ATBGTLCE (f1.0).
format ATBGTELC (f1.0).
format ATBGCHTS (f1.0).
format ATBGCHTU (f1.0).
format ATBGCHTC (f1.0).
format ATBGCHES (f1.0).
format ATBGCHPS (f1.0).
format ATBGCHPI (f1.0).
format ATBGCHSR (f1.0).
format ATBGCHSD (f1.0).
format ATBGCURE (f1.0).
format ATBGCUSN (f1.0).
format ATBGCUSA (f1.0).
format ATBGCUAS (f1.0).
format ATBGOTDC (f1.0).
format ATBGOTPM (f1.0).
format ATBGOTVT (f1.0).
format ATBGOTAT (f1.0).
format ATBMRT01 (f1.0).
format ATBMRT02 (f1.0).
format ATBMRT03 (f1.0).
format ATBMRT04 (f1.0).
format ATBMRT05 (f1.0).
format ATBMRT06 (f1.0).
format ATBMRT07 (f1.0).
format ATBMRT08 (f1.0).
format ATBMRT09 (f1.0).
format ATBMRT10 (f1.0).
format ATBMRT11 (f1.0).
format ATBMRT12 (f1.0).
format ATBMRT13 (f1.0).
format ATBMRT14 (f1.0).
format ATBMRT15 (f1.0).
format ATBMRT16 (f1.0).
format ATBMPDMT (f1.0).
format ATBMPDMP (f1.0).
format ATBMPDMC (f1.0).
format ATBMPDIT (f1.0).
format ATBGPDCT (f1.0).
format ATBMPDMA (f1.0).
format ATBMSTUD (f3.0).
format ATBMSTDQ (f3.0).
format ATBMTIMT (f3.0).
format ATBMTBTC (f1.0).
format ATBMTXBU (f1.0).
format ATBMPTRH (f3.0).
format ATBMPTLS (f3.0).
format ATBMPTYG (f3.0).
format ATBMPTOO (f3.0).
format ATBMPTRT (f3.0).
format ATBMPTTQ (f3.0).
format ATBMPTCM (f3.0).
format ATBMPTOA (f3.0).
format ATBMCAML (f1.0).
format ATBMHSHC (f1.0).
format ATBMCALA (f1.0).
format ATBMCALR (f1.0).
format ATBMCALS (f1.0).
format ATBMCALE (f1.0).
format ATBMCATE (f1.0).
format ATBMCOMA (f1.0).
format ATBMINTA (f1.0).
format ATBMCADM (f1.0).
format ATBMCASP (f1.0).
format ATBMCALI (f1.0).
format ATBMASPC (f1.0).
format ATBMASWF (f1.0).
format ATBMASMS (f1.0).
format ATBMASMG (f1.0).
format ATBMASLC (f1.0).
format ATBMASWP (f1.0).
format ATBMASSG (f1.0).
format ATBMASEA (f1.0).
format ATBMTTNU (f3.0).
format ATBMTTPA (f3.0).
format ATBMTTME (f3.0).
format ATBMTTGE (f3.0).
format ATBMTTDA (f3.0).
format ATBMCOTH (f3.0).
format ATBMTA01 (f1.0).
format ATBMTA02 (f1.0).
format ATBMTA03 (f1.0).
format ATBMTA04 (f1.0).
format ATBMTA05 (f1.0).
format ATBMTA06 (f1.0).
format ATBMTA07 (f1.0).
format ATBMTA08 (f1.0).
format ATBMTA09 (f1.0).
format ATBMTA10 (f1.0).
format ATBMTA11 (f1.0).
format ATBMTA12 (f1.0).
format ATBMTA13 (f1.0).
format ATBMTA14 (f1.0).
format ATBMTA15 (f1.0).
format ATBMTA16 (f1.0).
format ATBMTA17 (f1.0).
format ATBMTA18 (f1.0).
format ATBMTA19 (f1.0).
format ATBMTA20 (f1.0).
format ATBMTA21 (f1.0).
format ATBMTA22 (f1.0).
format ATBMTA23 (f1.0).
format ATBMTA24 (f1.0).
format ATBMTA25 (f1.0).
format ATBMTA26 (f1.0).
format ATBMTA27 (f1.0).
format ATBMTA28 (f1.0).
format ATBMTA29 (f1.0).
format ATBMTA30 (f1.0).
format ATBMTA31 (f1.0).
format ATBMTA32 (f1.0).
format ATBMTA33 (f1.0).
format ATBMTA34 (f1.0).
format ATBMTA35 (f1.0).
format ATBMTA36 (f1.0).
format ATBMTA37 (f1.0).
format ATBMTA38 (f1.0).
format ATBMTA39 (f1.0).
format ATBMTA40 (f1.0).
format ATBMTA41 (f1.0).
format ATBMTA42 (f1.0).
format ATBMHMWO (f1.0).
format ATBMHWMC (f1.0).
format ATBMHWKM (f1.0).
format ATBSRT01 (f1.0).
format ATBSRT02 (f1.0).
format ATBSRT03 (f1.0).
format ATBSRT04 (f1.0).
format ATBSRT05 (f1.0).
format ATBSRT06 (f1.0).
format ATBSRT07 (f1.0).
format ATBSRT08 (f1.0).
format ATBSRT09 (f1.0).
format ATBSRT10 (f1.0).
format ATBSRT11 (f1.0).
format ATBSRT12 (f1.0).
format ATBSRT13 (f1.0).
format ATBSRT14 (f1.0).
format ATBSRT15 (f1.0).
format ATBSRT16 (f1.0).
format ATBSRT17 (f1.0).
format ATBSRT18 (f1.0).
format ATBSRT19 (f1.0).
format ATBSPDST (f1.0).
format ATBSPDSP (f1.0).
format ATBSPDSC (f1.0).
format ATBSPDIT (f1.0).
format ATBGPDIN (f1.0).
format ATBSPDSA (f1.0).
format ATBSSTUD (f3.0).
format ATBSSTDQ (f3.0).
format ATBSSSBJ (f1.0).
format ATBSYMWT (f3.0).
format ATBSNMWT (f3.0).
format ATBSTBTC (f1.0).
format ATBSTXBU (f1.0).
format ATBSCOMA (f1.0).
format ATBSINTA (f1.0).
format ATBSCAPE (f1.0).
format ATBSCANP (f1.0).
format ATBSCASP (f1.0).
format ATBSCALI (f1.0).
format ATBSCSWE (f1.0).
format ATBSCSDP (f1.0).
format ATBSCSDI (f1.0).
format ATBSCSSG (f1.0).
format ATBSCSDL (f1.0).
format ATBSCSWS (f1.0).
format ATBSCSOS (f1.0).
format ATBSCSPW (f1.0).
format ATBSPTLS (f3.0).
format ATBSPTPS (f3.0).
format ATBSPTES (f3.0).
format ATBSCOTH (f3.0).
format ATBSTA01 (f1.0).
format ATBSTA02 (f1.0).
format ATBSTA03 (f1.0).
format ATBSTA04 (f1.0).
format ATBSTA05 (f1.0).
format ATBSTA06 (f1.0).
format ATBSTA07 (f1.0).
format ATBSTA08 (f1.0).
format ATBSTA09 (f1.0).
format ATBSTA10 (f1.0).
format ATBSTA11 (f1.0).
format ATBSTA12 (f1.0).
format ATBSTA13 (f1.0).
format ATBSTA14 (f1.0).
format ATBSTA15 (f1.0).
format ATBSTA16 (f1.0).
format ATBSTA17 (f1.0).
format ATBSTA18 (f1.0).
format ATBSTA19 (f1.0).
format ATBSTA20 (f1.0).
format ATBSTA21 (f1.0).
format ATBSTA22 (f1.0).
format ATBSTA23 (f1.0).
format ATBSTA24 (f1.0).
format ATBSTA25 (f1.0).
format ATBSTA26 (f1.0).
format ATBSTA27 (f1.0).
format ATBSTA28 (f1.0).
format ATBSTA29 (f1.0).
format ATBSTA30 (f1.0).
format ATBSTA31 (f1.0).
format ATBSTA32 (f1.0).
format ATBSHMWO (f1.0).
format ATBSHWMC (f1.0).
format ATBSHWKM (f1.0).
format ATDGCH   (f1.0).
format ATDGCU   (f1.0).
format ATDGTELC (f1.0).
format ATDMPREP (f1.0).
format ATDMSTUD (f1.0).
format ATDMTANU (f6.2).
format ATDMTAOV (f6.2).
format ATDMH    (f1.0).
format ATDMTAME (f6.2).
format ATDMTAGE (f6.2).
format ATDMTADA (f6.2).
format ATDMTAPE (f6.2).
format ATDSPREP (f1.0).
format ATDSSTUD (f1.0).
format ATDSH    (f1.0).
format ATDSTALI (f6.2).
format ATDSTAPH (f6.2).
format ATDSTAEA (f6.2).
format ATDSTAOV (f6.2).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want compressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata /COMPRESSED.

!doend
!enddefine

create country = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
                 ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
                 RUS SCO SGP SVN TUN TWN USA UIN YEM.
