**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bcg,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,bcg,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  10     
  IDSTRATE   11-  13     
  IDSTRATI   14-  16     
  IDGRADE    17-  18     
  IDGRADER   19-  19     
  INTMS03    20-  20     
  INTMS99    21-  21     
  INTMS95    22-  22     
  BCBGLOWG   23-  24     
  BCBGHIGG   25-  26     
  BCBGTENR   27-  31     
  BCBGEENR   32-  36     
  BCBGCOMU   37-  37     
  BCBGASTD   38-  38     
  BCBGENRS   39-  39     
  BCBGENSY   40-  40     
  BCBGSBED   41-  41     
  BCBGSBEA   42-  42     
  BCBGNALA   43-  43     
  BCBGCHTS   44-  44     
  BCBGCHTU   45-  45     
  BCBGCHTC   46-  46     
  BCBGCHES   47-  47     
  BCBGCHPS   48-  48     
  BCBGCHPI   49-  49     
  BCBGCHSR   50-  50     
  BCBGCHSD   51-  51     
  BCBGYEPS   52-  53     
  BCBGAPAD   54-  56     
  BCBGAPIL   57-  59     
  BCBGAPST   60-  62     
  BCBGAPTE   63-  65     
  BCBGAPPR   66-  68     
  BCBGAPOT   69-  71     
  BCBGEPSE   72-  72     
  BCBGEPRF   73-  73     
  BCBGEPVO   74-  74     
  BCBGEPCH   75-  75     
  BCBGEPSC   76-  76     
  BCBGDYSO   77-  79     
  BCBGDWFU   80-  81     
  BCBGDWHA   82-  83     
  BCBGTITD   84-  84     
  BCBMODLA   85-  85     
  BCBMGAMC   86-  86     
  BCBMSOEM   87-  87     
  BCBMSORM   88-  88     
  BCBSODLA   89-  89     
  BCBSGASC   90-  90     
  BCBSSOES   91-  91     
  BCBSSORS   92-  92     
  BCBMFVAY   93-  93     
  BCBSFVAY   94-  94     
  BCBSFVCY   95-  95     
  BCBMRRTM   96-  96     
  BCBSRRTS   97-  97     
  BCBGRRTO   98-  98     
  BCBGPDIC   99-  99     
  BCBGPDSG  100- 100     
  BCBGPDIK  101- 101     
  BCBGPDTS  102- 102     
  BCBGPDUT  103- 103     
  BCBMEPOS  104- 104     
  BCBMEPOE  105- 105     
  BCBMEPSA  106- 106     
  BCBMEPTR  107- 107     
  BCBSEPOS  108- 108     
  BCBSEPOE  109- 109     
  BCBSEPSA  110- 110     
  BCBSEPTR  111- 111     
  BCBGFP01  112- 112     
  BCBGFP02  113- 113     
  BCBGFP03  114- 114     
  BCBGFP04  115- 115     
  BCBGFP05  116- 116     
  BCBGFP06  117- 117     
  BCBGFP07  118- 118     
  BCBGFP08  119- 119     
  BCBGFP09  120- 120     
  BCBGFP10  121- 121     
  BCBGFP11  122- 122     
  BCBGFP12  123- 123     
  BCBGFP13  124- 124     
  BCBGSP01  125- 125     
  BCBGSP02  126- 126     
  BCBGSP03  127- 127     
  BCBGSP04  128- 128     
  BCBGSP05  129- 129     
  BCBGSP06  130- 130     
  BCBGSP07  131- 131     
  BCBGSP08  132- 132     
  BCBGSP09  133- 133     
  BCBGSP10  134- 134     
  BCBGSP11  135- 135     
  BCBGSP12  136- 136     
  BCBGSP13  137- 137     
  BCBGST01  138- 138     
  BCBGST02  139- 139     
  BCBGST03  140- 140     
  BCBGST04  141- 141     
  BCBGST05  142- 142     
  BCBGST06  143- 143     
  BCBMST07  144- 144     
  BCBMST08  145- 145     
  BCBMST09  146- 146     
  BCBMST10  147- 147     
  BCBMST11  148- 148     
  BCBSST12  149- 149     
  BCBSST13  150- 150     
  BCBSST14  151- 151     
  BCBSST15  152- 152     
  BCBSST16  153- 153     
  BCBSST17  154- 154     
  BCBGSH18  155- 155     
  BCBGSH19  156- 156     
  BCBGCMPS  157- 159     
  BCBGCMPI  160- 160     
  BCBGHTTE  161- 161     
  BCBGPHTE  162- 163     
  SCHWGT    164- 171 (3)
  STOTWGTU  172- 179 (2)
  WGTADJ1   180- 185 (3)
  WGTFAC1   186- 192 (2)
  JKCREP    193- 193     
  JKCZONE   194- 195     
  BCDGWKYR  196- 200 (2)
  BCDGTITD  201- 207 (2)
  BCDGCH    208- 208     
  BCDMST    209- 209     
  BCDGSP    210- 210     
  BCDSST    211- 211     
  DPCDATE   212- 217     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDSTRATE "EXPLICIT STRATUM CODE" 
                 /IDSTRATI "IMPLICIT STRATUM CODE" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /BCBGLOWG "GEN\GRADE LEVEL\LOWEST GRADE" 
                 /BCBGHIGG "GEN\GRADE LEVEL\HIGHEST GRADE" 
                 /BCBGTENR "GEN\TOTAL SCHOOL ENROLLMENT\ALL GRADES" 
                 /BCBGEENR "GEN\TOTAL SCHOOL ENROLLMENT\EIGHT GRADE" 
                 /BCBGCOMU "GEN\TYPE OF COMMUNITY" 
                 /BCBGASTD "GEN\PERCENT OF STUDENT ABSENT FROM SCH" 
                 /BCBGENRS "GEN\PERCENT OF STUDENTS STILL ENROLLED" 
                 /BCBGENSY "GEN\PERCENT OF STUDS ENROLLED AFTER BEGI" 
                 /BCBGSBED "GEN\STUDENTS BACKGROUND\ECONOMIC DISADVA" 
                 /BCBGSBEA "GEN\STUDENTS BACKGROUND\ECONOMIC AFFLUEN" 
                 /BCBGNALA "GEN\ PERCENT OF STUDENTS 1ST LANGUAGE" 
                 /BCBGCHTS "GEN\IN SCHOOL\TEACHERS JOB SATISFACTION" 
                 /BCBGCHTU "GEN\IN SCHOOL\TEACHERS UNDERSTA GOALS" 
                 /BCBGCHTC "GEN\IN SCHOOL\TEACHERS DEGREE OF SUCCESS" 
                 /BCBGCHES "GEN\IN SCHOOL\TEACHERS EXPECT STUDS ACH" 
                 /BCBGCHPS "GEN\IN SCHOOL\PARENTS SUPPORT STUDS ACH" 
                 /BCBGCHPI "GEN\IN SCHOOL\PARENTS INVOLVED IN SCH AC" 
                 /BCBGCHSR "GEN\IN SCHOOL\STUDS REGARD SCH PROPERTY" 
                 /BCBGCHSD "GEN\IN SCHOOL\STUDS DESIRE TO DO WELL" 
                 /BCBGYEPS "GEN\NUMBER OF YEARS PRINCIPAL THIS SCH" 
                 /BCBGAPAD "GEN\ACTIVITY PERCENTAGES\ADMINISTRATIVE" 
                 /BCBGAPIL "GEN\ACTIVITY PERCENTAGES\INSTRU LEADERSH" 
                 /BCBGAPST "GEN\ACTIVITY PERCENTAGES\SUPERVISE TCH" 
                 /BCBGAPTE "GEN\ACTIVITY PERCENTAGES\TEACHING" 
                 /BCBGAPPR "GEN\ACTIVITY PERCENTAGES\PUBLIC RELATION" 
                 /BCBGAPOT "GEN\ACTIVITY PERCENTAGES\OTHER" 
                 /BCBGEPSE "GEN\EXPECT PARENTS\ATTEND SPECIAL EVENTS" 
                 /BCBGEPRF "GEN\EXPECT PARENTS\RAISE FUNDS FOR SCH" 
                 /BCBGEPVO "GEN\EXPECT PARENTS\VOLUNTEER FOR SCH PRO" 
                 /BCBGEPCH "GEN\EXPECT PARENTS\ENSURE COMPLETE HOMEW" 
                 /BCBGEPSC "GEN\EXPECT PARENTS\SERVE ON SCH COMMITEE" 
                 /BCBGDYSO "GEN\INSTRUCTIONAL DAYS PER YEAR" 
                 /BCBGDWFU "GEN\FULL INSTRUCTIONAL DAYS PER WEEK" 
                 /BCBGDWHA "GEN\HALF INSTRUCTIONAL DAYS PER WEEK" 
                 /BCBGTITD "GEN\TOTAL INSTRUCTIONAL TIME" 
                 /BCBMODLA "MAT\ORGANIZE DIFFERENT LEV OR ABI" 
                 /BCBMGAMC "MAT\GROUP ABILITY" 
                 /BCBMSOEM "MAT\OFFER MATHS\ENRICHMENT" 
                 /BCBMSORM "MAT\OFFER MATHS\REMEDIAL" 
                 /BCBSODLA "SCI\ORGANIZE DIFFERENT LEV OR ABI" 
                 /BCBSGASC "SCI\GROUP ABILITY" 
                 /BCBSSOES "SCI\OFFER SCIENCE\ENRICHMENT" 
                 /BCBSSORS "SCI\OFFER SCIENCE\REMEDIAL" 
                 /BCBMFVAY "MAT\FILL TEACHING VACANCIES\MATHEMATICS" 
                 /BCBSFVAY "SCI\FILL TEACHING VACANCIES\SCIENCE" 
                 /BCBSFVCY "SCI\FILL TEACHING VACANCIES\COMP SCIENCE" 
                 /BCBMRRTM "MAT\SCHOOL PAY INCENTIVES RECRUI\MATHS" 
                 /BCBSRRTS "SCI\SCHOOL PAY INCENTIVES RECRUI\SCIENCE" 
                 /BCBGRRTO "GEN\SCHOOL PAY INCENTIVES RECRUI\OTHER" 
                 /BCBGPDIC "GEN\DEVELOPMENT MS\DESIGN IMP CURRICULUM" 
                 /BCBGPDSG "GEN\DEVELOPMENT MS\DESIGN SCH IMPR GOALS" 
                 /BCBGPDIK "GEN\DEVELOPMENT MS\IMPR CONTENT KNOWLEDG" 
                 /BCBGPDTS "GEN\DEVELOPMENT MS\IMPR TEACHING SKILLS" 
                 /BCBGPDUT "GEN\DEVELOPMENT MS\INF TECH EDU PURPOSES" 
                 /BCBMEPOS "MAT\EVAL PRACTICE\OBSERVATIONS PRINC" 
                 /BCBMEPOE "MAT\EVAL PRACTICE\OBSERVATION INSPEC" 
                 /BCBMEPSA "MAT\EVAL PRACTICE\STUDENT ACHIEVMENT" 
                 /BCBMEPTR "MAT\EVAL PRACTICE\TEACH PEER REVIEW" 
                 /BCBSEPOS "SCI\EVAL PRACTICE\OBSERVATIONS PRINC" 
                 /BCBSEPOE "SCI\EVAL PRACTICE\OBSERVATION INSPEC" 
                 /BCBSEPSA "SCI\EVAL PRACTICE\STUDENT ACHIEVMENT" 
                 /BCBSEPTR "SCI\EVAL PRACTICE\TEACH PEER REVIEW" 
                 /BCBGFP01 "GEN\FREQ BEHAVIOR\ARRIVE LATE AT SCHOOL" 
                 /BCBGFP02 "GEN\FREQ BEHAVIOR\ABSENTEEISM" 
                 /BCBGFP03 "GEN\FREQ BEHAVIOR\SKIPPING CLASS" 
                 /BCBGFP04 "GEN\FREQ BEHAVIOR\VIOLATING DRESS CODE" 
                 /BCBGFP05 "GEN\FREQ BEHAVIOR\CLASSROOM DISTURBANCE" 
                 /BCBGFP06 "GEN\FREQ BEHAVIOR\CHEATING" 
                 /BCBGFP07 "GEN\FREQ BEHAVIOR\PROFANITY" 
                 /BCBGFP08 "GEN\FREQ BEHAVIOR\VANDALISM" 
                 /BCBGFP09 "GEN\FREQ BEHAVIOR\THEFT" 
                 /BCBGFP10 "GEN\FREQ BEHAVIOR\INTIMIDATION OF STUDS" 
                 /BCBGFP11 "GEN\FREQ BEHAVIOR\INJURY TO STUDENTS" 
                 /BCBGFP12 "GEN\FREQ BEHAVIOR\INTIMIDATION OF TCHRS" 
                 /BCBGFP13 "GEN\FREQ BEHAVIOR\INJURY TO TEACHERS" 
                 /BCBGSP01 "GEN\SEVERE BEHAVIOR\ARRIVE LATE AT SCH" 
                 /BCBGSP02 "GEN\SEVERE BEHAVIOR\ABSENTEEISM" 
                 /BCBGSP03 "GEN\SEVERE BEHAVIOR\SKIPPING CLASS" 
                 /BCBGSP04 "GEN\SEVERE BEHAVIOR\VIOLATING DRESS CODE" 
                 /BCBGSP05 "GEN\SEVERE BEHAVIOR\CLSROOM DISTURBANCE" 
                 /BCBGSP06 "GEN\SEVERE BEHAVIOR\CHEATING" 
                 /BCBGSP07 "GEN\SEVERE BEHAVIOR\PROFANITY" 
                 /BCBGSP08 "GEN\SEVERE BEHAVIOR\VANDALISM" 
                 /BCBGSP09 "GEN\SEVERE BEHAVIOR\THEFT" 
                 /BCBGSP10 "GEN\SEVERE BEHAVIOR\INTIMIDATION OF STDS" 
                 /BCBGSP11 "GEN\SEVERE BEHAVIOR\INJURY TO STUDS" 
                 /BCBGSP12 "GEN\SEVERE BEHAVIOR\INTIMIDATION OF TCHS" 
                 /BCBGSP13 "GEN\SEVERE BEHAVIOR\INJURY TO TEACHERS" 
                 /BCBGST01 "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS" 
                 /BCBGST02 "GEN\SHORTAGE\BUDGET FOR SUPPLIES" 
                 /BCBGST03 "GEN\SHORTAGE\SCHOOL BUILDINGS" 
                 /BCBGST04 "GEN\SHORTAGE\HEATING AND LIGHTING" 
                 /BCBGST05 "GEN\SHORTAGE\INSTRUCTIONAL SPACE" 
                 /BCBGST06 "GEN\SHORTAGE\HANDICAPPED FACILITIES" 
                 /BCBMST07 "MAT\SHORTAGE\COMPUTER HARDWARE" 
                 /BCBMST08 "MAT\SHORTAGE\COMPUTER SOFTWARE" 
                 /BCBMST09 "MAT\SHORTAGE\CALCULATORS" 
                 /BCBMST10 "MAT\SHORTAGE\LIBRARY MATERIALS" 
                 /BCBMST11 "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /BCBSST12 "SCI\SHORTAGE\LABORATORY EQUIPMENT" 
                 /BCBSST13 "SCI\SHORTAGE\COMPUTER HARDWARE" 
                 /BCBSST14 "SCI\SHORTAGE\COMPUTER SOFTWARE" 
                 /BCBSST15 "SCI\SHORTAGE\CALCULATORS" 
                 /BCBSST16 "SCI\SHORTAGE\LIBRARY MATERIALS" 
                 /BCBSST17 "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /BCBGSH18 "GEN\SHORTAGE\TEACHERS" 
                 /BCBGSH19 "GEN\SHORTAGE\COMPUTER SUPPORT STAFF" 
                 /BCBGCMPS "GEN\COMPUTERS\AVAILABLE FOR STDS INSTR" 
                 /BCBGCMPI "GEN\COMPUTERS\ACCESS TO INTERNET" 
                 /BCBGHTTE "GEN\HELP\ANYONE AVAILABLE TCH USE TECHNO" 
                 /BCBGPHTE "GEN\HELP\DESCRIPTION PERSON" 
                 /SCHWGT   "*SCHOOL LEVEL WEIGHT*" 
                 /STOTWGTU "*SUM OF STUDENT WEIGHTS - UPPER GRADE*" 
                 /WGTADJ1  "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*" 
                 /WGTFAC1  "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*" 
                 /JKCREP   "*REPLICATE CODE*" 
                 /JKCZONE  "*ZONE CODE*" 
                 /BCDGWKYR "NUMBER OF WEEKS OF SCHOOL PER YEAR" 
                 /BCDGTITD "NUMBER OF HOURS OF SCHOOL PER YEAR" 
                 /BCDGCH   "IDX PRNCPL PERCEPT SCHOOL CLIMATE (PPSC)" 
                 /BCDMST   "IDX AVLBL SCHL RSRCS MATH INSTRN (ASRM)" 
                 /BCDGSP   "IDX GOOD SCHOOL/CLASS ATTENDANCE (GSCA)" 
                 /BCDSST   "IDX AVLBL SCHL RSRCS SCI INSTRN (ASRSI)" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS POP 1"
                       2  "TIMSS POP 2"
                       3  "TIMSS POP 3"
                       9  "OMITTED"
                       /
            IDGRADER   1  "LOWER GRADE"
                       2  "UPPER GRADE"
                       9  "OMITTED"
                       /
            BCBGLOWG   1  "KINDERGARTEN"
                       2  "1"
                       3  "2"
                       4  "3"
                       5  "4"
                       6  "5"
                       7  "6"
                       8  "7"
                       9  "8"
                      10  "9"
                      11  "10"
                      12  "11"
                      13  "12"
                      14  "13"
                      99  "OMITTED"
                       /
            BCBGHIGG   1  "KINDERGARTEN"
                       2  "1"
                       3  "2"
                       4  "3"
                       5  "4"
                       6  "5"
                       7  "6"
                       8  "7"
                       9  "8"
                      10  "9"
                      11  "10"
                      12  "11"
                      13  "12"
                      14  "13"
                      99  "OMITTED"
                       /
            BCBGCOMU   1  "MORE THAN 500000 PEOPLE"
                       2  "100001 TO 500000 PEOPLE"
                       3  "50001 TO 100000 PEOPLE"
                       4  "15001 TO 50000 PEOPLE"
                       5  "3001 TO 15000 PEOPLE"
                       6  "FEWER THAN 3000 PEOPLE"
                       9  "OMITTED"
                       /
            BCBGASTD   1  "LESS THAN 5"
                       2  "5 TO 10"
                       3  "11 TO 20"
                       4  "MORE THAN 20"
                       9  "OMITTED"
                       /
            BCBGENRS   1  "96 TO 100"
                       2  "90 TO 95"
                       3  "80 TO 89"
                       4  "LESS THAN 80"
                       9  "OMITTED"
                       /
            BCBGENSY   1  "LESS THAN 5"
                       2  "5 TO 10"
                       3  "11 TO 20"
                       4  "MORE THAN 20"
                       9  "OMITTED"
                       /
            BCBGSBED   1  "0 TO 10"
                       2  "11 TO 25"
                       3  "26 TO 50"
                       4  "MORE THAN 50"
                       9  "OMITTED"
                       /
            BCBGSBEA   1  "0 TO 10"
                       2  "11 TO 25"
                       3  "26 TO 50"
                       4  "MORE THAN 50"
                       9  "OMITTED"
                       /
            BCBGNALA   1  "MORE THAN 90"
                       2  "76 TO 90"
                       3  "50 TO 75"
                       4  "LESS THAN 50"
                       9  "OMITTED"
                       /
            BCBGCHTS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGCHTU   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGCHTC   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGCHES   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGCHPS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGCHPI   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGCHSR   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGCHSD   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BCBGEPSE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGEPRF   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGEPVO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGEPCH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGEPSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGDWFU   1  "1 DAY"
                       2  "2 DAYS"
                       3  "3 DAYS"
                       4  "4 DAYS"
                       5  "5 DAYS"
                       6  "6 DAYS"
                       7  "NONE"
                      99  "OMITTED"
                       /
            BCBGDWHA   1  "1 DAY"
                       2  "2 DAYS"
                       3  "3 DAYS"
                       4  "4 DAYS"
                       5  "5 DAYS"
                       6  "6 DAYS"
                       7  "NONE"
                      99  "OMITTED"
                       /
            BCBGTITD   1  "4 HOURS OR LESS"
                       2  "4.5 HOURS"
                       3  "5 HOURS"
                       4  "5.5 HOURS"
                       5  "6 HOURS"
                       6  "6.5 HOURS OR MORE"
                       9  "OMITTED"
                       /
            BCBMODLA   1  "SAME MATH CURR"
                       2  "SAME MATH CURR BUT DIFFERENT LEVEL"
                       3  "DIFFERENT MATH CURR ACC ABILITY LEVEL"
                       9  "OMITTED"
                       /
            BCBMGAMC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBMSOEM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBMSORM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSODLA   1  "SAME SCIENCE CURR"
                       2  "SAME SCIENCE CURR BUT DIFFERENT LEVEL"
                       3  "DIFFERENT SCIENCE CURR ACC ABILITY LEVEL"
                       9  "OMITTED"
                       /
            BCBSGASC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSSOES   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSSORS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBMFVAY   1  "WERE NO VACANCIES"
                       2  "EASY TO FILL VACANCIES"
                       3  "SOMEWHAT DIFFICULT"
                       4  "VERY DIFFICULT"
                       9  "OMITTED"
                       /
            BCBSFVAY   1  "WERE NO VACANCIES"
                       2  "EASY TO FILL VACANCIES"
                       3  "SOMEWHAT DIFFICULT"
                       4  "VERY DIFFICULT"
                       9  "OMITTED"
                       /
            BCBSFVCY   1  "WERE NO VACANCIES"
                       2  "EASY TO FILL VACANCIES"
                       3  "SOMEWHAT DIFFICULT"
                       4  "VERY DIFFICULT"
                       9  "OMITTED"
                       /
            BCBMRRTM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSRRTS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGRRTO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGPDIC   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            BCBGPDSG   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            BCBGPDIK   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            BCBGPDTS   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            BCBGPDUT   1  "NEVER"
                       2  "1 TO 2 TIMES"
                       3  "3 TO 5 TIMES"
                       4  "6 TO 10 TIMES"
                       5  "MORE THAN 10 TIMES"
                       9  "OMITTED"
                       /
            BCBMEPOS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBMEPOE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBMEPSA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBMEPTR   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSEPOS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSEPOE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSEPSA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBSEPTR   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGFP01   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP02   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP03   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP04   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP05   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP06   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP07   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP08   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP09   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP10   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP11   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP12   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGFP13   1  "NEVER"
                       2  "RARELY"
                       3  "MONTHLY"
                       4  "WEEKLY"
                       5  "DAILY"
                       9  "OMITTED"
                       /
            BCBGSP01   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP02   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP03   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP04   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP05   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP06   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP07   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP08   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP09   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP10   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP11   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP12   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGSP13   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            BCBGST01   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGST02   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGST03   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGST04   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGST05   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGST06   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBMST07   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBMST08   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBMST09   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBMST10   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBMST11   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBSST12   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBSST13   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBSST14   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBSST15   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBSST16   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBSST17   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGSH18   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGSH19   1  "NONE"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            BCBGCMPI   1  "ALL"
                       2  "MOST"
                       3  "SOME"
                       4  "NONE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BCBGHTTE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BCBGPHTE   1  "FT SCHOOL LEVEL COORDINATOR"
                       2  "LIBRARY MEDIA SPECIALIST"
                       3  "TEACHER WITH TITLE COORDINATOR"
                       4  "TEACHER WHO HELPS INFORMALLY"
                       5  "DISTRICT LEVEL COORDINATOR"
                       6  "PRINCIPAL"
                       7  "OTHER"
                      99  "OMITTED"
                      96  "LOGICALLY NOT APPLICABLE"
                       /
            BCDGCH     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BCDMST     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BCDGSP     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BCDSST     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode IDSTRATE (998              = sysmis).
recode IDSTRATI (998              = sysmis).
recode IDGRADER (8                = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode BCBGLOWG (98               = sysmis).
recode BCBGHIGG (98               = sysmis).
recode BCBGTENR (99998            = sysmis).
recode BCBGEENR (99998            = sysmis).
recode BCBGCOMU (8                = sysmis).
recode BCBGASTD (8                = sysmis).
recode BCBGENRS (8                = sysmis).
recode BCBGENSY (8                = sysmis).
recode BCBGSBED (8                = sysmis).
recode BCBGSBEA (8                = sysmis).
recode BCBGNALA (8                = sysmis).
recode BCBGCHTS (8                = sysmis).
recode BCBGCHTU (8                = sysmis).
recode BCBGCHTC (8                = sysmis).
recode BCBGCHES (8                = sysmis).
recode BCBGCHPS (8                = sysmis).
recode BCBGCHPI (8                = sysmis).
recode BCBGCHSR (8                = sysmis).
recode BCBGCHSD (8                = sysmis).
recode BCBGYEPS (98               = sysmis).
recode BCBGAPAD (998              = sysmis).
recode BCBGAPIL (998              = sysmis).
recode BCBGAPST (998              = sysmis).
recode BCBGAPTE (998              = sysmis).
recode BCBGAPPR (998              = sysmis).
recode BCBGAPOT (998              = sysmis).
recode BCBGEPSE (8                = sysmis).
recode BCBGEPRF (8                = sysmis).
recode BCBGEPVO (8                = sysmis).
recode BCBGEPCH (8                = sysmis).
recode BCBGEPSC (8                = sysmis).
recode BCBGDYSO (998              = sysmis).
recode BCBGDWFU (98               = sysmis).
recode BCBGDWHA (98               = sysmis).
recode BCBGTITD (8                = sysmis).
recode BCBMODLA (8                = sysmis).
recode BCBMGAMC (8                = sysmis).
recode BCBMSOEM (8                = sysmis).
recode BCBMSORM (8                = sysmis).
recode BCBSODLA (8                = sysmis).
recode BCBSGASC (8                = sysmis).
recode BCBSSOES (8                = sysmis).
recode BCBSSORS (8                = sysmis).
recode BCBMFVAY (8                = sysmis).
recode BCBSFVAY (8                = sysmis).
recode BCBSFVCY (8                = sysmis).
recode BCBMRRTM (8                = sysmis).
recode BCBSRRTS (8                = sysmis).
recode BCBGRRTO (8                = sysmis).
recode BCBGPDIC (8                = sysmis).
recode BCBGPDSG (8                = sysmis).
recode BCBGPDIK (8                = sysmis).
recode BCBGPDTS (8                = sysmis).
recode BCBGPDUT (8                = sysmis).
recode BCBMEPOS (8                = sysmis).
recode BCBMEPOE (8                = sysmis).
recode BCBMEPSA (8                = sysmis).
recode BCBMEPTR (8                = sysmis).
recode BCBSEPOS (8                = sysmis).
recode BCBSEPOE (8                = sysmis).
recode BCBSEPSA (8                = sysmis).
recode BCBSEPTR (8                = sysmis).
recode BCBGFP01 (8                = sysmis).
recode BCBGFP02 (8                = sysmis).
recode BCBGFP03 (8                = sysmis).
recode BCBGFP04 (8                = sysmis).
recode BCBGFP05 (8                = sysmis).
recode BCBGFP06 (8                = sysmis).
recode BCBGFP07 (8                = sysmis).
recode BCBGFP08 (8                = sysmis).
recode BCBGFP09 (8                = sysmis).
recode BCBGFP10 (8                = sysmis).
recode BCBGFP11 (8                = sysmis).
recode BCBGFP12 (8                = sysmis).
recode BCBGFP13 (8                = sysmis).
recode BCBGSP01 (8                = sysmis).
recode BCBGSP02 (8                = sysmis).
recode BCBGSP03 (8                = sysmis).
recode BCBGSP04 (8                = sysmis).
recode BCBGSP05 (8                = sysmis).
recode BCBGSP06 (8                = sysmis).
recode BCBGSP07 (8                = sysmis).
recode BCBGSP08 (8                = sysmis).
recode BCBGSP09 (8                = sysmis).
recode BCBGSP10 (8                = sysmis).
recode BCBGSP11 (8                = sysmis).
recode BCBGSP12 (8                = sysmis).
recode BCBGSP13 (8                = sysmis).
recode BCBGST01 (8                = sysmis).
recode BCBGST02 (8                = sysmis).
recode BCBGST03 (8                = sysmis).
recode BCBGST04 (8                = sysmis).
recode BCBGST05 (8                = sysmis).
recode BCBGST06 (8                = sysmis).
recode BCBMST07 (8                = sysmis).
recode BCBMST08 (8                = sysmis).
recode BCBMST09 (8                = sysmis).
recode BCBMST10 (8                = sysmis).
recode BCBMST11 (8                = sysmis).
recode BCBSST12 (8                = sysmis).
recode BCBSST13 (8                = sysmis).
recode BCBSST14 (8                = sysmis).
recode BCBSST15 (8                = sysmis).
recode BCBSST16 (8                = sysmis).
recode BCBSST17 (8                = sysmis).
recode BCBGSH18 (8                = sysmis).
recode BCBGSH19 (8                = sysmis).
recode BCBGCMPS (998              = sysmis).
recode BCBGCMPI (8                = sysmis).
recode BCBGHTTE (8                = sysmis).
recode BCBGPHTE (98               = sysmis).
recode SCHWGT   (9998             = sysmis).
recode STOTWGTU (99998            = sysmis).
recode WGTADJ1  (98               = sysmis).
recode WGTFAC1  (9998             = sysmis).
recode JKCREP   (8                = sysmis).
recode JKCZONE  (98               = sysmis).
recode BCDGWKYR (98               = sysmis).
recode BCDGTITD (9998             = sysmis).
recode BCDGCH   (8                = sysmis).
recode BCDMST   (8                = sysmis).
recode BCDGSP   (8                = sysmis).
recode BCDSST   (8                = sysmis).


*NOTE: recode "omitted" data to user defined "missing value"

missing value IDPOP   (9).
missing value IDSTRATE(999).
missing value IDSTRATI(999).
missing value IDGRADER(9).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value BCBGLOWG(99).
missing value BCBGHIGG(99).
missing value BCBGTENR(99999).
missing value BCBGEENR(99999).
missing value BCBGCOMU(9).
missing value BCBGASTD(9).
missing value BCBGENRS(9).
missing value BCBGENSY(9).
missing value BCBGSBED(9).
missing value BCBGSBEA(9).
missing value BCBGNALA(9).
missing value BCBGCHTS(9).
missing value BCBGCHTU(9).
missing value BCBGCHTC(9).
missing value BCBGCHES(9).
missing value BCBGCHPS(9).
missing value BCBGCHPI(9).
missing value BCBGCHSR(9).
missing value BCBGCHSD(9).
missing value BCBGYEPS(99).
missing value BCBGAPAD(999).
missing value BCBGAPIL(999).
missing value BCBGAPST(999).
missing value BCBGAPTE(999).
missing value BCBGAPPR(999).
missing value BCBGAPOT(999).
missing value BCBGEPSE(9).
missing value BCBGEPRF(9).
missing value BCBGEPVO(9).
missing value BCBGEPCH(9).
missing value BCBGEPSC(9).
missing value BCBGDYSO(999).
missing value BCBGDWFU(99).
missing value BCBGDWHA(99).
missing value BCBGTITD(9).
missing value BCBMODLA(9).
missing value BCBMGAMC(9).
missing value BCBMSOEM(9).
missing value BCBMSORM(9).
missing value BCBSODLA(9).
missing value BCBSGASC(9).
missing value BCBSSOES(9).
missing value BCBSSORS(9).
missing value BCBMFVAY(9).
missing value BCBSFVAY(9).
missing value BCBSFVCY(9).
missing value BCBMRRTM(9).
missing value BCBSRRTS(9).
missing value BCBGRRTO(9).
missing value BCBGPDIC(9).
missing value BCBGPDSG(9).
missing value BCBGPDIK(9).
missing value BCBGPDTS(9).
missing value BCBGPDUT(9).
missing value BCBMEPOS(9).
missing value BCBMEPOE(9).
missing value BCBMEPSA(9).
missing value BCBMEPTR(9).
missing value BCBSEPOS(9).
missing value BCBSEPOE(9).
missing value BCBSEPSA(9).
missing value BCBSEPTR(9).
missing value BCBGFP01(9).
missing value BCBGFP02(9).
missing value BCBGFP03(9).
missing value BCBGFP04(9).
missing value BCBGFP05(9).
missing value BCBGFP06(9).
missing value BCBGFP07(9).
missing value BCBGFP08(9).
missing value BCBGFP09(9).
missing value BCBGFP10(9).
missing value BCBGFP11(9).
missing value BCBGFP12(9).
missing value BCBGFP13(9).
missing value BCBGSP01(9).
missing value BCBGSP02(9).
missing value BCBGSP03(9).
missing value BCBGSP04(9).
missing value BCBGSP05(9).
missing value BCBGSP06(9).
missing value BCBGSP07(9).
missing value BCBGSP08(9).
missing value BCBGSP09(9).
missing value BCBGSP10(9).
missing value BCBGSP11(9).
missing value BCBGSP12(9).
missing value BCBGSP13(9).
missing value BCBGST01(9).
missing value BCBGST02(9).
missing value BCBGST03(9).
missing value BCBGST04(9).
missing value BCBGST05(9).
missing value BCBGST06(9).
missing value BCBMST07(9).
missing value BCBMST08(9).
missing value BCBMST09(9).
missing value BCBMST10(9).
missing value BCBMST11(9).
missing value BCBSST12(9).
missing value BCBSST13(9).
missing value BCBSST14(9).
missing value BCBSST15(9).
missing value BCBSST16(9).
missing value BCBSST17(9).
missing value BCBGSH18(9).
missing value BCBGSH19(9).
missing value BCBGCMPS(999).
missing value BCBGCMPI(9 6).
missing value BCBGHTTE(9).
missing value BCBGPHTE(99 96).
missing value SCHWGT  (9999).
missing value STOTWGTU(99999).
missing value WGTADJ1 (99).
missing value WGTFAC1 (9999).
missing value JKCREP  (9).
missing value JKCZONE (99).
missing value BCDGWKYR(99).
missing value BCDGTITD(9999).
missing value BCDGCH  (9).
missing value BCDMST  (9).
missing value BCDGSP  (9).
missing value BCDSST  (9).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f4.0).
format IDSTRATE (f3.0).
format IDSTRATI (f3.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format BCBGLOWG (f2.0).
format BCBGHIGG (f2.0).
format BCBGTENR (f5.0).
format BCBGEENR (f5.0).
format BCBGCOMU (f1.0).
format BCBGASTD (f1.0).
format BCBGENRS (f1.0).
format BCBGENSY (f1.0).
format BCBGSBED (f1.0).
format BCBGSBEA (f1.0).
format BCBGNALA (f1.0).
format BCBGCHTS (f1.0).
format BCBGCHTU (f1.0).
format BCBGCHTC (f1.0).
format BCBGCHES (f1.0).
format BCBGCHPS (f1.0).
format BCBGCHPI (f1.0).
format BCBGCHSR (f1.0).
format BCBGCHSD (f1.0).
format BCBGYEPS (f2.0).
format BCBGAPAD (f3.0).
format BCBGAPIL (f3.0).
format BCBGAPST (f3.0).
format BCBGAPTE (f3.0).
format BCBGAPPR (f3.0).
format BCBGAPOT (f3.0).
format BCBGEPSE (f1.0).
format BCBGEPRF (f1.0).
format BCBGEPVO (f1.0).
format BCBGEPCH (f1.0).
format BCBGEPSC (f1.0).
format BCBGDYSO (f3.0).
format BCBGDWFU (f2.0).
format BCBGDWHA (f2.0).
format BCBGTITD (f1.0).
format BCBMODLA (f1.0).
format BCBMGAMC (f1.0).
format BCBMSOEM (f1.0).
format BCBMSORM (f1.0).
format BCBSODLA (f1.0).
format BCBSGASC (f1.0).
format BCBSSOES (f1.0).
format BCBSSORS (f1.0).
format BCBMFVAY (f1.0).
format BCBSFVAY (f1.0).
format BCBSFVCY (f1.0).
format BCBMRRTM (f1.0).
format BCBSRRTS (f1.0).
format BCBGRRTO (f1.0).
format BCBGPDIC (f1.0).
format BCBGPDSG (f1.0).
format BCBGPDIK (f1.0).
format BCBGPDTS (f1.0).
format BCBGPDUT (f1.0).
format BCBMEPOS (f1.0).
format BCBMEPOE (f1.0).
format BCBMEPSA (f1.0).
format BCBMEPTR (f1.0).
format BCBSEPOS (f1.0).
format BCBSEPOE (f1.0).
format BCBSEPSA (f1.0).
format BCBSEPTR (f1.0).
format BCBGFP01 (f1.0).
format BCBGFP02 (f1.0).
format BCBGFP03 (f1.0).
format BCBGFP04 (f1.0).
format BCBGFP05 (f1.0).
format BCBGFP06 (f1.0).
format BCBGFP07 (f1.0).
format BCBGFP08 (f1.0).
format BCBGFP09 (f1.0).
format BCBGFP10 (f1.0).
format BCBGFP11 (f1.0).
format BCBGFP12 (f1.0).
format BCBGFP13 (f1.0).
format BCBGSP01 (f1.0).
format BCBGSP02 (f1.0).
format BCBGSP03 (f1.0).
format BCBGSP04 (f1.0).
format BCBGSP05 (f1.0).
format BCBGSP06 (f1.0).
format BCBGSP07 (f1.0).
format BCBGSP08 (f1.0).
format BCBGSP09 (f1.0).
format BCBGSP10 (f1.0).
format BCBGSP11 (f1.0).
format BCBGSP12 (f1.0).
format BCBGSP13 (f1.0).
format BCBGST01 (f1.0).
format BCBGST02 (f1.0).
format BCBGST03 (f1.0).
format BCBGST04 (f1.0).
format BCBGST05 (f1.0).
format BCBGST06 (f1.0).
format BCBMST07 (f1.0).
format BCBMST08 (f1.0).
format BCBMST09 (f1.0).
format BCBMST10 (f1.0).
format BCBMST11 (f1.0).
format BCBSST12 (f1.0).
format BCBSST13 (f1.0).
format BCBSST14 (f1.0).
format BCBSST15 (f1.0).
format BCBSST16 (f1.0).
format BCBSST17 (f1.0).
format BCBGSH18 (f1.0).
format BCBGSH19 (f1.0).
format BCBGCMPS (f3.0).
format BCBGCMPI (f1.0).
format BCBGHTTE (f1.0).
format BCBGPHTE (f2.0).
format SCHWGT   (f8.3).
format STOTWGTU (f8.2).
format WGTADJ1  (f6.3).
format WGTFAC1  (f7.2).
format JKCREP   (f1.0).
format JKCZONE  (f2.0).
format BCDGWKYR (f5.2).
format BCDGTITD (f7.2).
format BCDGCH   (f1.0).
format BCDMST   (f1.0).
format BCDGSP   (f1.0).
format BCDSST   (f1.0).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want compressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata /COMPRESSED.

!doend
!enddefine

create country = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
                 EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
                 ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
                 MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
                 SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
                 ZAF.
