**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bsg,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,bsg,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  10     
  IDCLASS    11-  16     
  IDSTUD     17-  24     
  IDBOOK     25-  26      
  IDGRADE    27-  28     
  IDGRADER   29-  29     
  IDSTRATE   30-  32     
  IDSTRATI   33-  35     
  ITSEX      36-  36     
  ITLANG     37-  37     
  ITADMINI   38-  38     
  ITDATEM    39-  40     
  ITDATEY    41-  44     
  ITBIRTHM   45-  46     
  ITBIRTHY   47-  48     
  BSDAGE     49-  53 (2)
  INTMS03    54-  54     
  INTMS99    55-  55     
  INTMS95    56-  56     
  BSBGBRTY   57-  58     
  BSBGBRTM   59-  60     
  BSBGSEX    61-  61     
  BSBGOLAN   62-  62     
  BSBGBOOK   63-  63     
  BSBGPS01   64-  64     
  BSBGPS02   65-  65     
  BSBGPS03   66-  66     
  BSBGPS04   67-  67     
  BSBGPS05   68-  68     
  BSBGPS06   69-  69     
  BSBGPS07   70-  70     
  BSBGPS08   71-  71     
  BSBGPS09   72-  72     
  BSBGPS10   73-  73     
  BSBGPS11   74-  74     
  BSBGPS12   75-  75     
  BSBGPS13   76-  76     
  BSBGPS14   77-  77     
  BSBGPS15   78-  78     
  BSBGPS16   79-  79     
  BSBGMFED   80-  81     
  BSBGFMED   82-  83     
  BSBGHFSG   84-  84     
  BSBMTWEL   85-  85     
  BSBMTMOR   86-  86     
  BSBMTCLM   87-  87     
  BSBMTENJ   88-  88     
  BSBMTTOP   89-  89     
  BSBMTSTR   90-  90     
  BSBMTQKY   91-  91     
  BSBMAHDL   92-  92     
  BSBMAOSS   93-  93     
  BSBMAUNI   94-  94     
  BSBMAJOB   95-  95     
  BSBMAGET   96-  96     
  BSBMHASM   97-  97     
  BSBMHWFD   98-  98     
  BSBMHGCT   99-  99     
  BSBMHEFR  100- 100     
  BSBMHWSG  101- 101     
  BSBMHMDL  102- 102     
  BSBMHEXP  103- 103     
  BSBMHSCP  104- 104     
  BSBMHROH  105- 105     
  BSBMHLSP  106- 106     
  BSBMHWPO  107- 107     
  BSBMHBHC  108- 108     
  BSBMHHQT  109- 109     
  BSBMHCAL  110- 110     
  BSBSTWEL  111- 111     
  BSBSTMOR  112- 112     
  BSBSTCLM  113- 113     
  BSBSTENJ  114- 114     
  BSBSTTOP  115- 115     
  BSBSTSTR  116- 116     
  BSBSTQKY  117- 117     
  BSBSAHDL  118- 118     
  BSBSAOSS  119- 119     
  BSBSAUNI  120- 120     
  BSBSAJOB  121- 121     
  BSBSAGET  122- 122     
  BSBSHDEI  123- 123     
  BSBSHFHP  124- 124     
  BSBSHPEI  125- 125     
  BSBSHCEI  126- 126     
  BSBSHWGO  127- 127     
  BSBSHEOH  128- 128     
  BSBSHITS  129- 129     
  BSBSHMDL  130- 130     
  BSBSHPWC  131- 131     
  BSBSHROH  132- 132     
  BSBSHLSP  133- 133     
  BSBSHWPO  134- 134     
  BSBSHBHC  135- 135     
  BSBSHHQT  136- 136     
  BSBGUSEC  137- 137     
  BSBGCHOM  138- 138     
  BSBGCSCH  139- 139     
  BSBGCLIB  140- 140     
  BSBGCFRH  141- 141     
  BSBGCCAF  142- 142     
  BSBGCELS  143- 143     
  BSBMOINF  144- 144     
  BSBSOINF  145- 145     
  BSBGOREP  146- 146     
  BSBGOPAD  147- 147     
  BSBGALBS  148- 148     
  BSBGATTB  149- 149     
  BSBGATCS  150- 150     
  BSBGATSB  151- 151     
  BSBGSTOL  152- 152     
  BSBGHURT  153- 153     
  BSBGMADE  154- 154     
  BSBGMFUN  155- 155     
  BSBGLEFT  156- 156     
  BSBGWATV  157- 157     
  BSBGPLCG  158- 158     
  BSBGPLFD  159- 159     
  BSBGJOHM  160- 160     
  BSBGWKPJ  161- 161     
  BSBGPLSP  162- 162     
  BSBGREBO  163- 163     
  BSBGUSIN  164- 164     
  BSBGDOHW  165- 165     
  BSBMEXTO  166- 166     
  BSBSEXTO  167- 167     
  BSBMHWMA  168- 168     
  BSBMHWMG  169- 169     
  BSBSHWMA  170- 170     
  BSBSHWMG  171- 171     
  BSBGPLHO  172- 173     
  BSBGMBRN  174- 174     
  BSBGFBRN  175- 175     
  BSBGBORN  176- 176     
  BSBGBRNC  177- 177     
  BSBBSBIO  178- 178     
  BSBBTWEL  179- 179     
  BSBBTMOR  180- 180     
  BSBBTCLM  181- 181     
  BSBBTENJ  182- 182     
  BSBBTTOP  183- 183     
  BSBBTSTR  184- 184     
  BSBBTQKY  185- 185     
  BSBBAHDL  186- 186     
  BSBBAOSS  187- 187     
  BSBBAUNI  188- 188     
  BSBBAJOB  189- 189     
  BSBBAGET  190- 190     
  BSBBHDEI  191- 191     
  BSBBHFHP  192- 192     
  BSBBHPEI  193- 193     
  BSBBHCEI  194- 194     
  BSBBHWGO  195- 195     
  BSBBHEOH  196- 196     
  BSBBHITS  197- 197     
  BSBBHMDL  198- 198     
  BSBBHPWC  199- 199     
  BSBBHROH  200- 200     
  BSBBHLSP  201- 201     
  BSBBHWPO  202- 202     
  BSBBHBHC  203- 203     
  BSBBHHQT  204- 204     
  BSBEARTH  205- 205     
  BSBETWEL  206- 206     
  BSBETMOR  207- 207     
  BSBETCLM  208- 208     
  BSBETENJ  209- 209     
  BSBETTOP  210- 210     
  BSBETSTR  211- 211     
  BSBETQKY  212- 212     
  BSBEAHDL  213- 213     
  BSBEAOSS  214- 214     
  BSBEAUNI  215- 215     
  BSBEAJOB  216- 216     
  BSBEAGET  217- 217     
  BSBEHDEI  218- 218     
  BSBEHFHP  219- 219     
  BSBEHPEI  220- 220     
  BSBEHCEI  221- 221     
  BSBEHWGO  222- 222     
  BSBEHEOH  223- 223     
  BSBEHITS  224- 224     
  BSBEHMDL  225- 225     
  BSBEHPWC  226- 226     
  BSBEHROH  227- 227     
  BSBEHLSP  228- 228     
  BSBEHWPO  229- 229     
  BSBEHBHC  230- 230     
  BSBEHHQT  231- 231     
  BSBCCHEM  232- 232     
  BSBCTWEL  233- 233     
  BSBCTMOR  234- 234     
  BSBCTCLM  235- 235     
  BSBCTENJ  236- 236     
  BSBCTTOP  237- 237     
  BSBCTSTR  238- 238     
  BSBCTQKY  239- 239     
  BSBCAHDL  240- 240     
  BSBCAOSS  241- 241     
  BSBCAUNI  242- 242     
  BSBCAJOB  243- 243     
  BSBCAGET  244- 244     
  BSBCHDEI  245- 245     
  BSBCHFHP  246- 246     
  BSBCHPEI  247- 247     
  BSBCHCEI  248- 248     
  BSBCHWGO  249- 249     
  BSBCHEOH  250- 250     
  BSBCHITS  251- 251     
  BSBCHMDL  252- 252     
  BSBCHPWC  253- 253     
  BSBCHROH  254- 254     
  BSBCHLSP  255- 255     
  BSBCHWPO  256- 256     
  BSBCHBHC  257- 257     
  BSBCHHQT  258- 258     
  BSBPPHY   259- 259     
  BSBPTWEL  260- 260     
  BSBPTMOR  261- 261     
  BSBPTCLM  262- 262     
  BSBPTENJ  263- 263     
  BSBPTTOP  264- 264     
  BSBPTSTR  265- 265     
  BSBPTQKY  266- 266     
  BSBPAHDL  267- 267     
  BSBPAOSS  268- 268     
  BSBPAUNI  269- 269     
  BSBPAJOB  270- 270     
  BSBPAGET  271- 271     
  BSBPHDEI  272- 272     
  BSBPHFHP  273- 273     
  BSBPHPEI  274- 274     
  BSBPHCEI  275- 275     
  BSBPHWGO  276- 276     
  BSBPHEOH  277- 277     
  BSBPHITS  278- 278     
  BSBPHMDL  279- 279     
  BSBPHPWC  280- 280     
  BSBPHROH  281- 281     
  BSBPHLSP  282- 282     
  BSBPHWPO  283- 283     
  BSBPHBHC  284- 284     
  BSBPHHQT  285- 285     
  BSBBOINF  286- 286     
  BSBEOINF  287- 287     
  BSBCOINF  288- 288     
  BSBPOINF  289- 289     
  BSBMEXLS  290- 290     
  BSBBEXLS  291- 291     
  BSBEEXLS  292- 292     
  BSBCEXLS  293- 293     
  BSBPEXLS  294- 294     
  BSBMTGHW  295- 295     
  BSBBTGHW  296- 296     
  BSBETGHW  297- 297     
  BSBCTGHW  298- 298     
  BSBPTGHW  299- 299     
  BSBMHWMI  300- 300     
  BSBBHWMI  301- 301     
  BSBEHWMI  302- 302     
  BSBCHWMI  303- 303     
  BSBPHWMI  304- 304     
  TOTWGT    305- 317 (6)
  HOUWGT    318- 330 (6)
  SENWGT    331- 343 (6)
  WGTFAC1   344- 356 (6)
  WGTADJ1   357- 369 (6)
  WGTADJ2   370- 382 (6)
  WGTFAC2   383- 395 (6)
  WGTFAC3   396- 408 (6)
  WGTADJ3   409- 421 (6)
  JKZONE    422- 423     
  JKREP     424- 424     
  BSMSTDR   425- 432 (3)
  BSMNRSC   433- 440 (3)
  BSMSCPT   441- 442     
  BSSSTDR   443- 450 (3)
  BSSNRSC   451- 458 (3)
  BSSSCPT   459- 460     
  BSMMAT01  461- 466 (2)
  BSMMAT02  467- 472 (2)
  BSMMAT03  473- 478 (2)
  BSMMAT04  479- 484 (2)
  BSMMAT05  485- 490 (2)
  BSMAPP01  491- 496 (2)
  BSMAPP02  497- 502 (2)
  BSMAPP03  503- 508 (2)
  BSMAPP04  509- 514 (2)
  BSMAPP05  515- 520 (2)
  BSMKNO01  521- 526 (2)
  BSMKNO02  527- 532 (2)
  BSMKNO03  533- 538 (2)
  BSMKNO04  539- 544 (2)
  BSMKNO05  545- 550 (2)
  BSMREA01  551- 556 (2)
  BSMREA02  557- 562 (2)
  BSMREA03  563- 568 (2)
  BSMREA04  569- 574 (2)
  BSMREA05  575- 580 (2)
  BSSSCI01  581- 586 (2)
  BSSSCI02  587- 592 (2)
  BSSSCI03  593- 598 (2)
  BSSSCI04  599- 604 (2)
  BSSSCI05  605- 610 (2)
  BSMALG01  611- 616 (2)
  BSMALG02  617- 622 (2)
  BSMALG03  623- 628 (2)
  BSMALG04  629- 634 (2)
  BSMALG05  635- 640 (2)
  BSMDAP01  641- 646 (2)
  BSMDAP02  647- 652 (2)
  BSMDAP03  653- 658 (2)
  BSMDAP04  659- 664 (2)
  BSMDAP05  665- 670 (2)
  BSMFNS01  671- 676 (2)
  BSMFNS02  677- 682 (2)
  BSMFNS03  683- 688 (2)
  BSMFNS04  689- 694 (2)
  BSMFNS05  695- 700 (2)
  BSMGEO01  701- 706 (2)
  BSMGEO02  707- 712 (2)
  BSMGEO03  713- 718 (2)
  BSMGEO04  719- 724 (2)
  BSMGEO05  725- 730 (2)
  BSMMEA01  731- 736 (2)
  BSMMEA02  737- 742 (2)
  BSMMEA03  743- 748 (2)
  BSMMEA04  749- 754 (2)
  BSMMEA05  755- 760 (2)
  BSSCHE01  761- 766 (2)
  BSSCHE02  767- 772 (2)
  BSSCHE03  773- 778 (2)
  BSSCHE04  779- 784 (2)
  BSSCHE05  785- 790 (2)
  BSSEAS01  791- 796 (2)
  BSSEAS02  797- 802 (2)
  BSSEAS03  803- 808 (2)
  BSSEAS04  809- 814 (2)
  BSSEAS05  815- 820 (2)
  BSSLIS01  821- 826 (2)
  BSSLIS02  827- 832 (2)
  BSSLIS03  833- 838 (2)
  BSSLIS04  839- 844 (2)
  BSSLIS05  845- 850 (2)
  BSSPHY01  851- 856 (2)
  BSSPHY02  857- 862 (2)
  BSSPHY03  863- 868 (2)
  BSSPHY04  869- 874 (2)
  BSSPHY05  875- 880 (2)
  BSSERI01  881- 886 (2)
  BSSERI02  887- 892 (2)
  BSSERI03  893- 898 (2)
  BSSERI04  899- 904 (2)
  BSSERI05  905- 910 (2)
  BSDGEDUP  911- 911     
  BSDGASP   912- 912     
  BSDGCAVL  913- 913     
  BSDGPSS   914- 914     
  BSDMHW    915- 915     
  BSDSHW    916- 916     
  BSDBHW    917- 917     
  BSDCHW    918- 918     
  BSDEHW    919- 919     
  BSDPHW    920- 920     
  BSDCSCL   921- 921     
  BSDESCL   922- 922     
  BSDMSCL   923- 923     
  BSDBSCL   924- 924     
  BSDSSCL   925- 925     
  BSDPSCL   926- 926     
  BSDSSV    927- 927     
  BSDMSV    928- 928     
  BSDBSV    929- 929     
  BSDESV    930- 930     
  BSDCSV    931- 931     
  BSDPSV    932- 932     
  BSMIBM01  933- 933     
  BSMIBM02  934- 934     
  BSMIBM03  935- 935     
  BSMIBM04  936- 936     
  BSMIBM05  937- 937     
  BSSIBM01  938- 938     
  BSSIBM02  939- 939     
  BSSIBM03  940- 940     
  BSSIBM04  941- 941     
  BSSIBM05  942- 942     
  DPCDATE   943- 948     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDCLASS  "*CLASS ID*" 
                 /IDSTUD   "*STUDENT ID*" 
                 /IDBOOK   "*ACHIEVEMENT TEST BOOKLET*" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /IDSTRATE "EXPLICIT STRATUM CODE" 
                 /IDSTRATI "IMPLICIT STRATUM CODE" 
                 /ITSEX    "*SEX OF STUDENTS*" 
                 /ITLANG   "*LANGUAGE OF TESTING*" 
                 /ITADMINI "*TEST ADMINISTRATORS POSITION*" 
                 /ITDATEM  "*DATE OF TESTING/MONTH*" 
                 /ITDATEY  "*DATE OF TESTING/YEAR*" 
                 /ITBIRTHM "*DATE OF STUDENTS BIRTH\MONTH*" 
                 /ITBIRTHY "*DATE OF STUDENTS BIRTH\YEAR*" 
                 /BSDAGE   "D:STUDENTS AGE" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /BSBGBRTY "GEN\DATE OF BIRTH\YEAR" 
                 /BSBGBRTM "GEN\DATE OF BIRTH\MONTH" 
                 /BSBGSEX  "GEN\SEX OF STUDENT" 
                 /BSBGOLAN "GEN\OFTEN SPEAK LANGUAGE OF TEST AT HOME" 
                 /BSBGBOOK "GEN\NR OF BOOKS IN YOUR HOME" 
                 /BSBGPS01 "GEN\HOME POSSESS\CALCULATOR" 
                 /BSBGPS02 "GEN\HOME POSSESS\COMPUTER" 
                 /BSBGPS03 "GEN\HOME POSSESS\STUDY DESK" 
                 /BSBGPS04 "GEN\HOME POSSESS\DICTIONARY" 
                 /BSBGPS05 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS06 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS07 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS08 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS09 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS10 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS11 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS12 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS13 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS14 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS15 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS16 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGMFED "GEN\HIGHEST EDUCATION LEVEL\MOTHER" 
                 /BSBGFMED "GEN\HIGHEST EDUCATION LEVEL\FATHER" 
                 /BSBGHFSG "GEN\HOW FAR IN SCH DO YOU EXPECT TO GO" 
                 /BSBMTWEL "MAT\AGREE\USUALLY DO WELL IN MATH" 
                 /BSBMTMOR "MAT\AGREE\WOULD LIKE MORE MATH" 
                 /BSBMTCLM "MAT\AGREE\MATH IS MORE DIFFICULT FOR ME" 
                 /BSBMTENJ "MAT\AGREE\I ENJOY LEARNING MATHEMATICS" 
                 /BSBMTTOP "MAT\AGREE\DO NOT UNDERSTAND NEW TOPIC" 
                 /BSBMTSTR "MAT\AGREE\MAT IS NOT ONE OF MY STRENGTHS" 
                 /BSBMTQKY "MAT\AGREE\I LEARN THINGS QUICKLY IN MATH" 
                 /BSBMAHDL "MAT\AGREE\WILL HELP IN MY DAILY LIFE" 
                 /BSBMAOSS "MAT\AGREE\NEED MAT TO LEARN OTHER SUBJ" 
                 /BSBMAUNI "MAT\AGREE\NEED MAT TO GET INTO THE UNIV" 
                 /BSBMAJOB "MAT\AGREE\WOULD LIKE JOB THAT INV MATH" 
                 /BSBMAGET "MAT\AGREE\NEED MAT TO GET THE JOB I WANT" 
                 /BSBMHASM "MAT\HOW OFTEN\I PRACT WITHOUT CALCULATOR" 
                 /BSBMHWFD "MAT\HOW OFTEN\WORK ON FRACTIONS DECIM" 
                 /BSBMHGCT "MAT\HOW OFTEN\DATA IN TABLE CHART GRAPH" 
                 /BSBMHEFR "MAT\HOW OFTEN\REPRESENT RELATIONSHIPS" 
                 /BSBMHWSG "MAT\HOW OFTEN\WE WORK IN GROUPS" 
                 /BSBMHMDL "MAT\HOW OFTEN\RELATE TO DAILY LIVES" 
                 /BSBMHEXP "MAT\HOW OFTEN\WE EXPLANE OUR ANSWERS" 
                 /BSBMHSCP "MAT\HOW OFTEN\SOLVING COMPLEX PROBLEMS" 
                 /BSBMHROH "MAT\HOW OFTEN\WE REVIEW OUR HOMEWORK" 
                 /BSBMHLSP "MAT\HOW OFTEN\LISTEN TEACHER LECTURE" 
                 /BSBMHWPO "MAT\HOW OFTEN\WORK PROBLEMS ON OUR OWN" 
                 /BSBMHBHC "MAT\HOW OFTEN\BEGIN OUR HOMEWORK" 
                 /BSBMHHQT "MAT\HOW OFTEN\HAVE A QUIZ OR TEST" 
                 /BSBMHCAL "MAT\HOW OFTEN\WE USE CALCULATORS" 
                 /BSBSTWEL "SCI\AGREE\USUALLY DO WELL IN SCIENCE" 
                 /BSBSTMOR "SCI\AGREE\WOULD LIKE TO TAKE MORE SCIEN" 
                 /BSBSTCLM "SCI\AGREE\SCIENCE MORE DIFFICULT FOR ME" 
                 /BSBSTENJ "SCI\AGREE\I ENJOY LEARNING SCIENCE" 
                 /BSBSTTOP "SCI\AGREE\DO NOT UNDERSTAND NEW TOPIC" 
                 /BSBSTSTR "SCI\AGREE\SCIENCE IS NOT MY STRENGTHS" 
                 /BSBSTQKY "SCI\AGREE\I LEARN THINGS QUICKLY IN SCI" 
                 /BSBSAHDL "SCI\AGREE\WILL HELP ME IN MY DAILY LIFE" 
                 /BSBSAOSS "SCI\AGREE\NEED SCIENCE TO LEARN OTH SUBJ" 
                 /BSBSAUNI "SCI\AGREE\NEED SCI TO GET INTO THE UNIV" 
                 /BSBSAJOB "SCI\AGREE\WOULD LIKE JOB INV SCIENCE" 
                 /BSBSAGET "SCI\AGREE\NEED SCI TO GET JOB I WANT" 
                 /BSBSHDEI "SCI\HOW OFTEN\TEACHER DEMONSTR EXP INVES" 
                 /BSBSHFHP "SCI\HOW OFTEN\HYPOTHESES OR PREDICTIONS" 
                 /BSBSHPEI "SCI\HOW OFTEN\PLAN EXPERIMENT OR INVEST" 
                 /BSBSHCEI "SCI\HOW OFTEN\CONDUCT EXP OR INVEST" 
                 /BSBSHWGO "SCI\HOW OFTEN\WORK IN GROUP EXP OR INV" 
                 /BSBSHEOH "SCI\HOW OFTEN\WRITE EXPLANATION WHAT WHY" 
                 /BSBSHITS "SCI\HOW OFTEN\IMPACT OF TECHN ON SOCIETY" 
                 /BSBSHMDL "SCI\HOW OFTEN\RELATE TO OUR DAILY LIVES" 
                 /BSBSHPWC "SCI\HOW OFTEN\PRESENT OUR WORK TO CLASS" 
                 /BSBSHROH "SCI\HOW OFTEN\WE REVIEW OUR HOMEWORK" 
                 /BSBSHLSP "SCI\HOW OFTEN\LISTEN TEACHER LECTURE" 
                 /BSBSHWPO "SCI\HOW OFTEN\WORK PROBLEMS ON OUR OWN" 
                 /BSBSHBHC "SCI\HOW OFTEN\BEGIN OUR HOMEWORK" 
                 /BSBSHHQT "SCI\HOW OFTEN\WE HAVE A QUIZ OR TEST" 
                 /BSBGUSEC "GEN\DO YOU EVER USE A COMPUTER" 
                 /BSBGCHOM "GEN\USE A COMPUTER\AT HOME" 
                 /BSBGCSCH "GEN\USE A COMPUTER\AT SCHOOL" 
                 /BSBGCLIB "GEN\USE A COMPUTER\AT A LIBRARY" 
                 /BSBGCFRH "GEN\USE A COMPUTER\AT A FRIENDS HOME" 
                 /BSBGCCAF "GEN\USE A COMPUTER\AT AN INTERNET CAFE" 
                 /BSBGCELS "GEN\USE A COMPUTER\ELSEWHERE" 
                 /BSBMOINF "MAT\OFTEN\LOOK UP IDEAS AND INF FOR MAT" 
                 /BSBSOINF "SCI\OFTEN\LOOK UP IDEAS AND INF FOR SCI" 
                 /BSBGOREP "GEN\OFTEN\I WRITE REPORTS FOR SCHOOL" 
                 /BSBGOPAD "GEN\OFTEN\I PROCESS AND ANALYZE DATA" 
                 /BSBGALBS "GEN\AGREE\LIKE BEING IN SCHOOL" 
                 /BSBGATTB "GEN\AGREE\STD TRY THEIR BEST" 
                 /BSBGATCS "GEN\AGREE\TCH CARE ABOUT THE STD" 
                 /BSBGATSB "GEN\AGREE\TCH WANT STD TO DO BEST" 
                 /BSBGSTOL "GEN\IN SCH\STH OF MINE WAS STOLEN" 
                 /BSBGHURT "GEN\IN SCH\HIT OR HURT BY OTHER STD" 
                 /BSBGMADE "GEN\IN SCH\MADE TO DO THINGS BY OTH STD" 
                 /BSBGMFUN "GEN\IN SCH\MADE FUN OF OR CALLED NAMES" 
                 /BSBGLEFT "GEN\IN SCH\WAS LEFT OUT OF ACTIVITIES" 
                 /BSBGWATV "GEN\SPEND TIME\WATCH TV VIDEOS" 
                 /BSBGPLCG "GEN\SPEND TIME\PLAY COMPUTER GAMES" 
                 /BSBGPLFD "GEN\SPEND TIME\PLAY TALK WITH FRIEND" 
                 /BSBGJOHM "GEN\SPEND TIME\DO JOBS AT HOME" 
                 /BSBGWKPJ "GEN\SPEND TIME\WORK PAID JOB" 
                 /BSBGPLSP "GEN\SPEND TIME\I PLAY SPORTS" 
                 /BSBGREBO "GEN\SPEND TIME\READ A BOOK FOR ENJOY" 
                 /BSBGUSIN "GEN\SPEND TIME\USE INTERNET" 
                 /BSBGDOHW "GEN\SPEND TIME\DO HOMEWORK" 
                 /BSBMEXTO "MAT\HOW OFTEN EXTRA LESSONS" 
                 /BSBSEXTO "SCI\HOW OFTEN EXTRA LESSONS" 
                 /BSBMHWMA "MAT\HOW OFTEN TEACHER GIVES MATHS HMWORK" 
                 /BSBMHWMG "MAT\HOW MANY MINUTES MATHS HOMEWORK" 
                 /BSBSHWMA "SCI\HOW OFTEN TEACHER GIVES SCI HMWORK" 
                 /BSBSHWMG "SCI\HOW MANY MINUTES SCI HOMEWORK" 
                 /BSBGPLHO "GEN\HOW MANY PEOPLE IN YOUR HOME" 
                 /BSBGMBRN "GEN\MOTHER BORN IN COUNTRY" 
                 /BSBGFBRN "GEN\FATHER BORN IN COUNTRY" 
                 /BSBGBORN "GEN\BORN IN COUNTRY" 
                 /BSBGBRNC "GEN\BORN IN COUNTRY\AGE OF COMING" 
                 /BSBBSBIO "BIO\ARE YOU STUDING BIO THIS YEAR AT SCH" 
                 /BSBBTWEL "BIO\AGREE\I USUALLY DO WELL IN BIOLOGY" 
                 /BSBBTMOR "BIO\AGREE\WOULD LIKE TO TAKE MORE BIOL" 
                 /BSBBTCLM "BIO\AGREE\BIOLOGY MORE DIFFICULT FOR ME" 
                 /BSBBTENJ "BIO\AGREE\I ENJOY LEARNING BIOLOGY" 
                 /BSBBTTOP "BIO\AGREE\DO NOT UNDERSTAND NEW TOPIC" 
                 /BSBBTSTR "BIO\AGREE\BIOLOGY IS NOT MY STRENGTHS" 
                 /BSBBTQKY "BIO\AGREE\I LEARN THINGS QUICKLY IN BIOL" 
                 /BSBBAHDL "BIO\AGREE\WILL HELP ME IN MY DAILY LIFE" 
                 /BSBBAOSS "BIO\AGREE\NEED BIOL TO LEARN OTHER SUBJ" 
                 /BSBBAUNI "BIO\AGREE\NEED BIOL TO GET INTO UNIV" 
                 /BSBBAJOB "BIO\AGREE\WOULD LIKE JOB INV BIOL" 
                 /BSBBAGET "BIO\AGREE\NEED BIOL TO GET JOB I WANT" 
                 /BSBBHDEI "BIO\HOW OFTEN\TCH DEMONSTR EXP INVEST" 
                 /BSBBHFHP "BIO\HOW OFTEN\HYPOTHESES OR PREDICTIONS" 
                 /BSBBHPEI "BIO\HOW OFTEN\PLAN EXPERIMENT OR INVEST" 
                 /BSBBHCEI "BIO\HOW OFTEN\CONDUCT EXP OR INVEST" 
                 /BSBBHWGO "BIO\HOW OFTEN\WORK IN GROUP EXP OR INV" 
                 /BSBBHEOH "BIO\HOW OFTEN\WRITE EXPLANATION WHAT WHY" 
                 /BSBBHITS "BIO\HOW OFTEN\IMPACT OF TECHN ON SOCIETY" 
                 /BSBBHMDL "BIO\HOW OFTEN\RELATE TO OUR DAILY LIVES" 
                 /BSBBHPWC "BIO\HOW OFTEN\PRESENT OUR WORK TO CLASS" 
                 /BSBBHROH "BIO\HOW OFTEN\WE REVIEW OUR HOMEWORK" 
                 /BSBBHLSP "BIO\HOW OFTEN\LISTEN TEACHER LECTURE" 
                 /BSBBHWPO "BIO\HOW OFTEN\WORK PROBLEMS ON OUR OWN" 
                 /BSBBHBHC "BIO\HOW OFTEN\BEGIN OUR HOMEWORK" 
                 /BSBBHHQT "BIO\HOW OFTEN\WE HAVE A QUIZ OR TEST" 
                 /BSBEARTH "EAR\ARE YOU STUDING EARTH SCI THIS YEAR" 
                 /BSBETWEL "EAR\AGREE\I USUALLY DO WELL IN EARTH SCI" 
                 /BSBETMOR "EAR\AGREE\WOULD LIKE TO TAKE MORE ER SCI" 
                 /BSBETCLM "EAR\AGREE\EARTH SC MORE DIFFICULT FOR ME" 
                 /BSBETENJ "EAR\AGREE\I ENJOY LEARNING EARTH SCI" 
                 /BSBETTOP "EAR\AGREE\DO NOT UNDERSTAND NEW TOPIC" 
                 /BSBETSTR "EAR\AGREE\EARTH SCI IS NOT MY STRENGTHS" 
                 /BSBETQKY "EAR\AGREE\I LEARN THINGS QUICKLY IN ERS" 
                 /BSBEAHDL "EAR\AGREE\WILL HELP ME IN MY DAILY LIFE" 
                 /BSBEAOSS "EAR\AGREE\NEED ERS TO LEARN OTHER SUBJ" 
                 /BSBEAUNI "EAR\AGREE\NEED ERS TO GET INTO UNIV" 
                 /BSBEAJOB "EAR\AGREE\WOULD LIKE JOB INV EARTH SCI" 
                 /BSBEAGET "EAR\AGREE\NEED ERS TO GET JOB I WANT" 
                 /BSBEHDEI "EAR\HOW OFTEN\TCH DEMONSTR EXP INVEST" 
                 /BSBEHFHP "EAR\HOW OFTEN\HYPOTHESES OR PREDICTIONS" 
                 /BSBEHPEI "EAR\HOW OFTEN\PLAN EXPERIMENT OR INVEST" 
                 /BSBEHCEI "EAR\HOW OFTEN\CONDUCT EXP OR INVEST" 
                 /BSBEHWGO "EAR\HOW OFTEN\WORK IN GROUP EXP OR INV" 
                 /BSBEHEOH "EAR\HOW OFTEN\WRITE EXPLANATION WHAT WHY" 
                 /BSBEHITS "EAR\HOW OFTEN\IMPACT OF TECHN ON SOCIETY" 
                 /BSBEHMDL "EAR\HOW OFTEN\RELATE TO OUR DAILY LIVES" 
                 /BSBEHPWC "EAR\HOW OFTEN\PRESENT OUR WORK TO CLASS" 
                 /BSBEHROH "EAR\HOW OFTEN\WE REVIEW OUR HOMEWORK" 
                 /BSBEHLSP "EAR\HOW OFTEN\LISTEN TEACHER LECTURE" 
                 /BSBEHWPO "EAR\HOW OFTEN\WORK PROBLEMS ON OUR OWN" 
                 /BSBEHBHC "EAR\HOW OFTEN\BEGIN OUR HOMEWORK" 
                 /BSBEHHQT "EAR\HOW OFTEN\WE HAVE QUIZ OR TEST" 
                 /BSBCCHEM "CHE\ARE YOU STUDING CHEMISTRY THIS YEAR" 
                 /BSBCTWEL "CHE\AGREE\I USUALLY DO WELL IN CHEMISTRY" 
                 /BSBCTMOR "CHE\AGREE\WOULD LIKE TO TAKE MORE CHEM" 
                 /BSBCTCLM "CHE\AGREE\CHEM IS MORE DIFFICULT FOR ME" 
                 /BSBCTENJ "CHE\AGREE\I ENJOY LEARNING CHEMISTRY" 
                 /BSBCTTOP "CHE\AGREE\DO NOT UNDERSTAND NEW TOPIC" 
                 /BSBCTSTR "CHE\AGREE\CHEMISTRY IS NOT MY STRENGTHS" 
                 /BSBCTQKY "CHE\AGREE\I LEARN THINGS QUICKLY IN CHEM" 
                 /BSBCAHDL "CHE\AGREE\WILL HELP ME IN MY DAILY LIFE" 
                 /BSBCAOSS "CHE\AGREE\NEED CHEM TO LEARN OTHER SUBJ" 
                 /BSBCAUNI "CHE\AGREE\NEED CHEM TO GET INTO UNIV" 
                 /BSBCAJOB "CHE\AGREE\WOULD LIKE JOB INV CHEM" 
                 /BSBCAGET "CHE\AGREE\NEED CHEM TO GET JOB I WANT" 
                 /BSBCHDEI "CHE\HOW OFTEN\TCH DEMONSTR EXP INVEST" 
                 /BSBCHFHP "CHE\HOW OFTEN\HYPOTHESES OR PREDICTIONS" 
                 /BSBCHPEI "CHE\HOW OFTEN\PLAN EXPERIMENT OR INVEST" 
                 /BSBCHCEI "CHE\HOW OFTEN\CONDUCT EXP OR INVEST" 
                 /BSBCHWGO "CHE\HOW OFTEN\WORK IN GROUP EXP OR INV" 
                 /BSBCHEOH "CHE\HOW OFTEN\WRITE EXPLANATION WHAT WHY" 
                 /BSBCHITS "CHE\HOW OFTEN\IMPACT OF TECHN ON SOCIETY" 
                 /BSBCHMDL "CHE\HOW OFTEN\RELATE TO OUR DAILY LIVES" 
                 /BSBCHPWC "CHE\HOW OFTEN\PRESENT OUR WORK TO CLASS" 
                 /BSBCHROH "CHE\HOW OFTEN\WE REVIEW OUR HOMEWORK" 
                 /BSBCHLSP "CHE\HOW OFTEN\LISTEN TEACHER LECTURE" 
                 /BSBCHWPO "CHE\HOW OFTEN\WORK PROBLEMS ON OUR OWN" 
                 /BSBCHBHC "CHE\HOW OFTEN\BEGIN OUR HOMEWORK" 
                 /BSBCHHQT "CHE\HOW OFTEN\WE HAVE A QUIZ OR TEST" 
                 /BSBPPHY  "PHY\ARE YOU STUDING PHYSICS THIS YEAR" 
                 /BSBPTWEL "PHY\AGREE\I USUALLY DO WELL IN PHYSICS" 
                 /BSBPTMOR "PHY\AGREE\WOULD LIKE TO TAKE MORE PHY" 
                 /BSBPTCLM "PHY\AGREE\PHYSICS MORE DIFFICULT FOR ME" 
                 /BSBPTENJ "PHY\AGREE\I ENJOY LEARNING PHYSICS" 
                 /BSBPTTOP "PHY\AGREE\DO NOT UNDERSTAND NEW TOPIC" 
                 /BSBPTSTR "PHY\AGREE\PHYSICS IS NOT MY STRENGTHS" 
                 /BSBPTQKY "PHY\AGREE\I LEARN THINGS QUICKLY PHYS" 
                 /BSBPAHDL "PHY\AGREE\WILL HELP ME IN MY DAILY LIFE" 
                 /BSBPAOSS "PHY\AGREE\NEED PHYS TO LEARN OTHER SUBJ" 
                 /BSBPAUNI "PHY\AGREE\NEED PHYS TO GET INTO UNIV" 
                 /BSBPAJOB "PHY\AGREE\WOULD LIKE JOB INV PHYSICS" 
                 /BSBPAGET "PHY\AGREE\NEED PHYS TO GET JOB I WANT" 
                 /BSBPHDEI "PHY\HOW OFTEN\TCH DEMONSTR EXP INVEST" 
                 /BSBPHFHP "PHY\HOW OFTEN\HYPOTHESES OR PREDICTIONS" 
                 /BSBPHPEI "PHY\HOW OFTEN\PLAN EXPERIMENT OR INVEST" 
                 /BSBPHCEI "PHY\HOW OFTEN\CONDUCT EXP OR INVEST" 
                 /BSBPHWGO "PHY\HOW OFTEN\WORK IN GROUP EXP OR INV" 
                 /BSBPHEOH "PHY\HOW OFTEN\WRITE EXPLANATION WHAT WHY" 
                 /BSBPHITS "PHY\HOW OFTEN\IMPACT OF TECHN ON SOCIETY" 
                 /BSBPHMDL "PHY\HOW OFTEN\RELATE TO OUR DAILY LIVES" 
                 /BSBPHPWC "PHY\HOW OFTEN\PRESENT OUR WORK TO CLASS" 
                 /BSBPHROH "PHY\HOW OFTEN\WE REVIEW OUR HOMEWORK" 
                 /BSBPHLSP "PHY\HOW OFTEN\LISTEN TEACHER LECTURE" 
                 /BSBPHWPO "PHY\HOW OFTEN\WORK PROBLEMS ON OUR OWN" 
                 /BSBPHBHC "PHY\HOW OFTEN\BEGIN OUR HOMEWORK" 
                 /BSBPHHQT "PHY\HOW OFTEN\WE HAVE QUIZ OR TEST" 
                 /BSBBOINF "BIO\OFTEN\LOOK UP IDEAS AND INF FOR BIOL" 
                 /BSBEOINF "EAR\OFTEN\LOOK UP IDEAS AND INF FOR ERS" 
                 /BSBCOINF "CHE\OFTEN\LOOK UP IDEAS AND INF FOR CHEM" 
                 /BSBPOINF "PHY\OFTEN\LOOK UP IDEAS AND INF FOR PHYS" 
                 /BSBMEXLS "MAT\HOW OFTEN EXTRA LESSONS\MAT" 
                 /BSBBEXLS "BIO\HOW OFTEN EXTRA LESSONS\BIO" 
                 /BSBEEXLS "EAR\HOW OFTEN EXTRA LESSONS\EAR" 
                 /BSBCEXLS "CHE\HOW OFTEN EXTRA LESSONS\CHE" 
                 /BSBPEXLS "PHY\HOW OFTEN EXTRA LESSONS\PHY" 
                 /BSBMTGHW "MAT\HOW OFTEN TEACHER GIVES MAT HOMEWORK" 
                 /BSBBTGHW "BIO\HOW OFTEN TEACHER GIVES BIO HOMEWORK" 
                 /BSBETGHW "EAR\HOW OFTEN TEACHER GIVES ES HOMEWORK" 
                 /BSBCTGHW "CHE\HOW OFTEN TEACHER GIVES CHE HOMEWORK" 
                 /BSBPTGHW "PHY\HOW OFTEN TEACHER GIVES PHY HOMEWORK" 
                 /BSBMHWMI "MAT\HOW MANY MIN HOMEWORK\MATHS" 
                 /BSBBHWMI "BIO\HOW MANY MIN HOMEWORK\BIOLOGY" 
                 /BSBEHWMI "EAR\HOW MANY MIN HOMEW\EARTH SCIENCE" 
                 /BSBCHWMI "CHE\HOW MANY MIN HOMEWORK\CHEMISTRY" 
                 /BSBPHWMI "PHY\HOW MANY MIN HOMEWORK\PHYSICS" 
                 /TOTWGT   "*TOTAL STUDENT WEIGHT*" 
                 /HOUWGT   "*HOUSE WEIGHT*" 
                 /SENWGT   "*SENATE WEIGHT*" 
                 /WGTFAC1  "*SCHOOL WEIGHT FACTOR*" 
                 /WGTADJ1  "*SCHOOL WEIGHT ADJUSTMENT*" 
                 /WGTADJ2  "*CLASS WEIGHT ADJUSTMENT*" 
                 /WGTFAC2  "*CLASS WEIGHT FACTOR*" 
                 /WGTFAC3  "*STUDENT WEIGHT FACTOR*" 
                 /WGTADJ3  "*STUDENT WEIGHT ADJUSTMENT*" 
                 /JKZONE   "*JACKKNIFE ZONE*" 
                 /JKREP    "*JACKKNIFE REPLICATE CODE*" 
                 /BSMSTDR  "*STANDARDIZED MATH RAW SCORE (50,10)*" 
                 /BSMNRSC  "*NATIONAL MATH RASCH SCORE (150,10)*" 
                 /BSMSCPT  "*RAW SCORE ON MATH ITEMS*" 
                 /BSSSTDR  "*STANDARDIZED SCIENCE RAW SCORE (50,10)*" 
                 /BSSNRSC  "*NATIONAL SCIENCE RASCH SCORE (150,10)*" 
                 /BSSSCPT  "*RAW SCORE ON SCIENCE ITEM*" 
                 /BSMMAT01 "*1ST PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT02 "*2ND PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT03 "*3RD PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT04 "*4TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT05 "*5TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMAPP01 "*1ST PLAUSIBLE VALUE APPLYING*" 
                 /BSMAPP02 "*2ND PLAUSIBLE VALUE APPLYING*" 
                 /BSMAPP03 "*3RD PLAUSIBLE VALUE APPLYING*" 
                 /BSMAPP04 "*4TH PLAUSIBLE VALUE APPLYING*" 
                 /BSMAPP05 "*5TH PLAUSIBLE VALUE APPLYING*" 
                 /BSMKNO01 "*1ST PLAUSIBLE VALUE KNOWING*" 
                 /BSMKNO02 "*2ND PLAUSIBLE VALUE KNOWING*" 
                 /BSMKNO03 "*3RD PLAUSIBLE VALUE KNOWING*" 
                 /BSMKNO04 "*4TH PLAUSIBLE VALUE KNOWING*" 
                 /BSMKNO05 "*5TH PLAUSIBLE VALUE KNOWING*" 
                 /BSMREA01 "*1ST PLAUSIBLE VALUE REASONING*" 
                 /BSMREA02 "*2ND PLAUSIBLE VALUE REASONING*" 
                 /BSMREA03 "*3RD PLAUSIBLE VALUE REASONING*" 
                 /BSMREA04 "*4TH PLAUSIBLE VALUE REASONING*" 
                 /BSMREA05 "*5TH PLAUSIBLE VALUE REASONING*" 
                 /BSSSCI01 "*1ST PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI02 "*2ND PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI03 "*3RD PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI04 "*4TH PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI05 "*5TH PLAUSIBLE VALUE SCIENCE*" 
                 /BSMALG01 "*1ST PV ALGEBRA*" 
                 /BSMALG02 "*2ND PV ALGEBRA*" 
                 /BSMALG03 "*3RD PV ALGEBRA*" 
                 /BSMALG04 "*4TH PV ALGEBRA*" 
                 /BSMALG05 "*5TH PV ALGEBRA*" 
                 /BSMDAP01 "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP02 "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP03 "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP04 "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP05 "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMFNS01 "*1ST PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS02 "*2ND PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS03 "*3RD PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS04 "*4TH PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS05 "*5TH PV FRACTIONS + NUMBER SENSE*" 
                 /BSMGEO01 "*1ST PV GEOMETRY*" 
                 /BSMGEO02 "*2ND PV GEOMETRY*" 
                 /BSMGEO03 "*3RD PV GEOMETRY*" 
                 /BSMGEO04 "*4TH PV GEOMETRY*" 
                 /BSMGEO05 "*5TH PV GEOMETRY*" 
                 /BSMMEA01 "*1ST PV MEASUREMENT*" 
                 /BSMMEA02 "*2ND PV MEASUREMENT*" 
                 /BSMMEA03 "*3RD PV MEASUREMENT*" 
                 /BSMMEA04 "*4TH PV MEASUREMENT*" 
                 /BSMMEA05 "*5TH PV MEASUREMENT*" 
                 /BSSCHE01 "*1ST PV CHEMISTRY*" 
                 /BSSCHE02 "*2ND PV CHEMISTRY*" 
                 /BSSCHE03 "*3RD PV CHEMISTRY*" 
                 /BSSCHE04 "*4TH PV CHEMISTRY*" 
                 /BSSCHE05 "*5TH PV CHEMISTRY*" 
                 /BSSEAS01 "*1ST PV EARTH SCIENCE*" 
                 /BSSEAS02 "*2ND PV EARTH SCIENCE*" 
                 /BSSEAS03 "*3RD PV EARTH SCIENCE*" 
                 /BSSEAS04 "*4TH PV EARTH SCIENCE*" 
                 /BSSEAS05 "*5TH PV EARTH SCIENCE*" 
                 /BSSLIS01 "*1ST PV LIFE SCIENCE*" 
                 /BSSLIS02 "*2ND PV LIFE SCIENCE*" 
                 /BSSLIS03 "*3RD PV LIFE SCIENCE*" 
                 /BSSLIS04 "*4TH PV LIFE SCIENCE*" 
                 /BSSLIS05 "*5TH PV LIFE SCIENCE*" 
                 /BSSPHY01 "*1ST PV PHYSICS*" 
                 /BSSPHY02 "*2ND PV PHYSICS*" 
                 /BSSPHY03 "*3RD PV PHYSICS*" 
                 /BSSPHY04 "*4TH PV PHYSICS*" 
                 /BSSPHY05 "*5TH PV PHYSICS*" 
                 /BSSERI01 "*1ST PV ENVIRONM.ISS. + RESOURCE ISS.*" 
                 /BSSERI02 "*2ND PV ENVIRONM.ISS. + RESOURCE ISS.*" 
                 /BSSERI03 "*3RD PV ENVIRONM.ISS. + RESOURCE ISS.*" 
                 /BSSERI04 "*4TH PV ENVIRONM.ISS. + RESOURCE ISS.*" 
                 /BSSERI05 "*5TH PV ENVIRONM.ISS. + RESOURCE ISS.*" 
                 /BSDGEDUP "PARENTS HIGHEST EDUCATION LEVEL" 
                 /BSDGASP  "STDS EDUC ASPRTNS RLTV TO PRNTS EDUC LVL" 
                 /BSDGCAVL "AVAILABILITY OF COMPUTER" 
                 /BSDGPSS  "IDX STD PRCPTN BEING SAFE SCHOOL (SPBSS)" 
                 /BSDMHW   "INDEX OF TIME ON MATH HOMEWORK (TMH)" 
                 /BSDSHW   "INDEX OF TIME ON SCIENCE HOMEWORK (TSH)" 
                 /BSDBHW   "INDEX OF TIME ON BIOLOGY HOMEWORK (TSH)" 
                 /BSDCHW   "INDEX OF TIME ON CHEMIST HOMEWORK (TSH)" 
                 /BSDEHW   "INDEX OF TIME ON EARTH S HOMEWORK (TSH)" 
                 /BSDPHW   "INDEX OF TIME ON PHYSICS HOMEWORK (TSH)" 
                 /BSDCSCL  "INDEX SELF-CONF LEARNING CHEMIST (SCC)" 
                 /BSDESCL  "INDEX SELF-CONF LEARNING EARTH S (SCE)" 
                 /BSDMSCL  "INDEX SELF-CONFID LEARNING MATH (SCM)" 
                 /BSDBSCL  "INDEX SELF-CONF LEARNING BIOLOGY (SCB)" 
                 /BSDSSCL  "INDEX SELF-CONF LEARNING SCIENCE   (SCS)" 
                 /BSDPSCL  "INDEX SELF-CONF LEARNING PHYSICS   (SCP)" 
                 /BSDSSV   "INDEX OF STUDENTS VALUING SCIENCE (SVS)" 
                 /BSDMSV   "INDEX OF STUDENTS VALUING MATH (SVM)" 
                 /BSDBSV   "INDEX OF STUDENTS VALUING BIOLOGY (SVB)" 
                 /BSDESV   "INDEX OF STUDENTS VALUING EARTH S (SVE)" 
                 /BSDCSV   "INDEX OF STUDENTS VALUING CHEMIST (SVC)" 
                 /BSDPSV   "INDEX OF STUDENTS VALUING PHYSICS (SVP)" 
                 /BSMIBM01 "INTERN. MATH BENCH REACHED WITH 1ST PV" 
                 /BSMIBM02 "INTERN. MATH BENCH REACHED WITH 2ND PV" 
                 /BSMIBM03 "INTERN. MATH BENCH REACHED WITH 3RD PV" 
                 /BSMIBM04 "INTERN. MATH BENCH REACHED WITH 4TH PV" 
                 /BSMIBM05 "INTERN. MATH BENCH REACHED WITH 5TH PV" 
                 /BSSIBM01 "INTERN. SCI BENCH REACHED WITH 1ST PV" 
                 /BSSIBM02 "INTERN. SCI BENCH REACHED WITH 2ND PV" 
                 /BSSIBM03 "INTERN. SCI BENCH REACHED WITH 3RD PV" 
                 /BSSIBM04 "INTERN. SCI BENCH REACHED WITH 4TH PV" 
                 /BSSIBM05 "INTERN. SCI BENCH REACHED WITH 5TH PV" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS POP 1"
                       2  "TIMSS POP 2"
                       3  "TIMSS POP 3"
                       9  "OMITTED"
                       /
            IDGRADER   1  "LOWER GRADE"
                       2  "UPPER GRADE"
                       9  "OMITTED"
                       /
            ITSEX      1  "GIRL"
                       2  "BOY"
                       9  "OMITTED"
                       /
            ITLANG     1  "<TEST LANGUAGE>"
                       2  "<COUNTRY SPECIFIC>"
                       3  "<COUNTRY SPECIFIC>"
                       4  "<COUNTRY SPECIFIC>"
                       5  "<COUNTRY SPECIFIC>"
                       6  "<COUNTRY SPECIFIC>"
                       9  "OMITTED"
                       /
            ITADMINI   1  "NATIONAL CENTER STAFF"
                       2  "TCH FROM SCH,BUT NOT TCH OF SELECTED CLS"
                       3  "TCH OF SELECTED CLS"
                       4  "OTHER"
                       9  "OMITTED"
                       /
            BSBGBRTY   1  "1985"
                       2  "1986"
                       3  "1987"
                       4  "1988"
                       5  "1989"
                       6  "1990"
                       7  "1991"
                       8  "1992"
                       9  "OTHER"
                      99  "OMITTED"
                       /
            BSBGBRTM   1  "JANUARY"
                       2  "FEBRUARY"
                       3  "MARCH"
                       4  "APRIL"
                       5  "MAY"
                       6  "JUNE"
                       7  "JULY"
                       8  "AUGUST"
                       9  "SEPTEMBER"
                      10  "OCTOBER"
                      11  "NOVEMBER"
                      12  "DECEMBER"
                      99  "OMITTED"
                       /
            BSBGSEX    1  "GIRL"
                       2  "BOY"
                       9  "OMITTED"
                       /
            BSBGOLAN   1  "ALWAYS"
                       2  "ALMOST ALWAYS"
                       3  "SOMETIMES"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBGBOOK   1  "NONE OR VERY FEW (0-10 BOOKS)"
                       2  "ONE SHELF (11-25 BOOKS)"
                       3  "ONE BOOKCASE (26-100 BOOKS)"
                       4  "TWO BOOKCASES (101-200 BOOKS)"
                       5  "THREE OR MORE BOOKCESES (>200 BOOKS)"
                       9  "OMITTED"
                       /
            BSBGPS01   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS02   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS03   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS04   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS05   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS06   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS07   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS08   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS09   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS10   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS11   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS12   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS13   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS14   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS15   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGPS16   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGMFED   1  "DID NOT FIN ISCED1 OR DID NOT GO TO SCH"
                       2  "ISCED1"
                       3  "ISCED2"
                       4  "ISCED3"
                       5  "ISCED4B"
                       6  "ISCED5B"
                       7  "ISCED5A FIRST DEGREE"
                       8  "BEYOND ISCED5A FIRST DEGREE"
                       9  "I DO NOT KNOW"
                      99  "OMITTED"
                       /
            BSBGFMED   1  "DID NOT FIN ISCED1 OR DID NOT GO TO SCH"
                       2  "ISCED1"
                       3  "ISCED2"
                       4  "ISCED3"
                       5  "ISCED4B"
                       6  "ISCED5B"
                       7  "ISCED5A FIRST DEGREE"
                       8  "BEYOND ISCED5A FIRST DEGREE"
                       9  "I DO NOT KNOW"
                      99  "OMITTED"
                       /
            BSBGHFSG   1  "FINISH ISCED 3"
                       2  "FINISH ISCED 4B"
                       3  "FINISH ISCED 5B"
                       4  "FINISH ISCED 5A FIRST DEGREE"
                       5  "BEYOND ISCED 5A FIRST DEGREE"
                       6  "I DO NOT KNOW"
                       9  "OMITTED"
                       /
            BSBMTWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMTMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMTCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMTENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMTTOP   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMTSTR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMTQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMAHDL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMAOSS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMAUNI   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMAJOB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMAGET   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBMHASM   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHWFD   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHGCT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHEFR   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHWSG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHMDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHEXP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHSCP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHROH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHLSP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHWPO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHBHC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHHQT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHCAL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSTWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSTMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSTCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSTENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSTTOP   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSTSTR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSTQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSAHDL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSAOSS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSAUNI   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSAJOB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSAGET   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBSHDEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHFHP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHPEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHCEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHWGO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHEOH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHITS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHMDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHPWC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHROH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHLSP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHWPO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHBHC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHHQT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BSBGUSEC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGCHOM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGCSCH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGCLIB   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGCFRH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGCCAF   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGCELS   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBMOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBSOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGOREP   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGOPAD   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGALBS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBGATTB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBGATCS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBGATSB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BSBGSTOL   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGHURT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGMADE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGMFUN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGLEFT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGWATV   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGPLCG   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGPLFD   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGJOHM   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGWKPJ   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGPLSP   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGREBO   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGUSIN   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBGDOHW   1  "NO TIME"
                       2  "LESS THAN 1 HOUR"
                       3  "1-2 HOURS"
                       4  "MORE THAN 2 BUT LESS THAN 4 HOURS"
                       5  "4 OR MORE HOURS"
                       9  "OMITTED"
                       /
            BSBMEXTO   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            BSBSEXTO   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            BSBMHWMA   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHWMG   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBSHWMA   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BSBSHWMG   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBGPLHO   2  "2"
                       3  "3"
                       4  "4"
                       5  "5"
                       6  "6"
                       7  "7"
                       8  "8 OR MORE"
                      99  "OMITTED"
                       /
            BSBGMBRN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGFBRN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGBORN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBGBRNC   1  "OLDER THAN 10 YEARS OLD"
                       2  "5 TO 10 YEARS OLD"
                       3  "YOUNGER THAN 5 YEARS OLD"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBSBIO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBBTWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBTMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBTCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBTENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBTTOP   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBTSTR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBTQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBAHDL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBAOSS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBAUNI   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBAJOB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBAGET   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHDEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHFHP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHPEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHCEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHWGO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHEOH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHITS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHMDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHPWC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHROH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHLSP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHWPO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHBHC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHHQT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEARTH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBETWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBETMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBETCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBETENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBETTOP   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBETSTR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBETQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEAHDL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEAOSS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEAUNI   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEAJOB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEAGET   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHDEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHFHP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHPEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHCEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHWGO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHEOH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHITS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHMDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHPWC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHROH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHLSP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHWPO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHBHC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHHQT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCCHEM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBCTWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCTMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCTCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCTENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCTTOP   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCTSTR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCTQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCAHDL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCAOSS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCAUNI   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCAJOB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCAGET   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHDEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHFHP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHPEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHCEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHWGO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHEOH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHITS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHMDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHPWC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHROH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHLSP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHWPO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHBHC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHHQT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPPHY    1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BSBPTWEL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPTMOR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPTCLM   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPTENJ   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPTTOP   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPTSTR   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPTQKY   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPAHDL   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPAOSS   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPAUNI   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPAJOB   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPAGET   1  "AGREE A LOT"
                       2  "AGREE A LITTLE"
                       3  "DISAGREE A LITTLE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHDEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHFHP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHPEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHCEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHWGO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHEOH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHITS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHMDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHPWC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHROH   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHLSP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHWPO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHBHC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHHQT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPOINF   1  "EVERY DAY"
                       2  "AT LEAST ONCE A WEEK"
                       3  "ONCE OR TWICE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBMEXLS   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            BSBBEXLS   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            BSBEEXLS   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            BSBCEXLS   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            BSBPEXLS   1  "EVERY OR ALMOST EVERY DAY"
                       2  "ONCE OR TWICE A WEEK"
                       3  "SOMETIMES"
                       4  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       /
            BSBMTGHW   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BSBBTGHW   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BSBETGHW   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BSBCTGHW   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BSBPTGHW   1  "EVERY DAY"
                       2  "3 OR 4 TIMES A WEEK"
                       3  "1 OR 2 TIMES A WEEK"
                       4  "LESS THAN ONCE A WEEK"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BSBMHWMI   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBBHWMI   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBEHWMI   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBCHWMI   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSBPHWMI   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDGEDUP   1  "FINI UNIV/EQUIVAL/HIGHER"
                       2  "FINI POST-SEC VOC/TECHN EDU BUT NO UNIV"
                       3  "FINI UPP SEC SCHOOLING"
                       4  "FINI LOW SEC SCHOOLING"
                       5  "NO MORE THAN PRIM"
                       9  "OMITTED"
                       /
            BSDGASP    1  "FINFI UNIV AND EITHER PAR WENT TO UNIV/E"
                       2  "FINI UNIV BUT NEITHER PAR WENT TO UNIV/E"
                       3  "NOT FINI UNIV REGARDLESS OF PAR EDU"
                       4  "DO NOT KNOW REGARDLESS OF PAR EDU"
                       9  "OMITTED"
                       /
            BSDGCAVL   1  "USE COMPUTER BOTH AT HOME AND SCHOOL"
                       2  "USE COMP AT HOME BUT NOT AT SCHOOL"
                       3  "USE COMP AT SCHOOL BUT NOT AT HOME"
                       4  "USE COMP ONLY AT PLACES OTHER THAN H"
                       5  "DO NOT USE COMP AT ALL"
                       9  "OMITTED"
                       /
            BSDGPSS    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDMHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDSHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDBHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDCHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDEHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDPHW     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDCSCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDESCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDMSCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDBSCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDSSCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDPSCL    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDSSV     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDMSV     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BSDBSV     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDESV     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDCSV     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSDPSV     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BSMIBM01   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSMIBM02   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSMIBM03   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSMIBM04   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSMIBM05   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSSIBM01   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSSIBM02   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSSIBM03   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSSIBM04   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
            BSSIBM05   1  "BELOW 400"
                       2  "AT OR ABOVE 400 BUT BELOW 475"
                       3  "AT OR ABOVE 475 BUT BELOW 550"
                       4  "AT OR ABOVE 550 BUT BELOW 625"
                       5  "AT OR ABOVE 625"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode IDGRADER (8                = sysmis).
recode IDSTRATE (998              = sysmis).
recode IDSTRATI (998              = sysmis).
recode ITSEX    (8                = sysmis).
recode ITLANG   (8                = sysmis).
recode ITADMINI (8                = sysmis).
recode ITDATEM  (98               = sysmis).
recode ITDATEY  (9998             = sysmis).
recode ITBIRTHM (98               = sysmis).
recode ITBIRTHY (98               = sysmis).
recode BSDAGE   (98               = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode BSBGBRTY (98               = sysmis).
recode BSBGBRTM (98               = sysmis).
recode BSBGSEX  (8                = sysmis).
recode BSBGOLAN (8                = sysmis).
recode BSBGBOOK (8                = sysmis).
recode BSBGPS01 (8                = sysmis).
recode BSBGPS02 (8                = sysmis).
recode BSBGPS03 (8                = sysmis).
recode BSBGPS04 (8                = sysmis).
recode BSBGPS05 (8                = sysmis).
recode BSBGPS06 (8                = sysmis).
recode BSBGPS07 (8                = sysmis).
recode BSBGPS08 (8                = sysmis).
recode BSBGPS09 (8                = sysmis).
recode BSBGPS10 (8                = sysmis).
recode BSBGPS11 (8                = sysmis).
recode BSBGPS12 (8                = sysmis).
recode BSBGPS13 (8                = sysmis).
recode BSBGPS14 (8                = sysmis).
recode BSBGPS15 (8                = sysmis).
recode BSBGPS16 (8                = sysmis).
recode BSBGMFED (98               = sysmis).
recode BSBGFMED (98               = sysmis).
recode BSBGHFSG (8                = sysmis).
recode BSBMTWEL (8                = sysmis).
recode BSBMTMOR (8                = sysmis).
recode BSBMTCLM (8                = sysmis).
recode BSBMTENJ (8                = sysmis).
recode BSBMTTOP (8                = sysmis).
recode BSBMTSTR (8                = sysmis).
recode BSBMTQKY (8                = sysmis).
recode BSBMAHDL (8                = sysmis).
recode BSBMAOSS (8                = sysmis).
recode BSBMAUNI (8                = sysmis).
recode BSBMAJOB (8                = sysmis).
recode BSBMAGET (8                = sysmis).
recode BSBMHASM (8                = sysmis).
recode BSBMHWFD (8                = sysmis).
recode BSBMHGCT (8                = sysmis).
recode BSBMHEFR (8                = sysmis).
recode BSBMHWSG (8                = sysmis).
recode BSBMHMDL (8                = sysmis).
recode BSBMHEXP (8                = sysmis).
recode BSBMHSCP (8                = sysmis).
recode BSBMHROH (8                = sysmis).
recode BSBMHLSP (8                = sysmis).
recode BSBMHWPO (8                = sysmis).
recode BSBMHBHC (8                = sysmis).
recode BSBMHHQT (8                = sysmis).
recode BSBMHCAL (8                = sysmis).
recode BSBSTWEL (8                = sysmis).
recode BSBSTMOR (8                = sysmis).
recode BSBSTCLM (8                = sysmis).
recode BSBSTENJ (8                = sysmis).
recode BSBSTTOP (8                = sysmis).
recode BSBSTSTR (8                = sysmis).
recode BSBSTQKY (8                = sysmis).
recode BSBSAHDL (8                = sysmis).
recode BSBSAOSS (8                = sysmis).
recode BSBSAUNI (8                = sysmis).
recode BSBSAJOB (8                = sysmis).
recode BSBSAGET (8                = sysmis).
recode BSBSHDEI (8                = sysmis).
recode BSBSHFHP (8                = sysmis).
recode BSBSHPEI (8                = sysmis).
recode BSBSHCEI (8                = sysmis).
recode BSBSHWGO (8                = sysmis).
recode BSBSHEOH (8                = sysmis).
recode BSBSHITS (8                = sysmis).
recode BSBSHMDL (8                = sysmis).
recode BSBSHPWC (8                = sysmis).
recode BSBSHROH (8                = sysmis).
recode BSBSHLSP (8                = sysmis).
recode BSBSHWPO (8                = sysmis).
recode BSBSHBHC (8                = sysmis).
recode BSBSHHQT (8                = sysmis).
recode BSBGUSEC (8                = sysmis).
recode BSBGCHOM (8                = sysmis).
recode BSBGCSCH (8                = sysmis).
recode BSBGCLIB (8                = sysmis).
recode BSBGCFRH (8                = sysmis).
recode BSBGCCAF (8                = sysmis).
recode BSBGCELS (8                = sysmis).
recode BSBMOINF (8                = sysmis).
recode BSBSOINF (8                = sysmis).
recode BSBGOREP (8                = sysmis).
recode BSBGOPAD (8                = sysmis).
recode BSBGALBS (8                = sysmis).
recode BSBGATTB (8                = sysmis).
recode BSBGATCS (8                = sysmis).
recode BSBGATSB (8                = sysmis).
recode BSBGSTOL (8                = sysmis).
recode BSBGHURT (8                = sysmis).
recode BSBGMADE (8                = sysmis).
recode BSBGMFUN (8                = sysmis).
recode BSBGLEFT (8                = sysmis).
recode BSBGWATV (8                = sysmis).
recode BSBGPLCG (8                = sysmis).
recode BSBGPLFD (8                = sysmis).
recode BSBGJOHM (8                = sysmis).
recode BSBGWKPJ (8                = sysmis).
recode BSBGPLSP (8                = sysmis).
recode BSBGREBO (8                = sysmis).
recode BSBGUSIN (8                = sysmis).
recode BSBGDOHW (8                = sysmis).
recode BSBMEXTO (8                = sysmis).
recode BSBSEXTO (8                = sysmis).
recode BSBMHWMA (8                = sysmis).
recode BSBMHWMG (8                = sysmis).
recode BSBSHWMA (8                = sysmis).
recode BSBSHWMG (8                = sysmis).
recode BSBGPLHO (98               = sysmis).
recode BSBGMBRN (8                = sysmis).
recode BSBGFBRN (8                = sysmis).
recode BSBGBORN (8                = sysmis).
recode BSBGBRNC (8                = sysmis).
recode BSBBSBIO (8                = sysmis).
recode BSBBTWEL (8                = sysmis).
recode BSBBTMOR (8                = sysmis).
recode BSBBTCLM (8                = sysmis).
recode BSBBTENJ (8                = sysmis).
recode BSBBTTOP (8                = sysmis).
recode BSBBTSTR (8                = sysmis).
recode BSBBTQKY (8                = sysmis).
recode BSBBAHDL (8                = sysmis).
recode BSBBAOSS (8                = sysmis).
recode BSBBAUNI (8                = sysmis).
recode BSBBAJOB (8                = sysmis).
recode BSBBAGET (8                = sysmis).
recode BSBBHDEI (8                = sysmis).
recode BSBBHFHP (8                = sysmis).
recode BSBBHPEI (8                = sysmis).
recode BSBBHCEI (8                = sysmis).
recode BSBBHWGO (8                = sysmis).
recode BSBBHEOH (8                = sysmis).
recode BSBBHITS (8                = sysmis).
recode BSBBHMDL (8                = sysmis).
recode BSBBHPWC (8                = sysmis).
recode BSBBHROH (8                = sysmis).
recode BSBBHLSP (8                = sysmis).
recode BSBBHWPO (8                = sysmis).
recode BSBBHBHC (8                = sysmis).
recode BSBBHHQT (8                = sysmis).
recode BSBEARTH (8                = sysmis).
recode BSBETWEL (8                = sysmis).
recode BSBETMOR (8                = sysmis).
recode BSBETCLM (8                = sysmis).
recode BSBETENJ (8                = sysmis).
recode BSBETTOP (8                = sysmis).
recode BSBETSTR (8                = sysmis).
recode BSBETQKY (8                = sysmis).
recode BSBEAHDL (8                = sysmis).
recode BSBEAOSS (8                = sysmis).
recode BSBEAUNI (8                = sysmis).
recode BSBEAJOB (8                = sysmis).
recode BSBEAGET (8                = sysmis).
recode BSBEHDEI (8                = sysmis).
recode BSBEHFHP (8                = sysmis).
recode BSBEHPEI (8                = sysmis).
recode BSBEHCEI (8                = sysmis).
recode BSBEHWGO (8                = sysmis).
recode BSBEHEOH (8                = sysmis).
recode BSBEHITS (8                = sysmis).
recode BSBEHMDL (8                = sysmis).
recode BSBEHPWC (8                = sysmis).
recode BSBEHROH (8                = sysmis).
recode BSBEHLSP (8                = sysmis).
recode BSBEHWPO (8                = sysmis).
recode BSBEHBHC (8                = sysmis).
recode BSBEHHQT (8                = sysmis).
recode BSBCCHEM (8                = sysmis).
recode BSBCTWEL (8                = sysmis).
recode BSBCTMOR (8                = sysmis).
recode BSBCTCLM (8                = sysmis).
recode BSBCTENJ (8                = sysmis).
recode BSBCTTOP (8                = sysmis).
recode BSBCTSTR (8                = sysmis).
recode BSBCTQKY (8                = sysmis).
recode BSBCAHDL (8                = sysmis).
recode BSBCAOSS (8                = sysmis).
recode BSBCAUNI (8                = sysmis).
recode BSBCAJOB (8                = sysmis).
recode BSBCAGET (8                = sysmis).
recode BSBCHDEI (8                = sysmis).
recode BSBCHFHP (8                = sysmis).
recode BSBCHPEI (8                = sysmis).
recode BSBCHCEI (8                = sysmis).
recode BSBCHWGO (8                = sysmis).
recode BSBCHEOH (8                = sysmis).
recode BSBCHITS (8                = sysmis).
recode BSBCHMDL (8                = sysmis).
recode BSBCHPWC (8                = sysmis).
recode BSBCHROH (8                = sysmis).
recode BSBCHLSP (8                = sysmis).
recode BSBCHWPO (8                = sysmis).
recode BSBCHBHC (8                = sysmis).
recode BSBCHHQT (8                = sysmis).
recode BSBPPHY  (8                = sysmis).
recode BSBPTWEL (8                = sysmis).
recode BSBPTMOR (8                = sysmis).
recode BSBPTCLM (8                = sysmis).
recode BSBPTENJ (8                = sysmis).
recode BSBPTTOP (8                = sysmis).
recode BSBPTSTR (8                = sysmis).
recode BSBPTQKY (8                = sysmis).
recode BSBPAHDL (8                = sysmis).
recode BSBPAOSS (8                = sysmis).
recode BSBPAUNI (8                = sysmis).
recode BSBPAJOB (8                = sysmis).
recode BSBPAGET (8                = sysmis).
recode BSBPHDEI (8                = sysmis).
recode BSBPHFHP (8                = sysmis).
recode BSBPHPEI (8                = sysmis).
recode BSBPHCEI (8                = sysmis).
recode BSBPHWGO (8                = sysmis).
recode BSBPHEOH (8                = sysmis).
recode BSBPHITS (8                = sysmis).
recode BSBPHMDL (8                = sysmis).
recode BSBPHPWC (8                = sysmis).
recode BSBPHROH (8                = sysmis).
recode BSBPHLSP (8                = sysmis).
recode BSBPHWPO (8                = sysmis).
recode BSBPHBHC (8                = sysmis).
recode BSBPHHQT (8                = sysmis).
recode BSBBOINF (8                = sysmis).
recode BSBEOINF (8                = sysmis).
recode BSBCOINF (8                = sysmis).
recode BSBPOINF (8                = sysmis).
recode BSBMEXLS (8                = sysmis).
recode BSBBEXLS (8                = sysmis).
recode BSBEEXLS (8                = sysmis).
recode BSBCEXLS (8                = sysmis).
recode BSBPEXLS (8                = sysmis).
recode BSBMTGHW (8                = sysmis).
recode BSBBTGHW (8                = sysmis).
recode BSBETGHW (8                = sysmis).
recode BSBCTGHW (8                = sysmis).
recode BSBPTGHW (8                = sysmis).
recode BSBMHWMI (8                = sysmis).
recode BSBBHWMI (8                = sysmis).
recode BSBEHWMI (8                = sysmis).
recode BSBCHWMI (8                = sysmis).
recode BSBPHWMI (8                = sysmis).
recode TOTWGT   (999998           = sysmis).
recode HOUWGT   (999998           = sysmis).
recode SENWGT   (999998           = sysmis).
recode WGTFAC1  (999998           = sysmis).
recode WGTADJ1  (999998           = sysmis).
recode WGTADJ2  (999998           = sysmis).
recode WGTFAC2  (999998           = sysmis).
recode WGTFAC3  (999998           = sysmis).
recode WGTADJ3  (999998           = sysmis).
recode JKZONE   (98               = sysmis).
recode JKREP    (8                = sysmis).
recode BSMSTDR  (9998             = sysmis).
recode BSMNRSC  (9998             = sysmis).
recode BSMSCPT  (98               = sysmis).
recode BSSSTDR  (9998             = sysmis).
recode BSSNRSC  (9998             = sysmis).
recode BSSSCPT  (98               = sysmis).
recode BSMMAT01 (998              = sysmis).
recode BSMMAT02 (998              = sysmis).
recode BSMMAT03 (998              = sysmis).
recode BSMMAT04 (998              = sysmis).
recode BSMMAT05 (998              = sysmis).
recode BSMAPP01 (998              = sysmis).
recode BSMAPP02 (998              = sysmis).
recode BSMAPP03 (998              = sysmis).
recode BSMAPP04 (998              = sysmis).
recode BSMAPP05 (998              = sysmis).
recode BSMKNO01 (998              = sysmis).
recode BSMKNO02 (998              = sysmis).
recode BSMKNO03 (998              = sysmis).
recode BSMKNO04 (998              = sysmis).
recode BSMKNO05 (998              = sysmis).
recode BSMREA01 (998              = sysmis).
recode BSMREA02 (998              = sysmis).
recode BSMREA03 (998              = sysmis).
recode BSMREA04 (998              = sysmis).
recode BSMREA05 (998              = sysmis).
recode BSSSCI01 (998              = sysmis).
recode BSSSCI02 (998              = sysmis).
recode BSSSCI03 (998              = sysmis).
recode BSSSCI04 (998              = sysmis).
recode BSSSCI05 (998              = sysmis).
recode BSMALG01 (998              = sysmis).
recode BSMALG02 (998              = sysmis).
recode BSMALG03 (998              = sysmis).
recode BSMALG04 (998              = sysmis).
recode BSMALG05 (998              = sysmis).
recode BSMDAP01 (998              = sysmis).
recode BSMDAP02 (998              = sysmis).
recode BSMDAP03 (998              = sysmis).
recode BSMDAP04 (998              = sysmis).
recode BSMDAP05 (998              = sysmis).
recode BSMFNS01 (998              = sysmis).
recode BSMFNS02 (998              = sysmis).
recode BSMFNS03 (998              = sysmis).
recode BSMFNS04 (998              = sysmis).
recode BSMFNS05 (998              = sysmis).
recode BSMGEO01 (998              = sysmis).
recode BSMGEO02 (998              = sysmis).
recode BSMGEO03 (998              = sysmis).
recode BSMGEO04 (998              = sysmis).
recode BSMGEO05 (998              = sysmis).
recode BSMMEA01 (998              = sysmis).
recode BSMMEA02 (998              = sysmis).
recode BSMMEA03 (998              = sysmis).
recode BSMMEA04 (998              = sysmis).
recode BSMMEA05 (998              = sysmis).
recode BSSCHE01 (998              = sysmis).
recode BSSCHE02 (998              = sysmis).
recode BSSCHE03 (998              = sysmis).
recode BSSCHE04 (998              = sysmis).
recode BSSCHE05 (998              = sysmis).
recode BSSEAS01 (998              = sysmis).
recode BSSEAS02 (998              = sysmis).
recode BSSEAS03 (998              = sysmis).
recode BSSEAS04 (998              = sysmis).
recode BSSEAS05 (998              = sysmis).
recode BSSLIS01 (998              = sysmis).
recode BSSLIS02 (998              = sysmis).
recode BSSLIS03 (998              = sysmis).
recode BSSLIS04 (998              = sysmis).
recode BSSLIS05 (998              = sysmis).
recode BSSPHY01 (998              = sysmis).
recode BSSPHY02 (998              = sysmis).
recode BSSPHY03 (998              = sysmis).
recode BSSPHY04 (998              = sysmis).
recode BSSPHY05 (998              = sysmis).
recode BSSERI01 (998              = sysmis).
recode BSSERI02 (998              = sysmis).
recode BSSERI03 (998              = sysmis).
recode BSSERI04 (998              = sysmis).
recode BSSERI05 (998              = sysmis).
recode BSDGEDUP (8                = sysmis).
recode BSDGASP  (8                = sysmis).
recode BSDGCAVL (8                = sysmis).
recode BSDGPSS  (8                = sysmis).
recode BSDMHW   (8                = sysmis).
recode BSDSHW   (8                = sysmis).
recode BSDBHW   (8                = sysmis).
recode BSDCHW   (8                = sysmis).
recode BSDEHW   (8                = sysmis).
recode BSDPHW   (8                = sysmis).
recode BSDCSCL  (8                = sysmis).
recode BSDESCL  (8                = sysmis).
recode BSDMSCL  (8                = sysmis).
recode BSDBSCL  (8                = sysmis).
recode BSDSSCL  (8                = sysmis).
recode BSDPSCL  (8                = sysmis).
recode BSDSSV   (8                = sysmis).
recode BSDMSV   (8                = sysmis).
recode BSDBSV   (8                = sysmis).
recode BSDESV   (8                = sysmis).
recode BSDCSV   (8                = sysmis).
recode BSDPSV   (8                = sysmis).
recode BSMIBM01 (8                = sysmis).
recode BSMIBM02 (8                = sysmis).
recode BSMIBM03 (8                = sysmis).
recode BSMIBM04 (8                = sysmis).
recode BSMIBM05 (8                = sysmis).
recode BSSIBM01 (8                = sysmis).
recode BSSIBM02 (8                = sysmis).
recode BSSIBM03 (8                = sysmis).
recode BSSIBM04 (8                = sysmis).
recode BSSIBM05 (8                = sysmis).


*NOTE: recode "omitted" data to user defined "missing value".

missing value IDPOP   (9).
missing value IDGRADER(9).
missing value IDSTRATE(999).
missing value IDSTRATI(999).
missing value ITSEX   (9).
missing value ITLANG  (9).
missing value ITADMINI(9).
missing value ITDATEM (99).
missing value ITDATEY (9999).
missing value ITBIRTHM(99).
missing value ITBIRTHY(99).
missing value BSDAGE  (99).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value BSBGBRTY(99).
missing value BSBGBRTM(99).
missing value BSBGSEX (9).
missing value BSBGOLAN(9).
missing value BSBGBOOK(9).
missing value BSBGPS01(9).
missing value BSBGPS02(9).
missing value BSBGPS03(9).
missing value BSBGPS04(9).
missing value BSBGPS05(9).
missing value BSBGPS06(9).
missing value BSBGPS07(9).
missing value BSBGPS08(9).
missing value BSBGPS09(9).
missing value BSBGPS10(9).
missing value BSBGPS11(9).
missing value BSBGPS12(9).
missing value BSBGPS13(9).
missing value BSBGPS14(9).
missing value BSBGPS15(9).
missing value BSBGPS16(9).
missing value BSBGMFED(99).
missing value BSBGFMED(99).
missing value BSBGHFSG(9).
missing value BSBMTWEL(9).
missing value BSBMTMOR(9).
missing value BSBMTCLM(9).
missing value BSBMTENJ(9).
missing value BSBMTTOP(9).
missing value BSBMTSTR(9).
missing value BSBMTQKY(9).
missing value BSBMAHDL(9).
missing value BSBMAOSS(9).
missing value BSBMAUNI(9).
missing value BSBMAJOB(9).
missing value BSBMAGET(9).
missing value BSBMHASM(9).
missing value BSBMHWFD(9).
missing value BSBMHGCT(9).
missing value BSBMHEFR(9).
missing value BSBMHWSG(9).
missing value BSBMHMDL(9).
missing value BSBMHEXP(9).
missing value BSBMHSCP(9).
missing value BSBMHROH(9).
missing value BSBMHLSP(9).
missing value BSBMHWPO(9).
missing value BSBMHBHC(9).
missing value BSBMHHQT(9).
missing value BSBMHCAL(9).
missing value BSBSTWEL(9).
missing value BSBSTMOR(9).
missing value BSBSTCLM(9).
missing value BSBSTENJ(9).
missing value BSBSTTOP(9).
missing value BSBSTSTR(9).
missing value BSBSTQKY(9).
missing value BSBSAHDL(9).
missing value BSBSAOSS(9).
missing value BSBSAUNI(9).
missing value BSBSAJOB(9).
missing value BSBSAGET(9).
missing value BSBSHDEI(9).
missing value BSBSHFHP(9).
missing value BSBSHPEI(9).
missing value BSBSHCEI(9).
missing value BSBSHWGO(9).
missing value BSBSHEOH(9).
missing value BSBSHITS(9).
missing value BSBSHMDL(9).
missing value BSBSHPWC(9).
missing value BSBSHROH(9).
missing value BSBSHLSP(9).
missing value BSBSHWPO(9).
missing value BSBSHBHC(9).
missing value BSBSHHQT(9).
missing value BSBGUSEC(9).
missing value BSBGCHOM(9 6).
missing value BSBGCSCH(9 6).
missing value BSBGCLIB(9 6).
missing value BSBGCFRH(9 6).
missing value BSBGCCAF(9 6).
missing value BSBGCELS(9 6).
missing value BSBMOINF(9 6).
missing value BSBSOINF(9 6).
missing value BSBGOREP(9 6).
missing value BSBGOPAD(9 6).
missing value BSBGALBS(9).
missing value BSBGATTB(9).
missing value BSBGATCS(9).
missing value BSBGATSB(9).
missing value BSBGSTOL(9).
missing value BSBGHURT(9).
missing value BSBGMADE(9).
missing value BSBGMFUN(9).
missing value BSBGLEFT(9).
missing value BSBGWATV(9).
missing value BSBGPLCG(9).
missing value BSBGPLFD(9).
missing value BSBGJOHM(9).
missing value BSBGWKPJ(9).
missing value BSBGPLSP(9).
missing value BSBGREBO(9).
missing value BSBGUSIN(9).
missing value BSBGDOHW(9).
missing value BSBMEXTO(9).
missing value BSBSEXTO(9).
missing value BSBMHWMA(9).
missing value BSBMHWMG(9 6).
missing value BSBSHWMA(9).
missing value BSBSHWMG(9 6).
missing value BSBGPLHO(99).
missing value BSBGMBRN(9).
missing value BSBGFBRN(9).
missing value BSBGBORN(9).
missing value BSBGBRNC(9 6).
missing value BSBBSBIO(9).
missing value BSBBTWEL(9 6).
missing value BSBBTMOR(9 6).
missing value BSBBTCLM(9 6).
missing value BSBBTENJ(9 6).
missing value BSBBTTOP(9 6).
missing value BSBBTSTR(9 6).
missing value BSBBTQKY(9 6).
missing value BSBBAHDL(9 6).
missing value BSBBAOSS(9 6).
missing value BSBBAUNI(9 6).
missing value BSBBAJOB(9 6).
missing value BSBBAGET(9 6).
missing value BSBBHDEI(9 6).
missing value BSBBHFHP(9 6).
missing value BSBBHPEI(9 6).
missing value BSBBHCEI(9 6).
missing value BSBBHWGO(9 6).
missing value BSBBHEOH(9 6).
missing value BSBBHITS(9 6).
missing value BSBBHMDL(9 6).
missing value BSBBHPWC(9 6).
missing value BSBBHROH(9 6).
missing value BSBBHLSP(9 6).
missing value BSBBHWPO(9 6).
missing value BSBBHBHC(9 6).
missing value BSBBHHQT(9 6).
missing value BSBEARTH(9).
missing value BSBETWEL(9 6).
missing value BSBETMOR(9 6).
missing value BSBETCLM(9 6).
missing value BSBETENJ(9 6).
missing value BSBETTOP(9 6).
missing value BSBETSTR(9 6).
missing value BSBETQKY(9 6).
missing value BSBEAHDL(9 6).
missing value BSBEAOSS(9 6).
missing value BSBEAUNI(9 6).
missing value BSBEAJOB(9 6).
missing value BSBEAGET(9 6).
missing value BSBEHDEI(9 6).
missing value BSBEHFHP(9 6).
missing value BSBEHPEI(9 6).
missing value BSBEHCEI(9 6).
missing value BSBEHWGO(9 6).
missing value BSBEHEOH(9 6).
missing value BSBEHITS(9 6).
missing value BSBEHMDL(9 6).
missing value BSBEHPWC(9 6).
missing value BSBEHROH(9 6).
missing value BSBEHLSP(9 6).
missing value BSBEHWPO(9 6).
missing value BSBEHBHC(9 6).
missing value BSBEHHQT(9 6).
missing value BSBCCHEM(9).
missing value BSBCTWEL(9 6).
missing value BSBCTMOR(9 6).
missing value BSBCTCLM(9 6).
missing value BSBCTENJ(9 6).
missing value BSBCTTOP(9 6).
missing value BSBCTSTR(9 6).
missing value BSBCTQKY(9 6).
missing value BSBCAHDL(9 6).
missing value BSBCAOSS(9 6).
missing value BSBCAUNI(9 6).
missing value BSBCAJOB(9 6).
missing value BSBCAGET(9 6).
missing value BSBCHDEI(9 6).
missing value BSBCHFHP(9 6).
missing value BSBCHPEI(9 6).
missing value BSBCHCEI(9 6).
missing value BSBCHWGO(9 6).
missing value BSBCHEOH(9 6).
missing value BSBCHITS(9 6).
missing value BSBCHMDL(9 6).
missing value BSBCHPWC(9 6).
missing value BSBCHROH(9 6).
missing value BSBCHLSP(9 6).
missing value BSBCHWPO(9 6).
missing value BSBCHBHC(9 6).
missing value BSBCHHQT(9 6).
missing value BSBPPHY (9).
missing value BSBPTWEL(9 6).
missing value BSBPTMOR(9 6).
missing value BSBPTCLM(9 6).
missing value BSBPTENJ(9 6).
missing value BSBPTTOP(9 6).
missing value BSBPTSTR(9 6).
missing value BSBPTQKY(9 6).
missing value BSBPAHDL(9 6).
missing value BSBPAOSS(9 6).
missing value BSBPAUNI(9 6).
missing value BSBPAJOB(9 6).
missing value BSBPAGET(9 6).
missing value BSBPHDEI(9 6).
missing value BSBPHFHP(9 6).
missing value BSBPHPEI(9 6).
missing value BSBPHCEI(9 6).
missing value BSBPHWGO(9 6).
missing value BSBPHEOH(9 6).
missing value BSBPHITS(9 6).
missing value BSBPHMDL(9 6).
missing value BSBPHPWC(9 6).
missing value BSBPHROH(9 6).
missing value BSBPHLSP(9 6).
missing value BSBPHWPO(9 6).
missing value BSBPHBHC(9 6).
missing value BSBPHHQT(9 6).
missing value BSBBOINF(9 6).
missing value BSBEOINF(9 6).
missing value BSBCOINF(9 6).
missing value BSBPOINF(9 6).
missing value BSBMEXLS(9).
missing value BSBBEXLS(9).
missing value BSBEEXLS(9).
missing value BSBCEXLS(9).
missing value BSBPEXLS(9).
missing value BSBMTGHW(9).
missing value BSBBTGHW(9).
missing value BSBETGHW(9).
missing value BSBCTGHW(9).
missing value BSBPTGHW(9).
missing value BSBMHWMI(9 6).
missing value BSBBHWMI(9 6).
missing value BSBEHWMI(9 6).
missing value BSBCHWMI(9 6).
missing value BSBPHWMI(9 6).
missing value TOTWGT  (999999).
missing value HOUWGT  (999999).
missing value SENWGT  (999999).
missing value WGTFAC1 (999999).
missing value WGTADJ1 (999999).
missing value WGTADJ2 (999999).
missing value WGTFAC2 (999999).
missing value WGTFAC3 (999999).
missing value WGTADJ3 (999999).
missing value JKZONE  (99).
missing value JKREP   (9).
missing value BSMSTDR (9999).
missing value BSMNRSC (9999).
missing value BSMSCPT (99).
missing value BSSSTDR (9999).
missing value BSSNRSC (9999).
missing value BSSSCPT (99).
missing value BSMMAT01(999).
missing value BSMMAT02(999).
missing value BSMMAT03(999).
missing value BSMMAT04(999).
missing value BSMMAT05(999).
missing value BSMAPP01(999).
missing value BSMAPP02(999).
missing value BSMAPP03(999).
missing value BSMAPP04(999).
missing value BSMAPP05(999).
missing value BSMKNO01(999).
missing value BSMKNO02(999).
missing value BSMKNO03(999).
missing value BSMKNO04(999).
missing value BSMKNO05(999).
missing value BSMREA01(999).
missing value BSMREA02(999).
missing value BSMREA03(999).
missing value BSMREA04(999).
missing value BSMREA05(999).
missing value BSSSCI01(999).
missing value BSSSCI02(999).
missing value BSSSCI03(999).
missing value BSSSCI04(999).
missing value BSSSCI05(999).
missing value BSMALG01(999).
missing value BSMALG02(999).
missing value BSMALG03(999).
missing value BSMALG04(999).
missing value BSMALG05(999).
missing value BSMDAP01(999).
missing value BSMDAP02(999).
missing value BSMDAP03(999).
missing value BSMDAP04(999).
missing value BSMDAP05(999).
missing value BSMFNS01(999).
missing value BSMFNS02(999).
missing value BSMFNS03(999).
missing value BSMFNS04(999).
missing value BSMFNS05(999).
missing value BSMGEO01(999).
missing value BSMGEO02(999).
missing value BSMGEO03(999).
missing value BSMGEO04(999).
missing value BSMGEO05(999).
missing value BSMMEA01(999).
missing value BSMMEA02(999).
missing value BSMMEA03(999).
missing value BSMMEA04(999).
missing value BSMMEA05(999).
missing value BSSCHE01(999).
missing value BSSCHE02(999).
missing value BSSCHE03(999).
missing value BSSCHE04(999).
missing value BSSCHE05(999).
missing value BSSEAS01(999).
missing value BSSEAS02(999).
missing value BSSEAS03(999).
missing value BSSEAS04(999).
missing value BSSEAS05(999).
missing value BSSLIS01(999).
missing value BSSLIS02(999).
missing value BSSLIS03(999).
missing value BSSLIS04(999).
missing value BSSLIS05(999).
missing value BSSPHY01(999).
missing value BSSPHY02(999).
missing value BSSPHY03(999).
missing value BSSPHY04(999).
missing value BSSPHY05(999).
missing value BSSERI01(999).
missing value BSSERI02(999).
missing value BSSERI03(999).
missing value BSSERI04(999).
missing value BSSERI05(999).
missing value BSDGEDUP(9).
missing value BSDGASP (9).
missing value BSDGCAVL(9).
missing value BSDGPSS (9).
missing value BSDMHW  (9).
missing value BSDSHW  (9).
missing value BSDBHW  (9).
missing value BSDCHW  (9).
missing value BSDEHW  (9).
missing value BSDPHW  (9).
missing value BSDCSCL (9 6).
missing value BSDESCL (9 6).
missing value BSDMSCL (9).
missing value BSDBSCL (9 6).
missing value BSDSSCL (9).
missing value BSDPSCL (9 6).
missing value BSDSSV  (9).
missing value BSDMSV  (9).
missing value BSDBSV  (9 6).
missing value BSDESV  (9 6).
missing value BSDCSV  (9 6).
missing value BSDPSV  (9 6).
missing value BSMIBM01(9).
missing value BSMIBM02(9).
missing value BSMIBM03(9).
missing value BSMIBM04(9).
missing value BSMIBM05(9).
missing value BSSIBM01(9).
missing value BSSIBM02(9).
missing value BSSIBM03(9).
missing value BSSIBM04(9).
missing value BSSIBM05(9).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f4.0).
format IDCLASS  (f6.0).
format IDSTUD   (f8.0).
format IDBOOK   (f2.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format IDSTRATE (f3.0).
format IDSTRATI (f3.0).
format ITSEX    (f1.0).
format ITLANG   (f1.0).
format ITADMINI (f1.0).
format ITDATEM  (f2.0).
format ITDATEY  (f4.0).
format ITBIRTHM (f2.0).
format ITBIRTHY (f2.0).
format BSDAGE   (f5.2).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format BSBGBRTY (f2.0).
format BSBGBRTM (f2.0).
format BSBGSEX  (f1.0).
format BSBGOLAN (f1.0).
format BSBGBOOK (f1.0).
format BSBGPS01 (f1.0).
format BSBGPS02 (f1.0).
format BSBGPS03 (f1.0).
format BSBGPS04 (f1.0).
format BSBGPS05 (f1.0).
format BSBGPS06 (f1.0).
format BSBGPS07 (f1.0).
format BSBGPS08 (f1.0).
format BSBGPS09 (f1.0).
format BSBGPS10 (f1.0).
format BSBGPS11 (f1.0).
format BSBGPS12 (f1.0).
format BSBGPS13 (f1.0).
format BSBGPS14 (f1.0).
format BSBGPS15 (f1.0).
format BSBGPS16 (f1.0).
format BSBGMFED (f2.0).
format BSBGFMED (f2.0).
format BSBGHFSG (f1.0).
format BSBMTWEL (f1.0).
format BSBMTMOR (f1.0).
format BSBMTCLM (f1.0).
format BSBMTENJ (f1.0).
format BSBMTTOP (f1.0).
format BSBMTSTR (f1.0).
format BSBMTQKY (f1.0).
format BSBMAHDL (f1.0).
format BSBMAOSS (f1.0).
format BSBMAUNI (f1.0).
format BSBMAJOB (f1.0).
format BSBMAGET (f1.0).
format BSBMHASM (f1.0).
format BSBMHWFD (f1.0).
format BSBMHGCT (f1.0).
format BSBMHEFR (f1.0).
format BSBMHWSG (f1.0).
format BSBMHMDL (f1.0).
format BSBMHEXP (f1.0).
format BSBMHSCP (f1.0).
format BSBMHROH (f1.0).
format BSBMHLSP (f1.0).
format BSBMHWPO (f1.0).
format BSBMHBHC (f1.0).
format BSBMHHQT (f1.0).
format BSBMHCAL (f1.0).
format BSBSTWEL (f1.0).
format BSBSTMOR (f1.0).
format BSBSTCLM (f1.0).
format BSBSTENJ (f1.0).
format BSBSTTOP (f1.0).
format BSBSTSTR (f1.0).
format BSBSTQKY (f1.0).
format BSBSAHDL (f1.0).
format BSBSAOSS (f1.0).
format BSBSAUNI (f1.0).
format BSBSAJOB (f1.0).
format BSBSAGET (f1.0).
format BSBSHDEI (f1.0).
format BSBSHFHP (f1.0).
format BSBSHPEI (f1.0).
format BSBSHCEI (f1.0).
format BSBSHWGO (f1.0).
format BSBSHEOH (f1.0).
format BSBSHITS (f1.0).
format BSBSHMDL (f1.0).
format BSBSHPWC (f1.0).
format BSBSHROH (f1.0).
format BSBSHLSP (f1.0).
format BSBSHWPO (f1.0).
format BSBSHBHC (f1.0).
format BSBSHHQT (f1.0).
format BSBGUSEC (f1.0).
format BSBGCHOM (f1.0).
format BSBGCSCH (f1.0).
format BSBGCLIB (f1.0).
format BSBGCFRH (f1.0).
format BSBGCCAF (f1.0).
format BSBGCELS (f1.0).
format BSBMOINF (f1.0).
format BSBSOINF (f1.0).
format BSBGOREP (f1.0).
format BSBGOPAD (f1.0).
format BSBGALBS (f1.0).
format BSBGATTB (f1.0).
format BSBGATCS (f1.0).
format BSBGATSB (f1.0).
format BSBGSTOL (f1.0).
format BSBGHURT (f1.0).
format BSBGMADE (f1.0).
format BSBGMFUN (f1.0).
format BSBGLEFT (f1.0).
format BSBGWATV (f1.0).
format BSBGPLCG (f1.0).
format BSBGPLFD (f1.0).
format BSBGJOHM (f1.0).
format BSBGWKPJ (f1.0).
format BSBGPLSP (f1.0).
format BSBGREBO (f1.0).
format BSBGUSIN (f1.0).
format BSBGDOHW (f1.0).
format BSBMEXTO (f1.0).
format BSBSEXTO (f1.0).
format BSBMHWMA (f1.0).
format BSBMHWMG (f1.0).
format BSBSHWMA (f1.0).
format BSBSHWMG (f1.0).
format BSBGPLHO (f2.0).
format BSBGMBRN (f1.0).
format BSBGFBRN (f1.0).
format BSBGBORN (f1.0).
format BSBGBRNC (f1.0).
format BSBBSBIO (f1.0).
format BSBBTWEL (f1.0).
format BSBBTMOR (f1.0).
format BSBBTCLM (f1.0).
format BSBBTENJ (f1.0).
format BSBBTTOP (f1.0).
format BSBBTSTR (f1.0).
format BSBBTQKY (f1.0).
format BSBBAHDL (f1.0).
format BSBBAOSS (f1.0).
format BSBBAUNI (f1.0).
format BSBBAJOB (f1.0).
format BSBBAGET (f1.0).
format BSBBHDEI (f1.0).
format BSBBHFHP (f1.0).
format BSBBHPEI (f1.0).
format BSBBHCEI (f1.0).
format BSBBHWGO (f1.0).
format BSBBHEOH (f1.0).
format BSBBHITS (f1.0).
format BSBBHMDL (f1.0).
format BSBBHPWC (f1.0).
format BSBBHROH (f1.0).
format BSBBHLSP (f1.0).
format BSBBHWPO (f1.0).
format BSBBHBHC (f1.0).
format BSBBHHQT (f1.0).
format BSBEARTH (f1.0).
format BSBETWEL (f1.0).
format BSBETMOR (f1.0).
format BSBETCLM (f1.0).
format BSBETENJ (f1.0).
format BSBETTOP (f1.0).
format BSBETSTR (f1.0).
format BSBETQKY (f1.0).
format BSBEAHDL (f1.0).
format BSBEAOSS (f1.0).
format BSBEAUNI (f1.0).
format BSBEAJOB (f1.0).
format BSBEAGET (f1.0).
format BSBEHDEI (f1.0).
format BSBEHFHP (f1.0).
format BSBEHPEI (f1.0).
format BSBEHCEI (f1.0).
format BSBEHWGO (f1.0).
format BSBEHEOH (f1.0).
format BSBEHITS (f1.0).
format BSBEHMDL (f1.0).
format BSBEHPWC (f1.0).
format BSBEHROH (f1.0).
format BSBEHLSP (f1.0).
format BSBEHWPO (f1.0).
format BSBEHBHC (f1.0).
format BSBEHHQT (f1.0).
format BSBCCHEM (f1.0).
format BSBCTWEL (f1.0).
format BSBCTMOR (f1.0).
format BSBCTCLM (f1.0).
format BSBCTENJ (f1.0).
format BSBCTTOP (f1.0).
format BSBCTSTR (f1.0).
format BSBCTQKY (f1.0).
format BSBCAHDL (f1.0).
format BSBCAOSS (f1.0).
format BSBCAUNI (f1.0).
format BSBCAJOB (f1.0).
format BSBCAGET (f1.0).
format BSBCHDEI (f1.0).
format BSBCHFHP (f1.0).
format BSBCHPEI (f1.0).
format BSBCHCEI (f1.0).
format BSBCHWGO (f1.0).
format BSBCHEOH (f1.0).
format BSBCHITS (f1.0).
format BSBCHMDL (f1.0).
format BSBCHPWC (f1.0).
format BSBCHROH (f1.0).
format BSBCHLSP (f1.0).
format BSBCHWPO (f1.0).
format BSBCHBHC (f1.0).
format BSBCHHQT (f1.0).
format BSBPPHY  (f1.0).
format BSBPTWEL (f1.0).
format BSBPTMOR (f1.0).
format BSBPTCLM (f1.0).
format BSBPTENJ (f1.0).
format BSBPTTOP (f1.0).
format BSBPTSTR (f1.0).
format BSBPTQKY (f1.0).
format BSBPAHDL (f1.0).
format BSBPAOSS (f1.0).
format BSBPAUNI (f1.0).
format BSBPAJOB (f1.0).
format BSBPAGET (f1.0).
format BSBPHDEI (f1.0).
format BSBPHFHP (f1.0).
format BSBPHPEI (f1.0).
format BSBPHCEI (f1.0).
format BSBPHWGO (f1.0).
format BSBPHEOH (f1.0).
format BSBPHITS (f1.0).
format BSBPHMDL (f1.0).
format BSBPHPWC (f1.0).
format BSBPHROH (f1.0).
format BSBPHLSP (f1.0).
format BSBPHWPO (f1.0).
format BSBPHBHC (f1.0).
format BSBPHHQT (f1.0).
format BSBBOINF (f1.0).
format BSBEOINF (f1.0).
format BSBCOINF (f1.0).
format BSBPOINF (f1.0).
format BSBMEXLS (f1.0).
format BSBBEXLS (f1.0).
format BSBEEXLS (f1.0).
format BSBCEXLS (f1.0).
format BSBPEXLS (f1.0).
format BSBMTGHW (f1.0).
format BSBBTGHW (f1.0).
format BSBETGHW (f1.0).
format BSBCTGHW (f1.0).
format BSBPTGHW (f1.0).
format BSBMHWMI (f1.0).
format BSBBHWMI (f1.0).
format BSBEHWMI (f1.0).
format BSBCHWMI (f1.0).
format BSBPHWMI (f1.0).
format TOTWGT   (f13.6).
format HOUWGT   (f13.6).
format SENWGT   (f13.6).
format WGTFAC1  (f13.6).
format WGTADJ1  (f13.6).
format WGTADJ2  (f13.6).
format WGTFAC2  (f13.6).
format WGTFAC3  (f13.6).
format WGTADJ3  (f13.6).
format JKZONE   (f2.0).
format JKREP    (f1.0).
format BSMSTDR  (f8.3).
format BSMNRSC  (f8.3).
format BSMSCPT  (f2.0).
format BSSSTDR  (f8.3).
format BSSNRSC  (f8.3).
format BSSSCPT  (f2.0).
format BSMMAT01 (f6.2).
format BSMMAT02 (f6.2).
format BSMMAT03 (f6.2).
format BSMMAT04 (f6.2).
format BSMMAT05 (f6.2).
format BSMAPP01 (f6.2).
format BSMAPP02 (f6.2).
format BSMAPP03 (f6.2).
format BSMAPP04 (f6.2).
format BSMAPP05 (f6.2).
format BSMKNO01 (f6.2).
format BSMKNO02 (f6.2).
format BSMKNO03 (f6.2).
format BSMKNO04 (f6.2).
format BSMKNO05 (f6.2).
format BSMREA01 (f6.2).
format BSMREA02 (f6.2).
format BSMREA03 (f6.2).
format BSMREA04 (f6.2).
format BSMREA05 (f6.2).
format BSSSCI01 (f6.2).
format BSSSCI02 (f6.2).
format BSSSCI03 (f6.2).
format BSSSCI04 (f6.2).
format BSSSCI05 (f6.2).
format BSMALG01 (f6.2).
format BSMALG02 (f6.2).
format BSMALG03 (f6.2).
format BSMALG04 (f6.2).
format BSMALG05 (f6.2).
format BSMDAP01 (f6.2).
format BSMDAP02 (f6.2).
format BSMDAP03 (f6.2).
format BSMDAP04 (f6.2).
format BSMDAP05 (f6.2).
format BSMFNS01 (f6.2).
format BSMFNS02 (f6.2).
format BSMFNS03 (f6.2).
format BSMFNS04 (f6.2).
format BSMFNS05 (f6.2).
format BSMGEO01 (f6.2).
format BSMGEO02 (f6.2).
format BSMGEO03 (f6.2).
format BSMGEO04 (f6.2).
format BSMGEO05 (f6.2).
format BSMMEA01 (f6.2).
format BSMMEA02 (f6.2).
format BSMMEA03 (f6.2).
format BSMMEA04 (f6.2).
format BSMMEA05 (f6.2).
format BSSCHE01 (f6.2).
format BSSCHE02 (f6.2).
format BSSCHE03 (f6.2).
format BSSCHE04 (f6.2).
format BSSCHE05 (f6.2).
format BSSEAS01 (f6.2).
format BSSEAS02 (f6.2).
format BSSEAS03 (f6.2).
format BSSEAS04 (f6.2).
format BSSEAS05 (f6.2).
format BSSLIS01 (f6.2).
format BSSLIS02 (f6.2).
format BSSLIS03 (f6.2).
format BSSLIS04 (f6.2).
format BSSLIS05 (f6.2).
format BSSPHY01 (f6.2).
format BSSPHY02 (f6.2).
format BSSPHY03 (f6.2).
format BSSPHY04 (f6.2).
format BSSPHY05 (f6.2).
format BSSERI01 (f6.2).
format BSSERI02 (f6.2).
format BSSERI03 (f6.2).
format BSSERI04 (f6.2).
format BSSERI05 (f6.2).
format BSDGEDUP (f1.0).
format BSDGASP  (f1.0).
format BSDGCAVL (f1.0).
format BSDGPSS  (f1.0).
format BSDMHW   (f1.0).
format BSDSHW   (f1.0).
format BSDBHW   (f1.0).
format BSDCHW   (f1.0).
format BSDEHW   (f1.0).
format BSDPHW   (f1.0).
format BSDCSCL  (f1.0).
format BSDESCL  (f1.0).
format BSDMSCL  (f1.0).
format BSDBSCL  (f1.0).
format BSDSSCL  (f1.0).
format BSDPSCL  (f1.0).
format BSDSSV   (f1.0).
format BSDMSV   (f1.0).
format BSDBSV   (f1.0).
format BSDESV   (f1.0).
format BSDCSV   (f1.0).
format BSDPSV   (f1.0).
format BSMIBM01 (f1.0).
format BSMIBM02 (f1.0).
format BSMIBM03 (f1.0).
format BSMIBM04 (f1.0).
format BSMIBM05 (f1.0).
format BSSIBM01 (f1.0).
format BSSIBM02 (f1.0).
format BSSIBM03 (f1.0).
format BSSIBM04 (f1.0).
format BSSIBM05 (f1.0).
format DPCDATE  (f6.0).

create country = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
                 EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
                 ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
                 MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
                 SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
                 ZAF.
