**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,btm,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,btm,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  10     
  IDTEACH    11-  16     
  IDLINK     17-  18     
  ITCOURSE   19-  20     
  IDSUBJ     21-  21     
  IDGRADE    22-  23     
  IDGRADER   24-  24     
  INTMS03    25-  25     
  INTMS99    26-  26     
  INTMS95    27-  27     
  BTBGAGE    28-  28     
  BTBGSEX    29-  29     
  BTBGTAUT   30-  31     
  BTBGFEDC   32-  32     
  BTBGYTTR   33-  34     
  BTBMPSMA   35-  35     
  BTBMPSEM   36-  36     
  BTBSPSSC   37-  37     
  BTBSPSED   38-  38     
  BTBGPSEG   39-  39     
  BTBGPSOT   40-  40     
  BTBMRB5A   41-  41     
  BTBMRBPP   42-  42     
  BTBMRBEC   43-  43     
  BTBMRBMC   44-  44     
  BTBMRBLE   45-  45     
  BTBGTLCE   46-  46     
  BTBGTELC   47-  47     
  BTBMRE01   48-  48     
  BTBMRE02   49-  49     
  BTBMRE03   50-  50     
  BTBMRE04   51-  51     
  BTBMRE05   52-  52     
  BTBMRE06   53-  53     
  BTBMRE07   54-  54     
  BTBMRE08   55-  55     
  BTBMRE09   56-  56     
  BTBMRE10   57-  57     
  BTBMRE11   58-  58     
  BTBMRE12   59-  59     
  BTBMRE13   60-  60     
  BTBMRE14   61-  61     
  BTBMRE15   62-  62     
  BTBMRE16   63-  63     
  BTBMRE17   64-  64     
  BTBMRE18   65-  65     
  BTBGWTNP   66-  67     
  BTBMSPTM   68-  69     
  BTBSSPTS   70-  71     
  BTBGSPTO   72-  73     
  BTBGSPOD   74-  75     
  BTBGSPTT   76-  77     
  BTBGMITY   78-  80     
  BTBGOHGT   81-  82     
  BTBGOHPL   83-  84     
  BTBGOHAT   85-  86     
  BTBGOHOT   87-  88     
  BTBGOTDC   89-  89     
  BTBGOTPM   90-  90     
  BTBGOTVT   91-  91     
  BTBGOTAT   92-  92     
  BTBMPDMT   93-  93     
  BTBMPDMP   94-  94     
  BTBMPDMC   95-  95     
  BTBMPDIT   96-  96     
  BTBGPDCT   97-  97     
  BTBMPDMA   98-  98     
  BTBMADMR   99-  99     
  BTBMADSA  100- 100     
  BTBMADHY  101- 101     
  BTBMADME  102- 102     
  BTBMADDW  103- 103     
  BTBMADFD  104- 104     
  BTBMADRW  105- 105     
  BTBGCURE  106- 106     
  BTBGCUSN  107- 107     
  BTBGCUSA  108- 108     
  BTBGCUAS  109- 109     
  BTBGCHTS  110- 110     
  BTBGCHTU  111- 111     
  BTBGCHTC  112- 112     
  BTBGCHES  113- 113     
  BTBGCHPS  114- 114     
  BTBGCHPI  115- 115     
  BTBGCHSR  116- 116     
  BTBGCHSD  117- 117     
  BTBMSTUD  118- 120     
  BTBMTIMT  121- 123     
  BTBMTBTC  124- 124     
  BTBMTXBU  125- 125     
  BTBMPTRH  126- 128     
  BTBMPTLS  129- 131     
  BTBMPTYG  132- 134     
  BTBMPTOO  135- 137     
  BTBMPTRT  138- 140     
  BTBMPTTQ  141- 143     
  BTBMPTCM  144- 146     
  BTBMPTOA  147- 149     
  BTBMASPC  150- 150     
  BTBMASWF  151- 151     
  BTBMASWS  152- 152     
  BTBMASID  153- 153     
  BTBMASRR  154- 154     
  BTBMASSG  155- 155     
  BTBMASDL  156- 156     
  BTBMASEA  157- 157     
  BTBMASCP  158- 158     
  BTBGLT01  159- 159     
  BTBGLT02  160- 160     
  BTBGLT03  161- 161     
  BTBGLT04  162- 162     
  BTBGLT05  163- 163     
  BTBGLT06  164- 164     
  BTBGLT07  165- 165     
  BTBGLT08  166- 166     
  BTBGLT09  167- 167     
  BTBGLT10  168- 168     
  BTBGLT11  169- 169     
  BTBGLT12  170- 170     
  BTBGLT13  171- 171     
  BTBGLT14  172- 172     
  BTBMCNUM  173- 175     
  BTBMCGEO  176- 178     
  BTBMCALG  179- 181     
  BTBMCDAT  182- 184     
  BTBMCMEA  185- 187     
  BTBMCOTH  188- 190     
  BTBMTO01  191- 191     
  BTBMTO02  192- 192     
  BTBMTO03  193- 193     
  BTBMTO04  194- 194     
  BTBMTO05  195- 195     
  BTBMTO06  196- 196     
  BTBMTO07  197- 197     
  BTBMTO08  198- 198     
  BTBMTO09  199- 199     
  BTBMTO10  200- 200     
  BTBMTO11  201- 201     
  BTBMTO12  202- 202     
  BTBMTO13  203- 203     
  BTBMTO14  204- 204     
  BTBMTO15  205- 205     
  BTBMTO16  206- 206     
  BTBMTO17  207- 207     
  BTBMTO18  208- 208     
  BTBMTO19  209- 209     
  BTBMTO20  210- 210     
  BTBMTO21  211- 211     
  BTBMTO22  212- 212     
  BTBMTO23  213- 213     
  BTBMTO24  214- 214     
  BTBMTO25  215- 215     
  BTBMTO26  216- 216     
  BTBMTO27  217- 217     
  BTBMTO28  218- 218     
  BTBMTO29  219- 219     
  BTBMTO30  220- 220     
  BTBMTO31  221- 221     
  BTBMTO32  222- 222     
  BTBMTO33  223- 223     
  BTBMTO34  224- 224     
  BTBMTO35  225- 225     
  BTBMTO36  226- 226     
  BTBMTO37  227- 227     
  BTBMTO38  228- 228     
  BTBMTO39  229- 229     
  BTBMTO40  230- 230     
  BTBMTO41  231- 231     
  BTBMTO42  232- 232     
  BTBMTO43  233- 233     
  BTBMTO44  234- 234     
  BTBMTO45  235- 235     
  BTBMCAML  236- 236     
  BTBMHSHC  237- 237     
  BTBMHSGC  238- 238     
  BTBMCALA  239- 239     
  BTBMCALR  240- 240     
  BTBMCALS  241- 241     
  BTBMCALE  242- 242     
  BTBMCATE  243- 243     
  BTBMCOMA  244- 244     
  BTBMINTA  245- 245     
  BTBMCADM  246- 246     
  BTBMCASP  247- 247     
  BTBMCALI  248- 248     
  BTBMCAPA  249- 249     
  BTBMHMWO  250- 250     
  BTBMHWMC  251- 251     
  BTBMHWKM  252- 252     
  BTBMKHCP  253- 253     
  BTBMKHCG  254- 254     
  BTBMKHCA  255- 255     
  BTBMHDAM  256- 256     
  BTBMHDAF  257- 257     
  BTBMHDAC  258- 258     
  BTBMHDAD  259- 259     
  BTBMHDAG  260- 260     
  BTBMTEEX  261- 261     
  BTBMWFTU  262- 262     
  BTBMTEAP  263- 263     
  BTBMTESP  264- 264     
  BTBMTEJU  265- 265     
  BTDGTELC  266- 266     
  BTDMSTUD  267- 267     
  BTDMLT    268- 268     
  BTDMH     269- 269     
  BTDMCH    270- 270     
  BTDMCU    271- 271     
  BTDMTONU  272- 277 (2)
  BTDMTOAL  278- 283 (2)
  BTDMTOME  284- 289 (2)
  BTDMTOGE  290- 295 (2)
  BTDMTODA  296- 301 (2)
  BTDMTOOV  302- 307 (2)
  DPCDATE   308- 313     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /ITCOURSE "*NAME OF COURSE*" 
                 /IDSUBJ   "*SUBJECT ID*" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /BTBGAGE  "GEN\AGE OF TEACHER" 
                 /BTBGSEX  "GEN\SEX OF TEACHER" 
                 /BTBGTAUT "GEN\YEARS BEEN TEACHING" 
                 /BTBGFEDC "GEN\LEVEL OF FORMAL EDUCATION COMPLETED" 
                 /BTBGYTTR "GEN\YEARS OF TEACHER TRAINING" 
                 /BTBMPSMA "MAT\MAJOR AREA OF STUDY\MATHEMATICS" 
                 /BTBMPSEM "MAT\MAJOR AREA OF STUDY\EDUCATION MATHS" 
                 /BTBSPSSC "SCI\MAJOR AREA OF STUDY\SCI" 
                 /BTBSPSED "SCI\MAJOR AREA OF STUDY\EDUCATION SCI" 
                 /BTBGPSEG "GEN\MAJOR AREA OF STUDY\EDUCATION GEN" 
                 /BTBGPSOT "GEN\MAJOR AREA OF STUDY\OTHER" 
                 /BTBMRB5A "MAT\REQUIREMENTS TO BECOME TCH\ISCED 5A" 
                 /BTBMRBPP "MAT\REQUIREMENTS TO BECOME TCH\PROB PER" 
                 /BTBMRBEC "MAT\REQUIREMENTS TO BECOME TCH\EDU CSES" 
                 /BTBMRBMC "MAT\REQUIREMENTS TO BECOME TCH\MATH CSES" 
                 /BTBMRBLE "MAT\REQUIREMENTS TO BECOME TCH\LIC EXAM" 
                 /BTBGTLCE "GEN\TEACHING CERTIFICATE" 
                 /BTBGTELC "GEN\TEACHING CERTIFICATE\TYPE" 
                 /BTBMRE01 "MAT\READY TO TCH\NUMBER\DECIMALS FRACT" 
                 /BTBMRE02 "MAT\READY TO TCH\NUMBER\INTEGERS" 
                 /BTBMRE03 "MAT\READY TO TCH\ALGEBRA\PATTERNS SEQU" 
                 /BTBMRE04 "MAT\READY TO TCH\ALGEBRA\SMPLE EQUAT" 
                 /BTBMRE05 "MAT\READY TO TCH\ALGEBRA\EQUIV PRESENT" 
                 /BTBMRE06 "MAT\READY TO TCH\ALGEBRA\ATTRIBUTES" 
                 /BTBMRE07 "MAT\READY TO TCH\MEASUREMENT\ESTIMATIONS" 
                 /BTBMRE08 "MAT\READY TO TCH\MEASUREMENT\COMPUTATION" 
                 /BTBMRE09 "MAT\READY TO TCH\MEASUREMENT\MEASURES" 
                 /BTBMRE10 "MAT\READY TO TCH\MEASUREMENT\PRECISION" 
                 /BTBMRE11 "MAT\READY TO TCH\GEOMETRY\PYTHAGOREAN" 
                 /BTBMRE12 "MAT\READY TO TCH\GEOMETRY\CONGR FIGURES" 
                 /BTBMRE13 "MAT\READY TO TCH\GEOMETRY\CARTESIAN PL" 
                 /BTBMRE14 "MAT\READY TO TCH\GEOMETRY\TRANSLATION" 
                 /BTBMRE15 "MAT\READY TO TCH\DATA\SOURCES OF ERROR" 
                 /BTBMRE16 "MAT\READY TO TCH\DATA\DATA COLLECTION" 
                 /BTBMRE17 "MAT\READY TO TCH\DATA\CHARACTERISTICS" 
                 /BTBMRE18 "MAT\READY TO TCH\DATA\SIMPLE PROBABILITY" 
                 /BTBGWTNP "GEN\SCHEDULED PERIODS ALTOGETHER" 
                 /BTBMSPTM "MAT\PERIODS ASSIGNED\TCH MATHS" 
                 /BTBSSPTS "SCI\PERIODS ASSIGNED\TCH SCIENCE" 
                 /BTBGSPTO "GEN\PERIODS ASSIGNED\TCH OTHER SUBJECTS" 
                 /BTBGSPOD "GEN\PERIODS ASSIGNED\PERF OTHER DUTIES" 
                 /BTBGSPTT "GEN\PERIODS ASSIGNED\TOTAL" 
                 /BTBGMITY "GEN\MINUTES IN A TYPICAL PERIOD" 
                 /BTBGOHGT "GEN\OUTSIDE SCHOOL DAY\GRADING TESTS" 
                 /BTBGOHPL "GEN\OUTSIDE SCHOOL DAY\PLANNING LESSONS" 
                 /BTBGOHAT "GEN\OUTSIDE SCHOOL DAY\ADMINISTR TASKS" 
                 /BTBGOHOT "GEN\OUTSIDE SCHOOL DAY\OTHER" 
                 /BTBGOTDC "GEN\INTERACTIONS TEACHERS\DISCUSS CONCEP" 
                 /BTBGOTPM "GEN\INTERACTIONS TEACHERS\WORK ON PREPAR" 
                 /BTBGOTVT "GEN\INTERACTIONS TEACHERS\VISITS" 
                 /BTBGOTAT "GEN\INTERACTIONS TEACHERS\INFORM OBSERV" 
                 /BTBMPDMT "MAT\PARTICIPATED DEVELOP\MATH CONTENT" 
                 /BTBMPDMP "MAT\PARTICIPATED DEVELOP\MAT PEDAGOGY" 
                 /BTBMPDMC "MAT\PARTICIPATED DEVELOP\MAT CURRICULUM" 
                 /BTBMPDIT "MAT\PARTICIPATED DEVELOP\IT INTO MATH" 
                 /BTBGPDCT "GEN\PARTICIPATED DEVELOP\CRITICAL THINK" 
                 /BTBMPDMA "MAT\PARTICIPATED DEVELOP\MATH ASSESSM" 
                 /BTBMADMR "MAT\AGREE\USE MORE THAN 1 REPRESENTATION" 
                 /BTBMADSA "MAT\AGREE\MATHEMATICS SHOULD BE" 
                 /BTBMADHY "MAT\AGREE\SOLVING MATHS PROBLEMS" 
                 /BTBMADME "MAT\AGREE\LEARNING MATHS MEMORIZING" 
                 /BTBMADDW "MAT\AGREE\DIFERENT WAYS TO SOLVE PROBL" 
                 /BTBMADFD "MAT\AGREE\FEW NEW DISCOVERIES" 
                 /BTBMADRW "MAT\AGREE\MODELING REAL WORLD PROBL" 
                 /BTBGCURE "GEN\THINKING ABT CURR SCH\SCHOOL FACIL" 
                 /BTBGCUSN "GEN\THINKING ABT CURR SCH\SAFE NEIGHBORH" 
                 /BTBGCUSA "GEN\THINKING ABT CURR SCH\FEEL SAFE" 
                 /BTBGCUAS "GEN\THINKING ABT CURR SCH\SECURITY POLIC" 
                 /BTBGCHTS "GEN\CHARACTERIZE\JOB SATISFACTION" 
                 /BTBGCHTU "GEN\CHARACTERIZE\TCHS UNDERSTANDING" 
                 /BTBGCHTC "GEN\CHARACTERIZE\TCHS DEGREE OF SUCESS" 
                 /BTBGCHES "GEN\CHARACTERIZE\TCHS EXPECTATIONS" 
                 /BTBGCHPS "GEN\CHARACTERIZE\PARENTAL SUPPORT" 
                 /BTBGCHPI "GEN\CHARACTERIZE\PARENTAL INVOLVEMENT" 
                 /BTBGCHSR "GEN\CHARACTERIZE\STUDENTS REGARDS" 
                 /BTBGCHSD "GEN\CHARACTERIZE\STUDENTS DESIRE" 
                 /BTBMSTUD "MAT\NUMBER OF STUDENTS IN THE CLASS" 
                 /BTBMTIMT "MAT\MINUTES TEACH MATH PER WEEK TO CLASS" 
                 /BTBMTBTC "MAT\TEXTBOOK\USE FOR MATHS" 
                 /BTBMTXBU "MAT\TEXTBOOK\USED HOW IN TEACHING MATHS" 
                 /BTBMPTRH "MAT\PERCENTAGE SPENT\REVIEW HOMEWORK" 
                 /BTBMPTLS "MAT\PERCENTAGE SPENT\LISTENTING TO PRES" 
                 /BTBMPTYG "MAT\PERCENTAGE SPENT\WORKING PROBLEMS" 
                 /BTBMPTOO "MAT\PERCENTAGE SPENT\WKNG PROBL ON OWN" 
                 /BTBMPTRT "MAT\PERCENTAGE SPENT\LISTEN TO RETEACH" 
                 /BTBMPTTQ "MAT\PERCENTAGE SPENT\TESTS OR QUIZZES" 
                 /BTBMPTCM "MAT\PERCENTAGE SPENT\PARTIC IN CLSROOM" 
                 /BTBMPTOA "MAT\PERCENTAGE SPENT\OTHER ACTIVITIES" 
                 /BTBMASPC "MAT\HOW OFTEN ASK\PRACTICE ADDING" 
                 /BTBMASWF "MAT\HOW OFTEN ASK\WORK ON FRACTIONS" 
                 /BTBMASWS "MAT\HOW OFTEN ASK\WORK ON PROBLEMS" 
                 /BTBMASID "MAT\HOW OFTEN ASK\INTERPRET DATA TABLES" 
                 /BTBMASRR "MAT\HOW OFTEN ASK\WRITE EQUATATIONS" 
                 /BTBMASSG "MAT\HOW OFTEN ASK\WORK IN SMALL GROUPS" 
                 /BTBMASDL "MAT\HOW OFTEN ASK\RELATE TO DAILY LIFE" 
                 /BTBMASEA "MAT\HOW OFTEN ASK\EXPLAIN ANSWERS" 
                 /BTBMASCP "MAT\HOW OFTEN ASK\DECIDE ON OWN" 
                 /BTBGLT01 "GEN\LIMIT TO TEACH\DIFFERENT ACADEMIC AB" 
                 /BTBGLT02 "GEN\LIMIT TO TEACH\WIDE RANGE OF BACKGRO" 
                 /BTBGLT03 "GEN\LIMIT TO TEACH\SPECIAL NEEDS" 
                 /BTBGLT04 "GEN\LIMIT TO TEACH\UNINTERESTED STUDENTS" 
                 /BTBGLT05 "GEN\LIMIT TO TEACH\LOW MORALE AMONG STUD" 
                 /BTBGLT06 "GEN\LIMIT TO TEACH\DISRUPTIVE STUDENTS" 
                 /BTBGLT07 "GEN\LIMIT TO TEACH\SHORTGE COMP HARDWARE" 
                 /BTBGLT08 "GEN\LIMIT TO TEACH\SHORTGE COMP SOFTWARE" 
                 /BTBGLT09 "GEN\LIMIT TO TEACH\SUPPORT COMPUTER USE" 
                 /BTBGLT10 "GEN\LIMIT TO TEACH\TEXTBOOKS FOR STUDENT" 
                 /BTBGLT11 "GEN\LIMIT TO TEACH\INSTRUC EQUIPMENT" 
                 /BTBGLT12 "GEN\LIMIT TO TEACH\DEMONSTRATI EQUIPMENT" 
                 /BTBGLT13 "GEN\LIMIT TO TEACH\INADEQUATE PHYSICAL F" 
                 /BTBGLT14 "GEN\LIMIT TO TEACH\HIGH STUDENT TEACHER" 
                 /BTBMCNUM "MAT\PERCENTAGE OF TEACHING SPENT\NUMBER" 
                 /BTBMCGEO "MAT\PERCENTAGE OF TEACHING SPENT\GEOMETR" 
                 /BTBMCALG "MAT\PERCENTAGE OF TEACHING SPENT\ALGEBRA" 
                 /BTBMCDAT "MAT\PERCENTAGE OF TEACHING SPENT\DATA" 
                 /BTBMCMEA "MAT\PERCENTAGE OF TEACHING SPENT\MEASURM" 
                 /BTBMCOTH "MAT\PERCENTAGE OF TEACHING SPENT\OTHER" 
                 /BTBMTO01 "MAT\TAUGHT TOPIC\NUMBER\WHOLE NUMBERS" 
                 /BTBMTO02 "MAT\TAUGHT TOPIC\NUMBER\COMPUTATIONS EST" 
                 /BTBMTO03 "MAT\TAUGHT TOPIC\NUMBER\COMMON FRACTIONS" 
                 /BTBMTO04 "MAT\TAUGHT TOPIC\NUMBER\DECIMAL FRACTION" 
                 /BTBMTO05 "MAT\TAUGHT TOPIC\NUMBER\REPRESENTING DEC" 
                 /BTBMTO06 "MAT\TAUGHT TOPIC\NUMBER\COMPUTE FRACTION" 
                 /BTBMTO07 "MAT\TAUGHT TOPIC\NUMBER\COMPUTE DECIMALS" 
                 /BTBMTO08 "MAT\TAUGHT TOPIC\NUMBER\INTEGERS" 
                 /BTBMTO09 "MAT\TAUGHT TOPIC\NUMBER\RATIOS" 
                 /BTBMTO10 "MAT\TAUGHT TOPIC\NUMBER\CONVERSION PERCE" 
                 /BTBMTO11 "MAT\TAUGHT TOPIC\ALGEBRA\NUMERIC PATTERN" 
                 /BTBMTO12 "MAT\TAUGHT TOPIC\ALGEBRA\SUM VARIABLES" 
                 /BTBMTO13 "MAT\TAUGHT TOPIC\ALGEBRA\LINEAR EQUATION" 
                 /BTBMTO14 "MAT\TAUGHT TOPIC\ALGEBRA\EQUIV REPRESENT" 
                 /BTBMTO15 "MAT\TAUGHT TOPIC\ALGEBRA\RELATIONSHIPS" 
                 /BTBMTO16 "MAT\TAUGHT TOPIC\ALGEBRA\GRAPH ATTRIBUTE" 
                 /BTBMTO17 "MAT\TAUGHT TOPIC\MEASURE\STANDARD UNITS" 
                 /BTBMTO18 "MAT\TAUGHT TOPIC\MEASURE\RELATIONSHIPS" 
                 /BTBMTO19 "MAT\TAUGHT TOPIC\MEASURE\STANDARD TOOLS" 
                 /BTBMTO20 "MAT\TAUGHT TOPIC\MEASURE\ESTIMATIONS" 
                 /BTBMTO21 "MAT\TAUGHT TOPIC\MEASURE\COMPUTATIONS" 
                 /BTBMTO22 "MAT\TAUGHT TOPIC\MEASURE\MEA FORMULAS" 
                 /BTBMTO23 "MAT\TAUGHT TOPIC\MEASURE\MEA IRREGULAR" 
                 /BTBMTO24 "MAT\TAUGHT TOPIC\MEASURE\MEA PRECISION" 
                 /BTBMTO25 "MAT\TAUGHT TOPIC\GEOMETRY\ANGLES" 
                 /BTBMTO26 "MAT\TAUGHT TOPIC\GEOMETRY\ANGLE RELATIO" 
                 /BTBMTO27 "MAT\TAUGHT TOPIC\GEOMETRY\BISECTORS" 
                 /BTBMTO28 "MAT\TAUGHT TOPIC\GEOMETRY\GEOM SHAPES" 
                 /BTBMTO29 "MAT\TAUGHT TOPIC\GEOMETRY\POLYGONS" 
                 /BTBMTO30 "MAT\TAUGHT TOPIC\GEOMETRY\DRAW TRIANGLES" 
                 /BTBMTO31 "MAT\TAUGHT TOPIC\GEOMETRY\PYTHAGOREAN TH" 
                 /BTBMTO32 "MAT\TAUGHT TOPIC\GEOMETRY\CONGRUENT FIGU" 
                 /BTBMTO33 "MAT\TAUGHT TOPIC\GEOMETRY\SIMILARITY" 
                 /BTBMTO34 "MAT\TAUGHT TOPIC\GEOMETRY\CARTESIAN PLAN" 
                 /BTBMTO35 "MAT\TAUGHT TOPIC\GEOMETRY\RELATION 2D 3D" 
                 /BTBMTO36 "MAT\TAUGHT TOPIC\GEOMETRY\2D SYMMETRY" 
                 /BTBMTO37 "MAT\TAUGHT TOPIC\GEOMETRY\TRANSLATION" 
                 /BTBMTO38 "MAT\TAUGHT TOPIC\DATA\ORGANIZING DATA" 
                 /BTBMTO39 "MAT\TAUGHT TOPIC\DATA\SOURCES OF ERROR" 
                 /BTBMTO40 "MAT\TAUGHT TOPIC\DATA\DATA COLLECTION" 
                 /BTBMTO41 "MAT\TAUGHT TOPIC\DATA\DRAWING GRAPHS" 
                 /BTBMTO42 "MAT\TAUGHT TOPIC\DATA\CHARACTERISTICS" 
                 /BTBMTO43 "MAT\TAUGHT TOPIC\DATA\INTERPRETING DATA" 
                 /BTBMTO44 "MAT\TAUGHT TOPIC\DATA\EVALUATING INTERPR" 
                 /BTBMTO45 "MAT\TAUGHT TOPIC\DATA\SIMPLE PROBABILITY" 
                 /BTBMCAML "MAT\CALCULATOR\USE PERMITTED FOR STD" 
                 /BTBMHSHC "MAT\CALCULATOR\AVAIL DURING MATHS LESS" 
                 /BTBMHSGC "MAT\CALCULATOR\STD HAVE IT AVAILABLE" 
                 /BTBMCALA "MAT\CALCULATOR\USE\CHECK ANSWERS" 
                 /BTBMCALR "MAT\CALCULATOR\USE\DO ROUTINE COMPUT" 
                 /BTBMCALS "MAT\CALCULATOR\USE\SOLVE COMPLEX PROBLEM" 
                 /BTBMCALE "MAT\CALCULATOR\USE\EXPLORE NR CONCEPTS" 
                 /BTBMCATE "MAT\CALCULATOR\PERMITTED DURING TESTS" 
                 /BTBMCOMA "MAT\COMPUTER\AVAILABLE IN MATHS LESS" 
                 /BTBMINTA "MAT\COMPUTER\ACCESS TO INTERNET" 
                 /BTBMCADM "MAT\COMPUTER\USE\DISC MATHS PRINCIPLE" 
                 /BTBMCASP "MAT\COMPUTER\USE\PRACTICE SKILLS" 
                 /BTBMCALI "MAT\COMPUTER\USE\LOOK UP IDEAS" 
                 /BTBMCAPA "MAT\COMPUTER\USE\PROCESS DATA" 
                 /BTBMHMWO "MAT\HOMEWORK\DO YOU ASSIGN MATHS" 
                 /BTBMHWMC "MAT\HOMEWORK\FREQUENCY OF MATHS HMW" 
                 /BTBMHWKM "MAT\HOMEWORK\MIN ASSIGN IN TIMSS CLS" 
                 /BTBMKHCP "MAT\ASSIGN KINDS OF HOMEWORK\PROBLEM" 
                 /BTBMKHCG "MAT\ASSIGN KINDS OF HOMEWORK\GATHER DATA" 
                 /BTBMKHCA "MAT\ASSIGN KINDS OF HOMEWORK\FIND APPLIC" 
                 /BTBMHDAM "MAT\HOMEWORK ASSIGNMENTS\MONITOR COMPLET" 
                 /BTBMHDAF "MAT\HOMEWORK ASSIGNMENTS\CORRECT ASSIGNM" 
                 /BTBMHDAC "MAT\HOMEWORK ASSIGNMENTS\HAVE STD CORR" 
                 /BTBMHDAD "MAT\HOMEWORK ASSIGNMENTS\USE HOMEWORK" 
                 /BTBMHDAG "MAT\HOMEWORK ASSIGNMENTS\CONTRIBUTE" 
                 /BTBMTEEX "MAT\TEST\HOW OFTEN GIVE IN MATHS" 
                 /BTBMWFTU "MAT\TEST\ITEM FORMATS USED" 
                 /BTBMTEAP "MAT\TEST QUESTIONS\MATH APPLICATIONS" 
                 /BTBMTESP "MAT\TEST QUESTIONS\SEARCHING FOR PATTERN" 
                 /BTBMTEJU "MAT\TEST QUESTIONS\EXPLANATIONS JUSTIFIC" 
                 /BTDGTELC "MATH TEACHER HAS FULL LICENSE OR CERTIF" 
                 /BTDMSTUD "CLASS SIZE FOR MATHEMATICS INSTRUCTION" 
                 /BTDMLT   "IDX TCH RPT MTH CLSS WO LIM FCTRS (MCWL)" 
                 /BTDMH    "IDX TCHR EMPHASIS ON MATH HOMEWORK (EMH)" 
                 /BTDMCH   "IDX MATH TCHR PRCPTN SCHL CLIMATE(MTPSC)" 
                 /BTDMCU   "IDX MATH TCHR PRCPTN SCHL SAFETY (MTPSS)" 
                 /BTDMTONU "SUM STUDENTS TAUGHT NUMBER  MATH TOPICS" 
                 /BTDMTOAL "SUM STUDENTS TAUGHT ALGEBRA MATH TOPICS" 
                 /BTDMTOME "SUM STUDENTS TAUGHT MEASURE MATH TOPICS" 
                 /BTDMTOGE "SUM STUDENTS TAUGHT GEOMETR MATH TOPICS" 
                 /BTDMTODA "SUM STUDENTS TAUGHT DATA    MATH TOPICS" 
                 /BTDMTOOV "SUM STUDENTS TAUGHT OVERALL MATH TOPICS" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS POP 1"
                       2  "TIMSS POP 2"
                       3  "TIMSS POP 3"
                       9  "OMITTED"
                       /
            ITCOURSE   1  "MATHEMATICS"
                       2  "PHYSICS"
                       3  "BIOLOGY"
                       4  "CHEMISTRY"
                       5  "EARTH SCIENCE"
                       6  "INTEGRATED SCIENCE"
                       8  "COUNTRY SPECIFIC1"
                       9  "COUNTRY SPECIFIC2"
                      10  "COUNTRY SPECIFIC3"
                      99  "OMITTED"
                       /
            IDSUBJ     9  "OMITTED"
                       /
            IDGRADER   1  "LOWER GRADE"
                       2  "UPPER GRADE"
                       9  "OMITTED"
                       /
            BTBGAGE    1  "UNDER 25"
                       2  "25-29"
                       3  "30-39"
                       4  "40-49"
                       5  "50-59"
                       6  "60 OR OLDER"
                       9  "OMITTED"
                       /
            BTBGSEX    1  "FEMALE"
                       2  "MALE"
                       9  "OMITTED"
                       /
            BTBGFEDC   1  "DID NOT COMPL ISCED 3"
                       2  "FINISHED ISCED 3"
                       3  "FINISHED ISCED 4B"
                       4  "FINISHED ISCED 5B"
                       5  "FINISHED ISCED 5A, FIRST DEGREE"
                       6  "FINISHED ISCED 5A, 2ND DEGREE OR HIGHER"
                       9  "OMITTED"
                       /
            BTBGYTTR   1  "0 YEARS"
                       2  "1 YEAR"
                       3  "2 YEARS"
                       4  "3 YEARS"
                       5  "4 YEARS"
                       6  "5 YEARS"
                       7  "MORE THAN 5 YEARS"
                      99  "OMITTED"
                       /
            BTBMPSMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMPSEM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPSSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPSED   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGPSEG   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGPSOT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMRB5A   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMRBPP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMRBEC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMRBMC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMRBLE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGTLCE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGTELC   1  "<FULL CERTIFICATE>"
                       2  "<PROVISIONAL CERTIFICATE>"
                       3  "<EMERGENCY CERTIFICATE>"
                       4  "<OTHER>"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMRE01   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE02   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE03   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE04   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE05   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE06   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE07   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE08   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE09   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE10   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE11   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE12   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE13   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE14   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE15   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE16   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE17   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBMRE18   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBGOTDC   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBGOTPM   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBGOTVT   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBGOTAT   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBMPDMT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMPDMP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMPDMC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMPDIT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGPDCT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMPDMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMADMR   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBMADSA   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBMADHY   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBMADME   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBMADDW   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBMADFD   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBMADRW   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCURE   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCUSN   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCUSA   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCUAS   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCHTS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHTU   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHTC   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHES   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHPS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHPI   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHSR   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHSD   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBMTBTC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMTXBU   1  "AS THE PRIMARY BASIS FOR MY LESSONS"
                       2  "AS A SUPPLEMENTARY RESOURCE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMASPC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASWF   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASWS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASID   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASRR   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASSG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASEA   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBMASCP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBGLT01   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT02   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT03   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT04   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT05   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT06   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT07   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT08   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT09   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT10   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT11   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT12   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT13   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT14   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBMTO01   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO02   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO03   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO04   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO05   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO06   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO07   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO08   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO09   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO10   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO11   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO12   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO13   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO14   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO15   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO16   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO17   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO18   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO19   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO20   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO21   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO22   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO23   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO24   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO25   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO26   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO27   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO28   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO29   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO30   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO31   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO32   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO33   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO34   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO35   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO36   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO37   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO38   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO39   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO40   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO41   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO42   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO43   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO44   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMTO45   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBMCAML   1  "YES, WITH UNRESTRICTED USE"
                       2  "YES, WITH RESTRICTED USE"
                       3  "NO, CALCULATORS ARE NOT PERMITTED"
                       9  "OMITTED"
                       /
            BTBMHSHC   1  "ALL"
                       2  "MOST"
                       3  "ABOUT HALF"
                       4  "SOME"
                       5  "NONE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHSGC   1  "ALL"
                       2  "MOST"
                       3  "ABOUT HALF"
                       4  "SOME"
                       5  "NONE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCALA   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCALR   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCALS   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCALE   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCATE   1  "ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCOMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMINTA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCADM   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCASP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCALI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMCAPA   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHMWO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMHWMC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHWKM   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMKHCP   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMKHCG   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMKHCA   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHDAM   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHDAF   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHDAC   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHDAD   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMHDAG   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMTEEX   1  "ABOUT ONCE A WEEK"
                       2  "ABOUT EVERY TWO WEEKS"
                       3  "ABOUT ONCE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BTBMWFTU   1  "ONLY CONSTRUCTED-RESPONSE"
                       2  "MOSTLY CONSTRUCTED-RESPONSE"
                       3  "ABOUT HALF CONSTRUCTED-RESPONSE"
                       4  "MOSTLY OBJECTIVE"
                       5  "ONLY OBJECTIVE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMTEAP   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMTESP   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBMTEJU   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTDGTELC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTDMSTUD   1  "1-24 STUDENTS"
                       2  "25-32 STUDENTS"
                       3  "33-40 STUDENTS"
                       4  "41 OR MORE STUDENTS"
                       9  "OMITTED"
                       /
            BTDMLT     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BTDMH      1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BTDMCH     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BTDMCU     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode ITCOURSE (98               = sysmis).
recode IDSUBJ   (8                = sysmis).
recode IDGRADER (8                = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode BTBGAGE  (8                = sysmis).
recode BTBGSEX  (8                = sysmis).
recode BTBGTAUT (98               = sysmis).
recode BTBGFEDC (8                = sysmis).
recode BTBGYTTR (98               = sysmis).
recode BTBMPSMA (8                = sysmis).
recode BTBMPSEM (8                = sysmis).
recode BTBSPSSC (8                = sysmis).
recode BTBSPSED (8                = sysmis).
recode BTBGPSEG (8                = sysmis).
recode BTBGPSOT (8                = sysmis).
recode BTBMRB5A (8                = sysmis).
recode BTBMRBPP (8                = sysmis).
recode BTBMRBEC (8                = sysmis).
recode BTBMRBMC (8                = sysmis).
recode BTBMRBLE (8                = sysmis).
recode BTBGTLCE (8                = sysmis).
recode BTBGTELC (8                = sysmis).
recode BTBMRE01 (8                = sysmis).
recode BTBMRE02 (8                = sysmis).
recode BTBMRE03 (8                = sysmis).
recode BTBMRE04 (8                = sysmis).
recode BTBMRE05 (8                = sysmis).
recode BTBMRE06 (8                = sysmis).
recode BTBMRE07 (8                = sysmis).
recode BTBMRE08 (8                = sysmis).
recode BTBMRE09 (8                = sysmis).
recode BTBMRE10 (8                = sysmis).
recode BTBMRE11 (8                = sysmis).
recode BTBMRE12 (8                = sysmis).
recode BTBMRE13 (8                = sysmis).
recode BTBMRE14 (8                = sysmis).
recode BTBMRE15 (8                = sysmis).
recode BTBMRE16 (8                = sysmis).
recode BTBMRE17 (8                = sysmis).
recode BTBMRE18 (8                = sysmis).
recode BTBGWTNP (98               = sysmis).
recode BTBMSPTM (98               = sysmis).
recode BTBSSPTS (98               = sysmis).
recode BTBGSPTO (98               = sysmis).
recode BTBGSPOD (98               = sysmis).
recode BTBGSPTT (98               = sysmis).
recode BTBGMITY (998              = sysmis).
recode BTBGOHGT (98               = sysmis).
recode BTBGOHPL (98               = sysmis).
recode BTBGOHAT (98               = sysmis).
recode BTBGOHOT (98               = sysmis).
recode BTBGOTDC (8                = sysmis).
recode BTBGOTPM (8                = sysmis).
recode BTBGOTVT (8                = sysmis).
recode BTBGOTAT (8                = sysmis).
recode BTBMPDMT (8                = sysmis).
recode BTBMPDMP (8                = sysmis).
recode BTBMPDMC (8                = sysmis).
recode BTBMPDIT (8                = sysmis).
recode BTBGPDCT (8                = sysmis).
recode BTBMPDMA (8                = sysmis).
recode BTBMADMR (8                = sysmis).
recode BTBMADSA (8                = sysmis).
recode BTBMADHY (8                = sysmis).
recode BTBMADME (8                = sysmis).
recode BTBMADDW (8                = sysmis).
recode BTBMADFD (8                = sysmis).
recode BTBMADRW (8                = sysmis).
recode BTBGCURE (8                = sysmis).
recode BTBGCUSN (8                = sysmis).
recode BTBGCUSA (8                = sysmis).
recode BTBGCUAS (8                = sysmis).
recode BTBGCHTS (8                = sysmis).
recode BTBGCHTU (8                = sysmis).
recode BTBGCHTC (8                = sysmis).
recode BTBGCHES (8                = sysmis).
recode BTBGCHPS (8                = sysmis).
recode BTBGCHPI (8                = sysmis).
recode BTBGCHSR (8                = sysmis).
recode BTBGCHSD (8                = sysmis).
recode BTBMSTUD (998              = sysmis).
recode BTBMTIMT (998              = sysmis).
recode BTBMTBTC (8                = sysmis).
recode BTBMTXBU (8                = sysmis).
recode BTBMPTRH (998              = sysmis).
recode BTBMPTLS (998              = sysmis).
recode BTBMPTYG (998              = sysmis).
recode BTBMPTOO (998              = sysmis).
recode BTBMPTRT (998              = sysmis).
recode BTBMPTTQ (998              = sysmis).
recode BTBMPTCM (998              = sysmis).
recode BTBMPTOA (998              = sysmis).
recode BTBMASPC (8                = sysmis).
recode BTBMASWF (8                = sysmis).
recode BTBMASWS (8                = sysmis).
recode BTBMASID (8                = sysmis).
recode BTBMASRR (8                = sysmis).
recode BTBMASSG (8                = sysmis).
recode BTBMASDL (8                = sysmis).
recode BTBMASEA (8                = sysmis).
recode BTBMASCP (8                = sysmis).
recode BTBGLT01 (8                = sysmis).
recode BTBGLT02 (8                = sysmis).
recode BTBGLT03 (8                = sysmis).
recode BTBGLT04 (8                = sysmis).
recode BTBGLT05 (8                = sysmis).
recode BTBGLT06 (8                = sysmis).
recode BTBGLT07 (8                = sysmis).
recode BTBGLT08 (8                = sysmis).
recode BTBGLT09 (8                = sysmis).
recode BTBGLT10 (8                = sysmis).
recode BTBGLT11 (8                = sysmis).
recode BTBGLT12 (8                = sysmis).
recode BTBGLT13 (8                = sysmis).
recode BTBGLT14 (8                = sysmis).
recode BTBMCNUM (998              = sysmis).
recode BTBMCGEO (998              = sysmis).
recode BTBMCALG (998              = sysmis).
recode BTBMCDAT (998              = sysmis).
recode BTBMCMEA (998              = sysmis).
recode BTBMCOTH (998              = sysmis).
recode BTBMTO01 (8                = sysmis).
recode BTBMTO02 (8                = sysmis).
recode BTBMTO03 (8                = sysmis).
recode BTBMTO04 (8                = sysmis).
recode BTBMTO05 (8                = sysmis).
recode BTBMTO06 (8                = sysmis).
recode BTBMTO07 (8                = sysmis).
recode BTBMTO08 (8                = sysmis).
recode BTBMTO09 (8                = sysmis).
recode BTBMTO10 (8                = sysmis).
recode BTBMTO11 (8                = sysmis).
recode BTBMTO12 (8                = sysmis).
recode BTBMTO13 (8                = sysmis).
recode BTBMTO14 (8                = sysmis).
recode BTBMTO15 (8                = sysmis).
recode BTBMTO16 (8                = sysmis).
recode BTBMTO17 (8                = sysmis).
recode BTBMTO18 (8                = sysmis).
recode BTBMTO19 (8                = sysmis).
recode BTBMTO20 (8                = sysmis).
recode BTBMTO21 (8                = sysmis).
recode BTBMTO22 (8                = sysmis).
recode BTBMTO23 (8                = sysmis).
recode BTBMTO24 (8                = sysmis).
recode BTBMTO25 (8                = sysmis).
recode BTBMTO26 (8                = sysmis).
recode BTBMTO27 (8                = sysmis).
recode BTBMTO28 (8                = sysmis).
recode BTBMTO29 (8                = sysmis).
recode BTBMTO30 (8                = sysmis).
recode BTBMTO31 (8                = sysmis).
recode BTBMTO32 (8                = sysmis).
recode BTBMTO33 (8                = sysmis).
recode BTBMTO34 (8                = sysmis).
recode BTBMTO35 (8                = sysmis).
recode BTBMTO36 (8                = sysmis).
recode BTBMTO37 (8                = sysmis).
recode BTBMTO38 (8                = sysmis).
recode BTBMTO39 (8                = sysmis).
recode BTBMTO40 (8                = sysmis).
recode BTBMTO41 (8                = sysmis).
recode BTBMTO42 (8                = sysmis).
recode BTBMTO43 (8                = sysmis).
recode BTBMTO44 (8                = sysmis).
recode BTBMTO45 (8                = sysmis).
recode BTBMCAML (8                = sysmis).
recode BTBMHSHC (8                = sysmis).
recode BTBMHSGC (8                = sysmis).
recode BTBMCALA (8                = sysmis).
recode BTBMCALR (8                = sysmis).
recode BTBMCALS (8                = sysmis).
recode BTBMCALE (8                = sysmis).
recode BTBMCATE (8                = sysmis).
recode BTBMCOMA (8                = sysmis).
recode BTBMINTA (8                = sysmis).
recode BTBMCADM (8                = sysmis).
recode BTBMCASP (8                = sysmis).
recode BTBMCALI (8                = sysmis).
recode BTBMCAPA (8                = sysmis).
recode BTBMHMWO (8                = sysmis).
recode BTBMHWMC (8                = sysmis).
recode BTBMHWKM (8                = sysmis).
recode BTBMKHCP (8                = sysmis).
recode BTBMKHCG (8                = sysmis).
recode BTBMKHCA (8                = sysmis).
recode BTBMHDAM (8                = sysmis).
recode BTBMHDAF (8                = sysmis).
recode BTBMHDAC (8                = sysmis).
recode BTBMHDAD (8                = sysmis).
recode BTBMHDAG (8                = sysmis).
recode BTBMTEEX (8                = sysmis).
recode BTBMWFTU (8                = sysmis).
recode BTBMTEAP (8                = sysmis).
recode BTBMTESP (8                = sysmis).
recode BTBMTEJU (8                = sysmis).
recode BTDGTELC (8                = sysmis).
recode BTDMSTUD (8                = sysmis).
recode BTDMLT   (8                = sysmis).
recode BTDMH    (8                = sysmis).
recode BTDMCH   (8                = sysmis).
recode BTDMCU   (8                = sysmis).
recode BTDMTONU (998              = sysmis).
recode BTDMTOAL (998              = sysmis).
recode BTDMTOME (998              = sysmis).
recode BTDMTOGE (998              = sysmis).
recode BTDMTODA (998              = sysmis).
recode BTDMTOOV (998              = sysmis).


*NOTE: recode "omitted" data to user defined "missing value"

missing value IDPOP   (9).
missing value ITCOURSE(99).
missing value IDSUBJ  (9).
missing value IDGRADER(9).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value BTBGAGE (9).
missing value BTBGSEX (9).
missing value BTBGTAUT(99).
missing value BTBGFEDC(9).
missing value BTBGYTTR(99).
missing value BTBMPSMA(9).
missing value BTBMPSEM(9).
missing value BTBSPSSC(9).
missing value BTBSPSED(9).
missing value BTBGPSEG(9).
missing value BTBGPSOT(9).
missing value BTBMRB5A(9).
missing value BTBMRBPP(9).
missing value BTBMRBEC(9).
missing value BTBMRBMC(9).
missing value BTBMRBLE(9).
missing value BTBGTLCE(9).
missing value BTBGTELC(9 6).
missing value BTBMRE01(9).
missing value BTBMRE02(9).
missing value BTBMRE03(9).
missing value BTBMRE04(9).
missing value BTBMRE05(9).
missing value BTBMRE06(9).
missing value BTBMRE07(9).
missing value BTBMRE08(9).
missing value BTBMRE09(9).
missing value BTBMRE10(9).
missing value BTBMRE11(9).
missing value BTBMRE12(9).
missing value BTBMRE13(9).
missing value BTBMRE14(9).
missing value BTBMRE15(9).
missing value BTBMRE16(9).
missing value BTBMRE17(9).
missing value BTBMRE18(9).
missing value BTBGWTNP(99).
missing value BTBMSPTM(99).
missing value BTBSSPTS(99).
missing value BTBGSPTO(99).
missing value BTBGSPOD(99).
missing value BTBGSPTT(99).
missing value BTBGMITY(999).
missing value BTBGOHGT(99).
missing value BTBGOHPL(99).
missing value BTBGOHAT(99).
missing value BTBGOHOT(99).
missing value BTBGOTDC(9).
missing value BTBGOTPM(9).
missing value BTBGOTVT(9).
missing value BTBGOTAT(9).
missing value BTBMPDMT(9).
missing value BTBMPDMP(9).
missing value BTBMPDMC(9).
missing value BTBMPDIT(9).
missing value BTBGPDCT(9).
missing value BTBMPDMA(9).
missing value BTBMADMR(9).
missing value BTBMADSA(9).
missing value BTBMADHY(9).
missing value BTBMADME(9).
missing value BTBMADDW(9).
missing value BTBMADFD(9).
missing value BTBMADRW(9).
missing value BTBGCURE(9).
missing value BTBGCUSN(9).
missing value BTBGCUSA(9).
missing value BTBGCUAS(9).
missing value BTBGCHTS(9).
missing value BTBGCHTU(9).
missing value BTBGCHTC(9).
missing value BTBGCHES(9).
missing value BTBGCHPS(9).
missing value BTBGCHPI(9).
missing value BTBGCHSR(9).
missing value BTBGCHSD(9).
missing value BTBMSTUD(999).
missing value BTBMTIMT(999).
missing value BTBMTBTC(9).
missing value BTBMTXBU(9 6).
missing value BTBMPTRH(999).
missing value BTBMPTLS(999).
missing value BTBMPTYG(999).
missing value BTBMPTOO(999).
missing value BTBMPTRT(999).
missing value BTBMPTTQ(999).
missing value BTBMPTCM(999).
missing value BTBMPTOA(999).
missing value BTBMASPC(9).
missing value BTBMASWF(9).
missing value BTBMASWS(9).
missing value BTBMASID(9).
missing value BTBMASRR(9).
missing value BTBMASSG(9).
missing value BTBMASDL(9).
missing value BTBMASEA(9).
missing value BTBMASCP(9).
missing value BTBGLT01(9).
missing value BTBGLT02(9).
missing value BTBGLT03(9).
missing value BTBGLT04(9).
missing value BTBGLT05(9).
missing value BTBGLT06(9).
missing value BTBGLT07(9).
missing value BTBGLT08(9).
missing value BTBGLT09(9).
missing value BTBGLT10(9).
missing value BTBGLT11(9).
missing value BTBGLT12(9).
missing value BTBGLT13(9).
missing value BTBGLT14(9).
missing value BTBMCNUM(999).
missing value BTBMCGEO(999).
missing value BTBMCALG(999).
missing value BTBMCDAT(999).
missing value BTBMCMEA(999).
missing value BTBMCOTH(999).
missing value BTBMTO01(9).
missing value BTBMTO02(9).
missing value BTBMTO03(9).
missing value BTBMTO04(9).
missing value BTBMTO05(9).
missing value BTBMTO06(9).
missing value BTBMTO07(9).
missing value BTBMTO08(9).
missing value BTBMTO09(9).
missing value BTBMTO10(9).
missing value BTBMTO11(9).
missing value BTBMTO12(9).
missing value BTBMTO13(9).
missing value BTBMTO14(9).
missing value BTBMTO15(9).
missing value BTBMTO16(9).
missing value BTBMTO17(9).
missing value BTBMTO18(9).
missing value BTBMTO19(9).
missing value BTBMTO20(9).
missing value BTBMTO21(9).
missing value BTBMTO22(9).
missing value BTBMTO23(9).
missing value BTBMTO24(9).
missing value BTBMTO25(9).
missing value BTBMTO26(9).
missing value BTBMTO27(9).
missing value BTBMTO28(9).
missing value BTBMTO29(9).
missing value BTBMTO30(9).
missing value BTBMTO31(9).
missing value BTBMTO32(9).
missing value BTBMTO33(9).
missing value BTBMTO34(9).
missing value BTBMTO35(9).
missing value BTBMTO36(9).
missing value BTBMTO37(9).
missing value BTBMTO38(9).
missing value BTBMTO39(9).
missing value BTBMTO40(9).
missing value BTBMTO41(9).
missing value BTBMTO42(9).
missing value BTBMTO43(9).
missing value BTBMTO44(9).
missing value BTBMTO45(9).
missing value BTBMCAML(9).
missing value BTBMHSHC(9 6).
missing value BTBMHSGC(9 6).
missing value BTBMCALA(9 6).
missing value BTBMCALR(9 6).
missing value BTBMCALS(9 6).
missing value BTBMCALE(9 6).
missing value BTBMCATE(9 6).
missing value BTBMCOMA(9).
missing value BTBMINTA(9 6).
missing value BTBMCADM(9 6).
missing value BTBMCASP(9 6).
missing value BTBMCALI(9 6).
missing value BTBMCAPA(9 6).
missing value BTBMHMWO(9).
missing value BTBMHWMC(9 6).
missing value BTBMHWKM(9 6).
missing value BTBMKHCP(9 6).
missing value BTBMKHCG(9 6).
missing value BTBMKHCA(9 6).
missing value BTBMHDAM(9 6).
missing value BTBMHDAF(9 6).
missing value BTBMHDAC(9 6).
missing value BTBMHDAD(9 6).
missing value BTBMHDAG(9 6).
missing value BTBMTEEX(9).
missing value BTBMWFTU(9 6).
missing value BTBMTEAP(9 6).
missing value BTBMTESP(9 6).
missing value BTBMTEJU(9 6).
missing value BTDGTELC(9).
missing value BTDMSTUD(9).
missing value BTDMLT  (9).
missing value BTDMH   (9).
missing value BTDMCH  (9).
missing value BTDMCU  (9).
missing value BTDMTONU(999).
missing value BTDMTOAL(999).
missing value BTDMTOME(999).
missing value BTDMTOGE(999).
missing value BTDMTODA(999).
missing value BTDMTOOV(999).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f4.0).
format IDTEACH  (f6.0).
format IDLINK   (f2.0).
format ITCOURSE (f2.0).
format IDSUBJ   (f1.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format BTBGAGE  (f1.0).
format BTBGSEX  (f1.0).
format BTBGTAUT (f2.0).
format BTBGFEDC (f1.0).
format BTBGYTTR (f2.0).
format BTBMPSMA (f1.0).
format BTBMPSEM (f1.0).
format BTBSPSSC (f1.0).
format BTBSPSED (f1.0).
format BTBGPSEG (f1.0).
format BTBGPSOT (f1.0).
format BTBMRB5A (f1.0).
format BTBMRBPP (f1.0).
format BTBMRBEC (f1.0).
format BTBMRBMC (f1.0).
format BTBMRBLE (f1.0).
format BTBGTLCE (f1.0).
format BTBGTELC (f1.0).
format BTBMRE01 (f1.0).
format BTBMRE02 (f1.0).
format BTBMRE03 (f1.0).
format BTBMRE04 (f1.0).
format BTBMRE05 (f1.0).
format BTBMRE06 (f1.0).
format BTBMRE07 (f1.0).
format BTBMRE08 (f1.0).
format BTBMRE09 (f1.0).
format BTBMRE10 (f1.0).
format BTBMRE11 (f1.0).
format BTBMRE12 (f1.0).
format BTBMRE13 (f1.0).
format BTBMRE14 (f1.0).
format BTBMRE15 (f1.0).
format BTBMRE16 (f1.0).
format BTBMRE17 (f1.0).
format BTBMRE18 (f1.0).
format BTBGWTNP (f2.0).
format BTBMSPTM (f2.0).
format BTBSSPTS (f2.0).
format BTBGSPTO (f2.0).
format BTBGSPOD (f2.0).
format BTBGSPTT (f2.0).
format BTBGMITY (f3.0).
format BTBGOHGT (f2.0).
format BTBGOHPL (f2.0).
format BTBGOHAT (f2.0).
format BTBGOHOT (f2.0).
format BTBGOTDC (f1.0).
format BTBGOTPM (f1.0).
format BTBGOTVT (f1.0).
format BTBGOTAT (f1.0).
format BTBMPDMT (f1.0).
format BTBMPDMP (f1.0).
format BTBMPDMC (f1.0).
format BTBMPDIT (f1.0).
format BTBGPDCT (f1.0).
format BTBMPDMA (f1.0).
format BTBMADMR (f1.0).
format BTBMADSA (f1.0).
format BTBMADHY (f1.0).
format BTBMADME (f1.0).
format BTBMADDW (f1.0).
format BTBMADFD (f1.0).
format BTBMADRW (f1.0).
format BTBGCURE (f1.0).
format BTBGCUSN (f1.0).
format BTBGCUSA (f1.0).
format BTBGCUAS (f1.0).
format BTBGCHTS (f1.0).
format BTBGCHTU (f1.0).
format BTBGCHTC (f1.0).
format BTBGCHES (f1.0).
format BTBGCHPS (f1.0).
format BTBGCHPI (f1.0).
format BTBGCHSR (f1.0).
format BTBGCHSD (f1.0).
format BTBMSTUD (f3.0).
format BTBMTIMT (f3.0).
format BTBMTBTC (f1.0).
format BTBMTXBU (f1.0).
format BTBMPTRH (f3.0).
format BTBMPTLS (f3.0).
format BTBMPTYG (f3.0).
format BTBMPTOO (f3.0).
format BTBMPTRT (f3.0).
format BTBMPTTQ (f3.0).
format BTBMPTCM (f3.0).
format BTBMPTOA (f3.0).
format BTBMASPC (f1.0).
format BTBMASWF (f1.0).
format BTBMASWS (f1.0).
format BTBMASID (f1.0).
format BTBMASRR (f1.0).
format BTBMASSG (f1.0).
format BTBMASDL (f1.0).
format BTBMASEA (f1.0).
format BTBMASCP (f1.0).
format BTBGLT01 (f1.0).
format BTBGLT02 (f1.0).
format BTBGLT03 (f1.0).
format BTBGLT04 (f1.0).
format BTBGLT05 (f1.0).
format BTBGLT06 (f1.0).
format BTBGLT07 (f1.0).
format BTBGLT08 (f1.0).
format BTBGLT09 (f1.0).
format BTBGLT10 (f1.0).
format BTBGLT11 (f1.0).
format BTBGLT12 (f1.0).
format BTBGLT13 (f1.0).
format BTBGLT14 (f1.0).
format BTBMCNUM (f3.0).
format BTBMCGEO (f3.0).
format BTBMCALG (f3.0).
format BTBMCDAT (f3.0).
format BTBMCMEA (f3.0).
format BTBMCOTH (f3.0).
format BTBMTO01 (f1.0).
format BTBMTO02 (f1.0).
format BTBMTO03 (f1.0).
format BTBMTO04 (f1.0).
format BTBMTO05 (f1.0).
format BTBMTO06 (f1.0).
format BTBMTO07 (f1.0).
format BTBMTO08 (f1.0).
format BTBMTO09 (f1.0).
format BTBMTO10 (f1.0).
format BTBMTO11 (f1.0).
format BTBMTO12 (f1.0).
format BTBMTO13 (f1.0).
format BTBMTO14 (f1.0).
format BTBMTO15 (f1.0).
format BTBMTO16 (f1.0).
format BTBMTO17 (f1.0).
format BTBMTO18 (f1.0).
format BTBMTO19 (f1.0).
format BTBMTO20 (f1.0).
format BTBMTO21 (f1.0).
format BTBMTO22 (f1.0).
format BTBMTO23 (f1.0).
format BTBMTO24 (f1.0).
format BTBMTO25 (f1.0).
format BTBMTO26 (f1.0).
format BTBMTO27 (f1.0).
format BTBMTO28 (f1.0).
format BTBMTO29 (f1.0).
format BTBMTO30 (f1.0).
format BTBMTO31 (f1.0).
format BTBMTO32 (f1.0).
format BTBMTO33 (f1.0).
format BTBMTO34 (f1.0).
format BTBMTO35 (f1.0).
format BTBMTO36 (f1.0).
format BTBMTO37 (f1.0).
format BTBMTO38 (f1.0).
format BTBMTO39 (f1.0).
format BTBMTO40 (f1.0).
format BTBMTO41 (f1.0).
format BTBMTO42 (f1.0).
format BTBMTO43 (f1.0).
format BTBMTO44 (f1.0).
format BTBMTO45 (f1.0).
format BTBMCAML (f1.0).
format BTBMHSHC (f1.0).
format BTBMHSGC (f1.0).
format BTBMCALA (f1.0).
format BTBMCALR (f1.0).
format BTBMCALS (f1.0).
format BTBMCALE (f1.0).
format BTBMCATE (f1.0).
format BTBMCOMA (f1.0).
format BTBMINTA (f1.0).
format BTBMCADM (f1.0).
format BTBMCASP (f1.0).
format BTBMCALI (f1.0).
format BTBMCAPA (f1.0).
format BTBMHMWO (f1.0).
format BTBMHWMC (f1.0).
format BTBMHWKM (f1.0).
format BTBMKHCP (f1.0).
format BTBMKHCG (f1.0).
format BTBMKHCA (f1.0).
format BTBMHDAM (f1.0).
format BTBMHDAF (f1.0).
format BTBMHDAC (f1.0).
format BTBMHDAD (f1.0).
format BTBMHDAG (f1.0).
format BTBMTEEX (f1.0).
format BTBMWFTU (f1.0).
format BTBMTEAP (f1.0).
format BTBMTESP (f1.0).
format BTBMTEJU (f1.0).
format BTDGTELC (f1.0).
format BTDMSTUD (f1.0).
format BTDMLT   (f1.0).
format BTDMH    (f1.0).
format BTDMCH   (f1.0).
format BTDMCU   (f1.0).
format BTDMTONU (f6.2).
format BTDMTOAL (f6.2).
format BTDMTOME (f6.2).
format BTDMTOGE (f6.2).
format BTDMTODA (f6.2).
format BTDMTOOV (f6.2).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want compressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata /COMPRESSED.

!doend
!enddefine

create country = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
                 EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
                 ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
                 MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
                 SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
                 ZAF.
