**********  SPSS Input Program for SPSS  **********.
*NOTE: This SPSS program converts raw-data files into SPSS system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

*NOTE: The line below defines a dot (".") as decimal separator,
       whether SPSS recognizes the dot correctly may depend
       on the language settings of your computer. If not, you may have to 
       de-activate the line below and replace dots by commas.


SET DECIMAL = DOT.

define create (country=!charend('/')).

*NOTE: file-specification of the input raw-data file and output spss-data file.
*YOU NEED TO ADDAPT THE TWO FOLLOWING LINES.

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bts,!cty,'m3.raw"').
!let !savdata = !concat('"',!savpath,bts,!cty,'m3.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDPOP       6-   6     
  IDSCHOOL    7-  10     
  IDTEACH    11-  16     
  IDLINK     17-  18     
  ITCOURSE   19-  20     
  IDSUBJ     21-  21     
  IDGRADE    22-  23     
  IDGRADER   24-  24     
  INTMS03    25-  25     
  INTMS99    26-  26     
  INTMS95    27-  27     
  BTBGAGE    28-  28     
  BTBGSEX    29-  29     
  BTBGTAUT   30-  31     
  BTBGFEDC   32-  32     
  BTBGYTTR   33-  34     
  BTBSPSBI   35-  35     
  BTBSPSPH   36-  36     
  BTBSPSCH   37-  37     
  BTBSPSES   38-  38     
  BTBSPSED   39-  39     
  BTBMPSMA   40-  40     
  BTBMPSEM   41-  41     
  BTBGPSEG   42-  42     
  BTBGPSOT   43-  43     
  BTBSRB5A   44-  44     
  BTBSRBPP   45-  45     
  BTBSRBEC   46-  46     
  BTBSRBSC   47-  47     
  BTBSRBLE   48-  48     
  BTBGTLCE   49-  49     
  BTBGTELC   50-  50     
  BTBSFR01   51-  51     
  BTBSFR02   52-  52     
  BTBSFR03   53-  53     
  BTBSFR04   54-  54     
  BTBSFR05   55-  55     
  BTBSFR06   56-  56     
  BTBSFR07   57-  57     
  BTBSFR08   58-  58     
  BTBSFR09   59-  59     
  BTBSFR10   60-  60     
  BTBSFR11   61-  61     
  BTBSFR12   62-  62     
  BTBSFR13   63-  63     
  BTBSFR14   64-  64     
  BTBSFR15   65-  65     
  BTBSFR16   66-  66     
  BTBSFR17   67-  67     
  BTBSFR18   68-  68     
  BTBSFR19   69-  69     
  BTBSFR20   70-  70     
  BTBSFR21   71-  71     
  BTBGWTNP   72-  73     
  BTBSSPTS   74-  75     
  BTBSSPPS   76-  77     
  BTBSSPTP   78-  79     
  BTBSSPTC   80-  81     
  BTBSSPTB   82-  83     
  BTBSSPTE   84-  85     
  BTBMSPTM   86-  87     
  BTBGSPTO   88-  89     
  BTBGSPOD   90-  91     
  BTBGSPTT   92-  93     
  BTBGMITY   94-  96     
  BTBGOHGT   97-  98     
  BTBGOHPL   99- 100     
  BTBGOHAT  101- 102     
  BTBGOHOT  103- 104     
  BTBGOTDC  105- 105     
  BTBGOTPM  106- 106     
  BTBGOTVT  107- 107     
  BTBGOTAT  108- 108     
  BTBSPDST  109- 109     
  BTBSPDSP  110- 110     
  BTBSPDSC  111- 111     
  BTBSPDIT  112- 112     
  BTBGPDIN  113- 113     
  BTBSPDSA  114- 114     
  BTBSADMR  115- 115     
  BTBSADHY  116- 116     
  BTBSADME  117- 117     
  BTBSADCO  118- 118     
  BTBSADAN  119- 119     
  BTBSADSC  120- 120     
  BTBSADTA  121- 121     
  BTBSADMO  122- 122     
  BTBSADDI  123- 123     
  BTBGCURE  124- 124     
  BTBGCUSN  125- 125     
  BTBGCUSA  126- 126     
  BTBGCUAS  127- 127     
  BTBGCHTS  128- 128     
  BTBGCHTU  129- 129     
  BTBGCHTC  130- 130     
  BTBGCHES  131- 131     
  BTBGCHPS  132- 132     
  BTBGCHPI  133- 133     
  BTBGCHSR  134- 134     
  BTBGCHSD  135- 135     
  BTBSSTUD  136- 138     
  BTBSTIMT  139- 141     
  BTBSTBTC  142- 142     
  BTBSTXBU  143- 143     
  BTBSPTRH  144- 146     
  BTBSPTLS  147- 149     
  BTBSPTYG  150- 152     
  BTBSPTOO  153- 155     
  BTBSPTRT  156- 158     
  BTBSPTTQ  159- 161     
  BTBSPTCM  162- 164     
  BTBSPTOA  165- 167     
  BTBSCSWD  168- 168     
  BTBSCSFT  169- 169     
  BTBSCSDP  170- 170     
  BTBSCSEI  171- 171     
  BTBSCSSG  172- 172     
  BTBSCSWE  173- 173     
  BTBSCSRO  174- 174     
  BTBSCSIT  175- 175     
  BTBSCSLN  176- 176     
  BTBSCSDL  177- 177     
  BTBSCSPW  178- 178     
  BTBGLT01  179- 179     
  BTBGLT02  180- 180     
  BTBGLT03  181- 181     
  BTBGLT04  182- 182     
  BTBGLT05  183- 183     
  BTBGLT06  184- 184     
  BTBGLT07  185- 185     
  BTBGLT08  186- 186     
  BTBGLT09  187- 187     
  BTBGLT10  188- 188     
  BTBGLT11  189- 189     
  BTBGLT12  190- 190     
  BTBGLT13  191- 191     
  BTBGLT14  192- 192     
  BTBSCLSC  193- 195     
  BTBSCCHE  196- 198     
  BTBSCPHY  199- 201     
  BTBSCESC  202- 204     
  BTBSCENS  205- 207     
  BTBSCOTH  208- 210     
  BTBSTO01  211- 211     
  BTBSTO02  212- 212     
  BTBSTO03  213- 213     
  BTBSTO04  214- 214     
  BTBSTO05  215- 215     
  BTBSTO06  216- 216     
  BTBSTO07  217- 217     
  BTBSTO08  218- 218     
  BTBSTO09  219- 219     
  BTBSTO10  220- 220     
  BTBSTO11  221- 221     
  BTBSTO12  222- 222     
  BTBSTO13  223- 223     
  BTBSTO14  224- 224     
  BTBSTO15  225- 225     
  BTBSTO16  226- 226     
  BTBSTO17  227- 227     
  BTBSTO18  228- 228     
  BTBSTO19  229- 229     
  BTBSTO20  230- 230     
  BTBSTO21  231- 231     
  BTBSTO22  232- 232     
  BTBSTO23  233- 233     
  BTBSTO24  234- 234     
  BTBSTO25  235- 235     
  BTBSTO26  236- 236     
  BTBSTO27  237- 237     
  BTBSTO28  238- 238     
  BTBSTO29  239- 239     
  BTBSTO30  240- 240     
  BTBSTO31  241- 241     
  BTBSTO32  242- 242     
  BTBSTO33  243- 243     
  BTBSTO34  244- 244     
  BTBSTO35  245- 245     
  BTBSTO36  246- 246     
  BTBSTO37  247- 247     
  BTBSTO38  248- 248     
  BTBSTO39  249- 249     
  BTBSTO40  250- 250     
  BTBSTO41  251- 251     
  BTBSTO42  252- 252     
  BTBSTO43  253- 253     
  BTBSTO44  254- 254     
  BTBSCOMA  255- 255     
  BTBSINTA  256- 256     
  BTBSCAPE  257- 257     
  BTBSCANP  258- 258     
  BTBSCASP  259- 259     
  BTBSCALI  260- 260     
  BTBSCAPA  261- 261     
  BTBSHMWO  262- 262     
  BTBSHWMC  263- 263     
  BTBSHWKM  264- 264     
  BTBSKHCP  265- 265     
  BTBSKHCA  266- 266     
  BTBSKHCT  267- 267     
  BTBSKHCW  268- 268     
  BTBSKHCR  269- 269     
  BTBSKHCS  270- 270     
  BTBSKHCG  271- 271     
  BTBSHDAM  272- 272     
  BTBSHDAF  273- 273     
  BTBSHDAC  274- 274     
  BTBSHDAD  275- 275     
  BTBSHDAG  276- 276     
  BTBSTEEX  277- 277     
  BTBSWFTU  278- 278     
  BTBSTERU  279- 279     
  BTBSTEIH  280- 280     
  BTBSTEBR  281- 281     
  BTDGTELC  282- 282     
  BTDSSTUD  283- 283     
  BTDSCH    284- 284     
  BTDSCU    285- 285     
  BTDSLT    286- 286     
  BTDSH     287- 287     
  BTDSTOBI  288- 293 (2)
  BTDSTOCH  294- 299 (2)
  BTDSTOPH  300- 305 (2)
  BTDSTOEA  306- 311 (2)
  BTDSTOEN  312- 317 (2)
  BTDSTOOV  318- 323 (2)
  DPCDATE   324- 329     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /ITCOURSE "*NAME OF COURSE*" 
                 /IDSUBJ   "*SUBJECT ID*" 
                 /IDGRADE  "*GRADE*" 
                 /IDGRADER "*STANDARDIZED GRADE ID*" 
                 /INTMS03  "*IN 2003 ASSESSMENT POPULATION*" 
                 /INTMS99  "*IN 2003 AND 1999 ASSESSMENT POPULATION*" 
                 /INTMS95  "*IN 2003 AND 1999 AND 1995 ASS. POP*" 
                 /BTBGAGE  "GEN\AGE OF TEACHER" 
                 /BTBGSEX  "GEN\SEX OF TEACHER" 
                 /BTBGTAUT "GEN\YEARS BEEN TEACHING" 
                 /BTBGFEDC "GEN\LEVEL OF FORMAL EDUCATION COMPLETED" 
                 /BTBGYTTR "GEN\YEARS OF TEACHER TRAINING" 
                 /BTBSPSBI "SCI\MAJOR AREA OF STUDY\BIOLOGY" 
                 /BTBSPSPH "SCI\MAJOR AREA OF STUDY\PHYSICS" 
                 /BTBSPSCH "SCI\MAJOR AREA OF STUDY\CHEMISTRY" 
                 /BTBSPSES "SCI\MAJOR AREA OF STUDY\EARTH SCIENCE" 
                 /BTBSPSED "SCI\MAJOR AREA OF STUDY\EDUCATION SCI" 
                 /BTBMPSMA "MAT\MAJOR AREA OF STUDY\MATHEMATICS" 
                 /BTBMPSEM "MAT\MAJOR AREA OF STUDY\EDUCATION MATHS" 
                 /BTBGPSEG "GEN\MAJOR AREA OF STUDY\EDUCATION GEN" 
                 /BTBGPSOT "GEN\MAJOR AREA OF STUDY\OTHER" 
                 /BTBSRB5A "SCI\REQUIREMENTS TO BECOME TCH\ISCED 5A" 
                 /BTBSRBPP "SCI\REQUIREMENTS TO BECOME TCH\PROB PER" 
                 /BTBSRBEC "SCI\REQUIREMENTS TO BECOME TCH\EDU CSES" 
                 /BTBSRBSC "SCI\REQUIREMENTS TO BECOME TCH\SCI CSES" 
                 /BTBSRBLE "SCI\REQUIREMENTS TO BECOME TCH\LIC EXAM" 
                 /BTBGTLCE "GEN\TEACHING CERTIFICATE" 
                 /BTBGTELC "GEN\TEACHING CERTIFICATE\TYPE" 
                 /BTBSFR01 "SCI\READY\BIOLOGY\MAJOR ORGANS" 
                 /BTBSFR02 "SCI\READY\BIOLOGY\CELLS AND FUNCTIONS" 
                 /BTBSFR03 "SCI\READY\BIOLOGY\REPRODUCTION" 
                 /BTBSFR04 "SCI\READY\BIOLOGY\SURVIVAL EXTINCTION" 
                 /BTBSFR05 "SCI\READY\BIOLOGY\INTERACTION" 
                 /BTBSFR06 "SCI\READY\CHEMISTRY\CLASSIFICATION" 
                 /BTBSFR07 "SCI\READY\CHEMISTRY\PARTICULATE STRU" 
                 /BTBSFR08 "SCI\READY\CHEMISTRY\SOLUTIONS" 
                 /BTBSFR09 "SCI\READY\CHEMISTRY\USES OF ACIDS" 
                 /BTBSFR10 "SCI\READY\CHEMISTRY\CHEMICAL CHANGE" 
                 /BTBSFR11 "SCI\READY\PHYSICS\PHYSICAL STATES" 
                 /BTBSFR12 "SCI\READY\PHYSICS\ENERGY TYPES" 
                 /BTBSFR13 "SCI\READY\PHYSICS\PROPERTIES OF LIGHT" 
                 /BTBSFR14 "SCI\READY\PHYSICS\ELECTRIC CIRCUITS" 
                 /BTBSFR15 "SCI\READY\PHYSICS\FORCES AND MOTION" 
                 /BTBSFR16 "SCI\READY\EARTH SCI\EARTH STRUCTURE" 
                 /BTBSFR17 "SCI\READY\EARTH SCI\EARTH PROCESSES" 
                 /BTBSFR18 "SCI\READY\EARTH SCI\SOLAR SYSTEM" 
                 /BTBSFR19 "SCI\READY\EARTH SCI\TRENDS IN POPULATION" 
                 /BTBSFR20 "SCI\READY\EARTH SCI\USE OF RECOURCES" 
                 /BTBSFR21 "SCI\READY\EARTH SCI\CHANGES IN ENVIRONM" 
                 /BTBGWTNP "GEN\SCHEDULED PERIODS ALTOGETHER" 
                 /BTBSSPTS "SCI\FORMALLY SCHEDULED\TEACH SCIENCE" 
                 /BTBSSPPS "SCI\FORMALLY SCHEDULED\PHYSICAL SCIENCE" 
                 /BTBSSPTP "SCI\FORMALLY SCHEDULED\TEACH PHYSICS" 
                 /BTBSSPTC "SCI\FORMALLY SCHEDULED\TEACH CHEMISTRY" 
                 /BTBSSPTB "SCI\FORMALLY SCHEDULED\TCH LIFE SCI BIO" 
                 /BTBSSPTE "SCI\FORMALLY SCHEDULED\TEACH EARTH SCIEN" 
                 /BTBMSPTM "MAT\FORMALLY SCHEDULED\TEACH MATH" 
                 /BTBGSPTO "GEN\FORMALLY SCHEDULED\TCH OTHER SUBJ" 
                 /BTBGSPOD "GEN\FORMALLY SCHEDULED\PERF OTHER DUTIES" 
                 /BTBGSPTT "GEN\FORMALLY SCHEDULED\TOTAL" 
                 /BTBGMITY "GEN\MINUTES IN A TYPICAL PERIOD" 
                 /BTBGOHGT "GEN\OUTSIDE SCHOOL DAY\GRADING TESTS" 
                 /BTBGOHPL "GEN\OUTSIDE SCHOOL DAY\PLANNING LESSONS" 
                 /BTBGOHAT "GEN\OUTSIDE SCHOOL DAY\ADMINISTR TASKS" 
                 /BTBGOHOT "GEN\OUTSIDE SCHOOL DAY\OTHER" 
                 /BTBGOTDC "GEN\INTERACTIONS TEACHERS\DISCUSS CONCEP" 
                 /BTBGOTPM "GEN\INTERACTIONS TEACHERS\INSTRU MATERL" 
                 /BTBGOTVT "GEN\INTERACTIONS TEACHERS\VISIT TO CLSRM" 
                 /BTBGOTAT "GEN\INTERACTIONS TEACHERS\OBSERVATION" 
                 /BTBSPDST "SCI\PARTICIPATED DEVELOPM\SCI CONTENT" 
                 /BTBSPDSP "SCI\PARTICIPATED DEVELOPM\SCI PEDAGOGY" 
                 /BTBSPDSC "SCI\PARTICIPATED DEVELOPM\SCI CURRICULUM" 
                 /BTBSPDIT "SCI\PARTICIPATED DEVELOPM\IT INTO SCI" 
                 /BTBGPDIN "GEN\PARTICIPATED DEVELOPM\IMPROVE SKILL" 
                 /BTBSPDSA "SCI\PARTICIPATED DEVELOPM\SCI ASSESSM" 
                 /BTBSADMR "SCI\AGREE\USE MORE THAN 1 REPRESENTATION" 
                 /BTBSADHY "SCI\AGREE\SOLVING SCI INVOL HYPOTHESIS" 
                 /BTBSADME "SCI\AGREE\LEARNING SCI INVOL MEMORIZING" 
                 /BTBSADCO "SCI\AGREE\COND SCIENTIFIC INVESTIGATION" 
                 /BTBSADAN "SCI\AGREE\GETTING THE CORRECT ANSWER" 
                 /BTBSADSC "SCI\AGREE\SCIENTIFIC THEORIES" 
                 /BTBSADTA "SCI\AGREE\SCI IS TAUGHT PRIMARILY" 
                 /BTBSADMO "SCI\AGREE\MODELING NATURAL PHENOMENA" 
                 /BTBSADDI "SCI\AGREE\MOST SCIENTIFIC DISCOVERIES" 
                 /BTBGCURE "GEN\CURRENT SCHOOL\NEEDS REPAIR" 
                 /BTBGCUSN "GEN\CURRENT SCHOOL\SAFE NEIGHBORHOOD" 
                 /BTBGCUSA "GEN\CURRENT SCHOOL\FEEL SAFE AT SCHOOL" 
                 /BTBGCUAS "GEN\CURRENT SCHOOL\SECURITY POLICIES" 
                 /BTBGCHTS "GEN\CHARACTERIZE\TCHS JOB SATIFICATION" 
                 /BTBGCHTU "GEN\CHARACTERIZE\TCHS UNDERSTANDING" 
                 /BTBGCHTC "GEN\CHARACTERIZE\TCHS DEGREE OF SUCCESS" 
                 /BTBGCHES "GEN\CHARACTERIZE\TCHS EXPECTATIONS" 
                 /BTBGCHPS "GEN\CHARACTERIZE\PARENTAL SUPPORT" 
                 /BTBGCHPI "GEN\CHARACTERIZE\PARENTAL INVOLVEMENT" 
                 /BTBGCHSR "GEN\CHARACTERIZE\REGARD FOR PROPERTY" 
                 /BTBGCHSD "GEN\CHARACTERIZE\STD DESIRE TO DO WELL" 
                 /BTBSSTUD "SCI\NUMBER OF STUDENTS IN THE CLASS" 
                 /BTBSTIMT "SCI\MINUTES TEACH SCI PER WEEK TO CLASS" 
                 /BTBSTBTC "SCI\TEXTBOOK\USE FOR SCIENCE" 
                 /BTBSTXBU "SCI\TEXTBOOK\USED HOW IN TEACHING SCI" 
                 /BTBSPTRH "SCI\PERCENTAGE SPENT\REVIEW HOMEWORK" 
                 /BTBSPTLS "SCI\PERCENTAGE SPENT\LISTENTING TO PRES" 
                 /BTBSPTYG "SCI\PERCENTAGE SPENT\WORKING PROBLEMS" 
                 /BTBSPTOO "SCI\PERCENTAGE SPENT\WKNG PROBL ON OWN" 
                 /BTBSPTRT "SCI\PERCENTAGE SPENT\LISTEN TO RETEACH" 
                 /BTBSPTTQ "SCI\PERCENTAGE SPENT\TESTS OR QUIZZES" 
                 /BTBSPTCM "SCI\PERCENTAGE SPENT\PARTIC IN CLSROOM" 
                 /BTBSPTOA "SCI\PERCENTAGE SPENT\OTHER ACTIVITIES" 
                 /BTBSCSWD "SCI\HOW OFTEN ASK\WATCH ME DEMONSTRATE" 
                 /BTBSCSFT "SCI\HOW OFTEN ASK\FORMULATE HYPOTHESIS" 
                 /BTBSCSDP "SCI\HOW OFTEN ASK\DESIGN OR PLAN" 
                 /BTBSCSEI "SCI\HOW OFTEN ASK\CONDUCT EXPERIMENTS" 
                 /BTBSCSSG "SCI\HOW OFTEN ASK\WORK IN SMALL GROUPS" 
                 /BTBSCSWE "SCI\HOW OFTEN ASK\WRITE EXPLANATIONS" 
                 /BTBSCSRO "SCI\HOW OFTEN ASK\PUT EVENTS OR OBJECTS" 
                 /BTBSCSIT "SCI\HOW OFTEN ASK\IMPACT OF TECHNOLOGY" 
                 /BTBSCSLN "SCI\HOW OFTEN ASK\LEARN ABOUT NATURE" 
                 /BTBSCSDL "SCI\HOW OFTEN ASK\RELATE TO DAILY LIFE" 
                 /BTBSCSPW "SCI\HOW OFTEN ASK\PRESENT WORK TO CLASS" 
                 /BTBGLT01 "GEN\LIMIT TO TEACH\DIFFERENT ACADEMIC AB" 
                 /BTBGLT02 "GEN\LIMIT TO TEACH\WIDE RANGE OF BACKGRO" 
                 /BTBGLT03 "GEN\LIMIT TO TEACH\SPECIAL NEEDS" 
                 /BTBGLT04 "GEN\LIMIT TO TEACH\UNINTERESTED STUDENTS" 
                 /BTBGLT05 "GEN\LIMIT TO TEACH\LOW MORALE AMONG STUD" 
                 /BTBGLT06 "GEN\LIMIT TO TEACH\DISRUPTIVE STUDENTS" 
                 /BTBGLT07 "GEN\LIMIT TO TEACH\SHORTGE COMP HARDWARE" 
                 /BTBGLT08 "GEN\LIMIT TO TEACH\SHORTGE COMP SOFTWARE" 
                 /BTBGLT09 "GEN\LIMIT TO TEACH\SUPPORT COMPUTER USE" 
                 /BTBGLT10 "GEN\LIMIT TO TEACH\TEXTBOOKS FOR STUDENT" 
                 /BTBGLT11 "GEN\LIMIT TO TEACH\INSTRUC EQUIPMENT" 
                 /BTBGLT12 "GEN\LIMIT TO TEACH\DEMONSTRATI EQUIPMENT" 
                 /BTBGLT13 "GEN\LIMIT TO TEACH\INADEQUATE PHYS FACIL" 
                 /BTBGLT14 "GEN\LIMIT TO TEACH\HIGH STUDENT TEACHER" 
                 /BTBSCLSC "SCI\PERCENT OF TEACHING SPENT\LIFE SCI" 
                 /BTBSCCHE "SCI\PERCENT OF TEACHING SPENT\CHEMISTRY" 
                 /BTBSCPHY "SCI\PERCENT OF TEACHING SPENT\PHYSICS" 
                 /BTBSCESC "SCI\PERCENT OF TEACHING SPENT\EARTH SCI" 
                 /BTBSCENS "SCI\PERCENT OF TEACHING SPENT\ENVRNM SCI" 
                 /BTBSCOTH "SCI\PERCENT OF TEACHING SPENT\OTHER" 
                 /BTBSTO01 "SCI\TAUGHT TOPIC\BIO\CLASSIFICATION" 
                 /BTBSTO02 "SCI\TAUGHT TOPIC\BIO\MAJOR ORGAN SYSTEMS" 
                 /BTBSTO03 "SCI\TAUGHT TOPIC\BIO\HOW SYSTEM FUNCTION" 
                 /BTBSTO04 "SCI\TAUGHT TOPIC\BIO\CELL STRUCTURES" 
                 /BTBSTO05 "SCI\TAUGHT TOPIC\BIO\PHOTOSYNTHESIS" 
                 /BTBSTO06 "SCI\TAUGHT TOPIC\BIO\LIFE CYCLES" 
                 /BTBSTO07 "SCI\TAUGHT TOPIC\BIO\REPRODUCTION" 
                 /BTBSTO08 "SCI\TAUGHT TOPIC\BIO\ROLE OF VARIATION" 
                 /BTBSTO09 "SCI\TAUGHT TOPIC\BIO\INTERACTION ECOSYST" 
                 /BTBSTO10 "SCI\TAUGHT TOPIC\BIO\CYCLING MATERIALS" 
                 /BTBSTO11 "SCI\TAUGHT TOPIC\BIO\CAUSES OF DISEASE" 
                 /BTBSTO12 "SCI\TAUGHT TOPIC\BIO\PREVENTIVE MEDICINE" 
                 /BTBSTO13 "SCI\TAUGHT TOPIC\CHE\CLASSIFICATION" 
                 /BTBSTO14 "SCI\TAUGHT TOPIC\CHE\PROP OF SOLUTIONS" 
                 /BTBSTO15 "SCI\TAUGHT TOPIC\CHE\STRUCTURE OF MATTER" 
                 /BTBSTO16 "SCI\TAUGHT TOPIC\CHE\USES OF WATER" 
                 /BTBSTO17 "SCI\TAUGHT TOPIC\CHE\USES OF ACIDS" 
                 /BTBSTO18 "SCI\TAUGHT TOPIC\CHE\CHEMICAL CHANGE" 
                 /BTBSTO19 "SCI\TAUGHT TOPIC\CHE\OXYGEN IN OXIDATION" 
                 /BTBSTO20 "SCI\TAUGHT TOPIC\CHE\CHEMICAL TRANSFORM" 
                 /BTBSTO21 "SCI\TAUGHT TOPIC\PHY\STATES AND CHANGES" 
                 /BTBSTO22 "SCI\TAUGHT TOPIC\PHY\PROCESS OF MELTING" 
                 /BTBSTO23 "SCI\TAUGHT TOPIC\PHY\ENERGY TYPES" 
                 /BTBSTO24 "SCI\TAUGHT TOPIC\PHY\THERMAL EXPANSION" 
                 /BTBSTO25 "SCI\TAUGHT TOPIC\PHY\BASIC PROPERTIES" 
                 /BTBSTO26 "SCI\TAUGHT TOPIC\PHY\PROPERTIES OF SOUND" 
                 /BTBSTO27 "SCI\TAUGHT TOPIC\PHY\ELECTRIC CIRCUITS" 
                 /BTBSTO28 "SCI\TAUGHT TOPIC\PHY\PROPERT OF MAGNETS" 
                 /BTBSTO29 "SCI\TAUGHT TOPIC\PHY\FORCES AND MOTION" 
                 /BTBSTO30 "SCI\TAUGHT TOPIC\PHY\EFFECTS OF DENSITY" 
                 /BTBSTO31 "SCI\TAUGHT TOPIC\EARTH SCI\STRUCTURE" 
                 /BTBSTO32 "SCI\TAUGHT TOPIC\EARTH SCI\PHYSICL STATE" 
                 /BTBSTO33 "SCI\TAUGHT TOPIC\EARTH SCI\ATMOSPHERE" 
                 /BTBSTO34 "SCI\TAUGHT TOPIC\EARTH SCI\WATER CYCLE" 
                 /BTBSTO35 "SCI\TAUGHT TOPIC\EARTH SCI\ROCK CYCLE" 
                 /BTBSTO36 "SCI\TAUGHT TOPIC\EARTH SCI\WEATHER DATA" 
                 /BTBSTO37 "SCI\TAUGHT TOPIC\EARTH SCI\GEO PROCESS" 
                 /BTBSTO38 "SCI\TAUGHT TOPIC\EARTH SCI\FOSSILS" 
                 /BTBSTO39 "SCI\TAUGHT TOPIC\EARTH SCI\BODIES IN SS" 
                 /BTBSTO40 "SCI\TAUGHT TOPIC\EARTH SCI\PHY FEATURES" 
                 /BTBSTO41 "SCI\TAUGHT TOPIC\EARTH SCI\SUN AS STAR" 
                 /BTBSTO42 "SCI\TAUGHT TOPIC\ENV SCI\TRENDS IN POPUL" 
                 /BTBSTO43 "SCI\TAUGHT TOPIC\ENV SCI\NATURAL RESOURC" 
                 /BTBSTO44 "SCI\TAUGHT TOPIC\ENV SCI\CHANGES ENVIRNM" 
                 /BTBSCOMA "SCI\COMPUTER\AVAILABLE IN SCIENCE LESS" 
                 /BTBSINTA "SCI\COMPUTER\ACCESS TO INTERNET" 
                 /BTBSCAPE "SCI\COMPUTER\USE\SCIENTIFIC PROCEDURES" 
                 /BTBSCANP "SCI\COMPUTER\USE\NATURAL PHENOMENA" 
                 /BTBSCASP "SCI\COMPUTER\USE\PRACTICE SKILLS" 
                 /BTBSCALI "SCI\COMPUTER\USE\LOOK UP IDEAS" 
                 /BTBSCAPA "SCI\COMPUTER\USE\PROCESS DATA" 
                 /BTBSHMWO "SCI\HOMEWORK\DO YOU ASSIGN SCIENCE" 
                 /BTBSHWMC "SCI\HOMEWORK\FREQUENCY OF SCIENCE HMW" 
                 /BTBSHWKM "SCI\HOMEWORK\MIN ASSIGN IN CLS" 
                 /BTBSKHCP "SCI\ASSIGN KINDS OF HOMEWORK\PROBLEM SET" 
                 /BTBSKHCA "SCI\ASSIGN KINDS OF HOMEWORK\FIND APPLIC" 
                 /BTBSKHCT "SCI\ASSIGN KINDS OF HOMEWORK\READ TEXTBK" 
                 /BTBSKHCW "SCI\ASSIGN KINDS OF HOMEWORK\WRITE DEFIN" 
                 /BTBSKHCR "SCI\ASSIGN KINDS OF HOMEWORK\WORK ON PRJ" 
                 /BTBSKHCS "SCI\ASSIGN KINDS OF HOMEWORK\INVESTIGAT" 
                 /BTBSKHCG "SCI\ASSIGN KINDS OF HOMEWORK\REPORTS" 
                 /BTBSHDAM "SCI\HOMEWORK ASSIGNMENTS\MONITOR COMPLET" 
                 /BTBSHDAF "SCI\HOMEWORK ASSIGNMENTS\CORRECT ASSIGNM" 
                 /BTBSHDAC "SCI\HOMEWORK ASSIGNMENTS\STD CORRECT" 
                 /BTBSHDAD "SCI\HOMEWORK ASSIGNMENTS\HOMEWK AS BASIS" 
                 /BTBSHDAG "SCI\HOMEWORK ASSIGNMENTS\CONTRIBUTE" 
                 /BTBSTEEX "SCI\TEST\HOW OFTEN GIVE IN SCIENCE" 
                 /BTBSWFTU "SCI\TEST\ITEM FORMATS USED" 
                 /BTBSTERU "SCI\TEST QUESTIONS\REQUIRING UNDERSTANDG" 
                 /BTBSTEIH "SCI\TEST QUESTIONS\HYPOTHESIS" 
                 /BTBSTEBR "SCI\TEST QUESTIONS\BASED ON RECALL" 
                 /BTDGTELC "SCI TEACHER HAS FULL LICENSE OR CERTIFIC" 
                 /BTDSSTUD "CLASS SIZE FOR SCIENCE INSTRUCTION" 
                 /BTDSCH   "IDX SCI TCHR PRCPTN SCHL CLIMATE (STPSC)" 
                 /BTDSCU   "IDX SCI TCHR PRCPTN SCHOOL SAFET (STPSS)" 
                 /BTDSLT   "IDX TCH RPT SCI CLSS WO LIM FCTRS (SCWL)" 
                 /BTDSH    "IDX TCHR EMPHASIS ON SCI HOMEWORK (ESH)" 
                 /BTDSTOBI "SUM STUDENTS TAUGHT BIOLOGY SCI TOPICS" 
                 /BTDSTOCH "SUM STUDENTS TAUGHT CHEMIST SCI TOPICS" 
                 /BTDSTOPH "SUM STUDENTS TAUGHT PHYSICS SCI TOPICS" 
                 /BTDSTOEA "SUM STUDENTS TAUGHT EARTH   SCI TOPICS" 
                 /BTDSTOEN "SUM STUDENTS TAUGHT ENVIRON SCI TOPICS" 
                 /BTDSTOOV "SUM STUDENTS TAUGHT OVERALL SCI TOPICS" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS POP 1"
                       2  "TIMSS POP 2"
                       3  "TIMSS POP 3"
                       9  "OMITTED"
                       /
            ITCOURSE   1  "MATHEMATICS"
                       2  "PHYSICS"
                       3  "BIOLOGY"
                       4  "CHEMISTRY"
                       5  "EARTH SCIENCE"
                       6  "INTEGRATED SCIENCE"
                       8  "COUNTRY SPECIFIC1"
                       9  "COUNTRY SPECIFIC2"
                      10  "COUNTRY SPECIFIC3"
                      99  "OMITTED"
                       /
            IDSUBJ     9  "OMITTED"
                       /
            IDGRADER   1  "LOWER GRADE"
                       2  "UPPER GRADE"
                       9  "OMITTED"
                       /
            BTBGAGE    1  "UNDER 25"
                       2  "25-29"
                       3  "30-39"
                       4  "40-49"
                       5  "50-59"
                       6  "60 OR OLDER"
                       9  "OMITTED"
                       /
            BTBGSEX    1  "FEMALE"
                       2  "MALE"
                       9  "OMITTED"
                       /
            BTBGFEDC   1  "DID NOT COMPL ISCED 3"
                       2  "FINISHED ISCED 3"
                       3  "FINISHED ISCED 4B"
                       4  "FINISHED ISCED 5B"
                       5  "FINISHED ISCED 5A, FIRST DEGREE"
                       6  "FINISHED ISCED 5A, 2ND DEGREE OR HIGHER"
                       9  "OMITTED"
                       /
            BTBGYTTR   1  "0 YEARS"
                       2  "1 YEAR"
                       3  "2 YEARS"
                       4  "3 YEARS"
                       5  "4 YEARS"
                       6  "5 YEARS"
                       7  "MORE THAN 5 YEARS"
                      99  "OMITTED"
                       /
            BTBSPSBI   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPSPH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPSCH   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPSES   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPSED   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMPSMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBMPSEM   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGPSEG   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGPSOT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSRB5A   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSRBPP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSRBEC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSRBSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSRBLE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGTLCE   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGTELC   1  "<FULL CERTIFICATE>"
                       2  "<PROVISIONAL CERTIFICATE>"
                       3  "<EMERGENCY CERTIFICATE>"
                       4  "<OTHER>"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSFR01   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR02   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR03   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR04   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR05   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR06   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR07   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR08   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR09   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR10   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR11   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR12   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR13   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR14   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR15   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR16   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR17   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR18   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR19   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR20   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBSFR21   1  "VERY READY"
                       2  "READY"
                       3  "NOT READY"
                       9  "OMITTED"
                       /
            BTBGOTDC   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBGOTPM   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBGOTVT   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBGOTAT   1  "NEVER OR ALMOST NEVER"
                       2  "2 OR 3 TIMES PER MONTH"
                       3  "1-3 TIMES PER WEEK"
                       4  "DAILY OR ALMOST DAILY"
                       9  "OMITTED"
                       /
            BTBSPDST   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPDSP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPDSC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPDIT   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBGPDIN   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSPDSA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSADMR   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADHY   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADME   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADCO   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADAN   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADSC   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADTA   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADMO   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBSADDI   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCURE   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCUSN   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCUSA   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCUAS   1  "AGREE A LOT"
                       2  "AGREE"
                       3  "DISAGREE"
                       4  "DISAGREE A LOT"
                       9  "OMITTED"
                       /
            BTBGCHTS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHTU   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHTC   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHES   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHPS   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHPI   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHSR   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBGCHSD   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            BTBSTBTC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSTXBU   1  "AS THE PRIMARY BASIS FOR MY LESSONS"
                       2  "AS A SUPPLEMENTARY RESOURCE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSCSWD   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSFT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSDP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSEI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSSG   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSWE   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSRO   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSIT   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSLN   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSDL   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBSCSPW   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       /
            BTBGLT01   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT02   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT03   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT04   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT05   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT06   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT07   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT08   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT09   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT10   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT11   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT12   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT13   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBGLT14   1  "NOT APPLICABLE"
                       2  "NOT AT ALL"
                       3  "A LITTLE"
                       4  "SOME"
                       5  "A LOT"
                       9  "OMITTED"
                       /
            BTBSTO01   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO02   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO03   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO04   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO05   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO06   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO07   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO08   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO09   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO10   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO11   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO12   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO13   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO14   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO15   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO16   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO17   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO18   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO19   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO20   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO21   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO22   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO23   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO24   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO25   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO26   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO27   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO28   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO29   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO30   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO31   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO32   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO33   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO34   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO35   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO36   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO37   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO38   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO39   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO40   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO41   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO42   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO43   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSTO44   1  "MOSTLY TAUGHT BEFORE THIS YEAR"
                       2  "MOSTLY TAUGHT THIS YEAR"
                       3  "NOT YET TAUGHT OR JUST INTRODUCED"
                       9  "OMITTED"
                       /
            BTBSCOMA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSINTA   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSCAPE   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSCANP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSCASP   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSCALI   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSCAPA   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       4  "NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSHMWO   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTBSHWMC   1  "EVERY OR ALMOST EVERY LESSON"
                       2  "ABOUT HALF THE LESSONS"
                       3  "SOME LESSONS"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSHWKM   1  "FEWER THAN 15 MINUTES"
                       2  "15-30 MINUTES"
                       3  "31-60 MINUTES"
                       4  "61-90 MINUTES"
                       5  "MORE THAN 90 MINUTES"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSKHCP   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSKHCA   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSKHCT   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSKHCW   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSKHCR   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSKHCS   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSKHCG   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSHDAM   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSHDAF   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSHDAC   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSHDAD   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSHDAG   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSTEEX   1  "ABOUT ONCE A WEEK"
                       2  "ABOUT EVERY TWO WEEKS"
                       3  "ABOUT ONCE A MONTH"
                       4  "A FEW TIMES A YEAR"
                       5  "NEVER"
                       9  "OMITTED"
                       /
            BTBSWFTU   1  "ONLY CONSTRUCTED-RESP"
                       2  "MOSTLY CONSTRUCTED-RESP"
                       3  "ABOUT HALF CONSTRUCTED-RESP AND HALF OBJ"
                       4  "MOSTLY OBJECTIVE"
                       5  "ONLY OBJECTIVE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSTERU   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSTEIH   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTBSTEBR   1  "ALWAYS OR ALMOST ALWAYS"
                       2  "SOMETIMES"
                       3  "NEVER OR ALMOST NEVER"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            BTDGTELC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            BTDSSTUD   1  "1-24 STUDENTS"
                       2  "25-32 STUDENTS"
                       3  "33-40 STUDENTS"
                       4  "41 OR MORE STUDENTS"
                       9  "OMITTED"
                       /
            BTDSCH     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BTDSCU     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BTDSLT     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            BTDSH      1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode ITCOURSE (98               = sysmis).
recode IDSUBJ   (8                = sysmis).
recode IDGRADER (8                = sysmis).
recode INTMS03  (8                = sysmis).
recode INTMS99  (8                = sysmis).
recode INTMS95  (8                = sysmis).
recode BTBGAGE  (8                = sysmis).
recode BTBGSEX  (8                = sysmis).
recode BTBGTAUT (98               = sysmis).
recode BTBGFEDC (8                = sysmis).
recode BTBGYTTR (98               = sysmis).
recode BTBSPSBI (8                = sysmis).
recode BTBSPSPH (8                = sysmis).
recode BTBSPSCH (8                = sysmis).
recode BTBSPSES (8                = sysmis).
recode BTBSPSED (8                = sysmis).
recode BTBMPSMA (8                = sysmis).
recode BTBMPSEM (8                = sysmis).
recode BTBGPSEG (8                = sysmis).
recode BTBGPSOT (8                = sysmis).
recode BTBSRB5A (8                = sysmis).
recode BTBSRBPP (8                = sysmis).
recode BTBSRBEC (8                = sysmis).
recode BTBSRBSC (8                = sysmis).
recode BTBSRBLE (8                = sysmis).
recode BTBGTLCE (8                = sysmis).
recode BTBGTELC (8                = sysmis).
recode BTBSFR01 (8                = sysmis).
recode BTBSFR02 (8                = sysmis).
recode BTBSFR03 (8                = sysmis).
recode BTBSFR04 (8                = sysmis).
recode BTBSFR05 (8                = sysmis).
recode BTBSFR06 (8                = sysmis).
recode BTBSFR07 (8                = sysmis).
recode BTBSFR08 (8                = sysmis).
recode BTBSFR09 (8                = sysmis).
recode BTBSFR10 (8                = sysmis).
recode BTBSFR11 (8                = sysmis).
recode BTBSFR12 (8                = sysmis).
recode BTBSFR13 (8                = sysmis).
recode BTBSFR14 (8                = sysmis).
recode BTBSFR15 (8                = sysmis).
recode BTBSFR16 (8                = sysmis).
recode BTBSFR17 (8                = sysmis).
recode BTBSFR18 (8                = sysmis).
recode BTBSFR19 (8                = sysmis).
recode BTBSFR20 (8                = sysmis).
recode BTBSFR21 (8                = sysmis).
recode BTBGWTNP (98               = sysmis).
recode BTBSSPTS (98               = sysmis).
recode BTBSSPPS (98               = sysmis).
recode BTBSSPTP (98               = sysmis).
recode BTBSSPTC (98               = sysmis).
recode BTBSSPTB (98               = sysmis).
recode BTBSSPTE (98               = sysmis).
recode BTBMSPTM (98               = sysmis).
recode BTBGSPTO (98               = sysmis).
recode BTBGSPOD (98               = sysmis).
recode BTBGSPTT (98               = sysmis).
recode BTBGMITY (998              = sysmis).
recode BTBGOHGT (98               = sysmis).
recode BTBGOHPL (98               = sysmis).
recode BTBGOHAT (98               = sysmis).
recode BTBGOHOT (98               = sysmis).
recode BTBGOTDC (8                = sysmis).
recode BTBGOTPM (8                = sysmis).
recode BTBGOTVT (8                = sysmis).
recode BTBGOTAT (8                = sysmis).
recode BTBSPDST (8                = sysmis).
recode BTBSPDSP (8                = sysmis).
recode BTBSPDSC (8                = sysmis).
recode BTBSPDIT (8                = sysmis).
recode BTBGPDIN (8                = sysmis).
recode BTBSPDSA (8                = sysmis).
recode BTBSADMR (8                = sysmis).
recode BTBSADHY (8                = sysmis).
recode BTBSADME (8                = sysmis).
recode BTBSADCO (8                = sysmis).
recode BTBSADAN (8                = sysmis).
recode BTBSADSC (8                = sysmis).
recode BTBSADTA (8                = sysmis).
recode BTBSADMO (8                = sysmis).
recode BTBSADDI (8                = sysmis).
recode BTBGCURE (8                = sysmis).
recode BTBGCUSN (8                = sysmis).
recode BTBGCUSA (8                = sysmis).
recode BTBGCUAS (8                = sysmis).
recode BTBGCHTS (8                = sysmis).
recode BTBGCHTU (8                = sysmis).
recode BTBGCHTC (8                = sysmis).
recode BTBGCHES (8                = sysmis).
recode BTBGCHPS (8                = sysmis).
recode BTBGCHPI (8                = sysmis).
recode BTBGCHSR (8                = sysmis).
recode BTBGCHSD (8                = sysmis).
recode BTBSSTUD (998              = sysmis).
recode BTBSTIMT (998              = sysmis).
recode BTBSTBTC (8                = sysmis).
recode BTBSTXBU (8                = sysmis).
recode BTBSPTRH (998              = sysmis).
recode BTBSPTLS (998              = sysmis).
recode BTBSPTYG (998              = sysmis).
recode BTBSPTOO (998              = sysmis).
recode BTBSPTRT (998              = sysmis).
recode BTBSPTTQ (998              = sysmis).
recode BTBSPTCM (998              = sysmis).
recode BTBSPTOA (998              = sysmis).
recode BTBSCSWD (8                = sysmis).
recode BTBSCSFT (8                = sysmis).
recode BTBSCSDP (8                = sysmis).
recode BTBSCSEI (8                = sysmis).
recode BTBSCSSG (8                = sysmis).
recode BTBSCSWE (8                = sysmis).
recode BTBSCSRO (8                = sysmis).
recode BTBSCSIT (8                = sysmis).
recode BTBSCSLN (8                = sysmis).
recode BTBSCSDL (8                = sysmis).
recode BTBSCSPW (8                = sysmis).
recode BTBGLT01 (8                = sysmis).
recode BTBGLT02 (8                = sysmis).
recode BTBGLT03 (8                = sysmis).
recode BTBGLT04 (8                = sysmis).
recode BTBGLT05 (8                = sysmis).
recode BTBGLT06 (8                = sysmis).
recode BTBGLT07 (8                = sysmis).
recode BTBGLT08 (8                = sysmis).
recode BTBGLT09 (8                = sysmis).
recode BTBGLT10 (8                = sysmis).
recode BTBGLT11 (8                = sysmis).
recode BTBGLT12 (8                = sysmis).
recode BTBGLT13 (8                = sysmis).
recode BTBGLT14 (8                = sysmis).
recode BTBSCLSC (998              = sysmis).
recode BTBSCCHE (998              = sysmis).
recode BTBSCPHY (998              = sysmis).
recode BTBSCESC (998              = sysmis).
recode BTBSCENS (998              = sysmis).
recode BTBSCOTH (998              = sysmis).
recode BTBSTO01 (8                = sysmis).
recode BTBSTO02 (8                = sysmis).
recode BTBSTO03 (8                = sysmis).
recode BTBSTO04 (8                = sysmis).
recode BTBSTO05 (8                = sysmis).
recode BTBSTO06 (8                = sysmis).
recode BTBSTO07 (8                = sysmis).
recode BTBSTO08 (8                = sysmis).
recode BTBSTO09 (8                = sysmis).
recode BTBSTO10 (8                = sysmis).
recode BTBSTO11 (8                = sysmis).
recode BTBSTO12 (8                = sysmis).
recode BTBSTO13 (8                = sysmis).
recode BTBSTO14 (8                = sysmis).
recode BTBSTO15 (8                = sysmis).
recode BTBSTO16 (8                = sysmis).
recode BTBSTO17 (8                = sysmis).
recode BTBSTO18 (8                = sysmis).
recode BTBSTO19 (8                = sysmis).
recode BTBSTO20 (8                = sysmis).
recode BTBSTO21 (8                = sysmis).
recode BTBSTO22 (8                = sysmis).
recode BTBSTO23 (8                = sysmis).
recode BTBSTO24 (8                = sysmis).
recode BTBSTO25 (8                = sysmis).
recode BTBSTO26 (8                = sysmis).
recode BTBSTO27 (8                = sysmis).
recode BTBSTO28 (8                = sysmis).
recode BTBSTO29 (8                = sysmis).
recode BTBSTO30 (8                = sysmis).
recode BTBSTO31 (8                = sysmis).
recode BTBSTO32 (8                = sysmis).
recode BTBSTO33 (8                = sysmis).
recode BTBSTO34 (8                = sysmis).
recode BTBSTO35 (8                = sysmis).
recode BTBSTO36 (8                = sysmis).
recode BTBSTO37 (8                = sysmis).
recode BTBSTO38 (8                = sysmis).
recode BTBSTO39 (8                = sysmis).
recode BTBSTO40 (8                = sysmis).
recode BTBSTO41 (8                = sysmis).
recode BTBSTO42 (8                = sysmis).
recode BTBSTO43 (8                = sysmis).
recode BTBSTO44 (8                = sysmis).
recode BTBSCOMA (8                = sysmis).
recode BTBSINTA (8                = sysmis).
recode BTBSCAPE (8                = sysmis).
recode BTBSCANP (8                = sysmis).
recode BTBSCASP (8                = sysmis).
recode BTBSCALI (8                = sysmis).
recode BTBSCAPA (8                = sysmis).
recode BTBSHMWO (8                = sysmis).
recode BTBSHWMC (8                = sysmis).
recode BTBSHWKM (8                = sysmis).
recode BTBSKHCP (8                = sysmis).
recode BTBSKHCA (8                = sysmis).
recode BTBSKHCT (8                = sysmis).
recode BTBSKHCW (8                = sysmis).
recode BTBSKHCR (8                = sysmis).
recode BTBSKHCS (8                = sysmis).
recode BTBSKHCG (8                = sysmis).
recode BTBSHDAM (8                = sysmis).
recode BTBSHDAF (8                = sysmis).
recode BTBSHDAC (8                = sysmis).
recode BTBSHDAD (8                = sysmis).
recode BTBSHDAG (8                = sysmis).
recode BTBSTEEX (8                = sysmis).
recode BTBSWFTU (8                = sysmis).
recode BTBSTERU (8                = sysmis).
recode BTBSTEIH (8                = sysmis).
recode BTBSTEBR (8                = sysmis).
recode BTDGTELC (8                = sysmis).
recode BTDSSTUD (8                = sysmis).
recode BTDSCH   (8                = sysmis).
recode BTDSCU   (8                = sysmis).
recode BTDSLT   (8                = sysmis).
recode BTDSH    (8                = sysmis).
recode BTDSTOBI (998              = sysmis).
recode BTDSTOCH (998              = sysmis).
recode BTDSTOPH (998              = sysmis).
recode BTDSTOEA (998              = sysmis).
recode BTDSTOEN (998              = sysmis).
recode BTDSTOOV (998              = sysmis).


*NOTE: recode "omitted" data to user defined "missing value"

missing value IDPOP   (9).
missing value ITCOURSE(99).
missing value IDSUBJ  (9).
missing value IDGRADER(9).
missing value INTMS03 (9).
missing value INTMS99 (9).
missing value INTMS95 (9).
missing value BTBGAGE (9).
missing value BTBGSEX (9).
missing value BTBGTAUT(99).
missing value BTBGFEDC(9).
missing value BTBGYTTR(99).
missing value BTBSPSBI(9).
missing value BTBSPSPH(9).
missing value BTBSPSCH(9).
missing value BTBSPSES(9).
missing value BTBSPSED(9).
missing value BTBMPSMA(9).
missing value BTBMPSEM(9).
missing value BTBGPSEG(9).
missing value BTBGPSOT(9).
missing value BTBSRB5A(9).
missing value BTBSRBPP(9).
missing value BTBSRBEC(9).
missing value BTBSRBSC(9).
missing value BTBSRBLE(9).
missing value BTBGTLCE(9).
missing value BTBGTELC(9 6).
missing value BTBSFR01(9).
missing value BTBSFR02(9).
missing value BTBSFR03(9).
missing value BTBSFR04(9).
missing value BTBSFR05(9).
missing value BTBSFR06(9).
missing value BTBSFR07(9).
missing value BTBSFR08(9).
missing value BTBSFR09(9).
missing value BTBSFR10(9).
missing value BTBSFR11(9).
missing value BTBSFR12(9).
missing value BTBSFR13(9).
missing value BTBSFR14(9).
missing value BTBSFR15(9).
missing value BTBSFR16(9).
missing value BTBSFR17(9).
missing value BTBSFR18(9).
missing value BTBSFR19(9).
missing value BTBSFR20(9).
missing value BTBSFR21(9).
missing value BTBGWTNP(99).
missing value BTBSSPTS(99).
missing value BTBSSPPS(99).
missing value BTBSSPTP(99).
missing value BTBSSPTC(99).
missing value BTBSSPTB(99).
missing value BTBSSPTE(99).
missing value BTBMSPTM(99).
missing value BTBGSPTO(99).
missing value BTBGSPOD(99).
missing value BTBGSPTT(99).
missing value BTBGMITY(999).
missing value BTBGOHGT(99).
missing value BTBGOHPL(99).
missing value BTBGOHAT(99).
missing value BTBGOHOT(99).
missing value BTBGOTDC(9).
missing value BTBGOTPM(9).
missing value BTBGOTVT(9).
missing value BTBGOTAT(9).
missing value BTBSPDST(9).
missing value BTBSPDSP(9).
missing value BTBSPDSC(9).
missing value BTBSPDIT(9).
missing value BTBGPDIN(9).
missing value BTBSPDSA(9).
missing value BTBSADMR(9).
missing value BTBSADHY(9).
missing value BTBSADME(9).
missing value BTBSADCO(9).
missing value BTBSADAN(9).
missing value BTBSADSC(9).
missing value BTBSADTA(9).
missing value BTBSADMO(9).
missing value BTBSADDI(9).
missing value BTBGCURE(9).
missing value BTBGCUSN(9).
missing value BTBGCUSA(9).
missing value BTBGCUAS(9).
missing value BTBGCHTS(9).
missing value BTBGCHTU(9).
missing value BTBGCHTC(9).
missing value BTBGCHES(9).
missing value BTBGCHPS(9).
missing value BTBGCHPI(9).
missing value BTBGCHSR(9).
missing value BTBGCHSD(9).
missing value BTBSSTUD(999).
missing value BTBSTIMT(999).
missing value BTBSTBTC(9).
missing value BTBSTXBU(9 6).
missing value BTBSPTRH(999).
missing value BTBSPTLS(999).
missing value BTBSPTYG(999).
missing value BTBSPTOO(999).
missing value BTBSPTRT(999).
missing value BTBSPTTQ(999).
missing value BTBSPTCM(999).
missing value BTBSPTOA(999).
missing value BTBSCSWD(9).
missing value BTBSCSFT(9).
missing value BTBSCSDP(9).
missing value BTBSCSEI(9).
missing value BTBSCSSG(9).
missing value BTBSCSWE(9).
missing value BTBSCSRO(9).
missing value BTBSCSIT(9).
missing value BTBSCSLN(9).
missing value BTBSCSDL(9).
missing value BTBSCSPW(9).
missing value BTBGLT01(9).
missing value BTBGLT02(9).
missing value BTBGLT03(9).
missing value BTBGLT04(9).
missing value BTBGLT05(9).
missing value BTBGLT06(9).
missing value BTBGLT07(9).
missing value BTBGLT08(9).
missing value BTBGLT09(9).
missing value BTBGLT10(9).
missing value BTBGLT11(9).
missing value BTBGLT12(9).
missing value BTBGLT13(9).
missing value BTBGLT14(9).
missing value BTBSCLSC(999).
missing value BTBSCCHE(999).
missing value BTBSCPHY(999).
missing value BTBSCESC(999).
missing value BTBSCENS(999).
missing value BTBSCOTH(999).
missing value BTBSTO01(9).
missing value BTBSTO02(9).
missing value BTBSTO03(9).
missing value BTBSTO04(9).
missing value BTBSTO05(9).
missing value BTBSTO06(9).
missing value BTBSTO07(9).
missing value BTBSTO08(9).
missing value BTBSTO09(9).
missing value BTBSTO10(9).
missing value BTBSTO11(9).
missing value BTBSTO12(9).
missing value BTBSTO13(9).
missing value BTBSTO14(9).
missing value BTBSTO15(9).
missing value BTBSTO16(9).
missing value BTBSTO17(9).
missing value BTBSTO18(9).
missing value BTBSTO19(9).
missing value BTBSTO20(9).
missing value BTBSTO21(9).
missing value BTBSTO22(9).
missing value BTBSTO23(9).
missing value BTBSTO24(9).
missing value BTBSTO25(9).
missing value BTBSTO26(9).
missing value BTBSTO27(9).
missing value BTBSTO28(9).
missing value BTBSTO29(9).
missing value BTBSTO30(9).
missing value BTBSTO31(9).
missing value BTBSTO32(9).
missing value BTBSTO33(9).
missing value BTBSTO34(9).
missing value BTBSTO35(9).
missing value BTBSTO36(9).
missing value BTBSTO37(9).
missing value BTBSTO38(9).
missing value BTBSTO39(9).
missing value BTBSTO40(9).
missing value BTBSTO41(9).
missing value BTBSTO42(9).
missing value BTBSTO43(9).
missing value BTBSTO44(9).
missing value BTBSCOMA(9).
missing value BTBSINTA(9 6).
missing value BTBSCAPE(9 6).
missing value BTBSCANP(9 6).
missing value BTBSCASP(9 6).
missing value BTBSCALI(9 6).
missing value BTBSCAPA(9 6).
missing value BTBSHMWO(9).
missing value BTBSHWMC(9 6).
missing value BTBSHWKM(9 6).
missing value BTBSKHCP(9 6).
missing value BTBSKHCA(9 6).
missing value BTBSKHCT(9 6).
missing value BTBSKHCW(9 6).
missing value BTBSKHCR(9 6).
missing value BTBSKHCS(9 6).
missing value BTBSKHCG(9 6).
missing value BTBSHDAM(9 6).
missing value BTBSHDAF(9 6).
missing value BTBSHDAC(9 6).
missing value BTBSHDAD(9 6).
missing value BTBSHDAG(9 6).
missing value BTBSTEEX(9).
missing value BTBSWFTU(9 6).
missing value BTBSTERU(9 6).
missing value BTBSTEIH(9 6).
missing value BTBSTEBR(9 6).
missing value BTDGTELC(9).
missing value BTDSSTUD(9).
missing value BTDSCH  (9).
missing value BTDSCU  (9).
missing value BTDSLT  (9).
missing value BTDSH   (9).
missing value BTDSTOBI(999 996).
missing value BTDSTOCH(999 996).
missing value BTDSTOPH(999 996).
missing value BTDSTOEA(999 996).
missing value BTDSTOEN(999).
missing value BTDSTOOV(999).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f4.0).
format IDTEACH  (f6.0).
format IDLINK   (f2.0).
format ITCOURSE (f2.0).
format IDSUBJ   (f1.0).
format IDGRADE  (f2.0).
format IDGRADER (f1.0).
format INTMS03  (f1.0).
format INTMS99  (f1.0).
format INTMS95  (f1.0).
format BTBGAGE  (f1.0).
format BTBGSEX  (f1.0).
format BTBGTAUT (f2.0).
format BTBGFEDC (f1.0).
format BTBGYTTR (f2.0).
format BTBSPSBI (f1.0).
format BTBSPSPH (f1.0).
format BTBSPSCH (f1.0).
format BTBSPSES (f1.0).
format BTBSPSED (f1.0).
format BTBMPSMA (f1.0).
format BTBMPSEM (f1.0).
format BTBGPSEG (f1.0).
format BTBGPSOT (f1.0).
format BTBSRB5A (f1.0).
format BTBSRBPP (f1.0).
format BTBSRBEC (f1.0).
format BTBSRBSC (f1.0).
format BTBSRBLE (f1.0).
format BTBGTLCE (f1.0).
format BTBGTELC (f1.0).
format BTBSFR01 (f1.0).
format BTBSFR02 (f1.0).
format BTBSFR03 (f1.0).
format BTBSFR04 (f1.0).
format BTBSFR05 (f1.0).
format BTBSFR06 (f1.0).
format BTBSFR07 (f1.0).
format BTBSFR08 (f1.0).
format BTBSFR09 (f1.0).
format BTBSFR10 (f1.0).
format BTBSFR11 (f1.0).
format BTBSFR12 (f1.0).
format BTBSFR13 (f1.0).
format BTBSFR14 (f1.0).
format BTBSFR15 (f1.0).
format BTBSFR16 (f1.0).
format BTBSFR17 (f1.0).
format BTBSFR18 (f1.0).
format BTBSFR19 (f1.0).
format BTBSFR20 (f1.0).
format BTBSFR21 (f1.0).
format BTBGWTNP (f2.0).
format BTBSSPTS (f2.0).
format BTBSSPPS (f2.0).
format BTBSSPTP (f2.0).
format BTBSSPTC (f2.0).
format BTBSSPTB (f2.0).
format BTBSSPTE (f2.0).
format BTBMSPTM (f2.0).
format BTBGSPTO (f2.0).
format BTBGSPOD (f2.0).
format BTBGSPTT (f2.0).
format BTBGMITY (f3.0).
format BTBGOHGT (f2.0).
format BTBGOHPL (f2.0).
format BTBGOHAT (f2.0).
format BTBGOHOT (f2.0).
format BTBGOTDC (f1.0).
format BTBGOTPM (f1.0).
format BTBGOTVT (f1.0).
format BTBGOTAT (f1.0).
format BTBSPDST (f1.0).
format BTBSPDSP (f1.0).
format BTBSPDSC (f1.0).
format BTBSPDIT (f1.0).
format BTBGPDIN (f1.0).
format BTBSPDSA (f1.0).
format BTBSADMR (f1.0).
format BTBSADHY (f1.0).
format BTBSADME (f1.0).
format BTBSADCO (f1.0).
format BTBSADAN (f1.0).
format BTBSADSC (f1.0).
format BTBSADTA (f1.0).
format BTBSADMO (f1.0).
format BTBSADDI (f1.0).
format BTBGCURE (f1.0).
format BTBGCUSN (f1.0).
format BTBGCUSA (f1.0).
format BTBGCUAS (f1.0).
format BTBGCHTS (f1.0).
format BTBGCHTU (f1.0).
format BTBGCHTC (f1.0).
format BTBGCHES (f1.0).
format BTBGCHPS (f1.0).
format BTBGCHPI (f1.0).
format BTBGCHSR (f1.0).
format BTBGCHSD (f1.0).
format BTBSSTUD (f3.0).
format BTBSTIMT (f3.0).
format BTBSTBTC (f1.0).
format BTBSTXBU (f1.0).
format BTBSPTRH (f3.0).
format BTBSPTLS (f3.0).
format BTBSPTYG (f3.0).
format BTBSPTOO (f3.0).
format BTBSPTRT (f3.0).
format BTBSPTTQ (f3.0).
format BTBSPTCM (f3.0).
format BTBSPTOA (f3.0).
format BTBSCSWD (f1.0).
format BTBSCSFT (f1.0).
format BTBSCSDP (f1.0).
format BTBSCSEI (f1.0).
format BTBSCSSG (f1.0).
format BTBSCSWE (f1.0).
format BTBSCSRO (f1.0).
format BTBSCSIT (f1.0).
format BTBSCSLN (f1.0).
format BTBSCSDL (f1.0).
format BTBSCSPW (f1.0).
format BTBGLT01 (f1.0).
format BTBGLT02 (f1.0).
format BTBGLT03 (f1.0).
format BTBGLT04 (f1.0).
format BTBGLT05 (f1.0).
format BTBGLT06 (f1.0).
format BTBGLT07 (f1.0).
format BTBGLT08 (f1.0).
format BTBGLT09 (f1.0).
format BTBGLT10 (f1.0).
format BTBGLT11 (f1.0).
format BTBGLT12 (f1.0).
format BTBGLT13 (f1.0).
format BTBGLT14 (f1.0).
format BTBSCLSC (f3.0).
format BTBSCCHE (f3.0).
format BTBSCPHY (f3.0).
format BTBSCESC (f3.0).
format BTBSCENS (f3.0).
format BTBSCOTH (f3.0).
format BTBSTO01 (f1.0).
format BTBSTO02 (f1.0).
format BTBSTO03 (f1.0).
format BTBSTO04 (f1.0).
format BTBSTO05 (f1.0).
format BTBSTO06 (f1.0).
format BTBSTO07 (f1.0).
format BTBSTO08 (f1.0).
format BTBSTO09 (f1.0).
format BTBSTO10 (f1.0).
format BTBSTO11 (f1.0).
format BTBSTO12 (f1.0).
format BTBSTO13 (f1.0).
format BTBSTO14 (f1.0).
format BTBSTO15 (f1.0).
format BTBSTO16 (f1.0).
format BTBSTO17 (f1.0).
format BTBSTO18 (f1.0).
format BTBSTO19 (f1.0).
format BTBSTO20 (f1.0).
format BTBSTO21 (f1.0).
format BTBSTO22 (f1.0).
format BTBSTO23 (f1.0).
format BTBSTO24 (f1.0).
format BTBSTO25 (f1.0).
format BTBSTO26 (f1.0).
format BTBSTO27 (f1.0).
format BTBSTO28 (f1.0).
format BTBSTO29 (f1.0).
format BTBSTO30 (f1.0).
format BTBSTO31 (f1.0).
format BTBSTO32 (f1.0).
format BTBSTO33 (f1.0).
format BTBSTO34 (f1.0).
format BTBSTO35 (f1.0).
format BTBSTO36 (f1.0).
format BTBSTO37 (f1.0).
format BTBSTO38 (f1.0).
format BTBSTO39 (f1.0).
format BTBSTO40 (f1.0).
format BTBSTO41 (f1.0).
format BTBSTO42 (f1.0).
format BTBSTO43 (f1.0).
format BTBSTO44 (f1.0).
format BTBSCOMA (f1.0).
format BTBSINTA (f1.0).
format BTBSCAPE (f1.0).
format BTBSCANP (f1.0).
format BTBSCASP (f1.0).
format BTBSCALI (f1.0).
format BTBSCAPA (f1.0).
format BTBSHMWO (f1.0).
format BTBSHWMC (f1.0).
format BTBSHWKM (f1.0).
format BTBSKHCP (f1.0).
format BTBSKHCA (f1.0).
format BTBSKHCT (f1.0).
format BTBSKHCW (f1.0).
format BTBSKHCR (f1.0).
format BTBSKHCS (f1.0).
format BTBSKHCG (f1.0).
format BTBSHDAM (f1.0).
format BTBSHDAF (f1.0).
format BTBSHDAC (f1.0).
format BTBSHDAD (f1.0).
format BTBSHDAG (f1.0).
format BTBSTEEX (f1.0).
format BTBSWFTU (f1.0).
format BTBSTERU (f1.0).
format BTBSTEIH (f1.0).
format BTBSTEBR (f1.0).
format BTDGTELC (f1.0).
format BTDSSTUD (f1.0).
format BTDSCH   (f1.0).
format BTDSCU   (f1.0).
format BTDSLT   (f1.0).
format BTDSH    (f1.0).
format BTDSTOBI (f6.2).
format BTDSTOCH (f6.2).
format BTDSTOPH (f6.2).
format BTDSTOEA (f6.2).
format BTDSTOEN (f6.2).
format BTDSTOOV (f6.2).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want compressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata /COMPRESSED.

!doend
!enddefine

create country = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
                 EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
                 ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
                 MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
                 SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
                 ZAF.
