* Get the teacher data .
get file = "D:\TIMSS2003\Data\SPSS_Data\BTSALLM3.SAV".

* Recode age of teachers .
recode BTBGAGE (1,2 = 1) (3 = 2) (4 = 3) (5,6 = 4) (else = sysmis) into TCHAGE .

* Sort the teacher data .
sort cases by IDCNTRY IDTEACH IDLINK .

* Save the teacher data .
save outfile = TEACHER .

* Get the student-teacher linkage data .
get file = "D:\TIMSS2003\Data\SPSS_Data\BSTALLM3.SAV".

* Select the cases of interest .
select if sciwgt > 0 .

* Sort the student-teacher linkage data .
sort cases by IDCNTRY IDTEACH IDLINK .

* Save the student-teacher linkage data .
save outfile= STDTCH .

* Now merge the two files.
match files
  / file=STDTCH
  / table=TEACHER
  / by IDCNTRY IDTEACH IDLINK .

* Select the cases of interest .
select if not(missing(TCHAGE)) .

* Define the labels for the variables used .
value labels 
 TCHAGE		1 "Less than 30 years old"
		2 "30-39 years old"
		3 "40-49 years old"
		4 "50 years or older" /
 IDCNTRY 
   51 'ARMENIA'          36 'AUSTRALIA'            956 'BELGIUM FLEMISH'    100 'BULGARIA'
   48 'BAHRAIN'          72 'BOTSWANA'            9132 'CANADA ONTARIO'    9133 'CANADA QUEBEC'
  152 'CHILE'           196 'CYPRUS'               818 'EGYPT'              926 'ENGLAND'
 3724 'BASQUE'          233 'ESTONIA'              288 'GHANA'              344 'HONG KONG'
  348 'HUNGARY'         360 'INDONESIA'            364 'IRAN'               376 'ISRAEL'
  380 'ITALY'           400 'JORDAN'               392 'JAPAN'              410 'KOREA'
  422 'LEBANON'         440 'LITHUANIA'            428 'LATVIA'             504 'MOROCCO'
  498 'MOLDOVA'         807 'MACEDONIA'            458 'MALAYSIA'           528 'NETHERLANDS'
  578 'NORWAY'          554 'NEW ZEALAND'          275 'PALESTINE'          608 'PHILIPPINES'
  642 'ROMANIA'         643 'RUSSIAN FEDERATION'   682 'SAUDI ARABIA'       927 'SCOTLAND'
  702 'SINGAPORE'       703 'SLOVAK REPUBLIC'      705 'SLOVENIA'           752 'SWEDEN'
  760 'SYRIA'           788 'TUNISIA'              158 'CHINESE TAIPEI'     840 'UNITED STATES'
  887 'YEMEN'           891 'SERBIA'               710 'SOUTH AFRICA'     11800 'INDIANA US' .

* Save the merged data .
save outfile = MERGED3.

* Use the macro to get the results .
include "D:\TIMSS2003\Programs\SPSS_Programs\jackpv.sps" .

jackpv infile	= MERGED3		/
       cvar  	= IDCNTRY TCHAGE	/
       rootpv   = BSSSCI0		/
       npv   	= 5			/
       jkz   	= JKZONE		/
       jkr   	= JKREP			/
       njkz  	= 75			/
       wgt   	= SCIWGT .

* Sort the results .
sort cases by IDCNTRY .

* Print the results .
print formats n (f6.0) SCIWGT (f10.0) mnpv mnpv_se pct pct_se (F6.2) .

report format = list automatic
 / var = TCHAGE (label) n SCIWGT mnpv mnpv_se pct pct_se
 / break = IDCNTRY (label) .
