* Get the school data .
get file = "D:\TIMSS2003\Data\SPSS_Data\BCGALLM3.SAV".

* Sort the school data .
sort cases by IDCNTRY IDSCHOOL .

* Save the school data .
save outfile = SCHOOL .

* Get the student data .
get file = "D:\TIMSS2003\Data\SPSS_Data\BSGALLM3.SAV".

* Sort the student data .
sort cases by IDCNTRY IDSCHOOL .

* Save the student data .
save outfile = STUDENT .

* Now merge the two files .
match files
  / file=STUDENT
  / table=SCHOOL
  / by IDCNTRY IDSCHOOL .

* Select the cases of interest .
select if not(missing(BCBGCOMU)) .

* Define the labels for the variables used .

value labels
 BCBGCOMU	1 'More than 500000 people' 
            	2 '100001 to 500000 people'
       		3 '50001 to 100000 people' 
		4 '15001 to 50000 people'
		5 '3001 to 15000 people'
		6 'Fewer than 3000 people'/
 IDCNTRY 
   51 'ARMENIA'          36 'AUSTRALIA'            956 'BELGIUM FLEMISH'    100 'BULGARIA'
   48 'BAHRAIN'          72 'BOTSWANA'            9132 'CANADA ONTARIO'    9133 'CANADA QUEBEC'
  152 'CHILE'           196 'CYPRUS'               818 'EGYPT'              926 'ENGLAND'
 3724 'BASQUE'          233 'ESTONIA'              288 'GHANA'              344 'HONG KONG'
  348 'HUNGARY'         360 'INDONESIA'            364 'IRAN'               376 'ISRAEL'
  380 'ITALY'           400 'JORDAN'               392 'JAPAN'              410 'KOREA'
  422 'LEBANON'         440 'LITHUANIA'            428 'LATVIA'             504 'MOROCCO'
  498 'MOLDOVA'         807 'MACEDONIA'            458 'MALAYSIA'           528 'NETHERLANDS'
  578 'NORWAY'          554 'NEW ZEALAND'          275 'PALESTINE'          608 'PHILIPPINES'
  642 'ROMANIA'         643 'RUSSIAN FEDERATION'   682 'SAUDI ARABIA'       927 'SCOTLAND'
  702 'SINGAPORE'       703 'SLOVAK REPUBLIC'      705 'SLOVENIA'           752 'SWEDEN'
  760 'SYRIA'           788 'TUNISIA'              158 'CHINESE TAIPEI'     840 'UNITED STATES'
  887 'YEMEN'           891 'SERBIA'               710 'SOUTH AFRICA'     11800 'INDIANA US' .

* Save the merged data .
save outfile = MERGED4 .

* Use the macro to get the results .
include "D:\TIMSS2003\Programs\SPSS_Programs\jackpv.sps" .

jackpv 
       infile 	= MERGED4		/
       cvar    	= IDCNTRY BCBGCOMU	/
       rootpv 	= BSSSCI0		/
       npv     	= 5			/
       jkz     	= jkzone		/
       jkr      = jkrep			/	
       njkz   	= 75			/
       wgt  	= TOTWGT .

* Sort the results .
sort cases by IDCNTRY BCBGCOMU .

* Print the results .
print formats n (f6.0) TOTWGT (f10.0) mnpv mnpv_se pct pct_se (F6.2) .

report format = list automatic
 / var = BCBGCOMU (label) n TOTWGT mnpv mnpv_se pct pct_se 
 / break = IDCNTRY (label) .
