**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL COT CQU CYP ENG HKG HUN IRN
           ITA JPN LTU LVA MAR MDA NLD NOR NZL PHL
           RUS SCO SGP SVN TUN TWN USA UIN YEM ;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= ASA&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1600 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDSCORA    3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      IDSTRATE   3 ;
LENGTH      IDSTRATI   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITLANG     3 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      ASDAGE     8 ;
LENGTH      ILRELIAB   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      M011009    3 ;
LENGTH      MF11009    3 ;
LENGTH      M011010    3 ;
LENGTH      MF11010    3 ;
LENGTH      M012044    3 ;
LENGTH      MF12044    3 ;
LENGTH      M011011    3 ;
LENGTH      MF11011    3 ;
LENGTH      M011017    3 ;
LENGTH      MF11017    3 ;
LENGTH      M011018    3 ;
LENGTH      MF11018    3 ;
LENGTH      M011019    3 ;
LENGTH      MF11019    3 ;
LENGTH      M011020    3 ;
LENGTH      MF11020    3 ;
LENGTH      M012065    3 ;
LENGTH      MF12065    3 ;
LENGTH      M011023    3 ;
LENGTH      MF11023    3 ;
LENGTH      M011024    3 ;
LENGTH      MF11024    3 ;
LENGTH      M012048    3 ;
LENGTH      MF12048    3 ;
LENGTH      M011012    3 ;
LENGTH      MF11012    3 ;
LENGTH      M011013    3 ;
LENGTH      MF11013    3 ;
LENGTH      M011014    3 ;
LENGTH      MF11014    3 ;
LENGTH      M011015    3 ;
LENGTH      MF11015    3 ;
LENGTH      M011016    3 ;
LENGTH      MF11016    3 ;
LENGTH      M012078    3 ;
LENGTH      MF12078    3 ;
LENGTH      M012119    3 ;
LENGTH      MF12119    3 ;
LENGTH      M011021    3 ;
LENGTH      MF11021    3 ;
LENGTH      M012023    3 ;
LENGTH      MF12023    3 ;
LENGTH      M011022    3 ;
LENGTH      MF11022    3 ;
LENGTH      M011003    3 ;
LENGTH      MF11003    3 ;
LENGTH      M011004    3 ;
LENGTH      MF11004    3 ;
LENGTH      M011005    3 ;
LENGTH      MF11005    3 ;
LENGTH      M012126    3 ;
LENGTH      MF12126    3 ;
LENGTH      M011006    3 ;
LENGTH      MF11006    3 ;
LENGTH      M012117    3 ;
LENGTH      MF12117    3 ;
LENGTH      M011007    3 ;
LENGTH      MF11007    3 ;
LENGTH      M011008    3 ;
LENGTH      MF11008    3 ;
LENGTH      M011001    3 ;
LENGTH      MF11001    3 ;
LENGTH      M011002    3 ;
LENGTH      MF11002    3 ;
LENGTH      M012069    3 ;
LENGTH      MF12069    3 ;
LENGTH      M011025    3 ;
LENGTH      MF11025    3 ;
LENGTH      M011026    3 ;
LENGTH      MF11026    3 ;
LENGTH      M011027    3 ;
LENGTH      MF11027    3 ;
LENGTH      M011028    3 ;
LENGTH      MF11028    3 ;
LENGTH      M031305    3 ;
LENGTH      MF31305    3 ;
LENGTH      M031310    3 ;
LENGTH      MF31310    3 ;
LENGTH      M031065    3 ;
LENGTH      MF31065    3 ;
LENGTH      M031051    3 ;
LENGTH      MF31051    3 ;
LENGTH      M031220    3 ;
LENGTH      MF31220    3 ;
LENGTH      M031322    3 ;
LENGTH      MF31322    3 ;
LENGTH      M031298    3 ;
LENGTH      MF31298    3 ;
LENGTH      M031327    3 ;
LENGTH      MF31327    3 ;
LENGTH      M031269    3 ;
LENGTH      MF31269    3 ;
LENGTH      M031264    3 ;
LENGTH      MF31264    3 ;
LENGTH      M031265    3 ;
LENGTH      MF31265    3 ;
LENGTH      M031286    3 ;
LENGTH      MF31286    3 ;
LENGTH      M031106    3 ;
LENGTH      MF31106    3 ;
LENGTH      M031282    3 ;
LENGTH      MF31282    3 ;
LENGTH      M031227    3 ;
LENGTH      MF31227    3 ;
LENGTH      M031335    3 ;
LENGTH      MF31335    3 ;
LENGTH      M031068    3 ;
LENGTH      MF31068    3 ;
LENGTH      M031299    3 ;
LENGTH      MF31299    3 ;
LENGTH      M031301    3 ;
LENGTH      MF31301    3 ;
LENGTH      M031271    3 ;
LENGTH      MF31271    3 ;
LENGTH      M031134    3 ;
LENGTH      MF31134    3 ;
LENGTH      M031045    3 ;
LENGTH      MF31045    3 ;
LENGTH      M031235    3 ;
LENGTH      MF31235    3 ;
LENGTH      M031285    3 ;
LENGTH      MF31285    3 ;
LENGTH      M031050    3 ;
LENGTH      MF31050    3 ;
LENGTH      M031258    3 ;
LENGTH      MF31258    3 ;
LENGTH      M031334    3 ;
LENGTH      MF31334    3 ;
LENGTH      M031255    3 ;
LENGTH      MF31255    3 ;
LENGTH      M031041    3 ;
LENGTH      MF31041    3 ;
LENGTH      M031350A   3 ;
LENGTH      MF31350A   3 ;
LENGTH      M031350B   3 ;
LENGTH      MF31350B   3 ;
LENGTH      M031350C   3 ;
LENGTH      MF31350C   3 ;
LENGTH      M031274    3 ;
LENGTH      MF31274    3 ;
LENGTH      M031240    3 ;
LENGTH      MF31240    3 ;
LENGTH      M031303    3 ;
LENGTH      MF31303    3 ;
LENGTH      M031309    3 ;
LENGTH      MF31309    3 ;
LENGTH      M031245    3 ;
LENGTH      MF31245    3 ;
LENGTH      M031242A   3 ;
LENGTH      MF31242A   3 ;
LENGTH      M031242B   3 ;
LENGTH      MF31242B   3 ;
LENGTH      M031242C   3 ;
LENGTH      MF31242C   3 ;
LENGTH      M031247    3 ;
LENGTH      MF31247    3 ;
LENGTH      M031219    3 ;
LENGTH      MF31219    3 ;
LENGTH      M031173    3 ;
LENGTH      MF31173    3 ;
LENGTH      M031085    3 ;
LENGTH      MF31085    3 ;
LENGTH      M031172    3 ;
LENGTH      MF31172    3 ;
LENGTH      M031029    3 ;
LENGTH      MF31029    3 ;
LENGTH      M031030    3 ;
LENGTH      MF31030    3 ;
LENGTH      M031332    3 ;
LENGTH      MF31332    3 ;
LENGTH      M031098    3 ;
LENGTH      MF31098    3 ;
LENGTH      M031254    3 ;
LENGTH      MF31254    3 ;
LENGTH      M031038    3 ;
LENGTH      MF31038    3 ;
LENGTH      M031276    3 ;
LENGTH      MF31276    3 ;
LENGTH      M031064    3 ;
LENGTH      MF31064    3 ;
LENGTH      M031006    3 ;
LENGTH      MF31006    3 ;
LENGTH      M031330    3 ;
LENGTH      MF31330    3 ;
LENGTH      M031351    3 ;
LENGTH      MF31351    3 ;
LENGTH      M031135    3 ;
LENGTH      MF31135    3 ;
LENGTH      M031162    3 ;
LENGTH      M031341    3 ;
LENGTH      M031216    3 ;
LENGTH      M031249    3 ;
LENGTH      M031347A   3 ;
LENGTH      M031347B   3 ;
LENGTH      M031347C   3 ;
LENGTH      M031348A   3 ;
LENGTH      M031348B   3 ;
LENGTH      M031190    3 ;
LENGTH      M031306    3 ;
LENGTH      M031108    3 ;
LENGTH      M031011    3 ;
LENGTH      M031304    3 ;
LENGTH      M031023    3 ;
LENGTH      M031008    3 ;
LENGTH      M031338    3 ;
LENGTH      M031272A   3 ;
LENGTH      M031272B   3 ;
LENGTH      M031272C   3 ;
LENGTH      M031267    3 ;
LENGTH      M031315    3 ;
LENGTH      M031128    3 ;
LENGTH      MF31128    3 ;
LENGTH      M031016    3 ;
LENGTH      MF31016    3 ;
LENGTH      M031183    3 ;
LENGTH      MF31183    3 ;
LENGTH      M031223    3 ;
LENGTH      MF31223    3 ;
LENGTH      M031187    3 ;
LENGTH      MF31187    3 ;
LENGTH      M031251    3 ;
LENGTH      MF31251    3 ;
LENGTH      M031294    3 ;
LENGTH      MF31294    3 ;
LENGTH      M031297    3 ;
LENGTH      MF31297    3 ;
LENGTH      M031218    3 ;
LENGTH      MF31218    3 ;
LENGTH      M031109    3 ;
LENGTH      MF31109    3 ;
LENGTH      M031159    3 ;
LENGTH      MF31159    3 ;
LENGTH      M031133    3 ;
LENGTH      MF31133    3 ;
LENGTH      M031210    3 ;
LENGTH      MF31210    3 ;
LENGTH      M031009    3 ;
LENGTH      MF31009    3 ;
LENGTH      M031252    3 ;
LENGTH      MF31252    3 ;
LENGTH      M031316    3 ;
LENGTH      MF31316    3 ;
LENGTH      M031317    3 ;
LENGTH      MF31317    3 ;
LENGTH      M031079B   3 ;
LENGTH      MF31079B   3 ;
LENGTH      M031079C   3 ;
LENGTH      MF31079C   3 ;
LENGTH      M031004    3 ;
LENGTH      MF31004    3 ;
LENGTH      M031043    3 ;
LENGTH      MF31043    3 ;
LENGTH      M031325    3 ;
LENGTH      MF31325    3 ;
LENGTH      M031088    3 ;
LENGTH      MF31088    3 ;
LENGTH      M031093    3 ;
LENGTH      MF31093    3 ;
LENGTH      M031155    3 ;
LENGTH      MF31155    3 ;
LENGTH      M031344A   3 ;
LENGTH      MF31344A   3 ;
LENGTH      M031344B   3 ;
LENGTH      MF31344B   3 ;
LENGTH      M031344C   3 ;
LENGTH      MF31344C   3 ;
LENGTH      M031345A   3 ;
LENGTH      MF31345A   3 ;
LENGTH      M031345B   3 ;
LENGTH      MF31345B   3 ;
LENGTH      M031345C   3 ;
LENGTH      MF31345C   3 ;
LENGTH      M031130    3 ;
LENGTH      MF31130    3 ;
LENGTH      M031097    3 ;
LENGTH      MF31097    3 ;
LENGTH      M031178    3 ;
LENGTH      MF31178    3 ;
LENGTH      M031333    3 ;
LENGTH      MF31333    3 ;
LENGTH      M031346A   3 ;
LENGTH      MF31346A   3 ;
LENGTH      M031346B   3 ;
LENGTH      MF31346B   3 ;
LENGTH      M031346C   3 ;
LENGTH      MF31346C   3 ;
LENGTH      M031379    3 ;
LENGTH      MF31379    3 ;
LENGTH      M031380    3 ;
LENGTH      MF31380    3 ;
LENGTH      M031002    3 ;
LENGTH      MF31002    3 ;
LENGTH      M031313    3 ;
LENGTH      MF31313    3 ;
LENGTH      M031083    3 ;
LENGTH      MF31083    3 ;
LENGTH      M031071    3 ;
LENGTH      MF31071    3 ;
LENGTH      M031185    3 ;
LENGTH      MF31185    3 ;
LENGTH      S011006    3 ;
LENGTH      SF11006    3 ;
LENGTH      S011007    3 ;
LENGTH      SF11007    3 ;
LENGTH      S011008    3 ;
LENGTH      SF11008    3 ;
LENGTH      S012033    3 ;
LENGTH      SF12033    3 ;
LENGTH      S011001    3 ;
LENGTH      SF11001    3 ;
LENGTH      S011003    3 ;
LENGTH      SF11003    3 ;
LENGTH      S011004    3 ;
LENGTH      SF11004    3 ;
LENGTH      S011005    3 ;
LENGTH      SF11005    3 ;
LENGTH      S011021    3 ;
LENGTH      SF11021    3 ;
LENGTH      S011022    3 ;
LENGTH      SF11022    3 ;
LENGTH      S011023    3 ;
LENGTH      SF11023    3 ;
LENGTH      S011030    3 ;
LENGTH      SF11030    3 ;
LENGTH      S011031    3 ;
LENGTH      SF11031    3 ;
LENGTH      S011032    3 ;
LENGTH      SF11032    3 ;
LENGTH      S011033    3 ;
LENGTH      SF11033    3 ;
LENGTH      S011025    3 ;
LENGTH      SF11025    3 ;
LENGTH      S011026    3 ;
LENGTH      SF11026    3 ;
LENGTH      S011027    3 ;
LENGTH      SF11027    3 ;
LENGTH      S011028    3 ;
LENGTH      SF11028    3 ;
LENGTH      S011029    3 ;
LENGTH      SF11029    3 ;
LENGTH      S011016    3 ;
LENGTH      SF11016    3 ;
LENGTH      S012007    3 ;
LENGTH      SF12007    3 ;
LENGTH      S011017    3 ;
LENGTH      SF11017    3 ;
LENGTH      S011018    3 ;
LENGTH      SF11018    3 ;
LENGTH      S012010    3 ;
LENGTH      SF12010    3 ;
LENGTH      S011019    3 ;
LENGTH      SF11019    3 ;
LENGTH      S011009    3 ;
LENGTH      SF11009    3 ;
LENGTH      S011010    3 ;
LENGTH      SF11010    3 ;
LENGTH      S011011    3 ;
LENGTH      SF11011    3 ;
LENGTH      S011012    3 ;
LENGTH      SF11012    3 ;
LENGTH      S011013    3 ;
LENGTH      SF11013    3 ;
LENGTH      S011014    3 ;
LENGTH      SF11014    3 ;
LENGTH      S011015    3 ;
LENGTH      SF11015    3 ;
LENGTH      S031017    3 ;
LENGTH      SF31017    3 ;
LENGTH      S031246    3 ;
LENGTH      SF31246    3 ;
LENGTH      S031287    3 ;
LENGTH      SF31287    3 ;
LENGTH      S031251    3 ;
LENGTH      SF31251    3 ;
LENGTH      S031053    3 ;
LENGTH      SF31053    3 ;
LENGTH      S031005    3 ;
LENGTH      SF31005    3 ;
LENGTH      S031306    3 ;
LENGTH      SF31306    3 ;
LENGTH      S031372A   3 ;
LENGTH      SF31372A   3 ;
LENGTH      S031372B   3 ;
LENGTH      SF31372B   3 ;
LENGTH      S031082    3 ;
LENGTH      SF31082    3 ;
LENGTH      S031229    3 ;
LENGTH      SF31229    3 ;
LENGTH      S031270    3 ;
LENGTH      SF31270    3 ;
LENGTH      S031026    3 ;
LENGTH      SF31026    3 ;
LENGTH      S031319    3 ;
LENGTH      SF31319    3 ;
LENGTH      S031414A   3 ;
LENGTH      SF31414A   3 ;
LENGTH      S031414B   3 ;
LENGTH      SF31414B   3 ;
LENGTH      S031078    3 ;
LENGTH      SF31078    3 ;
LENGTH      S031009    3 ;
LENGTH      SF31009    3 ;
LENGTH      S031401    3 ;
LENGTH      SF31401    3 ;
LENGTH      S031384A   3 ;
LENGTH      SF31384A   3 ;
LENGTH      S031384B   3 ;
LENGTH      SF31384B   3 ;
LENGTH      S031255    3 ;
LENGTH      SF31255    3 ;
LENGTH      S031240A   3 ;
LENGTH      S031240B   3 ;
LENGTH      S031240D   3 ;
LENGTH      SF31240A   3 ;
LENGTH      SF31240B   3 ;
LENGTH      SF31240D   3 ;
LENGTH      S031239    3 ;
LENGTH      SF31239    3 ;
LENGTH      S031235A   3 ;
LENGTH      SF31235A   3 ;
LENGTH      S031235B   3 ;
LENGTH      SF31235B   3 ;
LENGTH      S031205    3 ;
LENGTH      SF31205    3 ;
LENGTH      S031399A   3 ;
LENGTH      SF31399A   3 ;
LENGTH      S031399B   3 ;
LENGTH      SF31399B   3 ;
LENGTH      S031393    3 ;
LENGTH      SF31393    3 ;
LENGTH      S031278    3 ;
LENGTH      SF31278    3 ;
LENGTH      S031317    3 ;
LENGTH      SF31317    3 ;
LENGTH      S031190    3 ;
LENGTH      SF31190    3 ;
LENGTH      S031431    3 ;
LENGTH      SF31431    3 ;
LENGTH      S031283    3 ;
LENGTH      SF31283    3 ;
LENGTH      S031426    3 ;
LENGTH      SF31426    3 ;
LENGTH      S031422    3 ;
LENGTH      SF31422    3 ;
LENGTH      S031427    3 ;
LENGTH      SF31427    3 ;
LENGTH      S031075    3 ;
LENGTH      SF31075    3 ;
LENGTH      S031047    3 ;
LENGTH      SF31047    3 ;
LENGTH      S031387    3 ;
LENGTH      SF31387    3 ;
LENGTH      S031396A   3 ;
LENGTH      S031396B   3 ;
LENGTH      S031396D   3 ;
LENGTH      SF31396A   3 ;
LENGTH      SF31396B   3 ;
LENGTH      SF31396D   3 ;
LENGTH      S031340    3 ;
LENGTH      SF31340    3 ;
LENGTH      S031236    3 ;
LENGTH      SF31236    3 ;
LENGTH      S031391A   3 ;
LENGTH      S031391B   3 ;
LENGTH      S031391D   3 ;
LENGTH      SF31391A   3 ;
LENGTH      SF31391B   3 ;
LENGTH      SF31391D   3 ;
LENGTH      S031361    3 ;
LENGTH      SF31361    3 ;
LENGTH      S031001    3 ;
LENGTH      SF31001    3 ;
LENGTH      S031084    3 ;
LENGTH      SF31084    3 ;
LENGTH      S031410    3 ;
LENGTH      SF31410    3 ;
LENGTH      S031421    3 ;
LENGTH      SF31421    3 ;
LENGTH      S031298    3 ;
LENGTH      SF31298    3 ;
LENGTH      S031076    3 ;
LENGTH      SF31076    3 ;
LENGTH      S031275    3 ;
LENGTH      SF31275    3 ;
LENGTH      S031349    3 ;
LENGTH      S031330    3 ;
LENGTH      S031212    3 ;
LENGTH      S031241A   3 ;
LENGTH      S031241B   3 ;
LENGTH      S031241D   3 ;
LENGTH      S031038    3 ;
LENGTH      S031252    3 ;
LENGTH      S031406A   3 ;
LENGTH      S031406B   3 ;
LENGTH      S031383    3 ;
LENGTH      S031379    3 ;
LENGTH      S031060    3 ;
LENGTH      S031269    3 ;
LENGTH      S031284    3 ;
LENGTH      S031338    3 ;
LENGTH      S031382    3 ;
LENGTH      S031218    3 ;
LENGTH      S031326A   3 ;
LENGTH      S031326B   3 ;
LENGTH      S031326D   3 ;
LENGTH      S031003    3 ;
LENGTH      S031035    3 ;
LENGTH      S031420    3 ;
LENGTH      S031370    3 ;
LENGTH      S031313    3 ;
LENGTH      S031254    3 ;
LENGTH      SF31254    3 ;
LENGTH      S031266    3 ;
LENGTH      SF31266    3 ;
LENGTH      S031233    3 ;
LENGTH      SF31233    3 ;
LENGTH      S031204    3 ;
LENGTH      SF31204    3 ;
LENGTH      S031273    3 ;
LENGTH      SF31273    3 ;
LENGTH      S031299    3 ;
LENGTH      SF31299    3 ;
LENGTH      S031281    3 ;
LENGTH      SF31281    3 ;
LENGTH      S031077    3 ;
LENGTH      SF31077    3 ;
LENGTH      S031311    3 ;
LENGTH      SF31311    3 ;
LENGTH      S031088A   3 ;
LENGTH      S031088B   3 ;
LENGTH      S031088D   3 ;
LENGTH      SF31088A   3 ;
LENGTH      SF31088B   3 ;
LENGTH      SF31088D   3 ;
LENGTH      S031389    3 ;
LENGTH      SF31389    3 ;
LENGTH      S031356    3 ;
LENGTH      SF31356    3 ;
LENGTH      S031291    3 ;
LENGTH      SF31291    3 ;
LENGTH      S031230    3 ;
LENGTH      SF31230    3 ;
LENGTH      S031325    3 ;
LENGTH      SF31325    3 ;
LENGTH      S031068    3 ;
LENGTH      SF31068    3 ;
LENGTH      S031418    3 ;
LENGTH      SF31418    3 ;
LENGTH      S031197A   3 ;
LENGTH      S031197B   3 ;
LENGTH      S031197D   3 ;
LENGTH      SF31197A   3 ;
LENGTH      SF31197B   3 ;
LENGTH      SF31197D   3 ;
LENGTH      S031371    3 ;
LENGTH      SF31371    3 ;
LENGTH      S031376    3 ;
LENGTH      SF31376    3 ;
LENGTH      S031044    3 ;
LENGTH      SF31044    3 ;
LENGTH      S031390A   3 ;
LENGTH      S031390B   3 ;
LENGTH      S031390D   3 ;
LENGTH      SF31390A   3 ;
LENGTH      SF31390B   3 ;
LENGTH      SF31390D   3 ;
LENGTH      S031409    3 ;
LENGTH      SF31409    3 ;
LENGTH      S031398    3 ;
LENGTH      SF31398    3 ;
LENGTH      S031072    3 ;
LENGTH      SF31072    3 ;
LENGTH      S031061    3 ;
LENGTH      SF31061    3 ;
LENGTH      S031439A   3 ;
LENGTH      SF31439A   3 ;
LENGTH      S031439B   3 ;
LENGTH      SF31439B   3 ;
LENGTH      S031440    3 ;
LENGTH      SF31440    3 ;
LENGTH      S031441A   3 ;
LENGTH      SF31441A   3 ;
LENGTH      S031441B   3 ;
LENGTH      SF31441B   3 ;
LENGTH      S031442    3 ;
LENGTH      SF31442    3 ;
LENGTH      S031443    3 ;
LENGTH      SF31443    3 ;
LENGTH      S031446A   3 ;
LENGTH      SF31446A   3 ;
LENGTH      S031446B   3 ;
LENGTH      SF31446B   3 ;
LENGTH      S031446C   3 ;
LENGTH      SF31446C   3 ;
LENGTH      S031445A   3 ;
LENGTH      SF31445A   3 ;
LENGTH      S031445B   3 ;
LENGTH      SF31445B   3 ;
LENGTH      S031447    3 ;
LENGTH      SF31447    3 ;
LENGTH      S031193    3 ;
LENGTH      SF31193    3 ;
LENGTH      S031264    3 ;
LENGTH      SF31264    3 ;
LENGTH      S031347    3 ;
LENGTH      SF31347    3 ;
LENGTH      S031346    3 ;
LENGTH      SF31346    3 ;
LENGTH      S031081    3 ;
LENGTH      SF31081    3 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      TOTWGT     8 ;
LENGTH      JKREP      3 ;
LENGTH      JKZONE     3 ;
LENGTH      ASMALG01   8 ;
LENGTH      ASMALG02   8 ;
LENGTH      ASMALG03   8 ;
LENGTH      ASMALG04   8 ;
LENGTH      ASMALG05   8 ;
LENGTH      ASMAPP01   8 ;
LENGTH      ASMAPP02   8 ;
LENGTH      ASMAPP03   8 ;
LENGTH      ASMAPP04   8 ;
LENGTH      ASMAPP05   8 ;
LENGTH      ASMDAP01   8 ;
LENGTH      ASMDAP02   8 ;
LENGTH      ASMDAP03   8 ;
LENGTH      ASMDAP04   8 ;
LENGTH      ASMDAP05   8 ;
LENGTH      ASMFNS01   8 ;
LENGTH      ASMFNS02   8 ;
LENGTH      ASMFNS03   8 ;
LENGTH      ASMFNS04   8 ;
LENGTH      ASMFNS05   8 ;
LENGTH      ASMGEO01   8 ;
LENGTH      ASMGEO02   8 ;
LENGTH      ASMGEO03   8 ;
LENGTH      ASMGEO04   8 ;
LENGTH      ASMGEO05   8 ;
LENGTH      ASMKNO01   8 ;
LENGTH      ASMKNO02   8 ;
LENGTH      ASMKNO03   8 ;
LENGTH      ASMKNO04   8 ;
LENGTH      ASMKNO05   8 ;
LENGTH      ASMMAT01   8 ;
LENGTH      ASMMAT02   8 ;
LENGTH      ASMMAT03   8 ;
LENGTH      ASMMAT04   8 ;
LENGTH      ASMMAT05   8 ;
LENGTH      ASMMEA01   8 ;
LENGTH      ASMMEA02   8 ;
LENGTH      ASMMEA03   8 ;
LENGTH      ASMMEA04   8 ;
LENGTH      ASMMEA05   8 ;
LENGTH      ASMNRSC    8 ;
LENGTH      ASMREA01   8 ;
LENGTH      ASMREA02   8 ;
LENGTH      ASMREA03   8 ;
LENGTH      ASMREA04   8 ;
LENGTH      ASMREA05   8 ;
LENGTH      ASMSCPT    3 ;
LENGTH      ASMSTDR    8 ;
LENGTH      ASSEAS01   8 ;
LENGTH      ASSEAS02   8 ;
LENGTH      ASSEAS03   8 ;
LENGTH      ASSEAS04   8 ;
LENGTH      ASSEAS05   8 ;
LENGTH      ASSLIS01   8 ;
LENGTH      ASSLIS02   8 ;
LENGTH      ASSLIS03   8 ;
LENGTH      ASSLIS04   8 ;
LENGTH      ASSLIS05   8 ;
LENGTH      ASSNRSC    8 ;
LENGTH      ASSPHY01   8 ;
LENGTH      ASSPHY02   8 ;
LENGTH      ASSPHY03   8 ;
LENGTH      ASSPHY04   8 ;
LENGTH      ASSPHY05   8 ;
LENGTH      ASSSCI01   8 ;
LENGTH      ASSSCI02   8 ;
LENGTH      ASSSCI03   8 ;
LENGTH      ASSSCI04   8 ;
LENGTH      ASSSCI05   8 ;
LENGTH      ASSSCPT    3 ;
LENGTH      ASSSTDR    8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDCLASS      11-  16     
  IDSTUD       17-  24     
  IDBOOK       25-  26     
  IDSCORA      27-  29     
  IDGRADE      30-  31     
  IDGRADER     32-  32     
  IDSTRATE     33-  35     
  IDSTRATI     36-  38     
  ITSEX        39-  39     
  ITLANG       40-  40     
  ITBIRTHM     41-  42     
  ITBIRTHY     43-  44     
  ASDAGE       45-  49 .2
  ILRELIAB     50-  50     
  INTMS03      51-  51     
  INTMS99      52-  52     
  INTMS95      53-  53     
  M011009      54-  54     
  MF11009      55-  55     
  M011010      56-  56     
  MF11010      57-  57     
  M012044      58-  58     
  MF12044      59-  59     
  M011011      60-  60     
  MF11011      61-  61     
  M011017      62-  62     
  MF11017      63-  63     
  M011018      64-  64     
  MF11018      65-  65     
  M011019      66-  66     
  MF11019      67-  67     
  M011020      68-  68     
  MF11020      69-  69     
  M012065      70-  70     
  MF12065      71-  71     
  M011023      72-  72     
  MF11023      73-  73     
  M011024      74-  74     
  MF11024      75-  75     
  M012048      76-  76     
  MF12048      77-  77     
  M011012      78-  78     
  MF11012      79-  79     
  M011013      80-  80     
  MF11013      81-  81     
  M011014      82-  82     
  MF11014      83-  83     
  M011015      84-  84     
  MF11015      85-  85     
  M011016      86-  86     
  MF11016      87-  87     
  M012078      88-  88     
  MF12078      89-  89     
  M012119      90-  90     
  MF12119      91-  91     
  M011021      92-  92     
  MF11021      93-  93     
  M012023      94-  94     
  MF12023      95-  95     
  M011022      96-  96     
  MF11022      97-  97     
  M011003      98-  98     
  MF11003      99-  99     
  M011004     100- 100     
  MF11004     101- 101     
  M011005     102- 102     
  MF11005     103- 103     
  M012126     104- 104     
  MF12126     105- 105     
  M011006     106- 106     
  MF11006     107- 107     
  M012117     108- 108     
  MF12117     109- 109     
  M011007     110- 110     
  MF11007     111- 111     
  M011008     112- 112     
  MF11008     113- 113     
  M011001     114- 114     
  MF11001     115- 115     
  M011002     116- 116     
  MF11002     117- 117     
  M012069     118- 118     
  MF12069     119- 119     
  M011025     120- 120     
  MF11025     121- 121     
  M011026     122- 122     
  MF11026     123- 123     
  M011027     124- 124     
  MF11027     125- 125     
  M011028     126- 126     
  MF11028     127- 127     
  M031305     128- 129     
  MF31305     130- 131     
  M031310     132- 132     
  MF31310     133- 133     
  M031065     134- 135     
  MF31065     136- 137     
  M031051     138- 138     
  MF31051     139- 139     
  M031220     140- 140     
  MF31220     141- 141     
  M031322     142- 143     
  MF31322     144- 145     
  M031298     146- 147     
  MF31298     148- 149     
  M031327     150- 151     
  MF31327     152- 153     
  M031269     154- 155     
  MF31269     156- 157     
  M031264     158- 159     
  MF31264     160- 161     
  M031265     162- 163     
  MF31265     164- 165     
  M031286     166- 167     
  MF31286     168- 169     
  M031106     170- 171     
  MF31106     172- 173     
  M031282     174- 175     
  MF31282     176- 177     
  M031227     178- 179     
  MF31227     180- 181     
  M031335     182- 182     
  MF31335     183- 183     
  M031068     184- 185     
  MF31068     186- 187     
  M031299     188- 189     
  MF31299     190- 191     
  M031301     192- 193     
  MF31301     194- 195     
  M031271     196- 197     
  MF31271     198- 199     
  M031134     200- 201     
  MF31134     202- 203     
  M031045     204- 204     
  MF31045     205- 205     
  M031235     206- 207     
  MF31235     208- 209     
  M031285     210- 211     
  MF31285     212- 213     
  M031050     214- 214     
  MF31050     215- 215     
  M031258     216- 217     
  MF31258     218- 219     
  M031334     220- 220     
  MF31334     221- 221     
  M031255     222- 222     
  MF31255     223- 223     
  M031041     224- 225     
  MF31041     226- 227     
  M031350A    228- 229     
  MF31350A    230- 231     
  M031350B    232- 233     
  MF31350B    234- 235     
  M031350C    236- 237     
  MF31350C    238- 239     
  M031274     240- 241     
  MF31274     242- 243     
  M031240     244- 245     
  MF31240     246- 247     
  M031303     248- 248     
  MF31303     249- 249     
  M031309     250- 251     
  MF31309     252- 253     
  M031245     254- 254     
  MF31245     255- 255     
  M031242A    256- 257     
  MF31242A    258- 259     
  M031242B    260- 261     
  MF31242B    262- 263     
  M031242C    264- 264     
  MF31242C    265- 265     
  M031247     266- 267     
  MF31247     268- 269     
  M031219     270- 270     
  MF31219     271- 271     
  M031173     272- 272     
  MF31173     273- 273     
  M031085     274- 274     
  MF31085     275- 275     
  M031172     276- 276     
  MF31172     277- 277     
  M031029     278- 278     
  MF31029     279- 279     
  M031030     280- 281     
  MF31030     282- 283     
  M031332     284- 284     
  MF31332     285- 285     
  M031098     286- 286     
  MF31098     287- 287     
  M031254     288- 288     
  MF31254     289- 289     
  M031038     290- 290     
  MF31038     291- 291     
  M031276     292- 292     
  MF31276     293- 293     
  M031064     294- 294     
  MF31064     295- 295     
  M031006     296- 296     
  MF31006     297- 297     
  M031330     298- 299     
  MF31330     300- 301     
  M031351     302- 302     
  MF31351     303- 303     
  M031135     304- 304     
  MF31135     305- 305     
  M031162     306- 307     
  M031341     308- 308     
  M031216     309- 309     
  M031249     310- 311     
  M031347A    312- 313     
  M031347B    314- 315     
  M031347C    316- 317     
  M031348A    318- 319     
  M031348B    320- 321     
  M031190     322- 322     
  M031306     323- 324     
  M031108     325- 325     
  M031011     326- 327     
  M031304     328- 329     
  M031023     330- 330     
  M031008     331- 331     
  M031338     332- 332     
  M031272A    333- 334     
  M031272B    335- 336     
  M031272C    337- 338     
  M031267     339- 340     
  M031315     341- 341     
  M031128     342- 343     
  MF31128     344- 345     
  M031016     346- 347     
  MF31016     348- 349     
  M031183     350- 351     
  MF31183     352- 353     
  M031223     354- 354     
  MF31223     355- 355     
  M031187     356- 356     
  MF31187     357- 357     
  M031251     358- 358     
  MF31251     359- 359     
  M031294     360- 360     
  MF31294     361- 361     
  M031297     362- 363     
  MF31297     364- 365     
  M031218     366- 366     
  MF31218     367- 367     
  M031109     368- 368     
  MF31109     369- 369     
  M031159     370- 370     
  MF31159     371- 371     
  M031133     372- 373     
  MF31133     374- 375     
  M031210     376- 376     
  MF31210     377- 377     
  M031009     378- 379     
  MF31009     380- 381     
  M031252     382- 382     
  MF31252     383- 383     
  M031316     384- 385     
  MF31316     386- 387     
  M031317     388- 388     
  MF31317     389- 389     
  M031079B    390- 391     
  MF31079B    392- 393     
  M031079C    394- 395     
  MF31079C    396- 397     
  M031004     398- 398     
  MF31004     399- 399     
  M031043     400- 400     
  MF31043     401- 401     
  M031325     402- 403     
  MF31325     404- 405     
  M031088     406- 406     
  MF31088     407- 407     
  M031093     408- 408     
  MF31093     409- 409     
  M031155     410- 410     
  MF31155     411- 411     
  M031344A    412- 413     
  MF31344A    414- 415     
  M031344B    416- 417     
  MF31344B    418- 419     
  M031344C    420- 421     
  MF31344C    422- 423     
  M031345A    424- 425     
  MF31345A    426- 427     
  M031345B    428- 429     
  MF31345B    430- 431     
  M031345C    432- 433     
  MF31345C    434- 435     
  M031130     436- 437     
  MF31130     438- 439     
  M031097     440- 440     
  MF31097     441- 441     
  M031178     442- 442     
  MF31178     443- 443     
  M031333     444- 444     
  MF31333     445- 445     
  M031346A    446- 447     
  MF31346A    448- 449     
  M031346B    450- 451     
  MF31346B    452- 453     
  M031346C    454- 455     
  MF31346C    456- 457     
  M031379     458- 459     
  MF31379     460- 461     
  M031380     462- 463     
  MF31380     464- 465     
  M031002     466- 466     
  MF31002     467- 467     
  M031313     468- 469     
  MF31313     470- 471     
  M031083     472- 472     
  MF31083     473- 473     
  M031071     474- 474     
  MF31071     475- 475     
  M031185     476- 476     
  MF31185     477- 477     
  S011006     478- 478     
  SF11006     479- 479     
  S011007     480- 480     
  SF11007     481- 481     
  S011008     482- 482     
  SF11008     483- 483     
  S012033     484- 484     
  SF12033     485- 485     
  S011001     486- 486     
  SF11001     487- 487     
  S011003     488- 488     
  SF11003     489- 489     
  S011004     490- 490     
  SF11004     491- 491     
  S011005     492- 492     
  SF11005     493- 493     
  S011021     494- 494     
  SF11021     495- 495     
  S011022     496- 496     
  SF11022     497- 497     
  S011023     498- 498     
  SF11023     499- 499     
  S011030     500- 500     
  SF11030     501- 501     
  S011031     502- 502     
  SF11031     503- 503     
  S011032     504- 505     
  SF11032     506- 507     
  S011033     508- 508     
  SF11033     509- 509     
  S011025     510- 510     
  SF11025     511- 511     
  S011026     512- 512     
  SF11026     513- 513     
  S011027     514- 514     
  SF11027     515- 515     
  S011028     516- 516     
  SF11028     517- 517     
  S011029     518- 518     
  SF11029     519- 519     
  S011016     520- 520     
  SF11016     521- 521     
  S012007     522- 522     
  SF12007     523- 523     
  S011017     524- 524     
  SF11017     525- 525     
  S011018     526- 526     
  SF11018     527- 527     
  S012010     528- 528     
  SF12010     529- 529     
  S011019     530- 531     
  SF11019     532- 533     
  S011009     534- 534     
  SF11009     535- 535     
  S011010     536- 536     
  SF11010     537- 537     
  S011011     538- 538     
  SF11011     539- 539     
  S011012     540- 540     
  SF11012     541- 541     
  S011013     542- 542     
  SF11013     543- 543     
  S011014     544- 544     
  SF11014     545- 545     
  S011015     546- 546     
  SF11015     547- 547     
  S031017     548- 548     
  SF31017     549- 549     
  S031246     550- 551     
  SF31246     552- 553     
  S031287     554- 554     
  SF31287     555- 555     
  S031251     556- 557     
  SF31251     558- 559     
  S031053     560- 561     
  SF31053     562- 563     
  S031005     564- 565     
  SF31005     566- 567     
  S031306     568- 568     
  SF31306     569- 569     
  S031372A    570- 571     
  SF31372A    572- 573     
  S031372B    574- 575     
  SF31372B    576- 577     
  S031082     578- 578     
  SF31082     579- 579     
  S031229     580- 580     
  SF31229     581- 581     
  S031270     582- 583     
  SF31270     584- 585     
  S031026     586- 587     
  SF31026     588- 589     
  S031319     590- 590     
  SF31319     591- 591     
  S031414A    592- 593     
  SF31414A    594- 595     
  S031414B    596- 597     
  SF31414B    598- 599     
  S031078     600- 600     
  SF31078     601- 601     
  S031009     602- 603     
  SF31009     604- 605     
  S031401     606- 606     
  SF31401     607- 607     
  S031384A    608- 609     
  SF31384A    610- 611     
  S031384B    612- 613     
  SF31384B    614- 615     
  S031255     616- 616     
  SF31255     617- 617     
  S031240A    618- 619     
  S031240B    620- 621     
  S031240D    622- 623     
  SF31240A    624- 625     
  SF31240B    626- 627     
  SF31240D    628- 629     
  S031239     630- 630     
  SF31239     631- 631     
  S031235A    632- 633     
  SF31235A    634- 635     
  S031235B    636- 637     
  SF31235B    638- 639     
  S031205     640- 640     
  SF31205     641- 641     
  S031399A    642- 643     
  SF31399A    644- 645     
  S031399B    646- 647     
  SF31399B    648- 649     
  S031393     650- 651     
  SF31393     652- 653     
  S031278     654- 655     
  SF31278     656- 657     
  S031317     658- 658     
  SF31317     659- 659     
  S031190     660- 661     
  SF31190     662- 663     
  S031431     664- 664     
  SF31431     665- 665     
  S031283     666- 666     
  SF31283     667- 667     
  S031426     668- 668     
  SF31426     669- 669     
  S031422     670- 670     
  SF31422     671- 671     
  S031427     672- 672     
  SF31427     673- 673     
  S031075     674- 674     
  SF31075     675- 675     
  S031047     676- 677     
  SF31047     678- 679     
  S031387     680- 680     
  SF31387     681- 681     
  S031396A    682- 683     
  S031396B    684- 685     
  S031396D    686- 687     
  SF31396A    688- 689     
  SF31396B    690- 691     
  SF31396D    692- 693     
  S031340     694- 694     
  SF31340     695- 695     
  S031236     696- 696     
  SF31236     697- 697     
  S031391A    698- 699     
  S031391B    700- 701     
  S031391D    702- 703     
  SF31391A    704- 705     
  SF31391B    706- 707     
  SF31391D    708- 709     
  S031361     710- 710     
  SF31361     711- 711     
  S031001     712- 712     
  SF31001     713- 713     
  S031084     714- 714     
  SF31084     715- 715     
  S031410     716- 716     
  SF31410     717- 717     
  S031421     718- 719     
  SF31421     720- 721     
  S031298     722- 722     
  SF31298     723- 723     
  S031076     724- 725     
  SF31076     726- 727     
  S031275     728- 728     
  SF31275     729- 729     
  S031349     730- 730     
  S031330     731- 732     
  S031212     733- 733     
  S031241A    734- 735     
  S031241B    736- 737     
  S031241D    738- 739     
  S031038     740- 740     
  S031252     741- 742     
  S031406A    743- 744     
  S031406B    745- 746     
  S031383     747- 747     
  S031379     748- 748     
  S031060     749- 749     
  S031269     750- 750     
  S031284     751- 751     
  S031338     752- 752     
  S031382     753- 754     
  S031218     755- 756     
  S031326A    757- 758     
  S031326B    759- 760     
  S031326D    761- 762     
  S031003     763- 763     
  S031035     764- 764     
  S031420     765- 765     
  S031370     766- 767     
  S031313     768- 768     
  S031254     769- 769     
  SF31254     770- 770     
  S031266     771- 771     
  SF31266     772- 772     
  S031233     773- 774     
  SF31233     775- 776     
  S031204     777- 778     
  SF31204     779- 780     
  S031273     781- 781     
  SF31273     782- 782     
  S031299     783- 784     
  SF31299     785- 786     
  S031281     787- 787     
  SF31281     788- 788     
  S031077     789- 789     
  SF31077     790- 790     
  S031311     791- 791     
  SF31311     792- 792     
  S031088A    793- 794     
  S031088B    795- 796     
  S031088D    797- 798     
  SF31088A    799- 800     
  SF31088B    801- 802     
  SF31088D    803- 804     
  S031389     805- 805     
  SF31389     806- 806     
  S031356     807- 807     
  SF31356     808- 808     
  S031291     809- 809     
  SF31291     810- 810     
  S031230     811- 811     
  SF31230     812- 812     
  S031325     813- 814     
  SF31325     815- 816     
  S031068     817- 817     
  SF31068     818- 818     
  S031418     819- 819     
  SF31418     820- 820     
  S031197A    821- 822     
  S031197B    823- 824     
  S031197D    825- 826     
  SF31197A    827- 828     
  SF31197B    829- 830     
  SF31197D    831- 832     
  S031371     833- 833     
  SF31371     834- 834     
  S031376     835- 835     
  SF31376     836- 836     
  S031044     837- 838     
  SF31044     839- 840     
  S031390A    841- 842     
  S031390B    843- 844     
  S031390D    845- 846     
  SF31390A    847- 848     
  SF31390B    849- 850     
  SF31390D    851- 852     
  S031409     853- 853     
  SF31409     854- 854     
  S031398     855- 855     
  SF31398     856- 856     
  S031072     857- 858     
  SF31072     859- 860     
  S031061     861- 861     
  SF31061     862- 862     
  S031439A    863- 864     
  SF31439A    865- 866     
  S031439B    867- 868     
  SF31439B    869- 870     
  S031440     871- 872     
  SF31440     873- 874     
  S031441A    875- 876     
  SF31441A    877- 878     
  S031441B    879- 880     
  SF31441B    881- 882     
  S031442     883- 884     
  SF31442     885- 886     
  S031443     887- 888     
  SF31443     889- 890     
  S031446A    891- 892     
  SF31446A    893- 894     
  S031446B    895- 896     
  SF31446B    897- 898     
  S031446C    899- 900     
  SF31446C    901- 902     
  S031445A    903- 904     
  SF31445A    905- 906     
  S031445B    907- 908     
  SF31445B    909- 910     
  S031447     911- 912     
  SF31447     913- 914     
  S031193     915- 915     
  SF31193     916- 916     
  S031264     917- 917     
  SF31264     918- 918     
  S031347     919- 919     
  SF31347     920- 920     
  S031346     921- 922     
  SF31346     923- 924     
  S031081     925- 926     
  SF31081     927- 928     
  HOUWGT      929- 941 .6
  SENWGT      942- 954 .6
  TOTWGT      955- 967 .6
  JKREP       968- 968     
  JKZONE      969- 970     
  ASMALG01    971- 976 .2
  ASMALG02    977- 982 .2
  ASMALG03    983- 988 .2
  ASMALG04    989- 994 .2
  ASMALG05    995-1000 .2
  ASMAPP01   1001-1006 .2
  ASMAPP02   1007-1012 .2
  ASMAPP03   1013-1018 .2
  ASMAPP04   1019-1024 .2
  ASMAPP05   1025-1030 .2
  ASMDAP01   1031-1036 .2
  ASMDAP02   1037-1042 .2
  ASMDAP03   1043-1048 .2
  ASMDAP04   1049-1054 .2
  ASMDAP05   1055-1060 .2
  ASMFNS01   1061-1066 .2
  ASMFNS02   1067-1072 .2
  ASMFNS03   1073-1078 .2
  ASMFNS04   1079-1084 .2
  ASMFNS05   1085-1090 .2
  ASMGEO01   1091-1096 .2
  ASMGEO02   1097-1102 .2
  ASMGEO03   1103-1108 .2
  ASMGEO04   1109-1114 .2
  ASMGEO05   1115-1120 .2
  ASMKNO01   1121-1126 .2
  ASMKNO02   1127-1132 .2
  ASMKNO03   1133-1138 .2
  ASMKNO04   1139-1144 .2
  ASMKNO05   1145-1150 .2
  ASMMAT01   1151-1156 .2
  ASMMAT02   1157-1162 .2
  ASMMAT03   1163-1168 .2
  ASMMAT04   1169-1174 .2
  ASMMAT05   1175-1180 .2
  ASMMEA01   1181-1186 .2
  ASMMEA02   1187-1192 .2
  ASMMEA03   1193-1198 .2
  ASMMEA04   1199-1204 .2
  ASMMEA05   1205-1210 .2
  ASMNRSC    1211-1218 .3
  ASMREA01   1219-1224 .2
  ASMREA02   1225-1230 .2
  ASMREA03   1231-1236 .2
  ASMREA04   1237-1242 .2
  ASMREA05   1243-1248 .2
  ASMSCPT    1249-1250     
  ASMSTDR    1251-1258 .3
  ASSEAS01   1259-1264 .2
  ASSEAS02   1265-1270 .2
  ASSEAS03   1271-1276 .2
  ASSEAS04   1277-1282 .2
  ASSEAS05   1283-1288 .2
  ASSLIS01   1289-1294 .2
  ASSLIS02   1295-1300 .2
  ASSLIS03   1301-1306 .2
  ASSLIS04   1307-1312 .2
  ASSLIS05   1313-1318 .2
  ASSNRSC    1319-1326 .3
  ASSPHY01   1327-1332 .2
  ASSPHY02   1333-1338 .2
  ASSPHY03   1339-1344 .2
  ASSPHY04   1345-1350 .2
  ASSPHY05   1351-1356 .2
  ASSSCI01   1357-1362 .2
  ASSSCI02   1363-1368 .2
  ASSSCI03   1369-1374 .2
  ASSSCI04   1375-1380 .2
  ASSSCI05   1381-1386 .2
  ASSSCPT    1387-1388     
  ASSSTDR    1389-1396 .3
  DPCDATE    1397-1402     
;




%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDBOOK   = "*BOOKLET ID*"
  IDSCORA  = "*ACHIEVEMENT SCORER*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  IDSTRATE = "*EXPLICIT STRATUM CODE*"
  IDSTRATI = "*IMPLICIT STRATUM CODE*"
  ITSEX    = "*SEX OF STUDENTS*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  ITBIRTHM = "*DATE OF STUDENTS BIRTH\MONTH*"
  ITBIRTHY = "*DATE OF STUDENTS BIRTH\YEAR*"
  ASDAGE   = "*D:STUDENTS AGE*"
  ILRELIAB = "*RELIABILITY CODING STATUS*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 1999 AND 2003 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 1995 AND 1999 AND 2003 ASS. POP*"
  M011009  = "BAR GRAPH: WHICH SHOWS 45 BOTTLES? (B)"
  MF11009  = "BAR GRAPH: WHICH SHOWS 45 BOTTLES? (B)"
  M011010  = "VOLUME OF STACK OF CUBES (D)"
  MF11010  = "VOLUME OF STACK OF CUBES (D)"
  M012044  = "FIGURE SHOW FRACTION OF SHADED SQUARE(E)"
  MF12044  = "FIGURE SHOW FRACTION OF SHADED SQUARE(E)"
  M011011  = "HOW LONG TO WASH WINDOWS? (A)"
  MF11011  = "HOW LONG TO WASH WINDOWS? (A)"
  M011017  = "WHEN IS MARYS TRIP? (C)"
  MF11017  = "WHEN IS MARYS TRIP? (C)"
  M011018  = "DIGIT IN HUNDREDS PLACE (B)"
  MF11018  = "DIGIT IN HUNDREDS PLACE (B)"
  M011019  = "NUMBER ROUNDED TO 600 (D)"
  MF11019  = "NUMBER ROUNDED TO 600 (D)"
  M011020  = "FRACTION TO DECIMAL (C)"
  MF11020  = "FRACTION TO DECIMAL (C)"
  M012065  = "DISTANCE ON MAP (C)"
  MF12065  = "DISTANCE ON MAP (C)"
  M011023  = "WEIGHT OF AN ADULT (C)"
  MF11023  = "WEIGHT OF AN ADULT (C)"
  M011024  = "EXPRESS NUMBER IN WORDS (B)"
  MF11024  = "EXPRESS NUMBER IN WORDS (B)"
  M012048  = "SYMBOLIC LINEAR EQUATION OF MAGAZINES(B)"
  MF12048  = "SYMBOLIC LINEAR EQUATION OF MAGAZINES(B)"
  M011012  = "BAR GRAPH: WHICH TWO SHOW 80 BOTTLES?(A)"
  MF11012  = "BAR GRAPH: WHICH TWO SHOW 80 BOTTLES?(A)"
  M011013  = "HOW MUCH DID TEMPERATURE RISE? (D)"
  MF11013  = "HOW MUCH DID TEMPERATURE RISE? (D)"
  M011014  = "CONGRUENT FIGURES (C)"
  MF11014  = "CONGRUENT FIGURES (C)"
  M011015  = "SUBTRACTION WITH DECIMALS (E)"
  MF11015  = "SUBTRACTION WITH DECIMALS (E)"
  M011016  = "3 OF 4 SQUARES SHADED (C)"
  MF11016  = "3 OF 4 SQUARES SHADED (C)"
  M012078  = "HIGHEST TEMPERATURE ON CHART (B)"
  MF12078  = "HIGHEST TEMPERATURE ON CHART (B)"
  M012119  = "FRACTION OF CAKE LEFT (D)"
  MF12119  = "FRACTION OF CAKE LEFT (D)"
  M011021  = "WHICH NUMBER IS IT? (B)"
  MF11021  = "WHICH NUMBER IS IT? (B)"
  M012023  = "UNITS TO MEASURE MASS OF EGG (C)"
  MF12023  = "UNITS TO MEASURE MASS OF EGG (C)"
  M011022  = "STATEMENTS ABOUT TRIANGLE (A)"
  MF11022  = "STATEMENTS ABOUT TRIANGLE (A)"
  M011003  = "TOTAL NUMBER OF PENCILS (C)"
  MF11003  = "TOTAL NUMBER OF PENCILS (C)"
  M011004  = "NUMBER REPRESENTED BY SQUARES (B)"
  MF11004  = "NUMBER REPRESENTED BY SQUARES (B)"
  M011005  = "WHICH HAS LARGEST AREA? (C)"
  MF11005  = "WHICH HAS LARGEST AREA? (C)"
  M012126  = "HEIGHTS OF FOUR GIRLS ON GRAPH (B)"
  MF12126  = "HEIGHTS OF FOUR GIRLS ON GRAPH (B)"
  M011006  = "WHICH HAS FLAT AND CURVED SURFACE? (D)"
  MF11006  = "WHICH HAS FLAT AND CURVED SURFACE? (D)"
  M012117  = "ESTIMATE NUMBER OF CABBAGES (C)"
  MF12117  = "ESTIMATE NUMBER OF CABBAGES (C)"
  M011007  = "WHICH HAS SAME VALUE? (B)"
  MF11007  = "WHICH HAS SAME VALUE? (B)"
  M011008  = "SUM OF TWO NUMBERS WITH DECIMALS (B)"
  MF11008  = "SUM OF TWO NUMBERS WITH DECIMALS (B)"
  M011001  = "WHICH FIGURE HAS ONE-HALF BLACK DOTS?(B)"
  MF11001  = "WHICH FIGURE HAS ONE-HALF BLACK DOTS?(B)"
  M011002  = "TOTAL NUMBER OF BOYS AND GIRLS (D)"
  MF11002  = "TOTAL NUMBER OF BOYS AND GIRLS (D)"
  M012069  = "ROTATED 3-DIMENSIONAL FIGURE (A)"
  MF12069  = "ROTATED 3-DIMENSIONAL FIGURE (A)"
  M011025  = "PERIMETER OF RECTANGLE (D)"
  MF11025  = "PERIMETER OF RECTANGLE (D)"
  M011026  = "WHICH IS TRUE? (C)"
  MF11026  = "WHICH IS TRUE? (C)"
  M011027  = "COMPLETE NUMBER PATTERN (A)"
  MF11027  = "COMPLETE NUMBER PATTERN (A)"
  M011028  = "WHICH NUMBER IS EQUAL? (B)"
  MF11028  = "WHICH NUMBER IS EQUAL? (B)"
  M031305  = "15 TIMES 9 (1)"
  MF31305  = "15 TIMES 9 (1)"
  M031310  = "A 204 CM ROPE CUT INTO 4/CALCULATION (D)"
  MF31310  = "A 204 CM ROPE CUT INTO 4/CALCULATION (D)"
  M031065  = "1/3 OF 600 BALLS IN A BOX (1)"
  MF31065  = "1/3 OF 600 BALLS IN A BOX (1)"
  M031051  = "THE DAILY START TIMES FOR A MOVIE (C)"
  MF31051  = "THE DAILY START TIMES FOR A MOVIE (C)"
  M031220  = "ALI SOLD SOME OF HIS APPLES (D)"
  MF31220  = "ALI SOLD SOME OF HIS APPLES (D)"
  M031322  = "DRAW A TRIANGLE WITH AB AS THE BASE (1)"
  MF31322  = "DRAW A TRIANGLE WITH AB AS THE BASE (1)"
  M031298  = "COMPLETE THE FIGURE WITH AN AREA (1)"
  MF31298  = "COMPLETE THE FIGURE WITH AN AREA (1)"
  M031327  = "DRAW A LINE ON THE GRID PARALLEL (1)"
  MF31327  = "DRAW A LINE ON THE GRID PARALLEL (1)"
  M031269  = "INDICATES GEOMETRIC SHAPES IN PICT (2)"
  MF31269  = "INDICATES GEOMETRIC SHAPES IN PICT (2)"
  M031264  = "COLORS OF STUDENTS HAIR ON THE GRAPH(1)"
  MF31264  = "COLORS OF STUDENTS HAIR ON THE GRAPH(1)"
  M031265  = "HOW MANY MORE PENCILS THAN RULERS SOL(1)"
  MF31265  = "HOW MANY MORE PENCILS THAN RULERS SOL(1)"
  M031286  = "762 CARS PARKED IN 6 EQUAL ROWS (1)"
  MF31286  = "762 CARS PARKED IN 6 EQUAL ROWS (1)"
  M031106  = "MANOS MISSING DIGIT (1)"
  MF31106  = "MANOS MISSING DIGIT (1)"
  M031282  = "NUMBER OF BOYS AND GIRLS IN A SCHOOL (2)"
  MF31282  = "NUMBER OF BOYS AND GIRLS IN A SCHOOL (2)"
  M031227  = "SEANS RULE TO TRANSFORM NUMBERS (1)"
  MF31227  = "SEANS RULE TO TRANSFORM NUMBERS (1)"
  M031335  = "TEMP INCREASING AT CONSTANT RATE (C)"
  MF31335  = "TEMP INCREASING AT CONSTANT RATE (C)"
  M031068  = "DON, ROB, LYNN WALK HOME FROM SCHOOL (1)"
  MF31068  = "DON, ROB, LYNN WALK HOME FROM SCHOOL (1)"
  M031299  = "WATER IN BOTTLE AFTER POURING 250 (1)"
  MF31299  = "WATER IN BOTTLE AFTER POURING 250 (1)"
  M031301  = "AL WANTED TO WEIGHT HIS CAT (1)"
  MF31301  = "AL WANTED TO WEIGHT HIS CAT (1)"
  M031271  = "THE SQUARE IS CUT INTO 7 PIECES (1)"
  MF31271  = "THE SQUARE IS CUT INTO 7 PIECES (1)"
  M031134  = "JASMINS TALLY CHART (1)"
  MF31134  = "JASMINS TALLY CHART (1)"
  M031045  = "TYPES OF TREES IN PIE CHARTS (A)"
  MF31045  = "TYPES OF TREES IN PIE CHARTS (A)"
  M031235  = "CHILDREN SHARE SWEETS EQUALLY (1)"
  MF31235  = "CHILDREN SHARE SWEETS EQUALLY (1)"
  M031285  = "ALAN AND FRED WENT RUNNING (1)"
  MF31285  = "ALAN AND FRED WENT RUNNING (1)"
  M031050  = "KEN MEASURED LENGTH OF A BLACKBOARD (A)"
  MF31050  = "KEN MEASURED LENGTH OF A BLACKBOARD (A)"
  M031258  = "THE RULE ANN USES TO GET HER NUMBER (1)"
  MF31258  = "THE RULE ANN USES TO GET HER NUMBER (1)"
  M031334  = "THE RULE FOR 2,5,11,23 (C)"
  MF31334  = "THE RULE FOR 2,5,11,23 (C)"
  M031255  = "64 DIVIDED BY BOX EQUALS BOX (B)"
  MF31255  = "64 DIVIDED BY BOX EQUALS BOX (B)"
  M031041  = "TRIANGULAR TILES NEEDED TO COVER (1)"
  MF31041  = "TRIANGULAR TILES NEEDED TO COVER (1)"
  M031350A = "MARYTOWN_ADD A PARK (1)"
  MF31350A = "MARYTOWN_ADD A PARK (1)"
  M031350B = "MARYTOWN_ADD A LIBRARY (1)"
  MF31350B = "MARYTOWN_ADD A LIBRARY (1)"
  M031350C = "MARYTOWN_ADD A SCHOOL (1)"
  MF31350C = "MARYTOWN_ADD A SCHOOL (1)"
  M031274  = "DRAW THE REFLECTION OF THE SHAPE (1)"
  MF31274  = "DRAW THE REFLECTION OF THE SHAPE (1)"
  M031240  = "COMPLETE TABLE FOR GIRLS AND BOYS (1)"
  MF31240  = "COMPLETE TABLE FOR GIRLS AND BOYS (1)"
  M031303  = "9 ROWS OF CHAIRS 15 CHAIRS BY ROW (C)"
  MF31303  = "9 ROWS OF CHAIRS 15 CHAIRS BY ROW (C)"
  M031309  = "A 204 CM ROPE CUT INTO 4 (1)"
  MF31309  = "A 204 CM ROPE CUT INTO 4 (1)"
  M031245  = "12 DIVIDED BY 3 EQUALS (D)"
  MF31245  = "12 DIVIDED BY 3 EQUALS (D)"
  M031242A = "RENTING BIKES/FILL TABLE (1)"
  MF31242A = "RENTING BIKES/FILL TABLE (1)"
  M031242B = "RENTING BIKES/SAME PRICE (1)"
  MF31242B = "RENTING BIKES/SAME PRICE (1)"
  M031242C = "RENTING BIKES/12 HOURS (B)"
  MF31242C = "RENTING BIKES/12 HOURS (B)"
  M031247  = "A MAN TOOK HIS CHILDREN TO A FAIR (2)"
  MF31247  = "A MAN TOOK HIS CHILDREN TO A FAIR (2)"
  M031219  = "RECTANGULAR PIECE OF PAPER (B)"
  MF31219  = "RECTANGULAR PIECE OF PAPER (B)"
  M031173  = "HOW MANY PENCILS MARIA HAS ALTOGETHER(D)"
  MF31173  = "HOW MANY PENCILS MARIA HAS ALTOGETHER(D)"
  M031085  = "RECTANGLE AND A TRIANGLE (A)"
  MF31085  = "RECTANGLE AND A TRIANGLE (A)"
  M031172  = "CHART SHOWING NUMBER OF HOUSES (A)"
  MF31172  = "CHART SHOWING NUMBER OF HOUSES (A)"
  M031029  = "4/5 MINUS 1/5 (A)"
  MF31029  = "4/5 MINUS 1/5 (A)"
  M031030  = "12.36 MINUS 9.7 (1)"
  MF31030  = "12.36 MINUS 9.7 (1)"
  M031332  = "THE NUMBER CLOSEST IN SIZE TO 10 (B)"
  MF31332  = "THE NUMBER CLOSEST IN SIZE TO 10 (B)"
  M031098  = "THE NEXT NUMBER IN THE PATTERN 2,4,8 (C)"
  MF31098  = "THE NEXT NUMBER IN THE PATTERN 2,4,8 (C)"
  M031254  = "NUMBER OF BOXES CAN FIT ON A SHELF (B)"
  MF31254  = "NUMBER OF BOXES CAN FIT ON A SHELF (B)"
  M031038  = "RITA, INA, AND LANA ARRANGE 3 TILES (D)"
  MF31038  = "RITA, INA, AND LANA ARRANGE 3 TILES (D)"
  M031276  = "THE POINTER ON THE SCALE (D)"
  MF31276  = "THE POINTER ON THE SCALE (D)"
  M031064  = "TIME TO BAKE BISCUITS (A)"
  MF31064  = "TIME TO BAKE BISCUITS (A)"
  M031006  = "THE LEAST NUMBER OF TILES TO COVER (B)"
  MF31006  = "THE LEAST NUMBER OF TILES TO COVER (B)"
  M031330  = "LIST THE SHAPES THAT ARE TRIANGLES (1)"
  MF31330  = "LIST THE SHAPES THAT ARE TRIANGLES (1)"
  M031351  = "WHICH CAN BE FOLDED INTO A 3-D FIGURE(D)"
  MF31351  = "WHICH CAN BE FOLDED INTO A 3-D FIGURE(D)"
  M031135  = "FAVORITE FRUIT JUICE OF CLASSMATES (B)"
  MF31135  = "FAVORITE FRUIT JUICE OF CLASSMATES (B)"
  M031162  = "NUMBER GOING IN THE NUMBER LINE BOX (1)"
  M031341  = "1279 PLUS 243 BY MISTAKE (A)"
  M031216  = "WHAT FRACTION OF CAKE JOHN ATE (B)"
  M031249  = "THE VALUE OF 37 TIMES BOX PLUS 6 (1)"
  M031347A = "GEOMETRY TILES_BLACK TRIANGLE (1)"
  M031347B = "GEOMETRY TILES_BLACK SQUARE (1)"
  M031347C = "GEOMETRY TILES_FRACTION SHADED (1)"
  M031348A = "GEOMETRY TILES_1/2 BLACK (1)"
  M031348B = "GEOMETRY TILES_5/8 BLACK (2)"
  M031190  = "OUTPUT OF THE NUMBER MACHINE (B)"
  M031306  = "204 DIVIDED BY 4 (1)"
  M031108  = "MARIA COLLECTED SOFT DRINK BOTTLES (D)"
  M031011  = "NOTEBOOKS FOR 115 STUDENTS (1)"
  M031304  = "9 ROWS OF 15 CHAIRS/TOTAL (1)"
  M031023  = "THE NUMBER TO GO IN THE CENTER (C)"
  M031008  = "THE LENGTH OF THE FILMS (B)"
  M031338  = "WHICH COULD EQUAL 150 MILLILITERS (A)"
  M031272A = "DRAW LINE ON RECTANGLE/2 TRIANGLES (1)"
  M031272B = "DRAW LINE ON RECTANGLE/2 RECTANGLES (1)"
  M031272C = "DRAW LINE ON RECTANGLE/1RECTANGLE, 2 (1)"
  M031267  = "SHADE IN TWO TRIANGLES OF DIFF SIZE (1)"
  M031315  = "THE FAVORITE ICE CREAMS OF 30 STUD (C)"
  M031128  = "5631 PLUS 286 (1)"
  MF31128  = "5631 PLUS 286 (1)"
  M031016  = "WHAT IS THE PRIZE WINNING NUMBER (1)"
  MF31016  = "WHAT IS THE PRIZE WINNING NUMBER (1)"
  M031183  = "RECIPE FOR 3 PEOPLE (2)"
  MF31183  = "RECIPE FOR 3 PEOPLE (2)"
  M031223  = "A NUMBER PATTER USING THE RULE ADD4(D)"
  MF31223  = "A NUMBER PATTER USING THE RULE ADD4(D)"
  M031187  = "KIM GAVE PETE 3 MORE PENCILS (B)"
  MF31187  = "KIM GAVE PETE 3 MORE PENCILS (B)"
  M031251  = "EBRUS RULE TO GET NUMBER IN BOX (B)"
  MF31251  = "EBRUS RULE TO GET NUMBER IN BOX (B)"
  M031294  = "HOW MUCH THE APPLES WEIGH IN GRAMS (D)"
  MF31294  = "HOW MUCH THE APPLES WEIGH IN GRAMS (D)"
  M031297  = "THE SHADED AREA IN SQUARE CENTIMETERS(1)"
  MF31297  = "THE SHADED AREA IN SQUARE CENTIMETERS(1)"
  M031218  = "600 BOOKS TO BE PACKED INTO BOXES (D)"
  MF31218  = "600 BOOKS TO BE PACKED INTO BOXES (D)"
  M031109  = "THE ANGLES ORDERED BY SIZE (C)"
  MF31109  = "THE ANGLES ORDERED BY SIZE (C)"
  M031159  = "ROTATE THE SHAPE 1/4 TURN CLOCKWISE (A)"
  MF31159  = "ROTATE THE SHAPE 1/4 TURN CLOCKWISE (A)"
  M031133  = "FAVORITE COLORS OF DARINS FRIENDS (2)"
  MF31133  = "FAVORITE COLORS OF DARINS FRIENDS (2)"
  M031210  = "SELECT A FRACTION LARGER THAN 1/2 (A)"
  MF31210  = "SELECT A FRACTION LARGER THAN 1/2 (A)"
  M031009  = "GEORGIA NEEDS PAGES TO SEND LETTERS (1)"
  MF31009  = "GEORGIA NEEDS PAGES TO SEND LETTERS (1)"
  M031252  = "IF THE PATTER 3,6,9,12 CONTINUED (B)"
  MF31252  = "IF THE PATTER 3,6,9,12 CONTINUED (B)"
  M031316  = "4 TIMES BOX EQUALS 28 (1)"
  MF31316  = "4 TIMES BOX EQUALS 28 (1)"
  M031317  = "3 + 8 = BOX PLUS 6 (D)"
  MF31317  = "3 + 8 = BOX PLUS 6 (D)"
  M031079B = "PATTERN OF CIRCLES/FIGURE 5 (1)"
  MF31079B = "PATTERN OF CIRCLES/FIGURE 5 (1)"
  M031079C = "PATTERN OF CIRCLES/FIGURE 20 (1)"
  MF31079C = "PATTERN OF CIRCLES/FIGURE 20 (1)"
  M031004  = "LENGTH OF STRING PULLED STRAIGHT (B)"
  MF31004  = "LENGTH OF STRING PULLED STRAIGHT (B)"
  M031043  = "A TRAIN FROM REDVILLE TO BEDFORD (C)"
  MF31043  = "A TRAIN FROM REDVILLE TO BEDFORD (C)"
  M031325  = "DRAW AN ANGLE BETWEEN 90 AND 180 DEG (1)"
  MF31325  = "DRAW AN ANGLE BETWEEN 90 AND 180 DEG (1)"
  M031088  = "JAMIE IS PLAYING A BOARD GAME (C)"
  MF31088  = "JAMIE IS PLAYING A BOARD GAME (C)"
  M031093  = "WHICH DOTTED LINE IS OF SYMMETRY (D)"
  MF31093  = "WHICH DOTTED LINE IS OF SYMMETRY (D)"
  M031155  = "TEACHERS PENS ON THE GRAPH (D)"
  MF31155  = "TEACHERS PENS ON THE GRAPH (D)"
  M031344A = "NUMBER TILES_GET TO 20 USING 2,7,9 (1)"
  MF31344A = "NUMBER TILES_GET TO 20 USING 2,7,9 (1)"
  M031344B = "NUMBER TILES_GET TO 20 USING 1,3,6 (1)"
  MF31344B = "NUMBER TILES_GET TO 20 USING 1,3,6 (1)"
  M031344C = "NUMBER TILES_GET TO 20 USING 1,4,6 (2)"
  MF31344C = "NUMBER TILES_GET TO 20 USING 1,4,6 (2)"
  M031345A = "NUMBER TILES_LARGEST NUMBER (+) (1)"
  MF31345A = "NUMBER TILES_LARGEST NUMBER (+) (1)"
  M031345B = "NUMBER TILES_LARGEST NUMBER (-) (1)"
  MF31345B = "NUMBER TILES_LARGEST NUMBER (-) (1)"
  M031345C = "NUMBER TILES_LARGEST NUMBER (X) (1)"
  MF31345C = "NUMBER TILES_LARGEST NUMBER (X) (1)"
  M031130  = "THE NUMBER LIA SHOULD ADD TO 142 (1)"
  MF31130  = "THE NUMBER LIA SHOULD ADD TO 142 (1)"
  M031097  = "BETTYS AVERAGE DRIVING SPEED (C)"
  MF31097  = "BETTYS AVERAGE DRIVING SPEED (C)"
  M031178  = "GEORGE PRACTICED SOCCER 6 DAYS A WEEK(D)"
  MF31178  = "GEORGE PRACTICED SOCCER 6 DAYS A WEEK(D)"
  M031333  = "HIGH AND LOW TEMPERATURES FOR A WEEK (A)"
  MF31333  = "HIGH AND LOW TEMPERATURES FOR A WEEK (A)"
  M031346A = "TRADING CARDS_CARTOON CARDS (1)"
  MF31346A = "TRADING CARDS_CARTOON CARDS (1)"
  M031346B = "TRADING CARDS_SPORTS CARDS (1)"
  MF31346B = "TRADING CARDS_SPORTS CARDS (1)"
  M031346C = "TRADING CARDS_MAXIMUM NUMBER OF CARDS(2)"
  MF31346C = "TRADING CARDS_MAXIMUM NUMBER OF CARDS(2)"
  M031379  = "TRADING CARDS_TRADING SPORTS CARDS (1)"
  MF31379  = "TRADING CARDS_TRADING SPORTS CARDS (1)"
  M031380  = "TRADING CARDS_TRADING CARTOON CARDS (1)"
  MF31380  = "TRADING CARDS_TRADING CARTOON CARDS (1)"
  M031002  = "A PIRATE SHIP CHASING A TREASURE SHIP(A)"
  MF31002  = "A PIRATE SHIP CHASING A TREASURE SHIP(A)"
  M031313  = "TOTAL NUMBER OF PEOPLE ON A SHIP (1)"
  MF31313  = "TOTAL NUMBER OF PEOPLE ON A SHIP (1)"
  M031083  = "6 PIECES OF CARDBOARD TO MAKE A SHAPE(D)"
  MF31083  = "6 PIECES OF CARDBOARD TO MAKE A SHAPE(D)"
  M031071  = "POSITION OF SHAPE AFTER A HALF TURN (B)"
  MF31071  = "POSITION OF SHAPE AFTER A HALF TURN (B)"
  M031185  = "DISTANCE BETWEEN TOWNS FROM MAP (D)"
  MF31185  = "DISTANCE BETWEEN TOWNS FROM MAP (D)"
  S011006  = "WHAT STRONG MAGNETS SEPARATE (C)"
  SF11006  = "WHAT STRONG MAGNETS SEPARATE (C)"
  S011007  = "SALTIEST WATER (A)"
  SF11007  = "SALTIEST WATER (A)"
  S011008  = "WHICH DECAYS FASTEST (D)"
  SF11008  = "WHICH DECAYS FASTEST (D)"
  S012033  = "INTERPRETATION OF SENSES (A)"
  SF12033  = "INTERPRETATION OF SENSES (A)"
  S011001  = "OBJECTS FLOATING IN WATER (B)"
  SF11001  = "OBJECTS FLOATING IN WATER (B)"
  S011003  = "EARTHS SURFACE (A)"
  SF11003  = "EARTHS SURFACE (A)"
  S011004  = "BODYS USE OF EXCESS FOOD (D)"
  SF11004  = "BODYS USE OF EXCESS FOOD (D)"
  S011005  = "WHERE ARE FOSSILS FOUND (D)"
  SF11005  = "WHERE ARE FOSSILS FOUND (D)"
  S011021  = "PLANT GROWN FOR FOOD (A)"
  SF11021  = "PLANT GROWN FOR FOOD (A)"
  S011022  = "EARTHS MOVEMENT (B)"
  SF11022  = "EARTHS MOVEMENT (B)"
  S011023  = "TERRYS ROCKS (D)"
  SF11023  = "TERRYS ROCKS (D)"
  S011030  = "BOILING WATER (C)"
  SF11030  = "BOILING WATER (C)"
  S011031  = "WASHING HANDS (A)"
  SF11031  = "WASHING HANDS (A)"
  S011032  = "DIRECTION OF WATER (1)"
  SF11032  = "DIRECTION OF WATER (1)"
  S011033  = "EFFECT ON ADULT HEIGHT (A)"
  SF11033  = "EFFECT ON ADULT HEIGHT (A)"
  S011025  = "AIR WHEN A PERSON BREATHES (C)"
  SF11025  = "AIR WHEN A PERSON BREATHES (C)"
  S011026  = "PLANTS AND WATER ABSORPTION (D)"
  SF11026  = "PLANTS AND WATER ABSORPTION (D)"
  S011027  = "WHICH DIAGRAM SHOWS SHADOW (C)"
  SF11027  = "WHICH DIAGRAM SHOWS SHADOW (C)"
  S011028  = "ICEBERG IN SEA WATER (A)"
  SF11028  = "ICEBERG IN SEA WATER (A)"
  S011029  = "WHICH COULD CAUSE RAINBOW (D)"
  SF11029  = "WHICH COULD CAUSE RAINBOW (D)"
  S011016  = "WHICH DOESNT LAY EGGS (B)"
  SF11016  = "WHICH DOESNT LAY EGGS (B)"
  S012007  = "LAYERS OF EARTH (C)"
  SF12007  = "LAYERS OF EARTH (C)"
  S011017  = "SOAP BUBBLES (A)"
  SF11017  = "SOAP BUBBLES (A)"
  S011018  = "WHICH IS HOTTEST (D)"
  SF11018  = "WHICH IS HOTTEST (D)"
  S012010  = "PULSE/ BREATHING RATE AFTER EXERCISE (C)"
  SF12010  = "PULSE/ BREATHING RATE AFTER EXERCISE (C)"
  S011019  = "PLANTS AND FISH IN RIVER (1)"
  SF11019  = "PLANTS AND FISH IN RIVER (1)"
  S011009  = "WEIGHT ON SCALE (D)"
  SF11009  = "WEIGHT ON SCALE (D)"
  S011010  = "HERBIVOROUS ANIMAL (D)"
  SF11010  = "HERBIVOROUS ANIMAL (D)"
  S011011  = "RENEWABLE ENERGY SOURCE (B)"
  SF11011  = "RENEWABLE ENERGY SOURCE (B)"
  S011012  = "GAS WE NEED TO BREATHE (B)"
  SF11012  = "GAS WE NEED TO BREATHE (B)"
  S011013  = "IRON AND ALUMINUM (E)"
  SF11013  = "IRON AND ALUMINUM (E)"
  S011014  = "WHY MADE OF COPPER (A)"
  SF11014  = "WHY MADE OF COPPER (A)"
  S011015  = "TEETH (D)"
  SF11015  = "TEETH (D)"
  S031017  = "INSECT CORRECTLY PAIRED WITH (D)"
  SF31017  = "INSECT CORRECTLY PAIRED WITH (D)"
  S031246  = "WHAT THE BODY DOES TO COOL DOWN (1)"
  SF31246  = "WHAT THE BODY DOES TO COOL DOWN (1)"
  S031287  = "PLANT FOUND IN TROPICAL RAIN FOREST (B)"
  SF31287  = "PLANT FOUND IN TROPICAL RAIN FOREST (B)"
  S031251  = "PHYSICAL CHANGE-CHILDREN BECOME ADULT(1)"
  SF31251  = "PHYSICAL CHANGE-CHILDREN BECOME ADULT(1)"
  S031053  = "IDENTIFY WOOD, ROCK AND IRON (2)"
  SF31053  = "IDENTIFY WOOD, ROCK AND IRON (2)"
  S031005  = "CLOSED GLASS BOTTLE FILLED WITH WATER(1)"
  SF31005  = "CLOSED GLASS BOTTLE FILLED WITH WATER(1)"
  S031306  = "FIGURE WHERE TWO MAGNETS REPEL (C)"
  SF31306  = "FIGURE WHERE TWO MAGNETS REPEL (C)"
  S031372A = "SOLID LIQUID AND GAS IN A CONTAINER (1)"
  SF31372A = "SOLID LIQUID AND GAS IN A CONTAINER (1)"
  S031372B = "SOLID LIQUID AND GAS IN A CONTAINER (2)"
  SF31372B = "SOLID LIQUID AND GAS IN A CONTAINER (2)"
  S031082  = "ROCK CARRIED FARTHEST DOWN THE RIVER (B)"
  SF31082  = "ROCK CARRIED FARTHEST DOWN THE RIVER (B)"
  S031229  = "WHICH GROUP OF ANIMALS ARE MAMMALS (B)"
  SF31229  = "WHICH GROUP OF ANIMALS ARE MAMMALS (B)"
  S031270  = "CAN OAK TREE AND SUNFLOWER REPRODUCE (1)"
  SF31270  = "CAN OAK TREE AND SUNFLOWER REPRODUCE (1)"
  S031026  = "SKULLS OF PLANTEATER AND ANIMALEATER (2)"
  SF31026  = "SKULLS OF PLANTEATER AND ANIMALEATER (2)"
  S031319  = "ENERGY TO HEAL A CUT (C)"
  SF31319  = "ENERGY TO HEAL A CUT (C)"
  S031414A = "USES OF WATER IN DIFFERENT FORMS/ ICE(1)"
  SF31414A = "USES OF WATER IN DIFFERENT FORMS/ ICE(1)"
  S031414B = "USES OF WATER IN DIFFERENT FORMS/ LIQ(1)"
  SF31414B = "USES OF WATER IN DIFFERENT FORMS/ LIQ(1)"
  S031078  = "BEANS FALLING OFF HEATED METAL RULER (A)"
  SF31078  = "BEANS FALLING OFF HEATED METAL RULER (A)"
  S031009  = "BUBBLES RISE IN WATER (1)"
  SF31009  = "BUBBLES RISE IN WATER (1)"
  S031401  = "MAIN REASON WE SEE THE MOON (B)"
  SF31401  = "MAIN REASON WE SEE THE MOON (B)"
  S031384A = "TWO SEASONS/ NAME (1)"
  SF31384A = "TWO SEASONS/ NAME (1)"
  S031384B = "TWO SEASONS/ DIFFERENCE (1)"
  SF31384B = "TWO SEASONS/ DIFFERENCE (1)"
  S031255  = "ANIMAL THAT SHEDS ITS OUTER COVERING (B)"
  SF31255  = "ANIMAL THAT SHEDS ITS OUTER COVERING (B)"
  S031240A = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  S031240B = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  S031240D = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  SF31240A = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  SF31240B = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  SF31240D = "TWO FUNCTIONS OF HUMAN SKELETON (1)"
  S031239  = "BIRD LIKELY TO EAT SMALL MAMMALS (A)"
  SF31239  = "BIRD LIKELY TO EAT SMALL MAMMALS (A)"
  S031235A = "CHARACT OF FISH AND MAMMALS/ FIS (1)"
  SF31235A = "CHARACT OF FISH AND MAMMALS/ FIS (1)"
  S031235B = "CHARACT OF FISH AND MAMMALS/ MAM (1)"
  SF31235B = "CHARACT OF FISH AND MAMMALS/ MAM (1)"
  S031205  = "SUG DISSOLVED IN COLD WARM AND HOT WA(C)"
  SF31205  = "SUG DISSOLVED IN COLD WARM AND HOT WA(C)"
  S031399A = "TURN A LIQUID INTO GAS OR SOLID/ GAS (1)"
  SF31399A = "TURN A LIQUID INTO GAS OR SOLID/ GAS (1)"
  S031399B = "TURN A LIQUID INTO GAS OR SOLID/ SOL (1)"
  SF31399B = "TURN A LIQUID INTO GAS OR SOLID/ SOL (1)"
  S031393  = "WHY PEOPLE SHOULD NOT DRINK FROM SEA (1)"
  SF31393  = "WHY PEOPLE SHOULD NOT DRINK FROM SEA (1)"
  S031278  = "ONE WAY SUN AND MOON DIFFER (1)"
  SF31278  = "ONE WAY SUN AND MOON DIFFER (1)"
  S031317  = "ORGANISM THAT MAKES ITS OWN FOOD (B)"
  SF31317  = "ORGANISM THAT MAKES ITS OWN FOOD (B)"
  S031190  = "CAN THE ONLY TURTLE REPRODUCE (1)"
  SF31190  = "CAN THE ONLY TURTLE REPRODUCE (1)"
  S031431  = "SET-UP TO STUDY IF SEAWEED SURVIVE (C)"
  SF31431  = "SET-UP TO STUDY IF SEAWEED SURVIVE (C)"
  S031283  = "ANIMAL MOST LIKELY TO LIVE IN DESERT (C)"
  SF31283  = "ANIMAL MOST LIKELY TO LIVE IN DESERT (C)"
  S031426  = "HOW SEEDS ARE SCATTERED (D)"
  SF31426  = "HOW SEEDS ARE SCATTERED (D)"
  S031422  = "WHICH OBJECT WILL RUST (C)"
  SF31422  = "WHICH OBJECT WILL RUST (C)"
  S031427  = "WHICH POWDERS ARE MIXTURES (B)"
  SF31427  = "WHICH POWDERS ARE MIXTURES (B)"
  S031075  = "WHICH CUBE TAKES THE LONGEST TO MELT (A)"
  SF31075  = "WHICH CUBE TAKES THE LONGEST TO MELT (A)"
  S031047  = "WATER ON CAR PARKED OUTSIDE OVERNIGHT(1)"
  SF31047  = "WATER ON CAR PARKED OUTSIDE OVERNIGHT(1)"
  S031387  = "EVIDENCE THAT OCEAN ONCE COVERED LAND(C)"
  SF31387  = "EVIDENCE THAT OCEAN ONCE COVERED LAND(C)"
  S031396A = "TWO THINGS WOOD IS USED FOR (1)"
  S031396B = "TWO THINGS WOOD IS USED FOR (1)"
  S031396D = "TWO THINGS WOOD IS USED FOR (1)"
  SF31396A = "TWO THINGS WOOD IS USED FOR (1)"
  SF31396B = "TWO THINGS WOOD IS USED FOR (1)"
  SF31396D = "TWO THINGS WOOD IS USED FOR (1)"
  S031340  = "BEST SOURCE OF CALCIUM (C)"
  SF31340  = "BEST SOURCE OF CALCIUM (C)"
  S031236  = "BIRDS FOOT STRUCTURE (D)"
  SF31236  = "BIRDS FOOT STRUCTURE (D)"
  S031391A = "TWO WAYS TO AVOID WASTING WATER (1)"
  S031391B = "TWO WAYS TO AVOID WASTING WATER (1)"
  S031391D = "TWO WAYS TO AVOID WASTING WATER (1)"
  SF31391A = "TWO WAYS TO AVOID WASTING WATER (1)"
  SF31391B = "TWO WAYS TO AVOID WASTING WATER (1)"
  SF31391D = "TWO WAYS TO AVOID WASTING WATER (1)"
  S031361  = "SAME EYES IN DIFFERENT CONDITION (B)"
  SF31361  = "SAME EYES IN DIFFERENT CONDITION (B)"
  S031001  = "HOW TADPOLES GET IN THE POND (D)"
  SF31001  = "HOW TADPOLES GET IN THE POND (D)"
  S031084  = "TRUE STATEMENT (C)"
  SF31084  = "TRUE STATEMENT (C)"
  S031410  = "WHICH IS A MIXTURE (A)"
  SF31410  = "WHICH IS A MIXTURE (A)"
  S031421  = "MATERIALS THAT WILL BURN (2)"
  SF31421  = "MATERIALS THAT WILL BURN (2)"
  S031298  = "BOILED EGG IN COLD WATER (B)"
  SF31298  = "BOILED EGG IN COLD WATER (B)"
  S031076  = "TWO CARTS HOLDING MAGNETS (1)"
  SF31076  = "TWO CARTS HOLDING MAGNETS (1)"
  S031275  = "EXPLANATION FOR DAY AND NIGHT (C)"
  SF31275  = "EXPLANATION FOR DAY AND NIGHT (C)"
  S031349  = "WHICH ARE INSECTS (A)"
  S031330  = "PROTECTION FROM THE SUN (1)"
  S031212  = "GROUP THAT CONSISTS ONLY OF LIVING (A)"
  S031241A = "TWO FUNCTIONS OF SKIN (1)"
  S031241B = "TWO FUNCTIONS OF SKIN (1)"
  S031241D = "TWO FUNCTIONS OF SKIN (1)"
  S031038  = "WHICH BULB WILL LIGHT (C)"
  S031252  = "ORGANISMS THAT GIVE BIRTH OR LAY EGGS(2)"
  S031406A = "OBJECTS MADE OF METALS/ NAME (1)"
  S031406B = "OBJECTS MADE OF METALS/ PROPERTY(1)"
  S031383  = "TOWN WHERE IT IS MOST LIKELY TO SNOW (D)"
  S031379  = "BEST LOCATION TO GROW CROPS (B)"
  S031060  = "HOW MUCH TIME TO NEXT FULL MOON (C)"
  S031269  = "EXPLAIN YELLOW COLOR OF A PLANT (B)"
  S031284  = "PHYS FEATURE TO GET RID OF BODY HEAT (D)"
  S031338  = "WHERE TADPOLE GETS ITS FOOD (C)"
  S031382  = "WATER VAPOR WHEN IT GETS COLD (1)"
  S031218  = "ARE PLANTS LIVING OR NONLIVING (1)"
  S031326A = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  S031326B = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  S031326D = "TWO WAYS KEVIN PASSED HIS COLD (1)"
  S031003  = "LARVAE FOUND IN A BAG OF RICE (D)"
  S031035  = "SUBSTANCES THAT DISSOLVE IN WATER (D)"
  S031420  = "ACTIVITY THAT RESULTS IN NEW MATERIAL(A)"
  S031370  = "DIFFERENCE BETWEEN SOLIDS AND LIQUIDS(1)"
  S031313  = "WHICH CAN MAKE OBJECTS REPEL (B)"
  S031254  = "ANIMAL WITH SIMILAR YOUNG AND ADULT (B)"
  SF31254  = "ANIMAL WITH SIMILAR YOUNG AND ADULT (B)"
  S031266  = "ONLY SIBERIAN TIGERS LEFT ARE FEMALE (D)"
  SF31266  = "ONLY SIBERIAN TIGERS LEFT ARE FEMALE (D)"
  S031233  = "MAIN FEATURES OF FOUR ANIMALS SHOWN (1)"
  SF31233  = "MAIN FEATURES OF FOUR ANIMALS SHOWN (1)"
  S031204  = "COARSE AND FINE SALT ADDED TO WATER (1)"
  SF31204  = "COARSE AND FINE SALT ADDED TO WATER (1)"
  S031273  = "METAL SPOON AND WOODEN SPOON (B)"
  SF31273  = "METAL SPOON AND WOODEN SPOON (B)"
  S031299  = "SUNLIGHT MADE UP OF COLORS (1)"
  SF31299  = "SUNLIGHT MADE UP OF COLORS (1)"
  S031281  = "WHY BIRDS SIT ON THEIR EGGS (B)"
  SF31281  = "WHY BIRDS SIT ON THEIR EGGS (B)"
  S031077  = "OBJECT IN CIRCUIT THAT ALLOWS BULB (A)"
  SF31077  = "OBJECT IN CIRCUIT THAT ALLOWS BULB (A)"
  S031311  = "FORCE THAT CAUSES OBJECT TO FALL (B)"
  SF31311  = "FORCE THAT CAUSES OBJECT TO FALL (B)"
  S031088A = "TWO WAYS TO USE AIR (1)"
  S031088B = "TWO WAYS TO USE AIR (1)"
  S031088D = "TWO WAYS TO USE AIR (1)"
  SF31088A = "TWO WAYS TO USE AIR (1)"
  SF31088B = "TWO WAYS TO USE AIR (1)"
  SF31088D = "TWO WAYS TO USE AIR (1)"
  S031389  = "SOIL CHANGE DUE ONLY TO NATURAL CAUSE(D)"
  SF31389  = "SOIL CHANGE DUE ONLY TO NATURAL CAUSE(D)"
  S031356  = "WHICH ANIMAL IS A PREDATOR (B)"
  SF31356  = "WHICH ANIMAL IS A PREDATOR (B)"
  S031291  = "WHAT WALRUS HAS TO KEEP IT WARM (A)"
  SF31291  = "WHAT WALRUS HAS TO KEEP IT WARM (A)"
  S031230  = "WHAT BIRDS, BATS AND BUTTERFLIES HAVE(D)"
  SF31230  = "WHAT BIRDS, BATS AND BUTTERFLIES HAVE(D)"
  S031325  = "ONE THING TO CAUSE MANUELS TEMPER (1)"
  SF31325  = "ONE THING TO CAUSE MANUELS TEMPER (1)"
  S031068  = "MARIAS EXPERIM WITH SALT AND WATER (A)"
  SF31068  = "MARIAS EXPERIM WITH SALT AND WATER (A)"
  S031418  = "POSITION OF A PIECE OF ICE IN WATER (B)"
  SF31418  = "POSITION OF A PIECE OF ICE IN WATER (B)"
  S031197A = "TWO USES OF ELECTRICITY (1)"
  S031197B = "TWO USES OF ELECTRICITY (1)"
  S031197D = "TWO USES OF ELECTRICITY (1)"
  SF31197A = "TWO USES OF ELECTRICITY (1)"
  SF31197B = "TWO USES OF ELECTRICITY (1)"
  SF31197D = "TWO USES OF ELECTRICITY (1)"
  S031371  = "HEAT NEEDED TO CHANGE STATE OF WATER (D)"
  SF31371  = "HEAT NEEDED TO CHANGE STATE OF WATER (D)"
  S031376  = "BEST SOIL FOR PLANTS TO GROW IN (D)"
  SF31376  = "BEST SOIL FOR PLANTS TO GROW IN (D)"
  S031044  = "LABEL EARTH, MOON, AND SUN (1)"
  SF31044  = "LABEL EARTH, MOON, AND SUN (1)"
  S031390A = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  S031390B = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  S031390D = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  SF31390A = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  SF31390B = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  SF31390D = "TWO ACTIVITIES LEADING TO ANIMAL EXT (1)"
  S031409  = "TRUE STATEMENT FOR ALL OBJECTS (D)"
  SF31409  = "TRUE STATEMENT FOR ALL OBJECTS (D)"
  S031398  = "WHERE WE GET MINERALS TO MAKE THINGS (C)"
  SF31398  = "WHERE WE GET MINERALS TO MAKE THINGS (C)"
  S031072  = "TWO THINGS WRONG WITH THE SHADOW (2)"
  SF31072  = "TWO THINGS WRONG WITH THE SHADOW (2)"
  S031061  = "CANDLE FLAME LAST TO GO OUT (B)"
  SF31061  = "CANDLE FLAME LAST TO GO OUT (B)"
  S031439A = "GARDEN_WHY PLANTS NEED LIGHT TO GROW (1)"
  SF31439A = "GARDEN_WHY PLANTS NEED LIGHT TO GROW (1)"
  S031439B = "GARDEN_ONE OTHER THING PLANTS NEED (1)"
  SF31439B = "GARDEN_ONE OTHER THING PLANTS NEED (1)"
  S031440  = "GARDEN_WHICH SIDE OF THE HOUSE GETS (1)"
  SF31440  = "GARDEN_WHICH SIDE OF THE HOUSE GETS (1)"
  S031441A = "GARDEN_WHY ROSES WILL NOT GROW UNDER (1)"
  SF31441A = "GARDEN_WHY ROSES WILL NOT GROW UNDER (1)"
  S031441B = "GARDEN_PLANTS THAT GROW WELL IN FOUR (2)"
  SF31441B = "GARDEN_PLANTS THAT GROW WELL IN FOUR (2)"
  S031442  = "GARDEN_HOW SEEDS GET INTO GARDEN (1)"
  SF31442  = "GARDEN_HOW SEEDS GET INTO GARDEN (1)"
  S031443  = "GARDEN_WHY INSECTS ARE IMPORTANT (1)"
  SF31443  = "GARDEN_WHY INSECTS ARE IMPORTANT (1)"
  S031446A = "LIGHT COLOR INVESTIGATION OF SHIRT (1)"
  SF31446A = "LIGHT COLOR INVESTIGATION OF SHIRT (1)"
  S031446B = "LIGHT COLOR INVESTIGATION (1)"
  SF31446B = "LIGHT COLOR INVESTIGATION (1)"
  S031446C = "LIGHT COLOR_INVESTIGATION (1)"
  SF31446C = "LIGHT COLOR_INVESTIGATION (1)"
  S031445A = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  SF31445A = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  S031445B = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  SF31445B = "LIGHT COLOR_INVESTIGATION OF WHITE (1)"
  S031447  = "LIGHT COLOR_COLOR OF BLUE SHIRT (2)"
  SF31447  = "LIGHT COLOR_COLOR OF BLUE SHIRT (2)"
  S031193  = "ANIMAL WITH TEETH MOST LIKE HUMANS (C)"
  SF31193  = "ANIMAL WITH TEETH MOST LIKE HUMANS (C)"
  S031264  = "CURLY HAIR OR STRAIGHT HAIR (A)"
  SF31264  = "CURLY HAIR OR STRAIGHT HAIR (A)"
  S031347  = "TRUE STATEMENT ABOUT FOOD CHAIN (C)"
  SF31347  = "TRUE STATEMENT ABOUT FOOD CHAIN (C)"
  S031346  = "NUTRIENTS FROM FRUIT (1)"
  SF31346  = "NUTRIENTS FROM FRUIT (1)"
  S031081  = "RIBBON TIED TO POLE TO MEASURE WIND (1)"
  SF31081  = "RIBBON TIED TO POLE TO MEASURE WIND (1)"
  HOUWGT   = "*HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  TOTWGT   = "*TOTAL STUDENT WEIGHT*"
  JKREP    = "*JACKKNIFE REPLICATE CODE*"
  JKZONE   = "*JACKKNIFE ZONE*"
  ASMALG01 = "*1ST PV ALGEBRA*"
  ASMALG02 = "*2ND PV ALGEBRA*"
  ASMALG03 = "*3RD PV ALGEBRA*"
  ASMALG04 = "*4TH PV ALGEBRA*"
  ASMALG05 = "*5TH PV ALGEBRA*"
  ASMAPP01 = "*1ST PV APPLYING*"
  ASMAPP02 = "*2ND PV APPLYING*"
  ASMAPP03 = "*3RD PV APPLYING*"
  ASMAPP04 = "*4TH PV APPLYING*"
  ASMAPP05 = "*5TH PV APPLYING*"
  ASMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  ASMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  ASMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  ASMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  ASMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  ASMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  ASMGEO01 = "*1ST PV GEOMETRY*"
  ASMGEO02 = "*2ND PV GEOMETRY*"
  ASMGEO03 = "*3RD PV GEOMETRY*"
  ASMGEO04 = "*4TH PV GEOMETRY*"
  ASMGEO05 = "*5TH PV GEOMETRY*"
  ASMKNO01 = "*1ST PV KNOWING*"
  ASMKNO02 = "*2ND PV KNOWING*"
  ASMKNO03 = "*3RD PV KNOWING*"
  ASMKNO04 = "*4TH PV KNOWING*"
  ASMKNO05 = "*5TH PV KNOWING*"
  ASMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  ASMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  ASMMEA01 = "*1ST PV MEASUREMENT*"
  ASMMEA02 = "*2ND PV MEASUREMENT*"
  ASMMEA03 = "*3RD PV MEASUREMENT*"
  ASMMEA04 = "*4TH PV MEASUREMENT*"
  ASMMEA05 = "*5TH PV MEASUREMENT*"
  ASMNRSC  = "*NATIONAL MATH RASCH SCORE (150,10)*"
  ASMREA01 = "*1ST PV REASONING*"
  ASMREA02 = "*2ND PV REASONING*"
  ASMREA03 = "*3RD PV REASONING*"
  ASMREA04 = "*4TH PV REASONING*"
  ASMREA05 = "*5TH PV REASONING*"
  ASMSCPT  = "*RAW SCORE ON MATH ITEMS*"
  ASMSTDR  = "*STANDARDIZED MATH RAW SCORE (50,10)*"
  ASSEAS01 = "*1ST PV EARTH SCIENCE*"
  ASSEAS02 = "*2ND PV EARTH SCIENCE*"
  ASSEAS03 = "*3RD PV EARTH SCIENCE*"
  ASSEAS04 = "*4TH PV EARTH SCIENCE*"
  ASSEAS05 = "*5TH PV EARTH SCIENCE*"
  ASSLIS01 = "*1ST PV LIFE SCIENCE*"
  ASSLIS02 = "*2ND PV LIFE SCIENCE*"
  ASSLIS03 = "*3RD PV LIFE SCIENCE*"
  ASSLIS04 = "*4TH PV LIFE SCIENCE*"
  ASSLIS05 = "*5TH PV LIFE SCIENCE*"
  ASSNRSC  = "*NATIONAL SCIENCE RASCH SCORE (150,10)*"
  ASSPHY01 = "*1ST PV PHYSICS*"
  ASSPHY02 = "*2ND PV PHYSICS*"
  ASSPHY03 = "*3RD PV PHYSICS*"
  ASSPHY04 = "*4TH PV PHYSICS*"
  ASSPHY05 = "*5TH PV PHYSICS*"
  ASSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  ASSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  ASSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  ASSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  ASSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  ASSSCPT  = "*RAW SCORE ON SCIENCE ITEM*"
  ASSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE (50,10)*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCORA  = 998              THEN IDSCORA  = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF IDSTRATE = 998              THEN IDSTRATE = .A ;
IF IDSTRATI = 998              THEN IDSTRATI = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITLANG   = 8                THEN ITLANG   = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF ASDAGE   = 98               THEN ASDAGE   = .A ;
IF ILRELIAB = 8                THEN ILRELIAB = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF M011009  = 8                THEN M011009  = .A ;
IF MF11009  = 8                THEN MF11009  = .A ;
IF M011010  = 8                THEN M011010  = .A ;
IF MF11010  = 8                THEN MF11010  = .A ;
IF M012044  = 8                THEN M012044  = .A ;
IF MF12044  = 8                THEN MF12044  = .A ;
IF M011011  = 8                THEN M011011  = .A ;
IF MF11011  = 8                THEN MF11011  = .A ;
IF M011017  = 8                THEN M011017  = .A ;
IF MF11017  = 8                THEN MF11017  = .A ;
IF M011018  = 8                THEN M011018  = .A ;
IF MF11018  = 8                THEN MF11018  = .A ;
IF M011019  = 8                THEN M011019  = .A ;
IF MF11019  = 8                THEN MF11019  = .A ;
IF M011020  = 8                THEN M011020  = .A ;
IF MF11020  = 8                THEN MF11020  = .A ;
IF M012065  = 8                THEN M012065  = .A ;
IF MF12065  = 8                THEN MF12065  = .A ;
IF M011023  = 8                THEN M011023  = .A ;
IF MF11023  = 8                THEN MF11023  = .A ;
IF M011024  = 8                THEN M011024  = .A ;
IF MF11024  = 8                THEN MF11024  = .A ;
IF M012048  = 8                THEN M012048  = .A ;
IF MF12048  = 8                THEN MF12048  = .A ;
IF M011012  = 8                THEN M011012  = .A ;
IF MF11012  = 8                THEN MF11012  = .A ;
IF M011013  = 8                THEN M011013  = .A ;
IF MF11013  = 8                THEN MF11013  = .A ;
IF M011014  = 8                THEN M011014  = .A ;
IF MF11014  = 8                THEN MF11014  = .A ;
IF M011015  = 8                THEN M011015  = .A ;
IF MF11015  = 8                THEN MF11015  = .A ;
IF M011016  = 8                THEN M011016  = .A ;
IF MF11016  = 8                THEN MF11016  = .A ;
IF M012078  = 8                THEN M012078  = .A ;
IF MF12078  = 8                THEN MF12078  = .A ;
IF M012119  = 8                THEN M012119  = .A ;
IF MF12119  = 8                THEN MF12119  = .A ;
IF M011021  = 8                THEN M011021  = .A ;
IF MF11021  = 8                THEN MF11021  = .A ;
IF M012023  = 8                THEN M012023  = .A ;
IF MF12023  = 8                THEN MF12023  = .A ;
IF M011022  = 8                THEN M011022  = .A ;
IF MF11022  = 8                THEN MF11022  = .A ;
IF M011003  = 8                THEN M011003  = .A ;
IF MF11003  = 8                THEN MF11003  = .A ;
IF M011004  = 8                THEN M011004  = .A ;
IF MF11004  = 8                THEN MF11004  = .A ;
IF M011005  = 8                THEN M011005  = .A ;
IF MF11005  = 8                THEN MF11005  = .A ;
IF M012126  = 8                THEN M012126  = .A ;
IF MF12126  = 8                THEN MF12126  = .A ;
IF M011006  = 8                THEN M011006  = .A ;
IF MF11006  = 8                THEN MF11006  = .A ;
IF M012117  = 8                THEN M012117  = .A ;
IF MF12117  = 8                THEN MF12117  = .A ;
IF M011007  = 8                THEN M011007  = .A ;
IF MF11007  = 8                THEN MF11007  = .A ;
IF M011008  = 8                THEN M011008  = .A ;
IF MF11008  = 8                THEN MF11008  = .A ;
IF M011001  = 8                THEN M011001  = .A ;
IF MF11001  = 8                THEN MF11001  = .A ;
IF M011002  = 8                THEN M011002  = .A ;
IF MF11002  = 8                THEN MF11002  = .A ;
IF M012069  = 8                THEN M012069  = .A ;
IF MF12069  = 8                THEN MF12069  = .A ;
IF M011025  = 8                THEN M011025  = .A ;
IF MF11025  = 8                THEN MF11025  = .A ;
IF M011026  = 8                THEN M011026  = .A ;
IF MF11026  = 8                THEN MF11026  = .A ;
IF M011027  = 8                THEN M011027  = .A ;
IF MF11027  = 8                THEN MF11027  = .A ;
IF M011028  = 8                THEN M011028  = .A ;
IF MF11028  = 8                THEN MF11028  = .A ;
IF M031305  = 98               THEN M031305  = .A ;
IF MF31305  = 98               THEN MF31305  = .A ;
IF M031310  = 8                THEN M031310  = .A ;
IF MF31310  = 8                THEN MF31310  = .A ;
IF M031065  = 98               THEN M031065  = .A ;
IF MF31065  = 98               THEN MF31065  = .A ;
IF M031051  = 8                THEN M031051  = .A ;
IF MF31051  = 8                THEN MF31051  = .A ;
IF M031220  = 8                THEN M031220  = .A ;
IF MF31220  = 8                THEN MF31220  = .A ;
IF M031322  = 98               THEN M031322  = .A ;
IF MF31322  = 98               THEN MF31322  = .A ;
IF M031298  = 98               THEN M031298  = .A ;
IF MF31298  = 98               THEN MF31298  = .A ;
IF M031327  = 98               THEN M031327  = .A ;
IF MF31327  = 98               THEN MF31327  = .A ;
IF M031269  = 98               THEN M031269  = .A ;
IF MF31269  = 98               THEN MF31269  = .A ;
IF M031264  = 98               THEN M031264  = .A ;
IF MF31264  = 98               THEN MF31264  = .A ;
IF M031265  = 98               THEN M031265  = .A ;
IF MF31265  = 98               THEN MF31265  = .A ;
IF M031286  = 98               THEN M031286  = .A ;
IF MF31286  = 98               THEN MF31286  = .A ;
IF M031106  = 98               THEN M031106  = .A ;
IF MF31106  = 98               THEN MF31106  = .A ;
IF M031282  = 98               THEN M031282  = .A ;
IF MF31282  = 98               THEN MF31282  = .A ;
IF M031227  = 98               THEN M031227  = .A ;
IF MF31227  = 98               THEN MF31227  = .A ;
IF M031335  = 8                THEN M031335  = .A ;
IF MF31335  = 8                THEN MF31335  = .A ;
IF M031068  = 98               THEN M031068  = .A ;
IF MF31068  = 98               THEN MF31068  = .A ;
IF M031299  = 98               THEN M031299  = .A ;
IF MF31299  = 98               THEN MF31299  = .A ;
IF M031301  = 98               THEN M031301  = .A ;
IF MF31301  = 98               THEN MF31301  = .A ;
IF M031271  = 98               THEN M031271  = .A ;
IF MF31271  = 98               THEN MF31271  = .A ;
IF M031134  = 98               THEN M031134  = .A ;
IF MF31134  = 98               THEN MF31134  = .A ;
IF M031045  = 8                THEN M031045  = .A ;
IF MF31045  = 8                THEN MF31045  = .A ;
IF M031235  = 98               THEN M031235  = .A ;
IF MF31235  = 98               THEN MF31235  = .A ;
IF M031285  = 98               THEN M031285  = .A ;
IF MF31285  = 98               THEN MF31285  = .A ;
IF M031050  = 8                THEN M031050  = .A ;
IF MF31050  = 8                THEN MF31050  = .A ;
IF M031258  = 98               THEN M031258  = .A ;
IF MF31258  = 98               THEN MF31258  = .A ;
IF M031334  = 8                THEN M031334  = .A ;
IF MF31334  = 8                THEN MF31334  = .A ;
IF M031255  = 8                THEN M031255  = .A ;
IF MF31255  = 8                THEN MF31255  = .A ;
IF M031041  = 98               THEN M031041  = .A ;
IF MF31041  = 98               THEN MF31041  = .A ;
IF M031350A = 98               THEN M031350A = .A ;
IF MF31350A = 98               THEN MF31350A = .A ;
IF M031350B = 98               THEN M031350B = .A ;
IF MF31350B = 98               THEN MF31350B = .A ;
IF M031350C = 98               THEN M031350C = .A ;
IF MF31350C = 98               THEN MF31350C = .A ;
IF M031274  = 98               THEN M031274  = .A ;
IF MF31274  = 98               THEN MF31274  = .A ;
IF M031240  = 98               THEN M031240  = .A ;
IF MF31240  = 98               THEN MF31240  = .A ;
IF M031303  = 8                THEN M031303  = .A ;
IF MF31303  = 8                THEN MF31303  = .A ;
IF M031309  = 98               THEN M031309  = .A ;
IF MF31309  = 98               THEN MF31309  = .A ;
IF M031245  = 8                THEN M031245  = .A ;
IF MF31245  = 8                THEN MF31245  = .A ;
IF M031242A = 98               THEN M031242A = .A ;
IF MF31242A = 98               THEN MF31242A = .A ;
IF M031242B = 98               THEN M031242B = .A ;
IF MF31242B = 98               THEN MF31242B = .A ;
IF M031242C = 8                THEN M031242C = .A ;
IF MF31242C = 8                THEN MF31242C = .A ;
IF M031247  = 98               THEN M031247  = .A ;
IF MF31247  = 98               THEN MF31247  = .A ;
IF M031219  = 8                THEN M031219  = .A ;
IF MF31219  = 8                THEN MF31219  = .A ;
IF M031173  = 8                THEN M031173  = .A ;
IF MF31173  = 8                THEN MF31173  = .A ;
IF M031085  = 8                THEN M031085  = .A ;
IF MF31085  = 8                THEN MF31085  = .A ;
IF M031172  = 8                THEN M031172  = .A ;
IF MF31172  = 8                THEN MF31172  = .A ;
IF M031029  = 8                THEN M031029  = .A ;
IF MF31029  = 8                THEN MF31029  = .A ;
IF M031030  = 98               THEN M031030  = .A ;
IF MF31030  = 98               THEN MF31030  = .A ;
IF M031332  = 8                THEN M031332  = .A ;
IF MF31332  = 8                THEN MF31332  = .A ;
IF M031098  = 8                THEN M031098  = .A ;
IF MF31098  = 8                THEN MF31098  = .A ;
IF M031254  = 8                THEN M031254  = .A ;
IF MF31254  = 8                THEN MF31254  = .A ;
IF M031038  = 8                THEN M031038  = .A ;
IF MF31038  = 8                THEN MF31038  = .A ;
IF M031276  = 8                THEN M031276  = .A ;
IF MF31276  = 8                THEN MF31276  = .A ;
IF M031064  = 8                THEN M031064  = .A ;
IF MF31064  = 8                THEN MF31064  = .A ;
IF M031006  = 8                THEN M031006  = .A ;
IF MF31006  = 8                THEN MF31006  = .A ;
IF M031330  = 98               THEN M031330  = .A ;
IF MF31330  = 98               THEN MF31330  = .A ;
IF M031351  = 8                THEN M031351  = .A ;
IF MF31351  = 8                THEN MF31351  = .A ;
IF M031135  = 8                THEN M031135  = .A ;
IF MF31135  = 8                THEN MF31135  = .A ;
IF M031162  = 98               THEN M031162  = .A ;
IF M031341  = 8                THEN M031341  = .A ;
IF M031216  = 8                THEN M031216  = .A ;
IF M031249  = 98               THEN M031249  = .A ;
IF M031347A = 98               THEN M031347A = .A ;
IF M031347B = 98               THEN M031347B = .A ;
IF M031347C = 98               THEN M031347C = .A ;
IF M031348A = 98               THEN M031348A = .A ;
IF M031348B = 98               THEN M031348B = .A ;
IF M031190  = 8                THEN M031190  = .A ;
IF M031306  = 98               THEN M031306  = .A ;
IF M031108  = 8                THEN M031108  = .A ;
IF M031011  = 98               THEN M031011  = .A ;
IF M031304  = 98               THEN M031304  = .A ;
IF M031023  = 8                THEN M031023  = .A ;
IF M031008  = 8                THEN M031008  = .A ;
IF M031338  = 8                THEN M031338  = .A ;
IF M031272A = 98               THEN M031272A = .A ;
IF M031272B = 98               THEN M031272B = .A ;
IF M031272C = 98               THEN M031272C = .A ;
IF M031267  = 98               THEN M031267  = .A ;
IF M031315  = 8                THEN M031315  = .A ;
IF M031128  = 98               THEN M031128  = .A ;
IF MF31128  = 98               THEN MF31128  = .A ;
IF M031016  = 98               THEN M031016  = .A ;
IF MF31016  = 98               THEN MF31016  = .A ;
IF M031183  = 98               THEN M031183  = .A ;
IF MF31183  = 98               THEN MF31183  = .A ;
IF M031223  = 8                THEN M031223  = .A ;
IF MF31223  = 8                THEN MF31223  = .A ;
IF M031187  = 8                THEN M031187  = .A ;
IF MF31187  = 8                THEN MF31187  = .A ;
IF M031251  = 8                THEN M031251  = .A ;
IF MF31251  = 8                THEN MF31251  = .A ;
IF M031294  = 8                THEN M031294  = .A ;
IF MF31294  = 8                THEN MF31294  = .A ;
IF M031297  = 98               THEN M031297  = .A ;
IF MF31297  = 98               THEN MF31297  = .A ;
IF M031218  = 8                THEN M031218  = .A ;
IF MF31218  = 8                THEN MF31218  = .A ;
IF M031109  = 8                THEN M031109  = .A ;
IF MF31109  = 8                THEN MF31109  = .A ;
IF M031159  = 8                THEN M031159  = .A ;
IF MF31159  = 8                THEN MF31159  = .A ;
IF M031133  = 98               THEN M031133  = .A ;
IF MF31133  = 98               THEN MF31133  = .A ;
IF M031210  = 8                THEN M031210  = .A ;
IF MF31210  = 8                THEN MF31210  = .A ;
IF M031009  = 98               THEN M031009  = .A ;
IF MF31009  = 98               THEN MF31009  = .A ;
IF M031252  = 8                THEN M031252  = .A ;
IF MF31252  = 8                THEN MF31252  = .A ;
IF M031316  = 98               THEN M031316  = .A ;
IF MF31316  = 98               THEN MF31316  = .A ;
IF M031317  = 8                THEN M031317  = .A ;
IF MF31317  = 8                THEN MF31317  = .A ;
IF M031079B = 98               THEN M031079B = .A ;
IF MF31079B = 98               THEN MF31079B = .A ;
IF M031079C = 98               THEN M031079C = .A ;
IF MF31079C = 98               THEN MF31079C = .A ;
IF M031004  = 8                THEN M031004  = .A ;
IF MF31004  = 8                THEN MF31004  = .A ;
IF M031043  = 8                THEN M031043  = .A ;
IF MF31043  = 8                THEN MF31043  = .A ;
IF M031325  = 98               THEN M031325  = .A ;
IF MF31325  = 98               THEN MF31325  = .A ;
IF M031088  = 8                THEN M031088  = .A ;
IF MF31088  = 8                THEN MF31088  = .A ;
IF M031093  = 8                THEN M031093  = .A ;
IF MF31093  = 8                THEN MF31093  = .A ;
IF M031155  = 8                THEN M031155  = .A ;
IF MF31155  = 8                THEN MF31155  = .A ;
IF M031344A = 98               THEN M031344A = .A ;
IF MF31344A = 98               THEN MF31344A = .A ;
IF M031344B = 98               THEN M031344B = .A ;
IF MF31344B = 98               THEN MF31344B = .A ;
IF M031344C = 98               THEN M031344C = .A ;
IF MF31344C = 98               THEN MF31344C = .A ;
IF M031345A = 98               THEN M031345A = .A ;
IF MF31345A = 98               THEN MF31345A = .A ;
IF M031345B = 98               THEN M031345B = .A ;
IF MF31345B = 98               THEN MF31345B = .A ;
IF M031345C = 98               THEN M031345C = .A ;
IF MF31345C = 98               THEN MF31345C = .A ;
IF M031130  = 98               THEN M031130  = .A ;
IF MF31130  = 98               THEN MF31130  = .A ;
IF M031097  = 8                THEN M031097  = .A ;
IF MF31097  = 8                THEN MF31097  = .A ;
IF M031178  = 8                THEN M031178  = .A ;
IF MF31178  = 8                THEN MF31178  = .A ;
IF M031333  = 8                THEN M031333  = .A ;
IF MF31333  = 8                THEN MF31333  = .A ;
IF M031346A = 98               THEN M031346A = .A ;
IF MF31346A = 98               THEN MF31346A = .A ;
IF M031346B = 98               THEN M031346B = .A ;
IF MF31346B = 98               THEN MF31346B = .A ;
IF M031346C = 98               THEN M031346C = .A ;
IF MF31346C = 98               THEN MF31346C = .A ;
IF M031379  = 98               THEN M031379  = .A ;
IF MF31379  = 98               THEN MF31379  = .A ;
IF M031380  = 98               THEN M031380  = .A ;
IF MF31380  = 98               THEN MF31380  = .A ;
IF M031002  = 8                THEN M031002  = .A ;
IF MF31002  = 8                THEN MF31002  = .A ;
IF M031313  = 98               THEN M031313  = .A ;
IF MF31313  = 98               THEN MF31313  = .A ;
IF M031083  = 8                THEN M031083  = .A ;
IF MF31083  = 8                THEN MF31083  = .A ;
IF M031071  = 8                THEN M031071  = .A ;
IF MF31071  = 8                THEN MF31071  = .A ;
IF M031185  = 8                THEN M031185  = .A ;
IF MF31185  = 8                THEN MF31185  = .A ;
IF S011006  = 8                THEN S011006  = .A ;
IF SF11006  = 8                THEN SF11006  = .A ;
IF S011007  = 8                THEN S011007  = .A ;
IF SF11007  = 8                THEN SF11007  = .A ;
IF S011008  = 8                THEN S011008  = .A ;
IF SF11008  = 8                THEN SF11008  = .A ;
IF S012033  = 8                THEN S012033  = .A ;
IF SF12033  = 8                THEN SF12033  = .A ;
IF S011001  = 8                THEN S011001  = .A ;
IF SF11001  = 8                THEN SF11001  = .A ;
IF S011003  = 8                THEN S011003  = .A ;
IF SF11003  = 8                THEN SF11003  = .A ;
IF S011004  = 8                THEN S011004  = .A ;
IF SF11004  = 8                THEN SF11004  = .A ;
IF S011005  = 8                THEN S011005  = .A ;
IF SF11005  = 8                THEN SF11005  = .A ;
IF S011021  = 8                THEN S011021  = .A ;
IF SF11021  = 8                THEN SF11021  = .A ;
IF S011022  = 8                THEN S011022  = .A ;
IF SF11022  = 8                THEN SF11022  = .A ;
IF S011023  = 8                THEN S011023  = .A ;
IF SF11023  = 8                THEN SF11023  = .A ;
IF S011030  = 8                THEN S011030  = .A ;
IF SF11030  = 8                THEN SF11030  = .A ;
IF S011031  = 8                THEN S011031  = .A ;
IF SF11031  = 8                THEN SF11031  = .A ;
IF S011032  = 98               THEN S011032  = .A ;
IF SF11032  = 98               THEN SF11032  = .A ;
IF S011033  = 8                THEN S011033  = .A ;
IF SF11033  = 8                THEN SF11033  = .A ;
IF S011025  = 8                THEN S011025  = .A ;
IF SF11025  = 8                THEN SF11025  = .A ;
IF S011026  = 8                THEN S011026  = .A ;
IF SF11026  = 8                THEN SF11026  = .A ;
IF S011027  = 8                THEN S011027  = .A ;
IF SF11027  = 8                THEN SF11027  = .A ;
IF S011028  = 8                THEN S011028  = .A ;
IF SF11028  = 8                THEN SF11028  = .A ;
IF S011029  = 8                THEN S011029  = .A ;
IF SF11029  = 8                THEN SF11029  = .A ;
IF S011016  = 8                THEN S011016  = .A ;
IF SF11016  = 8                THEN SF11016  = .A ;
IF S012007  = 8                THEN S012007  = .A ;
IF SF12007  = 8                THEN SF12007  = .A ;
IF S011017  = 8                THEN S011017  = .A ;
IF SF11017  = 8                THEN SF11017  = .A ;
IF S011018  = 8                THEN S011018  = .A ;
IF SF11018  = 8                THEN SF11018  = .A ;
IF S012010  = 8                THEN S012010  = .A ;
IF SF12010  = 8                THEN SF12010  = .A ;
IF S011019  = 98               THEN S011019  = .A ;
IF SF11019  = 98               THEN SF11019  = .A ;
IF S011009  = 8                THEN S011009  = .A ;
IF SF11009  = 8                THEN SF11009  = .A ;
IF S011010  = 8                THEN S011010  = .A ;
IF SF11010  = 8                THEN SF11010  = .A ;
IF S011011  = 8                THEN S011011  = .A ;
IF SF11011  = 8                THEN SF11011  = .A ;
IF S011012  = 8                THEN S011012  = .A ;
IF SF11012  = 8                THEN SF11012  = .A ;
IF S011013  = 8                THEN S011013  = .A ;
IF SF11013  = 8                THEN SF11013  = .A ;
IF S011014  = 8                THEN S011014  = .A ;
IF SF11014  = 8                THEN SF11014  = .A ;
IF S011015  = 8                THEN S011015  = .A ;
IF SF11015  = 8                THEN SF11015  = .A ;
IF S031017  = 8                THEN S031017  = .A ;
IF SF31017  = 8                THEN SF31017  = .A ;
IF S031246  = 98               THEN S031246  = .A ;
IF SF31246  = 98               THEN SF31246  = .A ;
IF S031287  = 8                THEN S031287  = .A ;
IF SF31287  = 8                THEN SF31287  = .A ;
IF S031251  = 98               THEN S031251  = .A ;
IF SF31251  = 98               THEN SF31251  = .A ;
IF S031053  = 98               THEN S031053  = .A ;
IF SF31053  = 98               THEN SF31053  = .A ;
IF S031005  = 98               THEN S031005  = .A ;
IF SF31005  = 98               THEN SF31005  = .A ;
IF S031306  = 8                THEN S031306  = .A ;
IF SF31306  = 8                THEN SF31306  = .A ;
IF S031372A = 98               THEN S031372A = .A ;
IF SF31372A = 98               THEN SF31372A = .A ;
IF S031372B = 98               THEN S031372B = .A ;
IF SF31372B = 98               THEN SF31372B = .A ;
IF S031082  = 8                THEN S031082  = .A ;
IF SF31082  = 8                THEN SF31082  = .A ;
IF S031229  = 8                THEN S031229  = .A ;
IF SF31229  = 8                THEN SF31229  = .A ;
IF S031270  = 98               THEN S031270  = .A ;
IF SF31270  = 98               THEN SF31270  = .A ;
IF S031026  = 98               THEN S031026  = .A ;
IF SF31026  = 98               THEN SF31026  = .A ;
IF S031319  = 8                THEN S031319  = .A ;
IF SF31319  = 8                THEN SF31319  = .A ;
IF S031414A = 98               THEN S031414A = .A ;
IF SF31414A = 98               THEN SF31414A = .A ;
IF S031414B = 98               THEN S031414B = .A ;
IF SF31414B = 98               THEN SF31414B = .A ;
IF S031078  = 8                THEN S031078  = .A ;
IF SF31078  = 8                THEN SF31078  = .A ;
IF S031009  = 98               THEN S031009  = .A ;
IF SF31009  = 98               THEN SF31009  = .A ;
IF S031401  = 8                THEN S031401  = .A ;
IF SF31401  = 8                THEN SF31401  = .A ;
IF S031384A = 98               THEN S031384A = .A ;
IF SF31384A = 98               THEN SF31384A = .A ;
IF S031384B = 98               THEN S031384B = .A ;
IF SF31384B = 98               THEN SF31384B = .A ;
IF S031255  = 8                THEN S031255  = .A ;
IF SF31255  = 8                THEN SF31255  = .A ;
IF S031240A = 98               THEN S031240A = .A ;
IF S031240B = 98               THEN S031240B = .A ;
IF S031240D = 98               THEN S031240D = .A ;
IF SF31240A = 98               THEN SF31240A = .A ;
IF SF31240B = 98               THEN SF31240B = .A ;
IF SF31240D = 98               THEN SF31240D = .A ;
IF S031239  = 8                THEN S031239  = .A ;
IF SF31239  = 8                THEN SF31239  = .A ;
IF S031235A = 98               THEN S031235A = .A ;
IF SF31235A = 98               THEN SF31235A = .A ;
IF S031235B = 98               THEN S031235B = .A ;
IF SF31235B = 98               THEN SF31235B = .A ;
IF S031205  = 8                THEN S031205  = .A ;
IF SF31205  = 8                THEN SF31205  = .A ;
IF S031399A = 98               THEN S031399A = .A ;
IF SF31399A = 98               THEN SF31399A = .A ;
IF S031399B = 98               THEN S031399B = .A ;
IF SF31399B = 98               THEN SF31399B = .A ;
IF S031393  = 98               THEN S031393  = .A ;
IF SF31393  = 98               THEN SF31393  = .A ;
IF S031278  = 98               THEN S031278  = .A ;
IF SF31278  = 98               THEN SF31278  = .A ;
IF S031317  = 8                THEN S031317  = .A ;
IF SF31317  = 8                THEN SF31317  = .A ;
IF S031190  = 98               THEN S031190  = .A ;
IF SF31190  = 98               THEN SF31190  = .A ;
IF S031431  = 8                THEN S031431  = .A ;
IF SF31431  = 8                THEN SF31431  = .A ;
IF S031283  = 8                THEN S031283  = .A ;
IF SF31283  = 8                THEN SF31283  = .A ;
IF S031426  = 8                THEN S031426  = .A ;
IF SF31426  = 8                THEN SF31426  = .A ;
IF S031422  = 8                THEN S031422  = .A ;
IF SF31422  = 8                THEN SF31422  = .A ;
IF S031427  = 8                THEN S031427  = .A ;
IF SF31427  = 8                THEN SF31427  = .A ;
IF S031075  = 8                THEN S031075  = .A ;
IF SF31075  = 8                THEN SF31075  = .A ;
IF S031047  = 98               THEN S031047  = .A ;
IF SF31047  = 98               THEN SF31047  = .A ;
IF S031387  = 8                THEN S031387  = .A ;
IF SF31387  = 8                THEN SF31387  = .A ;
IF S031396A = 98               THEN S031396A = .A ;
IF S031396B = 98               THEN S031396B = .A ;
IF S031396D = 98               THEN S031396D = .A ;
IF SF31396A = 98               THEN SF31396A = .A ;
IF SF31396B = 98               THEN SF31396B = .A ;
IF SF31396D = 98               THEN SF31396D = .A ;
IF S031340  = 8                THEN S031340  = .A ;
IF SF31340  = 8                THEN SF31340  = .A ;
IF S031236  = 8                THEN S031236  = .A ;
IF SF31236  = 8                THEN SF31236  = .A ;
IF S031391A = 98               THEN S031391A = .A ;
IF S031391B = 98               THEN S031391B = .A ;
IF S031391D = 98               THEN S031391D = .A ;
IF SF31391A = 98               THEN SF31391A = .A ;
IF SF31391B = 98               THEN SF31391B = .A ;
IF SF31391D = 98               THEN SF31391D = .A ;
IF S031361  = 8                THEN S031361  = .A ;
IF SF31361  = 8                THEN SF31361  = .A ;
IF S031001  = 8                THEN S031001  = .A ;
IF SF31001  = 8                THEN SF31001  = .A ;
IF S031084  = 8                THEN S031084  = .A ;
IF SF31084  = 8                THEN SF31084  = .A ;
IF S031410  = 8                THEN S031410  = .A ;
IF SF31410  = 8                THEN SF31410  = .A ;
IF S031421  = 98               THEN S031421  = .A ;
IF SF31421  = 98               THEN SF31421  = .A ;
IF S031298  = 8                THEN S031298  = .A ;
IF SF31298  = 8                THEN SF31298  = .A ;
IF S031076  = 98               THEN S031076  = .A ;
IF SF31076  = 98               THEN SF31076  = .A ;
IF S031275  = 8                THEN S031275  = .A ;
IF SF31275  = 8                THEN SF31275  = .A ;
IF S031349  = 8                THEN S031349  = .A ;
IF S031330  = 98               THEN S031330  = .A ;
IF S031212  = 8                THEN S031212  = .A ;
IF S031241A = 98               THEN S031241A = .A ;
IF S031241B = 98               THEN S031241B = .A ;
IF S031241D = 98               THEN S031241D = .A ;
IF S031038  = 8                THEN S031038  = .A ;
IF S031252  = 98               THEN S031252  = .A ;
IF S031406A = 98               THEN S031406A = .A ;
IF S031406B = 98               THEN S031406B = .A ;
IF S031383  = 8                THEN S031383  = .A ;
IF S031379  = 8                THEN S031379  = .A ;
IF S031060  = 8                THEN S031060  = .A ;
IF S031269  = 8                THEN S031269  = .A ;
IF S031284  = 8                THEN S031284  = .A ;
IF S031338  = 8                THEN S031338  = .A ;
IF S031382  = 98               THEN S031382  = .A ;
IF S031218  = 98               THEN S031218  = .A ;
IF S031326A = 98               THEN S031326A = .A ;
IF S031326B = 98               THEN S031326B = .A ;
IF S031326D = 98               THEN S031326D = .A ;
IF S031003  = 8                THEN S031003  = .A ;
IF S031035  = 8                THEN S031035  = .A ;
IF S031420  = 8                THEN S031420  = .A ;
IF S031370  = 98               THEN S031370  = .A ;
IF S031313  = 8                THEN S031313  = .A ;
IF S031254  = 8                THEN S031254  = .A ;
IF SF31254  = 8                THEN SF31254  = .A ;
IF S031266  = 8                THEN S031266  = .A ;
IF SF31266  = 8                THEN SF31266  = .A ;
IF S031233  = 98               THEN S031233  = .A ;
IF SF31233  = 98               THEN SF31233  = .A ;
IF S031204  = 98               THEN S031204  = .A ;
IF SF31204  = 98               THEN SF31204  = .A ;
IF S031273  = 8                THEN S031273  = .A ;
IF SF31273  = 8                THEN SF31273  = .A ;
IF S031299  = 98               THEN S031299  = .A ;
IF SF31299  = 98               THEN SF31299  = .A ;
IF S031281  = 8                THEN S031281  = .A ;
IF SF31281  = 8                THEN SF31281  = .A ;
IF S031077  = 8                THEN S031077  = .A ;
IF SF31077  = 8                THEN SF31077  = .A ;
IF S031311  = 8                THEN S031311  = .A ;
IF SF31311  = 8                THEN SF31311  = .A ;
IF S031088A = 98               THEN S031088A = .A ;
IF S031088B = 98               THEN S031088B = .A ;
IF S031088D = 98               THEN S031088D = .A ;
IF SF31088A = 98               THEN SF31088A = .A ;
IF SF31088B = 98               THEN SF31088B = .A ;
IF SF31088D = 98               THEN SF31088D = .A ;
IF S031389  = 8                THEN S031389  = .A ;
IF SF31389  = 8                THEN SF31389  = .A ;
IF S031356  = 8                THEN S031356  = .A ;
IF SF31356  = 8                THEN SF31356  = .A ;
IF S031291  = 8                THEN S031291  = .A ;
IF SF31291  = 8                THEN SF31291  = .A ;
IF S031230  = 8                THEN S031230  = .A ;
IF SF31230  = 8                THEN SF31230  = .A ;
IF S031325  = 98               THEN S031325  = .A ;
IF SF31325  = 98               THEN SF31325  = .A ;
IF S031068  = 8                THEN S031068  = .A ;
IF SF31068  = 8                THEN SF31068  = .A ;
IF S031418  = 8                THEN S031418  = .A ;
IF SF31418  = 8                THEN SF31418  = .A ;
IF S031197A = 98               THEN S031197A = .A ;
IF S031197B = 98               THEN S031197B = .A ;
IF S031197D = 98               THEN S031197D = .A ;
IF SF31197A = 98               THEN SF31197A = .A ;
IF SF31197B = 98               THEN SF31197B = .A ;
IF SF31197D = 98               THEN SF31197D = .A ;
IF S031371  = 8                THEN S031371  = .A ;
IF SF31371  = 8                THEN SF31371  = .A ;
IF S031376  = 8                THEN S031376  = .A ;
IF SF31376  = 8                THEN SF31376  = .A ;
IF S031044  = 98               THEN S031044  = .A ;
IF SF31044  = 98               THEN SF31044  = .A ;
IF S031390A = 98               THEN S031390A = .A ;
IF S031390B = 98               THEN S031390B = .A ;
IF S031390D = 98               THEN S031390D = .A ;
IF SF31390A = 98               THEN SF31390A = .A ;
IF SF31390B = 98               THEN SF31390B = .A ;
IF SF31390D = 98               THEN SF31390D = .A ;
IF S031409  = 8                THEN S031409  = .A ;
IF SF31409  = 8                THEN SF31409  = .A ;
IF S031398  = 8                THEN S031398  = .A ;
IF SF31398  = 8                THEN SF31398  = .A ;
IF S031072  = 98               THEN S031072  = .A ;
IF SF31072  = 98               THEN SF31072  = .A ;
IF S031061  = 8                THEN S031061  = .A ;
IF SF31061  = 8                THEN SF31061  = .A ;
IF S031439A = 98               THEN S031439A = .A ;
IF SF31439A = 98               THEN SF31439A = .A ;
IF S031439B = 98               THEN S031439B = .A ;
IF SF31439B = 98               THEN SF31439B = .A ;
IF S031440  = 98               THEN S031440  = .A ;
IF SF31440  = 98               THEN SF31440  = .A ;
IF S031441A = 98               THEN S031441A = .A ;
IF SF31441A = 98               THEN SF31441A = .A ;
IF S031441B = 98               THEN S031441B = .A ;
IF SF31441B = 98               THEN SF31441B = .A ;
IF S031442  = 98               THEN S031442  = .A ;
IF SF31442  = 98               THEN SF31442  = .A ;
IF S031443  = 98               THEN S031443  = .A ;
IF SF31443  = 98               THEN SF31443  = .A ;
IF S031446A = 98               THEN S031446A = .A ;
IF SF31446A = 98               THEN SF31446A = .A ;
IF S031446B = 98               THEN S031446B = .A ;
IF SF31446B = 98               THEN SF31446B = .A ;
IF S031446C = 98               THEN S031446C = .A ;
IF SF31446C = 98               THEN SF31446C = .A ;
IF S031445A = 98               THEN S031445A = .A ;
IF SF31445A = 98               THEN SF31445A = .A ;
IF S031445B = 98               THEN S031445B = .A ;
IF SF31445B = 98               THEN SF31445B = .A ;
IF S031447  = 98               THEN S031447  = .A ;
IF SF31447  = 98               THEN SF31447  = .A ;
IF S031193  = 8                THEN S031193  = .A ;
IF SF31193  = 8                THEN SF31193  = .A ;
IF S031264  = 8                THEN S031264  = .A ;
IF SF31264  = 8                THEN SF31264  = .A ;
IF S031347  = 8                THEN S031347  = .A ;
IF SF31347  = 8                THEN SF31347  = .A ;
IF S031346  = 98               THEN S031346  = .A ;
IF SF31346  = 98               THEN SF31346  = .A ;
IF S031081  = 98               THEN S031081  = .A ;
IF SF31081  = 98               THEN SF31081  = .A ;
IF HOUWGT   = 999998           THEN HOUWGT   = .A ;
IF SENWGT   = 999998           THEN SENWGT   = .A ;
IF TOTWGT   = 999998           THEN TOTWGT   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF ASMALG01 = 998              THEN ASMALG01 = .A ;
IF ASMALG02 = 998              THEN ASMALG02 = .A ;
IF ASMALG03 = 998              THEN ASMALG03 = .A ;
IF ASMALG04 = 998              THEN ASMALG04 = .A ;
IF ASMALG05 = 998              THEN ASMALG05 = .A ;
IF ASMAPP01 = 998              THEN ASMAPP01 = .A ;
IF ASMAPP02 = 998              THEN ASMAPP02 = .A ;
IF ASMAPP03 = 998              THEN ASMAPP03 = .A ;
IF ASMAPP04 = 998              THEN ASMAPP04 = .A ;
IF ASMAPP05 = 998              THEN ASMAPP05 = .A ;
IF ASMDAP01 = 998              THEN ASMDAP01 = .A ;
IF ASMDAP02 = 998              THEN ASMDAP02 = .A ;
IF ASMDAP03 = 998              THEN ASMDAP03 = .A ;
IF ASMDAP04 = 998              THEN ASMDAP04 = .A ;
IF ASMDAP05 = 998              THEN ASMDAP05 = .A ;
IF ASMFNS01 = 998              THEN ASMFNS01 = .A ;
IF ASMFNS02 = 998              THEN ASMFNS02 = .A ;
IF ASMFNS03 = 998              THEN ASMFNS03 = .A ;
IF ASMFNS04 = 998              THEN ASMFNS04 = .A ;
IF ASMFNS05 = 998              THEN ASMFNS05 = .A ;
IF ASMGEO01 = 998              THEN ASMGEO01 = .A ;
IF ASMGEO02 = 998              THEN ASMGEO02 = .A ;
IF ASMGEO03 = 998              THEN ASMGEO03 = .A ;
IF ASMGEO04 = 998              THEN ASMGEO04 = .A ;
IF ASMGEO05 = 998              THEN ASMGEO05 = .A ;
IF ASMKNO01 = 998              THEN ASMKNO01 = .A ;
IF ASMKNO02 = 998              THEN ASMKNO02 = .A ;
IF ASMKNO03 = 998              THEN ASMKNO03 = .A ;
IF ASMKNO04 = 998              THEN ASMKNO04 = .A ;
IF ASMKNO05 = 998              THEN ASMKNO05 = .A ;
IF ASMMAT01 = 998              THEN ASMMAT01 = .A ;
IF ASMMAT02 = 998              THEN ASMMAT02 = .A ;
IF ASMMAT03 = 998              THEN ASMMAT03 = .A ;
IF ASMMAT04 = 998              THEN ASMMAT04 = .A ;
IF ASMMAT05 = 998              THEN ASMMAT05 = .A ;
IF ASMMEA01 = 998              THEN ASMMEA01 = .A ;
IF ASMMEA02 = 998              THEN ASMMEA02 = .A ;
IF ASMMEA03 = 998              THEN ASMMEA03 = .A ;
IF ASMMEA04 = 998              THEN ASMMEA04 = .A ;
IF ASMMEA05 = 998              THEN ASMMEA05 = .A ;
IF ASMNRSC  = 9998             THEN ASMNRSC  = .A ;
IF ASMREA01 = 998              THEN ASMREA01 = .A ;
IF ASMREA02 = 998              THEN ASMREA02 = .A ;
IF ASMREA03 = 998              THEN ASMREA03 = .A ;
IF ASMREA04 = 998              THEN ASMREA04 = .A ;
IF ASMREA05 = 998              THEN ASMREA05 = .A ;
IF ASMSCPT  = 98               THEN ASMSCPT  = .A ;
IF ASMSTDR  = 9998             THEN ASMSTDR  = .A ;
IF ASSEAS01 = 998              THEN ASSEAS01 = .A ;
IF ASSEAS02 = 998              THEN ASSEAS02 = .A ;
IF ASSEAS03 = 998              THEN ASSEAS03 = .A ;
IF ASSEAS04 = 998              THEN ASSEAS04 = .A ;
IF ASSEAS05 = 998              THEN ASSEAS05 = .A ;
IF ASSLIS01 = 998              THEN ASSLIS01 = .A ;
IF ASSLIS02 = 998              THEN ASSLIS02 = .A ;
IF ASSLIS03 = 998              THEN ASSLIS03 = .A ;
IF ASSLIS04 = 998              THEN ASSLIS04 = .A ;
IF ASSLIS05 = 998              THEN ASSLIS05 = .A ;
IF ASSNRSC  = 9998             THEN ASSNRSC  = .A ;
IF ASSPHY01 = 998              THEN ASSPHY01 = .A ;
IF ASSPHY02 = 998              THEN ASSPHY02 = .A ;
IF ASSPHY03 = 998              THEN ASSPHY03 = .A ;
IF ASSPHY04 = 998              THEN ASSPHY04 = .A ;
IF ASSPHY05 = 998              THEN ASSPHY05 = .A ;
IF ASSSCI01 = 998              THEN ASSSCI01 = .A ;
IF ASSSCI02 = 998              THEN ASSSCI02 = .A ;
IF ASSSCI03 = 998              THEN ASSSCI03 = .A ;
IF ASSSCI04 = 998              THEN ASSSCI04 = .A ;
IF ASSSCI05 = 998              THEN ASSSCI05 = .A ;
IF ASSSCPT  = 98               THEN ASSSCPT  = .A ;
IF ASSSTDR  = 9998             THEN ASSSTDR  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF M011009  = 6                THEN M011009  = .R ;
IF MF11009  = 6                THEN MF11009  = .R ;
IF M011010  = 6                THEN M011010  = .R ;
IF MF11010  = 6                THEN MF11010  = .R ;
IF M012044  = 6                THEN M012044  = .R ;
IF MF12044  = 6                THEN MF12044  = .R ;
IF M011011  = 6                THEN M011011  = .R ;
IF MF11011  = 6                THEN MF11011  = .R ;
IF M011017  = 6                THEN M011017  = .R ;
IF MF11017  = 6                THEN MF11017  = .R ;
IF M011018  = 6                THEN M011018  = .R ;
IF MF11018  = 6                THEN MF11018  = .R ;
IF M011019  = 6                THEN M011019  = .R ;
IF MF11019  = 6                THEN MF11019  = .R ;
IF M011020  = 6                THEN M011020  = .R ;
IF MF11020  = 6                THEN MF11020  = .R ;
IF M012065  = 6                THEN M012065  = .R ;
IF MF12065  = 6                THEN MF12065  = .R ;
IF M011023  = 6                THEN M011023  = .R ;
IF MF11023  = 6                THEN MF11023  = .R ;
IF M011024  = 6                THEN M011024  = .R ;
IF MF11024  = 6                THEN MF11024  = .R ;
IF M012048  = 6                THEN M012048  = .R ;
IF MF12048  = 6                THEN MF12048  = .R ;
IF M011012  = 6                THEN M011012  = .R ;
IF MF11012  = 6                THEN MF11012  = .R ;
IF M011013  = 6                THEN M011013  = .R ;
IF MF11013  = 6                THEN MF11013  = .R ;
IF M011014  = 6                THEN M011014  = .R ;
IF MF11014  = 6                THEN MF11014  = .R ;
IF M011015  = 6                THEN M011015  = .R ;
IF MF11015  = 6                THEN MF11015  = .R ;
IF M011016  = 6                THEN M011016  = .R ;
IF MF11016  = 6                THEN MF11016  = .R ;
IF M012078  = 6                THEN M012078  = .R ;
IF MF12078  = 6                THEN MF12078  = .R ;
IF M012119  = 6                THEN M012119  = .R ;
IF MF12119  = 6                THEN MF12119  = .R ;
IF M011021  = 6                THEN M011021  = .R ;
IF MF11021  = 6                THEN MF11021  = .R ;
IF M012023  = 6                THEN M012023  = .R ;
IF MF12023  = 6                THEN MF12023  = .R ;
IF M011022  = 6                THEN M011022  = .R ;
IF MF11022  = 6                THEN MF11022  = .R ;
IF M011003  = 6                THEN M011003  = .R ;
IF MF11003  = 6                THEN MF11003  = .R ;
IF M011004  = 6                THEN M011004  = .R ;
IF MF11004  = 6                THEN MF11004  = .R ;
IF M011005  = 6                THEN M011005  = .R ;
IF MF11005  = 6                THEN MF11005  = .R ;
IF M012126  = 6                THEN M012126  = .R ;
IF MF12126  = 6                THEN MF12126  = .R ;
IF M011006  = 6                THEN M011006  = .R ;
IF MF11006  = 6                THEN MF11006  = .R ;
IF M012117  = 6                THEN M012117  = .R ;
IF MF12117  = 6                THEN MF12117  = .R ;
IF M011007  = 6                THEN M011007  = .R ;
IF MF11007  = 6                THEN MF11007  = .R ;
IF M011008  = 6                THEN M011008  = .R ;
IF MF11008  = 6                THEN MF11008  = .R ;
IF M011001  = 6                THEN M011001  = .R ;
IF MF11001  = 6                THEN MF11001  = .R ;
IF M011002  = 6                THEN M011002  = .R ;
IF MF11002  = 6                THEN MF11002  = .R ;
IF M012069  = 6                THEN M012069  = .R ;
IF MF12069  = 6                THEN MF12069  = .R ;
IF M011025  = 6                THEN M011025  = .R ;
IF MF11025  = 6                THEN MF11025  = .R ;
IF M011026  = 6                THEN M011026  = .R ;
IF MF11026  = 6                THEN MF11026  = .R ;
IF M011027  = 6                THEN M011027  = .R ;
IF MF11027  = 6                THEN MF11027  = .R ;
IF M011028  = 6                THEN M011028  = .R ;
IF MF11028  = 6                THEN MF11028  = .R ;
IF M031305  = 96               THEN M031305  = .R ;
IF MF31305  = 96               THEN MF31305  = .R ;
IF M031310  = 6                THEN M031310  = .R ;
IF MF31310  = 6                THEN MF31310  = .R ;
IF M031065  = 96               THEN M031065  = .R ;
IF MF31065  = 96               THEN MF31065  = .R ;
IF M031051  = 6                THEN M031051  = .R ;
IF MF31051  = 6                THEN MF31051  = .R ;
IF M031220  = 6                THEN M031220  = .R ;
IF MF31220  = 6                THEN MF31220  = .R ;
IF M031322  = 96               THEN M031322  = .R ;
IF MF31322  = 96               THEN MF31322  = .R ;
IF M031298  = 96               THEN M031298  = .R ;
IF MF31298  = 96               THEN MF31298  = .R ;
IF M031327  = 96               THEN M031327  = .R ;
IF MF31327  = 96               THEN MF31327  = .R ;
IF M031269  = 96               THEN M031269  = .R ;
IF MF31269  = 96               THEN MF31269  = .R ;
IF M031264  = 96               THEN M031264  = .R ;
IF MF31264  = 96               THEN MF31264  = .R ;
IF M031265  = 96               THEN M031265  = .R ;
IF MF31265  = 96               THEN MF31265  = .R ;
IF M031286  = 96               THEN M031286  = .R ;
IF MF31286  = 96               THEN MF31286  = .R ;
IF M031106  = 96               THEN M031106  = .R ;
IF MF31106  = 96               THEN MF31106  = .R ;
IF M031282  = 96               THEN M031282  = .R ;
IF MF31282  = 96               THEN MF31282  = .R ;
IF M031227  = 96               THEN M031227  = .R ;
IF MF31227  = 96               THEN MF31227  = .R ;
IF M031335  = 6                THEN M031335  = .R ;
IF MF31335  = 6                THEN MF31335  = .R ;
IF M031068  = 96               THEN M031068  = .R ;
IF MF31068  = 96               THEN MF31068  = .R ;
IF M031299  = 96               THEN M031299  = .R ;
IF MF31299  = 96               THEN MF31299  = .R ;
IF M031301  = 96               THEN M031301  = .R ;
IF MF31301  = 96               THEN MF31301  = .R ;
IF M031271  = 96               THEN M031271  = .R ;
IF MF31271  = 96               THEN MF31271  = .R ;
IF M031134  = 96               THEN M031134  = .R ;
IF MF31134  = 96               THEN MF31134  = .R ;
IF M031045  = 6                THEN M031045  = .R ;
IF MF31045  = 6                THEN MF31045  = .R ;
IF M031235  = 96               THEN M031235  = .R ;
IF MF31235  = 96               THEN MF31235  = .R ;
IF M031285  = 96               THEN M031285  = .R ;
IF MF31285  = 96               THEN MF31285  = .R ;
IF M031050  = 6                THEN M031050  = .R ;
IF MF31050  = 6                THEN MF31050  = .R ;
IF M031258  = 96               THEN M031258  = .R ;
IF MF31258  = 96               THEN MF31258  = .R ;
IF M031334  = 6                THEN M031334  = .R ;
IF MF31334  = 6                THEN MF31334  = .R ;
IF M031255  = 6                THEN M031255  = .R ;
IF MF31255  = 6                THEN MF31255  = .R ;
IF M031041  = 96               THEN M031041  = .R ;
IF MF31041  = 96               THEN MF31041  = .R ;
IF M031350A = 96               THEN M031350A = .R ;
IF MF31350A = 96               THEN MF31350A = .R ;
IF M031350B = 96               THEN M031350B = .R ;
IF MF31350B = 96               THEN MF31350B = .R ;
IF M031350C = 96               THEN M031350C = .R ;
IF MF31350C = 96               THEN MF31350C = .R ;
IF M031274  = 96               THEN M031274  = .R ;
IF MF31274  = 96               THEN MF31274  = .R ;
IF M031240  = 96               THEN M031240  = .R ;
IF MF31240  = 96               THEN MF31240  = .R ;
IF M031303  = 6                THEN M031303  = .R ;
IF MF31303  = 6                THEN MF31303  = .R ;
IF M031309  = 96               THEN M031309  = .R ;
IF MF31309  = 96               THEN MF31309  = .R ;
IF M031245  = 6                THEN M031245  = .R ;
IF MF31245  = 6                THEN MF31245  = .R ;
IF M031242A = 96               THEN M031242A = .R ;
IF MF31242A = 96               THEN MF31242A = .R ;
IF M031242B = 96               THEN M031242B = .R ;
IF MF31242B = 96               THEN MF31242B = .R ;
IF M031242C = 6                THEN M031242C = .R ;
IF MF31242C = 6                THEN MF31242C = .R ;
IF M031247  = 96               THEN M031247  = .R ;
IF MF31247  = 96               THEN MF31247  = .R ;
IF M031219  = 6                THEN M031219  = .R ;
IF MF31219  = 6                THEN MF31219  = .R ;
IF M031173  = 6                THEN M031173  = .R ;
IF MF31173  = 6                THEN MF31173  = .R ;
IF M031085  = 6                THEN M031085  = .R ;
IF MF31085  = 6                THEN MF31085  = .R ;
IF M031172  = 6                THEN M031172  = .R ;
IF MF31172  = 6                THEN MF31172  = .R ;
IF M031029  = 6                THEN M031029  = .R ;
IF MF31029  = 6                THEN MF31029  = .R ;
IF M031030  = 96               THEN M031030  = .R ;
IF MF31030  = 96               THEN MF31030  = .R ;
IF M031332  = 6                THEN M031332  = .R ;
IF MF31332  = 6                THEN MF31332  = .R ;
IF M031098  = 6                THEN M031098  = .R ;
IF MF31098  = 6                THEN MF31098  = .R ;
IF M031254  = 6                THEN M031254  = .R ;
IF MF31254  = 6                THEN MF31254  = .R ;
IF M031038  = 6                THEN M031038  = .R ;
IF MF31038  = 6                THEN MF31038  = .R ;
IF M031276  = 6                THEN M031276  = .R ;
IF MF31276  = 6                THEN MF31276  = .R ;
IF M031064  = 6                THEN M031064  = .R ;
IF MF31064  = 6                THEN MF31064  = .R ;
IF M031006  = 6                THEN M031006  = .R ;
IF MF31006  = 6                THEN MF31006  = .R ;
IF M031330  = 96               THEN M031330  = .R ;
IF MF31330  = 96               THEN MF31330  = .R ;
IF M031351  = 6                THEN M031351  = .R ;
IF MF31351  = 6                THEN MF31351  = .R ;
IF M031135  = 6                THEN M031135  = .R ;
IF MF31135  = 6                THEN MF31135  = .R ;
IF M031162  = 96               THEN M031162  = .R ;
IF M031341  = 6                THEN M031341  = .R ;
IF M031216  = 6                THEN M031216  = .R ;
IF M031249  = 96               THEN M031249  = .R ;
IF M031347A = 96               THEN M031347A = .R ;
IF M031347B = 96               THEN M031347B = .R ;
IF M031347C = 96               THEN M031347C = .R ;
IF M031348A = 96               THEN M031348A = .R ;
IF M031348B = 96               THEN M031348B = .R ;
IF M031190  = 6                THEN M031190  = .R ;
IF M031306  = 96               THEN M031306  = .R ;
IF M031108  = 6                THEN M031108  = .R ;
IF M031011  = 96               THEN M031011  = .R ;
IF M031304  = 96               THEN M031304  = .R ;
IF M031023  = 6                THEN M031023  = .R ;
IF M031008  = 6                THEN M031008  = .R ;
IF M031338  = 6                THEN M031338  = .R ;
IF M031272A = 96               THEN M031272A = .R ;
IF M031272B = 96               THEN M031272B = .R ;
IF M031272C = 96               THEN M031272C = .R ;
IF M031267  = 96               THEN M031267  = .R ;
IF M031315  = 6                THEN M031315  = .R ;
IF M031128  = 96               THEN M031128  = .R ;
IF MF31128  = 96               THEN MF31128  = .R ;
IF M031016  = 96               THEN M031016  = .R ;
IF MF31016  = 96               THEN MF31016  = .R ;
IF M031183  = 96               THEN M031183  = .R ;
IF MF31183  = 96               THEN MF31183  = .R ;
IF M031223  = 6                THEN M031223  = .R ;
IF MF31223  = 6                THEN MF31223  = .R ;
IF M031187  = 6                THEN M031187  = .R ;
IF MF31187  = 6                THEN MF31187  = .R ;
IF M031251  = 6                THEN M031251  = .R ;
IF MF31251  = 6                THEN MF31251  = .R ;
IF M031294  = 6                THEN M031294  = .R ;
IF MF31294  = 6                THEN MF31294  = .R ;
IF M031297  = 96               THEN M031297  = .R ;
IF MF31297  = 96               THEN MF31297  = .R ;
IF M031218  = 6                THEN M031218  = .R ;
IF MF31218  = 6                THEN MF31218  = .R ;
IF M031109  = 6                THEN M031109  = .R ;
IF MF31109  = 6                THEN MF31109  = .R ;
IF M031159  = 6                THEN M031159  = .R ;
IF MF31159  = 6                THEN MF31159  = .R ;
IF M031133  = 96               THEN M031133  = .R ;
IF MF31133  = 96               THEN MF31133  = .R ;
IF M031210  = 6                THEN M031210  = .R ;
IF MF31210  = 6                THEN MF31210  = .R ;
IF M031009  = 96               THEN M031009  = .R ;
IF MF31009  = 96               THEN MF31009  = .R ;
IF M031252  = 6                THEN M031252  = .R ;
IF MF31252  = 6                THEN MF31252  = .R ;
IF M031316  = 96               THEN M031316  = .R ;
IF MF31316  = 96               THEN MF31316  = .R ;
IF M031317  = 6                THEN M031317  = .R ;
IF MF31317  = 6                THEN MF31317  = .R ;
IF M031079B = 96               THEN M031079B = .R ;
IF MF31079B = 96               THEN MF31079B = .R ;
IF M031079C = 96               THEN M031079C = .R ;
IF MF31079C = 96               THEN MF31079C = .R ;
IF M031004  = 6                THEN M031004  = .R ;
IF MF31004  = 6                THEN MF31004  = .R ;
IF M031043  = 6                THEN M031043  = .R ;
IF MF31043  = 6                THEN MF31043  = .R ;
IF M031325  = 96               THEN M031325  = .R ;
IF MF31325  = 96               THEN MF31325  = .R ;
IF M031088  = 6                THEN M031088  = .R ;
IF MF31088  = 6                THEN MF31088  = .R ;
IF M031093  = 6                THEN M031093  = .R ;
IF MF31093  = 6                THEN MF31093  = .R ;
IF M031155  = 6                THEN M031155  = .R ;
IF MF31155  = 6                THEN MF31155  = .R ;
IF M031344A = 96               THEN M031344A = .R ;
IF MF31344A = 96               THEN MF31344A = .R ;
IF M031344B = 96               THEN M031344B = .R ;
IF MF31344B = 96               THEN MF31344B = .R ;
IF M031344C = 96               THEN M031344C = .R ;
IF MF31344C = 96               THEN MF31344C = .R ;
IF M031345A = 96               THEN M031345A = .R ;
IF MF31345A = 96               THEN MF31345A = .R ;
IF M031345B = 96               THEN M031345B = .R ;
IF MF31345B = 96               THEN MF31345B = .R ;
IF M031345C = 96               THEN M031345C = .R ;
IF MF31345C = 96               THEN MF31345C = .R ;
IF M031130  = 96               THEN M031130  = .R ;
IF MF31130  = 96               THEN MF31130  = .R ;
IF M031097  = 6                THEN M031097  = .R ;
IF MF31097  = 6                THEN MF31097  = .R ;
IF M031178  = 6                THEN M031178  = .R ;
IF MF31178  = 6                THEN MF31178  = .R ;
IF M031333  = 6                THEN M031333  = .R ;
IF MF31333  = 6                THEN MF31333  = .R ;
IF M031346A = 96               THEN M031346A = .R ;
IF MF31346A = 96               THEN MF31346A = .R ;
IF M031346B = 96               THEN M031346B = .R ;
IF MF31346B = 96               THEN MF31346B = .R ;
IF M031346C = 96               THEN M031346C = .R ;
IF MF31346C = 96               THEN MF31346C = .R ;
IF M031379  = 96               THEN M031379  = .R ;
IF MF31379  = 96               THEN MF31379  = .R ;
IF M031380  = 96               THEN M031380  = .R ;
IF MF31380  = 96               THEN MF31380  = .R ;
IF M031002  = 6                THEN M031002  = .R ;
IF MF31002  = 6                THEN MF31002  = .R ;
IF M031313  = 96               THEN M031313  = .R ;
IF MF31313  = 96               THEN MF31313  = .R ;
IF M031083  = 6                THEN M031083  = .R ;
IF MF31083  = 6                THEN MF31083  = .R ;
IF M031071  = 6                THEN M031071  = .R ;
IF MF31071  = 6                THEN MF31071  = .R ;
IF M031185  = 6                THEN M031185  = .R ;
IF MF31185  = 6                THEN MF31185  = .R ;
IF S011006  = 6                THEN S011006  = .R ;
IF SF11006  = 6                THEN SF11006  = .R ;
IF S011007  = 6                THEN S011007  = .R ;
IF SF11007  = 6                THEN SF11007  = .R ;
IF S011008  = 6                THEN S011008  = .R ;
IF SF11008  = 6                THEN SF11008  = .R ;
IF S012033  = 6                THEN S012033  = .R ;
IF SF12033  = 6                THEN SF12033  = .R ;
IF S011001  = 6                THEN S011001  = .R ;
IF SF11001  = 6                THEN SF11001  = .R ;
IF S011003  = 6                THEN S011003  = .R ;
IF SF11003  = 6                THEN SF11003  = .R ;
IF S011004  = 6                THEN S011004  = .R ;
IF SF11004  = 6                THEN SF11004  = .R ;
IF S011005  = 6                THEN S011005  = .R ;
IF SF11005  = 6                THEN SF11005  = .R ;
IF S011021  = 6                THEN S011021  = .R ;
IF SF11021  = 6                THEN SF11021  = .R ;
IF S011022  = 6                THEN S011022  = .R ;
IF SF11022  = 6                THEN SF11022  = .R ;
IF S011023  = 6                THEN S011023  = .R ;
IF SF11023  = 6                THEN SF11023  = .R ;
IF S011030  = 6                THEN S011030  = .R ;
IF SF11030  = 6                THEN SF11030  = .R ;
IF S011031  = 6                THEN S011031  = .R ;
IF SF11031  = 6                THEN SF11031  = .R ;
IF S011032  = 96               THEN S011032  = .R ;
IF SF11032  = 96               THEN SF11032  = .R ;
IF S011033  = 6                THEN S011033  = .R ;
IF SF11033  = 6                THEN SF11033  = .R ;
IF S011025  = 6                THEN S011025  = .R ;
IF SF11025  = 6                THEN SF11025  = .R ;
IF S011026  = 6                THEN S011026  = .R ;
IF SF11026  = 6                THEN SF11026  = .R ;
IF S011027  = 6                THEN S011027  = .R ;
IF SF11027  = 6                THEN SF11027  = .R ;
IF S011028  = 6                THEN S011028  = .R ;
IF SF11028  = 6                THEN SF11028  = .R ;
IF S011029  = 6                THEN S011029  = .R ;
IF SF11029  = 6                THEN SF11029  = .R ;
IF S011016  = 6                THEN S011016  = .R ;
IF SF11016  = 6                THEN SF11016  = .R ;
IF S012007  = 6                THEN S012007  = .R ;
IF SF12007  = 6                THEN SF12007  = .R ;
IF S011017  = 6                THEN S011017  = .R ;
IF SF11017  = 6                THEN SF11017  = .R ;
IF S011018  = 6                THEN S011018  = .R ;
IF SF11018  = 6                THEN SF11018  = .R ;
IF S012010  = 6                THEN S012010  = .R ;
IF SF12010  = 6                THEN SF12010  = .R ;
IF S011019  = 96               THEN S011019  = .R ;
IF SF11019  = 96               THEN SF11019  = .R ;
IF S011009  = 6                THEN S011009  = .R ;
IF SF11009  = 6                THEN SF11009  = .R ;
IF S011010  = 6                THEN S011010  = .R ;
IF SF11010  = 6                THEN SF11010  = .R ;
IF S011011  = 6                THEN S011011  = .R ;
IF SF11011  = 6                THEN SF11011  = .R ;
IF S011012  = 6                THEN S011012  = .R ;
IF SF11012  = 6                THEN SF11012  = .R ;
IF S011013  = 6                THEN S011013  = .R ;
IF SF11013  = 6                THEN SF11013  = .R ;
IF S011014  = 6                THEN S011014  = .R ;
IF SF11014  = 6                THEN SF11014  = .R ;
IF S011015  = 6                THEN S011015  = .R ;
IF SF11015  = 6                THEN SF11015  = .R ;
IF S031017  = 6                THEN S031017  = .R ;
IF SF31017  = 6                THEN SF31017  = .R ;
IF S031246  = 96               THEN S031246  = .R ;
IF SF31246  = 96               THEN SF31246  = .R ;
IF S031287  = 6                THEN S031287  = .R ;
IF SF31287  = 6                THEN SF31287  = .R ;
IF S031251  = 96               THEN S031251  = .R ;
IF SF31251  = 96               THEN SF31251  = .R ;
IF S031053  = 96               THEN S031053  = .R ;
IF SF31053  = 96               THEN SF31053  = .R ;
IF S031005  = 96               THEN S031005  = .R ;
IF SF31005  = 96               THEN SF31005  = .R ;
IF S031306  = 6                THEN S031306  = .R ;
IF SF31306  = 6                THEN SF31306  = .R ;
IF S031372A = 96               THEN S031372A = .R ;
IF SF31372A = 96               THEN SF31372A = .R ;
IF S031372B = 96               THEN S031372B = .R ;
IF SF31372B = 96               THEN SF31372B = .R ;
IF S031082  = 6                THEN S031082  = .R ;
IF SF31082  = 6                THEN SF31082  = .R ;
IF S031229  = 6                THEN S031229  = .R ;
IF SF31229  = 6                THEN SF31229  = .R ;
IF S031270  = 96               THEN S031270  = .R ;
IF SF31270  = 96               THEN SF31270  = .R ;
IF S031026  = 96               THEN S031026  = .R ;
IF SF31026  = 96               THEN SF31026  = .R ;
IF S031319  = 6                THEN S031319  = .R ;
IF SF31319  = 6                THEN SF31319  = .R ;
IF S031414A = 96               THEN S031414A = .R ;
IF SF31414A = 96               THEN SF31414A = .R ;
IF S031414B = 96               THEN S031414B = .R ;
IF SF31414B = 96               THEN SF31414B = .R ;
IF S031078  = 6                THEN S031078  = .R ;
IF SF31078  = 6                THEN SF31078  = .R ;
IF S031009  = 96               THEN S031009  = .R ;
IF SF31009  = 96               THEN SF31009  = .R ;
IF S031401  = 6                THEN S031401  = .R ;
IF SF31401  = 6                THEN SF31401  = .R ;
IF S031384A = 96               THEN S031384A = .R ;
IF SF31384A = 96               THEN SF31384A = .R ;
IF S031384B = 96               THEN S031384B = .R ;
IF SF31384B = 96               THEN SF31384B = .R ;
IF S031255  = 6                THEN S031255  = .R ;
IF SF31255  = 6                THEN SF31255  = .R ;
IF S031240A = 96               THEN S031240A = .R ;
IF S031240B = 96               THEN S031240B = .R ;
IF S031240D = 96               THEN S031240D = .R ;
IF SF31240A = 96               THEN SF31240A = .R ;
IF SF31240B = 96               THEN SF31240B = .R ;
IF SF31240D = 96               THEN SF31240D = .R ;
IF S031239  = 6                THEN S031239  = .R ;
IF SF31239  = 6                THEN SF31239  = .R ;
IF S031235A = 96               THEN S031235A = .R ;
IF SF31235A = 96               THEN SF31235A = .R ;
IF S031235B = 96               THEN S031235B = .R ;
IF SF31235B = 96               THEN SF31235B = .R ;
IF S031205  = 6                THEN S031205  = .R ;
IF SF31205  = 6                THEN SF31205  = .R ;
IF S031399A = 96               THEN S031399A = .R ;
IF SF31399A = 96               THEN SF31399A = .R ;
IF S031399B = 96               THEN S031399B = .R ;
IF SF31399B = 96               THEN SF31399B = .R ;
IF S031393  = 96               THEN S031393  = .R ;
IF SF31393  = 96               THEN SF31393  = .R ;
IF S031278  = 96               THEN S031278  = .R ;
IF SF31278  = 96               THEN SF31278  = .R ;
IF S031317  = 6                THEN S031317  = .R ;
IF SF31317  = 6                THEN SF31317  = .R ;
IF S031190  = 96               THEN S031190  = .R ;
IF SF31190  = 96               THEN SF31190  = .R ;
IF S031431  = 6                THEN S031431  = .R ;
IF SF31431  = 6                THEN SF31431  = .R ;
IF S031283  = 6                THEN S031283  = .R ;
IF SF31283  = 6                THEN SF31283  = .R ;
IF S031426  = 6                THEN S031426  = .R ;
IF SF31426  = 6                THEN SF31426  = .R ;
IF S031422  = 6                THEN S031422  = .R ;
IF SF31422  = 6                THEN SF31422  = .R ;
IF S031427  = 6                THEN S031427  = .R ;
IF SF31427  = 6                THEN SF31427  = .R ;
IF S031075  = 6                THEN S031075  = .R ;
IF SF31075  = 6                THEN SF31075  = .R ;
IF S031047  = 96               THEN S031047  = .R ;
IF SF31047  = 96               THEN SF31047  = .R ;
IF S031387  = 6                THEN S031387  = .R ;
IF SF31387  = 6                THEN SF31387  = .R ;
IF S031396A = 96               THEN S031396A = .R ;
IF S031396B = 96               THEN S031396B = .R ;
IF S031396D = 96               THEN S031396D = .R ;
IF SF31396A = 96               THEN SF31396A = .R ;
IF SF31396B = 96               THEN SF31396B = .R ;
IF SF31396D = 96               THEN SF31396D = .R ;
IF S031340  = 6                THEN S031340  = .R ;
IF SF31340  = 6                THEN SF31340  = .R ;
IF S031236  = 6                THEN S031236  = .R ;
IF SF31236  = 6                THEN SF31236  = .R ;
IF S031391A = 96               THEN S031391A = .R ;
IF S031391B = 96               THEN S031391B = .R ;
IF S031391D = 96               THEN S031391D = .R ;
IF SF31391A = 96               THEN SF31391A = .R ;
IF SF31391B = 96               THEN SF31391B = .R ;
IF SF31391D = 96               THEN SF31391D = .R ;
IF S031361  = 6                THEN S031361  = .R ;
IF SF31361  = 6                THEN SF31361  = .R ;
IF S031001  = 6                THEN S031001  = .R ;
IF SF31001  = 6                THEN SF31001  = .R ;
IF S031084  = 6                THEN S031084  = .R ;
IF SF31084  = 6                THEN SF31084  = .R ;
IF S031410  = 6                THEN S031410  = .R ;
IF SF31410  = 6                THEN SF31410  = .R ;
IF S031421  = 96               THEN S031421  = .R ;
IF SF31421  = 96               THEN SF31421  = .R ;
IF S031298  = 6                THEN S031298  = .R ;
IF SF31298  = 6                THEN SF31298  = .R ;
IF S031076  = 96               THEN S031076  = .R ;
IF SF31076  = 96               THEN SF31076  = .R ;
IF S031275  = 6                THEN S031275  = .R ;
IF SF31275  = 6                THEN SF31275  = .R ;
IF S031349  = 6                THEN S031349  = .R ;
IF S031330  = 96               THEN S031330  = .R ;
IF S031212  = 6                THEN S031212  = .R ;
IF S031241A = 96               THEN S031241A = .R ;
IF S031241B = 96               THEN S031241B = .R ;
IF S031241D = 96               THEN S031241D = .R ;
IF S031038  = 6                THEN S031038  = .R ;
IF S031252  = 96               THEN S031252  = .R ;
IF S031406A = 96               THEN S031406A = .R ;
IF S031406B = 96               THEN S031406B = .R ;
IF S031383  = 6                THEN S031383  = .R ;
IF S031379  = 6                THEN S031379  = .R ;
IF S031060  = 6                THEN S031060  = .R ;
IF S031269  = 6                THEN S031269  = .R ;
IF S031284  = 6                THEN S031284  = .R ;
IF S031338  = 6                THEN S031338  = .R ;
IF S031382  = 96               THEN S031382  = .R ;
IF S031218  = 96               THEN S031218  = .R ;
IF S031326A = 96               THEN S031326A = .R ;
IF S031326B = 96               THEN S031326B = .R ;
IF S031326D = 96               THEN S031326D = .R ;
IF S031003  = 6                THEN S031003  = .R ;
IF S031035  = 6                THEN S031035  = .R ;
IF S031420  = 6                THEN S031420  = .R ;
IF S031370  = 96               THEN S031370  = .R ;
IF S031313  = 6                THEN S031313  = .R ;
IF S031254  = 6                THEN S031254  = .R ;
IF SF31254  = 6                THEN SF31254  = .R ;
IF S031266  = 6                THEN S031266  = .R ;
IF SF31266  = 6                THEN SF31266  = .R ;
IF S031233  = 96               THEN S031233  = .R ;
IF SF31233  = 96               THEN SF31233  = .R ;
IF S031204  = 96               THEN S031204  = .R ;
IF SF31204  = 96               THEN SF31204  = .R ;
IF S031273  = 6                THEN S031273  = .R ;
IF SF31273  = 6                THEN SF31273  = .R ;
IF S031299  = 96               THEN S031299  = .R ;
IF SF31299  = 96               THEN SF31299  = .R ;
IF S031281  = 6                THEN S031281  = .R ;
IF SF31281  = 6                THEN SF31281  = .R ;
IF S031077  = 6                THEN S031077  = .R ;
IF SF31077  = 6                THEN SF31077  = .R ;
IF S031311  = 6                THEN S031311  = .R ;
IF SF31311  = 6                THEN SF31311  = .R ;
IF S031088A = 96               THEN S031088A = .R ;
IF S031088B = 96               THEN S031088B = .R ;
IF S031088D = 96               THEN S031088D = .R ;
IF SF31088A = 96               THEN SF31088A = .R ;
IF SF31088B = 96               THEN SF31088B = .R ;
IF SF31088D = 96               THEN SF31088D = .R ;
IF S031389  = 6                THEN S031389  = .R ;
IF SF31389  = 6                THEN SF31389  = .R ;
IF S031356  = 6                THEN S031356  = .R ;
IF SF31356  = 6                THEN SF31356  = .R ;
IF S031291  = 6                THEN S031291  = .R ;
IF SF31291  = 6                THEN SF31291  = .R ;
IF S031230  = 6                THEN S031230  = .R ;
IF SF31230  = 6                THEN SF31230  = .R ;
IF S031325  = 96               THEN S031325  = .R ;
IF SF31325  = 96               THEN SF31325  = .R ;
IF S031068  = 6                THEN S031068  = .R ;
IF SF31068  = 6                THEN SF31068  = .R ;
IF S031418  = 6                THEN S031418  = .R ;
IF SF31418  = 6                THEN SF31418  = .R ;
IF S031197A = 96               THEN S031197A = .R ;
IF S031197B = 96               THEN S031197B = .R ;
IF S031197D = 96               THEN S031197D = .R ;
IF SF31197A = 96               THEN SF31197A = .R ;
IF SF31197B = 96               THEN SF31197B = .R ;
IF SF31197D = 96               THEN SF31197D = .R ;
IF S031371  = 6                THEN S031371  = .R ;
IF SF31371  = 6                THEN SF31371  = .R ;
IF S031376  = 6                THEN S031376  = .R ;
IF SF31376  = 6                THEN SF31376  = .R ;
IF S031044  = 96               THEN S031044  = .R ;
IF SF31044  = 96               THEN SF31044  = .R ;
IF S031390A = 96               THEN S031390A = .R ;
IF S031390B = 96               THEN S031390B = .R ;
IF S031390D = 96               THEN S031390D = .R ;
IF SF31390A = 96               THEN SF31390A = .R ;
IF SF31390B = 96               THEN SF31390B = .R ;
IF SF31390D = 96               THEN SF31390D = .R ;
IF S031409  = 6                THEN S031409  = .R ;
IF SF31409  = 6                THEN SF31409  = .R ;
IF S031398  = 6                THEN S031398  = .R ;
IF SF31398  = 6                THEN SF31398  = .R ;
IF S031072  = 96               THEN S031072  = .R ;
IF SF31072  = 96               THEN SF31072  = .R ;
IF S031061  = 6                THEN S031061  = .R ;
IF SF31061  = 6                THEN SF31061  = .R ;
IF S031439A = 96               THEN S031439A = .R ;
IF SF31439A = 96               THEN SF31439A = .R ;
IF S031439B = 96               THEN S031439B = .R ;
IF SF31439B = 96               THEN SF31439B = .R ;
IF S031440  = 96               THEN S031440  = .R ;
IF SF31440  = 96               THEN SF31440  = .R ;
IF S031441A = 96               THEN S031441A = .R ;
IF SF31441A = 96               THEN SF31441A = .R ;
IF S031441B = 96               THEN S031441B = .R ;
IF SF31441B = 96               THEN SF31441B = .R ;
IF S031442  = 96               THEN S031442  = .R ;
IF SF31442  = 96               THEN SF31442  = .R ;
IF S031443  = 96               THEN S031443  = .R ;
IF SF31443  = 96               THEN SF31443  = .R ;
IF S031446A = 96               THEN S031446A = .R ;
IF SF31446A = 96               THEN SF31446A = .R ;
IF S031446B = 96               THEN S031446B = .R ;
IF SF31446B = 96               THEN SF31446B = .R ;
IF S031446C = 96               THEN S031446C = .R ;
IF SF31446C = 96               THEN SF31446C = .R ;
IF S031445A = 96               THEN S031445A = .R ;
IF SF31445A = 96               THEN SF31445A = .R ;
IF S031445B = 96               THEN S031445B = .R ;
IF SF31445B = 96               THEN SF31445B = .R ;
IF S031447  = 96               THEN S031447  = .R ;
IF SF31447  = 96               THEN SF31447  = .R ;
IF S031193  = 6                THEN S031193  = .R ;
IF SF31193  = 6                THEN SF31193  = .R ;
IF S031264  = 6                THEN S031264  = .R ;
IF SF31264  = 6                THEN SF31264  = .R ;
IF S031347  = 6                THEN S031347  = .R ;
IF SF31347  = 6                THEN SF31347  = .R ;
IF S031346  = 96               THEN S031346  = .R ;
IF SF31346  = 96               THEN SF31346  = .R ;
IF S031081  = 96               THEN S031081  = .R ;
IF SF31081  = 96               THEN SF31081  = .R ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCORA  = 999              THEN IDSCORA  = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF IDSTRATE = 999              THEN IDSTRATE = . ;
IF IDSTRATI = 999              THEN IDSTRATI = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITLANG   = 9                THEN ITLANG   = . ;
IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF ASDAGE   = 99               THEN ASDAGE   = . ;
IF ILRELIAB = 9                THEN ILRELIAB = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF M011009  = 9                THEN M011009  = . ;
IF MF11009  = 9                THEN MF11009  = . ;
IF M011010  = 9                THEN M011010  = . ;
IF MF11010  = 9                THEN MF11010  = . ;
IF M012044  = 9                THEN M012044  = . ;
IF MF12044  = 9                THEN MF12044  = . ;
IF M011011  = 9                THEN M011011  = . ;
IF MF11011  = 9                THEN MF11011  = . ;
IF M011017  = 9                THEN M011017  = . ;
IF MF11017  = 9                THEN MF11017  = . ;
IF M011018  = 9                THEN M011018  = . ;
IF MF11018  = 9                THEN MF11018  = . ;
IF M011019  = 9                THEN M011019  = . ;
IF MF11019  = 9                THEN MF11019  = . ;
IF M011020  = 9                THEN M011020  = . ;
IF MF11020  = 9                THEN MF11020  = . ;
IF M012065  = 9                THEN M012065  = . ;
IF MF12065  = 9                THEN MF12065  = . ;
IF M011023  = 9                THEN M011023  = . ;
IF MF11023  = 9                THEN MF11023  = . ;
IF M011024  = 9                THEN M011024  = . ;
IF MF11024  = 9                THEN MF11024  = . ;
IF M012048  = 9                THEN M012048  = . ;
IF MF12048  = 9                THEN MF12048  = . ;
IF M011012  = 9                THEN M011012  = . ;
IF MF11012  = 9                THEN MF11012  = . ;
IF M011013  = 9                THEN M011013  = . ;
IF MF11013  = 9                THEN MF11013  = . ;
IF M011014  = 9                THEN M011014  = . ;
IF MF11014  = 9                THEN MF11014  = . ;
IF M011015  = 9                THEN M011015  = . ;
IF MF11015  = 9                THEN MF11015  = . ;
IF M011016  = 9                THEN M011016  = . ;
IF MF11016  = 9                THEN MF11016  = . ;
IF M012078  = 9                THEN M012078  = . ;
IF MF12078  = 9                THEN MF12078  = . ;
IF M012119  = 9                THEN M012119  = . ;
IF MF12119  = 9                THEN MF12119  = . ;
IF M011021  = 9                THEN M011021  = . ;
IF MF11021  = 9                THEN MF11021  = . ;
IF M012023  = 9                THEN M012023  = . ;
IF MF12023  = 9                THEN MF12023  = . ;
IF M011022  = 9                THEN M011022  = . ;
IF MF11022  = 9                THEN MF11022  = . ;
IF M011003  = 9                THEN M011003  = . ;
IF MF11003  = 9                THEN MF11003  = . ;
IF M011004  = 9                THEN M011004  = . ;
IF MF11004  = 9                THEN MF11004  = . ;
IF M011005  = 9                THEN M011005  = . ;
IF MF11005  = 9                THEN MF11005  = . ;
IF M012126  = 9                THEN M012126  = . ;
IF MF12126  = 9                THEN MF12126  = . ;
IF M011006  = 9                THEN M011006  = . ;
IF MF11006  = 9                THEN MF11006  = . ;
IF M012117  = 9                THEN M012117  = . ;
IF MF12117  = 9                THEN MF12117  = . ;
IF M011007  = 9                THEN M011007  = . ;
IF MF11007  = 9                THEN MF11007  = . ;
IF M011008  = 9                THEN M011008  = . ;
IF MF11008  = 9                THEN MF11008  = . ;
IF M011001  = 9                THEN M011001  = . ;
IF MF11001  = 9                THEN MF11001  = . ;
IF M011002  = 9                THEN M011002  = . ;
IF MF11002  = 9                THEN MF11002  = . ;
IF M012069  = 9                THEN M012069  = . ;
IF MF12069  = 9                THEN MF12069  = . ;
IF M011025  = 9                THEN M011025  = . ;
IF MF11025  = 9                THEN MF11025  = . ;
IF M011026  = 9                THEN M011026  = . ;
IF MF11026  = 9                THEN MF11026  = . ;
IF M011027  = 9                THEN M011027  = . ;
IF MF11027  = 9                THEN MF11027  = . ;
IF M011028  = 9                THEN M011028  = . ;
IF MF11028  = 9                THEN MF11028  = . ;
IF M031305  = 99               THEN M031305  = . ;
IF MF31305  = 99               THEN MF31305  = . ;
IF M031310  = 9                THEN M031310  = . ;
IF MF31310  = 9                THEN MF31310  = . ;
IF M031065  = 99               THEN M031065  = . ;
IF MF31065  = 99               THEN MF31065  = . ;
IF M031051  = 9                THEN M031051  = . ;
IF MF31051  = 9                THEN MF31051  = . ;
IF M031220  = 9                THEN M031220  = . ;
IF MF31220  = 9                THEN MF31220  = . ;
IF M031322  = 99               THEN M031322  = . ;
IF MF31322  = 99               THEN MF31322  = . ;
IF M031298  = 99               THEN M031298  = . ;
IF MF31298  = 99               THEN MF31298  = . ;
IF M031327  = 99               THEN M031327  = . ;
IF MF31327  = 99               THEN MF31327  = . ;
IF M031269  = 99               THEN M031269  = . ;
IF MF31269  = 99               THEN MF31269  = . ;
IF M031264  = 99               THEN M031264  = . ;
IF MF31264  = 99               THEN MF31264  = . ;
IF M031265  = 99               THEN M031265  = . ;
IF MF31265  = 99               THEN MF31265  = . ;
IF M031286  = 99               THEN M031286  = . ;
IF MF31286  = 99               THEN MF31286  = . ;
IF M031106  = 99               THEN M031106  = . ;
IF MF31106  = 99               THEN MF31106  = . ;
IF M031282  = 99               THEN M031282  = . ;
IF MF31282  = 99               THEN MF31282  = . ;
IF M031227  = 99               THEN M031227  = . ;
IF MF31227  = 99               THEN MF31227  = . ;
IF M031335  = 9                THEN M031335  = . ;
IF MF31335  = 9                THEN MF31335  = . ;
IF M031068  = 99               THEN M031068  = . ;
IF MF31068  = 99               THEN MF31068  = . ;
IF M031299  = 99               THEN M031299  = . ;
IF MF31299  = 99               THEN MF31299  = . ;
IF M031301  = 99               THEN M031301  = . ;
IF MF31301  = 99               THEN MF31301  = . ;
IF M031271  = 99               THEN M031271  = . ;
IF MF31271  = 99               THEN MF31271  = . ;
IF M031134  = 99               THEN M031134  = . ;
IF MF31134  = 99               THEN MF31134  = . ;
IF M031045  = 9                THEN M031045  = . ;
IF MF31045  = 9                THEN MF31045  = . ;
IF M031235  = 99               THEN M031235  = . ;
IF MF31235  = 99               THEN MF31235  = . ;
IF M031285  = 99               THEN M031285  = . ;
IF MF31285  = 99               THEN MF31285  = . ;
IF M031050  = 9                THEN M031050  = . ;
IF MF31050  = 9                THEN MF31050  = . ;
IF M031258  = 99               THEN M031258  = . ;
IF MF31258  = 99               THEN MF31258  = . ;
IF M031334  = 9                THEN M031334  = . ;
IF MF31334  = 9                THEN MF31334  = . ;
IF M031255  = 9                THEN M031255  = . ;
IF MF31255  = 9                THEN MF31255  = . ;
IF M031041  = 99               THEN M031041  = . ;
IF MF31041  = 99               THEN MF31041  = . ;
IF M031350A = 99               THEN M031350A = . ;
IF MF31350A = 99               THEN MF31350A = . ;
IF M031350B = 99               THEN M031350B = . ;
IF MF31350B = 99               THEN MF31350B = . ;
IF M031350C = 99               THEN M031350C = . ;
IF MF31350C = 99               THEN MF31350C = . ;
IF M031274  = 99               THEN M031274  = . ;
IF MF31274  = 99               THEN MF31274  = . ;
IF M031240  = 99               THEN M031240  = . ;
IF MF31240  = 99               THEN MF31240  = . ;
IF M031303  = 9                THEN M031303  = . ;
IF MF31303  = 9                THEN MF31303  = . ;
IF M031309  = 99               THEN M031309  = . ;
IF MF31309  = 99               THEN MF31309  = . ;
IF M031245  = 9                THEN M031245  = . ;
IF MF31245  = 9                THEN MF31245  = . ;
IF M031242A = 99               THEN M031242A = . ;
IF MF31242A = 99               THEN MF31242A = . ;
IF M031242B = 99               THEN M031242B = . ;
IF MF31242B = 99               THEN MF31242B = . ;
IF M031242C = 9                THEN M031242C = . ;
IF MF31242C = 9                THEN MF31242C = . ;
IF M031247  = 99               THEN M031247  = . ;
IF MF31247  = 99               THEN MF31247  = . ;
IF M031219  = 9                THEN M031219  = . ;
IF MF31219  = 9                THEN MF31219  = . ;
IF M031173  = 9                THEN M031173  = . ;
IF MF31173  = 9                THEN MF31173  = . ;
IF M031085  = 9                THEN M031085  = . ;
IF MF31085  = 9                THEN MF31085  = . ;
IF M031172  = 9                THEN M031172  = . ;
IF MF31172  = 9                THEN MF31172  = . ;
IF M031029  = 9                THEN M031029  = . ;
IF MF31029  = 9                THEN MF31029  = . ;
IF M031030  = 99               THEN M031030  = . ;
IF MF31030  = 99               THEN MF31030  = . ;
IF M031332  = 9                THEN M031332  = . ;
IF MF31332  = 9                THEN MF31332  = . ;
IF M031098  = 9                THEN M031098  = . ;
IF MF31098  = 9                THEN MF31098  = . ;
IF M031254  = 9                THEN M031254  = . ;
IF MF31254  = 9                THEN MF31254  = . ;
IF M031038  = 9                THEN M031038  = . ;
IF MF31038  = 9                THEN MF31038  = . ;
IF M031276  = 9                THEN M031276  = . ;
IF MF31276  = 9                THEN MF31276  = . ;
IF M031064  = 9                THEN M031064  = . ;
IF MF31064  = 9                THEN MF31064  = . ;
IF M031006  = 9                THEN M031006  = . ;
IF MF31006  = 9                THEN MF31006  = . ;
IF M031330  = 99               THEN M031330  = . ;
IF MF31330  = 99               THEN MF31330  = . ;
IF M031351  = 9                THEN M031351  = . ;
IF MF31351  = 9                THEN MF31351  = . ;
IF M031135  = 9                THEN M031135  = . ;
IF MF31135  = 9                THEN MF31135  = . ;
IF M031162  = 99               THEN M031162  = . ;
IF M031341  = 9                THEN M031341  = . ;
IF M031216  = 9                THEN M031216  = . ;
IF M031249  = 99               THEN M031249  = . ;
IF M031347A = 99               THEN M031347A = . ;
IF M031347B = 99               THEN M031347B = . ;
IF M031347C = 99               THEN M031347C = . ;
IF M031348A = 99               THEN M031348A = . ;
IF M031348B = 99               THEN M031348B = . ;
IF M031190  = 9                THEN M031190  = . ;
IF M031306  = 99               THEN M031306  = . ;
IF M031108  = 9                THEN M031108  = . ;
IF M031011  = 99               THEN M031011  = . ;
IF M031304  = 99               THEN M031304  = . ;
IF M031023  = 9                THEN M031023  = . ;
IF M031008  = 9                THEN M031008  = . ;
IF M031338  = 9                THEN M031338  = . ;
IF M031272A = 99               THEN M031272A = . ;
IF M031272B = 99               THEN M031272B = . ;
IF M031272C = 99               THEN M031272C = . ;
IF M031267  = 99               THEN M031267  = . ;
IF M031315  = 9                THEN M031315  = . ;
IF M031128  = 99               THEN M031128  = . ;
IF MF31128  = 99               THEN MF31128  = . ;
IF M031016  = 99               THEN M031016  = . ;
IF MF31016  = 99               THEN MF31016  = . ;
IF M031183  = 99               THEN M031183  = . ;
IF MF31183  = 99               THEN MF31183  = . ;
IF M031223  = 9                THEN M031223  = . ;
IF MF31223  = 9                THEN MF31223  = . ;
IF M031187  = 9                THEN M031187  = . ;
IF MF31187  = 9                THEN MF31187  = . ;
IF M031251  = 9                THEN M031251  = . ;
IF MF31251  = 9                THEN MF31251  = . ;
IF M031294  = 9                THEN M031294  = . ;
IF MF31294  = 9                THEN MF31294  = . ;
IF M031297  = 99               THEN M031297  = . ;
IF MF31297  = 99               THEN MF31297  = . ;
IF M031218  = 9                THEN M031218  = . ;
IF MF31218  = 9                THEN MF31218  = . ;
IF M031109  = 9                THEN M031109  = . ;
IF MF31109  = 9                THEN MF31109  = . ;
IF M031159  = 9                THEN M031159  = . ;
IF MF31159  = 9                THEN MF31159  = . ;
IF M031133  = 99               THEN M031133  = . ;
IF MF31133  = 99               THEN MF31133  = . ;
IF M031210  = 9                THEN M031210  = . ;
IF MF31210  = 9                THEN MF31210  = . ;
IF M031009  = 99               THEN M031009  = . ;
IF MF31009  = 99               THEN MF31009  = . ;
IF M031252  = 9                THEN M031252  = . ;
IF MF31252  = 9                THEN MF31252  = . ;
IF M031316  = 99               THEN M031316  = . ;
IF MF31316  = 99               THEN MF31316  = . ;
IF M031317  = 9                THEN M031317  = . ;
IF MF31317  = 9                THEN MF31317  = . ;
IF M031079B = 99               THEN M031079B = . ;
IF MF31079B = 99               THEN MF31079B = . ;
IF M031079C = 99               THEN M031079C = . ;
IF MF31079C = 99               THEN MF31079C = . ;
IF M031004  = 9                THEN M031004  = . ;
IF MF31004  = 9                THEN MF31004  = . ;
IF M031043  = 9                THEN M031043  = . ;
IF MF31043  = 9                THEN MF31043  = . ;
IF M031325  = 99               THEN M031325  = . ;
IF MF31325  = 99               THEN MF31325  = . ;
IF M031088  = 9                THEN M031088  = . ;
IF MF31088  = 9                THEN MF31088  = . ;
IF M031093  = 9                THEN M031093  = . ;
IF MF31093  = 9                THEN MF31093  = . ;
IF M031155  = 9                THEN M031155  = . ;
IF MF31155  = 9                THEN MF31155  = . ;
IF M031344A = 99               THEN M031344A = . ;
IF MF31344A = 99               THEN MF31344A = . ;
IF M031344B = 99               THEN M031344B = . ;
IF MF31344B = 99               THEN MF31344B = . ;
IF M031344C = 99               THEN M031344C = . ;
IF MF31344C = 99               THEN MF31344C = . ;
IF M031345A = 99               THEN M031345A = . ;
IF MF31345A = 99               THEN MF31345A = . ;
IF M031345B = 99               THEN M031345B = . ;
IF MF31345B = 99               THEN MF31345B = . ;
IF M031345C = 99               THEN M031345C = . ;
IF MF31345C = 99               THEN MF31345C = . ;
IF M031130  = 99               THEN M031130  = . ;
IF MF31130  = 99               THEN MF31130  = . ;
IF M031097  = 9                THEN M031097  = . ;
IF MF31097  = 9                THEN MF31097  = . ;
IF M031178  = 9                THEN M031178  = . ;
IF MF31178  = 9                THEN MF31178  = . ;
IF M031333  = 9                THEN M031333  = . ;
IF MF31333  = 9                THEN MF31333  = . ;
IF M031346A = 99               THEN M031346A = . ;
IF MF31346A = 99               THEN MF31346A = . ;
IF M031346B = 99               THEN M031346B = . ;
IF MF31346B = 99               THEN MF31346B = . ;
IF M031346C = 99               THEN M031346C = . ;
IF MF31346C = 99               THEN MF31346C = . ;
IF M031379  = 99               THEN M031379  = . ;
IF MF31379  = 99               THEN MF31379  = . ;
IF M031380  = 99               THEN M031380  = . ;
IF MF31380  = 99               THEN MF31380  = . ;
IF M031002  = 9                THEN M031002  = . ;
IF MF31002  = 9                THEN MF31002  = . ;
IF M031313  = 99               THEN M031313  = . ;
IF MF31313  = 99               THEN MF31313  = . ;
IF M031083  = 9                THEN M031083  = . ;
IF MF31083  = 9                THEN MF31083  = . ;
IF M031071  = 9                THEN M031071  = . ;
IF MF31071  = 9                THEN MF31071  = . ;
IF M031185  = 9                THEN M031185  = . ;
IF MF31185  = 9                THEN MF31185  = . ;
IF S011006  = 9                THEN S011006  = . ;
IF SF11006  = 9                THEN SF11006  = . ;
IF S011007  = 9                THEN S011007  = . ;
IF SF11007  = 9                THEN SF11007  = . ;
IF S011008  = 9                THEN S011008  = . ;
IF SF11008  = 9                THEN SF11008  = . ;
IF S012033  = 9                THEN S012033  = . ;
IF SF12033  = 9                THEN SF12033  = . ;
IF S011001  = 9                THEN S011001  = . ;
IF SF11001  = 9                THEN SF11001  = . ;
IF S011003  = 9                THEN S011003  = . ;
IF SF11003  = 9                THEN SF11003  = . ;
IF S011004  = 9                THEN S011004  = . ;
IF SF11004  = 9                THEN SF11004  = . ;
IF S011005  = 9                THEN S011005  = . ;
IF SF11005  = 9                THEN SF11005  = . ;
IF S011021  = 9                THEN S011021  = . ;
IF SF11021  = 9                THEN SF11021  = . ;
IF S011022  = 9                THEN S011022  = . ;
IF SF11022  = 9                THEN SF11022  = . ;
IF S011023  = 9                THEN S011023  = . ;
IF SF11023  = 9                THEN SF11023  = . ;
IF S011030  = 9                THEN S011030  = . ;
IF SF11030  = 9                THEN SF11030  = . ;
IF S011031  = 9                THEN S011031  = . ;
IF SF11031  = 9                THEN SF11031  = . ;
IF S011032  = 99               THEN S011032  = . ;
IF SF11032  = 99               THEN SF11032  = . ;
IF S011033  = 9                THEN S011033  = . ;
IF SF11033  = 9                THEN SF11033  = . ;
IF S011025  = 9                THEN S011025  = . ;
IF SF11025  = 9                THEN SF11025  = . ;
IF S011026  = 9                THEN S011026  = . ;
IF SF11026  = 9                THEN SF11026  = . ;
IF S011027  = 9                THEN S011027  = . ;
IF SF11027  = 9                THEN SF11027  = . ;
IF S011028  = 9                THEN S011028  = . ;
IF SF11028  = 9                THEN SF11028  = . ;
IF S011029  = 9                THEN S011029  = . ;
IF SF11029  = 9                THEN SF11029  = . ;
IF S011016  = 9                THEN S011016  = . ;
IF SF11016  = 9                THEN SF11016  = . ;
IF S012007  = 9                THEN S012007  = . ;
IF SF12007  = 9                THEN SF12007  = . ;
IF S011017  = 9                THEN S011017  = . ;
IF SF11017  = 9                THEN SF11017  = . ;
IF S011018  = 9                THEN S011018  = . ;
IF SF11018  = 9                THEN SF11018  = . ;
IF S012010  = 9                THEN S012010  = . ;
IF SF12010  = 9                THEN SF12010  = . ;
IF S011019  = 99               THEN S011019  = . ;
IF SF11019  = 99               THEN SF11019  = . ;
IF S011009  = 9                THEN S011009  = . ;
IF SF11009  = 9                THEN SF11009  = . ;
IF S011010  = 9                THEN S011010  = . ;
IF SF11010  = 9                THEN SF11010  = . ;
IF S011011  = 9                THEN S011011  = . ;
IF SF11011  = 9                THEN SF11011  = . ;
IF S011012  = 9                THEN S011012  = . ;
IF SF11012  = 9                THEN SF11012  = . ;
IF S011013  = 9                THEN S011013  = . ;
IF SF11013  = 9                THEN SF11013  = . ;
IF S011014  = 9                THEN S011014  = . ;
IF SF11014  = 9                THEN SF11014  = . ;
IF S011015  = 9                THEN S011015  = . ;
IF SF11015  = 9                THEN SF11015  = . ;
IF S031017  = 9                THEN S031017  = . ;
IF SF31017  = 9                THEN SF31017  = . ;
IF S031246  = 99               THEN S031246  = . ;
IF SF31246  = 99               THEN SF31246  = . ;
IF S031287  = 9                THEN S031287  = . ;
IF SF31287  = 9                THEN SF31287  = . ;
IF S031251  = 99               THEN S031251  = . ;
IF SF31251  = 99               THEN SF31251  = . ;
IF S031053  = 99               THEN S031053  = . ;
IF SF31053  = 99               THEN SF31053  = . ;
IF S031005  = 99               THEN S031005  = . ;
IF SF31005  = 99               THEN SF31005  = . ;
IF S031306  = 9                THEN S031306  = . ;
IF SF31306  = 9                THEN SF31306  = . ;
IF S031372A = 99               THEN S031372A = . ;
IF SF31372A = 99               THEN SF31372A = . ;
IF S031372B = 99               THEN S031372B = . ;
IF SF31372B = 99               THEN SF31372B = . ;
IF S031082  = 9                THEN S031082  = . ;
IF SF31082  = 9                THEN SF31082  = . ;
IF S031229  = 9                THEN S031229  = . ;
IF SF31229  = 9                THEN SF31229  = . ;
IF S031270  = 99               THEN S031270  = . ;
IF SF31270  = 99               THEN SF31270  = . ;
IF S031026  = 99               THEN S031026  = . ;
IF SF31026  = 99               THEN SF31026  = . ;
IF S031319  = 9                THEN S031319  = . ;
IF SF31319  = 9                THEN SF31319  = . ;
IF S031414A = 99               THEN S031414A = . ;
IF SF31414A = 99               THEN SF31414A = . ;
IF S031414B = 99               THEN S031414B = . ;
IF SF31414B = 99               THEN SF31414B = . ;
IF S031078  = 9                THEN S031078  = . ;
IF SF31078  = 9                THEN SF31078  = . ;
IF S031009  = 99               THEN S031009  = . ;
IF SF31009  = 99               THEN SF31009  = . ;
IF S031401  = 9                THEN S031401  = . ;
IF SF31401  = 9                THEN SF31401  = . ;
IF S031384A = 99               THEN S031384A = . ;
IF SF31384A = 99               THEN SF31384A = . ;
IF S031384B = 99               THEN S031384B = . ;
IF SF31384B = 99               THEN SF31384B = . ;
IF S031255  = 9                THEN S031255  = . ;
IF SF31255  = 9                THEN SF31255  = . ;
IF S031240A = 99               THEN S031240A = . ;
IF S031240B = 99               THEN S031240B = . ;
IF S031240D = 99               THEN S031240D = . ;
IF SF31240A = 99               THEN SF31240A = . ;
IF SF31240B = 99               THEN SF31240B = . ;
IF SF31240D = 99               THEN SF31240D = . ;
IF S031239  = 9                THEN S031239  = . ;
IF SF31239  = 9                THEN SF31239  = . ;
IF S031235A = 99               THEN S031235A = . ;
IF SF31235A = 99               THEN SF31235A = . ;
IF S031235B = 99               THEN S031235B = . ;
IF SF31235B = 99               THEN SF31235B = . ;
IF S031205  = 9                THEN S031205  = . ;
IF SF31205  = 9                THEN SF31205  = . ;
IF S031399A = 99               THEN S031399A = . ;
IF SF31399A = 99               THEN SF31399A = . ;
IF S031399B = 99               THEN S031399B = . ;
IF SF31399B = 99               THEN SF31399B = . ;
IF S031393  = 99               THEN S031393  = . ;
IF SF31393  = 99               THEN SF31393  = . ;
IF S031278  = 99               THEN S031278  = . ;
IF SF31278  = 99               THEN SF31278  = . ;
IF S031317  = 9                THEN S031317  = . ;
IF SF31317  = 9                THEN SF31317  = . ;
IF S031190  = 99               THEN S031190  = . ;
IF SF31190  = 99               THEN SF31190  = . ;
IF S031431  = 9                THEN S031431  = . ;
IF SF31431  = 9                THEN SF31431  = . ;
IF S031283  = 9                THEN S031283  = . ;
IF SF31283  = 9                THEN SF31283  = . ;
IF S031426  = 9                THEN S031426  = . ;
IF SF31426  = 9                THEN SF31426  = . ;
IF S031422  = 9                THEN S031422  = . ;
IF SF31422  = 9                THEN SF31422  = . ;
IF S031427  = 9                THEN S031427  = . ;
IF SF31427  = 9                THEN SF31427  = . ;
IF S031075  = 9                THEN S031075  = . ;
IF SF31075  = 9                THEN SF31075  = . ;
IF S031047  = 99               THEN S031047  = . ;
IF SF31047  = 99               THEN SF31047  = . ;
IF S031387  = 9                THEN S031387  = . ;
IF SF31387  = 9                THEN SF31387  = . ;
IF S031396A = 99               THEN S031396A = . ;
IF S031396B = 99               THEN S031396B = . ;
IF S031396D = 99               THEN S031396D = . ;
IF SF31396A = 99               THEN SF31396A = . ;
IF SF31396B = 99               THEN SF31396B = . ;
IF SF31396D = 99               THEN SF31396D = . ;
IF S031340  = 9                THEN S031340  = . ;
IF SF31340  = 9                THEN SF31340  = . ;
IF S031236  = 9                THEN S031236  = . ;
IF SF31236  = 9                THEN SF31236  = . ;
IF S031391A = 99               THEN S031391A = . ;
IF S031391B = 99               THEN S031391B = . ;
IF S031391D = 99               THEN S031391D = . ;
IF SF31391A = 99               THEN SF31391A = . ;
IF SF31391B = 99               THEN SF31391B = . ;
IF SF31391D = 99               THEN SF31391D = . ;
IF S031361  = 9                THEN S031361  = . ;
IF SF31361  = 9                THEN SF31361  = . ;
IF S031001  = 9                THEN S031001  = . ;
IF SF31001  = 9                THEN SF31001  = . ;
IF S031084  = 9                THEN S031084  = . ;
IF SF31084  = 9                THEN SF31084  = . ;
IF S031410  = 9                THEN S031410  = . ;
IF SF31410  = 9                THEN SF31410  = . ;
IF S031421  = 99               THEN S031421  = . ;
IF SF31421  = 99               THEN SF31421  = . ;
IF S031298  = 9                THEN S031298  = . ;
IF SF31298  = 9                THEN SF31298  = . ;
IF S031076  = 99               THEN S031076  = . ;
IF SF31076  = 99               THEN SF31076  = . ;
IF S031275  = 9                THEN S031275  = . ;
IF SF31275  = 9                THEN SF31275  = . ;
IF S031349  = 9                THEN S031349  = . ;
IF S031330  = 99               THEN S031330  = . ;
IF S031212  = 9                THEN S031212  = . ;
IF S031241A = 99               THEN S031241A = . ;
IF S031241B = 99               THEN S031241B = . ;
IF S031241D = 99               THEN S031241D = . ;
IF S031038  = 9                THEN S031038  = . ;
IF S031252  = 99               THEN S031252  = . ;
IF S031406A = 99               THEN S031406A = . ;
IF S031406B = 99               THEN S031406B = . ;
IF S031383  = 9                THEN S031383  = . ;
IF S031379  = 9                THEN S031379  = . ;
IF S031060  = 9                THEN S031060  = . ;
IF S031269  = 9                THEN S031269  = . ;
IF S031284  = 9                THEN S031284  = . ;
IF S031338  = 9                THEN S031338  = . ;
IF S031382  = 99               THEN S031382  = . ;
IF S031218  = 99               THEN S031218  = . ;
IF S031326A = 99               THEN S031326A = . ;
IF S031326B = 99               THEN S031326B = . ;
IF S031326D = 99               THEN S031326D = . ;
IF S031003  = 9                THEN S031003  = . ;
IF S031035  = 9                THEN S031035  = . ;
IF S031420  = 9                THEN S031420  = . ;
IF S031370  = 99               THEN S031370  = . ;
IF S031313  = 9                THEN S031313  = . ;
IF S031254  = 9                THEN S031254  = . ;
IF SF31254  = 9                THEN SF31254  = . ;
IF S031266  = 9                THEN S031266  = . ;
IF SF31266  = 9                THEN SF31266  = . ;
IF S031233  = 99               THEN S031233  = . ;
IF SF31233  = 99               THEN SF31233  = . ;
IF S031204  = 99               THEN S031204  = . ;
IF SF31204  = 99               THEN SF31204  = . ;
IF S031273  = 9                THEN S031273  = . ;
IF SF31273  = 9                THEN SF31273  = . ;
IF S031299  = 99               THEN S031299  = . ;
IF SF31299  = 99               THEN SF31299  = . ;
IF S031281  = 9                THEN S031281  = . ;
IF SF31281  = 9                THEN SF31281  = . ;
IF S031077  = 9                THEN S031077  = . ;
IF SF31077  = 9                THEN SF31077  = . ;
IF S031311  = 9                THEN S031311  = . ;
IF SF31311  = 9                THEN SF31311  = . ;
IF S031088A = 99               THEN S031088A = . ;
IF S031088B = 99               THEN S031088B = . ;
IF S031088D = 99               THEN S031088D = . ;
IF SF31088A = 99               THEN SF31088A = . ;
IF SF31088B = 99               THEN SF31088B = . ;
IF SF31088D = 99               THEN SF31088D = . ;
IF S031389  = 9                THEN S031389  = . ;
IF SF31389  = 9                THEN SF31389  = . ;
IF S031356  = 9                THEN S031356  = . ;
IF SF31356  = 9                THEN SF31356  = . ;
IF S031291  = 9                THEN S031291  = . ;
IF SF31291  = 9                THEN SF31291  = . ;
IF S031230  = 9                THEN S031230  = . ;
IF SF31230  = 9                THEN SF31230  = . ;
IF S031325  = 99               THEN S031325  = . ;
IF SF31325  = 99               THEN SF31325  = . ;
IF S031068  = 9                THEN S031068  = . ;
IF SF31068  = 9                THEN SF31068  = . ;
IF S031418  = 9                THEN S031418  = . ;
IF SF31418  = 9                THEN SF31418  = . ;
IF S031197A = 99               THEN S031197A = . ;
IF S031197B = 99               THEN S031197B = . ;
IF S031197D = 99               THEN S031197D = . ;
IF SF31197A = 99               THEN SF31197A = . ;
IF SF31197B = 99               THEN SF31197B = . ;
IF SF31197D = 99               THEN SF31197D = . ;
IF S031371  = 9                THEN S031371  = . ;
IF SF31371  = 9                THEN SF31371  = . ;
IF S031376  = 9                THEN S031376  = . ;
IF SF31376  = 9                THEN SF31376  = . ;
IF S031044  = 99               THEN S031044  = . ;
IF SF31044  = 99               THEN SF31044  = . ;
IF S031390A = 99               THEN S031390A = . ;
IF S031390B = 99               THEN S031390B = . ;
IF S031390D = 99               THEN S031390D = . ;
IF SF31390A = 99               THEN SF31390A = . ;
IF SF31390B = 99               THEN SF31390B = . ;
IF SF31390D = 99               THEN SF31390D = . ;
IF S031409  = 9                THEN S031409  = . ;
IF SF31409  = 9                THEN SF31409  = . ;
IF S031398  = 9                THEN S031398  = . ;
IF SF31398  = 9                THEN SF31398  = . ;
IF S031072  = 99               THEN S031072  = . ;
IF SF31072  = 99               THEN SF31072  = . ;
IF S031061  = 9                THEN S031061  = . ;
IF SF31061  = 9                THEN SF31061  = . ;
IF S031439A = 99               THEN S031439A = . ;
IF SF31439A = 99               THEN SF31439A = . ;
IF S031439B = 99               THEN S031439B = . ;
IF SF31439B = 99               THEN SF31439B = . ;
IF S031440  = 99               THEN S031440  = . ;
IF SF31440  = 99               THEN SF31440  = . ;
IF S031441A = 99               THEN S031441A = . ;
IF SF31441A = 99               THEN SF31441A = . ;
IF S031441B = 99               THEN S031441B = . ;
IF SF31441B = 99               THEN SF31441B = . ;
IF S031442  = 99               THEN S031442  = . ;
IF SF31442  = 99               THEN SF31442  = . ;
IF S031443  = 99               THEN S031443  = . ;
IF SF31443  = 99               THEN SF31443  = . ;
IF S031446A = 99               THEN S031446A = . ;
IF SF31446A = 99               THEN SF31446A = . ;
IF S031446B = 99               THEN S031446B = . ;
IF SF31446B = 99               THEN SF31446B = . ;
IF S031446C = 99               THEN S031446C = . ;
IF SF31446C = 99               THEN SF31446C = . ;
IF S031445A = 99               THEN S031445A = . ;
IF SF31445A = 99               THEN SF31445A = . ;
IF S031445B = 99               THEN S031445B = . ;
IF SF31445B = 99               THEN SF31445B = . ;
IF S031447  = 99               THEN S031447  = . ;
IF SF31447  = 99               THEN SF31447  = . ;
IF S031193  = 9                THEN S031193  = . ;
IF SF31193  = 9                THEN SF31193  = . ;
IF S031264  = 9                THEN S031264  = . ;
IF SF31264  = 9                THEN SF31264  = . ;
IF S031347  = 9                THEN S031347  = . ;
IF SF31347  = 9                THEN SF31347  = . ;
IF S031346  = 99               THEN S031346  = . ;
IF SF31346  = 99               THEN SF31346  = . ;
IF S031081  = 99               THEN S031081  = . ;
IF SF31081  = 99               THEN SF31081  = . ;
IF HOUWGT   = 999999           THEN HOUWGT   = . ;
IF SENWGT   = 999999           THEN SENWGT   = . ;
IF TOTWGT   = 999999           THEN TOTWGT   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF ASMALG01 = 999              THEN ASMALG01 = . ;
IF ASMALG02 = 999              THEN ASMALG02 = . ;
IF ASMALG03 = 999              THEN ASMALG03 = . ;
IF ASMALG04 = 999              THEN ASMALG04 = . ;
IF ASMALG05 = 999              THEN ASMALG05 = . ;
IF ASMAPP01 = 999              THEN ASMAPP01 = . ;
IF ASMAPP02 = 999              THEN ASMAPP02 = . ;
IF ASMAPP03 = 999              THEN ASMAPP03 = . ;
IF ASMAPP04 = 999              THEN ASMAPP04 = . ;
IF ASMAPP05 = 999              THEN ASMAPP05 = . ;
IF ASMDAP01 = 999              THEN ASMDAP01 = . ;
IF ASMDAP02 = 999              THEN ASMDAP02 = . ;
IF ASMDAP03 = 999              THEN ASMDAP03 = . ;
IF ASMDAP04 = 999              THEN ASMDAP04 = . ;
IF ASMDAP05 = 999              THEN ASMDAP05 = . ;
IF ASMFNS01 = 999              THEN ASMFNS01 = . ;
IF ASMFNS02 = 999              THEN ASMFNS02 = . ;
IF ASMFNS03 = 999              THEN ASMFNS03 = . ;
IF ASMFNS04 = 999              THEN ASMFNS04 = . ;
IF ASMFNS05 = 999              THEN ASMFNS05 = . ;
IF ASMGEO01 = 999              THEN ASMGEO01 = . ;
IF ASMGEO02 = 999              THEN ASMGEO02 = . ;
IF ASMGEO03 = 999              THEN ASMGEO03 = . ;
IF ASMGEO04 = 999              THEN ASMGEO04 = . ;
IF ASMGEO05 = 999              THEN ASMGEO05 = . ;
IF ASMKNO01 = 999              THEN ASMKNO01 = . ;
IF ASMKNO02 = 999              THEN ASMKNO02 = . ;
IF ASMKNO03 = 999              THEN ASMKNO03 = . ;
IF ASMKNO04 = 999              THEN ASMKNO04 = . ;
IF ASMKNO05 = 999              THEN ASMKNO05 = . ;
IF ASMMAT01 = 999              THEN ASMMAT01 = . ;
IF ASMMAT02 = 999              THEN ASMMAT02 = . ;
IF ASMMAT03 = 999              THEN ASMMAT03 = . ;
IF ASMMAT04 = 999              THEN ASMMAT04 = . ;
IF ASMMAT05 = 999              THEN ASMMAT05 = . ;
IF ASMMEA01 = 999              THEN ASMMEA01 = . ;
IF ASMMEA02 = 999              THEN ASMMEA02 = . ;
IF ASMMEA03 = 999              THEN ASMMEA03 = . ;
IF ASMMEA04 = 999              THEN ASMMEA04 = . ;
IF ASMMEA05 = 999              THEN ASMMEA05 = . ;
IF ASMNRSC  = 9999             THEN ASMNRSC  = . ;
IF ASMREA01 = 999              THEN ASMREA01 = . ;
IF ASMREA02 = 999              THEN ASMREA02 = . ;
IF ASMREA03 = 999              THEN ASMREA03 = . ;
IF ASMREA04 = 999              THEN ASMREA04 = . ;
IF ASMREA05 = 999              THEN ASMREA05 = . ;
IF ASMSCPT  = 99               THEN ASMSCPT  = . ;
IF ASMSTDR  = 9999             THEN ASMSTDR  = . ;
IF ASSEAS01 = 999              THEN ASSEAS01 = . ;
IF ASSEAS02 = 999              THEN ASSEAS02 = . ;
IF ASSEAS03 = 999              THEN ASSEAS03 = . ;
IF ASSEAS04 = 999              THEN ASSEAS04 = . ;
IF ASSEAS05 = 999              THEN ASSEAS05 = . ;
IF ASSLIS01 = 999              THEN ASSLIS01 = . ;
IF ASSLIS02 = 999              THEN ASSLIS02 = . ;
IF ASSLIS03 = 999              THEN ASSLIS03 = . ;
IF ASSLIS04 = 999              THEN ASSLIS04 = . ;
IF ASSLIS05 = 999              THEN ASSLIS05 = . ;
IF ASSNRSC  = 9999             THEN ASSNRSC  = . ;
IF ASSPHY01 = 999              THEN ASSPHY01 = . ;
IF ASSPHY02 = 999              THEN ASSPHY02 = . ;
IF ASSPHY03 = 999              THEN ASSPHY03 = . ;
IF ASSPHY04 = 999              THEN ASSPHY04 = . ;
IF ASSPHY05 = 999              THEN ASSPHY05 = . ;
IF ASSSCI01 = 999              THEN ASSSCI01 = . ;
IF ASSSCI02 = 999              THEN ASSSCI02 = . ;
IF ASSSCI03 = 999              THEN ASSSCI03 = . ;
IF ASSSCI04 = 999              THEN ASSSCI04 = . ;
IF ASSSCI05 = 999              THEN ASSSCI05 = . ;
IF ASSSCPT  = 99               THEN ASSSCPT  = . ;
IF ASSSTDR  = 9999             THEN ASSSTDR  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;

