**********  SAS Input Program for SAS Version for the PC  **********;
*NOTE: This SAS program converts raw-data files into SAS version 6.12
       or 8.x system files

* I M P O R T A N T :
       PLEASE NOTE THAT YOU MUST SPECIFY THE "<PATH>" FOR BOTH THE
       INPUT AND OUTPUT FILES

OPTION NOSOURCE REPLACE NOCENTER ;

%let cty = ARM AUS BFL BGR BHR BWA COT CQU CHL CYP
           EGY ENG BSQ EST GHA HKG HUN IDN IRN ISR
           ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD
           MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO
           SGP SVK SVN SWE SYR TUN TWN USA UIN SCG
           ZAF;

*NOTE: LIBNAME and FILENAME statements need to be modified ;

* library where the SAS data files are written to;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
LIBNAME libdat "<PATH>" ;

%macro doit;
   %let i = 1;
      %do %while(%length(%scan(&cty,&i)));
	     %let ccode = %lowcase(%scan(&cty,&i));

%let fname= BSA&ccode.m3;

*NOTE: file-specification of the input raw-data file ;
***YOU NEED TO ADAPT THE FOLLOWING LINE;
FILENAME rawinp "<PATH>\&fname..RAW" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1700 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDSCORA    3 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      IDSTRATE   3 ;
LENGTH      IDSTRATI   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITLANG     3 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      BSDAGE     8 ;
LENGTH      ILRELIAB   3 ;
LENGTH      INTMS03    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BSBGCAL1   3 ;
LENGTH      BSBGCAL2   3 ;
LENGTH      M012001    3 ;
LENGTH      MF12001    3 ;
LENGTH      M012002    3 ;
LENGTH      MF12002    3 ;
LENGTH      M012003    3 ;
LENGTH      MF12003    3 ;
LENGTH      M012004    3 ;
LENGTH      MF12004    3 ;
LENGTH      M012005    3 ;
LENGTH      MF12005    3 ;
LENGTH      M012006    3 ;
LENGTH      MF12006    3 ;
LENGTH      M012037    3 ;
LENGTH      MF12037    3 ;
LENGTH      M012038    3 ;
LENGTH      MF12038    3 ;
LENGTH      M012039    3 ;
LENGTH      MF12039    3 ;
LENGTH      M012040    3 ;
LENGTH      MF12040    3 ;
LENGTH      M012041    3 ;
LENGTH      MF12041    3 ;
LENGTH      M012042    3 ;
LENGTH      MF12042    3 ;
LENGTH      M032570    3 ;
LENGTH      MF32570    3 ;
LENGTH      M032643    3 ;
LENGTH      MF32643    3 ;
LENGTH      M032693    3 ;
LENGTH      MF32693    3 ;
LENGTH      M012013    3 ;
LENGTH      MF12013    3 ;
LENGTH      M012014    3 ;
LENGTH      MF12014    3 ;
LENGTH      M012015    3 ;
LENGTH      MF12015    3 ;
LENGTH      M012016    3 ;
LENGTH      MF12016    3 ;
LENGTH      M012017    3 ;
LENGTH      MF12017    3 ;
LENGTH      M022251    3 ;
LENGTH      MF22251    3 ;
LENGTH      M022185    3 ;
LENGTH      MF22185    3 ;
LENGTH      M022188    3 ;
LENGTH      MF22188    3 ;
LENGTH      M022189    3 ;
LENGTH      MF22189    3 ;
LENGTH      M022191    3 ;
LENGTH      MF22191    3 ;
LENGTH      M022194    3 ;
LENGTH      MF22194    3 ;
LENGTH      M022196    3 ;
LENGTH      MF22196    3 ;
LENGTH      M022198    3 ;
LENGTH      MF22198    3 ;
LENGTH      M022199    3 ;
LENGTH      MF22199    3 ;
LENGTH      M022202    3 ;
LENGTH      MF22202    3 ;
LENGTH      M012025    3 ;
LENGTH      MF12025    3 ;
LENGTH      M012026    3 ;
LENGTH      MF12026    3 ;
LENGTH      M012027    3 ;
LENGTH      MF12027    3 ;
LENGTH      M012028    3 ;
LENGTH      MF12028    3 ;
LENGTH      M012029    3 ;
LENGTH      MF12029    3 ;
LENGTH      M012030    3 ;
LENGTH      MF12030    3 ;
LENGTH      M022135    3 ;
LENGTH      MF22135    3 ;
LENGTH      M022139    3 ;
LENGTH      MF22139    3 ;
LENGTH      M022142    3 ;
LENGTH      MF22142    3 ;
LENGTH      M022144    3 ;
LENGTH      MF22144    3 ;
LENGTH      M022146    3 ;
LENGTH      MF22146    3 ;
LENGTH      M022148    3 ;
LENGTH      MF22148    3 ;
LENGTH      M022253    3 ;
LENGTH      MF22253    3 ;
LENGTH      M022154    3 ;
LENGTH      MF22154    3 ;
LENGTH      M022156    3 ;
LENGTH      MF22156    3 ;
LENGTH      M022002    3 ;
LENGTH      MF22002    3 ;
LENGTH      M022004    3 ;
LENGTH      MF22004    3 ;
LENGTH      M022005    3 ;
LENGTH      MF22005    3 ;
LENGTH      M022008    3 ;
LENGTH      MF22008    3 ;
LENGTH      M022010    3 ;
LENGTH      MF22010    3 ;
LENGTH      M022012    3 ;
LENGTH      MF22012    3 ;
LENGTH      M022021    3 ;
LENGTH      MF22021    3 ;
LENGTH      M022016    3 ;
LENGTH      MF22016    3 ;
LENGTH      M022252    3 ;
LENGTH      MF22252    3 ;
LENGTH      M022261A   3 ;
LENGTH      MF22261A   3 ;
LENGTH      M022261B   3 ;
LENGTH      MF22261B   3 ;
LENGTH      M022261C   3 ;
LENGTH      MF22261C   3 ;
LENGTH      M022227A   3 ;
LENGTH      MF22227A   3 ;
LENGTH      M022227B   3 ;
LENGTH      MF22227B   3 ;
LENGTH      M022227C   3 ;
LENGTH      MF22227C   3 ;
LENGTH      M022127    3 ;
LENGTH      MF22127    3 ;
LENGTH      M022043    3 ;
LENGTH      MF22043    3 ;
LENGTH      M022046    3 ;
LENGTH      MC22046    3 ;
LENGTH      MF22046    3 ;
LENGTH      M022049    3 ;
LENGTH      MF22049    3 ;
LENGTH      M022050    3 ;
LENGTH      MF22050    3 ;
LENGTH      M022055    3 ;
LENGTH      MF22055    3 ;
LENGTH      M022057    3 ;
LENGTH      MF22057    3 ;
LENGTH      M022257    3 ;
LENGTH      MF22257    3 ;
LENGTH      M022062    3 ;
LENGTH      MF22062    3 ;
LENGTH      M022066    3 ;
LENGTH      MF22066    3 ;
LENGTH      M022232    3 ;
LENGTH      MF22232    3 ;
LENGTH      M022234A   3 ;
LENGTH      MF22234A   3 ;
LENGTH      M022234B   3 ;
LENGTH      MF22234B   3 ;
LENGTH      M022243    3 ;
LENGTH      MF22243    3 ;
LENGTH      M022097    3 ;
LENGTH      MF22097    3 ;
LENGTH      M022101    3 ;
LENGTH      MF22101    3 ;
LENGTH      M022104    3 ;
LENGTH      MF22104    3 ;
LENGTH      M022105    3 ;
LENGTH      MF22105    3 ;
LENGTH      M022106    3 ;
LENGTH      MF22106    3 ;
LENGTH      M022108    3 ;
LENGTH      MF22108    3 ;
LENGTH      M022110    3 ;
LENGTH      MC22110    3 ;
LENGTH      MF22110    3 ;
LENGTH      M022181    3 ;
LENGTH      MF22181    3 ;
LENGTH      M032307    3 ;
LENGTH      MF32307    3 ;
LENGTH      M032523    3 ;
LENGTH      MF32523    3 ;
LENGTH      M032701    3 ;
LENGTH      MC32701    3 ;
LENGTH      MF32701    3 ;
LENGTH      M032704    3 ;
LENGTH      MC32704    3 ;
LENGTH      MF32704    3 ;
LENGTH      M032525    3 ;
LENGTH      MC32525    3 ;
LENGTH      MF32525    3 ;
LENGTH      M032579    3 ;
LENGTH      MF32579    3 ;
LENGTH      M032691    3 ;
LENGTH      MF32691    3 ;
LENGTH      M032142    3 ;
LENGTH      MF32142    3 ;
LENGTH      M032198    3 ;
LENGTH      MF32198    3 ;
LENGTH      M032640    3 ;
LENGTH      MF32640    3 ;
LENGTH      M032344    3 ;
LENGTH      MF32344    3 ;
LENGTH      M032754    3 ;
LENGTH      MF32754    3 ;
LENGTH      M032755    3 ;
LENGTH      MF32755    3 ;
LENGTH      M032753A   3 ;
LENGTH      MF32753A   3 ;
LENGTH      M032753B   3 ;
LENGTH      MF32753B   3 ;
LENGTH      M032753C   3 ;
LENGTH      MF32753C   3 ;
LENGTH      M032756    3 ;
LENGTH      MF32756    3 ;
LENGTH      M032205    3 ;
LENGTH      MF32205    3 ;
LENGTH      M032163    3 ;
LENGTH      MF32163    3 ;
LENGTH      M032381    3 ;
LENGTH      MF32381    3 ;
LENGTH      M032416    3 ;
LENGTH      MF32416    3 ;
LENGTH      M032160    3 ;
LENGTH      MF32160    3 ;
LENGTH      M032273    3 ;
LENGTH      MF32273    3 ;
LENGTH      M032540    3 ;
LENGTH      MF32540    3 ;
LENGTH      M032698    3 ;
LENGTH      MF32698    3 ;
LENGTH      M032097    3 ;
LENGTH      MF32097    3 ;
LENGTH      M032575    3 ;
LENGTH      MF32575    3 ;
LENGTH      M032414    3 ;
LENGTH      MF32414    3 ;
LENGTH      M032294    3 ;
LENGTH      MF32294    3 ;
LENGTH      M032688    3 ;
LENGTH      MF32688    3 ;
LENGTH      M032529    3 ;
LENGTH      MF32529    3 ;
LENGTH      M032637A   3 ;
LENGTH      MF32637A   3 ;
LENGTH      M032637B   3 ;
LENGTH      MF32637B   3 ;
LENGTH      M032637C   3 ;
LENGTH      MF32637C   3 ;
LENGTH      M032079    3 ;
LENGTH      M032652    3 ;
LENGTH      M032228    3 ;
LENGTH      M032044    3 ;
LENGTH      M032046    3 ;
LENGTH      M032545    3 ;
LENGTH      M032649A   3 ;
LENGTH      M032649B   3 ;
LENGTH      M032533    3 ;
LENGTH      M032678    3 ;
LENGTH      M032403    3 ;
LENGTH      M032261    3 ;
LENGTH      M032489    3 ;
LENGTH      M032588    3 ;
LENGTH      M032271    3 ;
LENGTH      M032671    3 ;
LENGTH      M032612    3 ;
LENGTH      M032557    3 ;
LENGTH      M032208    3 ;
LENGTH      M032210    3 ;
LENGTH      M032699    3 ;
LENGTH      M032762    3 ;
LENGTH      M032763    3 ;
LENGTH      M032764    3 ;
LENGTH      M032647    3 ;
LENGTH      M032689    3 ;
LENGTH      M032094    3 ;
LENGTH      MF32094    3 ;
LENGTH      M032662    3 ;
LENGTH      MF32662    3 ;
LENGTH      M032064    3 ;
LENGTH      MF32064    3 ;
LENGTH      M032419    3 ;
LENGTH      MF32419    3 ;
LENGTH      M032477    3 ;
LENGTH      MF32477    3 ;
LENGTH      M032538    3 ;
LENGTH      MF32538    3 ;
LENGTH      M032324    3 ;
LENGTH      MF32324    3 ;
LENGTH      M032116    3 ;
LENGTH      MF32116    3 ;
LENGTH      M032100    3 ;
LENGTH      MF32100    3 ;
LENGTH      M032402    3 ;
LENGTH      MF32402    3 ;
LENGTH      M032734    3 ;
LENGTH      MF32734    3 ;
LENGTH      M032397    3 ;
LENGTH      MF32397    3 ;
LENGTH      M032695    3 ;
LENGTH      MF32695    3 ;
LENGTH      M032132    3 ;
LENGTH      MF32132    3 ;
LENGTH      M032352    3 ;
LENGTH      MF32352    3 ;
LENGTH      M032725    3 ;
LENGTH      MF32725    3 ;
LENGTH      M032683    3 ;
LENGTH      MF32683    3 ;
LENGTH      M032738    3 ;
LENGTH      MF32738    3 ;
LENGTH      M032295    3 ;
LENGTH      MF32295    3 ;
LENGTH      M032331    3 ;
LENGTH      MF32331    3 ;
LENGTH      M032623    3 ;
LENGTH      MF32623    3 ;
LENGTH      M032679    3 ;
LENGTH      MF32679    3 ;
LENGTH      M032047    3 ;
LENGTH      MF32047    3 ;
LENGTH      M032398    3 ;
LENGTH      MF32398    3 ;
LENGTH      M032507    3 ;
LENGTH      MF32507    3 ;
LENGTH      M032424    3 ;
LENGTH      MF32424    3 ;
LENGTH      M032681A   3 ;
LENGTH      MF32681A   3 ;
LENGTH      M032681B   3 ;
LENGTH      MF32681B   3 ;
LENGTH      M032681C   3 ;
LENGTH      MF32681C   3 ;
LENGTH      M032609    3 ;
LENGTH      MF32609    3 ;
LENGTH      M032690    3 ;
LENGTH      MF32690    3 ;
LENGTH      M032727    3 ;
LENGTH      MF32727    3 ;
LENGTH      M032743    3 ;
LENGTH      MF32743    3 ;
LENGTH      M032744    3 ;
LENGTH      MF32744    3 ;
LENGTH      M032745    3 ;
LENGTH      MF32745    3 ;
LENGTH      M032233    3 ;
LENGTH      MF32233    3 ;
LENGTH      M032670    3 ;
LENGTH      MF32670    3 ;
LENGTH      M032447    3 ;
LENGTH      MF32447    3 ;
LENGTH      M032036    3 ;
LENGTH      MF32036    3 ;
LENGTH      M032728    3 ;
LENGTH      MF32728    3 ;
LENGTH      M032732    3 ;
LENGTH      MF32732    3 ;
LENGTH      M032166    3 ;
LENGTH      MF32166    3 ;
LENGTH      M032721    3 ;
LENGTH      MF32721    3 ;
LENGTH      M032757    3 ;
LENGTH      MF32757    3 ;
LENGTH      M032760A   3 ;
LENGTH      MF32760A   3 ;
LENGTH      M032760B   3 ;
LENGTH      MF32760B   3 ;
LENGTH      M032760C   3 ;
LENGTH      MF32760C   3 ;
LENGTH      M032761    3 ;
LENGTH      MF32761    3 ;
LENGTH      M032692    3 ;
LENGTH      MF32692    3 ;
LENGTH      M032626    3 ;
LENGTH      MF32626    3 ;
LENGTH      M032595    3 ;
LENGTH      MF32595    3 ;
LENGTH      M032673    3 ;
LENGTH      MF32673    3 ;
LENGTH      S012025    3 ;
LENGTH      SF12025    3 ;
LENGTH      S012026    3 ;
LENGTH      SF12026    3 ;
LENGTH      S012027    3 ;
LENGTH      SF12027    3 ;
LENGTH      S012028    3 ;
LENGTH      SF12028    3 ;
LENGTH      S012029    3 ;
LENGTH      SF12029    3 ;
LENGTH      S012030    3 ;
LENGTH      SF12030    3 ;
LENGTH      S022035    3 ;
LENGTH      SF22035    3 ;
LENGTH      S022225    3 ;
LENGTH      SF22225    3 ;
LENGTH      S022117    3 ;
LENGTH      SF22117    3 ;
LENGTH      S022235    3 ;
LENGTH      SF22235    3 ;
LENGTH      S022188    3 ;
LENGTH      SF22188    3 ;
LENGTH      S022074    3 ;
LENGTH      SF22074    3 ;
LENGTH      S022240    3 ;
LENGTH      SF22240    3 ;
LENGTH      S022206    3 ;
LENGTH      SF22206    3 ;
LENGTH      S022160    3 ;
LENGTH      SF22160    3 ;
LENGTH      S022058    3 ;
LENGTH      SF22058    3 ;
LENGTH      S012013    3 ;
LENGTH      SF12013    3 ;
LENGTH      S012014    3 ;
LENGTH      SF12014    3 ;
LENGTH      S012015    3 ;
LENGTH      SF12015    3 ;
LENGTH      S012016    3 ;
LENGTH      SF12016    3 ;
LENGTH      S012017    3 ;
LENGTH      SF12017    3 ;
LENGTH      S012018    3 ;
LENGTH      SF12018    3 ;
LENGTH      S012001    3 ;
LENGTH      SF12001    3 ;
LENGTH      S012002    3 ;
LENGTH      SF12002    3 ;
LENGTH      S012003    3 ;
LENGTH      SF12003    3 ;
LENGTH      S012004    3 ;
LENGTH      SF12004    3 ;
LENGTH      S012005    3 ;
LENGTH      SF12005    3 ;
LENGTH      S012006    3 ;
LENGTH      SF12006    3 ;
LENGTH      S032131    3 ;
LENGTH      SF32131    3 ;
LENGTH      S032202    3 ;
LENGTH      SF32202    3 ;
LENGTH      S012037    3 ;
LENGTH      SF12037    3 ;
LENGTH      S012038    3 ;
LENGTH      SF12038    3 ;
LENGTH      S012039    3 ;
LENGTH      SF12039    3 ;
LENGTH      S012040    3 ;
LENGTH      SF12040    3 ;
LENGTH      S012041    3 ;
LENGTH      SF12041    3 ;
LENGTH      S012042    3 ;
LENGTH      SF12042    3 ;
LENGTH      S022086    3 ;
LENGTH      SF22086    3 ;
LENGTH      S022198    3 ;
LENGTH      SF22198    3 ;
LENGTH      S022275    3 ;
LENGTH      SF22275    3 ;
LENGTH      S022041    3 ;
LENGTH      SF22041    3 ;
LENGTH      S022283    3 ;
LENGTH      SF22283    3 ;
LENGTH      S022202    3 ;
LENGTH      SF22202    3 ;
LENGTH      S022152    3 ;
LENGTH      SF22152    3 ;
LENGTH      S022154    3 ;
LENGTH      SF22154    3 ;
LENGTH      S022187    3 ;
LENGTH      SF22187    3 ;
LENGTH      S022161    3 ;
LENGTH      SF22161    3 ;
LENGTH      S022222    3 ;
LENGTH      SF22222    3 ;
LENGTH      S022191    3 ;
LENGTH      SF22191    3 ;
LENGTH      S022279    3 ;
LENGTH      SF22279    3 ;
LENGTH      S022040    3 ;
LENGTH      SF22040    3 ;
LENGTH      S022088A   3 ;
LENGTH      SF22088A   3 ;
LENGTH      S022088B   3 ;
LENGTH      SF22088B   3 ;
LENGTH      S022249A   3 ;
LENGTH      S022249B   3 ;
LENGTH      S022249D   3 ;
LENGTH      SF22249A   3 ;
LENGTH      SF22249B   3 ;
LENGTH      SF22249D   3 ;
LENGTH      S022286    3 ;
LENGTH      SF22286    3 ;
LENGTH      S032595    3 ;
LENGTH      SF32595    3 ;
LENGTH      S032656    3 ;
LENGTH      SF32656    3 ;
LENGTH      S032625A   3 ;
LENGTH      S032625B   3 ;
LENGTH      SF32625A   3 ;
LENGTH      SF32625B   3 ;
LENGTH      S022183    3 ;
LENGTH      SF22183    3 ;
LENGTH      S022276    3 ;
LENGTH      SF22276    3 ;
LENGTH      S022115    3 ;
LENGTH      SF22115    3 ;
LENGTH      S022022    3 ;
LENGTH      SF22022    3 ;
LENGTH      S022019    3 ;
LENGTH      SF22019    3 ;
LENGTH      S022002    3 ;
LENGTH      SF22002    3 ;
LENGTH      S022294    3 ;
LENGTH      SF22294    3 ;
LENGTH      S022106    3 ;
LENGTH      SF22106    3 ;
LENGTH      S022244    3 ;
LENGTH      SF22244    3 ;
LENGTH      S022150    3 ;
LENGTH      SF22150    3 ;
LENGTH      S022042    3 ;
LENGTH      SF22042    3 ;
LENGTH      S022289    3 ;
LENGTH      SF22289    3 ;
LENGTH      S022069    3 ;
LENGTH      SF22069    3 ;
LENGTH      S022268    3 ;
LENGTH      SF22268    3 ;
LENGTH      S022290    3 ;
LENGTH      SF22290    3 ;
LENGTH      S022292    3 ;
LENGTH      SF22292    3 ;
LENGTH      S022054    3 ;
LENGTH      SF22054    3 ;
LENGTH      S022181    3 ;
LENGTH      SF22181    3 ;
LENGTH      S022208    3 ;
LENGTH      SF22208    3 ;
LENGTH      S022078    3 ;
LENGTH      SF22078    3 ;
LENGTH      S022126    3 ;
LENGTH      SF22126    3 ;
LENGTH      S022281    3 ;
LENGTH      SF22281    3 ;
LENGTH      S032385    3 ;
LENGTH      SF32385    3 ;
LENGTH      S032035    3 ;
LENGTH      SF32035    3 ;
LENGTH      S032519    3 ;
LENGTH      SF32519    3 ;
LENGTH      S032683    3 ;
LENGTH      SF32683    3 ;
LENGTH      S032258    3 ;
LENGTH      SF32258    3 ;
LENGTH      S032120A   3 ;
LENGTH      SF32120A   3 ;
LENGTH      S032120B   3 ;
LENGTH      SF32120B   3 ;
LENGTH      S032606    3 ;
LENGTH      SF32606    3 ;
LENGTH      S032015    3 ;
LENGTH      SF32015    3 ;
LENGTH      S032310A   3 ;
LENGTH      S032310B   3 ;
LENGTH      S032310D   3 ;
LENGTH      SF32310A   3 ;
LENGTH      SF32310B   3 ;
LENGTH      SF32310D   3 ;
LENGTH      S032680    3 ;
LENGTH      SF32680    3 ;
LENGTH      S032672    3 ;
LENGTH      SF32672    3 ;
LENGTH      S032392    3 ;
LENGTH      SF32392    3 ;
LENGTH      S032425    3 ;
LENGTH      SF32425    3 ;
LENGTH      S032257    3 ;
LENGTH      SF32257    3 ;
LENGTH      S032663    3 ;
LENGTH      SF32663    3 ;
LENGTH      S032660    3 ;
LENGTH      SF32660    3 ;
LENGTH      S032555    3 ;
LENGTH      SF32555    3 ;
LENGTH      S032122    3 ;
LENGTH      SF32122    3 ;
LENGTH      S032542    3 ;
LENGTH      SF32542    3 ;
LENGTH      S032645    3 ;
LENGTH      SF32645    3 ;
LENGTH      S032530A   3 ;
LENGTH      S032530B   3 ;
LENGTH      S032530D   3 ;
LENGTH      SF32530A   3 ;
LENGTH      SF32530B   3 ;
LENGTH      SF32530D   3 ;
LENGTH      S032007    3 ;
LENGTH      SF32007    3 ;
LENGTH      S032502    3 ;
LENGTH      SF32502    3 ;
LENGTH      S032679    3 ;
LENGTH      SF32679    3 ;
LENGTH      S032184    3 ;
LENGTH      SF32184    3 ;
LENGTH      S032394    3 ;
LENGTH      SF32394    3 ;
LENGTH      S032151    3 ;
LENGTH      SF32151    3 ;
LENGTH      S032651A   3 ;
LENGTH      SF32651A   3 ;
LENGTH      S032651B   3 ;
LENGTH      SF32651B   3 ;
LENGTH      S032665A   3 ;
LENGTH      SF32665A   3 ;
LENGTH      S032665B   3 ;
LENGTH      SF32665B   3 ;
LENGTH      S032665C   3 ;
LENGTH      SF32665C   3 ;
LENGTH      S032607    3 ;
LENGTH      S032063    3 ;
LENGTH      S032206    3 ;
LENGTH      S032008    3 ;
LENGTH      S032083    3 ;
LENGTH      S032564    3 ;
LENGTH      S032057    3 ;
LENGTH      S032055    3 ;
LENGTH      S032626    3 ;
LENGTH      S032281    3 ;
LENGTH      S032150    3 ;
LENGTH      S032301    3 ;
LENGTH      S032446    3 ;
LENGTH      S032637    3 ;
LENGTH      S032386    3 ;
LENGTH      S032682    3 ;
LENGTH      S032652    3 ;
LENGTH      S032437    3 ;
LENGTH      S032242    3 ;
LENGTH      S032709    3 ;
LENGTH      S032711    3 ;
LENGTH      S032712A   3 ;
LENGTH      S032712B   3 ;
LENGTH      S032713A   3 ;
LENGTH      S032713B   3 ;
LENGTH      S032465    3 ;
LENGTH      SF32465    3 ;
LENGTH      S032315    3 ;
LENGTH      SF32315    3 ;
LENGTH      S032306    3 ;
LENGTH      SF32306    3 ;
LENGTH      S032640    3 ;
LENGTH      SF32640    3 ;
LENGTH      S032579    3 ;
LENGTH      SF32579    3 ;
LENGTH      S032570    3 ;
LENGTH      SF32570    3 ;
LENGTH      S032024    3 ;
LENGTH      SF32024    3 ;
LENGTH      S032272    3 ;
LENGTH      SF32272    3 ;
LENGTH      S032141    3 ;
LENGTH      SF32141    3 ;
LENGTH      S032060    3 ;
LENGTH      SF32060    3 ;
LENGTH      S032463    3 ;
LENGTH      SF32463    3 ;
LENGTH      S032650A   3 ;
LENGTH      S032650B   3 ;
LENGTH      S032650D   3 ;
LENGTH      SF32650A   3 ;
LENGTH      SF32650B   3 ;
LENGTH      SF32650D   3 ;
LENGTH      S032514    3 ;
LENGTH      SF32514    3 ;
LENGTH      S032611    3 ;
LENGTH      SF32611    3 ;
LENGTH      S032614    3 ;
LENGTH      SF32614    3 ;
LENGTH      S032451    3 ;
LENGTH      SF32451    3 ;
LENGTH      S032156    3 ;
LENGTH      SF32156    3 ;
LENGTH      S032056    3 ;
LENGTH      SF32056    3 ;
LENGTH      S032087    3 ;
LENGTH      SF32087    3 ;
LENGTH      S032279    3 ;
LENGTH      SF32279    3 ;
LENGTH      S032238    3 ;
LENGTH      SF32238    3 ;
LENGTH      S032369    3 ;
LENGTH      SF32369    3 ;
LENGTH      S032160    3 ;
LENGTH      SF32160    3 ;
LENGTH      S032654    3 ;
LENGTH      SF32654    3 ;
LENGTH      S032126    3 ;
LENGTH      SF32126    3 ;
LENGTH      S032510    3 ;
LENGTH      SF32510    3 ;
LENGTH      S032158    3 ;
LENGTH      SF32158    3 ;
LENGTH      S032574    3 ;
LENGTH      SF32574    3 ;
LENGTH      S032532    3 ;
LENGTH      SF32532    3 ;
LENGTH      S032562    3 ;
LENGTH      SF32562    3 ;
LENGTH      S032422    3 ;
LENGTH      SF32422    3 ;
LENGTH      S032375    3 ;
LENGTH      SF32375    3 ;
LENGTH      S032714    3 ;
LENGTH      SF32714    3 ;
LENGTH      S032704    3 ;
LENGTH      SF32704    3 ;
LENGTH      S032705A   3 ;
LENGTH      SF32705A   3 ;
LENGTH      S032705B   3 ;
LENGTH      SF32705B   3 ;
LENGTH      S032706A   3 ;
LENGTH      SF32706A   3 ;
LENGTH      S032706B   3 ;
LENGTH      SF32706B   3 ;
LENGTH      S032707    3 ;
LENGTH      SF32707    3 ;
LENGTH      S032115    3 ;
LENGTH      SF32115    3 ;
LENGTH      S032565    3 ;
LENGTH      SF32565    3 ;
LENGTH      S032403    3 ;
LENGTH      SF32403    3 ;
LENGTH      S032273    3 ;
LENGTH      SF32273    3 ;
LENGTH      S032019A   3 ;
LENGTH      SF32019A   3 ;
LENGTH      S032019B   3 ;
LENGTH      SF32019B   3 ;
LENGTH      S032516    3 ;
LENGTH      SF32516    3 ;
LENGTH      S032620    3 ;
LENGTH      SF32620    3 ;
LENGTH      S032693A   3 ;
LENGTH      SF32693A   3 ;
LENGTH      S032693B   3 ;
LENGTH      SF32693B   3 ;
LENGTH      S032695    3 ;
LENGTH      SF32695    3 ;
LENGTH      S032697A   3 ;
LENGTH      S032697B   3 ;
LENGTH      S032697D   3 ;
LENGTH      SF32697A   3 ;
LENGTH      SF32697B   3 ;
LENGTH      SF32697D   3 ;
LENGTH      JKREP      3 ;
LENGTH      JKZONE     3 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      TOTWGT     8 ;
LENGTH      BSMALG01   8 ;
LENGTH      BSMALG02   8 ;
LENGTH      BSMALG03   8 ;
LENGTH      BSMALG04   8 ;
LENGTH      BSMALG05   8 ;
LENGTH      BSMAPP01   8 ;
LENGTH      BSMAPP02   8 ;
LENGTH      BSMAPP03   8 ;
LENGTH      BSMAPP04   8 ;
LENGTH      BSMAPP05   8 ;
LENGTH      BSMDAP01   8 ;
LENGTH      BSMDAP02   8 ;
LENGTH      BSMDAP03   8 ;
LENGTH      BSMDAP04   8 ;
LENGTH      BSMDAP05   8 ;
LENGTH      BSMFNS01   8 ;
LENGTH      BSMFNS02   8 ;
LENGTH      BSMFNS03   8 ;
LENGTH      BSMFNS04   8 ;
LENGTH      BSMFNS05   8 ;
LENGTH      BSMGEO01   8 ;
LENGTH      BSMGEO02   8 ;
LENGTH      BSMGEO03   8 ;
LENGTH      BSMGEO04   8 ;
LENGTH      BSMGEO05   8 ;
LENGTH      BSMKNO01   8 ;
LENGTH      BSMKNO02   8 ;
LENGTH      BSMKNO03   8 ;
LENGTH      BSMKNO04   8 ;
LENGTH      BSMKNO05   8 ;
LENGTH      BSMMAT01   8 ;
LENGTH      BSMMAT02   8 ;
LENGTH      BSMMAT03   8 ;
LENGTH      BSMMAT04   8 ;
LENGTH      BSMMAT05   8 ;
LENGTH      BSMMEA01   8 ;
LENGTH      BSMMEA02   8 ;
LENGTH      BSMMEA03   8 ;
LENGTH      BSMMEA04   8 ;
LENGTH      BSMMEA05   8 ;
LENGTH      BSMNRSC    8 ;
LENGTH      BSMREA01   8 ;
LENGTH      BSMREA02   8 ;
LENGTH      BSMREA03   8 ;
LENGTH      BSMREA04   8 ;
LENGTH      BSMREA05   8 ;
LENGTH      BSMSCPT    3 ;
LENGTH      BSMSTDR    8 ;
LENGTH      BSSCHE01   8 ;
LENGTH      BSSCHE02   8 ;
LENGTH      BSSCHE03   8 ;
LENGTH      BSSCHE04   8 ;
LENGTH      BSSCHE05   8 ;
LENGTH      BSSEAS01   8 ;
LENGTH      BSSEAS02   8 ;
LENGTH      BSSEAS03   8 ;
LENGTH      BSSEAS04   8 ;
LENGTH      BSSEAS05   8 ;
LENGTH      BSSERI01   8 ;
LENGTH      BSSERI02   8 ;
LENGTH      BSSERI03   8 ;
LENGTH      BSSERI04   8 ;
LENGTH      BSSERI05   8 ;
LENGTH      BSSLIS01   8 ;
LENGTH      BSSLIS02   8 ;
LENGTH      BSSLIS03   8 ;
LENGTH      BSSLIS04   8 ;
LENGTH      BSSLIS05   8 ;
LENGTH      BSSNRSC    8 ;
LENGTH      BSSPHY01   8 ;
LENGTH      BSSPHY02   8 ;
LENGTH      BSSPHY03   8 ;
LENGTH      BSSPHY04   8 ;
LENGTH      BSSPHY05   8 ;
LENGTH      BSSSCI01   8 ;
LENGTH      BSSSCI02   8 ;
LENGTH      BSSSCI03   8 ;
LENGTH      BSSSCI04   8 ;
LENGTH      BSSSCI05   8 ;
LENGTH      BSSSCPT    3 ;
LENGTH      BSSSTDR    8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDPOP         6-   6     
  IDSCHOOL      7-  10     
  IDCLASS      11-  16     
  IDSTUD       17-  24     
  IDBOOK       25-  26     
  IDSCORA      27-  29     
  IDGRADE      30-  31     
  IDGRADER     32-  32     
  IDSTRATE     33-  35     
  IDSTRATI     36-  38     
  ITSEX        39-  39     
  ITLANG       40-  40     
  ITBIRTHM     41-  42     
  ITBIRTHY     43-  44     
  BSDAGE       45-  49 .2
  ILRELIAB     50-  50     
  INTMS03      51-  51     
  INTMS99      52-  52     
  INTMS95      53-  53     
  BSBGCAL1     54-  54     
  BSBGCAL2     55-  55     
  M012001      56-  56     
  MF12001      57-  57     
  M012002      58-  58     
  MF12002      59-  59     
  M012003      60-  60     
  MF12003      61-  61     
  M012004      62-  62     
  MF12004      63-  63     
  M012005      64-  64     
  MF12005      65-  65     
  M012006      66-  66     
  MF12006      67-  67     
  M012037      68-  68     
  MF12037      69-  69     
  M012038      70-  70     
  MF12038      71-  71     
  M012039      72-  72     
  MF12039      73-  73     
  M012040      74-  74     
  MF12040      75-  75     
  M012041      76-  76     
  MF12041      77-  77     
  M012042      78-  78     
  MF12042      79-  79     
  M032570      80-  80     
  MF32570      81-  81     
  M032643      82-  82     
  MF32643      83-  83     
  M032693      84-  85     
  MF32693      86-  87     
  M012013      88-  88     
  MF12013      89-  89     
  M012014      90-  90     
  MF12014      91-  91     
  M012015      92-  92     
  MF12015      93-  93     
  M012016      94-  94     
  MF12016      95-  95     
  M012017      96-  96     
  MF12017      97-  97     
  M022251      98-  98     
  MF22251      99-  99     
  M022185     100- 100     
  MF22185     101- 101     
  M022188     102- 102     
  MF22188     103- 103     
  M022189     104- 104     
  MF22189     105- 105     
  M022191     106- 106     
  MF22191     107- 107     
  M022194     108- 108     
  MF22194     109- 109     
  M022196     110- 110     
  MF22196     111- 111     
  M022198     112- 112     
  MF22198     113- 113     
  M022199     114- 114     
  MF22199     115- 115     
  M022202     116- 117     
  MF22202     118- 119     
  M012025     120- 120     
  MF12025     121- 121     
  M012026     122- 122     
  MF12026     123- 123     
  M012027     124- 124     
  MF12027     125- 125     
  M012028     126- 126     
  MF12028     127- 127     
  M012029     128- 128     
  MF12029     129- 129     
  M012030     130- 130     
  MF12030     131- 131     
  M022135     132- 132     
  MF22135     133- 133     
  M022139     134- 134     
  MF22139     135- 135     
  M022142     136- 136     
  MF22142     137- 137     
  M022144     138- 138     
  MF22144     139- 139     
  M022146     140- 140     
  MF22146     141- 141     
  M022148     142- 143     
  MF22148     144- 145     
  M022253     146- 147     
  MF22253     148- 149     
  M022154     150- 150     
  MF22154     151- 151     
  M022156     152- 153     
  MF22156     154- 155     
  M022002     156- 156     
  MF22002     157- 157     
  M022004     158- 158     
  MF22004     159- 159     
  M022005     160- 160     
  MF22005     161- 161     
  M022008     162- 163     
  MF22008     164- 165     
  M022010     166- 166     
  MF22010     167- 167     
  M022012     168- 169     
  MF22012     170- 171     
  M022021     172- 172     
  MF22021     173- 173     
  M022016     174- 174     
  MF22016     175- 175     
  M022252     176- 176     
  MF22252     177- 177     
  M022261A    178- 179     
  MF22261A    180- 181     
  M022261B    182- 183     
  MF22261B    184- 185     
  M022261C    186- 187     
  MF22261C    188- 189     
  M022227A    190- 191     
  MF22227A    192- 193     
  M022227B    194- 195     
  MF22227B    196- 197     
  M022227C    198- 199     
  MF22227C    200- 201     
  M022127     202- 202     
  MF22127     203- 203     
  M022043     204- 204     
  MF22043     205- 205     
  M022046     206- 207     
  MC22046     208- 209     
  MF22046     210- 211     
  M022049     212- 212     
  MF22049     213- 213     
  M022050     214- 214     
  MF22050     215- 215     
  M022055     216- 217     
  MF22055     218- 219     
  M022057     220- 220     
  MF22057     221- 221     
  M022257     222- 222     
  MF22257     223- 223     
  M022062     224- 224     
  MF22062     225- 225     
  M022066     226- 226     
  MF22066     227- 227     
  M022232     228- 229     
  MF22232     230- 231     
  M022234A    232- 233     
  MF22234A    234- 235     
  M022234B    236- 237     
  MF22234B    238- 239     
  M022243     240- 241     
  MF22243     242- 243     
  M022097     244- 244     
  MF22097     245- 245     
  M022101     246- 246     
  MF22101     247- 247     
  M022104     248- 248     
  MF22104     249- 249     
  M022105     250- 250     
  MF22105     251- 251     
  M022106     252- 253     
  MF22106     254- 255     
  M022108     256- 256     
  MF22108     257- 257     
  M022110     258- 259     
  MC22110     260- 261     
  MF22110     262- 263     
  M022181     264- 264     
  MF22181     265- 265     
  M032307     266- 267     
  MF32307     268- 269     
  M032523     270- 270     
  MF32523     271- 271     
  M032701     272- 272     
  MC32701     273- 273     
  MF32701     274- 274     
  M032704     275- 275     
  MC32704     276- 276     
  MF32704     277- 277     
  M032525     278- 278     
  MC32525     279- 279     
  MF32525     280- 280     
  M032579     281- 281     
  MF32579     282- 282     
  M032691     283- 284     
  MF32691     285- 286     
  M032142     287- 287     
  MF32142     288- 288     
  M032198     289- 289     
  MF32198     290- 290     
  M032640     291- 292     
  MF32640     293- 294     
  M032344     295- 296     
  MF32344     297- 298     
  M032754     299- 300     
  MF32754     301- 302     
  M032755     303- 304     
  MF32755     305- 306     
  M032753A    307- 308     
  MF32753A    309- 310     
  M032753B    311- 312     
  MF32753B    313- 314     
  M032753C    315- 316     
  MF32753C    317- 318     
  M032756     319- 320     
  MF32756     321- 322     
  M032205     323- 323     
  MF32205     324- 324     
  M032163     325- 325     
  MF32163     326- 326     
  M032381     327- 328     
  MF32381     329- 330     
  M032416     331- 331     
  MF32416     332- 332     
  M032160     333- 333     
  MF32160     334- 334     
  M032273     335- 335     
  MF32273     336- 336     
  M032540     337- 337     
  MF32540     338- 338     
  M032698     339- 339     
  MF32698     340- 340     
  M032097     341- 341     
  MF32097     342- 342     
  M032575     343- 343     
  MF32575     344- 344     
  M032414     345- 346     
  MF32414     347- 348     
  M032294     349- 349     
  MF32294     350- 350     
  M032688     351- 352     
  MF32688     353- 354     
  M032529     355- 355     
  MF32529     356- 356     
  M032637A    357- 358     
  MF32637A    359- 360     
  M032637B    361- 362     
  MF32637B    363- 364     
  M032637C    365- 366     
  MF32637C    367- 368     
  M032079     369- 369     
  M032652     370- 371     
  M032228     372- 372     
  M032044     373- 373     
  M032046     374- 374     
  M032545     375- 376     
  M032649A    377- 378     
  M032649B    379- 380     
  M032533     381- 381     
  M032678     382- 382     
  M032403     383- 384     
  M032261     385- 385     
  M032489     386- 386     
  M032588     387- 387     
  M032271     388- 388     
  M032671     389- 390     
  M032612     391- 391     
  M032557     392- 393     
  M032208     394- 394     
  M032210     395- 395     
  M032699     396- 396     
  M032762     397- 398     
  M032763     399- 400     
  M032764     401- 402     
  M032647     403- 403     
  M032689     404- 404     
  M032094     405- 405     
  MF32094     406- 406     
  M032662     407- 407     
  MF32662     408- 408     
  M032064     409- 410     
  MF32064     411- 412     
  M032419     413- 413     
  MF32419     414- 414     
  M032477     415- 415     
  MF32477     416- 416     
  M032538     417- 418     
  MF32538     419- 420     
  M032324     421- 421     
  MF32324     422- 422     
  M032116     423- 423     
  MF32116     424- 424     
  M032100     425- 425     
  MF32100     426- 426     
  M032402     427- 427     
  MF32402     428- 428     
  M032734     429- 430     
  MF32734     431- 432     
  M032397     433- 433     
  MF32397     434- 434     
  M032695     435- 436     
  MF32695     437- 438     
  M032132     439- 439     
  MF32132     440- 440     
  M032352     441- 441     
  MF32352     442- 442     
  M032725     443- 444     
  MF32725     445- 446     
  M032683     447- 448     
  MF32683     449- 450     
  M032738     451- 451     
  MF32738     452- 452     
  M032295     453- 453     
  MF32295     454- 454     
  M032331     455- 455     
  MF32331     456- 456     
  M032623     457- 457     
  MF32623     458- 458     
  M032679     459- 459     
  MF32679     460- 460     
  M032047     461- 461     
  MF32047     462- 462     
  M032398     463- 463     
  MF32398     464- 464     
  M032507     465- 465     
  MF32507     466- 466     
  M032424     467- 467     
  MF32424     468- 468     
  M032681A    469- 470     
  MF32681A    471- 472     
  M032681B    473- 474     
  MF32681B    475- 476     
  M032681C    477- 478     
  MF32681C    479- 480     
  M032609     481- 481     
  MF32609     482- 482     
  M032690     483- 483     
  MF32690     484- 484     
  M032727     485- 485     
  MF32727     486- 486     
  M032743     487- 488     
  MF32743     489- 490     
  M032744     491- 492     
  MF32744     493- 494     
  M032745     495- 496     
  MF32745     497- 498     
  M032233     499- 500     
  MF32233     501- 502     
  M032670     503- 503     
  MF32670     504- 504     
  M032447     505- 505     
  MF32447     506- 506     
  M032036     507- 507     
  MF32036     508- 508     
  M032728     509- 509     
  MF32728     510- 510     
  M032732     511- 511     
  MF32732     512- 512     
  M032166     513- 513     
  MF32166     514- 514     
  M032721     515- 515     
  MF32721     516- 516     
  M032757     517- 518     
  MF32757     519- 520     
  M032760A    521- 522     
  MF32760A    523- 524     
  M032760B    525- 526     
  MF32760B    527- 528     
  M032760C    529- 530     
  MF32760C    531- 532     
  M032761     533- 534     
  MF32761     535- 536     
  M032692     537- 538     
  MF32692     539- 540     
  M032626     541- 541     
  MF32626     542- 542     
  M032595     543- 543     
  MF32595     544- 544     
  M032673     545- 545     
  MF32673     546- 546     
  S012025     547- 547     
  SF12025     548- 548     
  S012026     549- 549     
  SF12026     550- 550     
  S012027     551- 551     
  SF12027     552- 552     
  S012028     553- 553     
  SF12028     554- 554     
  S012029     555- 555     
  SF12029     556- 556     
  S012030     557- 557     
  SF12030     558- 558     
  S022035     559- 560     
  SF22035     561- 562     
  S022225     563- 563     
  SF22225     564- 564     
  S022117     565- 565     
  SF22117     566- 566     
  S022235     567- 567     
  SF22235     568- 568     
  S022188     569- 569     
  SF22188     570- 570     
  S022074     571- 571     
  SF22074     572- 572     
  S022240     573- 573     
  SF22240     574- 574     
  S022206     575- 575     
  SF22206     576- 576     
  S022160     577- 578     
  SF22160     579- 580     
  S022058     581- 581     
  SF22058     582- 582     
  S012013     583- 583     
  SF12013     584- 584     
  S012014     585- 585     
  SF12014     586- 586     
  S012015     587- 587     
  SF12015     588- 588     
  S012016     589- 589     
  SF12016     590- 590     
  S012017     591- 591     
  SF12017     592- 592     
  S012018     593- 593     
  SF12018     594- 594     
  S012001     595- 595     
  SF12001     596- 596     
  S012002     597- 597     
  SF12002     598- 598     
  S012003     599- 599     
  SF12003     600- 600     
  S012004     601- 601     
  SF12004     602- 602     
  S012005     603- 603     
  SF12005     604- 604     
  S012006     605- 605     
  SF12006     606- 606     
  S032131     607- 608     
  SF32131     609- 610     
  S032202     611- 612     
  SF32202     613- 614     
  S012037     615- 615     
  SF12037     616- 616     
  S012038     617- 617     
  SF12038     618- 618     
  S012039     619- 619     
  SF12039     620- 620     
  S012040     621- 621     
  SF12040     622- 622     
  S012041     623- 623     
  SF12041     624- 624     
  S012042     625- 625     
  SF12042     626- 626     
  S022086     627- 628     
  SF22086     629- 630     
  S022198     631- 631     
  SF22198     632- 632     
  S022275     633- 633     
  SF22275     634- 634     
  S022041     635- 635     
  SF22041     636- 636     
  S022283     637- 638     
  SF22283     639- 640     
  S022202     641- 641     
  SF22202     642- 642     
  S022152     643- 644     
  SF22152     645- 646     
  S022154     647- 648     
  SF22154     649- 650     
  S022187     651- 651     
  SF22187     652- 652     
  S022161     653- 654     
  SF22161     655- 656     
  S022222     657- 657     
  SF22222     658- 658     
  S022191     659- 660     
  SF22191     661- 662     
  S022279     663- 664     
  SF22279     665- 666     
  S022040     667- 667     
  SF22040     668- 668     
  S022088A    669- 670     
  SF22088A    671- 672     
  S022088B    673- 674     
  SF22088B    675- 676     
  S022249A    677- 678     
  S022249B    679- 680     
  S022249D    681- 682     
  SF22249A    683- 684     
  SF22249B    685- 686     
  SF22249D    687- 688     
  S022286     689- 690     
  SF22286     691- 692     
  S032595     693- 693     
  SF32595     694- 694     
  S032656     695- 695     
  SF32656     696- 696     
  S032625A    697- 698     
  S032625B    699- 700     
  SF32625A    701- 702     
  SF32625B    703- 704     
  S022183     705- 705     
  SF22183     706- 706     
  S022276     707- 707     
  SF22276     708- 708     
  S022115     709- 709     
  SF22115     710- 710     
  S022022     711- 712     
  SF22022     713- 714     
  S022019     715- 715     
  SF22019     716- 716     
  S022002     717- 717     
  SF22002     718- 718     
  S022294     719- 719     
  SF22294     720- 720     
  S022106     721- 721     
  SF22106     722- 722     
  S022244     723- 724     
  SF22244     725- 726     
  S022150     727- 727     
  SF22150     728- 728     
  S022042     729- 729     
  SF22042     730- 730     
  S022289     731- 732     
  SF22289     733- 734     
  S022069     735- 736     
  SF22069     737- 738     
  S022268     739- 740     
  SF22268     741- 742     
  S022290     743- 743     
  SF22290     744- 744     
  S022292     745- 746     
  SF22292     747- 748     
  S022054     749- 749     
  SF22054     750- 750     
  S022181     751- 751     
  SF22181     752- 752     
  S022208     753- 753     
  SF22208     754- 754     
  S022078     755- 756     
  SF22078     757- 758     
  S022126     759- 759     
  SF22126     760- 760     
  S022281     761- 762     
  SF22281     763- 764     
  S032385     765- 765     
  SF32385     766- 766     
  S032035     767- 767     
  SF32035     768- 768     
  S032519     769- 770     
  SF32519     771- 772     
  S032683     773- 773     
  SF32683     774- 774     
  S032258     775- 775     
  SF32258     776- 776     
  S032120A    777- 778     
  SF32120A    779- 780     
  S032120B    781- 782     
  SF32120B    783- 784     
  S032606     785- 785     
  SF32606     786- 786     
  S032015     787- 788     
  SF32015     789- 790     
  S032310A    791- 792     
  S032310B    793- 794     
  S032310D    795- 796     
  SF32310A    797- 798     
  SF32310B    799- 800     
  SF32310D    801- 802     
  S032680     803- 804     
  SF32680     805- 806     
  S032672     807- 807     
  SF32672     808- 808     
  S032392     809- 809     
  SF32392     810- 810     
  S032425     811- 811     
  SF32425     812- 812     
  S032257     813- 813     
  SF32257     814- 814     
  S032663     815- 815     
  SF32663     816- 816     
  S032660     817- 817     
  SF32660     818- 818     
  S032555     819- 820     
  SF32555     821- 822     
  S032122     823- 824     
  SF32122     825- 826     
  S032542     827- 827     
  SF32542     828- 828     
  S032645     829- 829     
  SF32645     830- 830     
  S032530A    831- 832     
  S032530B    833- 834     
  S032530D    835- 836     
  SF32530A    837- 838     
  SF32530B    839- 840     
  SF32530D    841- 842     
  S032007     843- 844     
  SF32007     845- 846     
  S032502     847- 847     
  SF32502     848- 848     
  S032679     849- 850     
  SF32679     851- 852     
  S032184     853- 853     
  SF32184     854- 854     
  S032394     855- 855     
  SF32394     856- 856     
  S032151     857- 857     
  SF32151     858- 858     
  S032651A    859- 860     
  SF32651A    861- 862     
  S032651B    863- 864     
  SF32651B    865- 866     
  S032665A    867- 868     
  SF32665A    869- 870     
  S032665B    871- 872     
  SF32665B    873- 874     
  S032665C    875- 876     
  SF32665C    877- 878     
  S032607     879- 879     
  S032063     880- 881     
  S032206     882- 883     
  S032008     884- 884     
  S032083     885- 885     
  S032564     886- 886     
  S032057     887- 888     
  S032055     889- 889     
  S032626     890- 891     
  S032281     892- 892     
  S032150     893- 893     
  S032301     894- 894     
  S032446     895- 895     
  S032637     896- 896     
  S032386     897- 897     
  S032682     898- 898     
  S032652     899- 899     
  S032437     900- 900     
  S032242     901- 902     
  S032709     903- 904     
  S032711     905- 906     
  S032712A    907- 908     
  S032712B    909- 910     
  S032713A    911- 912     
  S032713B    913- 914     
  S032465     915- 915     
  SF32465     916- 916     
  S032315     917- 917     
  SF32315     918- 918     
  S032306     919- 920     
  SF32306     921- 922     
  S032640     923- 924     
  SF32640     925- 926     
  S032579     927- 927     
  SF32579     928- 928     
  S032570     929- 930     
  SF32570     931- 932     
  S032024     933- 933     
  SF32024     934- 934     
  S032272     935- 936     
  SF32272     937- 938     
  S032141     939- 939     
  SF32141     940- 940     
  S032060     941- 942     
  SF32060     943- 944     
  S032463     945- 945     
  SF32463     946- 946     
  S032650A    947- 948     
  S032650B    949- 950     
  S032650D    951- 952     
  SF32650A    953- 954     
  SF32650B    955- 956     
  SF32650D    957- 958     
  S032514     959- 959     
  SF32514     960- 960     
  S032611     961- 961     
  SF32611     962- 962     
  S032614     963- 964     
  SF32614     965- 966     
  S032451     967- 968     
  SF32451     969- 970     
  S032156     971- 971     
  SF32156     972- 972     
  S032056     973- 974     
  SF32056     975- 976     
  S032087     977- 977     
  SF32087     978- 978     
  S032279     979- 979     
  SF32279     980- 980     
  S032238     981- 981     
  SF32238     982- 982     
  S032369     983- 984     
  SF32369     985- 986     
  S032160     987- 987     
  SF32160     988- 988     
  S032654     989- 989     
  SF32654     990- 990     
  S032126     991- 992     
  SF32126     993- 994     
  S032510     995- 995     
  SF32510     996- 996     
  S032158     997- 997     
  SF32158     998- 998     
  S032574     999- 999     
  SF32574    1000-1000     
  S032532    1001-1002     
  SF32532    1003-1004     
  S032562    1005-1006     
  SF32562    1007-1008     
  S032422    1009-1009     
  SF32422    1010-1010     
  S032375    1011-1012     
  SF32375    1013-1014     
  S032714    1015-1015     
  SF32714    1016-1016     
  S032704    1017-1018     
  SF32704    1019-1020     
  S032705A   1021-1022     
  SF32705A   1023-1024     
  S032705B   1025-1026     
  SF32705B   1027-1028     
  S032706A   1029-1030     
  SF32706A   1031-1032     
  S032706B   1033-1034     
  SF32706B   1035-1036     
  S032707    1037-1038     
  SF32707    1039-1040     
  S032115    1041-1041     
  SF32115    1042-1042     
  S032565    1043-1044     
  SF32565    1045-1046     
  S032403    1047-1047     
  SF32403    1048-1048     
  S032273    1049-1049     
  SF32273    1050-1050     
  S032019A   1051-1052     
  SF32019A   1053-1054     
  S032019B   1055-1056     
  SF32019B   1057-1058     
  S032516    1059-1060     
  SF32516    1061-1062     
  S032620    1063-1063     
  SF32620    1064-1064     
  S032693A   1065-1066     
  SF32693A   1067-1068     
  S032693B   1069-1070     
  SF32693B   1071-1072     
  S032695    1073-1074     
  SF32695    1075-1076     
  S032697A   1077-1078     
  S032697B   1079-1080     
  S032697D   1081-1082     
  SF32697A   1083-1084     
  SF32697B   1085-1086     
  SF32697D   1087-1088     
  JKREP      1089-1089     
  JKZONE     1090-1091     
  HOUWGT     1092-1104 .6
  SENWGT     1105-1117 .6
  TOTWGT     1118-1130 .6
  BSMALG01   1131-1136 .2
  BSMALG02   1137-1142 .2
  BSMALG03   1143-1148 .2
  BSMALG04   1149-1154 .2
  BSMALG05   1155-1160 .2
  BSMAPP01   1161-1166 .2
  BSMAPP02   1167-1172 .2
  BSMAPP03   1173-1178 .2
  BSMAPP04   1179-1184 .2
  BSMAPP05   1185-1190 .2
  BSMDAP01   1191-1196 .2
  BSMDAP02   1197-1202 .2
  BSMDAP03   1203-1208 .2
  BSMDAP04   1209-1214 .2
  BSMDAP05   1215-1220 .2
  BSMFNS01   1221-1226 .2
  BSMFNS02   1227-1232 .2
  BSMFNS03   1233-1238 .2
  BSMFNS04   1239-1244 .2
  BSMFNS05   1245-1250 .2
  BSMGEO01   1251-1256 .2
  BSMGEO02   1257-1262 .2
  BSMGEO03   1263-1268 .2
  BSMGEO04   1269-1274 .2
  BSMGEO05   1275-1280 .2
  BSMKNO01   1281-1286 .2
  BSMKNO02   1287-1292 .2
  BSMKNO03   1293-1298 .2
  BSMKNO04   1299-1304 .2
  BSMKNO05   1305-1310 .2
  BSMMAT01   1311-1316 .2
  BSMMAT02   1317-1322 .2
  BSMMAT03   1323-1328 .2
  BSMMAT04   1329-1334 .2
  BSMMAT05   1335-1340 .2
  BSMMEA01   1341-1346 .2
  BSMMEA02   1347-1352 .2
  BSMMEA03   1353-1358 .2
  BSMMEA04   1359-1364 .2
  BSMMEA05   1365-1370 .2
  BSMNRSC    1371-1378 .3
  BSMREA01   1379-1384 .2
  BSMREA02   1385-1390 .2
  BSMREA03   1391-1396 .2
  BSMREA04   1397-1402 .2
  BSMREA05   1403-1408 .2
  BSMSCPT    1409-1410     
  BSMSTDR    1411-1418 .3
  BSSCHE01   1419-1424 .2
  BSSCHE02   1425-1430 .2
  BSSCHE03   1431-1436 .2
  BSSCHE04   1437-1442 .2
  BSSCHE05   1443-1448 .2
  BSSEAS01   1449-1454 .2
  BSSEAS02   1455-1460 .2
  BSSEAS03   1461-1466 .2
  BSSEAS04   1467-1472 .2
  BSSEAS05   1473-1478 .2
  BSSERI01   1479-1484 .2
  BSSERI02   1485-1490 .2
  BSSERI03   1491-1496 .2
  BSSERI04   1497-1502 .2
  BSSERI05   1503-1508 .2
  BSSLIS01   1509-1514 .2
  BSSLIS02   1515-1520 .2
  BSSLIS03   1521-1526 .2
  BSSLIS04   1527-1532 .2
  BSSLIS05   1533-1538 .2
  BSSNRSC    1539-1546 .3
  BSSPHY01   1547-1552 .2
  BSSPHY02   1553-1558 .2
  BSSPHY03   1559-1564 .2
  BSSPHY04   1565-1570 .2
  BSSPHY05   1571-1576 .2
  BSSSCI01   1577-1582 .2
  BSSSCI02   1583-1588 .2
  BSSSCI03   1589-1594 .2
  BSSSCI04   1595-1600 .2
  BSSSCI05   1601-1606 .2
  BSSSCPT    1607-1608     
  BSSSTDR    1609-1616 .3
  DPCDATE    1617-1622     
;




%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDBOOK   = "*BOOKLET ID*"
  IDSCORA  = "*ACHIEVEMENT SCORER*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  IDSTRATE = "*EXPLICIT STRATUM CODE*"
  IDSTRATI = "*IMPLICIT STRATUM CODE*"
  ITSEX    = "*SEX OF STUDENTS*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  ITBIRTHM = "*DATE OF STUDENTS BIRTH\MONTH*"
  ITBIRTHY = "*DATE OF STUDENTS BIRTH\YEAR*"
  BSDAGE   = "*D:STUDENTS AGE*"
  ILRELIAB = "*RELIABILITY CODING STATUS*"
  INTMS03  = "*IN 2003 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 1999 AND 2003 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 1995 AND 1999 AND 2003 ASS. POP*"
  BSBGCAL1 = "CALCULATOR SURVEY"
  BSBGCAL2 = "CALCULATOR SURVEY"
  M012001  = "NUMBER OF SQUARES IN SHADED FRACTION (A)"
  MF12001  = "NUMBER OF SQUARES IN SHADED FRACTION (A)"
  M012002  = "OBJECTS BALANCED ON SCALE (C)"
  MF12002  = "OBJECTS BALANCED ON SCALE (C)"
  M012003  = "ACTUAL LENGTH OF BOX FROM ROUNDED ME (D)"
  MF12003  = "ACTUAL LENGTH OF BOX FROM ROUNDED ME (D)"
  M012004  = "LAPS RUN BY CAROL AND ALICE FR RATIO (D)"
  MF12004  = "LAPS RUN BY CAROL AND ALICE FR RATIO (D)"
  M012005  = "FALSE STATEM OF CONGRUENT TRIANGLES (B)"
  MF12005  = "FALSE STATEM OF CONGRUENT TRIANGLES (B)"
  M012006  = "COMPARISON OF TWO AVERAGE SCORES (C)"
  MF12006  = "COMPARISON OF TWO AVERAGE SCORES (C)"
  M012037  = "TEST SCORE FREQUENCY TABLE (B)"
  MF12037  = "TEST SCORE FREQUENCY TABLE (B)"
  M012038  = "LENGTH OF PIPE FROM METER SCALE (C)"
  MF12038  = "LENGTH OF PIPE FROM METER SCALE (C)"
  M012039  = "SUM OF ANGLES FR INTERSECTING LINES (C)"
  MF12039  = "SUM OF ANGLES FR INTERSECTING LINES (C)"
  M012040  = "FIND N FROM PROPORTIONALITY EQUATION (B)"
  MF12040  = "FIND N FROM PROPORTIONALITY EQUATION (B)"
  M012041  = "FRACTION BIRTHD I FIRST HALF OF YEAR (D)"
  MF12041  = "FRACTION BIRTHD I FIRST HALF OF YEAR (D)"
  M012042  = "VALUE OF -3X GIVEN VALUE OF X (E)"
  MF12042  = "VALUE OF -3X GIVEN VALUE OF X (E)"
  M032570  = "3/25 OF THE P IN THE AUDICE WAS CHIL (A)"
  MF32570  = "3/25 OF THE P IN THE AUDICE WAS CHIL (A)"
  M032643  = "IF N IS A NEGATIVE INTEGER (C)"
  MF32643  = "IF N IS A NEGATIVE INTEGER (C)"
  M032693  = "THE ANGLE BY A REGULAR HEXAGON (1)"
  MF32693  = "THE ANGLE BY A REGULAR HEXAGON (1)"
  M012013  = "VOLUMES OF STACKS OF BLOCKS (A)"
  MF12013  = "VOLUMES OF STACKS OF BLOCKS (A)"
  M012014  = "PIE GRAPH OF CROP DISTRIBUTION (D)"
  MF12014  = "PIE GRAPH OF CROP DISTRIBUTION (D)"
  M012015  = "PROPERTY OF CONGRUENT TRAPEZOIDS (A)"
  MF12015  = "PROPERTY OF CONGRUENT TRAPEZOIDS (A)"
  M012016  = "PAIR OF NUMBERS BRACKETING 2.25 (B)"
  MF12016  = "PAIR OF NUMBERS BRACKETING 2.25 (B)"
  M012017  = "NR OF MATCHSTICKS CONTINUING PATTERN (B)"
  MF12017  = "NR OF MATCHSTICKS CONTINUING PATTERN (B)"
  M022251  = "TOTL NUMBER OF BOOKS THREE BOYS HAVE (C)"
  MF22251  = "TOTL NUMBER OF BOOKS THREE BOYS HAVE (C)"
  M022185  = "SUBTRACT FRACTIONS INVOLVING X (E)"
  MF22185  = "SUBTRACT FRACTIONS INVOLVING X (E)"
  M022188  = "WHICH IS LEAST AMOUNT OF TIME (B)"
  MF22188  = "WHICH IS LEAST AMOUNT OF TIME (B)"
  M022189  = "HOW MANY PENCILS SOLD FROM BAR GRAPH (C)"
  MF22189  = "HOW MANY PENCILS SOLD FROM BAR GRAPH (C)"
  M022191  = "NUMBER OF MEN/WOMEN AT MEETING (A)"
  MF22191  = "NUMBER OF MEN/WOMEN AT MEETING (A)"
  M022194  = "APPROXIMATE NUMBER OF MAGAZINES SOLD (D)"
  MF22194  = "APPROXIMATE NUMBER OF MAGAZINES SOLD (D)"
  M022196  = "TRUE EXPRESSION FOR VALUES OF L,K,M (A)"
  MF22196  = "TRUE EXPRESSION FOR VALUES OF L,K,M (A)"
  M022198  = "DECIMALS ORDERED GREATEST TO LEAST (D)"
  MF22198  = "DECIMALS ORDERED GREATEST TO LEAST (D)"
  M022199  = "ADDITION/MULTIPLICATI WITH FRACTIONS (E)"
  MF22199  = "ADDITION/MULTIPLICATI WITH FRACTIONS (E)"
  M022202  = "MEASURE OF ANGLE IN ADJACENT ANGLES (1)"
  MF22202  = "MEASURE OF ANGLE IN ADJACENT ANGLES (1)"
  M012025  = "INTERS POINT OF DISTANCE/TIME GRAPHS (D)"
  MF12025  = "INTERS POINT OF DISTANCE/TIME GRAPHS (D)"
  M012026  = "ANGLE IN OVERLAPPIN CONGRUENT TRIANG (D)"
  MF12026  = "ANGLE IN OVERLAPPIN CONGRUENT TRIANG (D)"
  M012027  = "FRACTION OF HOUR BETW TWO TIME POINT (B)"
  MF12027  = "FRACTION OF HOUR BETW TWO TIME POINT (B)"
  M012028  = "ARRANGEMENTS OF 4-DIGIT WHOLE NUMBER (C)"
  MF12028  = "ARRANGEMENTS OF 4-DIGIT WHOLE NUMBER (C)"
  M012029  = "SETS OF ORDERED PAIRS OF NUMBERS (E)"
  MF12029  = "SETS OF ORDERED PAIRS OF NUMBERS (E)"
  M012030  = "LENG OF RECTANG FROM WIDTH/PERIMETER (B)"
  MF12030  = "LENG OF RECTANG FROM WIDTH/PERIMETER (B)"
  M022135  = "GRAPH OF COOLING WATER (A)"
  MF22135  = "GRAPH OF COOLING WATER (A)"
  M022139  = "PERCENT DECREASE IN TRAVEL TIME (C)"
  MF22139  = "PERCENT DECREASE IN TRAVEL TIME (C)"
  M022142  = "SUM OF ANGLES EQUAL TO 180 DEGREES (B)"
  MF22142  = "SUM OF ANGLES EQUAL TO 180 DEGREES (B)"
  M022144  = "DECIMAL ROUNDED TO NEAREST HUNDREDTH (D)"
  MF22144  = "DECIMAL ROUNDED TO NEAREST HUNDREDTH (D)"
  M022146  = "NUMBER OF STUDENTS FROM PROBABILITY (E)"
  MF22146  = "NUMBER OF STUDENTS FROM PROBABILITY (E)"
  M022148  = "TIME WHEN FINISH HOMEWORK (1)"
  MF22148  = "TIME WHEN FINISH HOMEWORK (1)"
  M022253  = "SOLVE EQUATION FOR X (1)"
  MF22253  = "SOLVE EQUATION FOR X (1)"
  M022154  = "CENTER POIN OF ROTATION OF RECTANGLE (C)"
  MF22154  = "CENTER POIN OF ROTATION OF RECTANGLE (C)"
  M022156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG (1)"
  MF22156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG (1)"
  M022002  = "THREE CONSECUTIVE EVEN NUMBERS (A)"
  MF22002  = "THREE CONSECUTIVE EVEN NUMBERS (A)"
  M022004  = "4/5 OF BOOKS MORE THAN 2/3 (C)"
  MF22004  = "4/5 OF BOOKS MORE THAN 2/3 (C)"
  M022005  = "250 ML BOTTLES FILLED BY 400 LITERS (C)"
  MF22005  = "250 ML BOTTLES FILLED BY 400 LITERS (C)"
  M022008  = "NUMBERS IN SEQUENCE INCREASING BY 4 (1)"
  MF22008  = "NUMBERS IN SEQUENCE INCREASING BY 4 (1)"
  M022010  = "TIME FOR BETTY TO RUN RACE (A)"
  MF22010  = "TIME FOR BETTY TO RUN RACE (A)"
  M022012  = "FRACTION LESS THAN 4/9 (1)"
  MF22012  = "FRACTION LESS THAN 4/9 (1)"
  M022021  = "AREA OF PAVED WALKWAY AROUND POOL (C)"
  MF22021  = "AREA OF PAVED WALKWAY AROUND POOL (C)"
  M022016  = "POINT ON A LINE DEFINED BY TWO POINT (D)"
  MF22016  = "POINT ON A LINE DEFINED BY TWO POINT (D)"
  M022252  = "MOST LIKELY SECTOR ON SPINNER (B)"
  MF22252  = "MOST LIKELY SECTOR ON SPINNER (B)"
  M022261A = "SEQUENCE FIG WITH TRIANGL/FILL TABLE (1)"
  MF22261A = "SEQUENCE FIG WITH TRIANGL/FILL TABLE (1)"
  M022261B = "SEQUENCE FIG WITH TRIANGL/7TH FIGURE (1)"
  MF22261B = "SEQUENCE FIG WITH TRIANGL/7TH FIGURE (1)"
  M022261C = "SEQUENCE FIG WITH TRIANGL/50TH FIGUR (2)"
  MF22261C = "SEQUENCE FIG WITH TRIANGL/50TH FIGUR (2)"
  M022227A = "5 SQUARES/AREA OF ONE SQUARE (1)"
  MF22227A = "5 SQUARES/AREA OF ONE SQUARE (1)"
  M022227B = "5 SQUARES/LENGTH OF ONE SIDE (1)"
  MF22227B = "5 SQUARES/LENGTH OF ONE SIDE (1)"
  M022227C = "5 SQUARES/PERIMETER WHOLE FIGURE (1)"
  MF22227C = "5 SQUARES/PERIMETER WHOLE FIGURE (1)"
  M022127  = "FUEL REMAININ IN TANK AT END OF TRIP (A)"
  MF22127  = "FUEL REMAININ IN TANK AT END OF TRIP (A)"
  M022043  = "CIRCLE WITH SAME SHADED FRACTION (D)"
  MF22043  = "CIRCLE WITH SAME SHADED FRACTION (D)"
  M022046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (1)"
  MC22046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (1)"
  MF22046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (1)"
  M022049  = "ROTATED 3-DIMENSIONAL OBJECT (D)"
  MF22049  = "ROTATED 3-DIMENSIONAL OBJECT (D)"
  M022050  = "INEQUALITY EQUIVALENT TO X/3 > 8 (E)"
  MF22050  = "INEQUALITY EQUIVALENT TO X/3 > 8 (E)"
  M022055  = "PERIMETER OF SQUARE FROM AREA (1)"
  MF22055  = "PERIMETER OF SQUARE FROM AREA (1)"
  M022057  = "APPROXIMATE TONS OF FERTILIZER SOLD (C)"
  MF22057  = "APPROXIMATE TONS OF FERTILIZER SOLD (C)"
  M022257  = "PROBABILITY OF DRAWING BLUE BEAD (C)"
  MF22257  = "PROBABILITY OF DRAWING BLUE BEAD (C)"
  M022062  = "VALUE OF ANGLE IN CONGRUENT TRIANGLE (B)"
  MF22062  = "VALUE OF ANGLE IN CONGRUENT TRIANGLE (B)"
  M022066  = "ADDITION OF THREE FRACTIONS (D)"
  MF22066  = "ADDITION OF THREE FRACTIONS (D)"
  M022232  = "ESTIMATE TIME FOR WATER TO COOL (2)"
  MF22232  = "ESTIMATE TIME FOR WATER TO COOL (2)"
  M022234A = "NEW RECTAN FROM OLD/DRAW ON THE GRID (2)"
  MF22234A = "NEW RECTAN FROM OLD/DRAW ON THE GRID (2)"
  M022234B = "NEW RECTANGL FROM OLD/RATIO OF AREAS (2)"
  MF22234B = "NEW RECTANGL FROM OLD/RATIO OF AREAS (2)"
  M022243  = "AREA OF TRIANGLE INSIDE A SQUARE (1)"
  MF22243  = "AREA OF TRIANGLE INSIDE A SQUARE (1)"
  M022097  = "VOLTAGE SHOWN ON METER (C)"
  MF22097  = "VOLTAGE SHOWN ON METER (C)"
  M022101  = "BOX WITH GREATER CHANCE TO PICK 17 (A)"
  MF22101  = "BOX WITH GREATER CHANCE TO PICK 17 (A)"
  M022104  = "WHICH FRACTION IS SMALLEST (D)"
  MF22104  = "WHICH FRACTION IS SMALLEST (D)"
  M022105  = "TRIANGL ROTATED ABOUT POINT IN PLANE (D)"
  MF22105  = "TRIANGL ROTATED ABOUT POINT IN PLANE (D)"
  M022106  = "RATIO OF CHILDREN TO ADULTS ON BUS (1)"
  MF22106  = "RATIO OF CHILDREN TO ADULTS ON BUS (1)"
  M022108  = "DEGREE OF ANGLE FROM SUPPLEMENTS (C)"
  MF22108  = "DEGREE OF ANGLE FROM SUPPLEMENTS (C)"
  M022110  = "MULTIPLY TWO DECIMALS (1)"
  MC22110  = "MULTIPLY TWO DECIMALS (1)"
  MF22110  = "MULTIPLY TWO DECIMALS (1)"
  M022181  = "GRAPH SHOWING INFORMATION IN TABLE (B)"
  MF22181  = "GRAPH SHOWING INFORMATION IN TABLE (B)"
  M032307  = "TICKET COST EITHE 10, 15, OR 30 ZEDS (1)"
  MF32307  = "TICKET COST EITHE 10, 15, OR 30 ZEDS (1)"
  M032523  = "CUPS OF SUGAR FOR 1 1/2 TIM ORI RECI (B)"
  MF32523  = "CUPS OF SUGAR FOR 1 1/2 TIM ORI RECI (B)"
  M032701  = "THERE 1 TEACHER FOR EVERY 12 STUDENT (C)"
  MC32701  = "THERE 1 TEACHER FOR EVERY 12 STUDENT (C)"
  MF32701  = "THERE 1 TEACHER FOR EVERY 12 STUDENT (C)"
  M032704  = "A BUS TRAVELS AT A CONSTANT SPEED (B)"
  MC32704  = "A BUS TRAVELS AT A CONSTANT SPEED (B)"
  MF32704  = "A BUS TRAVELS AT A CONSTANT SPEED (B)"
  M032525  = "THE NUMBER DIVIDED BY -6 GIVES 12 (A)"
  MC32525  = "THE NUMBER DIVIDED BY -6 GIVES 12 (A)"
  MF32525  = "THE NUMBER DIVIDED BY -6 GIVES 12 (A)"
  M032579  = "THE MEAS OF ANGLE C IN TRIANGLE ABOV (B)"
  MF32579  = "THE MEAS OF ANGLE C IN TRIANGLE ABOV (B)"
  M032691  = "DRAW ANGLES THAT ARE SUPPLEMENTARY (2)"
  MF32691  = "DRAW ANGLES THAT ARE SUPPLEMENTARY (2)"
  M032142  = "THE NR OF BOYS AND GIRLS IN 4 CLASSE (B)"
  MF32142  = "THE NR OF BOYS AND GIRLS IN 4 CLASSE (B)"
  M032198  = "2 TIMES A SQUARED TIMES 3A (D)"
  MF32198  = "2 TIMES A SQUARED TIMES 3A (D)"
  M032640  = "13 MATCHES TO MAK 4 SQUARES IN A ROW (2)"
  MF32640  = "13 MATCHES TO MAK 4 SQUARES IN A ROW (2)"
  M032344  = "VOL OF BOX FRM SHAPE THAT IS FOLD UP (1)"
  MF32344  = "VOL OF BOX FRM SHAPE THAT IS FOLD UP (1)"
  M032754  = "CLASS TRIP_FILL TABLE WITH YES/NO (2)"
  MF32754  = "CLASS TRIP_FILL TABLE WITH YES/NO (2)"
  M032755  = "CLASS TRIP_MAKE CALCULA FROM TWO ADS (2)"
  MF32755  = "CLASS TRIP_MAKE CALCULA FROM TWO ADS (2)"
  M032753A = "CLASS TRIP_FILL SCHED TABL FOR ACTON (2)"
  MF32753A = "CLASS TRIP_FILL SCHED TABL FOR ACTON (2)"
  M032753B = "CLA TRIP_FILL SCHED TABL FOR CAMFORD (2)"
  MF32753B = "CLA TRIP_FILL SCHED TABL FOR CAMFORD (2)"
  M032753C = "CL TRIP_IDENT TOWNS MEET ALL CONDITI (1)"
  MF32753C = "CL TRIP_IDENT TOWNS MEET ALL CONDITI (1)"
  M032756  = "CL TRIP_TOWN FULFILLI ALL CONDITIONS (1)"
  MF32756  = "CL TRIP_TOWN FULFILLI ALL CONDITIONS (1)"
  M032205  = "THE MEAS OF THE ANGLE QUS IN HEXAGON (B)"
  MF32205  = "THE MEAS OF THE ANGLE QUS IN HEXAGON (B)"
  M032163  = "THE RELAT BETWEEN X AND Y IN A TABLE (C)"
  MF32163  = "THE RELAT BETWEEN X AND Y IN A TABLE (C)"
  M032381  = "HOW MANY CHILDREN WERE ON THE TRIP (1)"
  MF32381  = "HOW MANY CHILDREN WERE ON THE TRIP (1)"
  M032416  = "A CORRECT PROCE FOR FIND 1/5 MIN 1/3 (D)"
  MF32416  = "A CORRECT PROCE FOR FIND 1/5 MIN 1/3 (D)"
  M032160  = "AN ALLOY IS MADE OF GOLD AND SILVER (D)"
  MF32160  = "AN ALLOY IS MADE OF GOLD AND SILVER (D)"
  M032273  = "THE RULE FOR PATTERN OF 2,5,11,23 (B)"
  MF32273  = "THE RULE FOR PATTERN OF 2,5,11,23 (B)"
  M032540  = "3 TIMES (2X MIN 1) PLUS 2X EQUALS 21 (D)"
  MF32540  = "3 TIMES (2X MIN 1) PLUS 2X EQUALS 21 (D)"
  M032698  = "HOW M JACKET ANNA HAVE IN TERMS OF N (A)"
  MF32698  = "HOW M JACKET ANNA HAVE IN TERMS OF N (A)"
  M032097  = "A CIRCULAR POND HAS A RADIUS OF 10 M (C)"
  MF32097  = "A CIRCULAR POND HAS A RADIUS OF 10 M (C)"
  M032575  = "THE AREA, IN SQUARE CM, OF THE FIGUR (B)"
  MF32575  = "THE AREA, IN SQUARE CM, OF THE FIGUR (B)"
  M032414  = "VALUE OF ANGLE X IN A FIGURE (1)"
  MF32414  = "VALUE OF ANGLE X IN A FIGURE (1)"
  M032294  = "POINT SUCH THAT MNP IS ISOSCE TRIANG (A)"
  MF32294  = "POINT SUCH THAT MNP IS ISOSCE TRIANG (A)"
  M032688  = "DRAW LINE IN SPIN GIVEN INF IN TABLE (1)"
  MF32688  = "DRAW LINE IN SPIN GIVEN INF IN TABLE (1)"
  M032529  = "PERCENTAGE REDUCTION IN SALE (B)"
  MF32529  = "PERCENTAGE REDUCTION IN SALE (B)"
  M032637A = "BE FIT HEALTH CLUB/LABEL LINES (1)"
  MF32637A = "BE FIT HEALTH CLUB/LABEL LINES (1)"
  M032637B = "BE FIT HEALTH CLUB/IDENTIFY WEEK (1)"
  MF32637B = "BE FIT HEALTH CLUB/IDENTIFY WEEK (1)"
  M032637C = "BE FIT HEALTH CLUB/DIFFEREN IN COSTS (1)"
  MF32637C = "BE FIT HEALTH CLUB/DIFFEREN IN COSTS (1)"
  M032079  = "JOHN AND CATHY DIVIDE NUMBER BY 100 (B)"
  M032652  = "TEACHERS SEND 6 NEWSLETTERS PER YEAR (1)"
  M032228  = "A SHOP INCREASED ITS PRICES BY 20 P. (C)"
  M032044  = "CARLA PAID X ZEDS FOR 3 CARTON JUICE (A)"
  M032046  = "IF Y EQUALS 3X PLUS 2 (A)"
  M032545  = "7 ORANGES AND 4 LEMONS COST 43 ZEDS (1)"
  M032649A = "CAR RALLY/AVERAGE SPEED (1)"
  M032649B = "CAR RALLY/AVERAGE SPEED ONE SECTION (1)"
  M032533  = "A MACHINE USE 2.4 LITERS OF GASOLINE (B)"
  M032678  = "THE AREA OF THE RECTANGLE ABCD (D)"
  M032403  = "DRAW A LINE TO DIVIDE TRIANGLE ABC (1)"
  M032261  = "IDENTIFY SIMILAR TRIANGLES (D)"
  M032489  = "WHICH COULD FOLDED MAKE A 3-D FIGURE (D)"
  M032588  = "WHICH POINT COULD COORDINATE (2, -4) (C)"
  M032271  = "IN A SCHOOL THERE WERE 1200 STUDENTS (C)"
  M032671  = "GARDEN WITH 14 ROWS OF 20 PLANT EACH (1)"
  M032612  = "THE VALUE OF 1 MINUS 5 TIMES -2 (A)"
  M032557  = "THE VALUE OF A + 2 TIMES (B PLUS C) (1)"
  M032208  = "X MINUS Y EQUALS 5 AND X/2 EQUALS 3 (B)"
  M032210  = "IF A/B EQUALS 70 (A)"
  M032699  = "THE UNIT USED FOR A SOCCER FIELD (C)"
  M032762  = "PHONE PLANS_LEAST EXPENS PLAN BETTY (2)"
  M032763  = "PHONE PLANS_COST OF PLANS FOR FRANK (2)"
  M032764  = "PHONE PLANS_MINUTES TALK BY DARLENE (2)"
  M032647  = "ORANGES ARE PACKED IN BOXES (B)"
  M032689  = "THE SIZE OF ANGLE PRQ (C)"
  M032094  = "4/100 PLUS 3/1000 (A)"
  MF32094  = "4/100 PLUS 3/1000 (A)"
  M032662  = "P AND Q ARE 2 NR ON THE NUMBER LINE (D)"
  MF32662  = "P AND Q ARE 2 NR ON THE NUMBER LINE (D)"
  M032064  = "A AND J DIVIDE 560 ZEDS BETWEEN THEM (1)"
  MF32064  = "A AND J DIVIDE 560 ZEDS BETWEEN THEM (1)"
  M032419  = "WHICH REPRESENTS 2X PLUS 3X (C)"
  MF32419  = "WHICH REPRESENTS 2X PLUS 3X (C)"
  M032477  = "THE COST ZEDS FOR TAXI TRIP OF N KM (A)"
  MF32477  = "THE COST ZEDS FOR TAXI TRIP OF N KM (A)"
  M032538  = "FIND THE VALUE OF Y WHEN T IS 9 (1)"
  MF32538  = "FIND THE VALUE OF Y WHEN T IS 9 (1)"
  M032324  = "DISTANCE BETW MIDPOINTS OF AB AND BC (D)"
  MF32324  = "DISTANCE BETW MIDPOINTS OF AB AND BC (D)"
  M032116  = "THE AREA OF A SQUAR IS 144 SQUARE CM (B)"
  MF32116  = "THE AREA OF A SQUAR IS 144 SQUARE CM (B)"
  M032100  = "A SHAPE MADE UP CUBES OF SAME SIZE (D)"
  MF32100  = "A SHAPE MADE UP CUBES OF SAME SIZE (D)"
  M032402  = "WHY A TRIANGLE IS RIGHT ANGLE TRIANG (A)"
  MF32402  = "WHY A TRIANGLE IS RIGHT ANGLE TRIANG (A)"
  M032734  = "HOW THE SHAPE LOOK VIEWED FROM ABOVE (1)"
  MF32734  = "HOW THE SHAPE LOOK VIEWED FROM ABOVE (1)"
  M032397  = "FIGURE 1 TRANSFORMED TO 2 AND 3 (B)"
  MF32397  = "FIGURE 1 TRANSFORMED TO 2 AND 3 (B)"
  M032695  = "MAKE A PIE CHART SHOWING PROPORTIONS (2)"
  MF32695  = "MAKE A PIE CHART SHOWING PROPORTIONS (2)"
  M032132  = "LIKELIHOOD OBT PINK CANDY FROM MACHI (D)"
  MF32132  = "LIKELIHOOD OBT PINK CANDY FROM MACHI (D)"
  M032352  = "THE SHADOW LENGTHS OF FOUR BUSHES (C)"
  MF32352  = "THE SHADOW LENGTHS OF FOUR BUSHES (C)"
  M032725  = "WRITE 3 5/6 IN DECIMAL FORM (1)"
  MF32725  = "WRITE 3 5/6 IN DECIMAL FORM (1)"
  M032683  = "SIMPLIFY 3X/8 PLUS X/4 PLUS X/2 (2)"
  MF32683  = "SIMPLIFY 3X/8 PLUS X/4 PLUS X/2 (2)"
  M032738  = "WHAT XY PLUS 1 MEAN (D)"
  MF32738  = "WHAT XY PLUS 1 MEAN (D)"
  M032295  = "THERE M BOYS AND N GIRLS IN A PARADE (A)"
  MF32295  = "THERE M BOYS AND N GIRLS IN A PARADE (A)"
  M032331  = "DEGREES MINUTE HAND OF A CLOCK TURNS (B)"
  MF32331  = "DEGREES MINUTE HAND OF A CLOCK TURNS (B)"
  M032623  = "THE AREA OF SHADED REGION IN FIGURE (D)"
  MF32623  = "THE AREA OF SHADED REGION IN FIGURE (D)"
  M032679  = "SHAPE OF CUTOUT FIGURE (A)"
  MF32679  = "SHAPE OF CUTOUT FIGURE (A)"
  M032047  = "SUM OF 3 CONSECUTIVE WHOLE NUMBERS (B)"
  MF32047  = "SUM OF 3 CONSECUTIVE WHOLE NUMBERS (B)"
  M032398  = "IN FIGURE, WHATS VALUE OF ANGLE X (B)"
  MF32398  = "IN FIGURE, WHATS VALUE OF ANGLE X (B)"
  M032507  = "SPINNER:TIME EXPECTE FALL RED SECTOR (C)"
  MF32507  = "SPINNER:TIME EXPECTE FALL RED SECTOR (C)"
  M032424  = "JO HAS 3 METAL BLOCKS TO WEIGH (C)"
  MF32424  = "JO HAS 3 METAL BLOCKS TO WEIGH (C)"
  M032681A = "CAR PROD GRAPH/TIME 250 CAR PRODUCED (1)"
  MF32681A = "CAR PROD GRAPH/TIME 250 CAR PRODUCED (1)"
  M032681B = "CAR PROD GRAPH/AVERAGE CARS PRODUCED (1)"
  MF32681B = "CAR PROD GRAPH/AVERAGE CARS PRODUCED (1)"
  M032681C = "CAR PRODUCTION GRAPH/IDENTIFY TIME (1)"
  MF32681C = "CAR PRODUCTION GRAPH/IDENTIFY TIME (1)"
  M032609  = "THE CLOSEST 11 SQUARE PLUS 9 SQUARED (D)"
  MF32609  = "THE CLOSEST 11 SQUARE PLUS 9 SQUARED (D)"
  M032690  = "WHICH EQU 370 TIM 998 PLUS 370 TIM 2 (A)"
  MF32690  = "WHICH EQU 370 TIM 998 PLUS 370 TIM 2 (A)"
  M032727  = "THREE BROTHERS RECEIVE 45000 ZEDS (D)"
  MF32727  = "THREE BROTHERS RECEIVE 45000 ZEDS (D)"
  M032743  = "GEO TILING_MAKES SYMMETRICAL PATTERN (2)"
  MF32743  = "GEO TILING_MAKES SYMMETRICAL PATTERN (2)"
  M032744  = "GEO TILING_IDENTIFY CELL WITH LETTER (1)"
  MF32744  = "GEO TILING_IDENTIFY CELL WITH LETTER (1)"
  M032745  = "GEO TILING_PRODUCE PATTERN USE LETTE (2)"
  MF32745  = "GEO TILING_PRODUCE PATTERN USE LETTE (2)"
  M032233  = "A COMPUTER CLUB HAD 40 MEMBERS (2)"
  MF32233  = "A COMPUTER CLUB HAD 40 MEMBERS (2)"
  M032670  = "THE NUMBER CLOSEST TO 10 (B)"
  MF32670  = "THE NUMBER CLOSEST TO 10 (B)"
  M032447  = "THE RATIO OF THE SHADED AREA UNSHADE (A)"
  MF32447  = "THE RATIO OF THE SHADED AREA UNSHADE (A)"
  M032036  = "WHICH EQUA 2X MIN 3X PLUS 7X PLUS 5Y (C)"
  MF32036  = "WHICH EQUA 2X MIN 3X PLUS 7X PLUS 5Y (C)"
  M032728  = "X PLUS 3Y EQ 11 AND 2X PLUS 3Y EQ 13 (A)"
  MF32728  = "X PLUS 3Y EQ 11 AND 2X PLUS 3Y EQ 13 (A)"
  M032732  = "MEASURE OF THE AREA OF A TRIANGLE (C)"
  MF32732  = "MEASURE OF THE AREA OF A TRIANGLE (C)"
  M032166  = "BEST ESTIMATE (7.21 TIME 3.86)/10.09 (B)"
  MF32166  = "BEST ESTIMATE (7.21 TIME 3.86)/10.09 (B)"
  M032721  = "SALES TWO TYPES DRINK OVER 4 YEARS (B)"
  MF32721  = "SALES TWO TYPES DRINK OVER 4 YEARS (B)"
  M032757  = "RED+BLACK TILES_COMPLETE TABLE (2)"
  MF32757  = "RED+BLACK TILES_COMPLETE TABLE (2)"
  M032760A = "RED+BLACK TILES_FIG WITH 64 TILE TOT (2)"
  MF32760A = "RED+BLACK TILES_FIG WITH 64 TILE TOT (2)"
  M032760B = "RED+BLACK TILES_FIG WITH 49 BLA TILE (1)"
  MF32760B = "RED+BLACK TILES_FIG WITH 49 BLA TILE (1)"
  M032760C = "RED+BLACK TILES_FIG WITH 44 RED TILE (1)"
  MF32760C = "RED+BLACK TILES_FIG WITH 44 RED TILE (1)"
  M032761  = "RED+BLACK TILES_FIGURE N (2)"
  MF32761  = "RED+BLACK TILES_FIGURE N (2)"
  M032692  = "SUM OF INTERIOR ANGLE PENTAGON ABCDE (2)"
  MF32692  = "SUM OF INTERIOR ANGLE PENTAGON ABCDE (2)"
  M032626  = "36 EXPRESSED AS PRODUCT PRIME FACTOR (D)"
  MF32626  = "36 EXPRESSED AS PRODUCT PRIME FACTOR (D)"
  M032595  = "THE PERCENTAGE OF CAPS FOR SALE (C)"
  MF32595  = "THE PERCENTAGE OF CAPS FOR SALE (C)"
  M032673  = "IF T IS A NUMBER BETWEEN 6 AND 9 (C)"
  MF32673  = "IF T IS A NUMBER BETWEEN 6 AND 9 (C)"
  S012025  = "PARTICLES IN NUCLEUS OF ATOM (B)"
  SF12025  = "PARTICLES IN NUCLEUS OF ATOM (B)"
  S012026  = "SON INHERITS TRAITS (C)"
  SF12026  = "SON INHERITS TRAITS (C)"
  S012027  = "TIME/TEMPERATURE TABLE (D)"
  SF12027  = "TIME/TEMPERATURE TABLE (D)"
  S012028  = "CHARACTERISTICS OF ANIMAL GROUPS (A)"
  SF12028  = "CHARACTERISTICS OF ANIMAL GROUPS (A)"
  S012029  = "SHADOW SIZE FROM DISTANCE DIAGRAM (D)"
  SF12029  = "SHADOW SIZE FROM DISTANCE DIAGRAM (D)"
  S012030  = "STONE IN UNDERGROUND CAVES (B)"
  SF12030  = "STONE IN UNDERGROUND CAVES (B)"
  S022035  = "POLES ON CUT MAGNET (1)"
  SF22035  = "POLES ON CUT MAGNET (1)"
  S022225  = "THERMOMETER SCALE FOR BOILING WATER (D)"
  SF22225  = "THERMOMETER SCALE FOR BOILING WATER (D)"
  S022117  = "BIOLOGICAL CONTROL INSECT POPULATION (B)"
  SF22117  = "BIOLOGICAL CONTROL INSECT POPULATION (B)"
  S022235  = "PLANT GROWTH EXPERIMENT (E)"
  SF22235  = "PLANT GROWTH EXPERIMENT (E)"
  S022188  = "REACTIONS RELEASING ENERGY (C)"
  SF22188  = "REACTIONS RELEASING ENERGY (C)"
  S022074  = "FOSSIL FUELS (B)"
  SF22074  = "FOSSIL FUELS (B)"
  S022240  = "MAIN CAUSE OF ACID RAIN (C)"
  SF22240  = "MAIN CAUSE OF ACID RAIN (C)"
  S022206  = "REACTION OF CHLORINE AND SODIUM (B)"
  SF22206  = "REACTION OF CHLORINE AND SODIUM (B)"
  S022160  = "ADVANTAGE OF HAVING TWO EARS (1)"
  SF22160  = "ADVANTAGE OF HAVING TWO EARS (1)"
  S022058  = "ANGLE OF REFLECTED LIGHT RAY (B)"
  SF22058  = "ANGLE OF REFLECTED LIGHT RAY (B)"
  S012013  = "TRUE STATEMENT OF MOUNTAIN AGE (B)"
  SF12013  = "TRUE STATEMENT OF MOUNTAIN AGE (B)"
  S012014  = "MESSAGE FROM EYES TO BRAIN (D)"
  SF12014  = "MESSAGE FROM EYES TO BRAIN (D)"
  S012015  = "CANDLE POSITION REFLECTED ON GRID (B)"
  SF12015  = "CANDLE POSITION REFLECTED ON GRID (B)"
  S012016  = "SUBSTANCE TYPE OF BLACK/WHITE POWDER (C)"
  SF12016  = "SUBSTANCE TYPE OF BLACK/WHITE POWDER (C)"
  S012017  = "INCREASED CARBON DIOXIDE IN ATMOSPHE (A)"
  SF12017  = "INCREASED CARBON DIOXIDE IN ATMOSPHE (A)"
  S012018  = "SUBSTANCE NOT A FOSSIL FUEL (C)"
  SF12018  = "SUBSTANCE NOT A FOSSIL FUEL (C)"
  S012001  = "ORGAN NOT IN ABDOMEN (E)"
  SF12001  = "ORGAN NOT IN ABDOMEN (E)"
  S012002  = "STORED ENERGY IN TWO SPRINGS (B)"
  SF12002  = "STORED ENERGY IN TWO SPRINGS (B)"
  S012003  = "FANNING A WOOD FIRE (B)"
  SF12003  = "FANNING A WOOD FIRE (B)"
  S012004  = "SEEING PERSON IN A DARK ROOM (A)"
  SF12004  = "SEEING PERSON IN A DARK ROOM (A)"
  S012005  = "OVERGRAZING BY LIVESTOCK (C)"
  SF12005  = "OVERGRAZING BY LIVESTOCK (C)"
  S012006  = "CHANGES IN RIVER SHAPE/SPEED (C)"
  SF12006  = "CHANGES IN RIVER SHAPE/SPEED (C)"
  S032131  = "NAIL PULLED OUT OF A WOODEN BOARD (1)"
  SF32131  = "NAIL PULLED OUT OF A WOODEN BOARD (1)"
  S032202  = "COMMUNITY OF MICE, SNAKES AND WHEAT PLAN"
  SF32202  = "COMMUNITY OF MICE, SNAKES AND WHEAT PLAN"
  S012037  = "DIAGRAM OF BATTERIES IN A FLASHLIGHT (A)"
  SF12037  = "DIAGRAM OF BATTERIES IN A FLASHLIGHT (A)"
  S012038  = "MAIN FUNCTION OF RED BLOOD CELLS (B)"
  SF12038  = "MAIN FUNCTION OF RED BLOOD CELLS (B)"
  S012039  = "TRAITS TRANSFERRED FROM GENERATIONS (C)"
  SF12039  = "TRAITS TRANSFERRED FROM GENERATIONS (C)"
  S012040  = "ATOMS REMOVED FROM CHAIR (C)"
  SF12040  = "ATOMS REMOVED FROM CHAIR (C)"
  S012041  = "ROCK AT BOTTOM OF LAKE/OCEAN (C)"
  SF12041  = "ROCK AT BOTTOM OF LAKE/OCEAN (C)"
  S012042  = "NONRENEWABLE NATURAL RESOURCE (D)"
  SF12042  = "NONRENEWABLE NATURAL RESOURCE (D)"
  S022086  = "HOLE IN OZONE LAYER (1)"
  SF22086  = "HOLE IN OZONE LAYER (1)"
  S022198  = "CHEMICAL CHANGE INVOLVING ELEMENTS (C)"
  SF22198  = "CHEMICAL CHANGE INVOLVING ELEMENTS (C)"
  S022275  = "ABUNDANCE OF GASES IN ATMOSPHERE (A)"
  SF22275  = "ABUNDANCE OF GASES IN ATMOSPHERE (A)"
  S022041  = "EXTRAPOLATION OF DISTANCE/TIME GRAPH (D)"
  SF22041  = "EXTRAPOLATION OF DISTANCE/TIME GRAPH (D)"
  S022283  = "APPEARANCE OF JUPITER AND MOON (1)"
  SF22283  = "APPEARANCE OF JUPITER AND MOON (1)"
  S022202  = "NEUTRAL ATOM GAINS ELECTRON (B)"
  SF22202  = "NEUTRAL ATOM GAINS ELECTRON (B)"
  S022152  = "BODILY PROCESS TO PREVENT OVERHEATIN (1)"
  SF22152  = "BODILY PROCESS TO PREVENT OVERHEATIN (1)"
  S022154  = "TRANSMISSION OF COLD IN CLASSROOM (1)"
  SF22154  = "TRANSMISSION OF COLD IN CLASSROOM (1)"
  S022187  = "NOT A MIXTURE (B)"
  SF22187  = "NOT A MIXTURE (B)"
  S022161  = "HOW GLASSES/CONTACT LENSES WORK (1)"
  SF22161  = "HOW GLASSES/CONTACT LENSES WORK (1)"
  S022222  = "CONTROLLED EXPERIMENT WITH CART (E)"
  SF22222  = "CONTROLLED EXPERIMENT WITH CART (E)"
  S022191  = "CANDLES BURNING IN 3 JARS (2)"
  SF22191  = "CANDLES BURNING IN 3 JARS (2)"
  S022279  = "BRUSH REFLECTED IN MIRROR AT ANGLE (1)"
  SF22279  = "BRUSH REFLECTED IN MIRROR AT ANGLE (1)"
  S022040  = "PATH OF BALL RELEASED FROM ORBIT (A)"
  SF22040  = "PATH OF BALL RELEASED FROM ORBIT (A)"
  S022088A = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  SF22088A = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  S022088B = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  SF22088B = "POSITIVE/NEGATIVE EFFECT OF DAM (1)"
  S022249A = "TWO REASONS FOR WATER SHORTAGE (1)"
  S022249B = "TWO REASONS FOR WATER SHORTAGE (1)"
  S022249D = "TWO REASONS FOR WATER SHORTAGE (1)"
  SF22249A = "TWO REASONS FOR WATER SHORTAGE (1)"
  SF22249B = "TWO REASONS FOR WATER SHORTAGE (1)"
  SF22249D = "TWO REASONS FOR WATER SHORTAGE (1)"
  S022286  = "DATA TREND OF MASSES ON SPRING (1)"
  SF22286  = "DATA TREND OF MASSES ON SPRING (1)"
  S032595  = "CATS MOST CLOSELY RELATED WHI ANIMAL (B)"
  SF32595  = "CATS MOST CLOSELY RELATED WHI ANIMAL (B)"
  S032656  = "PACIFIC RING OF FIRE (A)"
  SF32656  = "PACIFIC RING OF FIRE (A)"
  S032625A = "COMPASS PLACED NEXT TO A MAGNET/DRAW (1)"
  S032625B = "COMPASS PLACED NEXT TO A MAGNET/EXPL (1)"
  SF32625A = "COMPASS PLACED NEXT TO A MAGNET/DRAW (1)"
  SF32625B = "COMPASS PLACED NEXT TO A MAGNET/EXPL (1)"
  S022183  = "GAS NEEDED FOR RUST TO FORM (B)"
  SF22183  = "GAS NEEDED FOR RUST TO FORM (B)"
  S022276  = "OBSERVATION OF BUBBLING ELECTRODE (A)"
  SF22276  = "OBSERVATION OF BUBBLING ELECTRODE (A)"
  S022115  = "OXYGEN/CARBON DIOXIDE CYCLE (D)"
  SF22115  = "OXYGEN/CARBON DIOXIDE CYCLE (D)"
  S022022  = "CURRENT/VOLTAGE TABLE (1)"
  SF22022  = "CURRENT/VOLTAGE TABLE (1)"
  S022019  = "TRANSMISSION OF SOUND ON THE MOON (C)"
  SF22019  = "TRANSMISSION OF SOUND ON THE MOON (C)"
  S022002  = "HEAT CONDUCTIVITY EXPERIMENT (C)"
  SF22002  = "HEAT CONDUCTIVITY EXPERIMENT (C)"
  S022294  = "ENERGY FOR EARTHS WATER CYCLE (B)"
  SF22294  = "ENERGY FOR EARTHS WATER CYCLE (B)"
  S022106  = "ANIMAL ON EARTH LONGEST TIME (C)"
  SF22106  = "ANIMAL ON EARTH LONGEST TIME (C)"
  S022244  = "ACID RAIN FROM SULFUR DIOXIDE (1)"
  SF22244  = "ACID RAIN FROM SULFUR DIOXIDE (1)"
  S022150  = "LEV OF ORGANIZATION IN LIVING THINGS (A)"
  SF22150  = "LEV OF ORGANIZATION IN LIVING THINGS (A)"
  S022042  = "GRAPH INTERPRETATION OF BICYCLE RIDE (B)"
  SF22042  = "GRAPH INTERPRETATION OF BICYCLE RIDE (B)"
  S022289  = "HEART RATE INCREASING WITH EXERCISE (2)"
  SF22289  = "HEART RATE INCREASING WITH EXERCISE (2)"
  S022069  = "TEMPERATURE OF BOILING WATER (1)"
  SF22069  = "TEMPERATURE OF BOILING WATER (1)"
  S022268  = "FREEZING SALT WATER EXPERIMENT (1)"
  SF22268  = "FREEZING SALT WATER EXPERIMENT (1)"
  S022290  = "EARTH YEAR (D)"
  SF22290  = "EARTH YEAR (D)"
  S022292  = "WATER LEVEL IN U-TUBE (1)"
  SF22292  = "WATER LEVEL IN U-TUBE (1)"
  S022054  = "ALCOHOL/GLASS EXPANSION IN THERMOMET (D)"
  SF22054  = "ALCOHOL/GLASS EXPANSION IN THERMOMET (D)"
  S022181  = "SUGAR DISSOLVING IN WATER (B)"
  SF22181  = "SUGAR DISSOLVING IN WATER (B)"
  S022208  = "NOT A CHEMICAL CHANGE (A)"
  SF22208  = "NOT A CHEMICAL CHANGE (A)"
  S022078  = "LIGHT FROM SUN AND MOON (1)"
  SF22078  = "LIGHT FROM SUN AND MOON (1)"
  S022126  = "FUNCTION OF CHLOROPHYLL (A)"
  SF22126  = "FUNCTION OF CHLOROPHYLL (A)"
  S022281  = "MASS OF FREEZING WATER (1)"
  SF22281  = "MASS OF FREEZING WATER (1)"
  S032385  = "CHARACTERISTIC FOUND ONLY IN MAMMALS (B)"
  SF32385  = "CHARACTERISTIC FOUND ONLY IN MAMMALS (B)"
  S032035  = "WHETHER TWO PEOPLE ARE RELATED (C)"
  SF32035  = "WHETHER TWO PEOPLE ARE RELATED (C)"
  S032519  = "EFFECT OF DAM ON WILDLIFE (1)"
  SF32519  = "EFFECT OF DAM ON WILDLIFE (1)"
  S032683  = "DIFFER MATERI SORTED INTO TWO GROUPS (D)"
  SF32683  = "DIFFER MATERI SORTED INTO TWO GROUPS (D)"
  S032258  = "GALL BLADDER STORES BILE (C)"
  SF32258  = "GALL BLADDER STORES BILE (C)"
  S032120A = "USE OF SCIENCE AND TECHNO/OIL SPILLS (1)"
  SF32120A = "USE OF SCIENCE AND TECHNO/OIL SPILLS (1)"
  S032120B = "USE OF SCIENCE AND TECHNO/GLOB WARMI (1)"
  SF32120B = "USE OF SCIENCE AND TECHNO/GLOB WARMI (1)"
  S032606  = "WHICH ORGAN SYSTEM (D)"
  SF32606  = "WHICH ORGAN SYSTEM (D)"
  S032015  = "STRUCTURE FOUND IN PLANT CELLS (1)"
  SF32015  = "STRUCTURE FOUND IN PLANT CELLS (1)"
  S032310A = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  S032310B = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  S032310D = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  SF32310A = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  SF32310B = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  SF32310D = "TWO FACTOR NEEDED FOR PHOTOSYNTHESIS (1)"
  S032680  = "IDENTIFY IRON, WATER AND OXYGEN (2)"
  SF32680  = "IDENTIFY IRON, WATER AND OXYGEN (2)"
  S032672  = "EXAMPLE OF ACIDIC SOLUTION (B)"
  SF32672  = "EXAMPLE OF ACIDIC SOLUTION (B)"
  S032392  = "DIAGRAM OF A PERSON DOING WORK (C)"
  SF32392  = "DIAGRAM OF A PERSON DOING WORK (C)"
  S032425  = "PROPERTY CONSERVE DUR THERMAL EXPANS (A)"
  SF32425  = "PROPERTY CONSERVE DUR THERMAL EXPANS (A)"
  S032257  = "SOUND OF PLUCKED GUITAR STRING (B)"
  SF32257  = "SOUND OF PLUCKED GUITAR STRING (B)"
  S032663  = "SEASON CAUSE BY TILT OF EARTHS AXIS (A)"
  SF32663  = "SEASON CAUSE BY TILT OF EARTHS AXIS (A)"
  S032660  = "LOCATION OF FRESH WATER ON EARTH (D)"
  SF32660  = "LOCATION OF FRESH WATER ON EARTH (D)"
  S032555  = "TABLE OF FERTILIZER/RICE YIELD DATA (2)"
  SF32555  = "TABLE OF FERTILIZER/RICE YIELD DATA (2)"
  S032122  = "REASON FOR INCREASE IN HUMAN POPULAT (1)"
  SF32122  = "REASON FOR INCREASE IN HUMAN POPULAT (1)"
  S032542  = "CLASSIFIC OF ANIMAL INTO TWO CATEGOR (B)"
  SF32542  = "CLASSIFIC OF ANIMAL INTO TWO CATEGOR (B)"
  S032645  = "TRUE STATEMENT ABOUT PRODUCERS (A)"
  SF32645  = "TRUE STATEMENT ABOUT PRODUCERS (A)"
  S032530A = "TWO CONDITIONS FOR GERMINATION (1)"
  S032530B = "TWO CONDITIONS FOR GERMINATION (1)"
  S032530D = "TWO CONDITIONS FOR GERMINATION (1)"
  SF32530A = "TWO CONDITIONS FOR GERMINATION (1)"
  SF32530B = "TWO CONDITIONS FOR GERMINATION (1)"
  SF32530D = "TWO CONDITIONS FOR GERMINATION (1)"
  S032007  = "ONE FUNCTION OF THE UTERUS (1)"
  SF32007  = "ONE FUNCTION OF THE UTERUS (1)"
  S032502  = "DIAGRAM REPRESENTING WATER MOLECULES (C)"
  SF32502  = "DIAGRAM REPRESENTING WATER MOLECULES (C)"
  S032679  = "ENERGY RELEASED DURING A CHEMI REACT (1)"
  SF32679  = "ENERGY RELEASED DURING A CHEMI REACT (1)"
  S032184  = "LIGHT BULBS IN SERIES/PARALL CIRCUIT (D)"
  SF32184  = "LIGHT BULBS IN SERIES/PARALL CIRCUIT (D)"
  S032394  = "HEAT CONDUCTION THROUGH COPPER ROD (C)"
  SF32394  = "HEAT CONDUCTION THROUGH COPPER ROD (C)"
  S032151  = "MAJOR CAUSE OF TIDES (B)"
  SF32151  = "MAJOR CAUSE OF TIDES (B)"
  S032651A = "TOPOG MAP OF TIGER ISLAND/IDENTIFY X (1)"
  SF32651A = "TOPOG MAP OF TIGER ISLAND/IDENTIFY X (1)"
  S032651B = "TOPOG MAP OF TIGER ISLAND/RIVER PATH (2)"
  SF32651B = "TOPOG MAP OF TIGER ISLAND/RIVER PATH (2)"
  S032665A = "EFFECT OF POP IN 2 COUNTRIES/PREDICT (1)"
  SF32665A = "EFFECT OF POP IN 2 COUNTRIES/PREDICT (1)"
  S032665B = "EFFECT OF POP IN 2 COUNTRIE/LAND USE (1)"
  SF32665B = "EFFECT OF POP IN 2 COUNTRIE/LAND USE (1)"
  S032665C = "EFFECT OF POP IN 2 COUNTRI/POLLUTION (1)"
  SF32665C = "EFFECT OF POP IN 2 COUNTRI/POLLUTION (1)"
  S032607  = "FISH ORGAN LIKE HUMAN LUNG (C)"
  S032063  = "DRINKING WATER FROM SEA WATER (2)"
  S032206  = "PHOTOSYNTHESIS EXPERIMENT (2)"
  S032008  = "FERTILIZATION IN ANIMALS (B)"
  S032083  = "FOSSILS IN SEDIMENTARY ROCK (A)"
  S032564  = "SOLUTION HALF AS CONCENTRATED (B)"
  S032057  = "LITMUS TEST (1)"
  S032055  = "WET TOWEL DRIES IN THE SUN (D)"
  S032626  = "LIGHTNING SEEN BEFORE THUNDER HEARD (1)"
  S032281  = "WHY HELIUM BALLOON MOVES UPWARD (A)"
  S032150  = "SUN IS AN EXAMPLE OF A STAR (D)"
  S032301  = "THE SURFACE TEM OF VENUS AND MERCURY (B)"
  S032446  = "ACTIVITY TO REDUCE AIR POLLU IN CITY (C)"
  S032637  = "LEAFY VEGETABLE IMP FOR HUMAN HEALTH (C)"
  S032386  = "ABSORBTION OF FOOD INTO BLOOD STREAM (D)"
  S032682  = "ELEMENTS MAKE UP ANIMALS AND PLANTS (C)"
  S032652  = "MAP OF WORLD WITH LINES OF LATITUDE (A)"
  S032437  = "WHY THE MOON CHANGES SHAPE (C)"
  S032242  = "RENEWABLE ENERGY SOURCE (2)"
  S032709  = "METAL CROWN_ DENSITY OF METAL BLOCK (1)"
  S032711  = "METAL CROWN_ PROCEDUR FIND VOL CROWN (2)"
  S032712A = "METAL CROWN_ WHY SCIEN REPEATED MEAS (1)"
  S032712B = "METAL CROWN_ DETERM AVERA/MEDIAN VAL (1)"
  S032713A = "METAL CROWN_ WHAT METAL BLOCK MADE (1)"
  S032713B = "METAL CROWN_ WHAT CROWN WAS MADE OF (1)"
  S032465  = "CELLS THAT DESTROY BACTERIA (A)"
  SF32465  = "CELLS THAT DESTROY BACTERIA (A)"
  S032315  = "ANTELOPE POPULATION GRAPH (D)"
  SF32315  = "ANTELOPE POPULATION GRAPH (D)"
  S032306  = "EYES REACT CHANGE ENVIRON CONDITION (2)"
  SF32306  = "EYES REACT CHANGE ENVIRON CONDITION (2)"
  S032640  = "WHY EXERCI IMPORTANT FOR GOOD HEALTH (1)"
  SF32640  = "WHY EXERCI IMPORTANT FOR GOOD HEALTH (1)"
  S032579  = "DIAGRAM REPRESENTING STRUCTUR MATTER (B)"
  SF32579  = "DIAGRAM REPRESENTING STRUCTUR MATTER (B)"
  S032570  = "PROPERTY IDENTIFY IF SUBSTANCE METAL (1)"
  SF32570  = "PROPERTY IDENTIFY IF SUBSTANCE METAL (1)"
  S032024  = "ENERGY CONVERSION IN A FLASHLIGHT (C)"
  SF32024  = "ENERGY CONVERSION IN A FLASHLIGHT (C)"
  S032272  = "WATER LEVEL IN HEATED GLASS CONTAINE (2)"
  SF32272  = "WATER LEVEL IN HEATED GLASS CONTAINE (2)"
  S032141  = "GRAVITY ACTING ON PARACHUTE JUMPER (D)"
  SF32141  = "GRAVITY ACTING ON PARACHUTE JUMPER (D)"
  S032060  = "ORDER OF STEPS IN THE WATER CYCLE (1)"
  SF32060  = "ORDER OF STEPS IN THE WATER CYCLE (1)"
  S032463  = "SOIL CHANGE DUE TO NATURAL CAUSES (D)"
  SF32463  = "SOIL CHANGE DUE TO NATURAL CAUSES (D)"
  S032650A = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  S032650B = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  S032650D = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  SF32650A = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  SF32650B = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  SF32650D = "TWO CHANGES IN ATMOSPHERIC CONDITION (1)"
  S032514  = "GROWTH OF ALGAE IN A LAKE (C)"
  SF32514  = "GROWTH OF ALGAE IN A LAKE (C)"
  S032611  = "PURPOSE OF CELLULAR RESPIRATION (A)"
  SF32611  = "PURPOSE OF CELLULAR RESPIRATION (A)"
  S032614  = "NUMBER OF KIDNEYS SON HAS AT BIRTH (1)"
  SF32614  = "NUMBER OF KIDNEYS SON HAS AT BIRTH (1)"
  S032451  = "DIFFERENCE IN SHELL COLORS OF SNAILS (2)"
  SF32451  = "DIFFERENCE IN SHELL COLORS OF SNAILS (2)"
  S032156  = "SOLUBILITY/TEMPERATURE GRAPHS (C)"
  SF32156  = "SOLUBILITY/TEMPERATURE GRAPHS (C)"
  S032056  = "SODIUM BICARBONATE MIXED WIT VINEGAR (1)"
  SF32056  = "SODIUM BICARBONATE MIXED WIT VINEGAR (1)"
  S032087  = "LONG-TERM IMMUNITY AGAINST DISEASE (C)"
  SF32087  = "LONG-TERM IMMUNITY AGAINST DISEASE (C)"
  S032279  = "WHY BOTTLE COLLAPSES IN THE VALLEY (D)"
  SF32279  = "WHY BOTTLE COLLAPSES IN THE VALLEY (D)"
  S032238  = "GAPS BETWEEN METAL RAIL SPANS (A)"
  SF32238  = "GAPS BETWEEN METAL RAIL SPANS (A)"
  S032369  = "SOUND FROM ELECTRIC BELL INSIDE JAR (2)"
  SF32369  = "SOUND FROM ELECTRIC BELL INSIDE JAR (2)"
  S032160  = "DIFFERENCE BETWEEN PLANETS AND MOONS (C)"
  SF32160  = "DIFFERENCE BETWEEN PLANETS AND MOONS (C)"
  S032654  = "JUNGLE TEMPERATURE/ELEVATION DIAGRAM (A)"
  SF32654  = "JUNGLE TEMPERATURE/ELEVATION DIAGRAM (A)"
  S032126  = "VOLCANIC ERUPTION AFFECT ENVIRONMENT (1)"
  SF32126  = "VOLCANIC ERUPTION AFFECT ENVIRONMENT (1)"
  S032510  = "MATERIAL BREAKS DOWN MOST QUICKLY (D)"
  SF32510  = "MATERIAL BREAKS DOWN MOST QUICKLY (D)"
  S032158  = "MOLECULES OF GAS WHEN HEATED (B)"
  SF32158  = "MOLECULES OF GAS WHEN HEATED (B)"
  S032574  = "WHICH SUBSTANCES ARE ELEMENTS (B)"
  SF32574  = "WHICH SUBSTANCES ARE ELEMENTS (B)"
  S032532  = "POSITION MOON DURING SOLAR ECLIPSE (2)"
  SF32532  = "POSITION MOON DURING SOLAR ECLIPSE (2)"
  S032562  = "SEP SALT/SAND/IRON FILINGS MIXTURE (2)"
  SF32562  = "SEP SALT/SAND/IRON FILINGS MIXTURE (2)"
  S032422  = "GROUP OF RENEWABLE ENERGY SOURCES (C)"
  SF32422  = "GROUP OF RENEWABLE ENERGY SOURCES (C)"
  S032375  = "SUNLIGHT THROUGH A GLASS PRISM (2)"
  SF32375  = "SUNLIGHT THROUGH A GLASS PRISM (2)"
  S032714  = "DIRECTION DROPPED BALL WILL FALL (D)"
  SF32714  = "DIRECTION DROPPED BALL WILL FALL (D)"
  S032704  = "GALAP ISLAND_ PLANT/ANIMAL INH FIRST (1)"
  SF32704  = "GALAP ISLAND_ PLANT/ANIMAL INH FIRST (1)"
  S032705A = "GALAPAGOS ISLANDS_ EFFECT OF CATS (1)"
  SF32705A = "GALAPAGOS ISLANDS_ EFFECT OF CATS (1)"
  S032705B = "GALAPAGOS ISLANDS_ EFFECT OF GOATS (1)"
  SF32705B = "GALAPAGOS ISLANDS_ EFFECT OF GOATS (1)"
  S032706A = "GALAP ISLAND_COMPARE OF SPEC 1 AND 2 (1)"
  SF32706A = "GALAP ISLAND_COMPARE OF SPEC 1 AND 2 (1)"
  S032706B = "GALAP ISLANDS_ SIZE OF SPECIES EATS (1)"
  SF32706B = "GALAP ISLANDS_ SIZE OF SPECIES EATS (1)"
  S032707  = "GALAP ISLAND_GRAPHS FOR SPEC 3 AND 4 (2)"
  SF32707  = "GALAP ISLAND_GRAPHS FOR SPEC 3 AND 4 (2)"
  S032115  = "PERCENTAGE OF FRESH WATER ON EARTH (D)"
  SF32115  = "PERCENTAGE OF FRESH WATER ON EARTH (D)"
  S032565  = "DENSITY OF SALT SOLUTION (1)"
  SF32565  = "DENSITY OF SALT SOLUTION (1)"
  S032403  = "PARTICLES OF LIQUID COMPARED TO GAS (C)"
  SF32403  = "PARTICLES OF LIQUID COMPARED TO GAS (C)"
  S032273  = "IRON NAIL WITH WIRE COILED AROUND IT (C)"
  SF32273  = "IRON NAIL WITH WIRE COILED AROUND IT (C)"
  S032019A = "CAUSES OF WEATHERING/ PHYSICAL (1)"
  SF32019A = "CAUSES OF WEATHERING/ PHYSICAL (1)"
  S032019B = "CAUSES OF WEATHERING/ CHEMICAL (1)"
  SF32019B = "CAUSES OF WEATHERING/ CHEMICAL (1)"
  S032516  = "EFFECT OF CUTTING DOWN THE TREES (1)"
  SF32516  = "EFFECT OF CUTTING DOWN THE TREES (1)"
  S032620  = "HUMAN POPULATION GRAPHS (A)"
  SF32620  = "HUMAN POPULATION GRAPHS (A)"
  S032693A = "LIFE OCEANS_ COMPLETE THE FOOD WEB (1)"
  SF32693A = "LIFE OCEANS_ COMPLETE THE FOOD WEB (1)"
  S032693B = "LIFE OCEANS_ EFFECT SHARKS WHEN TUNA (2)"
  SF32693B = "LIFE OCEANS_ EFFECT SHARKS WHEN TUNA (2)"
  S032695  = "LIFE OCEANS_ HOW ORGANISM LOW TIDE (2)"
  SF32695  = "LIFE OCEANS_ HOW ORGANISM LOW TIDE (2)"
  S032697A = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  S032697B = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  S032697D = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  SF32697A = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  SF32697B = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  SF32697D = "LIFE OCEANS_TWO CONDITI BOTTOM OCEAN (2)"
  JKREP    = "*JACKKNIFE REPLICATE CODE*"
  JKZONE   = "*JACKKNIFE ZONE*"
  HOUWGT   = "*HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  TOTWGT   = "*TOTAL STUDENT WEIGHT*"
  BSMALG01 = "*1ST PV ALGEBRA*"
  BSMALG02 = "*2ND PV ALGEBRA*"
  BSMALG03 = "*3RD PV ALGEBRA*"
  BSMALG04 = "*4TH PV ALGEBRA*"
  BSMALG05 = "*5TH PV ALGEBRA*"
  BSMAPP01 = "*1ST PV APPLYING*"
  BSMAPP02 = "*2ND PV APPLYING*"
  BSMAPP03 = "*3RD PV APPLYING*"
  BSMAPP04 = "*4TH PV APPLYING*"
  BSMAPP05 = "*5TH PV APPLYING*"
  BSMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  BSMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  BSMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  BSMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  BSMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  BSMGEO01 = "*1ST PV GEOMETRY*"
  BSMGEO02 = "*2ND PV GEOMETRY*"
  BSMGEO03 = "*3RD PV GEOMETRY*"
  BSMGEO04 = "*4TH PV GEOMETRY*"
  BSMGEO05 = "*5TH PV GEOMETRY*"
  BSMKNO01 = "*1ST PV KNOWING*"
  BSMKNO02 = "*2ND PV KNOWING*"
  BSMKNO03 = "*3RD PV KNOWING*"
  BSMKNO04 = "*4TH PV KNOWING*"
  BSMKNO05 = "*5TH PV KNOWING*"
  BSMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMMEA01 = "*1ST PV MEASUREMENT*"
  BSMMEA02 = "*2ND PV MEASUREMENT*"
  BSMMEA03 = "*3RD PV MEASUREMENT*"
  BSMMEA04 = "*4TH PV MEASUREMENT*"
  BSMMEA05 = "*5TH PV MEASUREMENT*"
  BSMNRSC  = "*NATIONAL MATH RASCH SCORE (150,10)*"
  BSMREA01 = "*1ST PV REASONING*"
  BSMREA02 = "*2ND PV REASONING*"
  BSMREA03 = "*3RD PV REASONING*"
  BSMREA04 = "*4TH PV REASONING*"
  BSMREA05 = "*5TH PV REASONING*"
  BSMSCPT  = "*RAW SCORE ON MATH ITEMS*"
  BSMSTDR  = "*STANDARDIZED MATH RAW SCORE (50,10)*"
  BSSCHE01 = "*1ST PV CHEMISTRY*"
  BSSCHE02 = "*2ND PV CHEMISTRY*"
  BSSCHE03 = "*3RD PV CHEMISTRY*"
  BSSCHE04 = "*4TH PV CHEMISTRY*"
  BSSCHE05 = "*5TH PV CHEMISTRY*"
  BSSEAS01 = "*1ST PV EARTH SCIENCE*"
  BSSEAS02 = "*2ND PV EARTH SCIENCE*"
  BSSEAS03 = "*3RD PV EARTH SCIENCE*"
  BSSEAS04 = "*4TH PV EARTH SCIENCE*"
  BSSEAS05 = "*5TH PV EARTH SCIENCE*"
  BSSERI01 = "*1ST PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI02 = "*2ND PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI03 = "*3RD PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI04 = "*4TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI05 = "*5TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSLIS01 = "*1ST PV LIFE SCIENCE*"
  BSSLIS02 = "*2ND PV LIFE SCIENCE*"
  BSSLIS03 = "*3RD PV LIFE SCIENCE*"
  BSSLIS04 = "*4TH PV LIFE SCIENCE*"
  BSSLIS05 = "*5TH PV LIFE SCIENCE*"
  BSSNRSC  = "*NATIONAL SCIENCE RASCH SCORE (150,10)*"
  BSSPHY01 = "*1ST PV PHYSICS*"
  BSSPHY02 = "*2ND PV PHYSICS*"
  BSSPHY03 = "*3RD PV PHYSICS*"
  BSSPHY04 = "*4TH PV PHYSICS*"
  BSSPHY05 = "*5TH PV PHYSICS*"
  BSSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  BSSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  BSSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  BSSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  BSSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  BSSSCPT  = "*RAW SCORE ON SCIENCE ITEM*"
  BSSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE (50,10)*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCORA  = 998              THEN IDSCORA  = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF IDSTRATE = 998              THEN IDSTRATE = .A ;
IF IDSTRATI = 998              THEN IDSTRATI = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITLANG   = 8                THEN ITLANG   = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF BSDAGE   = 98               THEN BSDAGE   = .A ;
IF ILRELIAB = 8                THEN ILRELIAB = .A ;
IF INTMS03  = 8                THEN INTMS03  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BSBGCAL1 = 8                THEN BSBGCAL1 = .A ;
IF BSBGCAL2 = 8                THEN BSBGCAL2 = .A ;
IF M012001  = 8                THEN M012001  = .A ;
IF MF12001  = 8                THEN MF12001  = .A ;
IF M012002  = 8                THEN M012002  = .A ;
IF MF12002  = 8                THEN MF12002  = .A ;
IF M012003  = 8                THEN M012003  = .A ;
IF MF12003  = 8                THEN MF12003  = .A ;
IF M012004  = 8                THEN M012004  = .A ;
IF MF12004  = 8                THEN MF12004  = .A ;
IF M012005  = 8                THEN M012005  = .A ;
IF MF12005  = 8                THEN MF12005  = .A ;
IF M012006  = 8                THEN M012006  = .A ;
IF MF12006  = 8                THEN MF12006  = .A ;
IF M012037  = 8                THEN M012037  = .A ;
IF MF12037  = 8                THEN MF12037  = .A ;
IF M012038  = 8                THEN M012038  = .A ;
IF MF12038  = 8                THEN MF12038  = .A ;
IF M012039  = 8                THEN M012039  = .A ;
IF MF12039  = 8                THEN MF12039  = .A ;
IF M012040  = 8                THEN M012040  = .A ;
IF MF12040  = 8                THEN MF12040  = .A ;
IF M012041  = 8                THEN M012041  = .A ;
IF MF12041  = 8                THEN MF12041  = .A ;
IF M012042  = 8                THEN M012042  = .A ;
IF MF12042  = 8                THEN MF12042  = .A ;
IF M032570  = 8                THEN M032570  = .A ;
IF MF32570  = 8                THEN MF32570  = .A ;
IF M032643  = 8                THEN M032643  = .A ;
IF MF32643  = 8                THEN MF32643  = .A ;
IF M032693  = 98               THEN M032693  = .A ;
IF MF32693  = 98               THEN MF32693  = .A ;
IF M012013  = 8                THEN M012013  = .A ;
IF MF12013  = 8                THEN MF12013  = .A ;
IF M012014  = 8                THEN M012014  = .A ;
IF MF12014  = 8                THEN MF12014  = .A ;
IF M012015  = 8                THEN M012015  = .A ;
IF MF12015  = 8                THEN MF12015  = .A ;
IF M012016  = 8                THEN M012016  = .A ;
IF MF12016  = 8                THEN MF12016  = .A ;
IF M012017  = 8                THEN M012017  = .A ;
IF MF12017  = 8                THEN MF12017  = .A ;
IF M022251  = 8                THEN M022251  = .A ;
IF MF22251  = 8                THEN MF22251  = .A ;
IF M022185  = 8                THEN M022185  = .A ;
IF MF22185  = 8                THEN MF22185  = .A ;
IF M022188  = 8                THEN M022188  = .A ;
IF MF22188  = 8                THEN MF22188  = .A ;
IF M022189  = 8                THEN M022189  = .A ;
IF MF22189  = 8                THEN MF22189  = .A ;
IF M022191  = 8                THEN M022191  = .A ;
IF MF22191  = 8                THEN MF22191  = .A ;
IF M022194  = 8                THEN M022194  = .A ;
IF MF22194  = 8                THEN MF22194  = .A ;
IF M022196  = 8                THEN M022196  = .A ;
IF MF22196  = 8                THEN MF22196  = .A ;
IF M022198  = 8                THEN M022198  = .A ;
IF MF22198  = 8                THEN MF22198  = .A ;
IF M022199  = 8                THEN M022199  = .A ;
IF MF22199  = 8                THEN MF22199  = .A ;
IF M022202  = 98               THEN M022202  = .A ;
IF MF22202  = 98               THEN MF22202  = .A ;
IF M012025  = 8                THEN M012025  = .A ;
IF MF12025  = 8                THEN MF12025  = .A ;
IF M012026  = 8                THEN M012026  = .A ;
IF MF12026  = 8                THEN MF12026  = .A ;
IF M012027  = 8                THEN M012027  = .A ;
IF MF12027  = 8                THEN MF12027  = .A ;
IF M012028  = 8                THEN M012028  = .A ;
IF MF12028  = 8                THEN MF12028  = .A ;
IF M012029  = 8                THEN M012029  = .A ;
IF MF12029  = 8                THEN MF12029  = .A ;
IF M012030  = 8                THEN M012030  = .A ;
IF MF12030  = 8                THEN MF12030  = .A ;
IF M022135  = 8                THEN M022135  = .A ;
IF MF22135  = 8                THEN MF22135  = .A ;
IF M022139  = 8                THEN M022139  = .A ;
IF MF22139  = 8                THEN MF22139  = .A ;
IF M022142  = 8                THEN M022142  = .A ;
IF MF22142  = 8                THEN MF22142  = .A ;
IF M022144  = 8                THEN M022144  = .A ;
IF MF22144  = 8                THEN MF22144  = .A ;
IF M022146  = 8                THEN M022146  = .A ;
IF MF22146  = 8                THEN MF22146  = .A ;
IF M022148  = 98               THEN M022148  = .A ;
IF MF22148  = 98               THEN MF22148  = .A ;
IF M022253  = 98               THEN M022253  = .A ;
IF MF22253  = 98               THEN MF22253  = .A ;
IF M022154  = 8                THEN M022154  = .A ;
IF MF22154  = 8                THEN MF22154  = .A ;
IF M022156  = 98               THEN M022156  = .A ;
IF MF22156  = 98               THEN MF22156  = .A ;
IF M022002  = 8                THEN M022002  = .A ;
IF MF22002  = 8                THEN MF22002  = .A ;
IF M022004  = 8                THEN M022004  = .A ;
IF MF22004  = 8                THEN MF22004  = .A ;
IF M022005  = 8                THEN M022005  = .A ;
IF MF22005  = 8                THEN MF22005  = .A ;
IF M022008  = 98               THEN M022008  = .A ;
IF MF22008  = 98               THEN MF22008  = .A ;
IF M022010  = 8                THEN M022010  = .A ;
IF MF22010  = 8                THEN MF22010  = .A ;
IF M022012  = 98               THEN M022012  = .A ;
IF MF22012  = 98               THEN MF22012  = .A ;
IF M022021  = 8                THEN M022021  = .A ;
IF MF22021  = 8                THEN MF22021  = .A ;
IF M022016  = 8                THEN M022016  = .A ;
IF MF22016  = 8                THEN MF22016  = .A ;
IF M022252  = 8                THEN M022252  = .A ;
IF MF22252  = 8                THEN MF22252  = .A ;
IF M022261A = 98               THEN M022261A = .A ;
IF MF22261A = 98               THEN MF22261A = .A ;
IF M022261B = 98               THEN M022261B = .A ;
IF MF22261B = 98               THEN MF22261B = .A ;
IF M022261C = 98               THEN M022261C = .A ;
IF MF22261C = 98               THEN MF22261C = .A ;
IF M022227A = 98               THEN M022227A = .A ;
IF MF22227A = 98               THEN MF22227A = .A ;
IF M022227B = 98               THEN M022227B = .A ;
IF MF22227B = 98               THEN MF22227B = .A ;
IF M022227C = 98               THEN M022227C = .A ;
IF MF22227C = 98               THEN MF22227C = .A ;
IF M022127  = 8                THEN M022127  = .A ;
IF MF22127  = 8                THEN MF22127  = .A ;
IF M022043  = 8                THEN M022043  = .A ;
IF MF22043  = 8                THEN MF22043  = .A ;
IF M022046  = 98               THEN M022046  = .A ;
IF MC22046  = 98               THEN MC22046  = .A ;
IF MF22046  = 98               THEN MF22046  = .A ;
IF M022049  = 8                THEN M022049  = .A ;
IF MF22049  = 8                THEN MF22049  = .A ;
IF M022050  = 8                THEN M022050  = .A ;
IF MF22050  = 8                THEN MF22050  = .A ;
IF M022055  = 98               THEN M022055  = .A ;
IF MF22055  = 98               THEN MF22055  = .A ;
IF M022057  = 8                THEN M022057  = .A ;
IF MF22057  = 8                THEN MF22057  = .A ;
IF M022257  = 8                THEN M022257  = .A ;
IF MF22257  = 8                THEN MF22257  = .A ;
IF M022062  = 8                THEN M022062  = .A ;
IF MF22062  = 8                THEN MF22062  = .A ;
IF M022066  = 8                THEN M022066  = .A ;
IF MF22066  = 8                THEN MF22066  = .A ;
IF M022232  = 98               THEN M022232  = .A ;
IF MF22232  = 98               THEN MF22232  = .A ;
IF M022234A = 98               THEN M022234A = .A ;
IF MF22234A = 98               THEN MF22234A = .A ;
IF M022234B = 98               THEN M022234B = .A ;
IF MF22234B = 98               THEN MF22234B = .A ;
IF M022243  = 98               THEN M022243  = .A ;
IF MF22243  = 98               THEN MF22243  = .A ;
IF M022097  = 8                THEN M022097  = .A ;
IF MF22097  = 8                THEN MF22097  = .A ;
IF M022101  = 8                THEN M022101  = .A ;
IF MF22101  = 8                THEN MF22101  = .A ;
IF M022104  = 8                THEN M022104  = .A ;
IF MF22104  = 8                THEN MF22104  = .A ;
IF M022105  = 8                THEN M022105  = .A ;
IF MF22105  = 8                THEN MF22105  = .A ;
IF M022106  = 98               THEN M022106  = .A ;
IF MF22106  = 98               THEN MF22106  = .A ;
IF M022108  = 8                THEN M022108  = .A ;
IF MF22108  = 8                THEN MF22108  = .A ;
IF M022110  = 98               THEN M022110  = .A ;
IF MC22110  = 98               THEN MC22110  = .A ;
IF MF22110  = 98               THEN MF22110  = .A ;
IF M022181  = 8                THEN M022181  = .A ;
IF MF22181  = 8                THEN MF22181  = .A ;
IF M032307  = 98               THEN M032307  = .A ;
IF MF32307  = 98               THEN MF32307  = .A ;
IF M032523  = 8                THEN M032523  = .A ;
IF MF32523  = 8                THEN MF32523  = .A ;
IF M032701  = 8                THEN M032701  = .A ;
IF MC32701  = 8                THEN MC32701  = .A ;
IF MF32701  = 8                THEN MF32701  = .A ;
IF M032704  = 8                THEN M032704  = .A ;
IF MC32704  = 8                THEN MC32704  = .A ;
IF MF32704  = 8                THEN MF32704  = .A ;
IF M032525  = 8                THEN M032525  = .A ;
IF MC32525  = 8                THEN MC32525  = .A ;
IF MF32525  = 8                THEN MF32525  = .A ;
IF M032579  = 8                THEN M032579  = .A ;
IF MF32579  = 8                THEN MF32579  = .A ;
IF M032691  = 98               THEN M032691  = .A ;
IF MF32691  = 98               THEN MF32691  = .A ;
IF M032142  = 8                THEN M032142  = .A ;
IF MF32142  = 8                THEN MF32142  = .A ;
IF M032198  = 8                THEN M032198  = .A ;
IF MF32198  = 8                THEN MF32198  = .A ;
IF M032640  = 98               THEN M032640  = .A ;
IF MF32640  = 98               THEN MF32640  = .A ;
IF M032344  = 98               THEN M032344  = .A ;
IF MF32344  = 98               THEN MF32344  = .A ;
IF M032754  = 98               THEN M032754  = .A ;
IF MF32754  = 98               THEN MF32754  = .A ;
IF M032755  = 98               THEN M032755  = .A ;
IF MF32755  = 98               THEN MF32755  = .A ;
IF M032753A = 98               THEN M032753A = .A ;
IF MF32753A = 98               THEN MF32753A = .A ;
IF M032753B = 98               THEN M032753B = .A ;
IF MF32753B = 98               THEN MF32753B = .A ;
IF M032753C = 98               THEN M032753C = .A ;
IF MF32753C = 98               THEN MF32753C = .A ;
IF M032756  = 98               THEN M032756  = .A ;
IF MF32756  = 98               THEN MF32756  = .A ;
IF M032205  = 8                THEN M032205  = .A ;
IF MF32205  = 8                THEN MF32205  = .A ;
IF M032163  = 8                THEN M032163  = .A ;
IF MF32163  = 8                THEN MF32163  = .A ;
IF M032381  = 98               THEN M032381  = .A ;
IF MF32381  = 98               THEN MF32381  = .A ;
IF M032416  = 8                THEN M032416  = .A ;
IF MF32416  = 8                THEN MF32416  = .A ;
IF M032160  = 8                THEN M032160  = .A ;
IF MF32160  = 8                THEN MF32160  = .A ;
IF M032273  = 8                THEN M032273  = .A ;
IF MF32273  = 8                THEN MF32273  = .A ;
IF M032540  = 8                THEN M032540  = .A ;
IF MF32540  = 8                THEN MF32540  = .A ;
IF M032698  = 8                THEN M032698  = .A ;
IF MF32698  = 8                THEN MF32698  = .A ;
IF M032097  = 8                THEN M032097  = .A ;
IF MF32097  = 8                THEN MF32097  = .A ;
IF M032575  = 8                THEN M032575  = .A ;
IF MF32575  = 8                THEN MF32575  = .A ;
IF M032414  = 98               THEN M032414  = .A ;
IF MF32414  = 98               THEN MF32414  = .A ;
IF M032294  = 8                THEN M032294  = .A ;
IF MF32294  = 8                THEN MF32294  = .A ;
IF M032688  = 98               THEN M032688  = .A ;
IF MF32688  = 98               THEN MF32688  = .A ;
IF M032529  = 8                THEN M032529  = .A ;
IF MF32529  = 8                THEN MF32529  = .A ;
IF M032637A = 98               THEN M032637A = .A ;
IF MF32637A = 98               THEN MF32637A = .A ;
IF M032637B = 98               THEN M032637B = .A ;
IF MF32637B = 98               THEN MF32637B = .A ;
IF M032637C = 98               THEN M032637C = .A ;
IF MF32637C = 98               THEN MF32637C = .A ;
IF M032079  = 8                THEN M032079  = .A ;
IF M032652  = 98               THEN M032652  = .A ;
IF M032228  = 8                THEN M032228  = .A ;
IF M032044  = 8                THEN M032044  = .A ;
IF M032046  = 8                THEN M032046  = .A ;
IF M032545  = 98               THEN M032545  = .A ;
IF M032649A = 98               THEN M032649A = .A ;
IF M032649B = 98               THEN M032649B = .A ;
IF M032533  = 8                THEN M032533  = .A ;
IF M032678  = 8                THEN M032678  = .A ;
IF M032403  = 98               THEN M032403  = .A ;
IF M032261  = 8                THEN M032261  = .A ;
IF M032489  = 8                THEN M032489  = .A ;
IF M032588  = 8                THEN M032588  = .A ;
IF M032271  = 8                THEN M032271  = .A ;
IF M032671  = 98               THEN M032671  = .A ;
IF M032612  = 8                THEN M032612  = .A ;
IF M032557  = 98               THEN M032557  = .A ;
IF M032208  = 8                THEN M032208  = .A ;
IF M032210  = 8                THEN M032210  = .A ;
IF M032699  = 8                THEN M032699  = .A ;
IF M032762  = 98               THEN M032762  = .A ;
IF M032763  = 98               THEN M032763  = .A ;
IF M032764  = 98               THEN M032764  = .A ;
IF M032647  = 8                THEN M032647  = .A ;
IF M032689  = 8                THEN M032689  = .A ;
IF M032094  = 8                THEN M032094  = .A ;
IF MF32094  = 8                THEN MF32094  = .A ;
IF M032662  = 8                THEN M032662  = .A ;
IF MF32662  = 8                THEN MF32662  = .A ;
IF M032064  = 98               THEN M032064  = .A ;
IF MF32064  = 98               THEN MF32064  = .A ;
IF M032419  = 8                THEN M032419  = .A ;
IF MF32419  = 8                THEN MF32419  = .A ;
IF M032477  = 8                THEN M032477  = .A ;
IF MF32477  = 8                THEN MF32477  = .A ;
IF M032538  = 98               THEN M032538  = .A ;
IF MF32538  = 98               THEN MF32538  = .A ;
IF M032324  = 8                THEN M032324  = .A ;
IF MF32324  = 8                THEN MF32324  = .A ;
IF M032116  = 8                THEN M032116  = .A ;
IF MF32116  = 8                THEN MF32116  = .A ;
IF M032100  = 8                THEN M032100  = .A ;
IF MF32100  = 8                THEN MF32100  = .A ;
IF M032402  = 8                THEN M032402  = .A ;
IF MF32402  = 8                THEN MF32402  = .A ;
IF M032734  = 98               THEN M032734  = .A ;
IF MF32734  = 98               THEN MF32734  = .A ;
IF M032397  = 8                THEN M032397  = .A ;
IF MF32397  = 8                THEN MF32397  = .A ;
IF M032695  = 98               THEN M032695  = .A ;
IF MF32695  = 98               THEN MF32695  = .A ;
IF M032132  = 8                THEN M032132  = .A ;
IF MF32132  = 8                THEN MF32132  = .A ;
IF M032352  = 8                THEN M032352  = .A ;
IF MF32352  = 8                THEN MF32352  = .A ;
IF M032725  = 98               THEN M032725  = .A ;
IF MF32725  = 98               THEN MF32725  = .A ;
IF M032683  = 98               THEN M032683  = .A ;
IF MF32683  = 98               THEN MF32683  = .A ;
IF M032738  = 8                THEN M032738  = .A ;
IF MF32738  = 8                THEN MF32738  = .A ;
IF M032295  = 8                THEN M032295  = .A ;
IF MF32295  = 8                THEN MF32295  = .A ;
IF M032331  = 8                THEN M032331  = .A ;
IF MF32331  = 8                THEN MF32331  = .A ;
IF M032623  = 8                THEN M032623  = .A ;
IF MF32623  = 8                THEN MF32623  = .A ;
IF M032679  = 8                THEN M032679  = .A ;
IF MF32679  = 8                THEN MF32679  = .A ;
IF M032047  = 8                THEN M032047  = .A ;
IF MF32047  = 8                THEN MF32047  = .A ;
IF M032398  = 8                THEN M032398  = .A ;
IF MF32398  = 8                THEN MF32398  = .A ;
IF M032507  = 8                THEN M032507  = .A ;
IF MF32507  = 8                THEN MF32507  = .A ;
IF M032424  = 8                THEN M032424  = .A ;
IF MF32424  = 8                THEN MF32424  = .A ;
IF M032681A = 98               THEN M032681A = .A ;
IF MF32681A = 98               THEN MF32681A = .A ;
IF M032681B = 98               THEN M032681B = .A ;
IF MF32681B = 98               THEN MF32681B = .A ;
IF M032681C = 98               THEN M032681C = .A ;
IF MF32681C = 98               THEN MF32681C = .A ;
IF M032609  = 8                THEN M032609  = .A ;
IF MF32609  = 8                THEN MF32609  = .A ;
IF M032690  = 8                THEN M032690  = .A ;
IF MF32690  = 8                THEN MF32690  = .A ;
IF M032727  = 8                THEN M032727  = .A ;
IF MF32727  = 8                THEN MF32727  = .A ;
IF M032743  = 98               THEN M032743  = .A ;
IF MF32743  = 98               THEN MF32743  = .A ;
IF M032744  = 98               THEN M032744  = .A ;
IF MF32744  = 98               THEN MF32744  = .A ;
IF M032745  = 98               THEN M032745  = .A ;
IF MF32745  = 98               THEN MF32745  = .A ;
IF M032233  = 98               THEN M032233  = .A ;
IF MF32233  = 98               THEN MF32233  = .A ;
IF M032670  = 8                THEN M032670  = .A ;
IF MF32670  = 8                THEN MF32670  = .A ;
IF M032447  = 8                THEN M032447  = .A ;
IF MF32447  = 8                THEN MF32447  = .A ;
IF M032036  = 8                THEN M032036  = .A ;
IF MF32036  = 8                THEN MF32036  = .A ;
IF M032728  = 8                THEN M032728  = .A ;
IF MF32728  = 8                THEN MF32728  = .A ;
IF M032732  = 8                THEN M032732  = .A ;
IF MF32732  = 8                THEN MF32732  = .A ;
IF M032166  = 8                THEN M032166  = .A ;
IF MF32166  = 8                THEN MF32166  = .A ;
IF M032721  = 8                THEN M032721  = .A ;
IF MF32721  = 8                THEN MF32721  = .A ;
IF M032757  = 98               THEN M032757  = .A ;
IF MF32757  = 98               THEN MF32757  = .A ;
IF M032760A = 98               THEN M032760A = .A ;
IF MF32760A = 98               THEN MF32760A = .A ;
IF M032760B = 98               THEN M032760B = .A ;
IF MF32760B = 98               THEN MF32760B = .A ;
IF M032760C = 98               THEN M032760C = .A ;
IF MF32760C = 98               THEN MF32760C = .A ;
IF M032761  = 98               THEN M032761  = .A ;
IF MF32761  = 98               THEN MF32761  = .A ;
IF M032692  = 98               THEN M032692  = .A ;
IF MF32692  = 98               THEN MF32692  = .A ;
IF M032626  = 8                THEN M032626  = .A ;
IF MF32626  = 8                THEN MF32626  = .A ;
IF M032595  = 8                THEN M032595  = .A ;
IF MF32595  = 8                THEN MF32595  = .A ;
IF M032673  = 8                THEN M032673  = .A ;
IF MF32673  = 8                THEN MF32673  = .A ;
IF S012025  = 8                THEN S012025  = .A ;
IF SF12025  = 8                THEN SF12025  = .A ;
IF S012026  = 8                THEN S012026  = .A ;
IF SF12026  = 8                THEN SF12026  = .A ;
IF S012027  = 8                THEN S012027  = .A ;
IF SF12027  = 8                THEN SF12027  = .A ;
IF S012028  = 8                THEN S012028  = .A ;
IF SF12028  = 8                THEN SF12028  = .A ;
IF S012029  = 8                THEN S012029  = .A ;
IF SF12029  = 8                THEN SF12029  = .A ;
IF S012030  = 8                THEN S012030  = .A ;
IF SF12030  = 8                THEN SF12030  = .A ;
IF S022035  = 98               THEN S022035  = .A ;
IF SF22035  = 98               THEN SF22035  = .A ;
IF S022225  = 8                THEN S022225  = .A ;
IF SF22225  = 8                THEN SF22225  = .A ;
IF S022117  = 8                THEN S022117  = .A ;
IF SF22117  = 8                THEN SF22117  = .A ;
IF S022235  = 8                THEN S022235  = .A ;
IF SF22235  = 8                THEN SF22235  = .A ;
IF S022188  = 8                THEN S022188  = .A ;
IF SF22188  = 8                THEN SF22188  = .A ;
IF S022074  = 8                THEN S022074  = .A ;
IF SF22074  = 8                THEN SF22074  = .A ;
IF S022240  = 8                THEN S022240  = .A ;
IF SF22240  = 8                THEN SF22240  = .A ;
IF S022206  = 8                THEN S022206  = .A ;
IF SF22206  = 8                THEN SF22206  = .A ;
IF S022160  = 98               THEN S022160  = .A ;
IF SF22160  = 98               THEN SF22160  = .A ;
IF S022058  = 8                THEN S022058  = .A ;
IF SF22058  = 8                THEN SF22058  = .A ;
IF S012013  = 8                THEN S012013  = .A ;
IF SF12013  = 8                THEN SF12013  = .A ;
IF S012014  = 8                THEN S012014  = .A ;
IF SF12014  = 8                THEN SF12014  = .A ;
IF S012015  = 8                THEN S012015  = .A ;
IF SF12015  = 8                THEN SF12015  = .A ;
IF S012016  = 8                THEN S012016  = .A ;
IF SF12016  = 8                THEN SF12016  = .A ;
IF S012017  = 8                THEN S012017  = .A ;
IF SF12017  = 8                THEN SF12017  = .A ;
IF S012018  = 8                THEN S012018  = .A ;
IF SF12018  = 8                THEN SF12018  = .A ;
IF S012001  = 8                THEN S012001  = .A ;
IF SF12001  = 8                THEN SF12001  = .A ;
IF S012002  = 8                THEN S012002  = .A ;
IF SF12002  = 8                THEN SF12002  = .A ;
IF S012003  = 8                THEN S012003  = .A ;
IF SF12003  = 8                THEN SF12003  = .A ;
IF S012004  = 8                THEN S012004  = .A ;
IF SF12004  = 8                THEN SF12004  = .A ;
IF S012005  = 8                THEN S012005  = .A ;
IF SF12005  = 8                THEN SF12005  = .A ;
IF S012006  = 8                THEN S012006  = .A ;
IF SF12006  = 8                THEN SF12006  = .A ;
IF S032131  = 98               THEN S032131  = .A ;
IF SF32131  = 98               THEN SF32131  = .A ;
IF S032202  = 98               THEN S032202  = .A ;
IF SF32202  = 98               THEN SF32202  = .A ;
IF S012037  = 8                THEN S012037  = .A ;
IF SF12037  = 8                THEN SF12037  = .A ;
IF S012038  = 8                THEN S012038  = .A ;
IF SF12038  = 8                THEN SF12038  = .A ;
IF S012039  = 8                THEN S012039  = .A ;
IF SF12039  = 8                THEN SF12039  = .A ;
IF S012040  = 8                THEN S012040  = .A ;
IF SF12040  = 8                THEN SF12040  = .A ;
IF S012041  = 8                THEN S012041  = .A ;
IF SF12041  = 8                THEN SF12041  = .A ;
IF S012042  = 8                THEN S012042  = .A ;
IF SF12042  = 8                THEN SF12042  = .A ;
IF S022086  = 98               THEN S022086  = .A ;
IF SF22086  = 98               THEN SF22086  = .A ;
IF S022198  = 8                THEN S022198  = .A ;
IF SF22198  = 8                THEN SF22198  = .A ;
IF S022275  = 8                THEN S022275  = .A ;
IF SF22275  = 8                THEN SF22275  = .A ;
IF S022041  = 8                THEN S022041  = .A ;
IF SF22041  = 8                THEN SF22041  = .A ;
IF S022283  = 98               THEN S022283  = .A ;
IF SF22283  = 98               THEN SF22283  = .A ;
IF S022202  = 8                THEN S022202  = .A ;
IF SF22202  = 8                THEN SF22202  = .A ;
IF S022152  = 98               THEN S022152  = .A ;
IF SF22152  = 98               THEN SF22152  = .A ;
IF S022154  = 98               THEN S022154  = .A ;
IF SF22154  = 98               THEN SF22154  = .A ;
IF S022187  = 8                THEN S022187  = .A ;
IF SF22187  = 8                THEN SF22187  = .A ;
IF S022161  = 98               THEN S022161  = .A ;
IF SF22161  = 98               THEN SF22161  = .A ;
IF S022222  = 8                THEN S022222  = .A ;
IF SF22222  = 8                THEN SF22222  = .A ;
IF S022191  = 98               THEN S022191  = .A ;
IF SF22191  = 98               THEN SF22191  = .A ;
IF S022279  = 98               THEN S022279  = .A ;
IF SF22279  = 98               THEN SF22279  = .A ;
IF S022040  = 8                THEN S022040  = .A ;
IF SF22040  = 8                THEN SF22040  = .A ;
IF S022088A = 98               THEN S022088A = .A ;
IF SF22088A = 98               THEN SF22088A = .A ;
IF S022088B = 98               THEN S022088B = .A ;
IF SF22088B = 98               THEN SF22088B = .A ;
IF S022249A = 98               THEN S022249A = .A ;
IF S022249B = 98               THEN S022249B = .A ;
IF S022249D = 98               THEN S022249D = .A ;
IF SF22249A = 98               THEN SF22249A = .A ;
IF SF22249B = 98               THEN SF22249B = .A ;
IF SF22249D = 98               THEN SF22249D = .A ;
IF S022286  = 98               THEN S022286  = .A ;
IF SF22286  = 98               THEN SF22286  = .A ;
IF S032595  = 8                THEN S032595  = .A ;
IF SF32595  = 8                THEN SF32595  = .A ;
IF S032656  = 8                THEN S032656  = .A ;
IF SF32656  = 8                THEN SF32656  = .A ;
IF S032625A = 98               THEN S032625A = .A ;
IF S032625B = 98               THEN S032625B = .A ;
IF SF32625A = 98               THEN SF32625A = .A ;
IF SF32625B = 98               THEN SF32625B = .A ;
IF S022183  = 8                THEN S022183  = .A ;
IF SF22183  = 8                THEN SF22183  = .A ;
IF S022276  = 8                THEN S022276  = .A ;
IF SF22276  = 8                THEN SF22276  = .A ;
IF S022115  = 8                THEN S022115  = .A ;
IF SF22115  = 8                THEN SF22115  = .A ;
IF S022022  = 98               THEN S022022  = .A ;
IF SF22022  = 98               THEN SF22022  = .A ;
IF S022019  = 8                THEN S022019  = .A ;
IF SF22019  = 8                THEN SF22019  = .A ;
IF S022002  = 8                THEN S022002  = .A ;
IF SF22002  = 8                THEN SF22002  = .A ;
IF S022294  = 8                THEN S022294  = .A ;
IF SF22294  = 8                THEN SF22294  = .A ;
IF S022106  = 8                THEN S022106  = .A ;
IF SF22106  = 8                THEN SF22106  = .A ;
IF S022244  = 98               THEN S022244  = .A ;
IF SF22244  = 98               THEN SF22244  = .A ;
IF S022150  = 8                THEN S022150  = .A ;
IF SF22150  = 8                THEN SF22150  = .A ;
IF S022042  = 8                THEN S022042  = .A ;
IF SF22042  = 8                THEN SF22042  = .A ;
IF S022289  = 98               THEN S022289  = .A ;
IF SF22289  = 98               THEN SF22289  = .A ;
IF S022069  = 98               THEN S022069  = .A ;
IF SF22069  = 98               THEN SF22069  = .A ;
IF S022268  = 98               THEN S022268  = .A ;
IF SF22268  = 98               THEN SF22268  = .A ;
IF S022290  = 8                THEN S022290  = .A ;
IF SF22290  = 8                THEN SF22290  = .A ;
IF S022292  = 98               THEN S022292  = .A ;
IF SF22292  = 98               THEN SF22292  = .A ;
IF S022054  = 8                THEN S022054  = .A ;
IF SF22054  = 8                THEN SF22054  = .A ;
IF S022181  = 8                THEN S022181  = .A ;
IF SF22181  = 8                THEN SF22181  = .A ;
IF S022208  = 8                THEN S022208  = .A ;
IF SF22208  = 8                THEN SF22208  = .A ;
IF S022078  = 98               THEN S022078  = .A ;
IF SF22078  = 98               THEN SF22078  = .A ;
IF S022126  = 8                THEN S022126  = .A ;
IF SF22126  = 8                THEN SF22126  = .A ;
IF S022281  = 98               THEN S022281  = .A ;
IF SF22281  = 98               THEN SF22281  = .A ;
IF S032385  = 8                THEN S032385  = .A ;
IF SF32385  = 8                THEN SF32385  = .A ;
IF S032035  = 8                THEN S032035  = .A ;
IF SF32035  = 8                THEN SF32035  = .A ;
IF S032519  = 98               THEN S032519  = .A ;
IF SF32519  = 98               THEN SF32519  = .A ;
IF S032683  = 8                THEN S032683  = .A ;
IF SF32683  = 8                THEN SF32683  = .A ;
IF S032258  = 8                THEN S032258  = .A ;
IF SF32258  = 8                THEN SF32258  = .A ;
IF S032120A = 98               THEN S032120A = .A ;
IF SF32120A = 98               THEN SF32120A = .A ;
IF S032120B = 98               THEN S032120B = .A ;
IF SF32120B = 98               THEN SF32120B = .A ;
IF S032606  = 8                THEN S032606  = .A ;
IF SF32606  = 8                THEN SF32606  = .A ;
IF S032015  = 98               THEN S032015  = .A ;
IF SF32015  = 98               THEN SF32015  = .A ;
IF S032310A = 98               THEN S032310A = .A ;
IF S032310B = 98               THEN S032310B = .A ;
IF S032310D = 98               THEN S032310D = .A ;
IF SF32310A = 98               THEN SF32310A = .A ;
IF SF32310B = 98               THEN SF32310B = .A ;
IF SF32310D = 98               THEN SF32310D = .A ;
IF S032680  = 98               THEN S032680  = .A ;
IF SF32680  = 98               THEN SF32680  = .A ;
IF S032672  = 8                THEN S032672  = .A ;
IF SF32672  = 8                THEN SF32672  = .A ;
IF S032392  = 8                THEN S032392  = .A ;
IF SF32392  = 8                THEN SF32392  = .A ;
IF S032425  = 8                THEN S032425  = .A ;
IF SF32425  = 8                THEN SF32425  = .A ;
IF S032257  = 8                THEN S032257  = .A ;
IF SF32257  = 8                THEN SF32257  = .A ;
IF S032663  = 8                THEN S032663  = .A ;
IF SF32663  = 8                THEN SF32663  = .A ;
IF S032660  = 8                THEN S032660  = .A ;
IF SF32660  = 8                THEN SF32660  = .A ;
IF S032555  = 98               THEN S032555  = .A ;
IF SF32555  = 98               THEN SF32555  = .A ;
IF S032122  = 98               THEN S032122  = .A ;
IF SF32122  = 98               THEN SF32122  = .A ;
IF S032542  = 8                THEN S032542  = .A ;
IF SF32542  = 8                THEN SF32542  = .A ;
IF S032645  = 8                THEN S032645  = .A ;
IF SF32645  = 8                THEN SF32645  = .A ;
IF S032530A = 98               THEN S032530A = .A ;
IF S032530B = 98               THEN S032530B = .A ;
IF S032530D = 98               THEN S032530D = .A ;
IF SF32530A = 98               THEN SF32530A = .A ;
IF SF32530B = 98               THEN SF32530B = .A ;
IF SF32530D = 98               THEN SF32530D = .A ;
IF S032007  = 98               THEN S032007  = .A ;
IF SF32007  = 98               THEN SF32007  = .A ;
IF S032502  = 8                THEN S032502  = .A ;
IF SF32502  = 8                THEN SF32502  = .A ;
IF S032679  = 98               THEN S032679  = .A ;
IF SF32679  = 98               THEN SF32679  = .A ;
IF S032184  = 8                THEN S032184  = .A ;
IF SF32184  = 8                THEN SF32184  = .A ;
IF S032394  = 8                THEN S032394  = .A ;
IF SF32394  = 8                THEN SF32394  = .A ;
IF S032151  = 8                THEN S032151  = .A ;
IF SF32151  = 8                THEN SF32151  = .A ;
IF S032651A = 98               THEN S032651A = .A ;
IF SF32651A = 98               THEN SF32651A = .A ;
IF S032651B = 98               THEN S032651B = .A ;
IF SF32651B = 98               THEN SF32651B = .A ;
IF S032665A = 98               THEN S032665A = .A ;
IF SF32665A = 98               THEN SF32665A = .A ;
IF S032665B = 98               THEN S032665B = .A ;
IF SF32665B = 98               THEN SF32665B = .A ;
IF S032665C = 98               THEN S032665C = .A ;
IF SF32665C = 98               THEN SF32665C = .A ;
IF S032607  = 8                THEN S032607  = .A ;
IF S032063  = 98               THEN S032063  = .A ;
IF S032206  = 98               THEN S032206  = .A ;
IF S032008  = 8                THEN S032008  = .A ;
IF S032083  = 8                THEN S032083  = .A ;
IF S032564  = 8                THEN S032564  = .A ;
IF S032057  = 98               THEN S032057  = .A ;
IF S032055  = 8                THEN S032055  = .A ;
IF S032626  = 98               THEN S032626  = .A ;
IF S032281  = 8                THEN S032281  = .A ;
IF S032150  = 8                THEN S032150  = .A ;
IF S032301  = 8                THEN S032301  = .A ;
IF S032446  = 8                THEN S032446  = .A ;
IF S032637  = 8                THEN S032637  = .A ;
IF S032386  = 8                THEN S032386  = .A ;
IF S032682  = 8                THEN S032682  = .A ;
IF S032652  = 8                THEN S032652  = .A ;
IF S032437  = 8                THEN S032437  = .A ;
IF S032242  = 98               THEN S032242  = .A ;
IF S032709  = 98               THEN S032709  = .A ;
IF S032711  = 98               THEN S032711  = .A ;
IF S032712A = 98               THEN S032712A = .A ;
IF S032712B = 98               THEN S032712B = .A ;
IF S032713A = 98               THEN S032713A = .A ;
IF S032713B = 98               THEN S032713B = .A ;
IF S032465  = 8                THEN S032465  = .A ;
IF SF32465  = 8                THEN SF32465  = .A ;
IF S032315  = 8                THEN S032315  = .A ;
IF SF32315  = 8                THEN SF32315  = .A ;
IF S032306  = 98               THEN S032306  = .A ;
IF SF32306  = 98               THEN SF32306  = .A ;
IF S032640  = 98               THEN S032640  = .A ;
IF SF32640  = 98               THEN SF32640  = .A ;
IF S032579  = 8                THEN S032579  = .A ;
IF SF32579  = 8                THEN SF32579  = .A ;
IF S032570  = 98               THEN S032570  = .A ;
IF SF32570  = 98               THEN SF32570  = .A ;
IF S032024  = 8                THEN S032024  = .A ;
IF SF32024  = 8                THEN SF32024  = .A ;
IF S032272  = 98               THEN S032272  = .A ;
IF SF32272  = 98               THEN SF32272  = .A ;
IF S032141  = 8                THEN S032141  = .A ;
IF SF32141  = 8                THEN SF32141  = .A ;
IF S032060  = 98               THEN S032060  = .A ;
IF SF32060  = 98               THEN SF32060  = .A ;
IF S032463  = 8                THEN S032463  = .A ;
IF SF32463  = 8                THEN SF32463  = .A ;
IF S032650A = 98               THEN S032650A = .A ;
IF S032650B = 98               THEN S032650B = .A ;
IF S032650D = 98               THEN S032650D = .A ;
IF SF32650A = 98               THEN SF32650A = .A ;
IF SF32650B = 98               THEN SF32650B = .A ;
IF SF32650D = 98               THEN SF32650D = .A ;
IF S032514  = 8                THEN S032514  = .A ;
IF SF32514  = 8                THEN SF32514  = .A ;
IF S032611  = 8                THEN S032611  = .A ;
IF SF32611  = 8                THEN SF32611  = .A ;
IF S032614  = 98               THEN S032614  = .A ;
IF SF32614  = 98               THEN SF32614  = .A ;
IF S032451  = 98               THEN S032451  = .A ;
IF SF32451  = 98               THEN SF32451  = .A ;
IF S032156  = 8                THEN S032156  = .A ;
IF SF32156  = 8                THEN SF32156  = .A ;
IF S032056  = 98               THEN S032056  = .A ;
IF SF32056  = 98               THEN SF32056  = .A ;
IF S032087  = 8                THEN S032087  = .A ;
IF SF32087  = 8                THEN SF32087  = .A ;
IF S032279  = 8                THEN S032279  = .A ;
IF SF32279  = 8                THEN SF32279  = .A ;
IF S032238  = 8                THEN S032238  = .A ;
IF SF32238  = 8                THEN SF32238  = .A ;
IF S032369  = 98               THEN S032369  = .A ;
IF SF32369  = 98               THEN SF32369  = .A ;
IF S032160  = 8                THEN S032160  = .A ;
IF SF32160  = 8                THEN SF32160  = .A ;
IF S032654  = 8                THEN S032654  = .A ;
IF SF32654  = 8                THEN SF32654  = .A ;
IF S032126  = 98               THEN S032126  = .A ;
IF SF32126  = 98               THEN SF32126  = .A ;
IF S032510  = 8                THEN S032510  = .A ;
IF SF32510  = 8                THEN SF32510  = .A ;
IF S032158  = 8                THEN S032158  = .A ;
IF SF32158  = 8                THEN SF32158  = .A ;
IF S032574  = 8                THEN S032574  = .A ;
IF SF32574  = 8                THEN SF32574  = .A ;
IF S032532  = 98               THEN S032532  = .A ;
IF SF32532  = 98               THEN SF32532  = .A ;
IF S032562  = 98               THEN S032562  = .A ;
IF SF32562  = 98               THEN SF32562  = .A ;
IF S032422  = 8                THEN S032422  = .A ;
IF SF32422  = 8                THEN SF32422  = .A ;
IF S032375  = 98               THEN S032375  = .A ;
IF SF32375  = 98               THEN SF32375  = .A ;
IF S032714  = 8                THEN S032714  = .A ;
IF SF32714  = 8                THEN SF32714  = .A ;
IF S032704  = 98               THEN S032704  = .A ;
IF SF32704  = 98               THEN SF32704  = .A ;
IF S032705A = 98               THEN S032705A = .A ;
IF SF32705A = 98               THEN SF32705A = .A ;
IF S032705B = 98               THEN S032705B = .A ;
IF SF32705B = 98               THEN SF32705B = .A ;
IF S032706A = 98               THEN S032706A = .A ;
IF SF32706A = 98               THEN SF32706A = .A ;
IF S032706B = 98               THEN S032706B = .A ;
IF SF32706B = 98               THEN SF32706B = .A ;
IF S032707  = 98               THEN S032707  = .A ;
IF SF32707  = 98               THEN SF32707  = .A ;
IF S032115  = 8                THEN S032115  = .A ;
IF SF32115  = 8                THEN SF32115  = .A ;
IF S032565  = 98               THEN S032565  = .A ;
IF SF32565  = 98               THEN SF32565  = .A ;
IF S032403  = 8                THEN S032403  = .A ;
IF SF32403  = 8                THEN SF32403  = .A ;
IF S032273  = 8                THEN S032273  = .A ;
IF SF32273  = 8                THEN SF32273  = .A ;
IF S032019A = 98               THEN S032019A = .A ;
IF SF32019A = 98               THEN SF32019A = .A ;
IF S032019B = 98               THEN S032019B = .A ;
IF SF32019B = 98               THEN SF32019B = .A ;
IF S032516  = 98               THEN S032516  = .A ;
IF SF32516  = 98               THEN SF32516  = .A ;
IF S032620  = 8                THEN S032620  = .A ;
IF SF32620  = 8                THEN SF32620  = .A ;
IF S032693A = 98               THEN S032693A = .A ;
IF SF32693A = 98               THEN SF32693A = .A ;
IF S032693B = 98               THEN S032693B = .A ;
IF SF32693B = 98               THEN SF32693B = .A ;
IF S032695  = 98               THEN S032695  = .A ;
IF SF32695  = 98               THEN SF32695  = .A ;
IF S032697A = 98               THEN S032697A = .A ;
IF S032697B = 98               THEN S032697B = .A ;
IF S032697D = 98               THEN S032697D = .A ;
IF SF32697A = 98               THEN SF32697A = .A ;
IF SF32697B = 98               THEN SF32697B = .A ;
IF SF32697D = 98               THEN SF32697D = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF HOUWGT   = 999998           THEN HOUWGT   = .A ;
IF SENWGT   = 999998           THEN SENWGT   = .A ;
IF TOTWGT   = 999998           THEN TOTWGT   = .A ;
IF BSMALG01 = 998              THEN BSMALG01 = .A ;
IF BSMALG02 = 998              THEN BSMALG02 = .A ;
IF BSMALG03 = 998              THEN BSMALG03 = .A ;
IF BSMALG04 = 998              THEN BSMALG04 = .A ;
IF BSMALG05 = 998              THEN BSMALG05 = .A ;
IF BSMAPP01 = 998              THEN BSMAPP01 = .A ;
IF BSMAPP02 = 998              THEN BSMAPP02 = .A ;
IF BSMAPP03 = 998              THEN BSMAPP03 = .A ;
IF BSMAPP04 = 998              THEN BSMAPP04 = .A ;
IF BSMAPP05 = 998              THEN BSMAPP05 = .A ;
IF BSMDAP01 = 998              THEN BSMDAP01 = .A ;
IF BSMDAP02 = 998              THEN BSMDAP02 = .A ;
IF BSMDAP03 = 998              THEN BSMDAP03 = .A ;
IF BSMDAP04 = 998              THEN BSMDAP04 = .A ;
IF BSMDAP05 = 998              THEN BSMDAP05 = .A ;
IF BSMFNS01 = 998              THEN BSMFNS01 = .A ;
IF BSMFNS02 = 998              THEN BSMFNS02 = .A ;
IF BSMFNS03 = 998              THEN BSMFNS03 = .A ;
IF BSMFNS04 = 998              THEN BSMFNS04 = .A ;
IF BSMFNS05 = 998              THEN BSMFNS05 = .A ;
IF BSMGEO01 = 998              THEN BSMGEO01 = .A ;
IF BSMGEO02 = 998              THEN BSMGEO02 = .A ;
IF BSMGEO03 = 998              THEN BSMGEO03 = .A ;
IF BSMGEO04 = 998              THEN BSMGEO04 = .A ;
IF BSMGEO05 = 998              THEN BSMGEO05 = .A ;
IF BSMKNO01 = 998              THEN BSMKNO01 = .A ;
IF BSMKNO02 = 998              THEN BSMKNO02 = .A ;
IF BSMKNO03 = 998              THEN BSMKNO03 = .A ;
IF BSMKNO04 = 998              THEN BSMKNO04 = .A ;
IF BSMKNO05 = 998              THEN BSMKNO05 = .A ;
IF BSMMAT01 = 998              THEN BSMMAT01 = .A ;
IF BSMMAT02 = 998              THEN BSMMAT02 = .A ;
IF BSMMAT03 = 998              THEN BSMMAT03 = .A ;
IF BSMMAT04 = 998              THEN BSMMAT04 = .A ;
IF BSMMAT05 = 998              THEN BSMMAT05 = .A ;
IF BSMMEA01 = 998              THEN BSMMEA01 = .A ;
IF BSMMEA02 = 998              THEN BSMMEA02 = .A ;
IF BSMMEA03 = 998              THEN BSMMEA03 = .A ;
IF BSMMEA04 = 998              THEN BSMMEA04 = .A ;
IF BSMMEA05 = 998              THEN BSMMEA05 = .A ;
IF BSMNRSC  = 9998             THEN BSMNRSC  = .A ;
IF BSMREA01 = 998              THEN BSMREA01 = .A ;
IF BSMREA02 = 998              THEN BSMREA02 = .A ;
IF BSMREA03 = 998              THEN BSMREA03 = .A ;
IF BSMREA04 = 998              THEN BSMREA04 = .A ;
IF BSMREA05 = 998              THEN BSMREA05 = .A ;
IF BSMSCPT  = 98               THEN BSMSCPT  = .A ;
IF BSMSTDR  = 98               THEN BSMSTDR  = .A ;
IF BSSCHE01 = 998              THEN BSSCHE01 = .A ;
IF BSSCHE02 = 998              THEN BSSCHE02 = .A ;
IF BSSCHE03 = 998              THEN BSSCHE03 = .A ;
IF BSSCHE04 = 998              THEN BSSCHE04 = .A ;
IF BSSCHE05 = 998              THEN BSSCHE05 = .A ;
IF BSSEAS01 = 998              THEN BSSEAS01 = .A ;
IF BSSEAS02 = 998              THEN BSSEAS02 = .A ;
IF BSSEAS03 = 998              THEN BSSEAS03 = .A ;
IF BSSEAS04 = 998              THEN BSSEAS04 = .A ;
IF BSSEAS05 = 998              THEN BSSEAS05 = .A ;
IF BSSERI01 = 998              THEN BSSERI01 = .A ;
IF BSSERI02 = 998              THEN BSSERI02 = .A ;
IF BSSERI03 = 998              THEN BSSERI03 = .A ;
IF BSSERI04 = 998              THEN BSSERI04 = .A ;
IF BSSERI05 = 998              THEN BSSERI05 = .A ;
IF BSSLIS01 = 998              THEN BSSLIS01 = .A ;
IF BSSLIS02 = 998              THEN BSSLIS02 = .A ;
IF BSSLIS03 = 998              THEN BSSLIS03 = .A ;
IF BSSLIS04 = 998              THEN BSSLIS04 = .A ;
IF BSSLIS05 = 998              THEN BSSLIS05 = .A ;
IF BSSNRSC  = 998              THEN BSSNRSC  = .A ;
IF BSSPHY01 = 998              THEN BSSPHY01 = .A ;
IF BSSPHY02 = 998              THEN BSSPHY02 = .A ;
IF BSSPHY03 = 998              THEN BSSPHY03 = .A ;
IF BSSPHY04 = 998              THEN BSSPHY04 = .A ;
IF BSSPHY05 = 998              THEN BSSPHY05 = .A ;
IF BSSSCI01 = 998              THEN BSSSCI01 = .A ;
IF BSSSCI02 = 998              THEN BSSSCI02 = .A ;
IF BSSSCI03 = 998              THEN BSSSCI03 = .A ;
IF BSSSCI04 = 998              THEN BSSSCI04 = .A ;
IF BSSSCI05 = 998              THEN BSSSCI05 = .A ;
IF BSSSCPT  = 98               THEN BSSSCPT  = .A ;
IF BSSSTDR  = 98               THEN BSSSTDR  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF M012001  = 6                THEN M012001  = .R ;
IF MF12001  = 6                THEN MF12001  = .R ;
IF M012002  = 6                THEN M012002  = .R ;
IF MF12002  = 6                THEN MF12002  = .R ;
IF M012003  = 6                THEN M012003  = .R ;
IF MF12003  = 6                THEN MF12003  = .R ;
IF M012004  = 6                THEN M012004  = .R ;
IF MF12004  = 6                THEN MF12004  = .R ;
IF M012005  = 6                THEN M012005  = .R ;
IF MF12005  = 6                THEN MF12005  = .R ;
IF M012006  = 6                THEN M012006  = .R ;
IF MF12006  = 6                THEN MF12006  = .R ;
IF M012037  = 6                THEN M012037  = .R ;
IF MF12037  = 6                THEN MF12037  = .R ;
IF M012038  = 6                THEN M012038  = .R ;
IF MF12038  = 6                THEN MF12038  = .R ;
IF M012039  = 6                THEN M012039  = .R ;
IF MF12039  = 6                THEN MF12039  = .R ;
IF M012040  = 6                THEN M012040  = .R ;
IF MF12040  = 6                THEN MF12040  = .R ;
IF M012041  = 6                THEN M012041  = .R ;
IF MF12041  = 6                THEN MF12041  = .R ;
IF M012042  = 6                THEN M012042  = .R ;
IF MF12042  = 6                THEN MF12042  = .R ;
IF M032570  = 6                THEN M032570  = .R ;
IF MF32570  = 6                THEN MF32570  = .R ;
IF M032643  = 6                THEN M032643  = .R ;
IF MF32643  = 6                THEN MF32643  = .R ;
IF M032693  = 96               THEN M032693  = .R ;
IF MF32693  = 96               THEN MF32693  = .R ;
IF M012013  = 6                THEN M012013  = .R ;
IF MF12013  = 6                THEN MF12013  = .R ;
IF M012014  = 6                THEN M012014  = .R ;
IF MF12014  = 6                THEN MF12014  = .R ;
IF M012015  = 6                THEN M012015  = .R ;
IF MF12015  = 6                THEN MF12015  = .R ;
IF M012016  = 6                THEN M012016  = .R ;
IF MF12016  = 6                THEN MF12016  = .R ;
IF M012017  = 6                THEN M012017  = .R ;
IF MF12017  = 6                THEN MF12017  = .R ;
IF M022251  = 6                THEN M022251  = .R ;
IF MF22251  = 6                THEN MF22251  = .R ;
IF M022185  = 6                THEN M022185  = .R ;
IF MF22185  = 6                THEN MF22185  = .R ;
IF M022188  = 6                THEN M022188  = .R ;
IF MF22188  = 6                THEN MF22188  = .R ;
IF M022189  = 6                THEN M022189  = .R ;
IF MF22189  = 6                THEN MF22189  = .R ;
IF M022191  = 6                THEN M022191  = .R ;
IF MF22191  = 6                THEN MF22191  = .R ;
IF M022194  = 6                THEN M022194  = .R ;
IF MF22194  = 6                THEN MF22194  = .R ;
IF M022196  = 6                THEN M022196  = .R ;
IF MF22196  = 6                THEN MF22196  = .R ;
IF M022198  = 6                THEN M022198  = .R ;
IF MF22198  = 6                THEN MF22198  = .R ;
IF M022199  = 6                THEN M022199  = .R ;
IF MF22199  = 6                THEN MF22199  = .R ;
IF M022202  = 96               THEN M022202  = .R ;
IF MF22202  = 96               THEN MF22202  = .R ;
IF M012025  = 6                THEN M012025  = .R ;
IF MF12025  = 6                THEN MF12025  = .R ;
IF M012026  = 6                THEN M012026  = .R ;
IF MF12026  = 6                THEN MF12026  = .R ;
IF M012027  = 6                THEN M012027  = .R ;
IF MF12027  = 6                THEN MF12027  = .R ;
IF M012028  = 6                THEN M012028  = .R ;
IF MF12028  = 6                THEN MF12028  = .R ;
IF M012029  = 6                THEN M012029  = .R ;
IF MF12029  = 6                THEN MF12029  = .R ;
IF M012030  = 6                THEN M012030  = .R ;
IF MF12030  = 6                THEN MF12030  = .R ;
IF M022135  = 6                THEN M022135  = .R ;
IF MF22135  = 6                THEN MF22135  = .R ;
IF M022139  = 6                THEN M022139  = .R ;
IF MF22139  = 6                THEN MF22139  = .R ;
IF M022142  = 6                THEN M022142  = .R ;
IF MF22142  = 6                THEN MF22142  = .R ;
IF M022144  = 6                THEN M022144  = .R ;
IF MF22144  = 6                THEN MF22144  = .R ;
IF M022146  = 6                THEN M022146  = .R ;
IF MF22146  = 6                THEN MF22146  = .R ;
IF M022148  = 96               THEN M022148  = .R ;
IF MF22148  = 96               THEN MF22148  = .R ;
IF M022253  = 96               THEN M022253  = .R ;
IF MF22253  = 96               THEN MF22253  = .R ;
IF M022154  = 6                THEN M022154  = .R ;
IF MF22154  = 6                THEN MF22154  = .R ;
IF M022156  = 96               THEN M022156  = .R ;
IF MF22156  = 96               THEN MF22156  = .R ;
IF M022002  = 6                THEN M022002  = .R ;
IF MF22002  = 6                THEN MF22002  = .R ;
IF M022004  = 6                THEN M022004  = .R ;
IF MF22004  = 6                THEN MF22004  = .R ;
IF M022005  = 6                THEN M022005  = .R ;
IF MF22005  = 6                THEN MF22005  = .R ;
IF M022008  = 96               THEN M022008  = .R ;
IF MF22008  = 96               THEN MF22008  = .R ;
IF M022010  = 6                THEN M022010  = .R ;
IF MF22010  = 6                THEN MF22010  = .R ;
IF M022012  = 96               THEN M022012  = .R ;
IF MF22012  = 96               THEN MF22012  = .R ;
IF M022021  = 6                THEN M022021  = .R ;
IF MF22021  = 6                THEN MF22021  = .R ;
IF M022016  = 6                THEN M022016  = .R ;
IF MF22016  = 6                THEN MF22016  = .R ;
IF M022252  = 6                THEN M022252  = .R ;
IF MF22252  = 6                THEN MF22252  = .R ;
IF M022261A = 96               THEN M022261A = .R ;
IF MF22261A = 96               THEN MF22261A = .R ;
IF M022261B = 96               THEN M022261B = .R ;
IF MF22261B = 96               THEN MF22261B = .R ;
IF M022261C = 96               THEN M022261C = .R ;
IF MF22261C = 96               THEN MF22261C = .R ;
IF M022227A = 96               THEN M022227A = .R ;
IF MF22227A = 96               THEN MF22227A = .R ;
IF M022227B = 96               THEN M022227B = .R ;
IF MF22227B = 96               THEN MF22227B = .R ;
IF M022227C = 96               THEN M022227C = .R ;
IF MF22227C = 96               THEN MF22227C = .R ;
IF M022127  = 6                THEN M022127  = .R ;
IF MF22127  = 6                THEN MF22127  = .R ;
IF M022043  = 6                THEN M022043  = .R ;
IF MF22043  = 6                THEN MF22043  = .R ;
IF M022046  = 96               THEN M022046  = .R ;
IF MC22046  = 96               THEN MC22046  = .R ;
IF MF22046  = 96               THEN MF22046  = .R ;
IF M022049  = 6                THEN M022049  = .R ;
IF MF22049  = 6                THEN MF22049  = .R ;
IF M022050  = 6                THEN M022050  = .R ;
IF MF22050  = 6                THEN MF22050  = .R ;
IF M022055  = 96               THEN M022055  = .R ;
IF MF22055  = 96               THEN MF22055  = .R ;
IF M022057  = 6                THEN M022057  = .R ;
IF MF22057  = 6                THEN MF22057  = .R ;
IF M022257  = 6                THEN M022257  = .R ;
IF MF22257  = 6                THEN MF22257  = .R ;
IF M022062  = 6                THEN M022062  = .R ;
IF MF22062  = 6                THEN MF22062  = .R ;
IF M022066  = 6                THEN M022066  = .R ;
IF MF22066  = 6                THEN MF22066  = .R ;
IF M022232  = 96               THEN M022232  = .R ;
IF MF22232  = 96               THEN MF22232  = .R ;
IF M022234A = 96               THEN M022234A = .R ;
IF MF22234A = 96               THEN MF22234A = .R ;
IF M022234B = 96               THEN M022234B = .R ;
IF MF22234B = 96               THEN MF22234B = .R ;
IF M022243  = 96               THEN M022243  = .R ;
IF MF22243  = 96               THEN MF22243  = .R ;
IF M022097  = 6                THEN M022097  = .R ;
IF MF22097  = 6                THEN MF22097  = .R ;
IF M022101  = 6                THEN M022101  = .R ;
IF MF22101  = 6                THEN MF22101  = .R ;
IF M022104  = 6                THEN M022104  = .R ;
IF MF22104  = 6                THEN MF22104  = .R ;
IF M022105  = 6                THEN M022105  = .R ;
IF MF22105  = 6                THEN MF22105  = .R ;
IF M022106  = 96               THEN M022106  = .R ;
IF MF22106  = 96               THEN MF22106  = .R ;
IF M022108  = 6                THEN M022108  = .R ;
IF MF22108  = 6                THEN MF22108  = .R ;
IF M022110  = 96               THEN M022110  = .R ;
IF MC22110  = 96               THEN MC22110  = .R ;
IF MF22110  = 96               THEN MF22110  = .R ;
IF M022181  = 6                THEN M022181  = .R ;
IF MF22181  = 6                THEN MF22181  = .R ;
IF M032307  = 96               THEN M032307  = .R ;
IF MF32307  = 96               THEN MF32307  = .R ;
IF M032523  = 6                THEN M032523  = .R ;
IF MF32523  = 6                THEN MF32523  = .R ;
IF M032701  = 6                THEN M032701  = .R ;
IF MC32701  = 6                THEN MC32701  = .R ;
IF MF32701  = 6                THEN MF32701  = .R ;
IF M032704  = 6                THEN M032704  = .R ;
IF MC32704  = 6                THEN MC32704  = .R ;
IF MF32704  = 6                THEN MF32704  = .R ;
IF M032525  = 6                THEN M032525  = .R ;
IF MC32525  = 6                THEN MC32525  = .R ;
IF MF32525  = 6                THEN MF32525  = .R ;
IF M032579  = 6                THEN M032579  = .R ;
IF MF32579  = 6                THEN MF32579  = .R ;
IF M032691  = 96               THEN M032691  = .R ;
IF MF32691  = 96               THEN MF32691  = .R ;
IF M032142  = 6                THEN M032142  = .R ;
IF MF32142  = 6                THEN MF32142  = .R ;
IF M032198  = 6                THEN M032198  = .R ;
IF MF32198  = 6                THEN MF32198  = .R ;
IF M032640  = 96               THEN M032640  = .R ;
IF MF32640  = 96               THEN MF32640  = .R ;
IF M032344  = 96               THEN M032344  = .R ;
IF MF32344  = 96               THEN MF32344  = .R ;
IF M032754  = 96               THEN M032754  = .R ;
IF MF32754  = 96               THEN MF32754  = .R ;
IF M032755  = 96               THEN M032755  = .R ;
IF MF32755  = 96               THEN MF32755  = .R ;
IF M032753A = 96               THEN M032753A = .R ;
IF MF32753A = 96               THEN MF32753A = .R ;
IF M032753B = 96               THEN M032753B = .R ;
IF MF32753B = 96               THEN MF32753B = .R ;
IF M032753C = 96               THEN M032753C = .R ;
IF MF32753C = 96               THEN MF32753C = .R ;
IF M032756  = 96               THEN M032756  = .R ;
IF MF32756  = 96               THEN MF32756  = .R ;
IF M032205  = 6                THEN M032205  = .R ;
IF MF32205  = 6                THEN MF32205  = .R ;
IF M032163  = 6                THEN M032163  = .R ;
IF MF32163  = 6                THEN MF32163  = .R ;
IF M032381  = 96               THEN M032381  = .R ;
IF MF32381  = 96               THEN MF32381  = .R ;
IF M032416  = 6                THEN M032416  = .R ;
IF MF32416  = 6                THEN MF32416  = .R ;
IF M032160  = 6                THEN M032160  = .R ;
IF MF32160  = 6                THEN MF32160  = .R ;
IF M032273  = 6                THEN M032273  = .R ;
IF MF32273  = 6                THEN MF32273  = .R ;
IF M032540  = 6                THEN M032540  = .R ;
IF MF32540  = 6                THEN MF32540  = .R ;
IF M032698  = 6                THEN M032698  = .R ;
IF MF32698  = 6                THEN MF32698  = .R ;
IF M032097  = 6                THEN M032097  = .R ;
IF MF32097  = 6                THEN MF32097  = .R ;
IF M032575  = 6                THEN M032575  = .R ;
IF MF32575  = 6                THEN MF32575  = .R ;
IF M032414  = 96               THEN M032414  = .R ;
IF MF32414  = 96               THEN MF32414  = .R ;
IF M032294  = 6                THEN M032294  = .R ;
IF MF32294  = 6                THEN MF32294  = .R ;
IF M032688  = 96               THEN M032688  = .R ;
IF MF32688  = 96               THEN MF32688  = .R ;
IF M032529  = 6                THEN M032529  = .R ;
IF MF32529  = 6                THEN MF32529  = .R ;
IF M032637A = 96               THEN M032637A = .R ;
IF MF32637A = 96               THEN MF32637A = .R ;
IF M032637B = 96               THEN M032637B = .R ;
IF MF32637B = 96               THEN MF32637B = .R ;
IF M032637C = 96               THEN M032637C = .R ;
IF MF32637C = 96               THEN MF32637C = .R ;
IF M032079  = 6                THEN M032079  = .R ;
IF M032652  = 96               THEN M032652  = .R ;
IF M032228  = 6                THEN M032228  = .R ;
IF M032044  = 6                THEN M032044  = .R ;
IF M032046  = 6                THEN M032046  = .R ;
IF M032545  = 96               THEN M032545  = .R ;
IF M032649A = 96               THEN M032649A = .R ;
IF M032649B = 96               THEN M032649B = .R ;
IF M032533  = 6                THEN M032533  = .R ;
IF M032678  = 6                THEN M032678  = .R ;
IF M032403  = 96               THEN M032403  = .R ;
IF M032261  = 6                THEN M032261  = .R ;
IF M032489  = 6                THEN M032489  = .R ;
IF M032588  = 6                THEN M032588  = .R ;
IF M032271  = 6                THEN M032271  = .R ;
IF M032671  = 96               THEN M032671  = .R ;
IF M032612  = 6                THEN M032612  = .R ;
IF M032557  = 96               THEN M032557  = .R ;
IF M032208  = 6                THEN M032208  = .R ;
IF M032210  = 6                THEN M032210  = .R ;
IF M032699  = 6                THEN M032699  = .R ;
IF M032762  = 96               THEN M032762  = .R ;
IF M032763  = 96               THEN M032763  = .R ;
IF M032764  = 96               THEN M032764  = .R ;
IF M032647  = 6                THEN M032647  = .R ;
IF M032689  = 6                THEN M032689  = .R ;
IF M032094  = 6                THEN M032094  = .R ;
IF MF32094  = 6                THEN MF32094  = .R ;
IF M032662  = 6                THEN M032662  = .R ;
IF MF32662  = 6                THEN MF32662  = .R ;
IF M032064  = 96               THEN M032064  = .R ;
IF MF32064  = 96               THEN MF32064  = .R ;
IF M032419  = 6                THEN M032419  = .R ;
IF MF32419  = 6                THEN MF32419  = .R ;
IF M032477  = 6                THEN M032477  = .R ;
IF MF32477  = 6                THEN MF32477  = .R ;
IF M032538  = 96               THEN M032538  = .R ;
IF MF32538  = 96               THEN MF32538  = .R ;
IF M032324  = 6                THEN M032324  = .R ;
IF MF32324  = 6                THEN MF32324  = .R ;
IF M032116  = 6                THEN M032116  = .R ;
IF MF32116  = 6                THEN MF32116  = .R ;
IF M032100  = 6                THEN M032100  = .R ;
IF MF32100  = 6                THEN MF32100  = .R ;
IF M032402  = 6                THEN M032402  = .R ;
IF MF32402  = 6                THEN MF32402  = .R ;
IF M032734  = 96               THEN M032734  = .R ;
IF MF32734  = 96               THEN MF32734  = .R ;
IF M032397  = 6                THEN M032397  = .R ;
IF MF32397  = 6                THEN MF32397  = .R ;
IF M032695  = 96               THEN M032695  = .R ;
IF MF32695  = 96               THEN MF32695  = .R ;
IF M032132  = 6                THEN M032132  = .R ;
IF MF32132  = 6                THEN MF32132  = .R ;
IF M032352  = 6                THEN M032352  = .R ;
IF MF32352  = 6                THEN MF32352  = .R ;
IF M032725  = 96               THEN M032725  = .R ;
IF MF32725  = 96               THEN MF32725  = .R ;
IF M032683  = 96               THEN M032683  = .R ;
IF MF32683  = 96               THEN MF32683  = .R ;
IF M032738  = 6                THEN M032738  = .R ;
IF MF32738  = 6                THEN MF32738  = .R ;
IF M032295  = 6                THEN M032295  = .R ;
IF MF32295  = 6                THEN MF32295  = .R ;
IF M032331  = 6                THEN M032331  = .R ;
IF MF32331  = 6                THEN MF32331  = .R ;
IF M032623  = 6                THEN M032623  = .R ;
IF MF32623  = 6                THEN MF32623  = .R ;
IF M032679  = 6                THEN M032679  = .R ;
IF MF32679  = 6                THEN MF32679  = .R ;
IF M032047  = 6                THEN M032047  = .R ;
IF MF32047  = 6                THEN MF32047  = .R ;
IF M032398  = 6                THEN M032398  = .R ;
IF MF32398  = 6                THEN MF32398  = .R ;
IF M032507  = 6                THEN M032507  = .R ;
IF MF32507  = 6                THEN MF32507  = .R ;
IF M032424  = 6                THEN M032424  = .R ;
IF MF32424  = 6                THEN MF32424  = .R ;
IF M032681A = 96               THEN M032681A = .R ;
IF MF32681A = 96               THEN MF32681A = .R ;
IF M032681B = 96               THEN M032681B = .R ;
IF MF32681B = 96               THEN MF32681B = .R ;
IF M032681C = 96               THEN M032681C = .R ;
IF MF32681C = 96               THEN MF32681C = .R ;
IF M032609  = 6                THEN M032609  = .R ;
IF MF32609  = 6                THEN MF32609  = .R ;
IF M032690  = 6                THEN M032690  = .R ;
IF MF32690  = 6                THEN MF32690  = .R ;
IF M032727  = 6                THEN M032727  = .R ;
IF MF32727  = 6                THEN MF32727  = .R ;
IF M032743  = 96               THEN M032743  = .R ;
IF MF32743  = 96               THEN MF32743  = .R ;
IF M032744  = 96               THEN M032744  = .R ;
IF MF32744  = 96               THEN MF32744  = .R ;
IF M032745  = 96               THEN M032745  = .R ;
IF MF32745  = 96               THEN MF32745  = .R ;
IF M032233  = 96               THEN M032233  = .R ;
IF MF32233  = 96               THEN MF32233  = .R ;
IF M032670  = 6                THEN M032670  = .R ;
IF MF32670  = 6                THEN MF32670  = .R ;
IF M032447  = 6                THEN M032447  = .R ;
IF MF32447  = 6                THEN MF32447  = .R ;
IF M032036  = 6                THEN M032036  = .R ;
IF MF32036  = 6                THEN MF32036  = .R ;
IF M032728  = 6                THEN M032728  = .R ;
IF MF32728  = 6                THEN MF32728  = .R ;
IF M032732  = 6                THEN M032732  = .R ;
IF MF32732  = 6                THEN MF32732  = .R ;
IF M032166  = 6                THEN M032166  = .R ;
IF MF32166  = 6                THEN MF32166  = .R ;
IF M032721  = 6                THEN M032721  = .R ;
IF MF32721  = 6                THEN MF32721  = .R ;
IF M032757  = 96               THEN M032757  = .R ;
IF MF32757  = 96               THEN MF32757  = .R ;
IF M032760A = 96               THEN M032760A = .R ;
IF MF32760A = 96               THEN MF32760A = .R ;
IF M032760B = 96               THEN M032760B = .R ;
IF MF32760B = 96               THEN MF32760B = .R ;
IF M032760C = 96               THEN M032760C = .R ;
IF MF32760C = 96               THEN MF32760C = .R ;
IF M032761  = 96               THEN M032761  = .R ;
IF MF32761  = 96               THEN MF32761  = .R ;
IF M032692  = 96               THEN M032692  = .R ;
IF MF32692  = 96               THEN MF32692  = .R ;
IF M032626  = 6                THEN M032626  = .R ;
IF MF32626  = 6                THEN MF32626  = .R ;
IF M032595  = 6                THEN M032595  = .R ;
IF MF32595  = 6                THEN MF32595  = .R ;
IF M032673  = 6                THEN M032673  = .R ;
IF MF32673  = 6                THEN MF32673  = .R ;
IF S012025  = 6                THEN S012025  = .R ;
IF SF12025  = 6                THEN SF12025  = .R ;
IF S012026  = 6                THEN S012026  = .R ;
IF SF12026  = 6                THEN SF12026  = .R ;
IF S012027  = 6                THEN S012027  = .R ;
IF SF12027  = 6                THEN SF12027  = .R ;
IF S012028  = 6                THEN S012028  = .R ;
IF SF12028  = 6                THEN SF12028  = .R ;
IF S012029  = 6                THEN S012029  = .R ;
IF SF12029  = 6                THEN SF12029  = .R ;
IF S012030  = 6                THEN S012030  = .R ;
IF SF12030  = 6                THEN SF12030  = .R ;
IF S022035  = 96               THEN S022035  = .R ;
IF SF22035  = 96               THEN SF22035  = .R ;
IF S022225  = 6                THEN S022225  = .R ;
IF SF22225  = 6                THEN SF22225  = .R ;
IF S022117  = 6                THEN S022117  = .R ;
IF SF22117  = 6                THEN SF22117  = .R ;
IF S022235  = 6                THEN S022235  = .R ;
IF SF22235  = 6                THEN SF22235  = .R ;
IF S022188  = 6                THEN S022188  = .R ;
IF SF22188  = 6                THEN SF22188  = .R ;
IF S022074  = 6                THEN S022074  = .R ;
IF SF22074  = 6                THEN SF22074  = .R ;
IF S022240  = 6                THEN S022240  = .R ;
IF SF22240  = 6                THEN SF22240  = .R ;
IF S022206  = 6                THEN S022206  = .R ;
IF SF22206  = 6                THEN SF22206  = .R ;
IF S022160  = 96               THEN S022160  = .R ;
IF SF22160  = 96               THEN SF22160  = .R ;
IF S022058  = 6                THEN S022058  = .R ;
IF SF22058  = 6                THEN SF22058  = .R ;
IF S012013  = 6                THEN S012013  = .R ;
IF SF12013  = 6                THEN SF12013  = .R ;
IF S012014  = 6                THEN S012014  = .R ;
IF SF12014  = 6                THEN SF12014  = .R ;
IF S012015  = 6                THEN S012015  = .R ;
IF SF12015  = 6                THEN SF12015  = .R ;
IF S012016  = 6                THEN S012016  = .R ;
IF SF12016  = 6                THEN SF12016  = .R ;
IF S012017  = 6                THEN S012017  = .R ;
IF SF12017  = 6                THEN SF12017  = .R ;
IF S012018  = 6                THEN S012018  = .R ;
IF SF12018  = 6                THEN SF12018  = .R ;
IF S012001  = 6                THEN S012001  = .R ;
IF SF12001  = 6                THEN SF12001  = .R ;
IF S012002  = 6                THEN S012002  = .R ;
IF SF12002  = 6                THEN SF12002  = .R ;
IF S012003  = 6                THEN S012003  = .R ;
IF SF12003  = 6                THEN SF12003  = .R ;
IF S012004  = 6                THEN S012004  = .R ;
IF SF12004  = 6                THEN SF12004  = .R ;
IF S012005  = 6                THEN S012005  = .R ;
IF SF12005  = 6                THEN SF12005  = .R ;
IF S012006  = 6                THEN S012006  = .R ;
IF SF12006  = 6                THEN SF12006  = .R ;
IF S032131  = 96               THEN S032131  = .R ;
IF SF32131  = 96               THEN SF32131  = .R ;
IF S032202  = 96               THEN S032202  = .R ;
IF SF32202  = 96               THEN SF32202  = .R ;
IF S012037  = 6                THEN S012037  = .R ;
IF SF12037  = 6                THEN SF12037  = .R ;
IF S012038  = 6                THEN S012038  = .R ;
IF SF12038  = 6                THEN SF12038  = .R ;
IF S012039  = 6                THEN S012039  = .R ;
IF SF12039  = 6                THEN SF12039  = .R ;
IF S012040  = 6                THEN S012040  = .R ;
IF SF12040  = 6                THEN SF12040  = .R ;
IF S012041  = 6                THEN S012041  = .R ;
IF SF12041  = 6                THEN SF12041  = .R ;
IF S012042  = 6                THEN S012042  = .R ;
IF SF12042  = 6                THEN SF12042  = .R ;
IF S022086  = 96               THEN S022086  = .R ;
IF SF22086  = 96               THEN SF22086  = .R ;
IF S022198  = 6                THEN S022198  = .R ;
IF SF22198  = 6                THEN SF22198  = .R ;
IF S022275  = 6                THEN S022275  = .R ;
IF SF22275  = 6                THEN SF22275  = .R ;
IF S022041  = 6                THEN S022041  = .R ;
IF SF22041  = 6                THEN SF22041  = .R ;
IF S022283  = 96               THEN S022283  = .R ;
IF SF22283  = 96               THEN SF22283  = .R ;
IF S022202  = 6                THEN S022202  = .R ;
IF SF22202  = 6                THEN SF22202  = .R ;
IF S022152  = 96               THEN S022152  = .R ;
IF SF22152  = 96               THEN SF22152  = .R ;
IF S022154  = 96               THEN S022154  = .R ;
IF SF22154  = 96               THEN SF22154  = .R ;
IF S022187  = 6                THEN S022187  = .R ;
IF SF22187  = 6                THEN SF22187  = .R ;
IF S022161  = 96               THEN S022161  = .R ;
IF SF22161  = 96               THEN SF22161  = .R ;
IF S022222  = 6                THEN S022222  = .R ;
IF SF22222  = 6                THEN SF22222  = .R ;
IF S022191  = 96               THEN S022191  = .R ;
IF SF22191  = 96               THEN SF22191  = .R ;
IF S022279  = 96               THEN S022279  = .R ;
IF SF22279  = 96               THEN SF22279  = .R ;
IF S022040  = 6                THEN S022040  = .R ;
IF SF22040  = 6                THEN SF22040  = .R ;
IF S022088A = 96               THEN S022088A = .R ;
IF SF22088A = 96               THEN SF22088A = .R ;
IF S022088B = 96               THEN S022088B = .R ;
IF SF22088B = 96               THEN SF22088B = .R ;
IF S022249A = 96               THEN S022249A = .R ;
IF S022249B = 96               THEN S022249B = .R ;
IF S022249D = 96               THEN S022249D = .R ;
IF SF22249A = 96               THEN SF22249A = .R ;
IF SF22249B = 96               THEN SF22249B = .R ;
IF SF22249D = 96               THEN SF22249D = .R ;
IF S022286  = 96               THEN S022286  = .R ;
IF SF22286  = 96               THEN SF22286  = .R ;
IF S032595  = 6                THEN S032595  = .R ;
IF SF32595  = 6                THEN SF32595  = .R ;
IF S032656  = 6                THEN S032656  = .R ;
IF SF32656  = 6                THEN SF32656  = .R ;
IF S032625A = 96               THEN S032625A = .R ;
IF S032625B = 96               THEN S032625B = .R ;
IF SF32625A = 96               THEN SF32625A = .R ;
IF SF32625B = 96               THEN SF32625B = .R ;
IF S022183  = 6                THEN S022183  = .R ;
IF SF22183  = 6                THEN SF22183  = .R ;
IF S022276  = 6                THEN S022276  = .R ;
IF SF22276  = 6                THEN SF22276  = .R ;
IF S022115  = 6                THEN S022115  = .R ;
IF SF22115  = 6                THEN SF22115  = .R ;
IF S022022  = 96               THEN S022022  = .R ;
IF SF22022  = 96               THEN SF22022  = .R ;
IF S022019  = 6                THEN S022019  = .R ;
IF SF22019  = 6                THEN SF22019  = .R ;
IF S022002  = 6                THEN S022002  = .R ;
IF SF22002  = 6                THEN SF22002  = .R ;
IF S022294  = 6                THEN S022294  = .R ;
IF SF22294  = 6                THEN SF22294  = .R ;
IF S022106  = 6                THEN S022106  = .R ;
IF SF22106  = 6                THEN SF22106  = .R ;
IF S022244  = 96               THEN S022244  = .R ;
IF SF22244  = 96               THEN SF22244  = .R ;
IF S022150  = 6                THEN S022150  = .R ;
IF SF22150  = 6                THEN SF22150  = .R ;
IF S022042  = 6                THEN S022042  = .R ;
IF SF22042  = 6                THEN SF22042  = .R ;
IF S022289  = 96               THEN S022289  = .R ;
IF SF22289  = 96               THEN SF22289  = .R ;
IF S022069  = 96               THEN S022069  = .R ;
IF SF22069  = 96               THEN SF22069  = .R ;
IF S022268  = 96               THEN S022268  = .R ;
IF SF22268  = 96               THEN SF22268  = .R ;
IF S022290  = 6                THEN S022290  = .R ;
IF SF22290  = 6                THEN SF22290  = .R ;
IF S022292  = 96               THEN S022292  = .R ;
IF SF22292  = 96               THEN SF22292  = .R ;
IF S022054  = 6                THEN S022054  = .R ;
IF SF22054  = 6                THEN SF22054  = .R ;
IF S022181  = 6                THEN S022181  = .R ;
IF SF22181  = 6                THEN SF22181  = .R ;
IF S022208  = 6                THEN S022208  = .R ;
IF SF22208  = 6                THEN SF22208  = .R ;
IF S022078  = 96               THEN S022078  = .R ;
IF SF22078  = 96               THEN SF22078  = .R ;
IF S022126  = 6                THEN S022126  = .R ;
IF SF22126  = 6                THEN SF22126  = .R ;
IF S022281  = 96               THEN S022281  = .R ;
IF SF22281  = 96               THEN SF22281  = .R ;
IF S032385  = 6                THEN S032385  = .R ;
IF SF32385  = 6                THEN SF32385  = .R ;
IF S032035  = 6                THEN S032035  = .R ;
IF SF32035  = 6                THEN SF32035  = .R ;
IF S032519  = 96               THEN S032519  = .R ;
IF SF32519  = 96               THEN SF32519  = .R ;
IF S032683  = 6                THEN S032683  = .R ;
IF SF32683  = 6                THEN SF32683  = .R ;
IF S032258  = 6                THEN S032258  = .R ;
IF SF32258  = 6                THEN SF32258  = .R ;
IF S032120A = 96               THEN S032120A = .R ;
IF SF32120A = 96               THEN SF32120A = .R ;
IF S032120B = 96               THEN S032120B = .R ;
IF SF32120B = 96               THEN SF32120B = .R ;
IF S032606  = 6                THEN S032606  = .R ;
IF SF32606  = 6                THEN SF32606  = .R ;
IF S032015  = 96               THEN S032015  = .R ;
IF SF32015  = 96               THEN SF32015  = .R ;
IF S032310A = 96               THEN S032310A = .R ;
IF S032310B = 96               THEN S032310B = .R ;
IF S032310D = 96               THEN S032310D = .R ;
IF SF32310A = 96               THEN SF32310A = .R ;
IF SF32310B = 96               THEN SF32310B = .R ;
IF SF32310D = 96               THEN SF32310D = .R ;
IF S032680  = 96               THEN S032680  = .R ;
IF SF32680  = 96               THEN SF32680  = .R ;
IF S032672  = 6                THEN S032672  = .R ;
IF SF32672  = 6                THEN SF32672  = .R ;
IF S032392  = 6                THEN S032392  = .R ;
IF SF32392  = 6                THEN SF32392  = .R ;
IF S032425  = 6                THEN S032425  = .R ;
IF SF32425  = 6                THEN SF32425  = .R ;
IF S032257  = 6                THEN S032257  = .R ;
IF SF32257  = 6                THEN SF32257  = .R ;
IF S032663  = 6                THEN S032663  = .R ;
IF SF32663  = 6                THEN SF32663  = .R ;
IF S032660  = 6                THEN S032660  = .R ;
IF SF32660  = 6                THEN SF32660  = .R ;
IF S032555  = 96               THEN S032555  = .R ;
IF SF32555  = 96               THEN SF32555  = .R ;
IF S032122  = 96               THEN S032122  = .R ;
IF SF32122  = 96               THEN SF32122  = .R ;
IF S032542  = 6                THEN S032542  = .R ;
IF SF32542  = 6                THEN SF32542  = .R ;
IF S032645  = 6                THEN S032645  = .R ;
IF SF32645  = 6                THEN SF32645  = .R ;
IF S032530A = 96               THEN S032530A = .R ;
IF S032530B = 96               THEN S032530B = .R ;
IF S032530D = 96               THEN S032530D = .R ;
IF SF32530A = 96               THEN SF32530A = .R ;
IF SF32530B = 96               THEN SF32530B = .R ;
IF SF32530D = 96               THEN SF32530D = .R ;
IF S032007  = 96               THEN S032007  = .R ;
IF SF32007  = 96               THEN SF32007  = .R ;
IF S032502  = 6                THEN S032502  = .R ;
IF SF32502  = 6                THEN SF32502  = .R ;
IF S032679  = 96               THEN S032679  = .R ;
IF SF32679  = 96               THEN SF32679  = .R ;
IF S032184  = 6                THEN S032184  = .R ;
IF SF32184  = 6                THEN SF32184  = .R ;
IF S032394  = 6                THEN S032394  = .R ;
IF SF32394  = 6                THEN SF32394  = .R ;
IF S032151  = 6                THEN S032151  = .R ;
IF SF32151  = 6                THEN SF32151  = .R ;
IF S032651A = 96               THEN S032651A = .R ;
IF SF32651A = 96               THEN SF32651A = .R ;
IF S032651B = 96               THEN S032651B = .R ;
IF SF32651B = 96               THEN SF32651B = .R ;
IF S032665A = 96               THEN S032665A = .R ;
IF SF32665A = 96               THEN SF32665A = .R ;
IF S032665B = 96               THEN S032665B = .R ;
IF SF32665B = 96               THEN SF32665B = .R ;
IF S032665C = 96               THEN S032665C = .R ;
IF SF32665C = 96               THEN SF32665C = .R ;
IF S032607  = 6                THEN S032607  = .R ;
IF S032063  = 96               THEN S032063  = .R ;
IF S032206  = 96               THEN S032206  = .R ;
IF S032008  = 6                THEN S032008  = .R ;
IF S032083  = 6                THEN S032083  = .R ;
IF S032564  = 6                THEN S032564  = .R ;
IF S032057  = 96               THEN S032057  = .R ;
IF S032055  = 6                THEN S032055  = .R ;
IF S032626  = 96               THEN S032626  = .R ;
IF S032281  = 6                THEN S032281  = .R ;
IF S032150  = 6                THEN S032150  = .R ;
IF S032301  = 6                THEN S032301  = .R ;
IF S032446  = 6                THEN S032446  = .R ;
IF S032637  = 6                THEN S032637  = .R ;
IF S032386  = 6                THEN S032386  = .R ;
IF S032682  = 6                THEN S032682  = .R ;
IF S032652  = 6                THEN S032652  = .R ;
IF S032437  = 6                THEN S032437  = .R ;
IF S032242  = 96               THEN S032242  = .R ;
IF S032709  = 96               THEN S032709  = .R ;
IF S032711  = 96               THEN S032711  = .R ;
IF S032712A = 96               THEN S032712A = .R ;
IF S032712B = 96               THEN S032712B = .R ;
IF S032713A = 96               THEN S032713A = .R ;
IF S032713B = 96               THEN S032713B = .R ;
IF S032465  = 6                THEN S032465  = .R ;
IF SF32465  = 6                THEN SF32465  = .R ;
IF S032315  = 6                THEN S032315  = .R ;
IF SF32315  = 6                THEN SF32315  = .R ;
IF S032306  = 96               THEN S032306  = .R ;
IF SF32306  = 96               THEN SF32306  = .R ;
IF S032640  = 96               THEN S032640  = .R ;
IF SF32640  = 96               THEN SF32640  = .R ;
IF S032579  = 6                THEN S032579  = .R ;
IF SF32579  = 6                THEN SF32579  = .R ;
IF S032570  = 96               THEN S032570  = .R ;
IF SF32570  = 96               THEN SF32570  = .R ;
IF S032024  = 6                THEN S032024  = .R ;
IF SF32024  = 6                THEN SF32024  = .R ;
IF S032272  = 96               THEN S032272  = .R ;
IF SF32272  = 96               THEN SF32272  = .R ;
IF S032141  = 6                THEN S032141  = .R ;
IF SF32141  = 6                THEN SF32141  = .R ;
IF S032060  = 96               THEN S032060  = .R ;
IF SF32060  = 96               THEN SF32060  = .R ;
IF S032463  = 6                THEN S032463  = .R ;
IF SF32463  = 6                THEN SF32463  = .R ;
IF S032650A = 96               THEN S032650A = .R ;
IF S032650B = 96               THEN S032650B = .R ;
IF S032650D = 96               THEN S032650D = .R ;
IF SF32650A = 96               THEN SF32650A = .R ;
IF SF32650B = 96               THEN SF32650B = .R ;
IF SF32650D = 96               THEN SF32650D = .R ;
IF S032514  = 6                THEN S032514  = .R ;
IF SF32514  = 6                THEN SF32514  = .R ;
IF S032611  = 6                THEN S032611  = .R ;
IF SF32611  = 6                THEN SF32611  = .R ;
IF S032614  = 96               THEN S032614  = .R ;
IF SF32614  = 96               THEN SF32614  = .R ;
IF S032451  = 96               THEN S032451  = .R ;
IF SF32451  = 96               THEN SF32451  = .R ;
IF S032156  = 6                THEN S032156  = .R ;
IF SF32156  = 6                THEN SF32156  = .R ;
IF S032056  = 96               THEN S032056  = .R ;
IF SF32056  = 96               THEN SF32056  = .R ;
IF S032087  = 6                THEN S032087  = .R ;
IF SF32087  = 6                THEN SF32087  = .R ;
IF S032279  = 6                THEN S032279  = .R ;
IF SF32279  = 6                THEN SF32279  = .R ;
IF S032238  = 6                THEN S032238  = .R ;
IF SF32238  = 6                THEN SF32238  = .R ;
IF S032369  = 96               THEN S032369  = .R ;
IF SF32369  = 96               THEN SF32369  = .R ;
IF S032160  = 6                THEN S032160  = .R ;
IF SF32160  = 6                THEN SF32160  = .R ;
IF S032654  = 6                THEN S032654  = .R ;
IF SF32654  = 6                THEN SF32654  = .R ;
IF S032126  = 96               THEN S032126  = .R ;
IF SF32126  = 96               THEN SF32126  = .R ;
IF S032510  = 6                THEN S032510  = .R ;
IF SF32510  = 6                THEN SF32510  = .R ;
IF S032158  = 6                THEN S032158  = .R ;
IF SF32158  = 6                THEN SF32158  = .R ;
IF S032574  = 6                THEN S032574  = .R ;
IF SF32574  = 6                THEN SF32574  = .R ;
IF S032532  = 96               THEN S032532  = .R ;
IF SF32532  = 96               THEN SF32532  = .R ;
IF S032562  = 96               THEN S032562  = .R ;
IF SF32562  = 96               THEN SF32562  = .R ;
IF S032422  = 6                THEN S032422  = .R ;
IF SF32422  = 6                THEN SF32422  = .R ;
IF S032375  = 96               THEN S032375  = .R ;
IF SF32375  = 96               THEN SF32375  = .R ;
IF S032714  = 6                THEN S032714  = .R ;
IF SF32714  = 6                THEN SF32714  = .R ;
IF S032704  = 96               THEN S032704  = .R ;
IF SF32704  = 96               THEN SF32704  = .R ;
IF S032705A = 96               THEN S032705A = .R ;
IF SF32705A = 96               THEN SF32705A = .R ;
IF S032705B = 96               THEN S032705B = .R ;
IF SF32705B = 96               THEN SF32705B = .R ;
IF S032706A = 96               THEN S032706A = .R ;
IF SF32706A = 96               THEN SF32706A = .R ;
IF S032706B = 96               THEN S032706B = .R ;
IF SF32706B = 96               THEN SF32706B = .R ;
IF S032707  = 96               THEN S032707  = .R ;
IF SF32707  = 96               THEN SF32707  = .R ;
IF S032115  = 6                THEN S032115  = .R ;
IF SF32115  = 6                THEN SF32115  = .R ;
IF S032565  = 96               THEN S032565  = .R ;
IF SF32565  = 96               THEN SF32565  = .R ;
IF S032403  = 6                THEN S032403  = .R ;
IF SF32403  = 6                THEN SF32403  = .R ;
IF S032273  = 6                THEN S032273  = .R ;
IF SF32273  = 6                THEN SF32273  = .R ;
IF S032019A = 96               THEN S032019A = .R ;
IF SF32019A = 96               THEN SF32019A = .R ;
IF S032019B = 96               THEN S032019B = .R ;
IF SF32019B = 96               THEN SF32019B = .R ;
IF S032516  = 96               THEN S032516  = .R ;
IF SF32516  = 96               THEN SF32516  = .R ;
IF S032620  = 6                THEN S032620  = .R ;
IF SF32620  = 6                THEN SF32620  = .R ;
IF S032693A = 96               THEN S032693A = .R ;
IF SF32693A = 96               THEN SF32693A = .R ;
IF S032693B = 96               THEN S032693B = .R ;
IF SF32693B = 96               THEN SF32693B = .R ;
IF S032695  = 96               THEN S032695  = .R ;
IF SF32695  = 96               THEN SF32695  = .R ;
IF S032697A = 96               THEN S032697A = .R ;
IF S032697B = 96               THEN S032697B = .R ;
IF S032697D = 96               THEN S032697D = .R ;
IF SF32697A = 96               THEN SF32697A = .R ;
IF SF32697B = 96               THEN SF32697B = .R ;
IF SF32697D = 96               THEN SF32697D = .R ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCORA  = 999              THEN IDSCORA  = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF IDSTRATE = 999              THEN IDSTRATE = . ;
IF IDSTRATI = 999              THEN IDSTRATI = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITLANG   = 9                THEN ITLANG   = . ;
IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF BSDAGE   = 99               THEN BSDAGE   = . ;
IF ILRELIAB = 9                THEN ILRELIAB = . ;
IF INTMS03  = 9                THEN INTMS03  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BSBGCAL1 = 9                THEN BSBGCAL1 = . ;
IF BSBGCAL2 = 9                THEN BSBGCAL2 = . ;
IF M012001  = 9                THEN M012001  = . ;
IF MF12001  = 9                THEN MF12001  = . ;
IF M012002  = 9                THEN M012002  = . ;
IF MF12002  = 9                THEN MF12002  = . ;
IF M012003  = 9                THEN M012003  = . ;
IF MF12003  = 9                THEN MF12003  = . ;
IF M012004  = 9                THEN M012004  = . ;
IF MF12004  = 9                THEN MF12004  = . ;
IF M012005  = 9                THEN M012005  = . ;
IF MF12005  = 9                THEN MF12005  = . ;
IF M012006  = 9                THEN M012006  = . ;
IF MF12006  = 9                THEN MF12006  = . ;
IF M012037  = 9                THEN M012037  = . ;
IF MF12037  = 9                THEN MF12037  = . ;
IF M012038  = 9                THEN M012038  = . ;
IF MF12038  = 9                THEN MF12038  = . ;
IF M012039  = 9                THEN M012039  = . ;
IF MF12039  = 9                THEN MF12039  = . ;
IF M012040  = 9                THEN M012040  = . ;
IF MF12040  = 9                THEN MF12040  = . ;
IF M012041  = 9                THEN M012041  = . ;
IF MF12041  = 9                THEN MF12041  = . ;
IF M012042  = 9                THEN M012042  = . ;
IF MF12042  = 9                THEN MF12042  = . ;
IF M032570  = 9                THEN M032570  = . ;
IF MF32570  = 9                THEN MF32570  = . ;
IF M032643  = 9                THEN M032643  = . ;
IF MF32643  = 9                THEN MF32643  = . ;
IF M032693  = 99               THEN M032693  = . ;
IF MF32693  = 99               THEN MF32693  = . ;
IF M012013  = 9                THEN M012013  = . ;
IF MF12013  = 9                THEN MF12013  = . ;
IF M012014  = 9                THEN M012014  = . ;
IF MF12014  = 9                THEN MF12014  = . ;
IF M012015  = 9                THEN M012015  = . ;
IF MF12015  = 9                THEN MF12015  = . ;
IF M012016  = 9                THEN M012016  = . ;
IF MF12016  = 9                THEN MF12016  = . ;
IF M012017  = 9                THEN M012017  = . ;
IF MF12017  = 9                THEN MF12017  = . ;
IF M022251  = 9                THEN M022251  = . ;
IF MF22251  = 9                THEN MF22251  = . ;
IF M022185  = 9                THEN M022185  = . ;
IF MF22185  = 9                THEN MF22185  = . ;
IF M022188  = 9                THEN M022188  = . ;
IF MF22188  = 9                THEN MF22188  = . ;
IF M022189  = 9                THEN M022189  = . ;
IF MF22189  = 9                THEN MF22189  = . ;
IF M022191  = 9                THEN M022191  = . ;
IF MF22191  = 9                THEN MF22191  = . ;
IF M022194  = 9                THEN M022194  = . ;
IF MF22194  = 9                THEN MF22194  = . ;
IF M022196  = 9                THEN M022196  = . ;
IF MF22196  = 9                THEN MF22196  = . ;
IF M022198  = 9                THEN M022198  = . ;
IF MF22198  = 9                THEN MF22198  = . ;
IF M022199  = 9                THEN M022199  = . ;
IF MF22199  = 9                THEN MF22199  = . ;
IF M022202  = 99               THEN M022202  = . ;
IF MF22202  = 99               THEN MF22202  = . ;
IF M012025  = 9                THEN M012025  = . ;
IF MF12025  = 9                THEN MF12025  = . ;
IF M012026  = 9                THEN M012026  = . ;
IF MF12026  = 9                THEN MF12026  = . ;
IF M012027  = 9                THEN M012027  = . ;
IF MF12027  = 9                THEN MF12027  = . ;
IF M012028  = 9                THEN M012028  = . ;
IF MF12028  = 9                THEN MF12028  = . ;
IF M012029  = 9                THEN M012029  = . ;
IF MF12029  = 9                THEN MF12029  = . ;
IF M012030  = 9                THEN M012030  = . ;
IF MF12030  = 9                THEN MF12030  = . ;
IF M022135  = 9                THEN M022135  = . ;
IF MF22135  = 9                THEN MF22135  = . ;
IF M022139  = 9                THEN M022139  = . ;
IF MF22139  = 9                THEN MF22139  = . ;
IF M022142  = 9                THEN M022142  = . ;
IF MF22142  = 9                THEN MF22142  = . ;
IF M022144  = 9                THEN M022144  = . ;
IF MF22144  = 9                THEN MF22144  = . ;
IF M022146  = 9                THEN M022146  = . ;
IF MF22146  = 9                THEN MF22146  = . ;
IF M022148  = 99               THEN M022148  = . ;
IF MF22148  = 99               THEN MF22148  = . ;
IF M022253  = 99               THEN M022253  = . ;
IF MF22253  = 99               THEN MF22253  = . ;
IF M022154  = 9                THEN M022154  = . ;
IF MF22154  = 9                THEN MF22154  = . ;
IF M022156  = 99               THEN M022156  = . ;
IF MF22156  = 99               THEN MF22156  = . ;
IF M022002  = 9                THEN M022002  = . ;
IF MF22002  = 9                THEN MF22002  = . ;
IF M022004  = 9                THEN M022004  = . ;
IF MF22004  = 9                THEN MF22004  = . ;
IF M022005  = 9                THEN M022005  = . ;
IF MF22005  = 9                THEN MF22005  = . ;
IF M022008  = 99               THEN M022008  = . ;
IF MF22008  = 99               THEN MF22008  = . ;
IF M022010  = 9                THEN M022010  = . ;
IF MF22010  = 9                THEN MF22010  = . ;
IF M022012  = 99               THEN M022012  = . ;
IF MF22012  = 99               THEN MF22012  = . ;
IF M022021  = 9                THEN M022021  = . ;
IF MF22021  = 9                THEN MF22021  = . ;
IF M022016  = 9                THEN M022016  = . ;
IF MF22016  = 9                THEN MF22016  = . ;
IF M022252  = 9                THEN M022252  = . ;
IF MF22252  = 9                THEN MF22252  = . ;
IF M022261A = 99               THEN M022261A = . ;
IF MF22261A = 99               THEN MF22261A = . ;
IF M022261B = 99               THEN M022261B = . ;
IF MF22261B = 99               THEN MF22261B = . ;
IF M022261C = 99               THEN M022261C = . ;
IF MF22261C = 99               THEN MF22261C = . ;
IF M022227A = 99               THEN M022227A = . ;
IF MF22227A = 99               THEN MF22227A = . ;
IF M022227B = 99               THEN M022227B = . ;
IF MF22227B = 99               THEN MF22227B = . ;
IF M022227C = 99               THEN M022227C = . ;
IF MF22227C = 99               THEN MF22227C = . ;
IF M022127  = 9                THEN M022127  = . ;
IF MF22127  = 9                THEN MF22127  = . ;
IF M022043  = 9                THEN M022043  = . ;
IF MF22043  = 9                THEN MF22043  = . ;
IF M022046  = 99               THEN M022046  = . ;
IF MC22046  = 99               THEN MC22046  = . ;
IF MF22046  = 99               THEN MF22046  = . ;
IF M022049  = 9                THEN M022049  = . ;
IF MF22049  = 9                THEN MF22049  = . ;
IF M022050  = 9                THEN M022050  = . ;
IF MF22050  = 9                THEN MF22050  = . ;
IF M022055  = 99               THEN M022055  = . ;
IF MF22055  = 99               THEN MF22055  = . ;
IF M022057  = 9                THEN M022057  = . ;
IF MF22057  = 9                THEN MF22057  = . ;
IF M022257  = 9                THEN M022257  = . ;
IF MF22257  = 9                THEN MF22257  = . ;
IF M022062  = 9                THEN M022062  = . ;
IF MF22062  = 9                THEN MF22062  = . ;
IF M022066  = 9                THEN M022066  = . ;
IF MF22066  = 9                THEN MF22066  = . ;
IF M022232  = 99               THEN M022232  = . ;
IF MF22232  = 99               THEN MF22232  = . ;
IF M022234A = 99               THEN M022234A = . ;
IF MF22234A = 99               THEN MF22234A = . ;
IF M022234B = 99               THEN M022234B = . ;
IF MF22234B = 99               THEN MF22234B = . ;
IF M022243  = 99               THEN M022243  = . ;
IF MF22243  = 99               THEN MF22243  = . ;
IF M022097  = 9                THEN M022097  = . ;
IF MF22097  = 9                THEN MF22097  = . ;
IF M022101  = 9                THEN M022101  = . ;
IF MF22101  = 9                THEN MF22101  = . ;
IF M022104  = 9                THEN M022104  = . ;
IF MF22104  = 9                THEN MF22104  = . ;
IF M022105  = 9                THEN M022105  = . ;
IF MF22105  = 9                THEN MF22105  = . ;
IF M022106  = 99               THEN M022106  = . ;
IF MF22106  = 99               THEN MF22106  = . ;
IF M022108  = 9                THEN M022108  = . ;
IF MF22108  = 9                THEN MF22108  = . ;
IF M022110  = 99               THEN M022110  = . ;
IF MC22110  = 99               THEN MC22110  = . ;
IF MF22110  = 99               THEN MF22110  = . ;
IF M022181  = 9                THEN M022181  = . ;
IF MF22181  = 9                THEN MF22181  = . ;
IF M032307  = 99               THEN M032307  = . ;
IF MF32307  = 99               THEN MF32307  = . ;
IF M032523  = 9                THEN M032523  = . ;
IF MF32523  = 9                THEN MF32523  = . ;
IF M032701  = 9                THEN M032701  = . ;
IF MC32701  = 9                THEN MC32701  = . ;
IF MF32701  = 9                THEN MF32701  = . ;
IF M032704  = 9                THEN M032704  = . ;
IF MC32704  = 9                THEN MC32704  = . ;
IF MF32704  = 9                THEN MF32704  = . ;
IF M032525  = 9                THEN M032525  = . ;
IF MC32525  = 9                THEN MC32525  = . ;
IF MF32525  = 9                THEN MF32525  = . ;
IF M032579  = 9                THEN M032579  = . ;
IF MF32579  = 9                THEN MF32579  = . ;
IF M032691  = 99               THEN M032691  = . ;
IF MF32691  = 99               THEN MF32691  = . ;
IF M032142  = 9                THEN M032142  = . ;
IF MF32142  = 9                THEN MF32142  = . ;
IF M032198  = 9                THEN M032198  = . ;
IF MF32198  = 9                THEN MF32198  = . ;
IF M032640  = 99               THEN M032640  = . ;
IF MF32640  = 99               THEN MF32640  = . ;
IF M032344  = 99               THEN M032344  = . ;
IF MF32344  = 99               THEN MF32344  = . ;
IF M032754  = 99               THEN M032754  = . ;
IF MF32754  = 99               THEN MF32754  = . ;
IF M032755  = 99               THEN M032755  = . ;
IF MF32755  = 99               THEN MF32755  = . ;
IF M032753A = 99               THEN M032753A = . ;
IF MF32753A = 99               THEN MF32753A = . ;
IF M032753B = 99               THEN M032753B = . ;
IF MF32753B = 99               THEN MF32753B = . ;
IF M032753C = 99               THEN M032753C = . ;
IF MF32753C = 99               THEN MF32753C = . ;
IF M032756  = 99               THEN M032756  = . ;
IF MF32756  = 99               THEN MF32756  = . ;
IF M032205  = 9                THEN M032205  = . ;
IF MF32205  = 9                THEN MF32205  = . ;
IF M032163  = 9                THEN M032163  = . ;
IF MF32163  = 9                THEN MF32163  = . ;
IF M032381  = 99               THEN M032381  = . ;
IF MF32381  = 99               THEN MF32381  = . ;
IF M032416  = 9                THEN M032416  = . ;
IF MF32416  = 9                THEN MF32416  = . ;
IF M032160  = 9                THEN M032160  = . ;
IF MF32160  = 9                THEN MF32160  = . ;
IF M032273  = 9                THEN M032273  = . ;
IF MF32273  = 9                THEN MF32273  = . ;
IF M032540  = 9                THEN M032540  = . ;
IF MF32540  = 9                THEN MF32540  = . ;
IF M032698  = 9                THEN M032698  = . ;
IF MF32698  = 9                THEN MF32698  = . ;
IF M032097  = 9                THEN M032097  = . ;
IF MF32097  = 9                THEN MF32097  = . ;
IF M032575  = 9                THEN M032575  = . ;
IF MF32575  = 9                THEN MF32575  = . ;
IF M032414  = 99               THEN M032414  = . ;
IF MF32414  = 99               THEN MF32414  = . ;
IF M032294  = 9                THEN M032294  = . ;
IF MF32294  = 9                THEN MF32294  = . ;
IF M032688  = 99               THEN M032688  = . ;
IF MF32688  = 99               THEN MF32688  = . ;
IF M032529  = 9                THEN M032529  = . ;
IF MF32529  = 9                THEN MF32529  = . ;
IF M032637A = 99               THEN M032637A = . ;
IF MF32637A = 99               THEN MF32637A = . ;
IF M032637B = 99               THEN M032637B = . ;
IF MF32637B = 99               THEN MF32637B = . ;
IF M032637C = 99               THEN M032637C = . ;
IF MF32637C = 99               THEN MF32637C = . ;
IF M032079  = 9                THEN M032079  = . ;
IF M032652  = 99               THEN M032652  = . ;
IF M032228  = 9                THEN M032228  = . ;
IF M032044  = 9                THEN M032044  = . ;
IF M032046  = 9                THEN M032046  = . ;
IF M032545  = 99               THEN M032545  = . ;
IF M032649A = 99               THEN M032649A = . ;
IF M032649B = 99               THEN M032649B = . ;
IF M032533  = 9                THEN M032533  = . ;
IF M032678  = 9                THEN M032678  = . ;
IF M032403  = 99               THEN M032403  = . ;
IF M032261  = 9                THEN M032261  = . ;
IF M032489  = 9                THEN M032489  = . ;
IF M032588  = 9                THEN M032588  = . ;
IF M032271  = 9                THEN M032271  = . ;
IF M032671  = 99               THEN M032671  = . ;
IF M032612  = 9                THEN M032612  = . ;
IF M032557  = 99               THEN M032557  = . ;
IF M032208  = 9                THEN M032208  = . ;
IF M032210  = 9                THEN M032210  = . ;
IF M032699  = 9                THEN M032699  = . ;
IF M032762  = 99               THEN M032762  = . ;
IF M032763  = 99               THEN M032763  = . ;
IF M032764  = 99               THEN M032764  = . ;
IF M032647  = 9                THEN M032647  = . ;
IF M032689  = 9                THEN M032689  = . ;
IF M032094  = 9                THEN M032094  = . ;
IF MF32094  = 9                THEN MF32094  = . ;
IF M032662  = 9                THEN M032662  = . ;
IF MF32662  = 9                THEN MF32662  = . ;
IF M032064  = 99               THEN M032064  = . ;
IF MF32064  = 99               THEN MF32064  = . ;
IF M032419  = 9                THEN M032419  = . ;
IF MF32419  = 9                THEN MF32419  = . ;
IF M032477  = 9                THEN M032477  = . ;
IF MF32477  = 9                THEN MF32477  = . ;
IF M032538  = 99               THEN M032538  = . ;
IF MF32538  = 99               THEN MF32538  = . ;
IF M032324  = 9                THEN M032324  = . ;
IF MF32324  = 9                THEN MF32324  = . ;
IF M032116  = 9                THEN M032116  = . ;
IF MF32116  = 9                THEN MF32116  = . ;
IF M032100  = 9                THEN M032100  = . ;
IF MF32100  = 9                THEN MF32100  = . ;
IF M032402  = 9                THEN M032402  = . ;
IF MF32402  = 9                THEN MF32402  = . ;
IF M032734  = 99               THEN M032734  = . ;
IF MF32734  = 99               THEN MF32734  = . ;
IF M032397  = 9                THEN M032397  = . ;
IF MF32397  = 9                THEN MF32397  = . ;
IF M032695  = 99               THEN M032695  = . ;
IF MF32695  = 99               THEN MF32695  = . ;
IF M032132  = 9                THEN M032132  = . ;
IF MF32132  = 9                THEN MF32132  = . ;
IF M032352  = 9                THEN M032352  = . ;
IF MF32352  = 9                THEN MF32352  = . ;
IF M032725  = 99               THEN M032725  = . ;
IF MF32725  = 99               THEN MF32725  = . ;
IF M032683  = 99               THEN M032683  = . ;
IF MF32683  = 99               THEN MF32683  = . ;
IF M032738  = 9                THEN M032738  = . ;
IF MF32738  = 9                THEN MF32738  = . ;
IF M032295  = 9                THEN M032295  = . ;
IF MF32295  = 9                THEN MF32295  = . ;
IF M032331  = 9                THEN M032331  = . ;
IF MF32331  = 9                THEN MF32331  = . ;
IF M032623  = 9                THEN M032623  = . ;
IF MF32623  = 9                THEN MF32623  = . ;
IF M032679  = 9                THEN M032679  = . ;
IF MF32679  = 9                THEN MF32679  = . ;
IF M032047  = 9                THEN M032047  = . ;
IF MF32047  = 9                THEN MF32047  = . ;
IF M032398  = 9                THEN M032398  = . ;
IF MF32398  = 9                THEN MF32398  = . ;
IF M032507  = 9                THEN M032507  = . ;
IF MF32507  = 9                THEN MF32507  = . ;
IF M032424  = 9                THEN M032424  = . ;
IF MF32424  = 9                THEN MF32424  = . ;
IF M032681A = 99               THEN M032681A = . ;
IF MF32681A = 99               THEN MF32681A = . ;
IF M032681B = 99               THEN M032681B = . ;
IF MF32681B = 99               THEN MF32681B = . ;
IF M032681C = 99               THEN M032681C = . ;
IF MF32681C = 99               THEN MF32681C = . ;
IF M032609  = 9                THEN M032609  = . ;
IF MF32609  = 9                THEN MF32609  = . ;
IF M032690  = 9                THEN M032690  = . ;
IF MF32690  = 9                THEN MF32690  = . ;
IF M032727  = 9                THEN M032727  = . ;
IF MF32727  = 9                THEN MF32727  = . ;
IF M032743  = 99               THEN M032743  = . ;
IF MF32743  = 99               THEN MF32743  = . ;
IF M032744  = 99               THEN M032744  = . ;
IF MF32744  = 99               THEN MF32744  = . ;
IF M032745  = 99               THEN M032745  = . ;
IF MF32745  = 99               THEN MF32745  = . ;
IF M032233  = 99               THEN M032233  = . ;
IF MF32233  = 99               THEN MF32233  = . ;
IF M032670  = 9                THEN M032670  = . ;
IF MF32670  = 9                THEN MF32670  = . ;
IF M032447  = 9                THEN M032447  = . ;
IF MF32447  = 9                THEN MF32447  = . ;
IF M032036  = 9                THEN M032036  = . ;
IF MF32036  = 9                THEN MF32036  = . ;
IF M032728  = 9                THEN M032728  = . ;
IF MF32728  = 9                THEN MF32728  = . ;
IF M032732  = 9                THEN M032732  = . ;
IF MF32732  = 9                THEN MF32732  = . ;
IF M032166  = 9                THEN M032166  = . ;
IF MF32166  = 9                THEN MF32166  = . ;
IF M032721  = 9                THEN M032721  = . ;
IF MF32721  = 9                THEN MF32721  = . ;
IF M032757  = 99               THEN M032757  = . ;
IF MF32757  = 99               THEN MF32757  = . ;
IF M032760A = 99               THEN M032760A = . ;
IF MF32760A = 99               THEN MF32760A = . ;
IF M032760B = 99               THEN M032760B = . ;
IF MF32760B = 99               THEN MF32760B = . ;
IF M032760C = 99               THEN M032760C = . ;
IF MF32760C = 99               THEN MF32760C = . ;
IF M032761  = 99               THEN M032761  = . ;
IF MF32761  = 99               THEN MF32761  = . ;
IF M032692  = 99               THEN M032692  = . ;
IF MF32692  = 99               THEN MF32692  = . ;
IF M032626  = 9                THEN M032626  = . ;
IF MF32626  = 9                THEN MF32626  = . ;
IF M032595  = 9                THEN M032595  = . ;
IF MF32595  = 9                THEN MF32595  = . ;
IF M032673  = 9                THEN M032673  = . ;
IF MF32673  = 9                THEN MF32673  = . ;
IF S012025  = 9                THEN S012025  = . ;
IF SF12025  = 9                THEN SF12025  = . ;
IF S012026  = 9                THEN S012026  = . ;
IF SF12026  = 9                THEN SF12026  = . ;
IF S012027  = 9                THEN S012027  = . ;
IF SF12027  = 9                THEN SF12027  = . ;
IF S012028  = 9                THEN S012028  = . ;
IF SF12028  = 9                THEN SF12028  = . ;
IF S012029  = 9                THEN S012029  = . ;
IF SF12029  = 9                THEN SF12029  = . ;
IF S012030  = 9                THEN S012030  = . ;
IF SF12030  = 9                THEN SF12030  = . ;
IF S022035  = 99               THEN S022035  = . ;
IF SF22035  = 99               THEN SF22035  = . ;
IF S022225  = 9                THEN S022225  = . ;
IF SF22225  = 9                THEN SF22225  = . ;
IF S022117  = 9                THEN S022117  = . ;
IF SF22117  = 9                THEN SF22117  = . ;
IF S022235  = 9                THEN S022235  = . ;
IF SF22235  = 9                THEN SF22235  = . ;
IF S022188  = 9                THEN S022188  = . ;
IF SF22188  = 9                THEN SF22188  = . ;
IF S022074  = 9                THEN S022074  = . ;
IF SF22074  = 9                THEN SF22074  = . ;
IF S022240  = 9                THEN S022240  = . ;
IF SF22240  = 9                THEN SF22240  = . ;
IF S022206  = 9                THEN S022206  = . ;
IF SF22206  = 9                THEN SF22206  = . ;
IF S022160  = 99               THEN S022160  = . ;
IF SF22160  = 99               THEN SF22160  = . ;
IF S022058  = 9                THEN S022058  = . ;
IF SF22058  = 9                THEN SF22058  = . ;
IF S012013  = 9                THEN S012013  = . ;
IF SF12013  = 9                THEN SF12013  = . ;
IF S012014  = 9                THEN S012014  = . ;
IF SF12014  = 9                THEN SF12014  = . ;
IF S012015  = 9                THEN S012015  = . ;
IF SF12015  = 9                THEN SF12015  = . ;
IF S012016  = 9                THEN S012016  = . ;
IF SF12016  = 9                THEN SF12016  = . ;
IF S012017  = 9                THEN S012017  = . ;
IF SF12017  = 9                THEN SF12017  = . ;
IF S012018  = 9                THEN S012018  = . ;
IF SF12018  = 9                THEN SF12018  = . ;
IF S012001  = 9                THEN S012001  = . ;
IF SF12001  = 9                THEN SF12001  = . ;
IF S012002  = 9                THEN S012002  = . ;
IF SF12002  = 9                THEN SF12002  = . ;
IF S012003  = 9                THEN S012003  = . ;
IF SF12003  = 9                THEN SF12003  = . ;
IF S012004  = 9                THEN S012004  = . ;
IF SF12004  = 9                THEN SF12004  = . ;
IF S012005  = 9                THEN S012005  = . ;
IF SF12005  = 9                THEN SF12005  = . ;
IF S012006  = 9                THEN S012006  = . ;
IF SF12006  = 9                THEN SF12006  = . ;
IF S032131  = 99               THEN S032131  = . ;
IF SF32131  = 99               THEN SF32131  = . ;
IF S032202  = 99               THEN S032202  = . ;
IF SF32202  = 99               THEN SF32202  = . ;
IF S012037  = 9                THEN S012037  = . ;
IF SF12037  = 9                THEN SF12037  = . ;
IF S012038  = 9                THEN S012038  = . ;
IF SF12038  = 9                THEN SF12038  = . ;
IF S012039  = 9                THEN S012039  = . ;
IF SF12039  = 9                THEN SF12039  = . ;
IF S012040  = 9                THEN S012040  = . ;
IF SF12040  = 9                THEN SF12040  = . ;
IF S012041  = 9                THEN S012041  = . ;
IF SF12041  = 9                THEN SF12041  = . ;
IF S012042  = 9                THEN S012042  = . ;
IF SF12042  = 9                THEN SF12042  = . ;
IF S022086  = 99               THEN S022086  = . ;
IF SF22086  = 99               THEN SF22086  = . ;
IF S022198  = 9                THEN S022198  = . ;
IF SF22198  = 9                THEN SF22198  = . ;
IF S022275  = 9                THEN S022275  = . ;
IF SF22275  = 9                THEN SF22275  = . ;
IF S022041  = 9                THEN S022041  = . ;
IF SF22041  = 9                THEN SF22041  = . ;
IF S022283  = 99               THEN S022283  = . ;
IF SF22283  = 99               THEN SF22283  = . ;
IF S022202  = 9                THEN S022202  = . ;
IF SF22202  = 9                THEN SF22202  = . ;
IF S022152  = 99               THEN S022152  = . ;
IF SF22152  = 99               THEN SF22152  = . ;
IF S022154  = 99               THEN S022154  = . ;
IF SF22154  = 99               THEN SF22154  = . ;
IF S022187  = 9                THEN S022187  = . ;
IF SF22187  = 9                THEN SF22187  = . ;
IF S022161  = 99               THEN S022161  = . ;
IF SF22161  = 99               THEN SF22161  = . ;
IF S022222  = 9                THEN S022222  = . ;
IF SF22222  = 9                THEN SF22222  = . ;
IF S022191  = 99               THEN S022191  = . ;
IF SF22191  = 99               THEN SF22191  = . ;
IF S022279  = 99               THEN S022279  = . ;
IF SF22279  = 99               THEN SF22279  = . ;
IF S022040  = 9                THEN S022040  = . ;
IF SF22040  = 9                THEN SF22040  = . ;
IF S022088A = 99               THEN S022088A = . ;
IF SF22088A = 99               THEN SF22088A = . ;
IF S022088B = 99               THEN S022088B = . ;
IF SF22088B = 99               THEN SF22088B = . ;
IF S022249A = 99               THEN S022249A = . ;
IF S022249B = 99               THEN S022249B = . ;
IF S022249D = 99               THEN S022249D = . ;
IF SF22249A = 99               THEN SF22249A = . ;
IF SF22249B = 99               THEN SF22249B = . ;
IF SF22249D = 99               THEN SF22249D = . ;
IF S022286  = 99               THEN S022286  = . ;
IF SF22286  = 99               THEN SF22286  = . ;
IF S032595  = 9                THEN S032595  = . ;
IF SF32595  = 9                THEN SF32595  = . ;
IF S032656  = 9                THEN S032656  = . ;
IF SF32656  = 9                THEN SF32656  = . ;
IF S032625A = 99               THEN S032625A = . ;
IF S032625B = 99               THEN S032625B = . ;
IF SF32625A = 99               THEN SF32625A = . ;
IF SF32625B = 99               THEN SF32625B = . ;
IF S022183  = 9                THEN S022183  = . ;
IF SF22183  = 9                THEN SF22183  = . ;
IF S022276  = 9                THEN S022276  = . ;
IF SF22276  = 9                THEN SF22276  = . ;
IF S022115  = 9                THEN S022115  = . ;
IF SF22115  = 9                THEN SF22115  = . ;
IF S022022  = 99               THEN S022022  = . ;
IF SF22022  = 99               THEN SF22022  = . ;
IF S022019  = 9                THEN S022019  = . ;
IF SF22019  = 9                THEN SF22019  = . ;
IF S022002  = 9                THEN S022002  = . ;
IF SF22002  = 9                THEN SF22002  = . ;
IF S022294  = 9                THEN S022294  = . ;
IF SF22294  = 9                THEN SF22294  = . ;
IF S022106  = 9                THEN S022106  = . ;
IF SF22106  = 9                THEN SF22106  = . ;
IF S022244  = 99               THEN S022244  = . ;
IF SF22244  = 99               THEN SF22244  = . ;
IF S022150  = 9                THEN S022150  = . ;
IF SF22150  = 9                THEN SF22150  = . ;
IF S022042  = 9                THEN S022042  = . ;
IF SF22042  = 9                THEN SF22042  = . ;
IF S022289  = 99               THEN S022289  = . ;
IF SF22289  = 99               THEN SF22289  = . ;
IF S022069  = 99               THEN S022069  = . ;
IF SF22069  = 99               THEN SF22069  = . ;
IF S022268  = 99               THEN S022268  = . ;
IF SF22268  = 99               THEN SF22268  = . ;
IF S022290  = 9                THEN S022290  = . ;
IF SF22290  = 9                THEN SF22290  = . ;
IF S022292  = 99               THEN S022292  = . ;
IF SF22292  = 99               THEN SF22292  = . ;
IF S022054  = 9                THEN S022054  = . ;
IF SF22054  = 9                THEN SF22054  = . ;
IF S022181  = 9                THEN S022181  = . ;
IF SF22181  = 9                THEN SF22181  = . ;
IF S022208  = 9                THEN S022208  = . ;
IF SF22208  = 9                THEN SF22208  = . ;
IF S022078  = 99               THEN S022078  = . ;
IF SF22078  = 99               THEN SF22078  = . ;
IF S022126  = 9                THEN S022126  = . ;
IF SF22126  = 9                THEN SF22126  = . ;
IF S022281  = 99               THEN S022281  = . ;
IF SF22281  = 99               THEN SF22281  = . ;
IF S032385  = 9                THEN S032385  = . ;
IF SF32385  = 9                THEN SF32385  = . ;
IF S032035  = 9                THEN S032035  = . ;
IF SF32035  = 9                THEN SF32035  = . ;
IF S032519  = 99               THEN S032519  = . ;
IF SF32519  = 99               THEN SF32519  = . ;
IF S032683  = 9                THEN S032683  = . ;
IF SF32683  = 9                THEN SF32683  = . ;
IF S032258  = 9                THEN S032258  = . ;
IF SF32258  = 9                THEN SF32258  = . ;
IF S032120A = 99               THEN S032120A = . ;
IF SF32120A = 99               THEN SF32120A = . ;
IF S032120B = 99               THEN S032120B = . ;
IF SF32120B = 99               THEN SF32120B = . ;
IF S032606  = 9                THEN S032606  = . ;
IF SF32606  = 9                THEN SF32606  = . ;
IF S032015  = 99               THEN S032015  = . ;
IF SF32015  = 99               THEN SF32015  = . ;
IF S032310A = 99               THEN S032310A = . ;
IF S032310B = 99               THEN S032310B = . ;
IF S032310D = 99               THEN S032310D = . ;
IF SF32310A = 99               THEN SF32310A = . ;
IF SF32310B = 99               THEN SF32310B = . ;
IF SF32310D = 99               THEN SF32310D = . ;
IF S032680  = 99               THEN S032680  = . ;
IF SF32680  = 99               THEN SF32680  = . ;
IF S032672  = 9                THEN S032672  = . ;
IF SF32672  = 9                THEN SF32672  = . ;
IF S032392  = 9                THEN S032392  = . ;
IF SF32392  = 9                THEN SF32392  = . ;
IF S032425  = 9                THEN S032425  = . ;
IF SF32425  = 9                THEN SF32425  = . ;
IF S032257  = 9                THEN S032257  = . ;
IF SF32257  = 9                THEN SF32257  = . ;
IF S032663  = 9                THEN S032663  = . ;
IF SF32663  = 9                THEN SF32663  = . ;
IF S032660  = 9                THEN S032660  = . ;
IF SF32660  = 9                THEN SF32660  = . ;
IF S032555  = 99               THEN S032555  = . ;
IF SF32555  = 99               THEN SF32555  = . ;
IF S032122  = 99               THEN S032122  = . ;
IF SF32122  = 99               THEN SF32122  = . ;
IF S032542  = 9                THEN S032542  = . ;
IF SF32542  = 9                THEN SF32542  = . ;
IF S032645  = 9                THEN S032645  = . ;
IF SF32645  = 9                THEN SF32645  = . ;
IF S032530A = 99               THEN S032530A = . ;
IF S032530B = 99               THEN S032530B = . ;
IF S032530D = 99               THEN S032530D = . ;
IF SF32530A = 99               THEN SF32530A = . ;
IF SF32530B = 99               THEN SF32530B = . ;
IF SF32530D = 99               THEN SF32530D = . ;
IF S032007  = 99               THEN S032007  = . ;
IF SF32007  = 99               THEN SF32007  = . ;
IF S032502  = 9                THEN S032502  = . ;
IF SF32502  = 9                THEN SF32502  = . ;
IF S032679  = 99               THEN S032679  = . ;
IF SF32679  = 99               THEN SF32679  = . ;
IF S032184  = 9                THEN S032184  = . ;
IF SF32184  = 9                THEN SF32184  = . ;
IF S032394  = 9                THEN S032394  = . ;
IF SF32394  = 9                THEN SF32394  = . ;
IF S032151  = 9                THEN S032151  = . ;
IF SF32151  = 9                THEN SF32151  = . ;
IF S032651A = 99               THEN S032651A = . ;
IF SF32651A = 99               THEN SF32651A = . ;
IF S032651B = 99               THEN S032651B = . ;
IF SF32651B = 99               THEN SF32651B = . ;
IF S032665A = 99               THEN S032665A = . ;
IF SF32665A = 99               THEN SF32665A = . ;
IF S032665B = 99               THEN S032665B = . ;
IF SF32665B = 99               THEN SF32665B = . ;
IF S032665C = 99               THEN S032665C = . ;
IF SF32665C = 99               THEN SF32665C = . ;
IF S032607  = 9                THEN S032607  = . ;
IF S032063  = 99               THEN S032063  = . ;
IF S032206  = 99               THEN S032206  = . ;
IF S032008  = 9                THEN S032008  = . ;
IF S032083  = 9                THEN S032083  = . ;
IF S032564  = 9                THEN S032564  = . ;
IF S032057  = 99               THEN S032057  = . ;
IF S032055  = 9                THEN S032055  = . ;
IF S032626  = 99               THEN S032626  = . ;
IF S032281  = 9                THEN S032281  = . ;
IF S032150  = 9                THEN S032150  = . ;
IF S032301  = 9                THEN S032301  = . ;
IF S032446  = 9                THEN S032446  = . ;
IF S032637  = 9                THEN S032637  = . ;
IF S032386  = 9                THEN S032386  = . ;
IF S032682  = 9                THEN S032682  = . ;
IF S032652  = 9                THEN S032652  = . ;
IF S032437  = 9                THEN S032437  = . ;
IF S032242  = 99               THEN S032242  = . ;
IF S032709  = 99               THEN S032709  = . ;
IF S032711  = 99               THEN S032711  = . ;
IF S032712A = 99               THEN S032712A = . ;
IF S032712B = 99               THEN S032712B = . ;
IF S032713A = 99               THEN S032713A = . ;
IF S032713B = 99               THEN S032713B = . ;
IF S032465  = 9                THEN S032465  = . ;
IF SF32465  = 9                THEN SF32465  = . ;
IF S032315  = 9                THEN S032315  = . ;
IF SF32315  = 9                THEN SF32315  = . ;
IF S032306  = 99               THEN S032306  = . ;
IF SF32306  = 99               THEN SF32306  = . ;
IF S032640  = 99               THEN S032640  = . ;
IF SF32640  = 99               THEN SF32640  = . ;
IF S032579  = 9                THEN S032579  = . ;
IF SF32579  = 9                THEN SF32579  = . ;
IF S032570  = 99               THEN S032570  = . ;
IF SF32570  = 99               THEN SF32570  = . ;
IF S032024  = 9                THEN S032024  = . ;
IF SF32024  = 9                THEN SF32024  = . ;
IF S032272  = 99               THEN S032272  = . ;
IF SF32272  = 99               THEN SF32272  = . ;
IF S032141  = 9                THEN S032141  = . ;
IF SF32141  = 9                THEN SF32141  = . ;
IF S032060  = 99               THEN S032060  = . ;
IF SF32060  = 99               THEN SF32060  = . ;
IF S032463  = 9                THEN S032463  = . ;
IF SF32463  = 9                THEN SF32463  = . ;
IF S032650A = 99               THEN S032650A = . ;
IF S032650B = 99               THEN S032650B = . ;
IF S032650D = 99               THEN S032650D = . ;
IF SF32650A = 99               THEN SF32650A = . ;
IF SF32650B = 99               THEN SF32650B = . ;
IF SF32650D = 99               THEN SF32650D = . ;
IF S032514  = 9                THEN S032514  = . ;
IF SF32514  = 9                THEN SF32514  = . ;
IF S032611  = 9                THEN S032611  = . ;
IF SF32611  = 9                THEN SF32611  = . ;
IF S032614  = 99               THEN S032614  = . ;
IF SF32614  = 99               THEN SF32614  = . ;
IF S032451  = 99               THEN S032451  = . ;
IF SF32451  = 99               THEN SF32451  = . ;
IF S032156  = 9                THEN S032156  = . ;
IF SF32156  = 9                THEN SF32156  = . ;
IF S032056  = 99               THEN S032056  = . ;
IF SF32056  = 99               THEN SF32056  = . ;
IF S032087  = 9                THEN S032087  = . ;
IF SF32087  = 9                THEN SF32087  = . ;
IF S032279  = 9                THEN S032279  = . ;
IF SF32279  = 9                THEN SF32279  = . ;
IF S032238  = 9                THEN S032238  = . ;
IF SF32238  = 9                THEN SF32238  = . ;
IF S032369  = 99               THEN S032369  = . ;
IF SF32369  = 99               THEN SF32369  = . ;
IF S032160  = 9                THEN S032160  = . ;
IF SF32160  = 9                THEN SF32160  = . ;
IF S032654  = 9                THEN S032654  = . ;
IF SF32654  = 9                THEN SF32654  = . ;
IF S032126  = 99               THEN S032126  = . ;
IF SF32126  = 99               THEN SF32126  = . ;
IF S032510  = 9                THEN S032510  = . ;
IF SF32510  = 9                THEN SF32510  = . ;
IF S032158  = 9                THEN S032158  = . ;
IF SF32158  = 9                THEN SF32158  = . ;
IF S032574  = 9                THEN S032574  = . ;
IF SF32574  = 9                THEN SF32574  = . ;
IF S032532  = 99               THEN S032532  = . ;
IF SF32532  = 99               THEN SF32532  = . ;
IF S032562  = 99               THEN S032562  = . ;
IF SF32562  = 99               THEN SF32562  = . ;
IF S032422  = 9                THEN S032422  = . ;
IF SF32422  = 9                THEN SF32422  = . ;
IF S032375  = 99               THEN S032375  = . ;
IF SF32375  = 99               THEN SF32375  = . ;
IF S032714  = 9                THEN S032714  = . ;
IF SF32714  = 9                THEN SF32714  = . ;
IF S032704  = 99               THEN S032704  = . ;
IF SF32704  = 99               THEN SF32704  = . ;
IF S032705A = 99               THEN S032705A = . ;
IF SF32705A = 99               THEN SF32705A = . ;
IF S032705B = 99               THEN S032705B = . ;
IF SF32705B = 99               THEN SF32705B = . ;
IF S032706A = 99               THEN S032706A = . ;
IF SF32706A = 99               THEN SF32706A = . ;
IF S032706B = 99               THEN S032706B = . ;
IF SF32706B = 99               THEN SF32706B = . ;
IF S032707  = 99               THEN S032707  = . ;
IF SF32707  = 99               THEN SF32707  = . ;
IF S032115  = 9                THEN S032115  = . ;
IF SF32115  = 9                THEN SF32115  = . ;
IF S032565  = 99               THEN S032565  = . ;
IF SF32565  = 99               THEN SF32565  = . ;
IF S032403  = 9                THEN S032403  = . ;
IF SF32403  = 9                THEN SF32403  = . ;
IF S032273  = 9                THEN S032273  = . ;
IF SF32273  = 9                THEN SF32273  = . ;
IF S032019A = 99               THEN S032019A = . ;
IF SF32019A = 99               THEN SF32019A = . ;
IF S032019B = 99               THEN S032019B = . ;
IF SF32019B = 99               THEN SF32019B = . ;
IF S032516  = 99               THEN S032516  = . ;
IF SF32516  = 99               THEN SF32516  = . ;
IF S032620  = 9                THEN S032620  = . ;
IF SF32620  = 9                THEN SF32620  = . ;
IF S032693A = 99               THEN S032693A = . ;
IF SF32693A = 99               THEN SF32693A = . ;
IF S032693B = 99               THEN S032693B = . ;
IF SF32693B = 99               THEN SF32693B = . ;
IF S032695  = 99               THEN S032695  = . ;
IF SF32695  = 99               THEN SF32695  = . ;
IF S032697A = 99               THEN S032697A = . ;
IF S032697B = 99               THEN S032697B = . ;
IF S032697D = 99               THEN S032697D = . ;
IF SF32697A = 99               THEN SF32697A = . ;
IF SF32697B = 99               THEN SF32697B = . ;
IF SF32697D = 99               THEN SF32697D = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF HOUWGT   = 999999           THEN HOUWGT   = . ;
IF SENWGT   = 999999           THEN SENWGT   = . ;
IF TOTWGT   = 999999           THEN TOTWGT   = . ;
IF BSMALG01 = 999              THEN BSMALG01 = . ;
IF BSMALG02 = 999              THEN BSMALG02 = . ;
IF BSMALG03 = 999              THEN BSMALG03 = . ;
IF BSMALG04 = 999              THEN BSMALG04 = . ;
IF BSMALG05 = 999              THEN BSMALG05 = . ;
IF BSMAPP01 = 999              THEN BSMAPP01 = . ;
IF BSMAPP02 = 999              THEN BSMAPP02 = . ;
IF BSMAPP03 = 999              THEN BSMAPP03 = . ;
IF BSMAPP04 = 999              THEN BSMAPP04 = . ;
IF BSMAPP05 = 999              THEN BSMAPP05 = . ;
IF BSMDAP01 = 999              THEN BSMDAP01 = . ;
IF BSMDAP02 = 999              THEN BSMDAP02 = . ;
IF BSMDAP03 = 999              THEN BSMDAP03 = . ;
IF BSMDAP04 = 999              THEN BSMDAP04 = . ;
IF BSMDAP05 = 999              THEN BSMDAP05 = . ;
IF BSMFNS01 = 999              THEN BSMFNS01 = . ;
IF BSMFNS02 = 999              THEN BSMFNS02 = . ;
IF BSMFNS03 = 999              THEN BSMFNS03 = . ;
IF BSMFNS04 = 999              THEN BSMFNS04 = . ;
IF BSMFNS05 = 999              THEN BSMFNS05 = . ;
IF BSMGEO01 = 999              THEN BSMGEO01 = . ;
IF BSMGEO02 = 999              THEN BSMGEO02 = . ;
IF BSMGEO03 = 999              THEN BSMGEO03 = . ;
IF BSMGEO04 = 999              THEN BSMGEO04 = . ;
IF BSMGEO05 = 999              THEN BSMGEO05 = . ;
IF BSMKNO01 = 999              THEN BSMKNO01 = . ;
IF BSMKNO02 = 999              THEN BSMKNO02 = . ;
IF BSMKNO03 = 999              THEN BSMKNO03 = . ;
IF BSMKNO04 = 999              THEN BSMKNO04 = . ;
IF BSMKNO05 = 999              THEN BSMKNO05 = . ;
IF BSMMAT01 = 999              THEN BSMMAT01 = . ;
IF BSMMAT02 = 999              THEN BSMMAT02 = . ;
IF BSMMAT03 = 999              THEN BSMMAT03 = . ;
IF BSMMAT04 = 999              THEN BSMMAT04 = . ;
IF BSMMAT05 = 999              THEN BSMMAT05 = . ;
IF BSMMEA01 = 999              THEN BSMMEA01 = . ;
IF BSMMEA02 = 999              THEN BSMMEA02 = . ;
IF BSMMEA03 = 999              THEN BSMMEA03 = . ;
IF BSMMEA04 = 999              THEN BSMMEA04 = . ;
IF BSMMEA05 = 999              THEN BSMMEA05 = . ;
IF BSMNRSC  = 9999             THEN BSMNRSC  = . ;
IF BSMREA01 = 999              THEN BSMREA01 = . ;
IF BSMREA02 = 999              THEN BSMREA02 = . ;
IF BSMREA03 = 999              THEN BSMREA03 = . ;
IF BSMREA04 = 999              THEN BSMREA04 = . ;
IF BSMREA05 = 999              THEN BSMREA05 = . ;
IF BSMSCPT  = 99               THEN BSMSCPT  = . ;
IF BSMSTDR  = 99               THEN BSMSTDR  = . ;
IF BSSCHE01 = 999              THEN BSSCHE01 = . ;
IF BSSCHE02 = 999              THEN BSSCHE02 = . ;
IF BSSCHE03 = 999              THEN BSSCHE03 = . ;
IF BSSCHE04 = 999              THEN BSSCHE04 = . ;
IF BSSCHE05 = 999              THEN BSSCHE05 = . ;
IF BSSEAS01 = 999              THEN BSSEAS01 = . ;
IF BSSEAS02 = 999              THEN BSSEAS02 = . ;
IF BSSEAS03 = 999              THEN BSSEAS03 = . ;
IF BSSEAS04 = 999              THEN BSSEAS04 = . ;
IF BSSEAS05 = 999              THEN BSSEAS05 = . ;
IF BSSERI01 = 999              THEN BSSERI01 = . ;
IF BSSERI02 = 999              THEN BSSERI02 = . ;
IF BSSERI03 = 999              THEN BSSERI03 = . ;
IF BSSERI04 = 999              THEN BSSERI04 = . ;
IF BSSERI05 = 999              THEN BSSERI05 = . ;
IF BSSLIS01 = 999              THEN BSSLIS01 = . ;
IF BSSLIS02 = 999              THEN BSSLIS02 = . ;
IF BSSLIS03 = 999              THEN BSSLIS03 = . ;
IF BSSLIS04 = 999              THEN BSSLIS04 = . ;
IF BSSLIS05 = 999              THEN BSSLIS05 = . ;
IF BSSNRSC  = 999              THEN BSSNRSC  = . ;
IF BSSPHY01 = 999              THEN BSSPHY01 = . ;
IF BSSPHY02 = 999              THEN BSSPHY02 = . ;
IF BSSPHY03 = 999              THEN BSSPHY03 = . ;
IF BSSPHY04 = 999              THEN BSSPHY04 = . ;
IF BSSPHY05 = 999              THEN BSSPHY05 = . ;
IF BSSSCI01 = 999              THEN BSSSCI01 = . ;
IF BSSSCI02 = 999              THEN BSSSCI02 = . ;
IF BSSSCI03 = 999              THEN BSSSCI03 = . ;
IF BSSSCI04 = 999              THEN BSSSCI04 = . ;
IF BSSSCI05 = 999              THEN BSSSCI05 = . ;
IF BSSSCPT  = 99               THEN BSSSCPT  = . ;
IF BSSSTDR  = 99               THEN BSSSTDR  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

%let i = %eval(&i + 1);
%end;

%mend doit;

%doit;

